import { InfoObject } from "openapi3-ts";
import { factory as f } from "typescript";

/**
 * Generate a JSDoc comment with the generated watermark and `info.version`
 *
 * @param info OpenAPI info object
 * @returns ts.node with the watermark
 */
export const createWatermark = (info: InfoObject) =>
  f.createJSDocComment("Generated by @openapi-codegen\n", [
    f.createJSDocPropertyTag(
      f.createIdentifier("version"),
      f.createIdentifier(info.version),
      false
    ),
  ]);
