/**
 * Generated by @openapi-codegen
 *
 * @version 1.1.4
 */
import * as reactQuery from "@tanstack/react-query";
import { useGithubContext, GithubContext } from "./githubContext";
import type * as Fetcher from "./githubFetcher";
import { githubFetch } from "./githubFetcher";
import type * as Schemas from "./githubSchemas";
import type * as Responses from "./githubResponses";

export type MetaRootError = Fetcher.ErrorWrapper<undefined>;

export type MetaRootResponse = {
  /*
   * @format uri
   */
  authorizations_url: string;
  /*
   * @format uri
   */
  code_search_url: string;
  /*
   * @format uri
   */
  commit_search_url: string;
  /*
   * @format uri
   */
  current_user_authorizations_html_url: string;
  /*
   * @format uri
   */
  current_user_repositories_url: string;
  /*
   * @format uri
   */
  current_user_url: string;
  /*
   * @format uri
   */
  emails_url: string;
  /*
   * @format uri
   */
  emojis_url: string;
  /*
   * @format uri
   */
  events_url: string;
  /*
   * @format uri
   */
  feeds_url: string;
  /*
   * @format uri
   */
  followers_url: string;
  /*
   * @format uri
   */
  following_url: string;
  /*
   * @format uri
   */
  gists_url: string;
  /*
   * @format uri
   */
  hub_url: string;
  /*
   * @format uri
   */
  issue_search_url: string;
  /*
   * @format uri
   */
  issues_url: string;
  /*
   * @format uri
   */
  keys_url: string;
  /*
   * @format uri
   */
  label_search_url: string;
  /*
   * @format uri
   */
  notifications_url: string;
  /*
   * @format uri
   */
  organization_repositories_url: string;
  /*
   * @format uri
   */
  organization_teams_url: string;
  /*
   * @format uri
   */
  organization_url: string;
  /*
   * @format uri
   */
  public_gists_url: string;
  /*
   * @format uri
   */
  rate_limit_url: string;
  /*
   * @format uri
   */
  repository_search_url: string;
  /*
   * @format uri
   */
  repository_url: string;
  /*
   * @format uri
   */
  starred_gists_url: string;
  /*
   * @format uri
   */
  starred_url: string;
  /*
   * @format uri
   */
  topic_search_url?: string;
  /*
   * @format uri
   */
  user_organizations_url: string;
  /*
   * @format uri
   */
  user_repositories_url: string;
  /*
   * @format uri
   */
  user_search_url: string;
  /*
   * @format uri
   */
  user_url: string;
};

export type MetaRootVariables = GithubContext["fetcherOptions"];

/**
 * Get Hypermedia links to resources accessible in GitHub's REST API
 */
export const fetchMetaRoot = (variables: MetaRootVariables) =>
  githubFetch<MetaRootResponse, MetaRootError, undefined, {}, {}, {}>({
    url: "/",
    method: "get",
    ...variables,
  });

/**
 * Get Hypermedia links to resources accessible in GitHub's REST API
 */
export const useMetaRoot = <TData = MetaRootResponse>(
  variables: MetaRootVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<MetaRootResponse, MetaRootError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<MetaRootResponse, MetaRootError, TData>(
    queryKeyFn({ path: "/", operationId: "metaRoot", variables }),
    () => fetchMetaRoot({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type AppsGetAuthenticatedError = Fetcher.ErrorWrapper<undefined>;

export type AppsGetAuthenticatedVariables = GithubContext["fetcherOptions"];

/**
 * Returns the GitHub App associated with the authentication credentials used. To see how many app installations are associated with this GitHub App, see the `installations_count` in the response. For more details about your app's installations, see the "[List installations for the authenticated app](https://docs.github.com/rest/reference/apps#list-installations-for-the-authenticated-app)" endpoint.
 *
 * You must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint.
 */
export const fetchAppsGetAuthenticated = (
  variables: AppsGetAuthenticatedVariables
) =>
  githubFetch<
    Schemas.Integration,
    AppsGetAuthenticatedError,
    undefined,
    {},
    {},
    {}
  >({ url: "/app", method: "get", ...variables });

/**
 * Returns the GitHub App associated with the authentication credentials used. To see how many app installations are associated with this GitHub App, see the `installations_count` in the response. For more details about your app's installations, see the "[List installations for the authenticated app](https://docs.github.com/rest/reference/apps#list-installations-for-the-authenticated-app)" endpoint.
 *
 * You must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint.
 */
export const useAppsGetAuthenticated = <TData = Schemas.Integration>(
  variables: AppsGetAuthenticatedVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.Integration,
      AppsGetAuthenticatedError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.Integration,
    AppsGetAuthenticatedError,
    TData
  >(
    queryKeyFn({
      path: "/app",
      operationId: "appsGetAuthenticated",
      variables,
    }),
    () => fetchAppsGetAuthenticated({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type AppsCreateFromManifestPathParams = {
  code: string;
};

export type AppsCreateFromManifestError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailedSimple;
    }
>;

export type AppsCreateFromManifestResponse = {
  /*
   * @example "Iv1.25b5d1e65ffc4022"
   */
  client_id: string;
  /*
   * @example "1d4b2097ac622ba702d19de498f005747a8b21d3"
   */
  client_secret: string;
  /*
   * @example "2017-07-08T20:18:44.000Z"
   * @format date-time
   */
  created_at: string;
  /*
   * @example The description of the app.
   */
  description: string | null;
  /*
   * The list of events for the GitHub app
   *
   * @example label
   * @example deployment
   */
  events: string[];
  /*
   * @example https://example.com
   * @format uri
   */
  external_url: string;
  /*
   * @example https://github.com/apps/super-ci
   * @format uri
   */
  html_url: string;
  /*
   * Unique identifier of the GitHub app
   *
   * @example 37
   */
  id?: number;
  /*
   * The number of installations associated with the GitHub app
   *
   * @example 5
   */
  installations_count?: number;
  /*
   * The name of the GitHub app
   *
   * @example Probot Owners
   */
  name?: string;
  /*
   * @example MDExOkludGVncmF0aW9uMQ==
   */
  node_id?: string;
  /*
   * Simple User
   */
  owner?: Schemas.SimpleUser;
  /*
   * @example "-----BEGIN RSA PRIVATE KEY-----\nMIIEogIBAAKCAQEArYxrNYD/iT5CZVpRJu4rBKmmze3PVmT/gCo2ATUvDvZTPTey\nxcGJ3vvrJXazKk06pN05TN29o98jrYz4cengG3YGsXPNEpKsIrEl8NhbnxapEnM9\nJCMRe0P5JcPsfZlX6hmiT7136GRWiGOUba2X9+HKh8QJVLG5rM007TBER9/z9mWm\nrJuNh+m5l320oBQY/Qq3A7wzdEfZw8qm/mIN0FCeoXH1L6B8xXWaAYBwhTEh6SSn\nZHlO1Xu1JWDmAvBCi0RO5aRSKM8q9QEkvvHP4yweAtK3N8+aAbZ7ovaDhyGz8r6r\nzhU1b8Uo0Z2ysf503WqzQgIajr7Fry7/kUwpgQIDAQABAoIBADwJp80Ko1xHPZDy\nfcCKBDfIuPvkmSW6KumbsLMaQv1aGdHDwwTGv3t0ixSay8CGlxMRtRDyZPib6SvQ\n6OH/lpfpbMdW2ErkksgtoIKBVrDilfrcAvrNZu7NxRNbhCSvN8q0s4ICecjbbVQh\nnueSdlA6vGXbW58BHMq68uRbHkP+k+mM9U0mDJ1HMch67wlg5GbayVRt63H7R2+r\nVxcna7B80J/lCEjIYZznawgiTvp3MSanTglqAYi+m1EcSsP14bJIB9vgaxS79kTu\noiSo93leJbBvuGo8QEiUqTwMw4tDksmkLsoqNKQ1q9P7LZ9DGcujtPy4EZsamSJT\ny8OJt0ECgYEA2lxOxJsQk2kI325JgKFjo92mQeUObIvPfSNWUIZQDTjniOI6Gv63\nGLWVFrZcvQBWjMEQraJA9xjPbblV8PtfO87MiJGLWCHFxmPz2dzoedN+2Coxom8m\nV95CLz8QUShuao6u/RYcvUaZEoYs5bHcTmy5sBK80JyEmafJPtCQVxMCgYEAy3ar\nZr3yv4xRPEPMat4rseswmuMooSaK3SKub19WFI5IAtB/e7qR1Rj9JhOGcZz+OQrl\nT78O2OFYlgOIkJPvRMrPpK5V9lslc7tz1FSh3BZMRGq5jSyD7ETSOQ0c8T2O/s7v\nbeEPbVbDe4mwvM24XByH0GnWveVxaDl51ABD65sCgYB3ZAspUkOA5egVCh8kNpnd\nSd6SnuQBE3ySRlT2WEnCwP9Ph6oPgn+oAfiPX4xbRqkL8q/k0BdHQ4h+zNwhk7+h\nWtPYRAP1Xxnc/F+jGjb+DVaIaKGU18MWPg7f+FI6nampl3Q0KvfxwX0GdNhtio8T\nTj1E+SnFwh56SRQuxSh2gwKBgHKjlIO5NtNSflsUYFM+hyQiPiqnHzddfhSG+/3o\nm5nNaSmczJesUYreH5San7/YEy2UxAugvP7aSY2MxB+iGsiJ9WD2kZzTUlDZJ7RV\nUzWsoqBR+eZfVJ2FUWWvy8TpSG6trh4dFxImNtKejCR1TREpSiTV3Zb1dmahK9GV\nrK9NAoGAbBxRLoC01xfxCTgt5BDiBcFVh4fp5yYKwavJPLzHSpuDOrrI9jDn1oKN\nonq5sDU1i391zfQvdrbX4Ova48BN+B7p63FocP/MK5tyyBoT8zQEk2+vWDOw7H/Z\nu5dTCPxTIsoIwUw1I+7yIxqJzLPFgR2gVBwY1ra/8iAqCj+zeBw=\n-----END RSA PRIVATE KEY-----\n"
   */
  pem: string;
  /*
   * The set of permissions for the GitHub app
   *
   * @example {"deployments":"write","issues":"read"}
   */
  permissions: {
    checks?: string;
    contents?: string;
    deployments?: string;
    issues?: string;
    metadata?: string;
  } & {
    [key: string]: string;
  };
  /*
   * The slug name of the GitHub app
   *
   * @example probot-owners
   */
  slug?: string;
  /*
   * @example "2017-07-08T20:18:44.000Z"
   * @format date-time
   */
  updated_at: string;
  /*
   * @example "6fba8f2fc8a7e8f2cca5577eddd82ca7586b3b6b"
   */
  webhook_secret: string;
} & {
  [key: string]: any;
};

export type AppsCreateFromManifestVariables = {
  pathParams: AppsCreateFromManifestPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Use this endpoint to complete the handshake necessary when implementing the [GitHub App Manifest flow](https://docs.github.com/apps/building-github-apps/creating-github-apps-from-a-manifest/). When you create a GitHub App with the manifest flow, you receive a temporary `code` used to retrieve the GitHub App's `id`, `pem` (private key), and `webhook_secret`.
 */
export const fetchAppsCreateFromManifest = (
  variables: AppsCreateFromManifestVariables
) =>
  githubFetch<
    AppsCreateFromManifestResponse,
    AppsCreateFromManifestError,
    undefined,
    {},
    {},
    AppsCreateFromManifestPathParams
  >({ url: "/app-manifests/{code}/conversions", method: "post", ...variables });

/**
 * Use this endpoint to complete the handshake necessary when implementing the [GitHub App Manifest flow](https://docs.github.com/apps/building-github-apps/creating-github-apps-from-a-manifest/). When you create a GitHub App with the manifest flow, you receive a temporary `code` used to retrieve the GitHub App's `id`, `pem` (private key), and `webhook_secret`.
 */
export const useAppsCreateFromManifest = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      AppsCreateFromManifestResponse,
      AppsCreateFromManifestError,
      AppsCreateFromManifestVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    AppsCreateFromManifestResponse,
    AppsCreateFromManifestError,
    AppsCreateFromManifestVariables
  >(
    (variables: AppsCreateFromManifestVariables) =>
      fetchAppsCreateFromManifest({ ...fetcherOptions, ...variables }),
    options
  );
};

export type AppsGetWebhookConfigForAppError = Fetcher.ErrorWrapper<undefined>;

export type AppsGetWebhookConfigForAppVariables =
  GithubContext["fetcherOptions"];

/**
 * Returns the webhook configuration for a GitHub App. For more information about configuring a webhook for your app, see "[Creating a GitHub App](/developers/apps/creating-a-github-app)."
 *
 * You must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint.
 */
export const fetchAppsGetWebhookConfigForApp = (
  variables: AppsGetWebhookConfigForAppVariables
) =>
  githubFetch<
    Schemas.WebhookConfig,
    AppsGetWebhookConfigForAppError,
    undefined,
    {},
    {},
    {}
  >({ url: "/app/hook/config", method: "get", ...variables });

/**
 * Returns the webhook configuration for a GitHub App. For more information about configuring a webhook for your app, see "[Creating a GitHub App](/developers/apps/creating-a-github-app)."
 *
 * You must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint.
 */
export const useAppsGetWebhookConfigForApp = <TData = Schemas.WebhookConfig>(
  variables: AppsGetWebhookConfigForAppVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.WebhookConfig,
      AppsGetWebhookConfigForAppError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.WebhookConfig,
    AppsGetWebhookConfigForAppError,
    TData
  >(
    queryKeyFn({
      path: "/app/hook/config",
      operationId: "appsGetWebhookConfigForApp",
      variables,
    }),
    () => fetchAppsGetWebhookConfigForApp({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type AppsUpdateWebhookConfigForAppError =
  Fetcher.ErrorWrapper<undefined>;

export type AppsUpdateWebhookConfigForAppRequestBody = {
  content_type?: Schemas.WebhookConfigContentType;
  insecure_ssl?: Schemas.WebhookConfigInsecureSsl;
  secret?: Schemas.WebhookConfigSecret;
  url?: Schemas.WebhookConfigUrl;
};

export type AppsUpdateWebhookConfigForAppVariables = {
  body?: AppsUpdateWebhookConfigForAppRequestBody;
} & GithubContext["fetcherOptions"];

/**
 * Updates the webhook configuration for a GitHub App. For more information about configuring a webhook for your app, see "[Creating a GitHub App](/developers/apps/creating-a-github-app)."
 *
 * You must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint.
 */
export const fetchAppsUpdateWebhookConfigForApp = (
  variables: AppsUpdateWebhookConfigForAppVariables
) =>
  githubFetch<
    Schemas.WebhookConfig,
    AppsUpdateWebhookConfigForAppError,
    AppsUpdateWebhookConfigForAppRequestBody,
    {},
    {},
    {}
  >({ url: "/app/hook/config", method: "patch", ...variables });

/**
 * Updates the webhook configuration for a GitHub App. For more information about configuring a webhook for your app, see "[Creating a GitHub App](/developers/apps/creating-a-github-app)."
 *
 * You must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint.
 */
export const useAppsUpdateWebhookConfigForApp = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.WebhookConfig,
      AppsUpdateWebhookConfigForAppError,
      AppsUpdateWebhookConfigForAppVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.WebhookConfig,
    AppsUpdateWebhookConfigForAppError,
    AppsUpdateWebhookConfigForAppVariables
  >(
    (variables: AppsUpdateWebhookConfigForAppVariables) =>
      fetchAppsUpdateWebhookConfigForApp({ ...fetcherOptions, ...variables }),
    options
  );
};

export type AppsListInstallationsQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
  /*
   * Only show notifications updated after the given time. This is a timestamp in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format: `YYYY-MM-DDTHH:MM:SSZ`.
   */
  since?: string;
  outdated?: string;
};

export type AppsListInstallationsError = Fetcher.ErrorWrapper<undefined>;

export type AppsListInstallationsResponse = Schemas.Installation[];

export type AppsListInstallationsVariables = {
  queryParams?: AppsListInstallationsQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * You must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint.
 *
 * The permissions the installation has are included under the `permissions` key.
 */
export const fetchAppsListInstallations = (
  variables: AppsListInstallationsVariables
) =>
  githubFetch<
    AppsListInstallationsResponse,
    AppsListInstallationsError,
    undefined,
    {},
    AppsListInstallationsQueryParams,
    {}
  >({ url: "/app/installations", method: "get", ...variables });

/**
 * You must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint.
 *
 * The permissions the installation has are included under the `permissions` key.
 */
export const useAppsListInstallations = <TData = AppsListInstallationsResponse>(
  variables: AppsListInstallationsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      AppsListInstallationsResponse,
      AppsListInstallationsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    AppsListInstallationsResponse,
    AppsListInstallationsError,
    TData
  >(
    queryKeyFn({
      path: "/app/installations",
      operationId: "appsListInstallations",
      variables,
    }),
    () => fetchAppsListInstallations({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type AppsDeleteInstallationPathParams = {
  /*
   * installation_id parameter
   */
  installationId: number;
};

export type AppsDeleteInstallationError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type AppsDeleteInstallationVariables = {
  pathParams: AppsDeleteInstallationPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Uninstalls a GitHub App on a user, organization, or business account. If you prefer to temporarily suspend an app's access to your account's resources, then we recommend the "[Suspend an app installation](https://docs.github.com/rest/reference/apps/#suspend-an-app-installation)" endpoint.
 *
 * You must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint.
 */
export const fetchAppsDeleteInstallation = (
  variables: AppsDeleteInstallationVariables
) =>
  githubFetch<
    undefined,
    AppsDeleteInstallationError,
    undefined,
    {},
    {},
    AppsDeleteInstallationPathParams
  >({
    url: "/app/installations/{installationId}",
    method: "delete",
    ...variables,
  });

/**
 * Uninstalls a GitHub App on a user, organization, or business account. If you prefer to temporarily suspend an app's access to your account's resources, then we recommend the "[Suspend an app installation](https://docs.github.com/rest/reference/apps/#suspend-an-app-installation)" endpoint.
 *
 * You must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint.
 */
export const useAppsDeleteInstallation = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      AppsDeleteInstallationError,
      AppsDeleteInstallationVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    AppsDeleteInstallationError,
    AppsDeleteInstallationVariables
  >(
    (variables: AppsDeleteInstallationVariables) =>
      fetchAppsDeleteInstallation({ ...fetcherOptions, ...variables }),
    options
  );
};

export type AppsGetInstallationPathParams = {
  /*
   * installation_id parameter
   */
  installationId: number;
};

export type AppsGetInstallationError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 415;
      payload: Responses.PreviewHeaderMissing;
    }
>;

export type AppsGetInstallationVariables = {
  pathParams: AppsGetInstallationPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Enables an authenticated GitHub App to find an installation's information using the installation id. The installation's account type (`target_type`) will be either an organization or a user account, depending which account the repository belongs to.
 *
 * You must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint.
 */
export const fetchAppsGetInstallation = (
  variables: AppsGetInstallationVariables
) =>
  githubFetch<
    Schemas.Installation,
    AppsGetInstallationError,
    undefined,
    {},
    {},
    AppsGetInstallationPathParams
  >({
    url: "/app/installations/{installationId}",
    method: "get",
    ...variables,
  });

/**
 * Enables an authenticated GitHub App to find an installation's information using the installation id. The installation's account type (`target_type`) will be either an organization or a user account, depending which account the repository belongs to.
 *
 * You must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint.
 */
export const useAppsGetInstallation = <TData = Schemas.Installation>(
  variables: AppsGetInstallationVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.Installation,
      AppsGetInstallationError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.Installation,
    AppsGetInstallationError,
    TData
  >(
    queryKeyFn({
      path: "/app/installations/{installation_id}",
      operationId: "appsGetInstallation",
      variables,
    }),
    () => fetchAppsGetInstallation({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type AppsCreateInstallationAccessTokenPathParams = {
  /*
   * installation_id parameter
   */
  installationId: number;
};

export type AppsCreateInstallationAccessTokenError = Fetcher.ErrorWrapper<
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 415;
      payload: Responses.PreviewHeaderMissing;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type AppsCreateInstallationAccessTokenRequestBody = {
  permissions?: Schemas.AppPermissions;
  /*
   * List of repository names that the token should have access to
   */
  repositories?: string[];
  /*
   * List of repository IDs that the token should have access to
   *
   * @example 1
   */
  repository_ids?: number[];
};

export type AppsCreateInstallationAccessTokenVariables = {
  body?: AppsCreateInstallationAccessTokenRequestBody;
  pathParams: AppsCreateInstallationAccessTokenPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Creates an installation access token that enables a GitHub App to make authenticated API requests for the app's installation on an organization or individual account. Installation tokens expire one hour from the time you create them. Using an expired token produces a status code of `401 - Unauthorized`, and requires creating a new installation token. By default the installation token has access to all repositories that the installation can access. To restrict the access to specific repositories, you can provide the `repository_ids` when creating the token. When you omit `repository_ids`, the response does not contain the `repositories` key.
 *
 * You must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint.
 */
export const fetchAppsCreateInstallationAccessToken = (
  variables: AppsCreateInstallationAccessTokenVariables
) =>
  githubFetch<
    Schemas.InstallationToken,
    AppsCreateInstallationAccessTokenError,
    AppsCreateInstallationAccessTokenRequestBody,
    {},
    {},
    AppsCreateInstallationAccessTokenPathParams
  >({
    url: "/app/installations/{installationId}/access_tokens",
    method: "post",
    ...variables,
  });

/**
 * Creates an installation access token that enables a GitHub App to make authenticated API requests for the app's installation on an organization or individual account. Installation tokens expire one hour from the time you create them. Using an expired token produces a status code of `401 - Unauthorized`, and requires creating a new installation token. By default the installation token has access to all repositories that the installation can access. To restrict the access to specific repositories, you can provide the `repository_ids` when creating the token. When you omit `repository_ids`, the response does not contain the `repositories` key.
 *
 * You must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint.
 */
export const useAppsCreateInstallationAccessToken = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.InstallationToken,
      AppsCreateInstallationAccessTokenError,
      AppsCreateInstallationAccessTokenVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.InstallationToken,
    AppsCreateInstallationAccessTokenError,
    AppsCreateInstallationAccessTokenVariables
  >(
    (variables: AppsCreateInstallationAccessTokenVariables) =>
      fetchAppsCreateInstallationAccessToken({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type AppsUnsuspendInstallationPathParams = {
  /*
   * installation_id parameter
   */
  installationId: number;
};

export type AppsUnsuspendInstallationError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type AppsUnsuspendInstallationVariables = {
  pathParams: AppsUnsuspendInstallationPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Removes a GitHub App installation suspension.
 *
 * You must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint.
 */
export const fetchAppsUnsuspendInstallation = (
  variables: AppsUnsuspendInstallationVariables
) =>
  githubFetch<
    undefined,
    AppsUnsuspendInstallationError,
    undefined,
    {},
    {},
    AppsUnsuspendInstallationPathParams
  >({
    url: "/app/installations/{installationId}/suspended",
    method: "delete",
    ...variables,
  });

/**
 * Removes a GitHub App installation suspension.
 *
 * You must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint.
 */
export const useAppsUnsuspendInstallation = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      AppsUnsuspendInstallationError,
      AppsUnsuspendInstallationVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    AppsUnsuspendInstallationError,
    AppsUnsuspendInstallationVariables
  >(
    (variables: AppsUnsuspendInstallationVariables) =>
      fetchAppsUnsuspendInstallation({ ...fetcherOptions, ...variables }),
    options
  );
};

export type AppsSuspendInstallationPathParams = {
  /*
   * installation_id parameter
   */
  installationId: number;
};

export type AppsSuspendInstallationError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type AppsSuspendInstallationVariables = {
  pathParams: AppsSuspendInstallationPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Suspends a GitHub App on a user, organization, or business account, which blocks the app from accessing the account's resources. When a GitHub App is suspended, the app's access to the GitHub API or webhook events is blocked for that account.
 *
 * You must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint.
 */
export const fetchAppsSuspendInstallation = (
  variables: AppsSuspendInstallationVariables
) =>
  githubFetch<
    undefined,
    AppsSuspendInstallationError,
    undefined,
    {},
    {},
    AppsSuspendInstallationPathParams
  >({
    url: "/app/installations/{installationId}/suspended",
    method: "put",
    ...variables,
  });

/**
 * Suspends a GitHub App on a user, organization, or business account, which blocks the app from accessing the account's resources. When a GitHub App is suspended, the app's access to the GitHub API or webhook events is blocked for that account.
 *
 * You must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint.
 */
export const useAppsSuspendInstallation = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      AppsSuspendInstallationError,
      AppsSuspendInstallationVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    AppsSuspendInstallationError,
    AppsSuspendInstallationVariables
  >(
    (variables: AppsSuspendInstallationVariables) =>
      fetchAppsSuspendInstallation({ ...fetcherOptions, ...variables }),
    options
  );
};

export type OauthAuthorizationsListGrantsQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
  /*
   * The client ID of your GitHub app.
   */
  client_id?: string;
};

export type OauthAuthorizationsListGrantsError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type OauthAuthorizationsListGrantsResponse = Schemas.ApplicationGrant[];

export type OauthAuthorizationsListGrantsVariables = {
  queryParams?: OauthAuthorizationsListGrantsQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** GitHub will discontinue the [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations/), which is used by integrations to create personal access tokens and OAuth tokens, and you must now create these tokens using our [web application flow](https://docs.github.com/developers/apps/authorizing-oauth-apps#web-application-flow). The [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations) will be removed on November, 13, 2020. For more information, including scheduled brownouts, see the [blog post](https://developer.github.com/changes/2020-02-14-deprecating-oauth-auth-endpoint/).
 *
 * You can use this API to list the set of OAuth applications that have been granted access to your account. Unlike the [list your authorizations](https://docs.github.com/rest/reference/oauth-authorizations#list-your-authorizations) API, this API does not manage individual tokens. This API will return one entry for each OAuth application that has been granted access to your account, regardless of the number of tokens an application has generated for your user. The list of OAuth applications returned matches what is shown on [the application authorizations settings screen within GitHub](https://github.com/settings/applications#authorized). The `scopes` returned are the union of scopes authorized for the application. For example, if an application has one token with `repo` scope and another token with `user` scope, the grant will return `["repo", "user"]`.
 */
export const fetchOauthAuthorizationsListGrants = (
  variables: OauthAuthorizationsListGrantsVariables
) =>
  githubFetch<
    OauthAuthorizationsListGrantsResponse,
    OauthAuthorizationsListGrantsError,
    undefined,
    {},
    OauthAuthorizationsListGrantsQueryParams,
    {}
  >({ url: "/applications/grants", method: "get", ...variables });

/**
 * **Deprecation Notice:** GitHub will discontinue the [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations/), which is used by integrations to create personal access tokens and OAuth tokens, and you must now create these tokens using our [web application flow](https://docs.github.com/developers/apps/authorizing-oauth-apps#web-application-flow). The [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations) will be removed on November, 13, 2020. For more information, including scheduled brownouts, see the [blog post](https://developer.github.com/changes/2020-02-14-deprecating-oauth-auth-endpoint/).
 *
 * You can use this API to list the set of OAuth applications that have been granted access to your account. Unlike the [list your authorizations](https://docs.github.com/rest/reference/oauth-authorizations#list-your-authorizations) API, this API does not manage individual tokens. This API will return one entry for each OAuth application that has been granted access to your account, regardless of the number of tokens an application has generated for your user. The list of OAuth applications returned matches what is shown on [the application authorizations settings screen within GitHub](https://github.com/settings/applications#authorized). The `scopes` returned are the union of scopes authorized for the application. For example, if an application has one token with `repo` scope and another token with `user` scope, the grant will return `["repo", "user"]`.
 */
export const useOauthAuthorizationsListGrants = <
  TData = OauthAuthorizationsListGrantsResponse
>(
  variables: OauthAuthorizationsListGrantsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      OauthAuthorizationsListGrantsResponse,
      OauthAuthorizationsListGrantsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    OauthAuthorizationsListGrantsResponse,
    OauthAuthorizationsListGrantsError,
    TData
  >(
    queryKeyFn({
      path: "/applications/grants",
      operationId: "oauthAuthorizationsListGrants",
      variables,
    }),
    () =>
      fetchOauthAuthorizationsListGrants({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type OauthAuthorizationsDeleteGrantPathParams = {
  /*
   * grant_id parameter
   */
  grantId: number;
};

export type OauthAuthorizationsDeleteGrantError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
>;

export type OauthAuthorizationsDeleteGrantVariables = {
  pathParams: OauthAuthorizationsDeleteGrantPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** GitHub will discontinue the [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations/), which is used by integrations to create personal access tokens and OAuth tokens, and you must now create these tokens using our [web application flow](https://docs.github.com/developers/apps/authorizing-oauth-apps#web-application-flow). The [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations/) will be removed on November, 13, 2020. For more information, including scheduled brownouts, see the [blog post](https://developer.github.com/changes/2020-02-14-deprecating-oauth-auth-endpoint/).
 *
 * Deleting an OAuth application's grant will also delete all OAuth tokens associated with the application for your user. Once deleted, the application has no access to your account and is no longer listed on [the application authorizations settings screen within GitHub](https://github.com/settings/applications#authorized).
 */
export const fetchOauthAuthorizationsDeleteGrant = (
  variables: OauthAuthorizationsDeleteGrantVariables
) =>
  githubFetch<
    undefined,
    OauthAuthorizationsDeleteGrantError,
    undefined,
    {},
    {},
    OauthAuthorizationsDeleteGrantPathParams
  >({ url: "/applications/grants/{grantId}", method: "delete", ...variables });

/**
 * **Deprecation Notice:** GitHub will discontinue the [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations/), which is used by integrations to create personal access tokens and OAuth tokens, and you must now create these tokens using our [web application flow](https://docs.github.com/developers/apps/authorizing-oauth-apps#web-application-flow). The [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations/) will be removed on November, 13, 2020. For more information, including scheduled brownouts, see the [blog post](https://developer.github.com/changes/2020-02-14-deprecating-oauth-auth-endpoint/).
 *
 * Deleting an OAuth application's grant will also delete all OAuth tokens associated with the application for your user. Once deleted, the application has no access to your account and is no longer listed on [the application authorizations settings screen within GitHub](https://github.com/settings/applications#authorized).
 */
export const useOauthAuthorizationsDeleteGrant = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      OauthAuthorizationsDeleteGrantError,
      OauthAuthorizationsDeleteGrantVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    OauthAuthorizationsDeleteGrantError,
    OauthAuthorizationsDeleteGrantVariables
  >(
    (variables: OauthAuthorizationsDeleteGrantVariables) =>
      fetchOauthAuthorizationsDeleteGrant({ ...fetcherOptions, ...variables }),
    options
  );
};

export type OauthAuthorizationsGetGrantPathParams = {
  /*
   * grant_id parameter
   */
  grantId: number;
};

export type OauthAuthorizationsGetGrantError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
>;

export type OauthAuthorizationsGetGrantVariables = {
  pathParams: OauthAuthorizationsGetGrantPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** GitHub will discontinue the [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations), which is used by integrations to create personal access tokens and OAuth tokens, and you must now create these tokens using our [web application flow](https://docs.github.com/apps/building-oauth-apps/authorizing-oauth-apps/#web-application-flow). The [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations) will be removed on November, 13, 2020. For more information, including scheduled brownouts, see the [blog post](https://developer.github.com/changes/2020-02-14-deprecating-oauth-auth-endpoint/).
 */
export const fetchOauthAuthorizationsGetGrant = (
  variables: OauthAuthorizationsGetGrantVariables
) =>
  githubFetch<
    Schemas.ApplicationGrant,
    OauthAuthorizationsGetGrantError,
    undefined,
    {},
    {},
    OauthAuthorizationsGetGrantPathParams
  >({ url: "/applications/grants/{grantId}", method: "get", ...variables });

/**
 * **Deprecation Notice:** GitHub will discontinue the [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations), which is used by integrations to create personal access tokens and OAuth tokens, and you must now create these tokens using our [web application flow](https://docs.github.com/apps/building-oauth-apps/authorizing-oauth-apps/#web-application-flow). The [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations) will be removed on November, 13, 2020. For more information, including scheduled brownouts, see the [blog post](https://developer.github.com/changes/2020-02-14-deprecating-oauth-auth-endpoint/).
 */
export const useOauthAuthorizationsGetGrant = <
  TData = Schemas.ApplicationGrant
>(
  variables: OauthAuthorizationsGetGrantVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.ApplicationGrant,
      OauthAuthorizationsGetGrantError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.ApplicationGrant,
    OauthAuthorizationsGetGrantError,
    TData
  >(
    queryKeyFn({
      path: "/applications/grants/{grant_id}",
      operationId: "oauthAuthorizationsGetGrant",
      variables,
    }),
    () => fetchOauthAuthorizationsGetGrant({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type AppsDeleteAuthorizationPathParams = {
  /*
   * The client ID of your GitHub app.
   */
  clientId: string;
};

export type AppsDeleteAuthorizationError = Fetcher.ErrorWrapper<{
  status: 422;
  payload: Responses.ValidationFailed;
}>;

export type AppsDeleteAuthorizationRequestBody = {
  /*
   * The OAuth access token used to authenticate to the GitHub API.
   */
  access_token?: string;
};

export type AppsDeleteAuthorizationVariables = {
  body?: AppsDeleteAuthorizationRequestBody;
  pathParams: AppsDeleteAuthorizationPathParams;
} & GithubContext["fetcherOptions"];

/**
 * OAuth application owners can revoke a grant for their OAuth application and a specific user. You must use [Basic Authentication](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication) when accessing this endpoint, using the OAuth application's `client_id` and `client_secret` as the username and password. You must also provide a valid OAuth `access_token` as an input parameter and the grant for the token's owner will be deleted.
 * Deleting an OAuth application's grant will also delete all OAuth tokens associated with the application for the user. Once deleted, the application will have no access to the user's account and will no longer be listed on [the application authorizations settings screen within GitHub](https://github.com/settings/applications#authorized).
 */
export const fetchAppsDeleteAuthorization = (
  variables: AppsDeleteAuthorizationVariables
) =>
  githubFetch<
    undefined,
    AppsDeleteAuthorizationError,
    AppsDeleteAuthorizationRequestBody,
    {},
    {},
    AppsDeleteAuthorizationPathParams
  >({ url: "/applications/{clientId}/grant", method: "delete", ...variables });

/**
 * OAuth application owners can revoke a grant for their OAuth application and a specific user. You must use [Basic Authentication](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication) when accessing this endpoint, using the OAuth application's `client_id` and `client_secret` as the username and password. You must also provide a valid OAuth `access_token` as an input parameter and the grant for the token's owner will be deleted.
 * Deleting an OAuth application's grant will also delete all OAuth tokens associated with the application for the user. Once deleted, the application will have no access to the user's account and will no longer be listed on [the application authorizations settings screen within GitHub](https://github.com/settings/applications#authorized).
 */
export const useAppsDeleteAuthorization = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      AppsDeleteAuthorizationError,
      AppsDeleteAuthorizationVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    AppsDeleteAuthorizationError,
    AppsDeleteAuthorizationVariables
  >(
    (variables: AppsDeleteAuthorizationVariables) =>
      fetchAppsDeleteAuthorization({ ...fetcherOptions, ...variables }),
    options
  );
};

export type AppsRevokeGrantForApplicationPathParams = {
  /*
   * The client ID of your GitHub app.
   */
  clientId: string;
  accessToken: string;
};

export type AppsRevokeGrantForApplicationError =
  Fetcher.ErrorWrapper<undefined>;

export type AppsRevokeGrantForApplicationVariables = {
  pathParams: AppsRevokeGrantForApplicationPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** GitHub will discontinue OAuth endpoints that contain `access_token` in the path parameter. We have introduced new endpoints that allow you to securely manage tokens for OAuth Apps by moving `access_token` to the request body. For more information, see the [blog post](https://developer.github.com/changes/2020-02-14-deprecating-oauth-app-endpoint/).
 *
 * OAuth application owners can revoke a grant for their OAuth application and a specific user. You must use [Basic Authentication](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication) when accessing this endpoint, using the OAuth application's `client_id` and `client_secret` as the username and password. You must also provide a valid token as `:access_token` and the grant for the token's owner will be deleted.
 *
 * Deleting an OAuth application's grant will also delete all OAuth tokens associated with the application for the user. Once deleted, the application will have no access to the user's account and will no longer be listed on [the Applications settings page under "Authorized OAuth Apps" on GitHub](https://github.com/settings/applications#authorized).
 */
export const fetchAppsRevokeGrantForApplication = (
  variables: AppsRevokeGrantForApplicationVariables
) =>
  githubFetch<
    undefined,
    AppsRevokeGrantForApplicationError,
    undefined,
    {},
    {},
    AppsRevokeGrantForApplicationPathParams
  >({
    url: "/applications/{clientId}/grants/{accessToken}",
    method: "delete",
    ...variables,
  });

/**
 * **Deprecation Notice:** GitHub will discontinue OAuth endpoints that contain `access_token` in the path parameter. We have introduced new endpoints that allow you to securely manage tokens for OAuth Apps by moving `access_token` to the request body. For more information, see the [blog post](https://developer.github.com/changes/2020-02-14-deprecating-oauth-app-endpoint/).
 *
 * OAuth application owners can revoke a grant for their OAuth application and a specific user. You must use [Basic Authentication](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication) when accessing this endpoint, using the OAuth application's `client_id` and `client_secret` as the username and password. You must also provide a valid token as `:access_token` and the grant for the token's owner will be deleted.
 *
 * Deleting an OAuth application's grant will also delete all OAuth tokens associated with the application for the user. Once deleted, the application will have no access to the user's account and will no longer be listed on [the Applications settings page under "Authorized OAuth Apps" on GitHub](https://github.com/settings/applications#authorized).
 */
export const useAppsRevokeGrantForApplication = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      AppsRevokeGrantForApplicationError,
      AppsRevokeGrantForApplicationVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    AppsRevokeGrantForApplicationError,
    AppsRevokeGrantForApplicationVariables
  >(
    (variables: AppsRevokeGrantForApplicationVariables) =>
      fetchAppsRevokeGrantForApplication({ ...fetcherOptions, ...variables }),
    options
  );
};

export type AppsDeleteTokenPathParams = {
  /*
   * The client ID of your GitHub app.
   */
  clientId: string;
};

export type AppsDeleteTokenError = Fetcher.ErrorWrapper<{
  status: 422;
  payload: Responses.ValidationFailed;
}>;

export type AppsDeleteTokenRequestBody = {
  /*
   * The OAuth access token used to authenticate to the GitHub API.
   */
  access_token: string;
};

export type AppsDeleteTokenVariables = {
  body: AppsDeleteTokenRequestBody;
  pathParams: AppsDeleteTokenPathParams;
} & GithubContext["fetcherOptions"];

/**
 * OAuth application owners can revoke a single token for an OAuth application. You must use [Basic Authentication](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication) when accessing this endpoint, using the OAuth application's `client_id` and `client_secret` as the username and password.
 */
export const fetchAppsDeleteToken = (variables: AppsDeleteTokenVariables) =>
  githubFetch<
    undefined,
    AppsDeleteTokenError,
    AppsDeleteTokenRequestBody,
    {},
    {},
    AppsDeleteTokenPathParams
  >({ url: "/applications/{clientId}/token", method: "delete", ...variables });

/**
 * OAuth application owners can revoke a single token for an OAuth application. You must use [Basic Authentication](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication) when accessing this endpoint, using the OAuth application's `client_id` and `client_secret` as the username and password.
 */
export const useAppsDeleteToken = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      AppsDeleteTokenError,
      AppsDeleteTokenVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    AppsDeleteTokenError,
    AppsDeleteTokenVariables
  >(
    (variables: AppsDeleteTokenVariables) =>
      fetchAppsDeleteToken({ ...fetcherOptions, ...variables }),
    options
  );
};

export type AppsResetTokenPathParams = {
  /*
   * The client ID of your GitHub app.
   */
  clientId: string;
};

export type AppsResetTokenError = Fetcher.ErrorWrapper<{
  status: 422;
  payload: Responses.ValidationFailed;
}>;

export type AppsResetTokenRequestBody = {
  /*
   * The access_token of the OAuth application.
   */
  access_token: string;
};

export type AppsResetTokenVariables = {
  body: AppsResetTokenRequestBody;
  pathParams: AppsResetTokenPathParams;
} & GithubContext["fetcherOptions"];

/**
 * OAuth applications can use this API method to reset a valid OAuth token without end-user involvement. Applications must save the "token" property in the response because changes take effect immediately. You must use [Basic Authentication](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication) when accessing this endpoint, using the OAuth application's `client_id` and `client_secret` as the username and password. Invalid tokens will return `404 NOT FOUND`.
 */
export const fetchAppsResetToken = (variables: AppsResetTokenVariables) =>
  githubFetch<
    Schemas.Authorization,
    AppsResetTokenError,
    AppsResetTokenRequestBody,
    {},
    {},
    AppsResetTokenPathParams
  >({ url: "/applications/{clientId}/token", method: "patch", ...variables });

/**
 * OAuth applications can use this API method to reset a valid OAuth token without end-user involvement. Applications must save the "token" property in the response because changes take effect immediately. You must use [Basic Authentication](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication) when accessing this endpoint, using the OAuth application's `client_id` and `client_secret` as the username and password. Invalid tokens will return `404 NOT FOUND`.
 */
export const useAppsResetToken = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Authorization,
      AppsResetTokenError,
      AppsResetTokenVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Authorization,
    AppsResetTokenError,
    AppsResetTokenVariables
  >(
    (variables: AppsResetTokenVariables) =>
      fetchAppsResetToken({ ...fetcherOptions, ...variables }),
    options
  );
};

export type AppsCheckTokenPathParams = {
  /*
   * The client ID of your GitHub app.
   */
  clientId: string;
};

export type AppsCheckTokenError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type AppsCheckTokenRequestBody = {
  /*
   * The access_token of the OAuth application.
   */
  access_token: string;
};

export type AppsCheckTokenVariables = {
  body: AppsCheckTokenRequestBody;
  pathParams: AppsCheckTokenPathParams;
} & GithubContext["fetcherOptions"];

/**
 * OAuth applications can use a special API method for checking OAuth token validity without exceeding the normal rate limits for failed login attempts. Authentication works differently with this particular endpoint. You must use [Basic Authentication](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication) to use this endpoint, where the username is the OAuth application `client_id` and the password is its `client_secret`. Invalid tokens will return `404 NOT FOUND`.
 */
export const fetchAppsCheckToken = (variables: AppsCheckTokenVariables) =>
  githubFetch<
    Schemas.Authorization,
    AppsCheckTokenError,
    AppsCheckTokenRequestBody,
    {},
    {},
    AppsCheckTokenPathParams
  >({ url: "/applications/{clientId}/token", method: "post", ...variables });

/**
 * OAuth applications can use a special API method for checking OAuth token validity without exceeding the normal rate limits for failed login attempts. Authentication works differently with this particular endpoint. You must use [Basic Authentication](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication) to use this endpoint, where the username is the OAuth application `client_id` and the password is its `client_secret`. Invalid tokens will return `404 NOT FOUND`.
 */
export const useAppsCheckToken = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Authorization,
      AppsCheckTokenError,
      AppsCheckTokenVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Authorization,
    AppsCheckTokenError,
    AppsCheckTokenVariables
  >(
    (variables: AppsCheckTokenVariables) =>
      fetchAppsCheckToken({ ...fetcherOptions, ...variables }),
    options
  );
};

export type AppsScopeTokenPathParams = {
  /*
   * The client ID of your GitHub app.
   */
  clientId: string;
};

export type AppsScopeTokenError = Fetcher.ErrorWrapper<
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type AppsScopeTokenRequestBody = {
  /*
   * **Required.** The OAuth access token used to authenticate to the GitHub API.
   *
   * @example e72e16c7e42f292c6912e7710c838347ae178b4a
   */
  access_token: string;
  permissions?: Schemas.AppPermissions;
  /*
   * The list of repository names to scope the user-to-server access token to. `repositories` may not be specified if `repository_ids` is specified.
   */
  repositories?: string[];
  /*
   * The list of repository IDs to scope the user-to-server access token to. `repository_ids` may not be specified if `repositories` is specified.
   *
   * @example 1
   */
  repository_ids?: number[];
  /*
   * The name of the user or organization to scope the user-to-server access token to. **Required** unless `target_id` is specified.
   *
   * @example octocat
   */
  target?: string;
  /*
   * The ID of the user or organization to scope the user-to-server access token to. **Required** unless `target` is specified.
   *
   * @example 1
   */
  target_id?: number;
};

export type AppsScopeTokenVariables = {
  body: AppsScopeTokenRequestBody;
  pathParams: AppsScopeTokenPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Exchanges a non-repository scoped user-to-server OAuth access token for a repository scoped user-to-server OAuth access token. You can specify which repositories the token can access and which permissions are granted to the token. You must use [Basic Authentication](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication) when accessing this endpoint, using the OAuth application's `client_id` and `client_secret` as the username and password. Invalid tokens will return `404 NOT FOUND`.
 */
export const fetchAppsScopeToken = (variables: AppsScopeTokenVariables) =>
  githubFetch<
    Schemas.Authorization,
    AppsScopeTokenError,
    AppsScopeTokenRequestBody,
    {},
    {},
    AppsScopeTokenPathParams
  >({
    url: "/applications/{clientId}/token/scoped",
    method: "post",
    ...variables,
  });

/**
 * Exchanges a non-repository scoped user-to-server OAuth access token for a repository scoped user-to-server OAuth access token. You can specify which repositories the token can access and which permissions are granted to the token. You must use [Basic Authentication](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication) when accessing this endpoint, using the OAuth application's `client_id` and `client_secret` as the username and password. Invalid tokens will return `404 NOT FOUND`.
 */
export const useAppsScopeToken = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Authorization,
      AppsScopeTokenError,
      AppsScopeTokenVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Authorization,
    AppsScopeTokenError,
    AppsScopeTokenVariables
  >(
    (variables: AppsScopeTokenVariables) =>
      fetchAppsScopeToken({ ...fetcherOptions, ...variables }),
    options
  );
};

export type AppsRevokeAuthorizationForApplicationPathParams = {
  /*
   * The client ID of your GitHub app.
   */
  clientId: string;
  accessToken: string;
};

export type AppsRevokeAuthorizationForApplicationError =
  Fetcher.ErrorWrapper<undefined>;

export type AppsRevokeAuthorizationForApplicationVariables = {
  pathParams: AppsRevokeAuthorizationForApplicationPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** GitHub will discontinue OAuth endpoints that contain `access_token` in the path parameter. We have introduced new endpoints that allow you to securely manage tokens for OAuth Apps by moving `access_token` to the request body. For more information, see the [blog post](https://developer.github.com/changes/2020-02-14-deprecating-oauth-app-endpoint/).
 *
 * OAuth application owners can revoke a single token for an OAuth application. You must use [Basic Authentication](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication) when accessing this endpoint, using the OAuth application's `client_id` and `client_secret` as the username and password.
 */
export const fetchAppsRevokeAuthorizationForApplication = (
  variables: AppsRevokeAuthorizationForApplicationVariables
) =>
  githubFetch<
    undefined,
    AppsRevokeAuthorizationForApplicationError,
    undefined,
    {},
    {},
    AppsRevokeAuthorizationForApplicationPathParams
  >({
    url: "/applications/{clientId}/tokens/{accessToken}",
    method: "delete",
    ...variables,
  });

/**
 * **Deprecation Notice:** GitHub will discontinue OAuth endpoints that contain `access_token` in the path parameter. We have introduced new endpoints that allow you to securely manage tokens for OAuth Apps by moving `access_token` to the request body. For more information, see the [blog post](https://developer.github.com/changes/2020-02-14-deprecating-oauth-app-endpoint/).
 *
 * OAuth application owners can revoke a single token for an OAuth application. You must use [Basic Authentication](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication) when accessing this endpoint, using the OAuth application's `client_id` and `client_secret` as the username and password.
 */
export const useAppsRevokeAuthorizationForApplication = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      AppsRevokeAuthorizationForApplicationError,
      AppsRevokeAuthorizationForApplicationVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    AppsRevokeAuthorizationForApplicationError,
    AppsRevokeAuthorizationForApplicationVariables
  >(
    (variables: AppsRevokeAuthorizationForApplicationVariables) =>
      fetchAppsRevokeAuthorizationForApplication({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type AppsCheckAuthorizationPathParams = {
  /*
   * The client ID of your GitHub app.
   */
  clientId: string;
  accessToken: string;
};

export type AppsCheckAuthorizationError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type AppsCheckAuthorizationResponse = Schemas.Authorization;

export type AppsCheckAuthorizationVariables = {
  pathParams: AppsCheckAuthorizationPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** GitHub will discontinue OAuth endpoints that contain `access_token` in the path parameter. We have introduced new endpoints that allow you to securely manage tokens for OAuth Apps by moving `access_token` to the request body. For more information, see the [blog post](https://developer.github.com/changes/2020-02-14-deprecating-oauth-app-endpoint/).
 *
 * OAuth applications can use a special API method for checking OAuth token validity without exceeding the normal rate limits for failed login attempts. Authentication works differently with this particular endpoint. You must use [Basic Authentication](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication) when accessing this endpoint, using the OAuth application's `client_id` and `client_secret` as the username and password. Invalid tokens will return `404 NOT FOUND`.
 */
export const fetchAppsCheckAuthorization = (
  variables: AppsCheckAuthorizationVariables
) =>
  githubFetch<
    AppsCheckAuthorizationResponse,
    AppsCheckAuthorizationError,
    undefined,
    {},
    {},
    AppsCheckAuthorizationPathParams
  >({
    url: "/applications/{clientId}/tokens/{accessToken}",
    method: "get",
    ...variables,
  });

/**
 * **Deprecation Notice:** GitHub will discontinue OAuth endpoints that contain `access_token` in the path parameter. We have introduced new endpoints that allow you to securely manage tokens for OAuth Apps by moving `access_token` to the request body. For more information, see the [blog post](https://developer.github.com/changes/2020-02-14-deprecating-oauth-app-endpoint/).
 *
 * OAuth applications can use a special API method for checking OAuth token validity without exceeding the normal rate limits for failed login attempts. Authentication works differently with this particular endpoint. You must use [Basic Authentication](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication) when accessing this endpoint, using the OAuth application's `client_id` and `client_secret` as the username and password. Invalid tokens will return `404 NOT FOUND`.
 */
export const useAppsCheckAuthorization = <
  TData = AppsCheckAuthorizationResponse
>(
  variables: AppsCheckAuthorizationVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      AppsCheckAuthorizationResponse,
      AppsCheckAuthorizationError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    AppsCheckAuthorizationResponse,
    AppsCheckAuthorizationError,
    TData
  >(
    queryKeyFn({
      path: "/applications/{client_id}/tokens/{access_token}",
      operationId: "appsCheckAuthorization",
      variables,
    }),
    () => fetchAppsCheckAuthorization({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type AppsResetAuthorizationPathParams = {
  /*
   * The client ID of your GitHub app.
   */
  clientId: string;
  accessToken: string;
};

export type AppsResetAuthorizationError = Fetcher.ErrorWrapper<undefined>;

export type AppsResetAuthorizationVariables = {
  pathParams: AppsResetAuthorizationPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** GitHub will discontinue OAuth endpoints that contain `access_token` in the path parameter. We have introduced new endpoints that allow you to securely manage tokens for OAuth Apps by moving `access_token` to the request body. For more information, see the [blog post](https://developer.github.com/changes/2020-02-14-deprecating-oauth-app-endpoint/).
 *
 * OAuth applications can use this API method to reset a valid OAuth token without end-user involvement. Applications must save the "token" property in the response because changes take effect immediately. You must use [Basic Authentication](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication) when accessing this endpoint, using the OAuth application's `client_id` and `client_secret` as the username and password. Invalid tokens will return `404 NOT FOUND`.
 */
export const fetchAppsResetAuthorization = (
  variables: AppsResetAuthorizationVariables
) =>
  githubFetch<
    Schemas.Authorization,
    AppsResetAuthorizationError,
    undefined,
    {},
    {},
    AppsResetAuthorizationPathParams
  >({
    url: "/applications/{clientId}/tokens/{accessToken}",
    method: "post",
    ...variables,
  });

/**
 * **Deprecation Notice:** GitHub will discontinue OAuth endpoints that contain `access_token` in the path parameter. We have introduced new endpoints that allow you to securely manage tokens for OAuth Apps by moving `access_token` to the request body. For more information, see the [blog post](https://developer.github.com/changes/2020-02-14-deprecating-oauth-app-endpoint/).
 *
 * OAuth applications can use this API method to reset a valid OAuth token without end-user involvement. Applications must save the "token" property in the response because changes take effect immediately. You must use [Basic Authentication](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication) when accessing this endpoint, using the OAuth application's `client_id` and `client_secret` as the username and password. Invalid tokens will return `404 NOT FOUND`.
 */
export const useAppsResetAuthorization = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Authorization,
      AppsResetAuthorizationError,
      AppsResetAuthorizationVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Authorization,
    AppsResetAuthorizationError,
    AppsResetAuthorizationVariables
  >(
    (variables: AppsResetAuthorizationVariables) =>
      fetchAppsResetAuthorization({ ...fetcherOptions, ...variables }),
    options
  );
};

export type AppsGetBySlugPathParams = {
  appSlug: string;
};

export type AppsGetBySlugError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 415;
      payload: Responses.PreviewHeaderMissing;
    }
>;

export type AppsGetBySlugVariables = {
  pathParams: AppsGetBySlugPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Note**: The `:app_slug` is just the URL-friendly name of your GitHub App. You can find this on the settings page for your GitHub App (e.g., `https://github.com/settings/apps/:app_slug`).
 *
 * If the GitHub App you specify is public, you can access this endpoint without authenticating. If the GitHub App you specify is private, you must authenticate with a [personal access token](https://help.github.com/articles/creating-a-personal-access-token-for-the-command-line/) or an [installation access token](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-an-installation) to access this endpoint.
 */
export const fetchAppsGetBySlug = (variables: AppsGetBySlugVariables) =>
  githubFetch<
    Schemas.Integration,
    AppsGetBySlugError,
    undefined,
    {},
    {},
    AppsGetBySlugPathParams
  >({ url: "/apps/{appSlug}", method: "get", ...variables });

/**
 * **Note**: The `:app_slug` is just the URL-friendly name of your GitHub App. You can find this on the settings page for your GitHub App (e.g., `https://github.com/settings/apps/:app_slug`).
 *
 * If the GitHub App you specify is public, you can access this endpoint without authenticating. If the GitHub App you specify is private, you must authenticate with a [personal access token](https://help.github.com/articles/creating-a-personal-access-token-for-the-command-line/) or an [installation access token](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-an-installation) to access this endpoint.
 */
export const useAppsGetBySlug = <TData = Schemas.Integration>(
  variables: AppsGetBySlugVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<Schemas.Integration, AppsGetBySlugError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.Integration, AppsGetBySlugError, TData>(
    queryKeyFn({
      path: "/apps/{app_slug}",
      operationId: "appsGetBySlug",
      variables,
    }),
    () => fetchAppsGetBySlug({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type OauthAuthorizationsListAuthorizationsQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
  /*
   * The client ID of your GitHub app.
   */
  client_id?: string;
};

export type OauthAuthorizationsListAuthorizationsError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type OauthAuthorizationsListAuthorizationsResponse =
  Schemas.Authorization[];

export type OauthAuthorizationsListAuthorizationsVariables = {
  queryParams?: OauthAuthorizationsListAuthorizationsQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** GitHub will discontinue the [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations), which is used by integrations to create personal access tokens and OAuth tokens, and you must now create these tokens using our [web application flow](https://docs.github.com/apps/building-oauth-apps/authorizing-oauth-apps/#web-application-flow). The [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations) will be removed on November, 13, 2020. For more information, including scheduled brownouts, see the [blog post](https://developer.github.com/changes/2020-02-14-deprecating-oauth-auth-endpoint/).
 */
export const fetchOauthAuthorizationsListAuthorizations = (
  variables: OauthAuthorizationsListAuthorizationsVariables
) =>
  githubFetch<
    OauthAuthorizationsListAuthorizationsResponse,
    OauthAuthorizationsListAuthorizationsError,
    undefined,
    {},
    OauthAuthorizationsListAuthorizationsQueryParams,
    {}
  >({ url: "/authorizations", method: "get", ...variables });

/**
 * **Deprecation Notice:** GitHub will discontinue the [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations), which is used by integrations to create personal access tokens and OAuth tokens, and you must now create these tokens using our [web application flow](https://docs.github.com/apps/building-oauth-apps/authorizing-oauth-apps/#web-application-flow). The [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations) will be removed on November, 13, 2020. For more information, including scheduled brownouts, see the [blog post](https://developer.github.com/changes/2020-02-14-deprecating-oauth-auth-endpoint/).
 */
export const useOauthAuthorizationsListAuthorizations = <
  TData = OauthAuthorizationsListAuthorizationsResponse
>(
  variables: OauthAuthorizationsListAuthorizationsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      OauthAuthorizationsListAuthorizationsResponse,
      OauthAuthorizationsListAuthorizationsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    OauthAuthorizationsListAuthorizationsResponse,
    OauthAuthorizationsListAuthorizationsError,
    TData
  >(
    queryKeyFn({
      path: "/authorizations",
      operationId: "oauthAuthorizationsListAuthorizations",
      variables,
    }),
    () =>
      fetchOauthAuthorizationsListAuthorizations({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type OauthAuthorizationsCreateAuthorizationError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 410;
      payload: Responses.Gone;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type OauthAuthorizationsCreateAuthorizationRequestBody = {
  /*
   * The OAuth app client key for which to create the token.
   *
   * @maxLength 20
   */
  client_id?: string;
  /*
   * The OAuth app client secret for which to create the token.
   *
   * @maxLength 40
   */
  client_secret?: string;
  /*
   * A unique string to distinguish an authorization from others created for the same client ID and user.
   */
  fingerprint?: string;
  /*
   * A note to remind you what the OAuth token is for.
   *
   * @example Update all gems
   */
  note?: string;
  /*
   * A URL to remind you what app the OAuth token is for.
   */
  note_url?: string;
  /*
   * A list of scopes that this authorization is in.
   *
   * @example public_repo
   * @example user
   */
  scopes?: string[] | null;
};

export type OauthAuthorizationsCreateAuthorizationVariables = {
  body?: OauthAuthorizationsCreateAuthorizationRequestBody;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** GitHub will discontinue the [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations), which is used by integrations to create personal access tokens and OAuth tokens, and you must now create these tokens using our [web application flow](https://docs.github.com/developers/apps/authorizing-oauth-apps#web-application-flow). The [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations) will be removed on November, 13, 2020. For more information, including scheduled brownouts, see the [blog post](https://developer.github.com/changes/2020-02-14-deprecating-oauth-auth-endpoint/).
 *
 * **Warning:** Apps must use the [web application flow](https://docs.github.com/apps/building-oauth-apps/authorizing-oauth-apps/#web-application-flow) to obtain OAuth tokens that work with GitHub SAML organizations. OAuth tokens created using the Authorizations API will be unable to access GitHub SAML organizations. For more information, see the [blog post](https://developer.github.com/changes/2019-11-05-deprecated-passwords-and-authorizations-api).
 *
 * Creates OAuth tokens using [Basic Authentication](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication). If you have two-factor authentication setup, Basic Authentication for this endpoint requires that you use a one-time password (OTP) and your username and password instead of tokens. For more information, see "[Working with two-factor authentication](https://docs.github.com/rest/overview/other-authentication-methods#working-with-two-factor-authentication)."
 *
 * To create tokens for a particular OAuth application using this endpoint, you must authenticate as the user you want to create an authorization for and provide the app's client ID and secret, found on your OAuth application's settings page. If your OAuth application intends to create multiple tokens for one user, use `fingerprint` to differentiate between them.
 *
 * You can also create tokens on GitHub from the [personal access tokens settings](https://github.com/settings/tokens) page. Read more about these tokens in [the GitHub Help documentation](https://help.github.com/articles/creating-an-access-token-for-command-line-use).
 *
 * Organizations that enforce SAML SSO require personal access tokens to be allowed. Read more about allowing tokens in [the GitHub Help documentation](https://help.github.com/articles/about-identity-and-access-management-with-saml-single-sign-on).
 */
export const fetchOauthAuthorizationsCreateAuthorization = (
  variables: OauthAuthorizationsCreateAuthorizationVariables
) =>
  githubFetch<
    Schemas.Authorization,
    OauthAuthorizationsCreateAuthorizationError,
    OauthAuthorizationsCreateAuthorizationRequestBody,
    {},
    {},
    {}
  >({ url: "/authorizations", method: "post", ...variables });

/**
 * **Deprecation Notice:** GitHub will discontinue the [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations), which is used by integrations to create personal access tokens and OAuth tokens, and you must now create these tokens using our [web application flow](https://docs.github.com/developers/apps/authorizing-oauth-apps#web-application-flow). The [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations) will be removed on November, 13, 2020. For more information, including scheduled brownouts, see the [blog post](https://developer.github.com/changes/2020-02-14-deprecating-oauth-auth-endpoint/).
 *
 * **Warning:** Apps must use the [web application flow](https://docs.github.com/apps/building-oauth-apps/authorizing-oauth-apps/#web-application-flow) to obtain OAuth tokens that work with GitHub SAML organizations. OAuth tokens created using the Authorizations API will be unable to access GitHub SAML organizations. For more information, see the [blog post](https://developer.github.com/changes/2019-11-05-deprecated-passwords-and-authorizations-api).
 *
 * Creates OAuth tokens using [Basic Authentication](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication). If you have two-factor authentication setup, Basic Authentication for this endpoint requires that you use a one-time password (OTP) and your username and password instead of tokens. For more information, see "[Working with two-factor authentication](https://docs.github.com/rest/overview/other-authentication-methods#working-with-two-factor-authentication)."
 *
 * To create tokens for a particular OAuth application using this endpoint, you must authenticate as the user you want to create an authorization for and provide the app's client ID and secret, found on your OAuth application's settings page. If your OAuth application intends to create multiple tokens for one user, use `fingerprint` to differentiate between them.
 *
 * You can also create tokens on GitHub from the [personal access tokens settings](https://github.com/settings/tokens) page. Read more about these tokens in [the GitHub Help documentation](https://help.github.com/articles/creating-an-access-token-for-command-line-use).
 *
 * Organizations that enforce SAML SSO require personal access tokens to be allowed. Read more about allowing tokens in [the GitHub Help documentation](https://help.github.com/articles/about-identity-and-access-management-with-saml-single-sign-on).
 */
export const useOauthAuthorizationsCreateAuthorization = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Authorization,
      OauthAuthorizationsCreateAuthorizationError,
      OauthAuthorizationsCreateAuthorizationVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Authorization,
    OauthAuthorizationsCreateAuthorizationError,
    OauthAuthorizationsCreateAuthorizationVariables
  >(
    (variables: OauthAuthorizationsCreateAuthorizationVariables) =>
      fetchOauthAuthorizationsCreateAuthorization({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type OauthAuthorizationsGetOrCreateAuthorizationForAppPathParams = {
  /*
   * The client ID of your GitHub app.
   */
  clientId: string;
};

export type OauthAuthorizationsGetOrCreateAuthorizationForAppError =
  Fetcher.ErrorWrapper<
    | {
        status: 304;
        payload: Responses.NotModified;
      }
    | {
        status: 401;
        payload: Responses.RequiresAuthentication;
      }
    | {
        status: 403;
        payload: Responses.Forbidden;
      }
    | {
        status: 422;
        payload: Responses.ValidationFailed;
      }
  >;

export type OauthAuthorizationsGetOrCreateAuthorizationForAppRequestBody = {
  /*
   * The OAuth app client secret for which to create the token.
   *
   * @maxLength 40
   */
  client_secret: string;
  /*
   * A unique string to distinguish an authorization from others created for the same client ID and user.
   */
  fingerprint?: string;
  /*
   * A note to remind you what the OAuth token is for.
   *
   * @example Update all gems
   */
  note?: string;
  /*
   * A URL to remind you what app the OAuth token is for.
   */
  note_url?: string;
  /*
   * A list of scopes that this authorization is in.
   *
   * @example public_repo
   * @example user
   */
  scopes?: string[] | null;
};

export type OauthAuthorizationsGetOrCreateAuthorizationForAppVariables = {
  body: OauthAuthorizationsGetOrCreateAuthorizationForAppRequestBody;
  pathParams: OauthAuthorizationsGetOrCreateAuthorizationForAppPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** GitHub will discontinue the [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations/), which is used by integrations to create personal access tokens and OAuth tokens, and you must now create these tokens using our [web application flow](https://docs.github.com/developers/apps/authorizing-oauth-apps#web-application-flow). The [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations) will be removed on November, 13, 2020. For more information, including scheduled brownouts, see the [blog post](https://developer.github.com/changes/2020-02-14-deprecating-oauth-auth-endpoint/).
 *
 * **Warning:** Apps must use the [web application flow](https://docs.github.com/apps/building-oauth-apps/authorizing-oauth-apps/#web-application-flow) to obtain OAuth tokens that work with GitHub SAML organizations. OAuth tokens created using the Authorizations API will be unable to access GitHub SAML organizations. For more information, see the [blog post](https://developer.github.com/changes/2019-11-05-deprecated-passwords-and-authorizations-api).
 *
 * Creates a new authorization for the specified OAuth application, only if an authorization for that application doesn't already exist for the user. The URL includes the 20 character client ID for the OAuth app that is requesting the token. It returns the user's existing authorization for the application if one is present. Otherwise, it creates and returns a new one.
 *
 * If you have two-factor authentication setup, Basic Authentication for this endpoint requires that you use a one-time password (OTP) and your username and password instead of tokens. For more information, see "[Working with two-factor authentication](https://docs.github.com/rest/overview/other-authentication-methods#working-with-two-factor-authentication)."
 *
 * **Deprecation Notice:** GitHub will discontinue the [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations/), which is used by integrations to create personal access tokens and OAuth tokens, and you must now create these tokens using our [web application flow](https://docs.github.com/developers/apps/authorizing-oauth-apps#web-application-flow). The [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations) will be removed on November, 13, 2020. For more information, including scheduled brownouts, see the [blog post](https://developer.github.com/changes/2020-02-14-deprecating-oauth-auth-endpoint/).
 */
export const fetchOauthAuthorizationsGetOrCreateAuthorizationForApp = (
  variables: OauthAuthorizationsGetOrCreateAuthorizationForAppVariables
) =>
  githubFetch<
    Schemas.Authorization,
    OauthAuthorizationsGetOrCreateAuthorizationForAppError,
    OauthAuthorizationsGetOrCreateAuthorizationForAppRequestBody,
    {},
    {},
    OauthAuthorizationsGetOrCreateAuthorizationForAppPathParams
  >({ url: "/authorizations/clients/{clientId}", method: "put", ...variables });

/**
 * **Deprecation Notice:** GitHub will discontinue the [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations/), which is used by integrations to create personal access tokens and OAuth tokens, and you must now create these tokens using our [web application flow](https://docs.github.com/developers/apps/authorizing-oauth-apps#web-application-flow). The [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations) will be removed on November, 13, 2020. For more information, including scheduled brownouts, see the [blog post](https://developer.github.com/changes/2020-02-14-deprecating-oauth-auth-endpoint/).
 *
 * **Warning:** Apps must use the [web application flow](https://docs.github.com/apps/building-oauth-apps/authorizing-oauth-apps/#web-application-flow) to obtain OAuth tokens that work with GitHub SAML organizations. OAuth tokens created using the Authorizations API will be unable to access GitHub SAML organizations. For more information, see the [blog post](https://developer.github.com/changes/2019-11-05-deprecated-passwords-and-authorizations-api).
 *
 * Creates a new authorization for the specified OAuth application, only if an authorization for that application doesn't already exist for the user. The URL includes the 20 character client ID for the OAuth app that is requesting the token. It returns the user's existing authorization for the application if one is present. Otherwise, it creates and returns a new one.
 *
 * If you have two-factor authentication setup, Basic Authentication for this endpoint requires that you use a one-time password (OTP) and your username and password instead of tokens. For more information, see "[Working with two-factor authentication](https://docs.github.com/rest/overview/other-authentication-methods#working-with-two-factor-authentication)."
 *
 * **Deprecation Notice:** GitHub will discontinue the [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations/), which is used by integrations to create personal access tokens and OAuth tokens, and you must now create these tokens using our [web application flow](https://docs.github.com/developers/apps/authorizing-oauth-apps#web-application-flow). The [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations) will be removed on November, 13, 2020. For more information, including scheduled brownouts, see the [blog post](https://developer.github.com/changes/2020-02-14-deprecating-oauth-auth-endpoint/).
 */
export const useOauthAuthorizationsGetOrCreateAuthorizationForApp = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Authorization,
      OauthAuthorizationsGetOrCreateAuthorizationForAppError,
      OauthAuthorizationsGetOrCreateAuthorizationForAppVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Authorization,
    OauthAuthorizationsGetOrCreateAuthorizationForAppError,
    OauthAuthorizationsGetOrCreateAuthorizationForAppVariables
  >(
    (variables: OauthAuthorizationsGetOrCreateAuthorizationForAppVariables) =>
      fetchOauthAuthorizationsGetOrCreateAuthorizationForApp({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type OauthAuthorizationsGetOrCreateAuthorizationForAppAndFingerprintPathParams =
  {
    /*
     * The client ID of your GitHub app.
     */
    clientId: string;
    fingerprint: string;
  };

export type OauthAuthorizationsGetOrCreateAuthorizationForAppAndFingerprintError =
  Fetcher.ErrorWrapper<{
    status: 422;
    payload: Responses.ValidationFailed;
  }>;

export type OauthAuthorizationsGetOrCreateAuthorizationForAppAndFingerprintRequestBody =
  {
    /*
     * The OAuth app client secret for which to create the token.
     *
     * @maxLength 40
     */
    client_secret: string;
    /*
     * A note to remind you what the OAuth token is for.
     *
     * @example Update all gems
     */
    note?: string;
    /*
     * A URL to remind you what app the OAuth token is for.
     */
    note_url?: string;
    /*
     * A list of scopes that this authorization is in.
     *
     * @example public_repo
     * @example user
     */
    scopes?: string[] | null;
  };

export type OauthAuthorizationsGetOrCreateAuthorizationForAppAndFingerprintVariables =
  {
    body: OauthAuthorizationsGetOrCreateAuthorizationForAppAndFingerprintRequestBody;
    pathParams: OauthAuthorizationsGetOrCreateAuthorizationForAppAndFingerprintPathParams;
  } & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** GitHub will discontinue the [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations/), which is used by integrations to create personal access tokens and OAuth tokens, and you must now create these tokens using our [web application flow](https://docs.github.com/developers/apps/authorizing-oauth-apps#web-application-flow). The [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations) will be removed on November, 13, 2020. For more information, including scheduled brownouts, see the [blog post](https://developer.github.com/changes/2020-02-14-deprecating-oauth-auth-endpoint/).
 *
 * **Warning:** Apps must use the [web application flow](https://docs.github.com/apps/building-oauth-apps/authorizing-oauth-apps/#web-application-flow) to obtain OAuth tokens that work with GitHub SAML organizations. OAuth tokens created using the Authorizations API will be unable to access GitHub SAML organizations. For more information, see the [blog post](https://developer.github.com/changes/2019-11-05-deprecated-passwords-and-authorizations-api).
 *
 * This method will create a new authorization for the specified OAuth application, only if an authorization for that application and fingerprint do not already exist for the user. The URL includes the 20 character client ID for the OAuth app that is requesting the token. `fingerprint` is a unique string to distinguish an authorization from others created for the same client ID and user. It returns the user's existing authorization for the application if one is present. Otherwise, it creates and returns a new one.
 *
 * If you have two-factor authentication setup, Basic Authentication for this endpoint requires that you use a one-time password (OTP) and your username and password instead of tokens. For more information, see "[Working with two-factor authentication](https://docs.github.com/rest/overview/other-authentication-methods#working-with-two-factor-authentication)."
 */
export const fetchOauthAuthorizationsGetOrCreateAuthorizationForAppAndFingerprint =
  (
    variables: OauthAuthorizationsGetOrCreateAuthorizationForAppAndFingerprintVariables
  ) =>
    githubFetch<
      Schemas.Authorization,
      OauthAuthorizationsGetOrCreateAuthorizationForAppAndFingerprintError,
      OauthAuthorizationsGetOrCreateAuthorizationForAppAndFingerprintRequestBody,
      {},
      {},
      OauthAuthorizationsGetOrCreateAuthorizationForAppAndFingerprintPathParams
    >({
      url: "/authorizations/clients/{clientId}/{fingerprint}",
      method: "put",
      ...variables,
    });

/**
 * **Deprecation Notice:** GitHub will discontinue the [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations/), which is used by integrations to create personal access tokens and OAuth tokens, and you must now create these tokens using our [web application flow](https://docs.github.com/developers/apps/authorizing-oauth-apps#web-application-flow). The [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations) will be removed on November, 13, 2020. For more information, including scheduled brownouts, see the [blog post](https://developer.github.com/changes/2020-02-14-deprecating-oauth-auth-endpoint/).
 *
 * **Warning:** Apps must use the [web application flow](https://docs.github.com/apps/building-oauth-apps/authorizing-oauth-apps/#web-application-flow) to obtain OAuth tokens that work with GitHub SAML organizations. OAuth tokens created using the Authorizations API will be unable to access GitHub SAML organizations. For more information, see the [blog post](https://developer.github.com/changes/2019-11-05-deprecated-passwords-and-authorizations-api).
 *
 * This method will create a new authorization for the specified OAuth application, only if an authorization for that application and fingerprint do not already exist for the user. The URL includes the 20 character client ID for the OAuth app that is requesting the token. `fingerprint` is a unique string to distinguish an authorization from others created for the same client ID and user. It returns the user's existing authorization for the application if one is present. Otherwise, it creates and returns a new one.
 *
 * If you have two-factor authentication setup, Basic Authentication for this endpoint requires that you use a one-time password (OTP) and your username and password instead of tokens. For more information, see "[Working with two-factor authentication](https://docs.github.com/rest/overview/other-authentication-methods#working-with-two-factor-authentication)."
 */
export const useOauthAuthorizationsGetOrCreateAuthorizationForAppAndFingerprint =
  (
    options?: Omit<
      reactQuery.UseMutationOptions<
        Schemas.Authorization,
        OauthAuthorizationsGetOrCreateAuthorizationForAppAndFingerprintError,
        OauthAuthorizationsGetOrCreateAuthorizationForAppAndFingerprintVariables
      >,
      "mutationFn"
    >
  ) => {
    const { fetcherOptions } = useGithubContext();
    return reactQuery.useMutation<
      Schemas.Authorization,
      OauthAuthorizationsGetOrCreateAuthorizationForAppAndFingerprintError,
      OauthAuthorizationsGetOrCreateAuthorizationForAppAndFingerprintVariables
    >(
      (
        variables: OauthAuthorizationsGetOrCreateAuthorizationForAppAndFingerprintVariables
      ) =>
        fetchOauthAuthorizationsGetOrCreateAuthorizationForAppAndFingerprint({
          ...fetcherOptions,
          ...variables,
        }),
      options
    );
  };

export type OauthAuthorizationsDeleteAuthorizationPathParams = {
  /*
   * authorization_id parameter
   */
  authorizationId: number;
};

export type OauthAuthorizationsDeleteAuthorizationError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
>;

export type OauthAuthorizationsDeleteAuthorizationVariables = {
  pathParams: OauthAuthorizationsDeleteAuthorizationPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** GitHub will discontinue the [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations), which is used by integrations to create personal access tokens and OAuth tokens, and you must now create these tokens using our [web application flow](https://docs.github.com/apps/building-oauth-apps/authorizing-oauth-apps/#web-application-flow). The [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations) will be removed on November, 13, 2020. For more information, including scheduled brownouts, see the [blog post](https://developer.github.com/changes/2020-02-14-deprecating-oauth-auth-endpoint/).
 */
export const fetchOauthAuthorizationsDeleteAuthorization = (
  variables: OauthAuthorizationsDeleteAuthorizationVariables
) =>
  githubFetch<
    undefined,
    OauthAuthorizationsDeleteAuthorizationError,
    undefined,
    {},
    {},
    OauthAuthorizationsDeleteAuthorizationPathParams
  >({
    url: "/authorizations/{authorizationId}",
    method: "delete",
    ...variables,
  });

/**
 * **Deprecation Notice:** GitHub will discontinue the [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations), which is used by integrations to create personal access tokens and OAuth tokens, and you must now create these tokens using our [web application flow](https://docs.github.com/apps/building-oauth-apps/authorizing-oauth-apps/#web-application-flow). The [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations) will be removed on November, 13, 2020. For more information, including scheduled brownouts, see the [blog post](https://developer.github.com/changes/2020-02-14-deprecating-oauth-auth-endpoint/).
 */
export const useOauthAuthorizationsDeleteAuthorization = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      OauthAuthorizationsDeleteAuthorizationError,
      OauthAuthorizationsDeleteAuthorizationVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    OauthAuthorizationsDeleteAuthorizationError,
    OauthAuthorizationsDeleteAuthorizationVariables
  >(
    (variables: OauthAuthorizationsDeleteAuthorizationVariables) =>
      fetchOauthAuthorizationsDeleteAuthorization({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type OauthAuthorizationsGetAuthorizationPathParams = {
  /*
   * authorization_id parameter
   */
  authorizationId: number;
};

export type OauthAuthorizationsGetAuthorizationError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
>;

export type OauthAuthorizationsGetAuthorizationVariables = {
  pathParams: OauthAuthorizationsGetAuthorizationPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** GitHub will discontinue the [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations), which is used by integrations to create personal access tokens and OAuth tokens, and you must now create these tokens using our [web application flow](https://docs.github.com/apps/building-oauth-apps/authorizing-oauth-apps/#web-application-flow). The [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations) will be removed on November, 13, 2020. For more information, including scheduled brownouts, see the [blog post](https://developer.github.com/changes/2020-02-14-deprecating-oauth-auth-endpoint/).
 */
export const fetchOauthAuthorizationsGetAuthorization = (
  variables: OauthAuthorizationsGetAuthorizationVariables
) =>
  githubFetch<
    Schemas.Authorization,
    OauthAuthorizationsGetAuthorizationError,
    undefined,
    {},
    {},
    OauthAuthorizationsGetAuthorizationPathParams
  >({ url: "/authorizations/{authorizationId}", method: "get", ...variables });

/**
 * **Deprecation Notice:** GitHub will discontinue the [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations), which is used by integrations to create personal access tokens and OAuth tokens, and you must now create these tokens using our [web application flow](https://docs.github.com/apps/building-oauth-apps/authorizing-oauth-apps/#web-application-flow). The [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations) will be removed on November, 13, 2020. For more information, including scheduled brownouts, see the [blog post](https://developer.github.com/changes/2020-02-14-deprecating-oauth-auth-endpoint/).
 */
export const useOauthAuthorizationsGetAuthorization = <
  TData = Schemas.Authorization
>(
  variables: OauthAuthorizationsGetAuthorizationVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.Authorization,
      OauthAuthorizationsGetAuthorizationError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.Authorization,
    OauthAuthorizationsGetAuthorizationError,
    TData
  >(
    queryKeyFn({
      path: "/authorizations/{authorization_id}",
      operationId: "oauthAuthorizationsGetAuthorization",
      variables,
    }),
    () =>
      fetchOauthAuthorizationsGetAuthorization({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type OauthAuthorizationsUpdateAuthorizationPathParams = {
  /*
   * authorization_id parameter
   */
  authorizationId: number;
};

export type OauthAuthorizationsUpdateAuthorizationError = Fetcher.ErrorWrapper<{
  status: 422;
  payload: Responses.ValidationFailed;
}>;

export type OauthAuthorizationsUpdateAuthorizationRequestBody = {
  /*
   * A list of scopes to add to this authorization.
   */
  add_scopes?: string[];
  /*
   * A unique string to distinguish an authorization from others created for the same client ID and user.
   */
  fingerprint?: string;
  /*
   * A note to remind you what the OAuth token is for.
   *
   * @example Update all gems
   */
  note?: string;
  /*
   * A URL to remind you what app the OAuth token is for.
   */
  note_url?: string;
  /*
   * A list of scopes to remove from this authorization.
   */
  remove_scopes?: string[];
  /*
   * A list of scopes that this authorization is in.
   *
   * @example public_repo
   * @example user
   */
  scopes?: string[] | null;
};

export type OauthAuthorizationsUpdateAuthorizationVariables = {
  body?: OauthAuthorizationsUpdateAuthorizationRequestBody;
  pathParams: OauthAuthorizationsUpdateAuthorizationPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** GitHub will discontinue the [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations/), which is used by integrations to create personal access tokens and OAuth tokens, and you must now create these tokens using our [web application flow](https://docs.github.com/developers/apps/authorizing-oauth-apps#web-application-flow). The [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations) will be removed on November, 13, 2020. For more information, including scheduled brownouts, see the [blog post](https://developer.github.com/changes/2020-02-14-deprecating-oauth-auth-endpoint/).
 *
 * If you have two-factor authentication setup, Basic Authentication for this endpoint requires that you use a one-time password (OTP) and your username and password instead of tokens. For more information, see "[Working with two-factor authentication](https://docs.github.com/rest/overview/other-authentication-methods#working-with-two-factor-authentication)."
 *
 * You can only send one of these scope keys at a time.
 */
export const fetchOauthAuthorizationsUpdateAuthorization = (
  variables: OauthAuthorizationsUpdateAuthorizationVariables
) =>
  githubFetch<
    Schemas.Authorization,
    OauthAuthorizationsUpdateAuthorizationError,
    OauthAuthorizationsUpdateAuthorizationRequestBody,
    {},
    {},
    OauthAuthorizationsUpdateAuthorizationPathParams
  >({
    url: "/authorizations/{authorizationId}",
    method: "patch",
    ...variables,
  });

/**
 * **Deprecation Notice:** GitHub will discontinue the [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations/), which is used by integrations to create personal access tokens and OAuth tokens, and you must now create these tokens using our [web application flow](https://docs.github.com/developers/apps/authorizing-oauth-apps#web-application-flow). The [OAuth Authorizations API](https://docs.github.com/rest/reference/oauth-authorizations) will be removed on November, 13, 2020. For more information, including scheduled brownouts, see the [blog post](https://developer.github.com/changes/2020-02-14-deprecating-oauth-auth-endpoint/).
 *
 * If you have two-factor authentication setup, Basic Authentication for this endpoint requires that you use a one-time password (OTP) and your username and password instead of tokens. For more information, see "[Working with two-factor authentication](https://docs.github.com/rest/overview/other-authentication-methods#working-with-two-factor-authentication)."
 *
 * You can only send one of these scope keys at a time.
 */
export const useOauthAuthorizationsUpdateAuthorization = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Authorization,
      OauthAuthorizationsUpdateAuthorizationError,
      OauthAuthorizationsUpdateAuthorizationVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Authorization,
    OauthAuthorizationsUpdateAuthorizationError,
    OauthAuthorizationsUpdateAuthorizationVariables
  >(
    (variables: OauthAuthorizationsUpdateAuthorizationVariables) =>
      fetchOauthAuthorizationsUpdateAuthorization({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type CodesOfConductGetAllCodesOfConductError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 415;
      payload: Responses.PreviewHeaderMissing;
    }
>;

export type CodesOfConductGetAllCodesOfConductResponse =
  Schemas.CodeOfConduct[];

export type CodesOfConductGetAllCodesOfConductVariables =
  GithubContext["fetcherOptions"];

export const fetchCodesOfConductGetAllCodesOfConduct = (
  variables: CodesOfConductGetAllCodesOfConductVariables
) =>
  githubFetch<
    CodesOfConductGetAllCodesOfConductResponse,
    CodesOfConductGetAllCodesOfConductError,
    undefined,
    {},
    {},
    {}
  >({ url: "/codes_of_conduct", method: "get", ...variables });

export const useCodesOfConductGetAllCodesOfConduct = <
  TData = CodesOfConductGetAllCodesOfConductResponse
>(
  variables: CodesOfConductGetAllCodesOfConductVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      CodesOfConductGetAllCodesOfConductResponse,
      CodesOfConductGetAllCodesOfConductError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    CodesOfConductGetAllCodesOfConductResponse,
    CodesOfConductGetAllCodesOfConductError,
    TData
  >(
    queryKeyFn({
      path: "/codes_of_conduct",
      operationId: "codesOfConductGetAllCodesOfConduct",
      variables,
    }),
    () =>
      fetchCodesOfConductGetAllCodesOfConduct({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type CodesOfConductGetConductCodePathParams = {
  key: string;
};

export type CodesOfConductGetConductCodeError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 415;
      payload: Responses.PreviewHeaderMissing;
    }
>;

export type CodesOfConductGetConductCodeVariables = {
  pathParams: CodesOfConductGetConductCodePathParams;
} & GithubContext["fetcherOptions"];

export const fetchCodesOfConductGetConductCode = (
  variables: CodesOfConductGetConductCodeVariables
) =>
  githubFetch<
    Schemas.CodeOfConduct,
    CodesOfConductGetConductCodeError,
    undefined,
    {},
    {},
    CodesOfConductGetConductCodePathParams
  >({ url: "/codes_of_conduct/{key}", method: "get", ...variables });

export const useCodesOfConductGetConductCode = <TData = Schemas.CodeOfConduct>(
  variables: CodesOfConductGetConductCodeVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.CodeOfConduct,
      CodesOfConductGetConductCodeError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.CodeOfConduct,
    CodesOfConductGetConductCodeError,
    TData
  >(
    queryKeyFn({
      path: "/codes_of_conduct/{key}",
      operationId: "codesOfConductGetConductCode",
      variables,
    }),
    () =>
      fetchCodesOfConductGetConductCode({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type AppsCreateContentAttachmentPathParams = {
  contentReferenceId: number;
};

export type AppsCreateContentAttachmentError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 410;
      payload: Responses.Gone;
    }
  | {
      status: 415;
      payload: Responses.PreviewHeaderMissing;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type AppsCreateContentAttachmentRequestBody = {
  /*
   * The body of the attachment
   *
   * @example Body of the attachment
   * @maxLength 262144
   */
  body: string;
  /*
   * The title of the attachment
   *
   * @example Title of the attachment
   * @maxLength 1024
   */
  title: string;
};

export type AppsCreateContentAttachmentVariables = {
  body: AppsCreateContentAttachmentRequestBody;
  pathParams: AppsCreateContentAttachmentPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Creates an attachment under a content reference URL in the body or comment of an issue or pull request. Use the `id` of the content reference from the [`content_reference` event](https://docs.github.com/webhooks/event-payloads/#content_reference) to create an attachment.
 *
 * The app must create a content attachment within six hours of the content reference URL being posted. See "[Using content attachments](https://docs.github.com/apps/using-content-attachments/)" for details about content attachments.
 *
 * You must use an [installation access token](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-an-installation) to access this endpoint.
 */
export const fetchAppsCreateContentAttachment = (
  variables: AppsCreateContentAttachmentVariables
) =>
  githubFetch<
    Schemas.ContentReferenceAttachment,
    AppsCreateContentAttachmentError,
    AppsCreateContentAttachmentRequestBody,
    {},
    {},
    AppsCreateContentAttachmentPathParams
  >({
    url: "/content_references/{contentReferenceId}/attachments",
    method: "post",
    ...variables,
  });

/**
 * Creates an attachment under a content reference URL in the body or comment of an issue or pull request. Use the `id` of the content reference from the [`content_reference` event](https://docs.github.com/webhooks/event-payloads/#content_reference) to create an attachment.
 *
 * The app must create a content attachment within six hours of the content reference URL being posted. See "[Using content attachments](https://docs.github.com/apps/using-content-attachments/)" for details about content attachments.
 *
 * You must use an [installation access token](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-an-installation) to access this endpoint.
 */
export const useAppsCreateContentAttachment = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.ContentReferenceAttachment,
      AppsCreateContentAttachmentError,
      AppsCreateContentAttachmentVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.ContentReferenceAttachment,
    AppsCreateContentAttachmentError,
    AppsCreateContentAttachmentVariables
  >(
    (variables: AppsCreateContentAttachmentVariables) =>
      fetchAppsCreateContentAttachment({ ...fetcherOptions, ...variables }),
    options
  );
};

export type EmojisGetError = Fetcher.ErrorWrapper<{
  status: 304;
  payload: Responses.NotModified;
}>;

export type EmojisGetResponse = {
  [key: string]: string;
};

export type EmojisGetVariables = GithubContext["fetcherOptions"];

/**
 * Lists all the emojis available to use on GitHub.
 */
export const fetchEmojisGet = (variables: EmojisGetVariables) =>
  githubFetch<EmojisGetResponse, EmojisGetError, undefined, {}, {}, {}>({
    url: "/emojis",
    method: "get",
    ...variables,
  });

/**
 * Lists all the emojis available to use on GitHub.
 */
export const useEmojisGet = <TData = EmojisGetResponse>(
  variables: EmojisGetVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<EmojisGetResponse, EmojisGetError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<EmojisGetResponse, EmojisGetError, TData>(
    queryKeyFn({ path: "/emojis", operationId: "emojisGet", variables }),
    () => fetchEmojisGet({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type EnterpriseAdminGetGithubActionsPermissionsEnterprisePathParams = {
  /*
   * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
   */
  enterprise: string;
};

export type EnterpriseAdminGetGithubActionsPermissionsEnterpriseError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminGetGithubActionsPermissionsEnterpriseVariables = {
  pathParams: EnterpriseAdminGetGithubActionsPermissionsEnterprisePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets the GitHub Actions permissions policy for organizations and allowed actions in an enterprise.
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const fetchEnterpriseAdminGetGithubActionsPermissionsEnterprise = (
  variables: EnterpriseAdminGetGithubActionsPermissionsEnterpriseVariables
) =>
  githubFetch<
    Schemas.ActionsEnterprisePermissions,
    EnterpriseAdminGetGithubActionsPermissionsEnterpriseError,
    undefined,
    {},
    {},
    EnterpriseAdminGetGithubActionsPermissionsEnterprisePathParams
  >({
    url: "/enterprises/{enterprise}/actions/permissions",
    method: "get",
    ...variables,
  });

/**
 * Gets the GitHub Actions permissions policy for organizations and allowed actions in an enterprise.
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const useEnterpriseAdminGetGithubActionsPermissionsEnterprise = <
  TData = Schemas.ActionsEnterprisePermissions
>(
  variables: EnterpriseAdminGetGithubActionsPermissionsEnterpriseVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.ActionsEnterprisePermissions,
      EnterpriseAdminGetGithubActionsPermissionsEnterpriseError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.ActionsEnterprisePermissions,
    EnterpriseAdminGetGithubActionsPermissionsEnterpriseError,
    TData
  >(
    queryKeyFn({
      path: "/enterprises/{enterprise}/actions/permissions",
      operationId: "enterpriseAdminGetGithubActionsPermissionsEnterprise",
      variables,
    }),
    () =>
      fetchEnterpriseAdminGetGithubActionsPermissionsEnterprise({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type EnterpriseAdminSetGithubActionsPermissionsEnterprisePathParams = {
  /*
   * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
   */
  enterprise: string;
};

export type EnterpriseAdminSetGithubActionsPermissionsEnterpriseError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminSetGithubActionsPermissionsEnterpriseRequestBody = {
  allowed_actions?: Schemas.AllowedActions;
  enabled_organizations: Schemas.EnabledOrganizations;
};

export type EnterpriseAdminSetGithubActionsPermissionsEnterpriseVariables = {
  body: EnterpriseAdminSetGithubActionsPermissionsEnterpriseRequestBody;
  pathParams: EnterpriseAdminSetGithubActionsPermissionsEnterprisePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Sets the GitHub Actions permissions policy for organizations and allowed actions in an enterprise.
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const fetchEnterpriseAdminSetGithubActionsPermissionsEnterprise = (
  variables: EnterpriseAdminSetGithubActionsPermissionsEnterpriseVariables
) =>
  githubFetch<
    undefined,
    EnterpriseAdminSetGithubActionsPermissionsEnterpriseError,
    EnterpriseAdminSetGithubActionsPermissionsEnterpriseRequestBody,
    {},
    {},
    EnterpriseAdminSetGithubActionsPermissionsEnterprisePathParams
  >({
    url: "/enterprises/{enterprise}/actions/permissions",
    method: "put",
    ...variables,
  });

/**
 * Sets the GitHub Actions permissions policy for organizations and allowed actions in an enterprise.
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const useEnterpriseAdminSetGithubActionsPermissionsEnterprise = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      EnterpriseAdminSetGithubActionsPermissionsEnterpriseError,
      EnterpriseAdminSetGithubActionsPermissionsEnterpriseVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    EnterpriseAdminSetGithubActionsPermissionsEnterpriseError,
    EnterpriseAdminSetGithubActionsPermissionsEnterpriseVariables
  >(
    (
      variables: EnterpriseAdminSetGithubActionsPermissionsEnterpriseVariables
    ) =>
      fetchEnterpriseAdminSetGithubActionsPermissionsEnterprise({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type EnterpriseAdminListSelectedOrganizationsEnabledGithubActionsEnterprisePathParams =
  {
    /*
     * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
     */
    enterprise: string;
  };

export type EnterpriseAdminListSelectedOrganizationsEnabledGithubActionsEnterpriseQueryParams =
  {
    /*
     * Results per page (max 100).
     *
     * @default 30
     */
    per_page?: number;
    /*
     * Page number of the results to fetch.
     *
     * @default 1
     */
    page?: number;
  };

export type EnterpriseAdminListSelectedOrganizationsEnabledGithubActionsEnterpriseError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminListSelectedOrganizationsEnabledGithubActionsEnterpriseResponse =
  {
    organizations: Schemas.OrganizationSimple[];
    total_count: number;
  };

export type EnterpriseAdminListSelectedOrganizationsEnabledGithubActionsEnterpriseVariables =
  {
    pathParams: EnterpriseAdminListSelectedOrganizationsEnabledGithubActionsEnterprisePathParams;
    queryParams?: EnterpriseAdminListSelectedOrganizationsEnabledGithubActionsEnterpriseQueryParams;
  } & GithubContext["fetcherOptions"];

/**
 * Lists the organizations that are selected to have GitHub Actions enabled in an enterprise. To use this endpoint, the enterprise permission policy for `enabled_organizations` must be configured to `selected`. For more information, see "[Set GitHub Actions permissions for an enterprise](#set-github-actions-permissions-for-an-enterprise)."
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const fetchEnterpriseAdminListSelectedOrganizationsEnabledGithubActionsEnterprise =
  (
    variables: EnterpriseAdminListSelectedOrganizationsEnabledGithubActionsEnterpriseVariables
  ) =>
    githubFetch<
      EnterpriseAdminListSelectedOrganizationsEnabledGithubActionsEnterpriseResponse,
      EnterpriseAdminListSelectedOrganizationsEnabledGithubActionsEnterpriseError,
      undefined,
      {},
      EnterpriseAdminListSelectedOrganizationsEnabledGithubActionsEnterpriseQueryParams,
      EnterpriseAdminListSelectedOrganizationsEnabledGithubActionsEnterprisePathParams
    >({
      url: "/enterprises/{enterprise}/actions/permissions/organizations",
      method: "get",
      ...variables,
    });

/**
 * Lists the organizations that are selected to have GitHub Actions enabled in an enterprise. To use this endpoint, the enterprise permission policy for `enabled_organizations` must be configured to `selected`. For more information, see "[Set GitHub Actions permissions for an enterprise](#set-github-actions-permissions-for-an-enterprise)."
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const useEnterpriseAdminListSelectedOrganizationsEnabledGithubActionsEnterprise =
  <
    TData = EnterpriseAdminListSelectedOrganizationsEnabledGithubActionsEnterpriseResponse
  >(
    variables: EnterpriseAdminListSelectedOrganizationsEnabledGithubActionsEnterpriseVariables,
    options?: Omit<
      reactQuery.UseQueryOptions<
        EnterpriseAdminListSelectedOrganizationsEnabledGithubActionsEnterpriseResponse,
        EnterpriseAdminListSelectedOrganizationsEnabledGithubActionsEnterpriseError,
        TData
      >,
      "queryKey" | "queryFn"
    >
  ) => {
    const { fetcherOptions, queryOptions, queryKeyFn } =
      useGithubContext(options);
    return reactQuery.useQuery<
      EnterpriseAdminListSelectedOrganizationsEnabledGithubActionsEnterpriseResponse,
      EnterpriseAdminListSelectedOrganizationsEnabledGithubActionsEnterpriseError,
      TData
    >(
      queryKeyFn({
        path: "/enterprises/{enterprise}/actions/permissions/organizations",
        operationId:
          "enterpriseAdminListSelectedOrganizationsEnabledGithubActionsEnterprise",
        variables,
      }),
      () =>
        fetchEnterpriseAdminListSelectedOrganizationsEnabledGithubActionsEnterprise(
          { ...fetcherOptions, ...variables }
        ),
      {
        ...options,
        ...queryOptions,
      }
    );
  };

export type EnterpriseAdminSetSelectedOrganizationsEnabledGithubActionsEnterprisePathParams =
  {
    /*
     * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
     */
    enterprise: string;
  };

export type EnterpriseAdminSetSelectedOrganizationsEnabledGithubActionsEnterpriseError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminSetSelectedOrganizationsEnabledGithubActionsEnterpriseRequestBody =
  {
    /*
     * List of organization IDs to enable for GitHub Actions.
     */
    selected_organization_ids: number[];
  };

export type EnterpriseAdminSetSelectedOrganizationsEnabledGithubActionsEnterpriseVariables =
  {
    body: EnterpriseAdminSetSelectedOrganizationsEnabledGithubActionsEnterpriseRequestBody;
    pathParams: EnterpriseAdminSetSelectedOrganizationsEnabledGithubActionsEnterprisePathParams;
  } & GithubContext["fetcherOptions"];

/**
 * Replaces the list of selected organizations that are enabled for GitHub Actions in an enterprise. To use this endpoint, the enterprise permission policy for `enabled_organizations` must be configured to `selected`. For more information, see "[Set GitHub Actions permissions for an enterprise](#set-github-actions-permissions-for-an-enterprise)."
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const fetchEnterpriseAdminSetSelectedOrganizationsEnabledGithubActionsEnterprise =
  (
    variables: EnterpriseAdminSetSelectedOrganizationsEnabledGithubActionsEnterpriseVariables
  ) =>
    githubFetch<
      undefined,
      EnterpriseAdminSetSelectedOrganizationsEnabledGithubActionsEnterpriseError,
      EnterpriseAdminSetSelectedOrganizationsEnabledGithubActionsEnterpriseRequestBody,
      {},
      {},
      EnterpriseAdminSetSelectedOrganizationsEnabledGithubActionsEnterprisePathParams
    >({
      url: "/enterprises/{enterprise}/actions/permissions/organizations",
      method: "put",
      ...variables,
    });

/**
 * Replaces the list of selected organizations that are enabled for GitHub Actions in an enterprise. To use this endpoint, the enterprise permission policy for `enabled_organizations` must be configured to `selected`. For more information, see "[Set GitHub Actions permissions for an enterprise](#set-github-actions-permissions-for-an-enterprise)."
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const useEnterpriseAdminSetSelectedOrganizationsEnabledGithubActionsEnterprise =
  (
    options?: Omit<
      reactQuery.UseMutationOptions<
        undefined,
        EnterpriseAdminSetSelectedOrganizationsEnabledGithubActionsEnterpriseError,
        EnterpriseAdminSetSelectedOrganizationsEnabledGithubActionsEnterpriseVariables
      >,
      "mutationFn"
    >
  ) => {
    const { fetcherOptions } = useGithubContext();
    return reactQuery.useMutation<
      undefined,
      EnterpriseAdminSetSelectedOrganizationsEnabledGithubActionsEnterpriseError,
      EnterpriseAdminSetSelectedOrganizationsEnabledGithubActionsEnterpriseVariables
    >(
      (
        variables: EnterpriseAdminSetSelectedOrganizationsEnabledGithubActionsEnterpriseVariables
      ) =>
        fetchEnterpriseAdminSetSelectedOrganizationsEnabledGithubActionsEnterprise(
          { ...fetcherOptions, ...variables }
        ),
      options
    );
  };

export type EnterpriseAdminDisableSelectedOrganizationGithubActionsEnterprisePathParams =
  {
    /*
     * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
     */
    enterprise: string;
    /*
     * Unique identifier of an organization.
     */
    orgId: number;
  };

export type EnterpriseAdminDisableSelectedOrganizationGithubActionsEnterpriseError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminDisableSelectedOrganizationGithubActionsEnterpriseVariables =
  {
    pathParams: EnterpriseAdminDisableSelectedOrganizationGithubActionsEnterprisePathParams;
  } & GithubContext["fetcherOptions"];

/**
 * Removes an organization from the list of selected organizations that are enabled for GitHub Actions in an enterprise. To use this endpoint, the enterprise permission policy for `enabled_organizations` must be configured to `selected`. For more information, see "[Set GitHub Actions permissions for an enterprise](#set-github-actions-permissions-for-an-enterprise)."
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const fetchEnterpriseAdminDisableSelectedOrganizationGithubActionsEnterprise =
  (
    variables: EnterpriseAdminDisableSelectedOrganizationGithubActionsEnterpriseVariables
  ) =>
    githubFetch<
      undefined,
      EnterpriseAdminDisableSelectedOrganizationGithubActionsEnterpriseError,
      undefined,
      {},
      {},
      EnterpriseAdminDisableSelectedOrganizationGithubActionsEnterprisePathParams
    >({
      url: "/enterprises/{enterprise}/actions/permissions/organizations/{orgId}",
      method: "delete",
      ...variables,
    });

/**
 * Removes an organization from the list of selected organizations that are enabled for GitHub Actions in an enterprise. To use this endpoint, the enterprise permission policy for `enabled_organizations` must be configured to `selected`. For more information, see "[Set GitHub Actions permissions for an enterprise](#set-github-actions-permissions-for-an-enterprise)."
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const useEnterpriseAdminDisableSelectedOrganizationGithubActionsEnterprise =
  (
    options?: Omit<
      reactQuery.UseMutationOptions<
        undefined,
        EnterpriseAdminDisableSelectedOrganizationGithubActionsEnterpriseError,
        EnterpriseAdminDisableSelectedOrganizationGithubActionsEnterpriseVariables
      >,
      "mutationFn"
    >
  ) => {
    const { fetcherOptions } = useGithubContext();
    return reactQuery.useMutation<
      undefined,
      EnterpriseAdminDisableSelectedOrganizationGithubActionsEnterpriseError,
      EnterpriseAdminDisableSelectedOrganizationGithubActionsEnterpriseVariables
    >(
      (
        variables: EnterpriseAdminDisableSelectedOrganizationGithubActionsEnterpriseVariables
      ) =>
        fetchEnterpriseAdminDisableSelectedOrganizationGithubActionsEnterprise({
          ...fetcherOptions,
          ...variables,
        }),
      options
    );
  };

export type EnterpriseAdminEnableSelectedOrganizationGithubActionsEnterprisePathParams =
  {
    /*
     * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
     */
    enterprise: string;
    /*
     * Unique identifier of an organization.
     */
    orgId: number;
  };

export type EnterpriseAdminEnableSelectedOrganizationGithubActionsEnterpriseError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminEnableSelectedOrganizationGithubActionsEnterpriseVariables =
  {
    pathParams: EnterpriseAdminEnableSelectedOrganizationGithubActionsEnterprisePathParams;
  } & GithubContext["fetcherOptions"];

/**
 * Adds an organization to the list of selected organizations that are enabled for GitHub Actions in an enterprise. To use this endpoint, the enterprise permission policy for `enabled_organizations` must be configured to `selected`. For more information, see "[Set GitHub Actions permissions for an enterprise](#set-github-actions-permissions-for-an-enterprise)."
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const fetchEnterpriseAdminEnableSelectedOrganizationGithubActionsEnterprise =
  (
    variables: EnterpriseAdminEnableSelectedOrganizationGithubActionsEnterpriseVariables
  ) =>
    githubFetch<
      undefined,
      EnterpriseAdminEnableSelectedOrganizationGithubActionsEnterpriseError,
      undefined,
      {},
      {},
      EnterpriseAdminEnableSelectedOrganizationGithubActionsEnterprisePathParams
    >({
      url: "/enterprises/{enterprise}/actions/permissions/organizations/{orgId}",
      method: "put",
      ...variables,
    });

/**
 * Adds an organization to the list of selected organizations that are enabled for GitHub Actions in an enterprise. To use this endpoint, the enterprise permission policy for `enabled_organizations` must be configured to `selected`. For more information, see "[Set GitHub Actions permissions for an enterprise](#set-github-actions-permissions-for-an-enterprise)."
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const useEnterpriseAdminEnableSelectedOrganizationGithubActionsEnterprise =
  (
    options?: Omit<
      reactQuery.UseMutationOptions<
        undefined,
        EnterpriseAdminEnableSelectedOrganizationGithubActionsEnterpriseError,
        EnterpriseAdminEnableSelectedOrganizationGithubActionsEnterpriseVariables
      >,
      "mutationFn"
    >
  ) => {
    const { fetcherOptions } = useGithubContext();
    return reactQuery.useMutation<
      undefined,
      EnterpriseAdminEnableSelectedOrganizationGithubActionsEnterpriseError,
      EnterpriseAdminEnableSelectedOrganizationGithubActionsEnterpriseVariables
    >(
      (
        variables: EnterpriseAdminEnableSelectedOrganizationGithubActionsEnterpriseVariables
      ) =>
        fetchEnterpriseAdminEnableSelectedOrganizationGithubActionsEnterprise({
          ...fetcherOptions,
          ...variables,
        }),
      options
    );
  };

export type EnterpriseAdminGetAllowedActionsEnterprisePathParams = {
  /*
   * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
   */
  enterprise: string;
};

export type EnterpriseAdminGetAllowedActionsEnterpriseError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminGetAllowedActionsEnterpriseVariables = {
  pathParams: EnterpriseAdminGetAllowedActionsEnterprisePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets the selected actions that are allowed in an enterprise. To use this endpoint, the enterprise permission policy for `allowed_actions` must be configured to `selected`. For more information, see "[Set GitHub Actions permissions for an enterprise](#set-github-actions-permissions-for-an-enterprise)."
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const fetchEnterpriseAdminGetAllowedActionsEnterprise = (
  variables: EnterpriseAdminGetAllowedActionsEnterpriseVariables
) =>
  githubFetch<
    Schemas.SelectedActions,
    EnterpriseAdminGetAllowedActionsEnterpriseError,
    undefined,
    {},
    {},
    EnterpriseAdminGetAllowedActionsEnterprisePathParams
  >({
    url: "/enterprises/{enterprise}/actions/permissions/selected-actions",
    method: "get",
    ...variables,
  });

/**
 * Gets the selected actions that are allowed in an enterprise. To use this endpoint, the enterprise permission policy for `allowed_actions` must be configured to `selected`. For more information, see "[Set GitHub Actions permissions for an enterprise](#set-github-actions-permissions-for-an-enterprise)."
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const useEnterpriseAdminGetAllowedActionsEnterprise = <
  TData = Schemas.SelectedActions
>(
  variables: EnterpriseAdminGetAllowedActionsEnterpriseVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.SelectedActions,
      EnterpriseAdminGetAllowedActionsEnterpriseError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.SelectedActions,
    EnterpriseAdminGetAllowedActionsEnterpriseError,
    TData
  >(
    queryKeyFn({
      path: "/enterprises/{enterprise}/actions/permissions/selected-actions",
      operationId: "enterpriseAdminGetAllowedActionsEnterprise",
      variables,
    }),
    () =>
      fetchEnterpriseAdminGetAllowedActionsEnterprise({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type EnterpriseAdminSetAllowedActionsEnterprisePathParams = {
  /*
   * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
   */
  enterprise: string;
};

export type EnterpriseAdminSetAllowedActionsEnterpriseError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminSetAllowedActionsEnterpriseVariables = {
  body: Schemas.SelectedActions;
  pathParams: EnterpriseAdminSetAllowedActionsEnterprisePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Sets the actions that are allowed in an enterprise. To use this endpoint, the enterprise permission policy for `allowed_actions` must be configured to `selected`. For more information, see "[Set GitHub Actions permissions for an enterprise](#set-github-actions-permissions-for-an-enterprise)."
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const fetchEnterpriseAdminSetAllowedActionsEnterprise = (
  variables: EnterpriseAdminSetAllowedActionsEnterpriseVariables
) =>
  githubFetch<
    undefined,
    EnterpriseAdminSetAllowedActionsEnterpriseError,
    Schemas.SelectedActions,
    {},
    {},
    EnterpriseAdminSetAllowedActionsEnterprisePathParams
  >({
    url: "/enterprises/{enterprise}/actions/permissions/selected-actions",
    method: "put",
    ...variables,
  });

/**
 * Sets the actions that are allowed in an enterprise. To use this endpoint, the enterprise permission policy for `allowed_actions` must be configured to `selected`. For more information, see "[Set GitHub Actions permissions for an enterprise](#set-github-actions-permissions-for-an-enterprise)."
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const useEnterpriseAdminSetAllowedActionsEnterprise = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      EnterpriseAdminSetAllowedActionsEnterpriseError,
      EnterpriseAdminSetAllowedActionsEnterpriseVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    EnterpriseAdminSetAllowedActionsEnterpriseError,
    EnterpriseAdminSetAllowedActionsEnterpriseVariables
  >(
    (variables: EnterpriseAdminSetAllowedActionsEnterpriseVariables) =>
      fetchEnterpriseAdminSetAllowedActionsEnterprise({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type EnterpriseAdminListSelfHostedRunnerGroupsForEnterprisePathParams = {
  /*
   * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
   */
  enterprise: string;
};

export type EnterpriseAdminListSelfHostedRunnerGroupsForEnterpriseQueryParams =
  {
    /*
     * Results per page (max 100).
     *
     * @default 30
     */
    per_page?: number;
    /*
     * Page number of the results to fetch.
     *
     * @default 1
     */
    page?: number;
  };

export type EnterpriseAdminListSelfHostedRunnerGroupsForEnterpriseError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminListSelfHostedRunnerGroupsForEnterpriseResponse = {
  runner_groups: Schemas.RunnerGroupsEnterprise[];
  total_count: number;
};

export type EnterpriseAdminListSelfHostedRunnerGroupsForEnterpriseVariables = {
  pathParams: EnterpriseAdminListSelfHostedRunnerGroupsForEnterprisePathParams;
  queryParams?: EnterpriseAdminListSelfHostedRunnerGroupsForEnterpriseQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists all self-hosted runner groups for an enterprise.
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const fetchEnterpriseAdminListSelfHostedRunnerGroupsForEnterprise = (
  variables: EnterpriseAdminListSelfHostedRunnerGroupsForEnterpriseVariables
) =>
  githubFetch<
    EnterpriseAdminListSelfHostedRunnerGroupsForEnterpriseResponse,
    EnterpriseAdminListSelfHostedRunnerGroupsForEnterpriseError,
    undefined,
    {},
    EnterpriseAdminListSelfHostedRunnerGroupsForEnterpriseQueryParams,
    EnterpriseAdminListSelfHostedRunnerGroupsForEnterprisePathParams
  >({
    url: "/enterprises/{enterprise}/actions/runner-groups",
    method: "get",
    ...variables,
  });

/**
 * Lists all self-hosted runner groups for an enterprise.
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const useEnterpriseAdminListSelfHostedRunnerGroupsForEnterprise = <
  TData = EnterpriseAdminListSelfHostedRunnerGroupsForEnterpriseResponse
>(
  variables: EnterpriseAdminListSelfHostedRunnerGroupsForEnterpriseVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      EnterpriseAdminListSelfHostedRunnerGroupsForEnterpriseResponse,
      EnterpriseAdminListSelfHostedRunnerGroupsForEnterpriseError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    EnterpriseAdminListSelfHostedRunnerGroupsForEnterpriseResponse,
    EnterpriseAdminListSelfHostedRunnerGroupsForEnterpriseError,
    TData
  >(
    queryKeyFn({
      path: "/enterprises/{enterprise}/actions/runner-groups",
      operationId: "enterpriseAdminListSelfHostedRunnerGroupsForEnterprise",
      variables,
    }),
    () =>
      fetchEnterpriseAdminListSelfHostedRunnerGroupsForEnterprise({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type EnterpriseAdminCreateSelfHostedRunnerGroupForEnterprisePathParams =
  {
    /*
     * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
     */
    enterprise: string;
  };

export type EnterpriseAdminCreateSelfHostedRunnerGroupForEnterpriseError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminCreateSelfHostedRunnerGroupForEnterpriseRequestBody =
  {
    /*
     * Name of the runner group.
     */
    name: string;
    /*
     * List of runner IDs to add to the runner group.
     */
    runners?: number[];
    /*
     * List of organization IDs that can access the runner group.
     */
    selected_organization_ids?: number[];
    /*
     * Visibility of a runner group. You can select all organizations or select individual organization. Can be one of: `all` or `selected`
     */
    visibility?: "selected" | "all";
  };

export type EnterpriseAdminCreateSelfHostedRunnerGroupForEnterpriseVariables = {
  body: EnterpriseAdminCreateSelfHostedRunnerGroupForEnterpriseRequestBody;
  pathParams: EnterpriseAdminCreateSelfHostedRunnerGroupForEnterprisePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Creates a new self-hosted runner group for an enterprise.
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const fetchEnterpriseAdminCreateSelfHostedRunnerGroupForEnterprise = (
  variables: EnterpriseAdminCreateSelfHostedRunnerGroupForEnterpriseVariables
) =>
  githubFetch<
    Schemas.RunnerGroupsEnterprise,
    EnterpriseAdminCreateSelfHostedRunnerGroupForEnterpriseError,
    EnterpriseAdminCreateSelfHostedRunnerGroupForEnterpriseRequestBody,
    {},
    {},
    EnterpriseAdminCreateSelfHostedRunnerGroupForEnterprisePathParams
  >({
    url: "/enterprises/{enterprise}/actions/runner-groups",
    method: "post",
    ...variables,
  });

/**
 * Creates a new self-hosted runner group for an enterprise.
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const useEnterpriseAdminCreateSelfHostedRunnerGroupForEnterprise = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.RunnerGroupsEnterprise,
      EnterpriseAdminCreateSelfHostedRunnerGroupForEnterpriseError,
      EnterpriseAdminCreateSelfHostedRunnerGroupForEnterpriseVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.RunnerGroupsEnterprise,
    EnterpriseAdminCreateSelfHostedRunnerGroupForEnterpriseError,
    EnterpriseAdminCreateSelfHostedRunnerGroupForEnterpriseVariables
  >(
    (
      variables: EnterpriseAdminCreateSelfHostedRunnerGroupForEnterpriseVariables
    ) =>
      fetchEnterpriseAdminCreateSelfHostedRunnerGroupForEnterprise({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type EnterpriseAdminDeleteSelfHostedRunnerGroupFromEnterprisePathParams =
  {
    /*
     * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
     */
    enterprise: string;
    /*
     * Unique identifier of the self-hosted runner group.
     */
    runnerGroupId: number;
  };

export type EnterpriseAdminDeleteSelfHostedRunnerGroupFromEnterpriseError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminDeleteSelfHostedRunnerGroupFromEnterpriseVariables =
  {
    pathParams: EnterpriseAdminDeleteSelfHostedRunnerGroupFromEnterprisePathParams;
  } & GithubContext["fetcherOptions"];

/**
 * Deletes a self-hosted runner group for an enterprise.
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const fetchEnterpriseAdminDeleteSelfHostedRunnerGroupFromEnterprise = (
  variables: EnterpriseAdminDeleteSelfHostedRunnerGroupFromEnterpriseVariables
) =>
  githubFetch<
    undefined,
    EnterpriseAdminDeleteSelfHostedRunnerGroupFromEnterpriseError,
    undefined,
    {},
    {},
    EnterpriseAdminDeleteSelfHostedRunnerGroupFromEnterprisePathParams
  >({
    url: "/enterprises/{enterprise}/actions/runner-groups/{runnerGroupId}",
    method: "delete",
    ...variables,
  });

/**
 * Deletes a self-hosted runner group for an enterprise.
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const useEnterpriseAdminDeleteSelfHostedRunnerGroupFromEnterprise = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      EnterpriseAdminDeleteSelfHostedRunnerGroupFromEnterpriseError,
      EnterpriseAdminDeleteSelfHostedRunnerGroupFromEnterpriseVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    EnterpriseAdminDeleteSelfHostedRunnerGroupFromEnterpriseError,
    EnterpriseAdminDeleteSelfHostedRunnerGroupFromEnterpriseVariables
  >(
    (
      variables: EnterpriseAdminDeleteSelfHostedRunnerGroupFromEnterpriseVariables
    ) =>
      fetchEnterpriseAdminDeleteSelfHostedRunnerGroupFromEnterprise({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type EnterpriseAdminGetSelfHostedRunnerGroupForEnterprisePathParams = {
  /*
   * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
   */
  enterprise: string;
  /*
   * Unique identifier of the self-hosted runner group.
   */
  runnerGroupId: number;
};

export type EnterpriseAdminGetSelfHostedRunnerGroupForEnterpriseError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminGetSelfHostedRunnerGroupForEnterpriseVariables = {
  pathParams: EnterpriseAdminGetSelfHostedRunnerGroupForEnterprisePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets a specific self-hosted runner group for an enterprise.
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const fetchEnterpriseAdminGetSelfHostedRunnerGroupForEnterprise = (
  variables: EnterpriseAdminGetSelfHostedRunnerGroupForEnterpriseVariables
) =>
  githubFetch<
    Schemas.RunnerGroupsEnterprise,
    EnterpriseAdminGetSelfHostedRunnerGroupForEnterpriseError,
    undefined,
    {},
    {},
    EnterpriseAdminGetSelfHostedRunnerGroupForEnterprisePathParams
  >({
    url: "/enterprises/{enterprise}/actions/runner-groups/{runnerGroupId}",
    method: "get",
    ...variables,
  });

/**
 * Gets a specific self-hosted runner group for an enterprise.
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const useEnterpriseAdminGetSelfHostedRunnerGroupForEnterprise = <
  TData = Schemas.RunnerGroupsEnterprise
>(
  variables: EnterpriseAdminGetSelfHostedRunnerGroupForEnterpriseVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.RunnerGroupsEnterprise,
      EnterpriseAdminGetSelfHostedRunnerGroupForEnterpriseError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.RunnerGroupsEnterprise,
    EnterpriseAdminGetSelfHostedRunnerGroupForEnterpriseError,
    TData
  >(
    queryKeyFn({
      path: "/enterprises/{enterprise}/actions/runner-groups/{runner_group_id}",
      operationId: "enterpriseAdminGetSelfHostedRunnerGroupForEnterprise",
      variables,
    }),
    () =>
      fetchEnterpriseAdminGetSelfHostedRunnerGroupForEnterprise({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type EnterpriseAdminUpdateSelfHostedRunnerGroupForEnterprisePathParams =
  {
    /*
     * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
     */
    enterprise: string;
    /*
     * Unique identifier of the self-hosted runner group.
     */
    runnerGroupId: number;
  };

export type EnterpriseAdminUpdateSelfHostedRunnerGroupForEnterpriseError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminUpdateSelfHostedRunnerGroupForEnterpriseRequestBody =
  {
    /*
     * Name of the runner group.
     */
    name?: string;
    /*
     * Visibility of a runner group. You can select all organizations or select individual organizations. Can be one of: `all` or `selected`
     *
     * @default all
     */
    visibility?: "selected" | "all";
  };

export type EnterpriseAdminUpdateSelfHostedRunnerGroupForEnterpriseVariables = {
  body?: EnterpriseAdminUpdateSelfHostedRunnerGroupForEnterpriseRequestBody;
  pathParams: EnterpriseAdminUpdateSelfHostedRunnerGroupForEnterprisePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Updates the `name` and `visibility` of a self-hosted runner group in an enterprise.
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const fetchEnterpriseAdminUpdateSelfHostedRunnerGroupForEnterprise = (
  variables: EnterpriseAdminUpdateSelfHostedRunnerGroupForEnterpriseVariables
) =>
  githubFetch<
    Schemas.RunnerGroupsEnterprise,
    EnterpriseAdminUpdateSelfHostedRunnerGroupForEnterpriseError,
    EnterpriseAdminUpdateSelfHostedRunnerGroupForEnterpriseRequestBody,
    {},
    {},
    EnterpriseAdminUpdateSelfHostedRunnerGroupForEnterprisePathParams
  >({
    url: "/enterprises/{enterprise}/actions/runner-groups/{runnerGroupId}",
    method: "patch",
    ...variables,
  });

/**
 * Updates the `name` and `visibility` of a self-hosted runner group in an enterprise.
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const useEnterpriseAdminUpdateSelfHostedRunnerGroupForEnterprise = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.RunnerGroupsEnterprise,
      EnterpriseAdminUpdateSelfHostedRunnerGroupForEnterpriseError,
      EnterpriseAdminUpdateSelfHostedRunnerGroupForEnterpriseVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.RunnerGroupsEnterprise,
    EnterpriseAdminUpdateSelfHostedRunnerGroupForEnterpriseError,
    EnterpriseAdminUpdateSelfHostedRunnerGroupForEnterpriseVariables
  >(
    (
      variables: EnterpriseAdminUpdateSelfHostedRunnerGroupForEnterpriseVariables
    ) =>
      fetchEnterpriseAdminUpdateSelfHostedRunnerGroupForEnterprise({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type EnterpriseAdminListOrgAccessToSelfHostedRunnerGroupInEnterprisePathParams =
  {
    /*
     * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
     */
    enterprise: string;
    /*
     * Unique identifier of the self-hosted runner group.
     */
    runnerGroupId: number;
  };

export type EnterpriseAdminListOrgAccessToSelfHostedRunnerGroupInEnterpriseQueryParams =
  {
    /*
     * Results per page (max 100).
     *
     * @default 30
     */
    per_page?: number;
    /*
     * Page number of the results to fetch.
     *
     * @default 1
     */
    page?: number;
  };

export type EnterpriseAdminListOrgAccessToSelfHostedRunnerGroupInEnterpriseError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminListOrgAccessToSelfHostedRunnerGroupInEnterpriseResponse =
  {
    organizations: Schemas.OrganizationSimple[];
    total_count: number;
  };

export type EnterpriseAdminListOrgAccessToSelfHostedRunnerGroupInEnterpriseVariables =
  {
    pathParams: EnterpriseAdminListOrgAccessToSelfHostedRunnerGroupInEnterprisePathParams;
    queryParams?: EnterpriseAdminListOrgAccessToSelfHostedRunnerGroupInEnterpriseQueryParams;
  } & GithubContext["fetcherOptions"];

/**
 * Lists the organizations with access to a self-hosted runner group.
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const fetchEnterpriseAdminListOrgAccessToSelfHostedRunnerGroupInEnterprise =
  (
    variables: EnterpriseAdminListOrgAccessToSelfHostedRunnerGroupInEnterpriseVariables
  ) =>
    githubFetch<
      EnterpriseAdminListOrgAccessToSelfHostedRunnerGroupInEnterpriseResponse,
      EnterpriseAdminListOrgAccessToSelfHostedRunnerGroupInEnterpriseError,
      undefined,
      {},
      EnterpriseAdminListOrgAccessToSelfHostedRunnerGroupInEnterpriseQueryParams,
      EnterpriseAdminListOrgAccessToSelfHostedRunnerGroupInEnterprisePathParams
    >({
      url: "/enterprises/{enterprise}/actions/runner-groups/{runnerGroupId}/organizations",
      method: "get",
      ...variables,
    });

/**
 * Lists the organizations with access to a self-hosted runner group.
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const useEnterpriseAdminListOrgAccessToSelfHostedRunnerGroupInEnterprise =
  <
    TData = EnterpriseAdminListOrgAccessToSelfHostedRunnerGroupInEnterpriseResponse
  >(
    variables: EnterpriseAdminListOrgAccessToSelfHostedRunnerGroupInEnterpriseVariables,
    options?: Omit<
      reactQuery.UseQueryOptions<
        EnterpriseAdminListOrgAccessToSelfHostedRunnerGroupInEnterpriseResponse,
        EnterpriseAdminListOrgAccessToSelfHostedRunnerGroupInEnterpriseError,
        TData
      >,
      "queryKey" | "queryFn"
    >
  ) => {
    const { fetcherOptions, queryOptions, queryKeyFn } =
      useGithubContext(options);
    return reactQuery.useQuery<
      EnterpriseAdminListOrgAccessToSelfHostedRunnerGroupInEnterpriseResponse,
      EnterpriseAdminListOrgAccessToSelfHostedRunnerGroupInEnterpriseError,
      TData
    >(
      queryKeyFn({
        path: "/enterprises/{enterprise}/actions/runner-groups/{runner_group_id}/organizations",
        operationId:
          "enterpriseAdminListOrgAccessToSelfHostedRunnerGroupInEnterprise",
        variables,
      }),
      () =>
        fetchEnterpriseAdminListOrgAccessToSelfHostedRunnerGroupInEnterprise({
          ...fetcherOptions,
          ...variables,
        }),
      {
        ...options,
        ...queryOptions,
      }
    );
  };

export type EnterpriseAdminSetOrgAccessToSelfHostedRunnerGroupInEnterprisePathParams =
  {
    /*
     * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
     */
    enterprise: string;
    /*
     * Unique identifier of the self-hosted runner group.
     */
    runnerGroupId: number;
  };

export type EnterpriseAdminSetOrgAccessToSelfHostedRunnerGroupInEnterpriseError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminSetOrgAccessToSelfHostedRunnerGroupInEnterpriseRequestBody =
  {
    /*
     * List of organization IDs that can access the runner group.
     */
    selected_organization_ids: number[];
  };

export type EnterpriseAdminSetOrgAccessToSelfHostedRunnerGroupInEnterpriseVariables =
  {
    body: EnterpriseAdminSetOrgAccessToSelfHostedRunnerGroupInEnterpriseRequestBody;
    pathParams: EnterpriseAdminSetOrgAccessToSelfHostedRunnerGroupInEnterprisePathParams;
  } & GithubContext["fetcherOptions"];

/**
 * Replaces the list of organizations that have access to a self-hosted runner configured in an enterprise.
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const fetchEnterpriseAdminSetOrgAccessToSelfHostedRunnerGroupInEnterprise =
  (
    variables: EnterpriseAdminSetOrgAccessToSelfHostedRunnerGroupInEnterpriseVariables
  ) =>
    githubFetch<
      undefined,
      EnterpriseAdminSetOrgAccessToSelfHostedRunnerGroupInEnterpriseError,
      EnterpriseAdminSetOrgAccessToSelfHostedRunnerGroupInEnterpriseRequestBody,
      {},
      {},
      EnterpriseAdminSetOrgAccessToSelfHostedRunnerGroupInEnterprisePathParams
    >({
      url: "/enterprises/{enterprise}/actions/runner-groups/{runnerGroupId}/organizations",
      method: "put",
      ...variables,
    });

/**
 * Replaces the list of organizations that have access to a self-hosted runner configured in an enterprise.
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const useEnterpriseAdminSetOrgAccessToSelfHostedRunnerGroupInEnterprise =
  (
    options?: Omit<
      reactQuery.UseMutationOptions<
        undefined,
        EnterpriseAdminSetOrgAccessToSelfHostedRunnerGroupInEnterpriseError,
        EnterpriseAdminSetOrgAccessToSelfHostedRunnerGroupInEnterpriseVariables
      >,
      "mutationFn"
    >
  ) => {
    const { fetcherOptions } = useGithubContext();
    return reactQuery.useMutation<
      undefined,
      EnterpriseAdminSetOrgAccessToSelfHostedRunnerGroupInEnterpriseError,
      EnterpriseAdminSetOrgAccessToSelfHostedRunnerGroupInEnterpriseVariables
    >(
      (
        variables: EnterpriseAdminSetOrgAccessToSelfHostedRunnerGroupInEnterpriseVariables
      ) =>
        fetchEnterpriseAdminSetOrgAccessToSelfHostedRunnerGroupInEnterprise({
          ...fetcherOptions,
          ...variables,
        }),
      options
    );
  };

export type EnterpriseAdminRemoveOrgAccessToSelfHostedRunnerGroupInEnterprisePathParams =
  {
    /*
     * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
     */
    enterprise: string;
    /*
     * Unique identifier of the self-hosted runner group.
     */
    runnerGroupId: number;
    /*
     * Unique identifier of an organization.
     */
    orgId: number;
  };

export type EnterpriseAdminRemoveOrgAccessToSelfHostedRunnerGroupInEnterpriseError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminRemoveOrgAccessToSelfHostedRunnerGroupInEnterpriseVariables =
  {
    pathParams: EnterpriseAdminRemoveOrgAccessToSelfHostedRunnerGroupInEnterprisePathParams;
  } & GithubContext["fetcherOptions"];

/**
 * Removes an organization from the list of selected organizations that can access a self-hosted runner group. The runner group must have `visibility` set to `selected`. For more information, see "[Create a self-hosted runner group for an enterprise](#create-a-self-hosted-runner-group-for-an-enterprise)."
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const fetchEnterpriseAdminRemoveOrgAccessToSelfHostedRunnerGroupInEnterprise =
  (
    variables: EnterpriseAdminRemoveOrgAccessToSelfHostedRunnerGroupInEnterpriseVariables
  ) =>
    githubFetch<
      undefined,
      EnterpriseAdminRemoveOrgAccessToSelfHostedRunnerGroupInEnterpriseError,
      undefined,
      {},
      {},
      EnterpriseAdminRemoveOrgAccessToSelfHostedRunnerGroupInEnterprisePathParams
    >({
      url: "/enterprises/{enterprise}/actions/runner-groups/{runnerGroupId}/organizations/{orgId}",
      method: "delete",
      ...variables,
    });

/**
 * Removes an organization from the list of selected organizations that can access a self-hosted runner group. The runner group must have `visibility` set to `selected`. For more information, see "[Create a self-hosted runner group for an enterprise](#create-a-self-hosted-runner-group-for-an-enterprise)."
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const useEnterpriseAdminRemoveOrgAccessToSelfHostedRunnerGroupInEnterprise =
  (
    options?: Omit<
      reactQuery.UseMutationOptions<
        undefined,
        EnterpriseAdminRemoveOrgAccessToSelfHostedRunnerGroupInEnterpriseError,
        EnterpriseAdminRemoveOrgAccessToSelfHostedRunnerGroupInEnterpriseVariables
      >,
      "mutationFn"
    >
  ) => {
    const { fetcherOptions } = useGithubContext();
    return reactQuery.useMutation<
      undefined,
      EnterpriseAdminRemoveOrgAccessToSelfHostedRunnerGroupInEnterpriseError,
      EnterpriseAdminRemoveOrgAccessToSelfHostedRunnerGroupInEnterpriseVariables
    >(
      (
        variables: EnterpriseAdminRemoveOrgAccessToSelfHostedRunnerGroupInEnterpriseVariables
      ) =>
        fetchEnterpriseAdminRemoveOrgAccessToSelfHostedRunnerGroupInEnterprise({
          ...fetcherOptions,
          ...variables,
        }),
      options
    );
  };

export type EnterpriseAdminAddOrgAccessToSelfHostedRunnerGroupInEnterprisePathParams =
  {
    /*
     * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
     */
    enterprise: string;
    /*
     * Unique identifier of the self-hosted runner group.
     */
    runnerGroupId: number;
    /*
     * Unique identifier of an organization.
     */
    orgId: number;
  };

export type EnterpriseAdminAddOrgAccessToSelfHostedRunnerGroupInEnterpriseError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminAddOrgAccessToSelfHostedRunnerGroupInEnterpriseVariables =
  {
    pathParams: EnterpriseAdminAddOrgAccessToSelfHostedRunnerGroupInEnterprisePathParams;
  } & GithubContext["fetcherOptions"];

/**
 * Adds an organization to the list of selected organizations that can access a self-hosted runner group. The runner group must have `visibility` set to `selected`. For more information, see "[Create a self-hosted runner group for an enterprise](#create-a-self-hosted-runner-group-for-an-enterprise)."
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const fetchEnterpriseAdminAddOrgAccessToSelfHostedRunnerGroupInEnterprise =
  (
    variables: EnterpriseAdminAddOrgAccessToSelfHostedRunnerGroupInEnterpriseVariables
  ) =>
    githubFetch<
      undefined,
      EnterpriseAdminAddOrgAccessToSelfHostedRunnerGroupInEnterpriseError,
      undefined,
      {},
      {},
      EnterpriseAdminAddOrgAccessToSelfHostedRunnerGroupInEnterprisePathParams
    >({
      url: "/enterprises/{enterprise}/actions/runner-groups/{runnerGroupId}/organizations/{orgId}",
      method: "put",
      ...variables,
    });

/**
 * Adds an organization to the list of selected organizations that can access a self-hosted runner group. The runner group must have `visibility` set to `selected`. For more information, see "[Create a self-hosted runner group for an enterprise](#create-a-self-hosted-runner-group-for-an-enterprise)."
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const useEnterpriseAdminAddOrgAccessToSelfHostedRunnerGroupInEnterprise =
  (
    options?: Omit<
      reactQuery.UseMutationOptions<
        undefined,
        EnterpriseAdminAddOrgAccessToSelfHostedRunnerGroupInEnterpriseError,
        EnterpriseAdminAddOrgAccessToSelfHostedRunnerGroupInEnterpriseVariables
      >,
      "mutationFn"
    >
  ) => {
    const { fetcherOptions } = useGithubContext();
    return reactQuery.useMutation<
      undefined,
      EnterpriseAdminAddOrgAccessToSelfHostedRunnerGroupInEnterpriseError,
      EnterpriseAdminAddOrgAccessToSelfHostedRunnerGroupInEnterpriseVariables
    >(
      (
        variables: EnterpriseAdminAddOrgAccessToSelfHostedRunnerGroupInEnterpriseVariables
      ) =>
        fetchEnterpriseAdminAddOrgAccessToSelfHostedRunnerGroupInEnterprise({
          ...fetcherOptions,
          ...variables,
        }),
      options
    );
  };

export type EnterpriseAdminListSelfHostedRunnersInGroupForEnterprisePathParams =
  {
    /*
     * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
     */
    enterprise: string;
    /*
     * Unique identifier of the self-hosted runner group.
     */
    runnerGroupId: number;
  };

export type EnterpriseAdminListSelfHostedRunnersInGroupForEnterpriseQueryParams =
  {
    /*
     * Results per page (max 100).
     *
     * @default 30
     */
    per_page?: number;
    /*
     * Page number of the results to fetch.
     *
     * @default 1
     */
    page?: number;
  };

export type EnterpriseAdminListSelfHostedRunnersInGroupForEnterpriseError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminListSelfHostedRunnersInGroupForEnterpriseResponse = {
  runners: Schemas.Runner[];
  total_count: number;
};

export type EnterpriseAdminListSelfHostedRunnersInGroupForEnterpriseVariables =
  {
    pathParams: EnterpriseAdminListSelfHostedRunnersInGroupForEnterprisePathParams;
    queryParams?: EnterpriseAdminListSelfHostedRunnersInGroupForEnterpriseQueryParams;
  } & GithubContext["fetcherOptions"];

/**
 * Lists the self-hosted runners that are in a specific enterprise group.
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const fetchEnterpriseAdminListSelfHostedRunnersInGroupForEnterprise = (
  variables: EnterpriseAdminListSelfHostedRunnersInGroupForEnterpriseVariables
) =>
  githubFetch<
    EnterpriseAdminListSelfHostedRunnersInGroupForEnterpriseResponse,
    EnterpriseAdminListSelfHostedRunnersInGroupForEnterpriseError,
    undefined,
    {},
    EnterpriseAdminListSelfHostedRunnersInGroupForEnterpriseQueryParams,
    EnterpriseAdminListSelfHostedRunnersInGroupForEnterprisePathParams
  >({
    url: "/enterprises/{enterprise}/actions/runner-groups/{runnerGroupId}/runners",
    method: "get",
    ...variables,
  });

/**
 * Lists the self-hosted runners that are in a specific enterprise group.
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const useEnterpriseAdminListSelfHostedRunnersInGroupForEnterprise = <
  TData = EnterpriseAdminListSelfHostedRunnersInGroupForEnterpriseResponse
>(
  variables: EnterpriseAdminListSelfHostedRunnersInGroupForEnterpriseVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      EnterpriseAdminListSelfHostedRunnersInGroupForEnterpriseResponse,
      EnterpriseAdminListSelfHostedRunnersInGroupForEnterpriseError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    EnterpriseAdminListSelfHostedRunnersInGroupForEnterpriseResponse,
    EnterpriseAdminListSelfHostedRunnersInGroupForEnterpriseError,
    TData
  >(
    queryKeyFn({
      path: "/enterprises/{enterprise}/actions/runner-groups/{runner_group_id}/runners",
      operationId: "enterpriseAdminListSelfHostedRunnersInGroupForEnterprise",
      variables,
    }),
    () =>
      fetchEnterpriseAdminListSelfHostedRunnersInGroupForEnterprise({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type EnterpriseAdminSetSelfHostedRunnersInGroupForEnterprisePathParams =
  {
    /*
     * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
     */
    enterprise: string;
    /*
     * Unique identifier of the self-hosted runner group.
     */
    runnerGroupId: number;
  };

export type EnterpriseAdminSetSelfHostedRunnersInGroupForEnterpriseError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminSetSelfHostedRunnersInGroupForEnterpriseRequestBody =
  {
    /*
     * List of runner IDs to add to the runner group.
     */
    runners: number[];
  };

export type EnterpriseAdminSetSelfHostedRunnersInGroupForEnterpriseVariables = {
  body: EnterpriseAdminSetSelfHostedRunnersInGroupForEnterpriseRequestBody;
  pathParams: EnterpriseAdminSetSelfHostedRunnersInGroupForEnterprisePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Replaces the list of self-hosted runners that are part of an enterprise runner group.
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const fetchEnterpriseAdminSetSelfHostedRunnersInGroupForEnterprise = (
  variables: EnterpriseAdminSetSelfHostedRunnersInGroupForEnterpriseVariables
) =>
  githubFetch<
    undefined,
    EnterpriseAdminSetSelfHostedRunnersInGroupForEnterpriseError,
    EnterpriseAdminSetSelfHostedRunnersInGroupForEnterpriseRequestBody,
    {},
    {},
    EnterpriseAdminSetSelfHostedRunnersInGroupForEnterprisePathParams
  >({
    url: "/enterprises/{enterprise}/actions/runner-groups/{runnerGroupId}/runners",
    method: "put",
    ...variables,
  });

/**
 * Replaces the list of self-hosted runners that are part of an enterprise runner group.
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const useEnterpriseAdminSetSelfHostedRunnersInGroupForEnterprise = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      EnterpriseAdminSetSelfHostedRunnersInGroupForEnterpriseError,
      EnterpriseAdminSetSelfHostedRunnersInGroupForEnterpriseVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    EnterpriseAdminSetSelfHostedRunnersInGroupForEnterpriseError,
    EnterpriseAdminSetSelfHostedRunnersInGroupForEnterpriseVariables
  >(
    (
      variables: EnterpriseAdminSetSelfHostedRunnersInGroupForEnterpriseVariables
    ) =>
      fetchEnterpriseAdminSetSelfHostedRunnersInGroupForEnterprise({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type EnterpriseAdminRemoveSelfHostedRunnerFromGroupForEnterprisePathParams =
  {
    /*
     * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
     */
    enterprise: string;
    /*
     * Unique identifier of the self-hosted runner group.
     */
    runnerGroupId: number;
    /*
     * Unique identifier of the self-hosted runner.
     */
    runnerId: number;
  };

export type EnterpriseAdminRemoveSelfHostedRunnerFromGroupForEnterpriseError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminRemoveSelfHostedRunnerFromGroupForEnterpriseVariables =
  {
    pathParams: EnterpriseAdminRemoveSelfHostedRunnerFromGroupForEnterprisePathParams;
  } & GithubContext["fetcherOptions"];

/**
 * Removes a self-hosted runner from a group configured in an enterprise. The runner is then returned to the default group.
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const fetchEnterpriseAdminRemoveSelfHostedRunnerFromGroupForEnterprise =
  (
    variables: EnterpriseAdminRemoveSelfHostedRunnerFromGroupForEnterpriseVariables
  ) =>
    githubFetch<
      undefined,
      EnterpriseAdminRemoveSelfHostedRunnerFromGroupForEnterpriseError,
      undefined,
      {},
      {},
      EnterpriseAdminRemoveSelfHostedRunnerFromGroupForEnterprisePathParams
    >({
      url: "/enterprises/{enterprise}/actions/runner-groups/{runnerGroupId}/runners/{runnerId}",
      method: "delete",
      ...variables,
    });

/**
 * Removes a self-hosted runner from a group configured in an enterprise. The runner is then returned to the default group.
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const useEnterpriseAdminRemoveSelfHostedRunnerFromGroupForEnterprise = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      EnterpriseAdminRemoveSelfHostedRunnerFromGroupForEnterpriseError,
      EnterpriseAdminRemoveSelfHostedRunnerFromGroupForEnterpriseVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    EnterpriseAdminRemoveSelfHostedRunnerFromGroupForEnterpriseError,
    EnterpriseAdminRemoveSelfHostedRunnerFromGroupForEnterpriseVariables
  >(
    (
      variables: EnterpriseAdminRemoveSelfHostedRunnerFromGroupForEnterpriseVariables
    ) =>
      fetchEnterpriseAdminRemoveSelfHostedRunnerFromGroupForEnterprise({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type EnterpriseAdminAddSelfHostedRunnerToGroupForEnterprisePathParams = {
  /*
   * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
   */
  enterprise: string;
  /*
   * Unique identifier of the self-hosted runner group.
   */
  runnerGroupId: number;
  /*
   * Unique identifier of the self-hosted runner.
   */
  runnerId: number;
};

export type EnterpriseAdminAddSelfHostedRunnerToGroupForEnterpriseError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminAddSelfHostedRunnerToGroupForEnterpriseVariables = {
  pathParams: EnterpriseAdminAddSelfHostedRunnerToGroupForEnterprisePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Adds a self-hosted runner to a runner group configured in an enterprise.
 *
 * You must authenticate using an access token with the `admin:enterprise`
 * scope to use this endpoint.
 */
export const fetchEnterpriseAdminAddSelfHostedRunnerToGroupForEnterprise = (
  variables: EnterpriseAdminAddSelfHostedRunnerToGroupForEnterpriseVariables
) =>
  githubFetch<
    undefined,
    EnterpriseAdminAddSelfHostedRunnerToGroupForEnterpriseError,
    undefined,
    {},
    {},
    EnterpriseAdminAddSelfHostedRunnerToGroupForEnterprisePathParams
  >({
    url: "/enterprises/{enterprise}/actions/runner-groups/{runnerGroupId}/runners/{runnerId}",
    method: "put",
    ...variables,
  });

/**
 * Adds a self-hosted runner to a runner group configured in an enterprise.
 *
 * You must authenticate using an access token with the `admin:enterprise`
 * scope to use this endpoint.
 */
export const useEnterpriseAdminAddSelfHostedRunnerToGroupForEnterprise = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      EnterpriseAdminAddSelfHostedRunnerToGroupForEnterpriseError,
      EnterpriseAdminAddSelfHostedRunnerToGroupForEnterpriseVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    EnterpriseAdminAddSelfHostedRunnerToGroupForEnterpriseError,
    EnterpriseAdminAddSelfHostedRunnerToGroupForEnterpriseVariables
  >(
    (
      variables: EnterpriseAdminAddSelfHostedRunnerToGroupForEnterpriseVariables
    ) =>
      fetchEnterpriseAdminAddSelfHostedRunnerToGroupForEnterprise({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type EnterpriseAdminListSelfHostedRunnersForEnterprisePathParams = {
  /*
   * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
   */
  enterprise: string;
};

export type EnterpriseAdminListSelfHostedRunnersForEnterpriseQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type EnterpriseAdminListSelfHostedRunnersForEnterpriseError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminListSelfHostedRunnersForEnterpriseResponse = {
  runners?: Schemas.Runner[];
  total_count?: number;
};

export type EnterpriseAdminListSelfHostedRunnersForEnterpriseVariables = {
  pathParams: EnterpriseAdminListSelfHostedRunnersForEnterprisePathParams;
  queryParams?: EnterpriseAdminListSelfHostedRunnersForEnterpriseQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists all self-hosted runners configured for an enterprise.
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const fetchEnterpriseAdminListSelfHostedRunnersForEnterprise = (
  variables: EnterpriseAdminListSelfHostedRunnersForEnterpriseVariables
) =>
  githubFetch<
    EnterpriseAdminListSelfHostedRunnersForEnterpriseResponse,
    EnterpriseAdminListSelfHostedRunnersForEnterpriseError,
    undefined,
    {},
    EnterpriseAdminListSelfHostedRunnersForEnterpriseQueryParams,
    EnterpriseAdminListSelfHostedRunnersForEnterprisePathParams
  >({
    url: "/enterprises/{enterprise}/actions/runners",
    method: "get",
    ...variables,
  });

/**
 * Lists all self-hosted runners configured for an enterprise.
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const useEnterpriseAdminListSelfHostedRunnersForEnterprise = <
  TData = EnterpriseAdminListSelfHostedRunnersForEnterpriseResponse
>(
  variables: EnterpriseAdminListSelfHostedRunnersForEnterpriseVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      EnterpriseAdminListSelfHostedRunnersForEnterpriseResponse,
      EnterpriseAdminListSelfHostedRunnersForEnterpriseError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    EnterpriseAdminListSelfHostedRunnersForEnterpriseResponse,
    EnterpriseAdminListSelfHostedRunnersForEnterpriseError,
    TData
  >(
    queryKeyFn({
      path: "/enterprises/{enterprise}/actions/runners",
      operationId: "enterpriseAdminListSelfHostedRunnersForEnterprise",
      variables,
    }),
    () =>
      fetchEnterpriseAdminListSelfHostedRunnersForEnterprise({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type EnterpriseAdminListRunnerApplicationsForEnterprisePathParams = {
  /*
   * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
   */
  enterprise: string;
};

export type EnterpriseAdminListRunnerApplicationsForEnterpriseError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminListRunnerApplicationsForEnterpriseResponse =
  Schemas.RunnerApplication[];

export type EnterpriseAdminListRunnerApplicationsForEnterpriseVariables = {
  pathParams: EnterpriseAdminListRunnerApplicationsForEnterprisePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists binaries for the runner application that you can download and run.
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const fetchEnterpriseAdminListRunnerApplicationsForEnterprise = (
  variables: EnterpriseAdminListRunnerApplicationsForEnterpriseVariables
) =>
  githubFetch<
    EnterpriseAdminListRunnerApplicationsForEnterpriseResponse,
    EnterpriseAdminListRunnerApplicationsForEnterpriseError,
    undefined,
    {},
    {},
    EnterpriseAdminListRunnerApplicationsForEnterprisePathParams
  >({
    url: "/enterprises/{enterprise}/actions/runners/downloads",
    method: "get",
    ...variables,
  });

/**
 * Lists binaries for the runner application that you can download and run.
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const useEnterpriseAdminListRunnerApplicationsForEnterprise = <
  TData = EnterpriseAdminListRunnerApplicationsForEnterpriseResponse
>(
  variables: EnterpriseAdminListRunnerApplicationsForEnterpriseVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      EnterpriseAdminListRunnerApplicationsForEnterpriseResponse,
      EnterpriseAdminListRunnerApplicationsForEnterpriseError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    EnterpriseAdminListRunnerApplicationsForEnterpriseResponse,
    EnterpriseAdminListRunnerApplicationsForEnterpriseError,
    TData
  >(
    queryKeyFn({
      path: "/enterprises/{enterprise}/actions/runners/downloads",
      operationId: "enterpriseAdminListRunnerApplicationsForEnterprise",
      variables,
    }),
    () =>
      fetchEnterpriseAdminListRunnerApplicationsForEnterprise({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type EnterpriseAdminCreateRegistrationTokenForEnterprisePathParams = {
  /*
   * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
   */
  enterprise: string;
};

export type EnterpriseAdminCreateRegistrationTokenForEnterpriseError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminCreateRegistrationTokenForEnterpriseVariables = {
  pathParams: EnterpriseAdminCreateRegistrationTokenForEnterprisePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Returns a token that you can pass to the `config` script. The token expires after one hour.
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 *
 * #### Example using registration token
 *
 * Configure your self-hosted runner, replacing `TOKEN` with the registration token provided by this endpoint.
 *
 * ```
 * ./config.sh --url https://github.com/enterprises/octo-enterprise --token TOKEN
 * ```
 */
export const fetchEnterpriseAdminCreateRegistrationTokenForEnterprise = (
  variables: EnterpriseAdminCreateRegistrationTokenForEnterpriseVariables
) =>
  githubFetch<
    Schemas.AuthenticationToken,
    EnterpriseAdminCreateRegistrationTokenForEnterpriseError,
    undefined,
    {},
    {},
    EnterpriseAdminCreateRegistrationTokenForEnterprisePathParams
  >({
    url: "/enterprises/{enterprise}/actions/runners/registration-token",
    method: "post",
    ...variables,
  });

/**
 * Returns a token that you can pass to the `config` script. The token expires after one hour.
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 *
 * #### Example using registration token
 *
 * Configure your self-hosted runner, replacing `TOKEN` with the registration token provided by this endpoint.
 *
 * ```
 * ./config.sh --url https://github.com/enterprises/octo-enterprise --token TOKEN
 * ```
 */
export const useEnterpriseAdminCreateRegistrationTokenForEnterprise = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.AuthenticationToken,
      EnterpriseAdminCreateRegistrationTokenForEnterpriseError,
      EnterpriseAdminCreateRegistrationTokenForEnterpriseVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.AuthenticationToken,
    EnterpriseAdminCreateRegistrationTokenForEnterpriseError,
    EnterpriseAdminCreateRegistrationTokenForEnterpriseVariables
  >(
    (variables: EnterpriseAdminCreateRegistrationTokenForEnterpriseVariables) =>
      fetchEnterpriseAdminCreateRegistrationTokenForEnterprise({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type EnterpriseAdminCreateRemoveTokenForEnterprisePathParams = {
  /*
   * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
   */
  enterprise: string;
};

export type EnterpriseAdminCreateRemoveTokenForEnterpriseError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminCreateRemoveTokenForEnterpriseVariables = {
  pathParams: EnterpriseAdminCreateRemoveTokenForEnterprisePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Returns a token that you can pass to the `config` script to remove a self-hosted runner from an enterprise. The token expires after one hour.
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 *
 * #### Example using remove token
 *
 * To remove your self-hosted runner from an enterprise, replace `TOKEN` with the remove token provided by this
 * endpoint.
 *
 * ```
 * ./config.sh remove --token TOKEN
 * ```
 */
export const fetchEnterpriseAdminCreateRemoveTokenForEnterprise = (
  variables: EnterpriseAdminCreateRemoveTokenForEnterpriseVariables
) =>
  githubFetch<
    Schemas.AuthenticationToken,
    EnterpriseAdminCreateRemoveTokenForEnterpriseError,
    undefined,
    {},
    {},
    EnterpriseAdminCreateRemoveTokenForEnterprisePathParams
  >({
    url: "/enterprises/{enterprise}/actions/runners/remove-token",
    method: "post",
    ...variables,
  });

/**
 * Returns a token that you can pass to the `config` script to remove a self-hosted runner from an enterprise. The token expires after one hour.
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 *
 * #### Example using remove token
 *
 * To remove your self-hosted runner from an enterprise, replace `TOKEN` with the remove token provided by this
 * endpoint.
 *
 * ```
 * ./config.sh remove --token TOKEN
 * ```
 */
export const useEnterpriseAdminCreateRemoveTokenForEnterprise = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.AuthenticationToken,
      EnterpriseAdminCreateRemoveTokenForEnterpriseError,
      EnterpriseAdminCreateRemoveTokenForEnterpriseVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.AuthenticationToken,
    EnterpriseAdminCreateRemoveTokenForEnterpriseError,
    EnterpriseAdminCreateRemoveTokenForEnterpriseVariables
  >(
    (variables: EnterpriseAdminCreateRemoveTokenForEnterpriseVariables) =>
      fetchEnterpriseAdminCreateRemoveTokenForEnterprise({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type EnterpriseAdminDeleteSelfHostedRunnerFromEnterprisePathParams = {
  /*
   * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
   */
  enterprise: string;
  /*
   * Unique identifier of the self-hosted runner.
   */
  runnerId: number;
};

export type EnterpriseAdminDeleteSelfHostedRunnerFromEnterpriseError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminDeleteSelfHostedRunnerFromEnterpriseVariables = {
  pathParams: EnterpriseAdminDeleteSelfHostedRunnerFromEnterprisePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Forces the removal of a self-hosted runner from an enterprise. You can use this endpoint to completely remove the runner when the machine you were using no longer exists.
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const fetchEnterpriseAdminDeleteSelfHostedRunnerFromEnterprise = (
  variables: EnterpriseAdminDeleteSelfHostedRunnerFromEnterpriseVariables
) =>
  githubFetch<
    undefined,
    EnterpriseAdminDeleteSelfHostedRunnerFromEnterpriseError,
    undefined,
    {},
    {},
    EnterpriseAdminDeleteSelfHostedRunnerFromEnterprisePathParams
  >({
    url: "/enterprises/{enterprise}/actions/runners/{runnerId}",
    method: "delete",
    ...variables,
  });

/**
 * Forces the removal of a self-hosted runner from an enterprise. You can use this endpoint to completely remove the runner when the machine you were using no longer exists.
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const useEnterpriseAdminDeleteSelfHostedRunnerFromEnterprise = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      EnterpriseAdminDeleteSelfHostedRunnerFromEnterpriseError,
      EnterpriseAdminDeleteSelfHostedRunnerFromEnterpriseVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    EnterpriseAdminDeleteSelfHostedRunnerFromEnterpriseError,
    EnterpriseAdminDeleteSelfHostedRunnerFromEnterpriseVariables
  >(
    (variables: EnterpriseAdminDeleteSelfHostedRunnerFromEnterpriseVariables) =>
      fetchEnterpriseAdminDeleteSelfHostedRunnerFromEnterprise({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type EnterpriseAdminGetSelfHostedRunnerForEnterprisePathParams = {
  /*
   * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
   */
  enterprise: string;
  /*
   * Unique identifier of the self-hosted runner.
   */
  runnerId: number;
};

export type EnterpriseAdminGetSelfHostedRunnerForEnterpriseError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminGetSelfHostedRunnerForEnterpriseVariables = {
  pathParams: EnterpriseAdminGetSelfHostedRunnerForEnterprisePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets a specific self-hosted runner configured in an enterprise.
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const fetchEnterpriseAdminGetSelfHostedRunnerForEnterprise = (
  variables: EnterpriseAdminGetSelfHostedRunnerForEnterpriseVariables
) =>
  githubFetch<
    Schemas.Runner,
    EnterpriseAdminGetSelfHostedRunnerForEnterpriseError,
    undefined,
    {},
    {},
    EnterpriseAdminGetSelfHostedRunnerForEnterprisePathParams
  >({
    url: "/enterprises/{enterprise}/actions/runners/{runnerId}",
    method: "get",
    ...variables,
  });

/**
 * Gets a specific self-hosted runner configured in an enterprise.
 *
 * You must authenticate using an access token with the `admin:enterprise` scope to use this endpoint.
 */
export const useEnterpriseAdminGetSelfHostedRunnerForEnterprise = <
  TData = Schemas.Runner
>(
  variables: EnterpriseAdminGetSelfHostedRunnerForEnterpriseVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.Runner,
      EnterpriseAdminGetSelfHostedRunnerForEnterpriseError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.Runner,
    EnterpriseAdminGetSelfHostedRunnerForEnterpriseError,
    TData
  >(
    queryKeyFn({
      path: "/enterprises/{enterprise}/actions/runners/{runner_id}",
      operationId: "enterpriseAdminGetSelfHostedRunnerForEnterprise",
      variables,
    }),
    () =>
      fetchEnterpriseAdminGetSelfHostedRunnerForEnterprise({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type AuditLogGetAuditLogPathParams = {
  /*
   * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
   */
  enterprise: string;
};

export type AuditLogGetAuditLogQueryParams = {
  /*
   * A search phrase. For more information, see [Searching the audit log](https://docs.github.com/github/setting-up-and-managing-organizations-and-teams/reviewing-the-audit-log-for-your-organization#searching-the-audit-log).
   */
  phrase?: string;
  /*
   * The event types to include:
   *
   * - `web` - returns web (non-Git) events
   * - `git` - returns Git events
   * - `all` - returns both web and Git events
   *
   * The default is `web`.
   */
  include?: "web" | "git" | "all";
  /*
   * A cursor, as given in the [Link header](https://docs.github.com/rest/overview/resources-in-the-rest-api#link-header). If specified, the query only searches for events after this cursor.
   */
  after?: string;
  /*
   * A cursor, as given in the [Link header](https://docs.github.com/rest/overview/resources-in-the-rest-api#link-header). If specified, the query only searches for events before this cursor.
   */
  before?: string;
  /*
   * The order of audit log events. To list newest events first, specify `desc`. To list oldest events first, specify `asc`.
   *
   * The default is `desc`.
   */
  order?: "desc" | "asc";
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
};

export type AuditLogGetAuditLogError = Fetcher.ErrorWrapper<undefined>;

export type AuditLogGetAuditLogResponse = Schemas.AuditLogEvent[];

export type AuditLogGetAuditLogVariables = {
  pathParams: AuditLogGetAuditLogPathParams;
  queryParams?: AuditLogGetAuditLogQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * **Note:** The audit log REST API is currently in beta and is subject to change.
 *
 * Gets the audit log for an enterprise. To use this endpoint, you must be an enterprise admin, and you must use an access token with the `admin:enterprise` scope.
 */
export const fetchAuditLogGetAuditLog = (
  variables: AuditLogGetAuditLogVariables
) =>
  githubFetch<
    AuditLogGetAuditLogResponse,
    AuditLogGetAuditLogError,
    undefined,
    {},
    AuditLogGetAuditLogQueryParams,
    AuditLogGetAuditLogPathParams
  >({
    url: "/enterprises/{enterprise}/audit-log",
    method: "get",
    ...variables,
  });

/**
 * **Note:** The audit log REST API is currently in beta and is subject to change.
 *
 * Gets the audit log for an enterprise. To use this endpoint, you must be an enterprise admin, and you must use an access token with the `admin:enterprise` scope.
 */
export const useAuditLogGetAuditLog = <TData = AuditLogGetAuditLogResponse>(
  variables: AuditLogGetAuditLogVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      AuditLogGetAuditLogResponse,
      AuditLogGetAuditLogError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    AuditLogGetAuditLogResponse,
    AuditLogGetAuditLogError,
    TData
  >(
    queryKeyFn({
      path: "/enterprises/{enterprise}/audit-log",
      operationId: "auditLogGetAuditLog",
      variables,
    }),
    () => fetchAuditLogGetAuditLog({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type BillingGetGithubActionsBillingGhePathParams = {
  /*
   * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
   */
  enterprise: string;
};

export type BillingGetGithubActionsBillingGheError =
  Fetcher.ErrorWrapper<undefined>;

export type BillingGetGithubActionsBillingGheVariables = {
  pathParams: BillingGetGithubActionsBillingGhePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets the summary of the free and paid GitHub Actions minutes used.
 *
 * Paid minutes only apply to workflows in private repositories that use GitHub-hosted runners. Minutes used is listed for each GitHub-hosted runner operating system. Any job re-runs are also included in the usage. The usage does not include the multiplier for macOS and Windows runners and is not rounded up to the nearest whole minute. For more information, see "[Managing billing for GitHub Actions](https://help.github.com/github/setting-up-and-managing-billing-and-payments-on-github/managing-billing-for-github-actions)".
 *
 * The authenticated user must be an enterprise admin.
 */
export const fetchBillingGetGithubActionsBillingGhe = (
  variables: BillingGetGithubActionsBillingGheVariables
) =>
  githubFetch<
    Schemas.ActionsBillingUsage,
    BillingGetGithubActionsBillingGheError,
    undefined,
    {},
    {},
    BillingGetGithubActionsBillingGhePathParams
  >({
    url: "/enterprises/{enterprise}/settings/billing/actions",
    method: "get",
    ...variables,
  });

/**
 * Gets the summary of the free and paid GitHub Actions minutes used.
 *
 * Paid minutes only apply to workflows in private repositories that use GitHub-hosted runners. Minutes used is listed for each GitHub-hosted runner operating system. Any job re-runs are also included in the usage. The usage does not include the multiplier for macOS and Windows runners and is not rounded up to the nearest whole minute. For more information, see "[Managing billing for GitHub Actions](https://help.github.com/github/setting-up-and-managing-billing-and-payments-on-github/managing-billing-for-github-actions)".
 *
 * The authenticated user must be an enterprise admin.
 */
export const useBillingGetGithubActionsBillingGhe = <
  TData = Schemas.ActionsBillingUsage
>(
  variables: BillingGetGithubActionsBillingGheVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.ActionsBillingUsage,
      BillingGetGithubActionsBillingGheError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.ActionsBillingUsage,
    BillingGetGithubActionsBillingGheError,
    TData
  >(
    queryKeyFn({
      path: "/enterprises/{enterprise}/settings/billing/actions",
      operationId: "billingGetGithubActionsBillingGhe",
      variables,
    }),
    () =>
      fetchBillingGetGithubActionsBillingGhe({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type BillingGetGithubPackagesBillingGhePathParams = {
  /*
   * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
   */
  enterprise: string;
};

export type BillingGetGithubPackagesBillingGheError =
  Fetcher.ErrorWrapper<undefined>;

export type BillingGetGithubPackagesBillingGheVariables = {
  pathParams: BillingGetGithubPackagesBillingGhePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets the free and paid storage used for GitHub Packages in gigabytes.
 *
 * Paid minutes only apply to packages stored for private repositories. For more information, see "[Managing billing for GitHub Packages](https://help.github.com/github/setting-up-and-managing-billing-and-payments-on-github/managing-billing-for-github-packages)."
 *
 * The authenticated user must be an enterprise admin.
 */
export const fetchBillingGetGithubPackagesBillingGhe = (
  variables: BillingGetGithubPackagesBillingGheVariables
) =>
  githubFetch<
    Schemas.PackagesBillingUsage,
    BillingGetGithubPackagesBillingGheError,
    undefined,
    {},
    {},
    BillingGetGithubPackagesBillingGhePathParams
  >({
    url: "/enterprises/{enterprise}/settings/billing/packages",
    method: "get",
    ...variables,
  });

/**
 * Gets the free and paid storage used for GitHub Packages in gigabytes.
 *
 * Paid minutes only apply to packages stored for private repositories. For more information, see "[Managing billing for GitHub Packages](https://help.github.com/github/setting-up-and-managing-billing-and-payments-on-github/managing-billing-for-github-packages)."
 *
 * The authenticated user must be an enterprise admin.
 */
export const useBillingGetGithubPackagesBillingGhe = <
  TData = Schemas.PackagesBillingUsage
>(
  variables: BillingGetGithubPackagesBillingGheVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.PackagesBillingUsage,
      BillingGetGithubPackagesBillingGheError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.PackagesBillingUsage,
    BillingGetGithubPackagesBillingGheError,
    TData
  >(
    queryKeyFn({
      path: "/enterprises/{enterprise}/settings/billing/packages",
      operationId: "billingGetGithubPackagesBillingGhe",
      variables,
    }),
    () =>
      fetchBillingGetGithubPackagesBillingGhe({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type BillingGetSharedStorageBillingGhePathParams = {
  /*
   * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
   */
  enterprise: string;
};

export type BillingGetSharedStorageBillingGheError =
  Fetcher.ErrorWrapper<undefined>;

export type BillingGetSharedStorageBillingGheVariables = {
  pathParams: BillingGetSharedStorageBillingGhePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets the estimated paid and estimated total storage used for GitHub Actions and Github Packages.
 *
 * Paid minutes only apply to packages stored for private repositories. For more information, see "[Managing billing for GitHub Packages](https://help.github.com/github/setting-up-and-managing-billing-and-payments-on-github/managing-billing-for-github-packages)."
 *
 * The authenticated user must be an enterprise admin.
 */
export const fetchBillingGetSharedStorageBillingGhe = (
  variables: BillingGetSharedStorageBillingGheVariables
) =>
  githubFetch<
    Schemas.CombinedBillingUsage,
    BillingGetSharedStorageBillingGheError,
    undefined,
    {},
    {},
    BillingGetSharedStorageBillingGhePathParams
  >({
    url: "/enterprises/{enterprise}/settings/billing/shared-storage",
    method: "get",
    ...variables,
  });

/**
 * Gets the estimated paid and estimated total storage used for GitHub Actions and Github Packages.
 *
 * Paid minutes only apply to packages stored for private repositories. For more information, see "[Managing billing for GitHub Packages](https://help.github.com/github/setting-up-and-managing-billing-and-payments-on-github/managing-billing-for-github-packages)."
 *
 * The authenticated user must be an enterprise admin.
 */
export const useBillingGetSharedStorageBillingGhe = <
  TData = Schemas.CombinedBillingUsage
>(
  variables: BillingGetSharedStorageBillingGheVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.CombinedBillingUsage,
      BillingGetSharedStorageBillingGheError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.CombinedBillingUsage,
    BillingGetSharedStorageBillingGheError,
    TData
  >(
    queryKeyFn({
      path: "/enterprises/{enterprise}/settings/billing/shared-storage",
      operationId: "billingGetSharedStorageBillingGhe",
      variables,
    }),
    () =>
      fetchBillingGetSharedStorageBillingGhe({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActivityListPublicEventsQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ActivityListPublicEventsError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 503;
      payload: Responses.ServiceUnavailable;
    }
>;

export type ActivityListPublicEventsResponse = Schemas.Event[];

export type ActivityListPublicEventsVariables = {
  queryParams?: ActivityListPublicEventsQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * We delay the public events feed by five minutes, which means the most recent event returned by the public events API actually occurred at least five minutes ago.
 */
export const fetchActivityListPublicEvents = (
  variables: ActivityListPublicEventsVariables
) =>
  githubFetch<
    ActivityListPublicEventsResponse,
    ActivityListPublicEventsError,
    undefined,
    {},
    ActivityListPublicEventsQueryParams,
    {}
  >({ url: "/events", method: "get", ...variables });

/**
 * We delay the public events feed by five minutes, which means the most recent event returned by the public events API actually occurred at least five minutes ago.
 */
export const useActivityListPublicEvents = <
  TData = ActivityListPublicEventsResponse
>(
  variables: ActivityListPublicEventsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ActivityListPublicEventsResponse,
      ActivityListPublicEventsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ActivityListPublicEventsResponse,
    ActivityListPublicEventsError,
    TData
  >(
    queryKeyFn({
      path: "/events",
      operationId: "activityListPublicEvents",
      variables,
    }),
    () => fetchActivityListPublicEvents({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActivityGetFeedsError = Fetcher.ErrorWrapper<undefined>;

export type ActivityGetFeedsVariables = GithubContext["fetcherOptions"];

/**
 * GitHub provides several timeline resources in [Atom](http://en.wikipedia.org/wiki/Atom_(standard)) format. The Feeds API lists all the feeds available to the authenticated user:
 *
 * *   **Timeline**: The GitHub global public timeline
 * *   **User**: The public timeline for any user, using [URI template](https://docs.github.com/rest/overview/resources-in-the-rest-api#hypermedia)
 * *   **Current user public**: The public timeline for the authenticated user
 * *   **Current user**: The private timeline for the authenticated user
 * *   **Current user actor**: The private timeline for activity created by the authenticated user
 * *   **Current user organizations**: The private timeline for the organizations the authenticated user is a member of.
 * *   **Security advisories**: A collection of public announcements that provide information about security-related vulnerabilities in software on GitHub.
 *
 * **Note**: Private feeds are only returned when [authenticating via Basic Auth](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication) since current feed URIs use the older, non revocable auth tokens.
 */
export const fetchActivityGetFeeds = (variables: ActivityGetFeedsVariables) =>
  githubFetch<Schemas.Feed, ActivityGetFeedsError, undefined, {}, {}, {}>({
    url: "/feeds",
    method: "get",
    ...variables,
  });

/**
 * GitHub provides several timeline resources in [Atom](http://en.wikipedia.org/wiki/Atom_(standard)) format. The Feeds API lists all the feeds available to the authenticated user:
 *
 * *   **Timeline**: The GitHub global public timeline
 * *   **User**: The public timeline for any user, using [URI template](https://docs.github.com/rest/overview/resources-in-the-rest-api#hypermedia)
 * *   **Current user public**: The public timeline for the authenticated user
 * *   **Current user**: The private timeline for the authenticated user
 * *   **Current user actor**: The private timeline for activity created by the authenticated user
 * *   **Current user organizations**: The private timeline for the organizations the authenticated user is a member of.
 * *   **Security advisories**: A collection of public announcements that provide information about security-related vulnerabilities in software on GitHub.
 *
 * **Note**: Private feeds are only returned when [authenticating via Basic Auth](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication) since current feed URIs use the older, non revocable auth tokens.
 */
export const useActivityGetFeeds = <TData = Schemas.Feed>(
  variables: ActivityGetFeedsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<Schemas.Feed, ActivityGetFeedsError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.Feed, ActivityGetFeedsError, TData>(
    queryKeyFn({ path: "/feeds", operationId: "activityGetFeeds", variables }),
    () => fetchActivityGetFeeds({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type GistsListQueryParams = {
  /*
   * Only show notifications updated after the given time. This is a timestamp in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format: `YYYY-MM-DDTHH:MM:SSZ`.
   */
  since?: string;
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type GistsListError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
>;

export type GistsListResponse = Schemas.BaseGist[];

export type GistsListVariables = {
  queryParams?: GistsListQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists the authenticated user's gists or if called anonymously, this endpoint returns all public gists:
 */
export const fetchGistsList = (variables: GistsListVariables) =>
  githubFetch<
    GistsListResponse,
    GistsListError,
    undefined,
    {},
    GistsListQueryParams,
    {}
  >({ url: "/gists", method: "get", ...variables });

/**
 * Lists the authenticated user's gists or if called anonymously, this endpoint returns all public gists:
 */
export const useGistsList = <TData = GistsListResponse>(
  variables: GistsListVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<GistsListResponse, GistsListError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<GistsListResponse, GistsListError, TData>(
    queryKeyFn({ path: "/gists", operationId: "gistsList", variables }),
    () => fetchGistsList({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type GistsCreateError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type GistsCreateRequestBody = {
  /*
   * Description of the gist
   *
   * @example Example Ruby script
   */
  description?: string;
  /*
   * Names and content for the files that make up the gist
   *
   * @example {"hello.rb":{"content":"puts \"Hello, World!\""}}
   */
  files: {
    [key: string]: {
      /*
       * Content of the file
       */
      content: string;
    };
  };
  public?: boolean | ("true" | "false");
};

export type GistsCreateVariables = {
  body: GistsCreateRequestBody;
} & GithubContext["fetcherOptions"];

/**
 * Allows you to add a new gist with one or more files.
 *
 * **Note:** Don't name your files "gistfile" with a numerical suffix. This is the format of the automatic naming scheme that Gist uses internally.
 */
export const fetchGistsCreate = (variables: GistsCreateVariables) =>
  githubFetch<
    Schemas.GistSimple,
    GistsCreateError,
    GistsCreateRequestBody,
    {},
    {},
    {}
  >({ url: "/gists", method: "post", ...variables });

/**
 * Allows you to add a new gist with one or more files.
 *
 * **Note:** Don't name your files "gistfile" with a numerical suffix. This is the format of the automatic naming scheme that Gist uses internally.
 */
export const useGistsCreate = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.GistSimple,
      GistsCreateError,
      GistsCreateVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.GistSimple,
    GistsCreateError,
    GistsCreateVariables
  >(
    (variables: GistsCreateVariables) =>
      fetchGistsCreate({ ...fetcherOptions, ...variables }),
    options
  );
};

export type GistsListPublicQueryParams = {
  /*
   * Only show notifications updated after the given time. This is a timestamp in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format: `YYYY-MM-DDTHH:MM:SSZ`.
   */
  since?: string;
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type GistsListPublicError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type GistsListPublicResponse = Schemas.BaseGist[];

export type GistsListPublicVariables = {
  queryParams?: GistsListPublicQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * List public gists sorted by most recently updated to least recently updated.
 *
 * Note: With [pagination](https://docs.github.com/rest/overview/resources-in-the-rest-api#pagination), you can fetch up to 3000 gists. For example, you can fetch 100 pages with 30 gists per page or 30 pages with 100 gists per page.
 */
export const fetchGistsListPublic = (variables: GistsListPublicVariables) =>
  githubFetch<
    GistsListPublicResponse,
    GistsListPublicError,
    undefined,
    {},
    GistsListPublicQueryParams,
    {}
  >({ url: "/gists/public", method: "get", ...variables });

/**
 * List public gists sorted by most recently updated to least recently updated.
 *
 * Note: With [pagination](https://docs.github.com/rest/overview/resources-in-the-rest-api#pagination), you can fetch up to 3000 gists. For example, you can fetch 100 pages with 30 gists per page or 30 pages with 100 gists per page.
 */
export const useGistsListPublic = <TData = GistsListPublicResponse>(
  variables: GistsListPublicVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      GistsListPublicResponse,
      GistsListPublicError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    GistsListPublicResponse,
    GistsListPublicError,
    TData
  >(
    queryKeyFn({
      path: "/gists/public",
      operationId: "gistsListPublic",
      variables,
    }),
    () => fetchGistsListPublic({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type GistsListStarredQueryParams = {
  /*
   * Only show notifications updated after the given time. This is a timestamp in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format: `YYYY-MM-DDTHH:MM:SSZ`.
   */
  since?: string;
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type GistsListStarredError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
>;

export type GistsListStarredResponse = Schemas.BaseGist[];

export type GistsListStarredVariables = {
  queryParams?: GistsListStarredQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * List the authenticated user's starred gists:
 */
export const fetchGistsListStarred = (variables: GistsListStarredVariables) =>
  githubFetch<
    GistsListStarredResponse,
    GistsListStarredError,
    undefined,
    {},
    GistsListStarredQueryParams,
    {}
  >({ url: "/gists/starred", method: "get", ...variables });

/**
 * List the authenticated user's starred gists:
 */
export const useGistsListStarred = <TData = GistsListStarredResponse>(
  variables: GistsListStarredVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      GistsListStarredResponse,
      GistsListStarredError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    GistsListStarredResponse,
    GistsListStarredError,
    TData
  >(
    queryKeyFn({
      path: "/gists/starred",
      operationId: "gistsListStarred",
      variables,
    }),
    () => fetchGistsListStarred({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type GistsDeletePathParams = {
  /*
   * gist_id parameter
   */
  gistId: string;
};

export type GistsDeleteError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type GistsDeleteVariables = {
  pathParams: GistsDeletePathParams;
} & GithubContext["fetcherOptions"];

export const fetchGistsDelete = (variables: GistsDeleteVariables) =>
  githubFetch<
    undefined,
    GistsDeleteError,
    undefined,
    {},
    {},
    GistsDeletePathParams
  >({ url: "/gists/{gistId}", method: "delete", ...variables });

export const useGistsDelete = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      GistsDeleteError,
      GistsDeleteVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    GistsDeleteError,
    GistsDeleteVariables
  >(
    (variables: GistsDeleteVariables) =>
      fetchGistsDelete({ ...fetcherOptions, ...variables }),
    options
  );
};

export type GistsGetPathParams = {
  /*
   * gist_id parameter
   */
  gistId: string;
};

export type GistsGetError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 403;
      payload: Responses.ForbiddenGist;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type GistsGetVariables = {
  pathParams: GistsGetPathParams;
} & GithubContext["fetcherOptions"];

export const fetchGistsGet = (variables: GistsGetVariables) =>
  githubFetch<
    Schemas.GistSimple,
    GistsGetError,
    undefined,
    {},
    {},
    GistsGetPathParams
  >({ url: "/gists/{gistId}", method: "get", ...variables });

export const useGistsGet = <TData = Schemas.GistSimple>(
  variables: GistsGetVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<Schemas.GistSimple, GistsGetError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.GistSimple, GistsGetError, TData>(
    queryKeyFn({
      path: "/gists/{gist_id}",
      operationId: "gistsGet",
      variables,
    }),
    () => fetchGistsGet({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type GistsUpdatePathParams = {
  /*
   * gist_id parameter
   */
  gistId: string;
};

export type GistsUpdateError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type GistsUpdateVariables = {
  body?:
    | {
        /*
         * Description of the gist
         *
         * @example Example Ruby script
         */
        description: string;
        /*
         * Names of files to be updated
         *
         * @example {"hello.rb":{"content":"blah","filename":"goodbye.rb"}}
         */
        files?: {
          [key: string]:
            | {
                /*
                 * The new content of the file
                 */
                content: string;
                /*
                 * The new filename for the file
                 */
                filename?: string | null;
              }
            | {
                /*
                 * The new content of the file
                 */
                content?: string;
                /*
                 * The new filename for the file
                 */
                filename: string | null;
              }
            | {}
            | null;
        };
      }
    | {
        /*
         * Description of the gist
         *
         * @example Example Ruby script
         */
        description?: string;
        /*
         * Names of files to be updated
         *
         * @example {"hello.rb":{"content":"blah","filename":"goodbye.rb"}}
         */
        files: {
          [key: string]:
            | {
                /*
                 * The new content of the file
                 */
                content: string;
                /*
                 * The new filename for the file
                 */
                filename?: string | null;
              }
            | {
                /*
                 * The new content of the file
                 */
                content?: string;
                /*
                 * The new filename for the file
                 */
                filename: string | null;
              }
            | {}
            | null;
        };
      }
    | null;
  pathParams: GistsUpdatePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Allows you to update or delete a gist file and rename gist files. Files from the previous version of the gist that aren't explicitly changed during an edit are unchanged.
 */
export const fetchGistsUpdate = (variables: GistsUpdateVariables) =>
  githubFetch<
    Schemas.GistSimple,
    GistsUpdateError,
    | {
        /*
         * Description of the gist
         *
         * @example Example Ruby script
         */
        description: string;
        /*
         * Names of files to be updated
         *
         * @example {"hello.rb":{"content":"blah","filename":"goodbye.rb"}}
         */
        files?: {
          [key: string]:
            | {
                /*
                 * The new content of the file
                 */
                content: string;
                /*
                 * The new filename for the file
                 */
                filename?: string | null;
              }
            | {
                /*
                 * The new content of the file
                 */
                content?: string;
                /*
                 * The new filename for the file
                 */
                filename: string | null;
              }
            | {}
            | null;
        };
      }
    | {
        /*
         * Description of the gist
         *
         * @example Example Ruby script
         */
        description?: string;
        /*
         * Names of files to be updated
         *
         * @example {"hello.rb":{"content":"blah","filename":"goodbye.rb"}}
         */
        files: {
          [key: string]:
            | {
                /*
                 * The new content of the file
                 */
                content: string;
                /*
                 * The new filename for the file
                 */
                filename?: string | null;
              }
            | {
                /*
                 * The new content of the file
                 */
                content?: string;
                /*
                 * The new filename for the file
                 */
                filename: string | null;
              }
            | {}
            | null;
        };
      }
    | null,
    {},
    {},
    GistsUpdatePathParams
  >({ url: "/gists/{gistId}", method: "patch", ...variables });

/**
 * Allows you to update or delete a gist file and rename gist files. Files from the previous version of the gist that aren't explicitly changed during an edit are unchanged.
 */
export const useGistsUpdate = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.GistSimple,
      GistsUpdateError,
      GistsUpdateVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.GistSimple,
    GistsUpdateError,
    GistsUpdateVariables
  >(
    (variables: GistsUpdateVariables) =>
      fetchGistsUpdate({ ...fetcherOptions, ...variables }),
    options
  );
};

export type GistsListCommentsPathParams = {
  /*
   * gist_id parameter
   */
  gistId: string;
};

export type GistsListCommentsQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type GistsListCommentsError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type GistsListCommentsResponse = Schemas.GistComment[];

export type GistsListCommentsVariables = {
  pathParams: GistsListCommentsPathParams;
  queryParams?: GistsListCommentsQueryParams;
} & GithubContext["fetcherOptions"];

export const fetchGistsListComments = (variables: GistsListCommentsVariables) =>
  githubFetch<
    GistsListCommentsResponse,
    GistsListCommentsError,
    undefined,
    {},
    GistsListCommentsQueryParams,
    GistsListCommentsPathParams
  >({ url: "/gists/{gistId}/comments", method: "get", ...variables });

export const useGistsListComments = <TData = GistsListCommentsResponse>(
  variables: GistsListCommentsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      GistsListCommentsResponse,
      GistsListCommentsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    GistsListCommentsResponse,
    GistsListCommentsError,
    TData
  >(
    queryKeyFn({
      path: "/gists/{gist_id}/comments",
      operationId: "gistsListComments",
      variables,
    }),
    () => fetchGistsListComments({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type GistsCreateCommentPathParams = {
  /*
   * gist_id parameter
   */
  gistId: string;
};

export type GistsCreateCommentError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type GistsCreateCommentRequestBody = {
  /*
   * The comment text.
   *
   * @example Body of the attachment
   * @maxLength 65535
   */
  body: string;
};

export type GistsCreateCommentVariables = {
  body: GistsCreateCommentRequestBody;
  pathParams: GistsCreateCommentPathParams;
} & GithubContext["fetcherOptions"];

export const fetchGistsCreateComment = (
  variables: GistsCreateCommentVariables
) =>
  githubFetch<
    Schemas.GistComment,
    GistsCreateCommentError,
    GistsCreateCommentRequestBody,
    {},
    {},
    GistsCreateCommentPathParams
  >({ url: "/gists/{gistId}/comments", method: "post", ...variables });

export const useGistsCreateComment = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.GistComment,
      GistsCreateCommentError,
      GistsCreateCommentVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.GistComment,
    GistsCreateCommentError,
    GistsCreateCommentVariables
  >(
    (variables: GistsCreateCommentVariables) =>
      fetchGistsCreateComment({ ...fetcherOptions, ...variables }),
    options
  );
};

export type GistsDeleteCommentPathParams = {
  /*
   * gist_id parameter
   */
  gistId: string;
  /*
   * comment_id parameter
   */
  commentId: number;
};

export type GistsDeleteCommentError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type GistsDeleteCommentVariables = {
  pathParams: GistsDeleteCommentPathParams;
} & GithubContext["fetcherOptions"];

export const fetchGistsDeleteComment = (
  variables: GistsDeleteCommentVariables
) =>
  githubFetch<
    undefined,
    GistsDeleteCommentError,
    undefined,
    {},
    {},
    GistsDeleteCommentPathParams
  >({
    url: "/gists/{gistId}/comments/{commentId}",
    method: "delete",
    ...variables,
  });

export const useGistsDeleteComment = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      GistsDeleteCommentError,
      GistsDeleteCommentVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    GistsDeleteCommentError,
    GistsDeleteCommentVariables
  >(
    (variables: GistsDeleteCommentVariables) =>
      fetchGistsDeleteComment({ ...fetcherOptions, ...variables }),
    options
  );
};

export type GistsGetCommentPathParams = {
  /*
   * gist_id parameter
   */
  gistId: string;
  /*
   * comment_id parameter
   */
  commentId: number;
};

export type GistsGetCommentError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 403;
      payload: Responses.ForbiddenGist;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type GistsGetCommentVariables = {
  pathParams: GistsGetCommentPathParams;
} & GithubContext["fetcherOptions"];

export const fetchGistsGetComment = (variables: GistsGetCommentVariables) =>
  githubFetch<
    Schemas.GistComment,
    GistsGetCommentError,
    undefined,
    {},
    {},
    GistsGetCommentPathParams
  >({
    url: "/gists/{gistId}/comments/{commentId}",
    method: "get",
    ...variables,
  });

export const useGistsGetComment = <TData = Schemas.GistComment>(
  variables: GistsGetCommentVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.GistComment,
      GistsGetCommentError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.GistComment, GistsGetCommentError, TData>(
    queryKeyFn({
      path: "/gists/{gist_id}/comments/{comment_id}",
      operationId: "gistsGetComment",
      variables,
    }),
    () => fetchGistsGetComment({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type GistsUpdateCommentPathParams = {
  /*
   * gist_id parameter
   */
  gistId: string;
  /*
   * comment_id parameter
   */
  commentId: number;
};

export type GistsUpdateCommentError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type GistsUpdateCommentRequestBody = {
  /*
   * The comment text.
   *
   * @example Body of the attachment
   * @maxLength 65535
   */
  body: string;
};

export type GistsUpdateCommentVariables = {
  body: GistsUpdateCommentRequestBody;
  pathParams: GistsUpdateCommentPathParams;
} & GithubContext["fetcherOptions"];

export const fetchGistsUpdateComment = (
  variables: GistsUpdateCommentVariables
) =>
  githubFetch<
    Schemas.GistComment,
    GistsUpdateCommentError,
    GistsUpdateCommentRequestBody,
    {},
    {},
    GistsUpdateCommentPathParams
  >({
    url: "/gists/{gistId}/comments/{commentId}",
    method: "patch",
    ...variables,
  });

export const useGistsUpdateComment = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.GistComment,
      GistsUpdateCommentError,
      GistsUpdateCommentVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.GistComment,
    GistsUpdateCommentError,
    GistsUpdateCommentVariables
  >(
    (variables: GistsUpdateCommentVariables) =>
      fetchGistsUpdateComment({ ...fetcherOptions, ...variables }),
    options
  );
};

export type GistsListCommitsPathParams = {
  /*
   * gist_id parameter
   */
  gistId: string;
};

export type GistsListCommitsQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type GistsListCommitsError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type GistsListCommitsResponse = Schemas.GistCommit[];

export type GistsListCommitsVariables = {
  pathParams: GistsListCommitsPathParams;
  queryParams?: GistsListCommitsQueryParams;
} & GithubContext["fetcherOptions"];

export const fetchGistsListCommits = (variables: GistsListCommitsVariables) =>
  githubFetch<
    GistsListCommitsResponse,
    GistsListCommitsError,
    undefined,
    {},
    GistsListCommitsQueryParams,
    GistsListCommitsPathParams
  >({ url: "/gists/{gistId}/commits", method: "get", ...variables });

export const useGistsListCommits = <TData = GistsListCommitsResponse>(
  variables: GistsListCommitsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      GistsListCommitsResponse,
      GistsListCommitsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    GistsListCommitsResponse,
    GistsListCommitsError,
    TData
  >(
    queryKeyFn({
      path: "/gists/{gist_id}/commits",
      operationId: "gistsListCommits",
      variables,
    }),
    () => fetchGistsListCommits({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type GistsListForksPathParams = {
  /*
   * gist_id parameter
   */
  gistId: string;
};

export type GistsListForksQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type GistsListForksError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type GistsListForksResponse = Schemas.GistSimple[];

export type GistsListForksVariables = {
  pathParams: GistsListForksPathParams;
  queryParams?: GistsListForksQueryParams;
} & GithubContext["fetcherOptions"];

export const fetchGistsListForks = (variables: GistsListForksVariables) =>
  githubFetch<
    GistsListForksResponse,
    GistsListForksError,
    undefined,
    {},
    GistsListForksQueryParams,
    GistsListForksPathParams
  >({ url: "/gists/{gistId}/forks", method: "get", ...variables });

export const useGistsListForks = <TData = GistsListForksResponse>(
  variables: GistsListForksVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      GistsListForksResponse,
      GistsListForksError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    GistsListForksResponse,
    GistsListForksError,
    TData
  >(
    queryKeyFn({
      path: "/gists/{gist_id}/forks",
      operationId: "gistsListForks",
      variables,
    }),
    () => fetchGistsListForks({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type GistsForkPathParams = {
  /*
   * gist_id parameter
   */
  gistId: string;
};

export type GistsForkError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type GistsForkVariables = {
  pathParams: GistsForkPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Note**: This was previously `/gists/:gist_id/fork`.
 */
export const fetchGistsFork = (variables: GistsForkVariables) =>
  githubFetch<
    Schemas.BaseGist,
    GistsForkError,
    undefined,
    {},
    {},
    GistsForkPathParams
  >({ url: "/gists/{gistId}/forks", method: "post", ...variables });

/**
 * **Note**: This was previously `/gists/:gist_id/fork`.
 */
export const useGistsFork = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.BaseGist,
      GistsForkError,
      GistsForkVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.BaseGist,
    GistsForkError,
    GistsForkVariables
  >(
    (variables: GistsForkVariables) =>
      fetchGistsFork({ ...fetcherOptions, ...variables }),
    options
  );
};

export type GistsUnstarPathParams = {
  /*
   * gist_id parameter
   */
  gistId: string;
};

export type GistsUnstarError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type GistsUnstarVariables = {
  pathParams: GistsUnstarPathParams;
} & GithubContext["fetcherOptions"];

export const fetchGistsUnstar = (variables: GistsUnstarVariables) =>
  githubFetch<
    undefined,
    GistsUnstarError,
    undefined,
    {},
    {},
    GistsUnstarPathParams
  >({ url: "/gists/{gistId}/star", method: "delete", ...variables });

export const useGistsUnstar = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      GistsUnstarError,
      GistsUnstarVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    GistsUnstarError,
    GistsUnstarVariables
  >(
    (variables: GistsUnstarVariables) =>
      fetchGistsUnstar({ ...fetcherOptions, ...variables }),
    options
  );
};

export type GistsCheckIsStarredPathParams = {
  /*
   * gist_id parameter
   */
  gistId: string;
};

export type GistsCheckIsStarredError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: {};
    }
>;

export type GistsCheckIsStarredVariables = {
  pathParams: GistsCheckIsStarredPathParams;
} & GithubContext["fetcherOptions"];

export const fetchGistsCheckIsStarred = (
  variables: GistsCheckIsStarredVariables
) =>
  githubFetch<
    undefined,
    GistsCheckIsStarredError,
    undefined,
    {},
    {},
    GistsCheckIsStarredPathParams
  >({ url: "/gists/{gistId}/star", method: "get", ...variables });

export const useGistsCheckIsStarred = <TData = undefined>(
  variables: GistsCheckIsStarredVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<undefined, GistsCheckIsStarredError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<undefined, GistsCheckIsStarredError, TData>(
    queryKeyFn({
      path: "/gists/{gist_id}/star",
      operationId: "gistsCheckIsStarred",
      variables,
    }),
    () => fetchGistsCheckIsStarred({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type GistsStarPathParams = {
  /*
   * gist_id parameter
   */
  gistId: string;
};

export type GistsStarError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type GistsStarVariables = {
  pathParams: GistsStarPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Note that you'll need to set `Content-Length` to zero when calling out to this endpoint. For more information, see "[HTTP verbs](https://docs.github.com/rest/overview/resources-in-the-rest-api#http-verbs)."
 */
export const fetchGistsStar = (variables: GistsStarVariables) =>
  githubFetch<
    undefined,
    GistsStarError,
    undefined,
    {},
    {},
    GistsStarPathParams
  >({ url: "/gists/{gistId}/star", method: "put", ...variables });

/**
 * Note that you'll need to set `Content-Length` to zero when calling out to this endpoint. For more information, see "[HTTP verbs](https://docs.github.com/rest/overview/resources-in-the-rest-api#http-verbs)."
 */
export const useGistsStar = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      GistsStarError,
      GistsStarVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<undefined, GistsStarError, GistsStarVariables>(
    (variables: GistsStarVariables) =>
      fetchGistsStar({ ...fetcherOptions, ...variables }),
    options
  );
};

export type GistsGetRevisionPathParams = {
  /*
   * gist_id parameter
   */
  gistId: string;
  sha: string;
};

export type GistsGetRevisionError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type GistsGetRevisionVariables = {
  pathParams: GistsGetRevisionPathParams;
} & GithubContext["fetcherOptions"];

export const fetchGistsGetRevision = (variables: GistsGetRevisionVariables) =>
  githubFetch<
    Schemas.GistSimple,
    GistsGetRevisionError,
    undefined,
    {},
    {},
    GistsGetRevisionPathParams
  >({ url: "/gists/{gistId}/{sha}", method: "get", ...variables });

export const useGistsGetRevision = <TData = Schemas.GistSimple>(
  variables: GistsGetRevisionVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.GistSimple,
      GistsGetRevisionError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.GistSimple, GistsGetRevisionError, TData>(
    queryKeyFn({
      path: "/gists/{gist_id}/{sha}",
      operationId: "gistsGetRevision",
      variables,
    }),
    () => fetchGistsGetRevision({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type GitignoreGetAllTemplatesError = Fetcher.ErrorWrapper<{
  status: 304;
  payload: Responses.NotModified;
}>;

export type GitignoreGetAllTemplatesResponse = string[];

export type GitignoreGetAllTemplatesVariables = GithubContext["fetcherOptions"];

/**
 * List all templates available to pass as an option when [creating a repository](https://docs.github.com/rest/reference/repos#create-a-repository-for-the-authenticated-user).
 */
export const fetchGitignoreGetAllTemplates = (
  variables: GitignoreGetAllTemplatesVariables
) =>
  githubFetch<
    GitignoreGetAllTemplatesResponse,
    GitignoreGetAllTemplatesError,
    undefined,
    {},
    {},
    {}
  >({ url: "/gitignore/templates", method: "get", ...variables });

/**
 * List all templates available to pass as an option when [creating a repository](https://docs.github.com/rest/reference/repos#create-a-repository-for-the-authenticated-user).
 */
export const useGitignoreGetAllTemplates = <
  TData = GitignoreGetAllTemplatesResponse
>(
  variables: GitignoreGetAllTemplatesVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      GitignoreGetAllTemplatesResponse,
      GitignoreGetAllTemplatesError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    GitignoreGetAllTemplatesResponse,
    GitignoreGetAllTemplatesError,
    TData
  >(
    queryKeyFn({
      path: "/gitignore/templates",
      operationId: "gitignoreGetAllTemplates",
      variables,
    }),
    () => fetchGitignoreGetAllTemplates({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type GitignoreGetTemplatePathParams = {
  name: string;
};

export type GitignoreGetTemplateError = Fetcher.ErrorWrapper<{
  status: 304;
  payload: Responses.NotModified;
}>;

export type GitignoreGetTemplateVariables = {
  pathParams: GitignoreGetTemplatePathParams;
} & GithubContext["fetcherOptions"];

/**
 * The API also allows fetching the source of a single template.
 * Use the raw [media type](https://docs.github.com/rest/overview/media-types/) to get the raw contents.
 */
export const fetchGitignoreGetTemplate = (
  variables: GitignoreGetTemplateVariables
) =>
  githubFetch<
    Schemas.GitignoreTemplate,
    GitignoreGetTemplateError,
    undefined,
    {},
    {},
    GitignoreGetTemplatePathParams
  >({ url: "/gitignore/templates/{name}", method: "get", ...variables });

/**
 * The API also allows fetching the source of a single template.
 * Use the raw [media type](https://docs.github.com/rest/overview/media-types/) to get the raw contents.
 */
export const useGitignoreGetTemplate = <TData = Schemas.GitignoreTemplate>(
  variables: GitignoreGetTemplateVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.GitignoreTemplate,
      GitignoreGetTemplateError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.GitignoreTemplate,
    GitignoreGetTemplateError,
    TData
  >(
    queryKeyFn({
      path: "/gitignore/templates/{name}",
      operationId: "gitignoreGetTemplate",
      variables,
    }),
    () => fetchGitignoreGetTemplate({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type AppsListReposAccessibleToInstallationQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type AppsListReposAccessibleToInstallationError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
>;

export type AppsListReposAccessibleToInstallationResponse = {
  repositories: Schemas.Repository[];
  /*
   * @example selected
   */
  repository_selection?: string;
  total_count: number;
};

export type AppsListReposAccessibleToInstallationVariables = {
  queryParams?: AppsListReposAccessibleToInstallationQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * List repositories that an app installation can access.
 *
 * You must use an [installation access token](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-an-installation) to access this endpoint.
 */
export const fetchAppsListReposAccessibleToInstallation = (
  variables: AppsListReposAccessibleToInstallationVariables
) =>
  githubFetch<
    AppsListReposAccessibleToInstallationResponse,
    AppsListReposAccessibleToInstallationError,
    undefined,
    {},
    AppsListReposAccessibleToInstallationQueryParams,
    {}
  >({ url: "/installation/repositories", method: "get", ...variables });

/**
 * List repositories that an app installation can access.
 *
 * You must use an [installation access token](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-an-installation) to access this endpoint.
 */
export const useAppsListReposAccessibleToInstallation = <
  TData = AppsListReposAccessibleToInstallationResponse
>(
  variables: AppsListReposAccessibleToInstallationVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      AppsListReposAccessibleToInstallationResponse,
      AppsListReposAccessibleToInstallationError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    AppsListReposAccessibleToInstallationResponse,
    AppsListReposAccessibleToInstallationError,
    TData
  >(
    queryKeyFn({
      path: "/installation/repositories",
      operationId: "appsListReposAccessibleToInstallation",
      variables,
    }),
    () =>
      fetchAppsListReposAccessibleToInstallation({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type AppsRevokeInstallationAccessTokenError =
  Fetcher.ErrorWrapper<undefined>;

export type AppsRevokeInstallationAccessTokenVariables =
  GithubContext["fetcherOptions"];

/**
 * Revokes the installation token you're using to authenticate as an installation and access this endpoint.
 *
 * Once an installation token is revoked, the token is invalidated and cannot be used. Other endpoints that require the revoked installation token must have a new installation token to work. You can create a new token using the "[Create an installation access token for an app](https://docs.github.com/rest/reference/apps#create-an-installation-access-token-for-an-app)" endpoint.
 *
 * You must use an [installation access token](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-an-installation) to access this endpoint.
 */
export const fetchAppsRevokeInstallationAccessToken = (
  variables: AppsRevokeInstallationAccessTokenVariables
) =>
  githubFetch<
    undefined,
    AppsRevokeInstallationAccessTokenError,
    undefined,
    {},
    {},
    {}
  >({ url: "/installation/token", method: "delete", ...variables });

/**
 * Revokes the installation token you're using to authenticate as an installation and access this endpoint.
 *
 * Once an installation token is revoked, the token is invalidated and cannot be used. Other endpoints that require the revoked installation token must have a new installation token to work. You can create a new token using the "[Create an installation access token for an app](https://docs.github.com/rest/reference/apps#create-an-installation-access-token-for-an-app)" endpoint.
 *
 * You must use an [installation access token](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-an-installation) to access this endpoint.
 */
export const useAppsRevokeInstallationAccessToken = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      AppsRevokeInstallationAccessTokenError,
      AppsRevokeInstallationAccessTokenVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    AppsRevokeInstallationAccessTokenError,
    AppsRevokeInstallationAccessTokenVariables
  >(
    (variables: AppsRevokeInstallationAccessTokenVariables) =>
      fetchAppsRevokeInstallationAccessToken({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type IssuesListQueryParams = {
  /*
   * Indicates which sorts of issues to return. Can be one of:
   * \* `assigned`: Issues assigned to you
   * \* `created`: Issues created by you
   * \* `mentioned`: Issues mentioning you
   * \* `subscribed`: Issues you're subscribed to updates for
   * \* `all`: All issues the authenticated user can see, regardless of participation or creation
   *
   * @default assigned
   */
  filter?:
    | "assigned"
    | "created"
    | "mentioned"
    | "subscribed"
    | "repos"
    | "all";
  /*
   * Indicates the state of the issues to return. Can be either `open`, `closed`, or `all`.
   *
   * @default open
   */
  state?: "open" | "closed" | "all";
  /*
   * A list of comma separated label names. Example: `bug,ui,@high`
   */
  labels?: string;
  /*
   * What to sort results by. Can be either `created`, `updated`, `comments`.
   *
   * @default created
   */
  sort?: "created" | "updated" | "comments";
  /*
   * One of `asc` (ascending) or `desc` (descending).
   *
   * @default desc
   */
  direction?: "asc" | "desc";
  /*
   * Only show notifications updated after the given time. This is a timestamp in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format: `YYYY-MM-DDTHH:MM:SSZ`.
   */
  since?: string;
  collab?: boolean;
  orgs?: boolean;
  owned?: boolean;
  pulls?: boolean;
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type IssuesListError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type IssuesListResponse = Schemas.Issue[];

export type IssuesListVariables = {
  queryParams?: IssuesListQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * List issues assigned to the authenticated user across all visible repositories including owned repositories, member
 * repositories, and organization repositories. You can use the `filter` query parameter to fetch issues that are not
 * necessarily assigned to you.
 *
 *
 * **Note**: GitHub's REST API v3 considers every pull request an issue, but not every issue is a pull request. For this
 * reason, "Issues" endpoints may return both issues and pull requests in the response. You can identify pull requests by
 * the `pull_request` key. Be aware that the `id` of a pull request returned from "Issues" endpoints will be an _issue id_. To find out the pull
 * request id, use the "[List pull requests](https://docs.github.com/rest/reference/pulls#list-pull-requests)" endpoint.
 */
export const fetchIssuesList = (variables: IssuesListVariables) =>
  githubFetch<
    IssuesListResponse,
    IssuesListError,
    undefined,
    {},
    IssuesListQueryParams,
    {}
  >({ url: "/issues", method: "get", ...variables });

/**
 * List issues assigned to the authenticated user across all visible repositories including owned repositories, member
 * repositories, and organization repositories. You can use the `filter` query parameter to fetch issues that are not
 * necessarily assigned to you.
 *
 *
 * **Note**: GitHub's REST API v3 considers every pull request an issue, but not every issue is a pull request. For this
 * reason, "Issues" endpoints may return both issues and pull requests in the response. You can identify pull requests by
 * the `pull_request` key. Be aware that the `id` of a pull request returned from "Issues" endpoints will be an _issue id_. To find out the pull
 * request id, use the "[List pull requests](https://docs.github.com/rest/reference/pulls#list-pull-requests)" endpoint.
 */
export const useIssuesList = <TData = IssuesListResponse>(
  variables: IssuesListVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<IssuesListResponse, IssuesListError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<IssuesListResponse, IssuesListError, TData>(
    queryKeyFn({ path: "/issues", operationId: "issuesList", variables }),
    () => fetchIssuesList({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type LicensesGetAllCommonlyUsedQueryParams = {
  featured?: boolean;
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type LicensesGetAllCommonlyUsedError = Fetcher.ErrorWrapper<{
  status: 304;
  payload: Responses.NotModified;
}>;

export type LicensesGetAllCommonlyUsedResponse = Schemas.LicenseSimple[];

export type LicensesGetAllCommonlyUsedVariables = {
  queryParams?: LicensesGetAllCommonlyUsedQueryParams;
} & GithubContext["fetcherOptions"];

export const fetchLicensesGetAllCommonlyUsed = (
  variables: LicensesGetAllCommonlyUsedVariables
) =>
  githubFetch<
    LicensesGetAllCommonlyUsedResponse,
    LicensesGetAllCommonlyUsedError,
    undefined,
    {},
    LicensesGetAllCommonlyUsedQueryParams,
    {}
  >({ url: "/licenses", method: "get", ...variables });

export const useLicensesGetAllCommonlyUsed = <
  TData = LicensesGetAllCommonlyUsedResponse
>(
  variables: LicensesGetAllCommonlyUsedVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      LicensesGetAllCommonlyUsedResponse,
      LicensesGetAllCommonlyUsedError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    LicensesGetAllCommonlyUsedResponse,
    LicensesGetAllCommonlyUsedError,
    TData
  >(
    queryKeyFn({
      path: "/licenses",
      operationId: "licensesGetAllCommonlyUsed",
      variables,
    }),
    () => fetchLicensesGetAllCommonlyUsed({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type LicensesGetPathParams = {
  license: string;
};

export type LicensesGetError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type LicensesGetVariables = {
  pathParams: LicensesGetPathParams;
} & GithubContext["fetcherOptions"];

export const fetchLicensesGet = (variables: LicensesGetVariables) =>
  githubFetch<
    Schemas.License,
    LicensesGetError,
    undefined,
    {},
    {},
    LicensesGetPathParams
  >({ url: "/licenses/{license}", method: "get", ...variables });

export const useLicensesGet = <TData = Schemas.License>(
  variables: LicensesGetVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<Schemas.License, LicensesGetError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.License, LicensesGetError, TData>(
    queryKeyFn({
      path: "/licenses/{license}",
      operationId: "licensesGet",
      variables,
    }),
    () => fetchLicensesGet({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type MarkdownRenderError = Fetcher.ErrorWrapper<{
  status: 304;
  payload: Responses.NotModified;
}>;

export type MarkdownRenderRequestBody = {
  /*
   * The repository context to use when creating references in `gfm` mode.
   */
  context?: string;
  /*
   * The rendering mode.
   *
   * @default markdown
   * @example markdown
   */
  mode?: "markdown" | "gfm";
  /*
   * The Markdown text to render in HTML.
   */
  text: string;
};

export type MarkdownRenderVariables = {
  body: MarkdownRenderRequestBody;
} & GithubContext["fetcherOptions"];

export const fetchMarkdownRender = (variables: MarkdownRenderVariables) =>
  githubFetch<
    undefined,
    MarkdownRenderError,
    MarkdownRenderRequestBody,
    {},
    {},
    {}
  >({ url: "/markdown", method: "post", ...variables });

export const useMarkdownRender = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      MarkdownRenderError,
      MarkdownRenderVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    MarkdownRenderError,
    MarkdownRenderVariables
  >(
    (variables: MarkdownRenderVariables) =>
      fetchMarkdownRender({ ...fetcherOptions, ...variables }),
    options
  );
};

export type MarkdownRenderRawError = Fetcher.ErrorWrapper<{
  status: 304;
  payload: Responses.NotModified;
}>;

export type MarkdownRenderRawVariables = GithubContext["fetcherOptions"];

/**
 * You must send Markdown as plain text (using a `Content-Type` header of `text/plain` or `text/x-markdown`) to this endpoint, rather than using JSON format. In raw mode, [GitHub Flavored Markdown](https://github.github.com/gfm/) is not supported and Markdown will be rendered in plain format like a README.md file. Markdown content must be 400 KB or less.
 */
export const fetchMarkdownRenderRaw = (variables: MarkdownRenderRawVariables) =>
  githubFetch<undefined, MarkdownRenderRawError, undefined, {}, {}, {}>({
    url: "/markdown/raw",
    method: "post",
    ...variables,
  });

/**
 * You must send Markdown as plain text (using a `Content-Type` header of `text/plain` or `text/x-markdown`) to this endpoint, rather than using JSON format. In raw mode, [GitHub Flavored Markdown](https://github.github.com/gfm/) is not supported and Markdown will be rendered in plain format like a README.md file. Markdown content must be 400 KB or less.
 */
export const useMarkdownRenderRaw = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      MarkdownRenderRawError,
      MarkdownRenderRawVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    MarkdownRenderRawError,
    MarkdownRenderRawVariables
  >(
    (variables: MarkdownRenderRawVariables) =>
      fetchMarkdownRenderRaw({ ...fetcherOptions, ...variables }),
    options
  );
};

export type AppsGetSubscriptionPlanForAccountPathParams = {
  /*
   * account_id parameter
   */
  accountId: number;
};

export type AppsGetSubscriptionPlanForAccountError = Fetcher.ErrorWrapper<
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 404;
      payload: Schemas.BasicError;
    }
>;

export type AppsGetSubscriptionPlanForAccountVariables = {
  pathParams: AppsGetSubscriptionPlanForAccountPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Shows whether the user or organization account actively subscribes to a plan listed by the authenticated GitHub App. When someone submits a plan change that won't be processed until the end of their billing cycle, you will also see the upcoming pending change.
 *
 * GitHub Apps must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint. OAuth Apps must use [basic authentication](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication) with their client ID and client secret to access this endpoint.
 */
export const fetchAppsGetSubscriptionPlanForAccount = (
  variables: AppsGetSubscriptionPlanForAccountVariables
) =>
  githubFetch<
    Schemas.MarketplacePurchase,
    AppsGetSubscriptionPlanForAccountError,
    undefined,
    {},
    {},
    AppsGetSubscriptionPlanForAccountPathParams
  >({
    url: "/marketplace_listing/accounts/{accountId}",
    method: "get",
    ...variables,
  });

/**
 * Shows whether the user or organization account actively subscribes to a plan listed by the authenticated GitHub App. When someone submits a plan change that won't be processed until the end of their billing cycle, you will also see the upcoming pending change.
 *
 * GitHub Apps must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint. OAuth Apps must use [basic authentication](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication) with their client ID and client secret to access this endpoint.
 */
export const useAppsGetSubscriptionPlanForAccount = <
  TData = Schemas.MarketplacePurchase
>(
  variables: AppsGetSubscriptionPlanForAccountVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.MarketplacePurchase,
      AppsGetSubscriptionPlanForAccountError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.MarketplacePurchase,
    AppsGetSubscriptionPlanForAccountError,
    TData
  >(
    queryKeyFn({
      path: "/marketplace_listing/accounts/{account_id}",
      operationId: "appsGetSubscriptionPlanForAccount",
      variables,
    }),
    () =>
      fetchAppsGetSubscriptionPlanForAccount({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type AppsListPlansQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type AppsListPlansError = Fetcher.ErrorWrapper<
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type AppsListPlansResponse = Schemas.MarketplaceListingPlan[];

export type AppsListPlansVariables = {
  queryParams?: AppsListPlansQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists all plans that are part of your GitHub Marketplace listing.
 *
 * GitHub Apps must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint. OAuth Apps must use [basic authentication](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication) with their client ID and client secret to access this endpoint.
 */
export const fetchAppsListPlans = (variables: AppsListPlansVariables) =>
  githubFetch<
    AppsListPlansResponse,
    AppsListPlansError,
    undefined,
    {},
    AppsListPlansQueryParams,
    {}
  >({ url: "/marketplace_listing/plans", method: "get", ...variables });

/**
 * Lists all plans that are part of your GitHub Marketplace listing.
 *
 * GitHub Apps must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint. OAuth Apps must use [basic authentication](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication) with their client ID and client secret to access this endpoint.
 */
export const useAppsListPlans = <TData = AppsListPlansResponse>(
  variables: AppsListPlansVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      AppsListPlansResponse,
      AppsListPlansError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<AppsListPlansResponse, AppsListPlansError, TData>(
    queryKeyFn({
      path: "/marketplace_listing/plans",
      operationId: "appsListPlans",
      variables,
    }),
    () => fetchAppsListPlans({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type AppsListAccountsForPlanPathParams = {
  /*
   * plan_id parameter
   */
  planId: number;
};

export type AppsListAccountsForPlanQueryParams = {
  /*
   * One of `created` (when the repository was starred) or `updated` (when it was last pushed to).
   *
   * @default created
   */
  sort?: "created" | "updated";
  /*
   * To return the oldest accounts first, set to `asc`. Can be one of `asc` or `desc`. Ignored without the `sort` parameter.
   */
  direction?: "asc" | "desc";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type AppsListAccountsForPlanError = Fetcher.ErrorWrapper<
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type AppsListAccountsForPlanResponse = Schemas.MarketplacePurchase[];

export type AppsListAccountsForPlanVariables = {
  pathParams: AppsListAccountsForPlanPathParams;
  queryParams?: AppsListAccountsForPlanQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Returns user and organization accounts associated with the specified plan, including free plans. For per-seat pricing, you see the list of accounts that have purchased the plan, including the number of seats purchased. When someone submits a plan change that won't be processed until the end of their billing cycle, you will also see the upcoming pending change.
 *
 * GitHub Apps must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint. OAuth Apps must use [basic authentication](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication) with their client ID and client secret to access this endpoint.
 */
export const fetchAppsListAccountsForPlan = (
  variables: AppsListAccountsForPlanVariables
) =>
  githubFetch<
    AppsListAccountsForPlanResponse,
    AppsListAccountsForPlanError,
    undefined,
    {},
    AppsListAccountsForPlanQueryParams,
    AppsListAccountsForPlanPathParams
  >({
    url: "/marketplace_listing/plans/{planId}/accounts",
    method: "get",
    ...variables,
  });

/**
 * Returns user and organization accounts associated with the specified plan, including free plans. For per-seat pricing, you see the list of accounts that have purchased the plan, including the number of seats purchased. When someone submits a plan change that won't be processed until the end of their billing cycle, you will also see the upcoming pending change.
 *
 * GitHub Apps must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint. OAuth Apps must use [basic authentication](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication) with their client ID and client secret to access this endpoint.
 */
export const useAppsListAccountsForPlan = <
  TData = AppsListAccountsForPlanResponse
>(
  variables: AppsListAccountsForPlanVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      AppsListAccountsForPlanResponse,
      AppsListAccountsForPlanError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    AppsListAccountsForPlanResponse,
    AppsListAccountsForPlanError,
    TData
  >(
    queryKeyFn({
      path: "/marketplace_listing/plans/{plan_id}/accounts",
      operationId: "appsListAccountsForPlan",
      variables,
    }),
    () => fetchAppsListAccountsForPlan({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type AppsGetSubscriptionPlanForAccountStubbedPathParams = {
  /*
   * account_id parameter
   */
  accountId: number;
};

export type AppsGetSubscriptionPlanForAccountStubbedError =
  Fetcher.ErrorWrapper<{
    status: 401;
    payload: Responses.RequiresAuthentication;
  }>;

export type AppsGetSubscriptionPlanForAccountStubbedVariables = {
  pathParams: AppsGetSubscriptionPlanForAccountStubbedPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Shows whether the user or organization account actively subscribes to a plan listed by the authenticated GitHub App. When someone submits a plan change that won't be processed until the end of their billing cycle, you will also see the upcoming pending change.
 *
 * GitHub Apps must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint. OAuth Apps must use [basic authentication](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication) with their client ID and client secret to access this endpoint.
 */
export const fetchAppsGetSubscriptionPlanForAccountStubbed = (
  variables: AppsGetSubscriptionPlanForAccountStubbedVariables
) =>
  githubFetch<
    Schemas.MarketplacePurchase,
    AppsGetSubscriptionPlanForAccountStubbedError,
    undefined,
    {},
    {},
    AppsGetSubscriptionPlanForAccountStubbedPathParams
  >({
    url: "/marketplace_listing/stubbed/accounts/{accountId}",
    method: "get",
    ...variables,
  });

/**
 * Shows whether the user or organization account actively subscribes to a plan listed by the authenticated GitHub App. When someone submits a plan change that won't be processed until the end of their billing cycle, you will also see the upcoming pending change.
 *
 * GitHub Apps must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint. OAuth Apps must use [basic authentication](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication) with their client ID and client secret to access this endpoint.
 */
export const useAppsGetSubscriptionPlanForAccountStubbed = <
  TData = Schemas.MarketplacePurchase
>(
  variables: AppsGetSubscriptionPlanForAccountStubbedVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.MarketplacePurchase,
      AppsGetSubscriptionPlanForAccountStubbedError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.MarketplacePurchase,
    AppsGetSubscriptionPlanForAccountStubbedError,
    TData
  >(
    queryKeyFn({
      path: "/marketplace_listing/stubbed/accounts/{account_id}",
      operationId: "appsGetSubscriptionPlanForAccountStubbed",
      variables,
    }),
    () =>
      fetchAppsGetSubscriptionPlanForAccountStubbed({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type AppsListPlansStubbedQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type AppsListPlansStubbedError = Fetcher.ErrorWrapper<{
  status: 401;
  payload: Responses.RequiresAuthentication;
}>;

export type AppsListPlansStubbedResponse = Schemas.MarketplaceListingPlan[];

export type AppsListPlansStubbedVariables = {
  queryParams?: AppsListPlansStubbedQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists all plans that are part of your GitHub Marketplace listing.
 *
 * GitHub Apps must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint. OAuth Apps must use [basic authentication](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication) with their client ID and client secret to access this endpoint.
 */
export const fetchAppsListPlansStubbed = (
  variables: AppsListPlansStubbedVariables
) =>
  githubFetch<
    AppsListPlansStubbedResponse,
    AppsListPlansStubbedError,
    undefined,
    {},
    AppsListPlansStubbedQueryParams,
    {}
  >({ url: "/marketplace_listing/stubbed/plans", method: "get", ...variables });

/**
 * Lists all plans that are part of your GitHub Marketplace listing.
 *
 * GitHub Apps must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint. OAuth Apps must use [basic authentication](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication) with their client ID and client secret to access this endpoint.
 */
export const useAppsListPlansStubbed = <TData = AppsListPlansStubbedResponse>(
  variables: AppsListPlansStubbedVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      AppsListPlansStubbedResponse,
      AppsListPlansStubbedError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    AppsListPlansStubbedResponse,
    AppsListPlansStubbedError,
    TData
  >(
    queryKeyFn({
      path: "/marketplace_listing/stubbed/plans",
      operationId: "appsListPlansStubbed",
      variables,
    }),
    () => fetchAppsListPlansStubbed({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type AppsListAccountsForPlanStubbedPathParams = {
  /*
   * plan_id parameter
   */
  planId: number;
};

export type AppsListAccountsForPlanStubbedQueryParams = {
  /*
   * One of `created` (when the repository was starred) or `updated` (when it was last pushed to).
   *
   * @default created
   */
  sort?: "created" | "updated";
  /*
   * To return the oldest accounts first, set to `asc`. Can be one of `asc` or `desc`. Ignored without the `sort` parameter.
   */
  direction?: "asc" | "desc";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type AppsListAccountsForPlanStubbedError = Fetcher.ErrorWrapper<{
  status: 401;
  payload: Responses.RequiresAuthentication;
}>;

export type AppsListAccountsForPlanStubbedResponse =
  Schemas.MarketplacePurchase[];

export type AppsListAccountsForPlanStubbedVariables = {
  pathParams: AppsListAccountsForPlanStubbedPathParams;
  queryParams?: AppsListAccountsForPlanStubbedQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Returns repository and organization accounts associated with the specified plan, including free plans. For per-seat pricing, you see the list of accounts that have purchased the plan, including the number of seats purchased. When someone submits a plan change that won't be processed until the end of their billing cycle, you will also see the upcoming pending change.
 *
 * GitHub Apps must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint. OAuth Apps must use [basic authentication](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication) with their client ID and client secret to access this endpoint.
 */
export const fetchAppsListAccountsForPlanStubbed = (
  variables: AppsListAccountsForPlanStubbedVariables
) =>
  githubFetch<
    AppsListAccountsForPlanStubbedResponse,
    AppsListAccountsForPlanStubbedError,
    undefined,
    {},
    AppsListAccountsForPlanStubbedQueryParams,
    AppsListAccountsForPlanStubbedPathParams
  >({
    url: "/marketplace_listing/stubbed/plans/{planId}/accounts",
    method: "get",
    ...variables,
  });

/**
 * Returns repository and organization accounts associated with the specified plan, including free plans. For per-seat pricing, you see the list of accounts that have purchased the plan, including the number of seats purchased. When someone submits a plan change that won't be processed until the end of their billing cycle, you will also see the upcoming pending change.
 *
 * GitHub Apps must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint. OAuth Apps must use [basic authentication](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication) with their client ID and client secret to access this endpoint.
 */
export const useAppsListAccountsForPlanStubbed = <
  TData = AppsListAccountsForPlanStubbedResponse
>(
  variables: AppsListAccountsForPlanStubbedVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      AppsListAccountsForPlanStubbedResponse,
      AppsListAccountsForPlanStubbedError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    AppsListAccountsForPlanStubbedResponse,
    AppsListAccountsForPlanStubbedError,
    TData
  >(
    queryKeyFn({
      path: "/marketplace_listing/stubbed/plans/{plan_id}/accounts",
      operationId: "appsListAccountsForPlanStubbed",
      variables,
    }),
    () =>
      fetchAppsListAccountsForPlanStubbed({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type MetaGetError = Fetcher.ErrorWrapper<{
  status: 304;
  payload: Responses.NotModified;
}>;

export type MetaGetVariables = GithubContext["fetcherOptions"];

/**
 * Returns meta information about GitHub, including a list of GitHub's IP addresses. For more information, see "[About GitHub's IP addresses](https://help.github.com/articles/about-github-s-ip-addresses/)."
 *
 * **Note:** The IP addresses shown in the documentation's response are only example values. You must always query the API directly to get the latest list of IP addresses.
 */
export const fetchMetaGet = (variables: MetaGetVariables) =>
  githubFetch<Schemas.ApiOverview, MetaGetError, undefined, {}, {}, {}>({
    url: "/meta",
    method: "get",
    ...variables,
  });

/**
 * Returns meta information about GitHub, including a list of GitHub's IP addresses. For more information, see "[About GitHub's IP addresses](https://help.github.com/articles/about-github-s-ip-addresses/)."
 *
 * **Note:** The IP addresses shown in the documentation's response are only example values. You must always query the API directly to get the latest list of IP addresses.
 */
export const useMetaGet = <TData = Schemas.ApiOverview>(
  variables: MetaGetVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<Schemas.ApiOverview, MetaGetError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.ApiOverview, MetaGetError, TData>(
    queryKeyFn({ path: "/meta", operationId: "metaGet", variables }),
    () => fetchMetaGet({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActivityListPublicEventsForRepoNetworkPathParams = {
  owner: string;
  repo: string;
};

export type ActivityListPublicEventsForRepoNetworkQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ActivityListPublicEventsForRepoNetworkError = Fetcher.ErrorWrapper<
  | {
      status: 301;
      payload: Responses.MovedPermanently;
    }
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type ActivityListPublicEventsForRepoNetworkResponse = Schemas.Event[];

export type ActivityListPublicEventsForRepoNetworkVariables = {
  pathParams: ActivityListPublicEventsForRepoNetworkPathParams;
  queryParams?: ActivityListPublicEventsForRepoNetworkQueryParams;
} & GithubContext["fetcherOptions"];

export const fetchActivityListPublicEventsForRepoNetwork = (
  variables: ActivityListPublicEventsForRepoNetworkVariables
) =>
  githubFetch<
    ActivityListPublicEventsForRepoNetworkResponse,
    ActivityListPublicEventsForRepoNetworkError,
    undefined,
    {},
    ActivityListPublicEventsForRepoNetworkQueryParams,
    ActivityListPublicEventsForRepoNetworkPathParams
  >({ url: "/networks/{owner}/{repo}/events", method: "get", ...variables });

export const useActivityListPublicEventsForRepoNetwork = <
  TData = ActivityListPublicEventsForRepoNetworkResponse
>(
  variables: ActivityListPublicEventsForRepoNetworkVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ActivityListPublicEventsForRepoNetworkResponse,
      ActivityListPublicEventsForRepoNetworkError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ActivityListPublicEventsForRepoNetworkResponse,
    ActivityListPublicEventsForRepoNetworkError,
    TData
  >(
    queryKeyFn({
      path: "/networks/{owner}/{repo}/events",
      operationId: "activityListPublicEventsForRepoNetwork",
      variables,
    }),
    () =>
      fetchActivityListPublicEventsForRepoNetwork({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActivityListNotificationsForAuthenticatedUserQueryParams = {
  /*
   * If `true`, show notifications marked as read.
   *
   * @default false
   */
  all?: boolean;
  /*
   * If `true`, only shows notifications in which the user is directly participating or mentioned.
   *
   * @default false
   */
  participating?: boolean;
  /*
   * Only show notifications updated after the given time. This is a timestamp in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format: `YYYY-MM-DDTHH:MM:SSZ`.
   */
  since?: string;
  /*
   * Only show notifications updated before the given time. This is a timestamp in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format: `YYYY-MM-DDTHH:MM:SSZ`.
   */
  before?: string;
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ActivityListNotificationsForAuthenticatedUserError =
  Fetcher.ErrorWrapper<
    | {
        status: 304;
        payload: Responses.NotModified;
      }
    | {
        status: 401;
        payload: Responses.RequiresAuthentication;
      }
    | {
        status: 403;
        payload: Responses.Forbidden;
      }
    | {
        status: 422;
        payload: Responses.ValidationFailed;
      }
  >;

export type ActivityListNotificationsForAuthenticatedUserResponse =
  Schemas.Thread[];

export type ActivityListNotificationsForAuthenticatedUserVariables = {
  queryParams?: ActivityListNotificationsForAuthenticatedUserQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * List all notifications for the current user, sorted by most recently updated.
 */
export const fetchActivityListNotificationsForAuthenticatedUser = (
  variables: ActivityListNotificationsForAuthenticatedUserVariables
) =>
  githubFetch<
    ActivityListNotificationsForAuthenticatedUserResponse,
    ActivityListNotificationsForAuthenticatedUserError,
    undefined,
    {},
    ActivityListNotificationsForAuthenticatedUserQueryParams,
    {}
  >({ url: "/notifications", method: "get", ...variables });

/**
 * List all notifications for the current user, sorted by most recently updated.
 */
export const useActivityListNotificationsForAuthenticatedUser = <
  TData = ActivityListNotificationsForAuthenticatedUserResponse
>(
  variables: ActivityListNotificationsForAuthenticatedUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ActivityListNotificationsForAuthenticatedUserResponse,
      ActivityListNotificationsForAuthenticatedUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ActivityListNotificationsForAuthenticatedUserResponse,
    ActivityListNotificationsForAuthenticatedUserError,
    TData
  >(
    queryKeyFn({
      path: "/notifications",
      operationId: "activityListNotificationsForAuthenticatedUser",
      variables,
    }),
    () =>
      fetchActivityListNotificationsForAuthenticatedUser({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActivityMarkNotificationsAsReadError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
>;

export type ActivityMarkNotificationsAsReadResponse = {
  message?: string;
};

export type ActivityMarkNotificationsAsReadRequestBody = {
  /*
   * Describes the last point that notifications were checked.
   *
   * @format date-time
   */
  last_read_at?: string;
  /*
   * Whether the notification has been read.
   */
  read?: boolean;
};

export type ActivityMarkNotificationsAsReadVariables = {
  body?: ActivityMarkNotificationsAsReadRequestBody;
} & GithubContext["fetcherOptions"];

/**
 * Marks all notifications as "read" removes it from the [default view on GitHub](https://github.com/notifications). If the number of notifications is too large to complete in one request, you will receive a `202 Accepted` status and GitHub will run an asynchronous process to mark notifications as "read." To check whether any "unread" notifications remain, you can use the [List notifications for the authenticated user](https://docs.github.com/rest/reference/activity#list-notifications-for-the-authenticated-user) endpoint and pass the query parameter `all=false`.
 */
export const fetchActivityMarkNotificationsAsRead = (
  variables: ActivityMarkNotificationsAsReadVariables
) =>
  githubFetch<
    ActivityMarkNotificationsAsReadResponse,
    ActivityMarkNotificationsAsReadError,
    ActivityMarkNotificationsAsReadRequestBody,
    {},
    {},
    {}
  >({ url: "/notifications", method: "put", ...variables });

/**
 * Marks all notifications as "read" removes it from the [default view on GitHub](https://github.com/notifications). If the number of notifications is too large to complete in one request, you will receive a `202 Accepted` status and GitHub will run an asynchronous process to mark notifications as "read." To check whether any "unread" notifications remain, you can use the [List notifications for the authenticated user](https://docs.github.com/rest/reference/activity#list-notifications-for-the-authenticated-user) endpoint and pass the query parameter `all=false`.
 */
export const useActivityMarkNotificationsAsRead = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      ActivityMarkNotificationsAsReadResponse,
      ActivityMarkNotificationsAsReadError,
      ActivityMarkNotificationsAsReadVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    ActivityMarkNotificationsAsReadResponse,
    ActivityMarkNotificationsAsReadError,
    ActivityMarkNotificationsAsReadVariables
  >(
    (variables: ActivityMarkNotificationsAsReadVariables) =>
      fetchActivityMarkNotificationsAsRead({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ActivityGetThreadPathParams = {
  /*
   * thread_id parameter
   */
  threadId: number;
};

export type ActivityGetThreadError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
>;

export type ActivityGetThreadVariables = {
  pathParams: ActivityGetThreadPathParams;
} & GithubContext["fetcherOptions"];

export const fetchActivityGetThread = (variables: ActivityGetThreadVariables) =>
  githubFetch<
    Schemas.Thread,
    ActivityGetThreadError,
    undefined,
    {},
    {},
    ActivityGetThreadPathParams
  >({ url: "/notifications/threads/{threadId}", method: "get", ...variables });

export const useActivityGetThread = <TData = Schemas.Thread>(
  variables: ActivityGetThreadVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<Schemas.Thread, ActivityGetThreadError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.Thread, ActivityGetThreadError, TData>(
    queryKeyFn({
      path: "/notifications/threads/{thread_id}",
      operationId: "activityGetThread",
      variables,
    }),
    () => fetchActivityGetThread({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActivityMarkThreadAsReadPathParams = {
  /*
   * thread_id parameter
   */
  threadId: number;
};

export type ActivityMarkThreadAsReadError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
>;

export type ActivityMarkThreadAsReadVariables = {
  pathParams: ActivityMarkThreadAsReadPathParams;
} & GithubContext["fetcherOptions"];

export const fetchActivityMarkThreadAsRead = (
  variables: ActivityMarkThreadAsReadVariables
) =>
  githubFetch<
    undefined,
    ActivityMarkThreadAsReadError,
    undefined,
    {},
    {},
    ActivityMarkThreadAsReadPathParams
  >({
    url: "/notifications/threads/{threadId}",
    method: "patch",
    ...variables,
  });

export const useActivityMarkThreadAsRead = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActivityMarkThreadAsReadError,
      ActivityMarkThreadAsReadVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActivityMarkThreadAsReadError,
    ActivityMarkThreadAsReadVariables
  >(
    (variables: ActivityMarkThreadAsReadVariables) =>
      fetchActivityMarkThreadAsRead({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ActivityDeleteThreadSubscriptionPathParams = {
  /*
   * thread_id parameter
   */
  threadId: number;
};

export type ActivityDeleteThreadSubscriptionError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
>;

export type ActivityDeleteThreadSubscriptionVariables = {
  pathParams: ActivityDeleteThreadSubscriptionPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Mutes all future notifications for a conversation until you comment on the thread or get an **@mention**. If you are watching the repository of the thread, you will still receive notifications. To ignore future notifications for a repository you are watching, use the [Set a thread subscription](https://docs.github.com/rest/reference/activity#set-a-thread-subscription) endpoint and set `ignore` to `true`.
 */
export const fetchActivityDeleteThreadSubscription = (
  variables: ActivityDeleteThreadSubscriptionVariables
) =>
  githubFetch<
    undefined,
    ActivityDeleteThreadSubscriptionError,
    undefined,
    {},
    {},
    ActivityDeleteThreadSubscriptionPathParams
  >({
    url: "/notifications/threads/{threadId}/subscription",
    method: "delete",
    ...variables,
  });

/**
 * Mutes all future notifications for a conversation until you comment on the thread or get an **@mention**. If you are watching the repository of the thread, you will still receive notifications. To ignore future notifications for a repository you are watching, use the [Set a thread subscription](https://docs.github.com/rest/reference/activity#set-a-thread-subscription) endpoint and set `ignore` to `true`.
 */
export const useActivityDeleteThreadSubscription = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActivityDeleteThreadSubscriptionError,
      ActivityDeleteThreadSubscriptionVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActivityDeleteThreadSubscriptionError,
    ActivityDeleteThreadSubscriptionVariables
  >(
    (variables: ActivityDeleteThreadSubscriptionVariables) =>
      fetchActivityDeleteThreadSubscription({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ActivityGetThreadSubscriptionForAuthenticatedUserPathParams = {
  /*
   * thread_id parameter
   */
  threadId: number;
};

export type ActivityGetThreadSubscriptionForAuthenticatedUserError =
  Fetcher.ErrorWrapper<
    | {
        status: 304;
        payload: Responses.NotModified;
      }
    | {
        status: 401;
        payload: Responses.RequiresAuthentication;
      }
    | {
        status: 403;
        payload: Responses.Forbidden;
      }
  >;

export type ActivityGetThreadSubscriptionForAuthenticatedUserVariables = {
  pathParams: ActivityGetThreadSubscriptionForAuthenticatedUserPathParams;
} & GithubContext["fetcherOptions"];

/**
 * This checks to see if the current user is subscribed to a thread. You can also [get a repository subscription](https://docs.github.com/rest/reference/activity#get-a-repository-subscription).
 *
 * Note that subscriptions are only generated if a user is participating in a conversation--for example, they've replied to the thread, were **@mentioned**, or manually subscribe to a thread.
 */
export const fetchActivityGetThreadSubscriptionForAuthenticatedUser = (
  variables: ActivityGetThreadSubscriptionForAuthenticatedUserVariables
) =>
  githubFetch<
    Schemas.ThreadSubscription,
    ActivityGetThreadSubscriptionForAuthenticatedUserError,
    undefined,
    {},
    {},
    ActivityGetThreadSubscriptionForAuthenticatedUserPathParams
  >({
    url: "/notifications/threads/{threadId}/subscription",
    method: "get",
    ...variables,
  });

/**
 * This checks to see if the current user is subscribed to a thread. You can also [get a repository subscription](https://docs.github.com/rest/reference/activity#get-a-repository-subscription).
 *
 * Note that subscriptions are only generated if a user is participating in a conversation--for example, they've replied to the thread, were **@mentioned**, or manually subscribe to a thread.
 */
export const useActivityGetThreadSubscriptionForAuthenticatedUser = <
  TData = Schemas.ThreadSubscription
>(
  variables: ActivityGetThreadSubscriptionForAuthenticatedUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.ThreadSubscription,
      ActivityGetThreadSubscriptionForAuthenticatedUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.ThreadSubscription,
    ActivityGetThreadSubscriptionForAuthenticatedUserError,
    TData
  >(
    queryKeyFn({
      path: "/notifications/threads/{thread_id}/subscription",
      operationId: "activityGetThreadSubscriptionForAuthenticatedUser",
      variables,
    }),
    () =>
      fetchActivityGetThreadSubscriptionForAuthenticatedUser({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActivitySetThreadSubscriptionPathParams = {
  /*
   * thread_id parameter
   */
  threadId: number;
};

export type ActivitySetThreadSubscriptionError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
>;

export type ActivitySetThreadSubscriptionRequestBody = {
  /*
   * Whether to block all notifications from a thread.
   *
   * @default false
   */
  ignored?: boolean;
};

export type ActivitySetThreadSubscriptionVariables = {
  body?: ActivitySetThreadSubscriptionRequestBody;
  pathParams: ActivitySetThreadSubscriptionPathParams;
} & GithubContext["fetcherOptions"];

/**
 * If you are watching a repository, you receive notifications for all threads by default. Use this endpoint to ignore future notifications for threads until you comment on the thread or get an **@mention**.
 *
 * You can also use this endpoint to subscribe to threads that you are currently not receiving notifications for or to subscribed to threads that you have previously ignored.
 *
 * Unsubscribing from a conversation in a repository that you are not watching is functionally equivalent to the [Delete a thread subscription](https://docs.github.com/rest/reference/activity#delete-a-thread-subscription) endpoint.
 */
export const fetchActivitySetThreadSubscription = (
  variables: ActivitySetThreadSubscriptionVariables
) =>
  githubFetch<
    Schemas.ThreadSubscription,
    ActivitySetThreadSubscriptionError,
    ActivitySetThreadSubscriptionRequestBody,
    {},
    {},
    ActivitySetThreadSubscriptionPathParams
  >({
    url: "/notifications/threads/{threadId}/subscription",
    method: "put",
    ...variables,
  });

/**
 * If you are watching a repository, you receive notifications for all threads by default. Use this endpoint to ignore future notifications for threads until you comment on the thread or get an **@mention**.
 *
 * You can also use this endpoint to subscribe to threads that you are currently not receiving notifications for or to subscribed to threads that you have previously ignored.
 *
 * Unsubscribing from a conversation in a repository that you are not watching is functionally equivalent to the [Delete a thread subscription](https://docs.github.com/rest/reference/activity#delete-a-thread-subscription) endpoint.
 */
export const useActivitySetThreadSubscription = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.ThreadSubscription,
      ActivitySetThreadSubscriptionError,
      ActivitySetThreadSubscriptionVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.ThreadSubscription,
    ActivitySetThreadSubscriptionError,
    ActivitySetThreadSubscriptionVariables
  >(
    (variables: ActivitySetThreadSubscriptionVariables) =>
      fetchActivitySetThreadSubscription({ ...fetcherOptions, ...variables }),
    options
  );
};

export type MetaGetOctocatQueryParams = {
  /*
   * The words to show in Octocat's speech bubble
   */
  s?: string;
};

export type MetaGetOctocatError = Fetcher.ErrorWrapper<undefined>;

export type MetaGetOctocatVariables = {
  queryParams?: MetaGetOctocatQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Get the octocat as ASCII art
 */
export const fetchMetaGetOctocat = (variables: MetaGetOctocatVariables) =>
  githubFetch<
    undefined,
    MetaGetOctocatError,
    undefined,
    {},
    MetaGetOctocatQueryParams,
    {}
  >({ url: "/octocat", method: "get", ...variables });

/**
 * Get the octocat as ASCII art
 */
export const useMetaGetOctocat = <TData = undefined>(
  variables: MetaGetOctocatVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<undefined, MetaGetOctocatError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<undefined, MetaGetOctocatError, TData>(
    queryKeyFn({ path: "/octocat", operationId: "metaGetOctocat", variables }),
    () => fetchMetaGetOctocat({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type OrgsListQueryParams = {
  /*
   * An organization ID. Only return organizations with an ID greater than this ID.
   */
  since?: number;
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
};

export type OrgsListError = Fetcher.ErrorWrapper<{
  status: 304;
  payload: Responses.NotModified;
}>;

export type OrgsListResponse = Schemas.OrganizationSimple[];

export type OrgsListVariables = {
  queryParams?: OrgsListQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists all organizations, in the order that they were created on GitHub.
 *
 * **Note:** Pagination is powered exclusively by the `since` parameter. Use the [Link header](https://docs.github.com/rest/overview/resources-in-the-rest-api#link-header) to get the URL for the next page of organizations.
 */
export const fetchOrgsList = (variables: OrgsListVariables) =>
  githubFetch<
    OrgsListResponse,
    OrgsListError,
    undefined,
    {},
    OrgsListQueryParams,
    {}
  >({ url: "/organizations", method: "get", ...variables });

/**
 * Lists all organizations, in the order that they were created on GitHub.
 *
 * **Note:** Pagination is powered exclusively by the `since` parameter. Use the [Link header](https://docs.github.com/rest/overview/resources-in-the-rest-api#link-header) to get the URL for the next page of organizations.
 */
export const useOrgsList = <TData = OrgsListResponse>(
  variables: OrgsListVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<OrgsListResponse, OrgsListError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<OrgsListResponse, OrgsListError, TData>(
    queryKeyFn({ path: "/organizations", operationId: "orgsList", variables }),
    () => fetchOrgsList({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type OrgsGetPathParams = {
  org: string;
};

export type OrgsGetError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type OrgsGetVariables = {
  pathParams: OrgsGetPathParams;
} & GithubContext["fetcherOptions"];

/**
 * To see many of the organization response values, you need to be an authenticated organization owner with the `admin:org` scope. When the value of `two_factor_requirement_enabled` is `true`, the organization requires all members, billing managers, and outside collaborators to enable [two-factor authentication](https://help.github.com/articles/securing-your-account-with-two-factor-authentication-2fa/).
 *
 * GitHub Apps with the `Organization plan` permission can use this endpoint to retrieve information about an organization's GitHub plan. See "[Authenticating with GitHub Apps](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/)" for details. For an example response, see 'Response with GitHub plan information' below."
 */
export const fetchOrgsGet = (variables: OrgsGetVariables) =>
  githubFetch<
    Schemas.OrganizationFull,
    OrgsGetError,
    undefined,
    {},
    {},
    OrgsGetPathParams
  >({ url: "/orgs/{org}", method: "get", ...variables });

/**
 * To see many of the organization response values, you need to be an authenticated organization owner with the `admin:org` scope. When the value of `two_factor_requirement_enabled` is `true`, the organization requires all members, billing managers, and outside collaborators to enable [two-factor authentication](https://help.github.com/articles/securing-your-account-with-two-factor-authentication-2fa/).
 *
 * GitHub Apps with the `Organization plan` permission can use this endpoint to retrieve information about an organization's GitHub plan. See "[Authenticating with GitHub Apps](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/)" for details. For an example response, see 'Response with GitHub plan information' below."
 */
export const useOrgsGet = <TData = Schemas.OrganizationFull>(
  variables: OrgsGetVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<Schemas.OrganizationFull, OrgsGetError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.OrganizationFull, OrgsGetError, TData>(
    queryKeyFn({ path: "/orgs/{org}", operationId: "orgsGet", variables }),
    () => fetchOrgsGet({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type OrgsUpdatePathParams = {
  org: string;
};

export type OrgsUpdateError = Fetcher.ErrorWrapper<
  | {
      status: 409;
      payload: Responses.Conflict;
    }
  | {
      status: 415;
      payload: Responses.PreviewHeaderMissing;
    }
  | {
      status: 422;
      payload: Schemas.ValidationError | Schemas.ValidationErrorSimple;
    }
>;

export type OrgsUpdateRequestBody = {
  /*
   * Billing email address. This address is not publicized.
   */
  billing_email?: string;
  /*
   * @example "http://github.blog"
   */
  blog?: string;
  /*
   * The company name.
   */
  company?: string;
  /*
   * Default permission level members have for organization repositories:
   * \* `read` - can pull, but not push to or administer this repository.
   * \* `write` - can pull and push, but not administer this repository.
   * \* `admin` - can pull, push, and administer this repository.
   * \* `none` - no permissions granted by default.
   *
   * @default read
   */
  default_repository_permission?: "read" | "write" | "admin" | "none";
  /*
   * The description of the company.
   */
  description?: string;
  /*
   * The publicly visible email address.
   */
  email?: string;
  /*
   * Toggles whether an organization can use organization projects.
   */
  has_organization_projects?: boolean;
  /*
   * Toggles whether repositories that belong to the organization can use repository projects.
   */
  has_repository_projects?: boolean;
  /*
   * The location.
   */
  location?: string;
  /*
   * Specifies which types of repositories non-admin organization members can create. Can be one of:
   * \* `all` - all organization members can create public and private repositories.
   * \* `private` - members can create private repositories. This option is only available to repositories that are part of an organization on GitHub Enterprise Cloud.
   * \* `none` - only admin members can create repositories.
   * **Note:** This parameter is deprecated and will be removed in the future. Its return value ignores internal repositories. Using this parameter overrides values set in `members_can_create_repositories`. See the parameter deprecation notice in the operation description for details.
   */
  members_allowed_repository_creation_type?: "all" | "private" | "none";
  /*
   * Toggles whether organization members can create internal repositories, which are visible to all enterprise members. You can only allow members to create internal repositories if your organization is associated with an enterprise account using GitHub Enterprise Cloud or GitHub Enterprise Server 2.20+. Can be one of:
   * \* `true` - all organization members can create internal repositories.
   * \* `false` - only organization owners can create internal repositories.
   * Default: `true`. For more information, see "[Restricting repository creation in your organization](https://help.github.com/github/setting-up-and-managing-organizations-and-teams/restricting-repository-creation-in-your-organization)" in the GitHub Help documentation.
   */
  members_can_create_internal_repositories?: boolean;
  /*
   * Toggles whether organization members can create GitHub Pages sites. Can be one of:
   * \* `true` - all organization members can create GitHub Pages sites.
   * \* `false` - no organization members can create GitHub Pages sites. Existing published sites will not be impacted.
   *
   * @default true
   */
  members_can_create_pages?: boolean;
  /*
   * Toggles whether organization members can create private GitHub Pages sites. Can be one of:
   * \* `true` - all organization members can create private GitHub Pages sites.
   * \* `false` - no organization members can create private GitHub Pages sites. Existing published sites will not be impacted.
   *
   * @default true
   */
  members_can_create_private_pages?: boolean;
  /*
   * Toggles whether organization members can create private repositories, which are visible to organization members with permission. Can be one of:
   * \* `true` - all organization members can create private repositories.
   * \* `false` - only organization owners can create private repositories.
   * Default: `true`. For more information, see "[Restricting repository creation in your organization](https://help.github.com/github/setting-up-and-managing-organizations-and-teams/restricting-repository-creation-in-your-organization)" in the GitHub Help documentation.
   */
  members_can_create_private_repositories?: boolean;
  /*
   * Toggles whether organization members can create public GitHub Pages sites. Can be one of:
   * \* `true` - all organization members can create public GitHub Pages sites.
   * \* `false` - no organization members can create public GitHub Pages sites. Existing published sites will not be impacted.
   *
   * @default true
   */
  members_can_create_public_pages?: boolean;
  /*
   * Toggles whether organization members can create public repositories, which are visible to anyone. Can be one of:
   * \* `true` - all organization members can create public repositories.
   * \* `false` - only organization owners can create public repositories.
   * Default: `true`. For more information, see "[Restricting repository creation in your organization](https://help.github.com/github/setting-up-and-managing-organizations-and-teams/restricting-repository-creation-in-your-organization)" in the GitHub Help documentation.
   */
  members_can_create_public_repositories?: boolean;
  /*
   * Toggles the ability of non-admin organization members to create repositories. Can be one of:
   * \* `true` - all organization members can create repositories.
   * \* `false` - only organization owners can create repositories.
   * Default: `true`
   * **Note:** A parameter can override this parameter. See `members_allowed_repository_creation_type` in this table for details. **Note:** A parameter can override this parameter. See `members_allowed_repository_creation_type` in this table for details.
   *
   * @default true
   */
  members_can_create_repositories?: boolean;
  /*
   * The shorthand name of the company.
   */
  name?: string;
  /*
   * The Twitter username of the company.
   */
  twitter_username?: string;
};

export type OrgsUpdateVariables = {
  body?: OrgsUpdateRequestBody;
  pathParams: OrgsUpdatePathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Parameter Deprecation Notice:** GitHub will replace and discontinue `members_allowed_repository_creation_type` in favor of more granular permissions. The new input parameters are `members_can_create_public_repositories`, `members_can_create_private_repositories` for all organizations and `members_can_create_internal_repositories` for organizations associated with an enterprise account using GitHub Enterprise Cloud or GitHub Enterprise Server 2.20+. For more information, see the [blog post](https://developer.github.com/changes/2019-12-03-internal-visibility-changes).
 *
 * Enables an authenticated organization owner with the `admin:org` scope to update the organization's profile and member privileges.
 */
export const fetchOrgsUpdate = (variables: OrgsUpdateVariables) =>
  githubFetch<
    Schemas.OrganizationFull,
    OrgsUpdateError,
    OrgsUpdateRequestBody,
    {},
    {},
    OrgsUpdatePathParams
  >({ url: "/orgs/{org}", method: "patch", ...variables });

/**
 * **Parameter Deprecation Notice:** GitHub will replace and discontinue `members_allowed_repository_creation_type` in favor of more granular permissions. The new input parameters are `members_can_create_public_repositories`, `members_can_create_private_repositories` for all organizations and `members_can_create_internal_repositories` for organizations associated with an enterprise account using GitHub Enterprise Cloud or GitHub Enterprise Server 2.20+. For more information, see the [blog post](https://developer.github.com/changes/2019-12-03-internal-visibility-changes).
 *
 * Enables an authenticated organization owner with the `admin:org` scope to update the organization's profile and member privileges.
 */
export const useOrgsUpdate = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.OrganizationFull,
      OrgsUpdateError,
      OrgsUpdateVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.OrganizationFull,
    OrgsUpdateError,
    OrgsUpdateVariables
  >(
    (variables: OrgsUpdateVariables) =>
      fetchOrgsUpdate({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ActionsGetGithubActionsPermissionsOrganizationPathParams = {
  org: string;
};

export type ActionsGetGithubActionsPermissionsOrganizationError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsGetGithubActionsPermissionsOrganizationVariables = {
  pathParams: ActionsGetGithubActionsPermissionsOrganizationPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets the GitHub Actions permissions policy for repositories and allowed actions in an organization.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint. GitHub Apps must have the `administration` organization permission to use this API.
 */
export const fetchActionsGetGithubActionsPermissionsOrganization = (
  variables: ActionsGetGithubActionsPermissionsOrganizationVariables
) =>
  githubFetch<
    Schemas.ActionsOrganizationPermissions,
    ActionsGetGithubActionsPermissionsOrganizationError,
    undefined,
    {},
    {},
    ActionsGetGithubActionsPermissionsOrganizationPathParams
  >({ url: "/orgs/{org}/actions/permissions", method: "get", ...variables });

/**
 * Gets the GitHub Actions permissions policy for repositories and allowed actions in an organization.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint. GitHub Apps must have the `administration` organization permission to use this API.
 */
export const useActionsGetGithubActionsPermissionsOrganization = <
  TData = Schemas.ActionsOrganizationPermissions
>(
  variables: ActionsGetGithubActionsPermissionsOrganizationVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.ActionsOrganizationPermissions,
      ActionsGetGithubActionsPermissionsOrganizationError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.ActionsOrganizationPermissions,
    ActionsGetGithubActionsPermissionsOrganizationError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/actions/permissions",
      operationId: "actionsGetGithubActionsPermissionsOrganization",
      variables,
    }),
    () =>
      fetchActionsGetGithubActionsPermissionsOrganization({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsSetGithubActionsPermissionsOrganizationPathParams = {
  org: string;
};

export type ActionsSetGithubActionsPermissionsOrganizationError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsSetGithubActionsPermissionsOrganizationRequestBody = {
  allowed_actions?: Schemas.AllowedActions;
  enabled_repositories: Schemas.EnabledRepositories;
};

export type ActionsSetGithubActionsPermissionsOrganizationVariables = {
  body: ActionsSetGithubActionsPermissionsOrganizationRequestBody;
  pathParams: ActionsSetGithubActionsPermissionsOrganizationPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Sets the GitHub Actions permissions policy for repositories and allowed actions in an organization.
 *
 * If the organization belongs to an enterprise that has set restrictive permissions at the enterprise level, such as `allowed_actions` to `selected` actions, then you cannot override them for the organization.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint. GitHub Apps must have the `administration` organization permission to use this API.
 */
export const fetchActionsSetGithubActionsPermissionsOrganization = (
  variables: ActionsSetGithubActionsPermissionsOrganizationVariables
) =>
  githubFetch<
    undefined,
    ActionsSetGithubActionsPermissionsOrganizationError,
    ActionsSetGithubActionsPermissionsOrganizationRequestBody,
    {},
    {},
    ActionsSetGithubActionsPermissionsOrganizationPathParams
  >({ url: "/orgs/{org}/actions/permissions", method: "put", ...variables });

/**
 * Sets the GitHub Actions permissions policy for repositories and allowed actions in an organization.
 *
 * If the organization belongs to an enterprise that has set restrictive permissions at the enterprise level, such as `allowed_actions` to `selected` actions, then you cannot override them for the organization.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint. GitHub Apps must have the `administration` organization permission to use this API.
 */
export const useActionsSetGithubActionsPermissionsOrganization = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActionsSetGithubActionsPermissionsOrganizationError,
      ActionsSetGithubActionsPermissionsOrganizationVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActionsSetGithubActionsPermissionsOrganizationError,
    ActionsSetGithubActionsPermissionsOrganizationVariables
  >(
    (variables: ActionsSetGithubActionsPermissionsOrganizationVariables) =>
      fetchActionsSetGithubActionsPermissionsOrganization({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ActionsListSelectedRepositoriesEnabledGithubActionsOrganizationPathParams =
  {
    org: string;
  };

export type ActionsListSelectedRepositoriesEnabledGithubActionsOrganizationQueryParams =
  {
    /*
     * Results per page (max 100).
     *
     * @default 30
     */
    per_page?: number;
    /*
     * Page number of the results to fetch.
     *
     * @default 1
     */
    page?: number;
  };

export type ActionsListSelectedRepositoriesEnabledGithubActionsOrganizationError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsListSelectedRepositoriesEnabledGithubActionsOrganizationResponse =
  {
    repositories: Schemas.Repository[];
    total_count: number;
  };

export type ActionsListSelectedRepositoriesEnabledGithubActionsOrganizationVariables =
  {
    pathParams: ActionsListSelectedRepositoriesEnabledGithubActionsOrganizationPathParams;
    queryParams?: ActionsListSelectedRepositoriesEnabledGithubActionsOrganizationQueryParams;
  } & GithubContext["fetcherOptions"];

/**
 * Lists the selected repositories that are enabled for GitHub Actions in an organization. To use this endpoint, the organization permission policy for `enabled_repositories` must be configured to `selected`. For more information, see "[Set GitHub Actions permissions for an organization](#set-github-actions-permissions-for-an-organization)."
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint. GitHub Apps must have the `administration` organization permission to use this API.
 */
export const fetchActionsListSelectedRepositoriesEnabledGithubActionsOrganization =
  (
    variables: ActionsListSelectedRepositoriesEnabledGithubActionsOrganizationVariables
  ) =>
    githubFetch<
      ActionsListSelectedRepositoriesEnabledGithubActionsOrganizationResponse,
      ActionsListSelectedRepositoriesEnabledGithubActionsOrganizationError,
      undefined,
      {},
      ActionsListSelectedRepositoriesEnabledGithubActionsOrganizationQueryParams,
      ActionsListSelectedRepositoriesEnabledGithubActionsOrganizationPathParams
    >({
      url: "/orgs/{org}/actions/permissions/repositories",
      method: "get",
      ...variables,
    });

/**
 * Lists the selected repositories that are enabled for GitHub Actions in an organization. To use this endpoint, the organization permission policy for `enabled_repositories` must be configured to `selected`. For more information, see "[Set GitHub Actions permissions for an organization](#set-github-actions-permissions-for-an-organization)."
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint. GitHub Apps must have the `administration` organization permission to use this API.
 */
export const useActionsListSelectedRepositoriesEnabledGithubActionsOrganization =
  <
    TData = ActionsListSelectedRepositoriesEnabledGithubActionsOrganizationResponse
  >(
    variables: ActionsListSelectedRepositoriesEnabledGithubActionsOrganizationVariables,
    options?: Omit<
      reactQuery.UseQueryOptions<
        ActionsListSelectedRepositoriesEnabledGithubActionsOrganizationResponse,
        ActionsListSelectedRepositoriesEnabledGithubActionsOrganizationError,
        TData
      >,
      "queryKey" | "queryFn"
    >
  ) => {
    const { fetcherOptions, queryOptions, queryKeyFn } =
      useGithubContext(options);
    return reactQuery.useQuery<
      ActionsListSelectedRepositoriesEnabledGithubActionsOrganizationResponse,
      ActionsListSelectedRepositoriesEnabledGithubActionsOrganizationError,
      TData
    >(
      queryKeyFn({
        path: "/orgs/{org}/actions/permissions/repositories",
        operationId:
          "actionsListSelectedRepositoriesEnabledGithubActionsOrganization",
        variables,
      }),
      () =>
        fetchActionsListSelectedRepositoriesEnabledGithubActionsOrganization({
          ...fetcherOptions,
          ...variables,
        }),
      {
        ...options,
        ...queryOptions,
      }
    );
  };

export type ActionsSetSelectedRepositoriesEnabledGithubActionsOrganizationPathParams =
  {
    org: string;
  };

export type ActionsSetSelectedRepositoriesEnabledGithubActionsOrganizationError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsSetSelectedRepositoriesEnabledGithubActionsOrganizationRequestBody =
  {
    /*
     * List of repository IDs to enable for GitHub Actions.
     */
    selected_repository_ids: number[];
  };

export type ActionsSetSelectedRepositoriesEnabledGithubActionsOrganizationVariables =
  {
    body: ActionsSetSelectedRepositoriesEnabledGithubActionsOrganizationRequestBody;
    pathParams: ActionsSetSelectedRepositoriesEnabledGithubActionsOrganizationPathParams;
  } & GithubContext["fetcherOptions"];

/**
 * Replaces the list of selected repositories that are enabled for GitHub Actions in an organization. To use this endpoint, the organization permission policy for `enabled_repositories` must be configured to `selected`. For more information, see "[Set GitHub Actions permissions for an organization](#set-github-actions-permissions-for-an-organization)."
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint. GitHub Apps must have the `administration` organization permission to use this API.
 */
export const fetchActionsSetSelectedRepositoriesEnabledGithubActionsOrganization =
  (
    variables: ActionsSetSelectedRepositoriesEnabledGithubActionsOrganizationVariables
  ) =>
    githubFetch<
      undefined,
      ActionsSetSelectedRepositoriesEnabledGithubActionsOrganizationError,
      ActionsSetSelectedRepositoriesEnabledGithubActionsOrganizationRequestBody,
      {},
      {},
      ActionsSetSelectedRepositoriesEnabledGithubActionsOrganizationPathParams
    >({
      url: "/orgs/{org}/actions/permissions/repositories",
      method: "put",
      ...variables,
    });

/**
 * Replaces the list of selected repositories that are enabled for GitHub Actions in an organization. To use this endpoint, the organization permission policy for `enabled_repositories` must be configured to `selected`. For more information, see "[Set GitHub Actions permissions for an organization](#set-github-actions-permissions-for-an-organization)."
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint. GitHub Apps must have the `administration` organization permission to use this API.
 */
export const useActionsSetSelectedRepositoriesEnabledGithubActionsOrganization =
  (
    options?: Omit<
      reactQuery.UseMutationOptions<
        undefined,
        ActionsSetSelectedRepositoriesEnabledGithubActionsOrganizationError,
        ActionsSetSelectedRepositoriesEnabledGithubActionsOrganizationVariables
      >,
      "mutationFn"
    >
  ) => {
    const { fetcherOptions } = useGithubContext();
    return reactQuery.useMutation<
      undefined,
      ActionsSetSelectedRepositoriesEnabledGithubActionsOrganizationError,
      ActionsSetSelectedRepositoriesEnabledGithubActionsOrganizationVariables
    >(
      (
        variables: ActionsSetSelectedRepositoriesEnabledGithubActionsOrganizationVariables
      ) =>
        fetchActionsSetSelectedRepositoriesEnabledGithubActionsOrganization({
          ...fetcherOptions,
          ...variables,
        }),
      options
    );
  };

export type ActionsDisableSelectedRepositoryGithubActionsOrganizationPathParams =
  {
    org: string;
    repositoryId: number;
  };

export type ActionsDisableSelectedRepositoryGithubActionsOrganizationError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsDisableSelectedRepositoryGithubActionsOrganizationVariables =
  {
    pathParams: ActionsDisableSelectedRepositoryGithubActionsOrganizationPathParams;
  } & GithubContext["fetcherOptions"];

/**
 * Removes a repository from the list of selected repositories that are enabled for GitHub Actions in an organization. To use this endpoint, the organization permission policy for `enabled_repositories` must be configured to `selected`. For more information, see "[Set GitHub Actions permissions for an organization](#set-github-actions-permissions-for-an-organization)."
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint. GitHub Apps must have the `administration` organization permission to use this API.
 */
export const fetchActionsDisableSelectedRepositoryGithubActionsOrganization = (
  variables: ActionsDisableSelectedRepositoryGithubActionsOrganizationVariables
) =>
  githubFetch<
    undefined,
    ActionsDisableSelectedRepositoryGithubActionsOrganizationError,
    undefined,
    {},
    {},
    ActionsDisableSelectedRepositoryGithubActionsOrganizationPathParams
  >({
    url: "/orgs/{org}/actions/permissions/repositories/{repositoryId}",
    method: "delete",
    ...variables,
  });

/**
 * Removes a repository from the list of selected repositories that are enabled for GitHub Actions in an organization. To use this endpoint, the organization permission policy for `enabled_repositories` must be configured to `selected`. For more information, see "[Set GitHub Actions permissions for an organization](#set-github-actions-permissions-for-an-organization)."
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint. GitHub Apps must have the `administration` organization permission to use this API.
 */
export const useActionsDisableSelectedRepositoryGithubActionsOrganization = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActionsDisableSelectedRepositoryGithubActionsOrganizationError,
      ActionsDisableSelectedRepositoryGithubActionsOrganizationVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActionsDisableSelectedRepositoryGithubActionsOrganizationError,
    ActionsDisableSelectedRepositoryGithubActionsOrganizationVariables
  >(
    (
      variables: ActionsDisableSelectedRepositoryGithubActionsOrganizationVariables
    ) =>
      fetchActionsDisableSelectedRepositoryGithubActionsOrganization({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ActionsEnableSelectedRepositoryGithubActionsOrganizationPathParams =
  {
    org: string;
    repositoryId: number;
  };

export type ActionsEnableSelectedRepositoryGithubActionsOrganizationError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsEnableSelectedRepositoryGithubActionsOrganizationVariables =
  {
    pathParams: ActionsEnableSelectedRepositoryGithubActionsOrganizationPathParams;
  } & GithubContext["fetcherOptions"];

/**
 * Adds a repository to the list of selected repositories that are enabled for GitHub Actions in an organization. To use this endpoint, the organization permission policy for `enabled_repositories` must be must be configured to `selected`. For more information, see "[Set GitHub Actions permissions for an organization](#set-github-actions-permissions-for-an-organization)."
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint. GitHub Apps must have the `administration` organization permission to use this API.
 */
export const fetchActionsEnableSelectedRepositoryGithubActionsOrganization = (
  variables: ActionsEnableSelectedRepositoryGithubActionsOrganizationVariables
) =>
  githubFetch<
    undefined,
    ActionsEnableSelectedRepositoryGithubActionsOrganizationError,
    undefined,
    {},
    {},
    ActionsEnableSelectedRepositoryGithubActionsOrganizationPathParams
  >({
    url: "/orgs/{org}/actions/permissions/repositories/{repositoryId}",
    method: "put",
    ...variables,
  });

/**
 * Adds a repository to the list of selected repositories that are enabled for GitHub Actions in an organization. To use this endpoint, the organization permission policy for `enabled_repositories` must be must be configured to `selected`. For more information, see "[Set GitHub Actions permissions for an organization](#set-github-actions-permissions-for-an-organization)."
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint. GitHub Apps must have the `administration` organization permission to use this API.
 */
export const useActionsEnableSelectedRepositoryGithubActionsOrganization = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActionsEnableSelectedRepositoryGithubActionsOrganizationError,
      ActionsEnableSelectedRepositoryGithubActionsOrganizationVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActionsEnableSelectedRepositoryGithubActionsOrganizationError,
    ActionsEnableSelectedRepositoryGithubActionsOrganizationVariables
  >(
    (
      variables: ActionsEnableSelectedRepositoryGithubActionsOrganizationVariables
    ) =>
      fetchActionsEnableSelectedRepositoryGithubActionsOrganization({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ActionsGetAllowedActionsOrganizationPathParams = {
  org: string;
};

export type ActionsGetAllowedActionsOrganizationError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsGetAllowedActionsOrganizationVariables = {
  pathParams: ActionsGetAllowedActionsOrganizationPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets the selected actions that are allowed in an organization. To use this endpoint, the organization permission policy for `allowed_actions` must be configured to `selected`. For more information, see "[Set GitHub Actions permissions for an organization](#set-github-actions-permissions-for-an-organization).""
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint. GitHub Apps must have the `administration` organization permission to use this API.
 */
export const fetchActionsGetAllowedActionsOrganization = (
  variables: ActionsGetAllowedActionsOrganizationVariables
) =>
  githubFetch<
    Schemas.SelectedActions,
    ActionsGetAllowedActionsOrganizationError,
    undefined,
    {},
    {},
    ActionsGetAllowedActionsOrganizationPathParams
  >({
    url: "/orgs/{org}/actions/permissions/selected-actions",
    method: "get",
    ...variables,
  });

/**
 * Gets the selected actions that are allowed in an organization. To use this endpoint, the organization permission policy for `allowed_actions` must be configured to `selected`. For more information, see "[Set GitHub Actions permissions for an organization](#set-github-actions-permissions-for-an-organization).""
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint. GitHub Apps must have the `administration` organization permission to use this API.
 */
export const useActionsGetAllowedActionsOrganization = <
  TData = Schemas.SelectedActions
>(
  variables: ActionsGetAllowedActionsOrganizationVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.SelectedActions,
      ActionsGetAllowedActionsOrganizationError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.SelectedActions,
    ActionsGetAllowedActionsOrganizationError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/actions/permissions/selected-actions",
      operationId: "actionsGetAllowedActionsOrganization",
      variables,
    }),
    () =>
      fetchActionsGetAllowedActionsOrganization({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsSetAllowedActionsOrganizationPathParams = {
  org: string;
};

export type ActionsSetAllowedActionsOrganizationError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsSetAllowedActionsOrganizationVariables = {
  body: Schemas.SelectedActions;
  pathParams: ActionsSetAllowedActionsOrganizationPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Sets the actions that are allowed in an organization. To use this endpoint, the organization permission policy for `allowed_actions` must be configured to `selected`. For more information, see "[Set GitHub Actions permissions for an organization](#set-github-actions-permissions-for-an-organization)."
 *
 * If the organization belongs to an enterprise that has `selected` actions set at the enterprise level, then you cannot override any of the enterprise's allowed actions settings.
 *
 * To use the `patterns_allowed` setting for private repositories, the organization must belong to an enterprise. If the organization does not belong to an enterprise, then the `patterns_allowed` setting only applies to public repositories in the organization.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint. GitHub Apps must have the `administration` organization permission to use this API.
 */
export const fetchActionsSetAllowedActionsOrganization = (
  variables: ActionsSetAllowedActionsOrganizationVariables
) =>
  githubFetch<
    undefined,
    ActionsSetAllowedActionsOrganizationError,
    Schemas.SelectedActions,
    {},
    {},
    ActionsSetAllowedActionsOrganizationPathParams
  >({
    url: "/orgs/{org}/actions/permissions/selected-actions",
    method: "put",
    ...variables,
  });

/**
 * Sets the actions that are allowed in an organization. To use this endpoint, the organization permission policy for `allowed_actions` must be configured to `selected`. For more information, see "[Set GitHub Actions permissions for an organization](#set-github-actions-permissions-for-an-organization)."
 *
 * If the organization belongs to an enterprise that has `selected` actions set at the enterprise level, then you cannot override any of the enterprise's allowed actions settings.
 *
 * To use the `patterns_allowed` setting for private repositories, the organization must belong to an enterprise. If the organization does not belong to an enterprise, then the `patterns_allowed` setting only applies to public repositories in the organization.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint. GitHub Apps must have the `administration` organization permission to use this API.
 */
export const useActionsSetAllowedActionsOrganization = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActionsSetAllowedActionsOrganizationError,
      ActionsSetAllowedActionsOrganizationVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActionsSetAllowedActionsOrganizationError,
    ActionsSetAllowedActionsOrganizationVariables
  >(
    (variables: ActionsSetAllowedActionsOrganizationVariables) =>
      fetchActionsSetAllowedActionsOrganization({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ActionsListSelfHostedRunnerGroupsForOrgPathParams = {
  org: string;
};

export type ActionsListSelfHostedRunnerGroupsForOrgQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ActionsListSelfHostedRunnerGroupsForOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsListSelfHostedRunnerGroupsForOrgResponse = {
  runner_groups: Schemas.RunnerGroupsOrg[];
  total_count: number;
};

export type ActionsListSelfHostedRunnerGroupsForOrgVariables = {
  pathParams: ActionsListSelfHostedRunnerGroupsForOrgPathParams;
  queryParams?: ActionsListSelfHostedRunnerGroupsForOrgQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * The self-hosted runner groups REST API is available with GitHub Enterprise Cloud. For more information, see "[GitHub's products](https://docs.github.com/github/getting-started-with-github/githubs-products)."
 *
 * Lists all self-hosted runner groups configured in an organization and inherited from an enterprise.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint.
 */
export const fetchActionsListSelfHostedRunnerGroupsForOrg = (
  variables: ActionsListSelfHostedRunnerGroupsForOrgVariables
) =>
  githubFetch<
    ActionsListSelfHostedRunnerGroupsForOrgResponse,
    ActionsListSelfHostedRunnerGroupsForOrgError,
    undefined,
    {},
    ActionsListSelfHostedRunnerGroupsForOrgQueryParams,
    ActionsListSelfHostedRunnerGroupsForOrgPathParams
  >({ url: "/orgs/{org}/actions/runner-groups", method: "get", ...variables });

/**
 * The self-hosted runner groups REST API is available with GitHub Enterprise Cloud. For more information, see "[GitHub's products](https://docs.github.com/github/getting-started-with-github/githubs-products)."
 *
 * Lists all self-hosted runner groups configured in an organization and inherited from an enterprise.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint.
 */
export const useActionsListSelfHostedRunnerGroupsForOrg = <
  TData = ActionsListSelfHostedRunnerGroupsForOrgResponse
>(
  variables: ActionsListSelfHostedRunnerGroupsForOrgVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ActionsListSelfHostedRunnerGroupsForOrgResponse,
      ActionsListSelfHostedRunnerGroupsForOrgError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ActionsListSelfHostedRunnerGroupsForOrgResponse,
    ActionsListSelfHostedRunnerGroupsForOrgError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/actions/runner-groups",
      operationId: "actionsListSelfHostedRunnerGroupsForOrg",
      variables,
    }),
    () =>
      fetchActionsListSelfHostedRunnerGroupsForOrg({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsCreateSelfHostedRunnerGroupForOrgPathParams = {
  org: string;
};

export type ActionsCreateSelfHostedRunnerGroupForOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsCreateSelfHostedRunnerGroupForOrgRequestBody = {
  /*
   * Name of the runner group.
   */
  name: string;
  /*
   * List of runner IDs to add to the runner group.
   */
  runners?: number[];
  /*
   * List of repository IDs that can access the runner group.
   */
  selected_repository_ids?: number[];
  /*
   * Visibility of a runner group. You can select all repositories, select individual repositories, or limit access to private repositories. Can be one of: `all`, `selected`, or `private`.
   *
   * @default all
   */
  visibility?: "selected" | "all" | "private";
};

export type ActionsCreateSelfHostedRunnerGroupForOrgVariables = {
  body: ActionsCreateSelfHostedRunnerGroupForOrgRequestBody;
  pathParams: ActionsCreateSelfHostedRunnerGroupForOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * The self-hosted runner groups REST API is available with GitHub Enterprise Cloud and GitHub Enterprise Server. For more information, see "[GitHub's products](https://docs.github.com/github/getting-started-with-github/githubs-products)."
 *
 * Creates a new self-hosted runner group for an organization.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint.
 */
export const fetchActionsCreateSelfHostedRunnerGroupForOrg = (
  variables: ActionsCreateSelfHostedRunnerGroupForOrgVariables
) =>
  githubFetch<
    Schemas.RunnerGroupsOrg,
    ActionsCreateSelfHostedRunnerGroupForOrgError,
    ActionsCreateSelfHostedRunnerGroupForOrgRequestBody,
    {},
    {},
    ActionsCreateSelfHostedRunnerGroupForOrgPathParams
  >({ url: "/orgs/{org}/actions/runner-groups", method: "post", ...variables });

/**
 * The self-hosted runner groups REST API is available with GitHub Enterprise Cloud and GitHub Enterprise Server. For more information, see "[GitHub's products](https://docs.github.com/github/getting-started-with-github/githubs-products)."
 *
 * Creates a new self-hosted runner group for an organization.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint.
 */
export const useActionsCreateSelfHostedRunnerGroupForOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.RunnerGroupsOrg,
      ActionsCreateSelfHostedRunnerGroupForOrgError,
      ActionsCreateSelfHostedRunnerGroupForOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.RunnerGroupsOrg,
    ActionsCreateSelfHostedRunnerGroupForOrgError,
    ActionsCreateSelfHostedRunnerGroupForOrgVariables
  >(
    (variables: ActionsCreateSelfHostedRunnerGroupForOrgVariables) =>
      fetchActionsCreateSelfHostedRunnerGroupForOrg({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ActionsDeleteSelfHostedRunnerGroupFromOrgPathParams = {
  org: string;
  /*
   * Unique identifier of the self-hosted runner group.
   */
  runnerGroupId: number;
};

export type ActionsDeleteSelfHostedRunnerGroupFromOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsDeleteSelfHostedRunnerGroupFromOrgVariables = {
  pathParams: ActionsDeleteSelfHostedRunnerGroupFromOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * The self-hosted runner groups REST API is available with GitHub Enterprise Cloud. For more information, see "[GitHub's products](https://docs.github.com/github/getting-started-with-github/githubs-products)."
 *
 * Deletes a self-hosted runner group for an organization.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint.
 */
export const fetchActionsDeleteSelfHostedRunnerGroupFromOrg = (
  variables: ActionsDeleteSelfHostedRunnerGroupFromOrgVariables
) =>
  githubFetch<
    undefined,
    ActionsDeleteSelfHostedRunnerGroupFromOrgError,
    undefined,
    {},
    {},
    ActionsDeleteSelfHostedRunnerGroupFromOrgPathParams
  >({
    url: "/orgs/{org}/actions/runner-groups/{runnerGroupId}",
    method: "delete",
    ...variables,
  });

/**
 * The self-hosted runner groups REST API is available with GitHub Enterprise Cloud. For more information, see "[GitHub's products](https://docs.github.com/github/getting-started-with-github/githubs-products)."
 *
 * Deletes a self-hosted runner group for an organization.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint.
 */
export const useActionsDeleteSelfHostedRunnerGroupFromOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActionsDeleteSelfHostedRunnerGroupFromOrgError,
      ActionsDeleteSelfHostedRunnerGroupFromOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActionsDeleteSelfHostedRunnerGroupFromOrgError,
    ActionsDeleteSelfHostedRunnerGroupFromOrgVariables
  >(
    (variables: ActionsDeleteSelfHostedRunnerGroupFromOrgVariables) =>
      fetchActionsDeleteSelfHostedRunnerGroupFromOrg({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ActionsGetSelfHostedRunnerGroupForOrgPathParams = {
  org: string;
  /*
   * Unique identifier of the self-hosted runner group.
   */
  runnerGroupId: number;
};

export type ActionsGetSelfHostedRunnerGroupForOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsGetSelfHostedRunnerGroupForOrgVariables = {
  pathParams: ActionsGetSelfHostedRunnerGroupForOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * The self-hosted runner groups REST API is available with GitHub Enterprise Cloud. For more information, see "[GitHub's products](https://docs.github.com/github/getting-started-with-github/githubs-products)."
 *
 * Gets a specific self-hosted runner group for an organization.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint.
 */
export const fetchActionsGetSelfHostedRunnerGroupForOrg = (
  variables: ActionsGetSelfHostedRunnerGroupForOrgVariables
) =>
  githubFetch<
    Schemas.RunnerGroupsOrg,
    ActionsGetSelfHostedRunnerGroupForOrgError,
    undefined,
    {},
    {},
    ActionsGetSelfHostedRunnerGroupForOrgPathParams
  >({
    url: "/orgs/{org}/actions/runner-groups/{runnerGroupId}",
    method: "get",
    ...variables,
  });

/**
 * The self-hosted runner groups REST API is available with GitHub Enterprise Cloud. For more information, see "[GitHub's products](https://docs.github.com/github/getting-started-with-github/githubs-products)."
 *
 * Gets a specific self-hosted runner group for an organization.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint.
 */
export const useActionsGetSelfHostedRunnerGroupForOrg = <
  TData = Schemas.RunnerGroupsOrg
>(
  variables: ActionsGetSelfHostedRunnerGroupForOrgVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.RunnerGroupsOrg,
      ActionsGetSelfHostedRunnerGroupForOrgError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.RunnerGroupsOrg,
    ActionsGetSelfHostedRunnerGroupForOrgError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/actions/runner-groups/{runner_group_id}",
      operationId: "actionsGetSelfHostedRunnerGroupForOrg",
      variables,
    }),
    () =>
      fetchActionsGetSelfHostedRunnerGroupForOrg({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsUpdateSelfHostedRunnerGroupForOrgPathParams = {
  org: string;
  /*
   * Unique identifier of the self-hosted runner group.
   */
  runnerGroupId: number;
};

export type ActionsUpdateSelfHostedRunnerGroupForOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsUpdateSelfHostedRunnerGroupForOrgRequestBody = {
  /*
   * Name of the runner group.
   */
  name?: string;
  /*
   * Visibility of a runner group. You can select all repositories, select individual repositories, or all private repositories. Can be one of: `all`, `selected`, or `private`.
   */
  visibility?: "selected" | "all" | "private";
};

export type ActionsUpdateSelfHostedRunnerGroupForOrgVariables = {
  body?: ActionsUpdateSelfHostedRunnerGroupForOrgRequestBody;
  pathParams: ActionsUpdateSelfHostedRunnerGroupForOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * The self-hosted runner groups REST API is available with GitHub Enterprise Cloud. For more information, see "[GitHub's products](https://docs.github.com/github/getting-started-with-github/githubs-products)."
 *
 * Updates the `name` and `visibility` of a self-hosted runner group in an organization.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint.
 */
export const fetchActionsUpdateSelfHostedRunnerGroupForOrg = (
  variables: ActionsUpdateSelfHostedRunnerGroupForOrgVariables
) =>
  githubFetch<
    Schemas.RunnerGroupsOrg,
    ActionsUpdateSelfHostedRunnerGroupForOrgError,
    ActionsUpdateSelfHostedRunnerGroupForOrgRequestBody,
    {},
    {},
    ActionsUpdateSelfHostedRunnerGroupForOrgPathParams
  >({
    url: "/orgs/{org}/actions/runner-groups/{runnerGroupId}",
    method: "patch",
    ...variables,
  });

/**
 * The self-hosted runner groups REST API is available with GitHub Enterprise Cloud. For more information, see "[GitHub's products](https://docs.github.com/github/getting-started-with-github/githubs-products)."
 *
 * Updates the `name` and `visibility` of a self-hosted runner group in an organization.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint.
 */
export const useActionsUpdateSelfHostedRunnerGroupForOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.RunnerGroupsOrg,
      ActionsUpdateSelfHostedRunnerGroupForOrgError,
      ActionsUpdateSelfHostedRunnerGroupForOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.RunnerGroupsOrg,
    ActionsUpdateSelfHostedRunnerGroupForOrgError,
    ActionsUpdateSelfHostedRunnerGroupForOrgVariables
  >(
    (variables: ActionsUpdateSelfHostedRunnerGroupForOrgVariables) =>
      fetchActionsUpdateSelfHostedRunnerGroupForOrg({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ActionsListRepoAccessToSelfHostedRunnerGroupInOrgPathParams = {
  org: string;
  /*
   * Unique identifier of the self-hosted runner group.
   */
  runnerGroupId: number;
};

export type ActionsListRepoAccessToSelfHostedRunnerGroupInOrgQueryParams = {
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
};

export type ActionsListRepoAccessToSelfHostedRunnerGroupInOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsListRepoAccessToSelfHostedRunnerGroupInOrgResponse = {
  repositories: Schemas.Repository[];
  total_count: number;
};

export type ActionsListRepoAccessToSelfHostedRunnerGroupInOrgVariables = {
  pathParams: ActionsListRepoAccessToSelfHostedRunnerGroupInOrgPathParams;
  queryParams?: ActionsListRepoAccessToSelfHostedRunnerGroupInOrgQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * The self-hosted runner groups REST API is available with GitHub Enterprise Cloud and GitHub Enterprise Server. For more information, see "[GitHub's products](https://docs.github.com/github/getting-started-with-github/githubs-products)."
 *
 * Lists the repositories with access to a self-hosted runner group configured in an organization.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint.
 */
export const fetchActionsListRepoAccessToSelfHostedRunnerGroupInOrg = (
  variables: ActionsListRepoAccessToSelfHostedRunnerGroupInOrgVariables
) =>
  githubFetch<
    ActionsListRepoAccessToSelfHostedRunnerGroupInOrgResponse,
    ActionsListRepoAccessToSelfHostedRunnerGroupInOrgError,
    undefined,
    {},
    ActionsListRepoAccessToSelfHostedRunnerGroupInOrgQueryParams,
    ActionsListRepoAccessToSelfHostedRunnerGroupInOrgPathParams
  >({
    url: "/orgs/{org}/actions/runner-groups/{runnerGroupId}/repositories",
    method: "get",
    ...variables,
  });

/**
 * The self-hosted runner groups REST API is available with GitHub Enterprise Cloud and GitHub Enterprise Server. For more information, see "[GitHub's products](https://docs.github.com/github/getting-started-with-github/githubs-products)."
 *
 * Lists the repositories with access to a self-hosted runner group configured in an organization.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint.
 */
export const useActionsListRepoAccessToSelfHostedRunnerGroupInOrg = <
  TData = ActionsListRepoAccessToSelfHostedRunnerGroupInOrgResponse
>(
  variables: ActionsListRepoAccessToSelfHostedRunnerGroupInOrgVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ActionsListRepoAccessToSelfHostedRunnerGroupInOrgResponse,
      ActionsListRepoAccessToSelfHostedRunnerGroupInOrgError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ActionsListRepoAccessToSelfHostedRunnerGroupInOrgResponse,
    ActionsListRepoAccessToSelfHostedRunnerGroupInOrgError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/actions/runner-groups/{runner_group_id}/repositories",
      operationId: "actionsListRepoAccessToSelfHostedRunnerGroupInOrg",
      variables,
    }),
    () =>
      fetchActionsListRepoAccessToSelfHostedRunnerGroupInOrg({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsSetRepoAccessToSelfHostedRunnerGroupInOrgPathParams = {
  org: string;
  /*
   * Unique identifier of the self-hosted runner group.
   */
  runnerGroupId: number;
};

export type ActionsSetRepoAccessToSelfHostedRunnerGroupInOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsSetRepoAccessToSelfHostedRunnerGroupInOrgRequestBody = {
  /*
   * List of repository IDs that can access the runner group.
   */
  selected_repository_ids: number[];
};

export type ActionsSetRepoAccessToSelfHostedRunnerGroupInOrgVariables = {
  body: ActionsSetRepoAccessToSelfHostedRunnerGroupInOrgRequestBody;
  pathParams: ActionsSetRepoAccessToSelfHostedRunnerGroupInOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * The self-hosted runner groups REST API is available with GitHub Enterprise Cloud. For more information, see "[GitHub's products](https://docs.github.com/github/getting-started-with-github/githubs-products)."
 *
 * Replaces the list of repositories that have access to a self-hosted runner group configured in an organization.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint.
 */
export const fetchActionsSetRepoAccessToSelfHostedRunnerGroupInOrg = (
  variables: ActionsSetRepoAccessToSelfHostedRunnerGroupInOrgVariables
) =>
  githubFetch<
    undefined,
    ActionsSetRepoAccessToSelfHostedRunnerGroupInOrgError,
    ActionsSetRepoAccessToSelfHostedRunnerGroupInOrgRequestBody,
    {},
    {},
    ActionsSetRepoAccessToSelfHostedRunnerGroupInOrgPathParams
  >({
    url: "/orgs/{org}/actions/runner-groups/{runnerGroupId}/repositories",
    method: "put",
    ...variables,
  });

/**
 * The self-hosted runner groups REST API is available with GitHub Enterprise Cloud. For more information, see "[GitHub's products](https://docs.github.com/github/getting-started-with-github/githubs-products)."
 *
 * Replaces the list of repositories that have access to a self-hosted runner group configured in an organization.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint.
 */
export const useActionsSetRepoAccessToSelfHostedRunnerGroupInOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActionsSetRepoAccessToSelfHostedRunnerGroupInOrgError,
      ActionsSetRepoAccessToSelfHostedRunnerGroupInOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActionsSetRepoAccessToSelfHostedRunnerGroupInOrgError,
    ActionsSetRepoAccessToSelfHostedRunnerGroupInOrgVariables
  >(
    (variables: ActionsSetRepoAccessToSelfHostedRunnerGroupInOrgVariables) =>
      fetchActionsSetRepoAccessToSelfHostedRunnerGroupInOrg({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ActionsRemoveRepoAccessToSelfHostedRunnerGroupInOrgPathParams = {
  org: string;
  /*
   * Unique identifier of the self-hosted runner group.
   */
  runnerGroupId: number;
  repositoryId: number;
};

export type ActionsRemoveRepoAccessToSelfHostedRunnerGroupInOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsRemoveRepoAccessToSelfHostedRunnerGroupInOrgVariables = {
  pathParams: ActionsRemoveRepoAccessToSelfHostedRunnerGroupInOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * The self-hosted runner groups REST API is available with GitHub Enterprise Cloud. For more information, see "[GitHub's products](https://docs.github.com/github/getting-started-with-github/githubs-products)."
 *
 *
 * Removes a repository from the list of selected repositories that can access a self-hosted runner group. The runner group must have `visibility` set to `selected`. For more information, see "[Create a self-hosted runner group for an organization](#create-a-self-hosted-runner-group-for-an-organization)."
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint.
 */
export const fetchActionsRemoveRepoAccessToSelfHostedRunnerGroupInOrg = (
  variables: ActionsRemoveRepoAccessToSelfHostedRunnerGroupInOrgVariables
) =>
  githubFetch<
    undefined,
    ActionsRemoveRepoAccessToSelfHostedRunnerGroupInOrgError,
    undefined,
    {},
    {},
    ActionsRemoveRepoAccessToSelfHostedRunnerGroupInOrgPathParams
  >({
    url: "/orgs/{org}/actions/runner-groups/{runnerGroupId}/repositories/{repositoryId}",
    method: "delete",
    ...variables,
  });

/**
 * The self-hosted runner groups REST API is available with GitHub Enterprise Cloud. For more information, see "[GitHub's products](https://docs.github.com/github/getting-started-with-github/githubs-products)."
 *
 *
 * Removes a repository from the list of selected repositories that can access a self-hosted runner group. The runner group must have `visibility` set to `selected`. For more information, see "[Create a self-hosted runner group for an organization](#create-a-self-hosted-runner-group-for-an-organization)."
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint.
 */
export const useActionsRemoveRepoAccessToSelfHostedRunnerGroupInOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActionsRemoveRepoAccessToSelfHostedRunnerGroupInOrgError,
      ActionsRemoveRepoAccessToSelfHostedRunnerGroupInOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActionsRemoveRepoAccessToSelfHostedRunnerGroupInOrgError,
    ActionsRemoveRepoAccessToSelfHostedRunnerGroupInOrgVariables
  >(
    (variables: ActionsRemoveRepoAccessToSelfHostedRunnerGroupInOrgVariables) =>
      fetchActionsRemoveRepoAccessToSelfHostedRunnerGroupInOrg({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ActionsAddRepoAccessToSelfHostedRunnerGroupInOrgPathParams = {
  org: string;
  /*
   * Unique identifier of the self-hosted runner group.
   */
  runnerGroupId: number;
  repositoryId: number;
};

export type ActionsAddRepoAccessToSelfHostedRunnerGroupInOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsAddRepoAccessToSelfHostedRunnerGroupInOrgVariables = {
  pathParams: ActionsAddRepoAccessToSelfHostedRunnerGroupInOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * The self-hosted runner groups REST API is available with GitHub Enterprise Cloud. For more information, see "[GitHub's products](https://docs.github.com/github/getting-started-with-github/githubs-products)."
 *
 *
 * Adds a repository to the list of selected repositories that can access a self-hosted runner group. The runner group must have `visibility` set to `selected`. For more information, see "[Create a self-hosted runner group for an organization](#create-a-self-hosted-runner-group-for-an-organization)."
 *
 * You must authenticate using an access token with the `admin:org`
 * scope to use this endpoint.
 */
export const fetchActionsAddRepoAccessToSelfHostedRunnerGroupInOrg = (
  variables: ActionsAddRepoAccessToSelfHostedRunnerGroupInOrgVariables
) =>
  githubFetch<
    undefined,
    ActionsAddRepoAccessToSelfHostedRunnerGroupInOrgError,
    undefined,
    {},
    {},
    ActionsAddRepoAccessToSelfHostedRunnerGroupInOrgPathParams
  >({
    url: "/orgs/{org}/actions/runner-groups/{runnerGroupId}/repositories/{repositoryId}",
    method: "put",
    ...variables,
  });

/**
 * The self-hosted runner groups REST API is available with GitHub Enterprise Cloud. For more information, see "[GitHub's products](https://docs.github.com/github/getting-started-with-github/githubs-products)."
 *
 *
 * Adds a repository to the list of selected repositories that can access a self-hosted runner group. The runner group must have `visibility` set to `selected`. For more information, see "[Create a self-hosted runner group for an organization](#create-a-self-hosted-runner-group-for-an-organization)."
 *
 * You must authenticate using an access token with the `admin:org`
 * scope to use this endpoint.
 */
export const useActionsAddRepoAccessToSelfHostedRunnerGroupInOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActionsAddRepoAccessToSelfHostedRunnerGroupInOrgError,
      ActionsAddRepoAccessToSelfHostedRunnerGroupInOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActionsAddRepoAccessToSelfHostedRunnerGroupInOrgError,
    ActionsAddRepoAccessToSelfHostedRunnerGroupInOrgVariables
  >(
    (variables: ActionsAddRepoAccessToSelfHostedRunnerGroupInOrgVariables) =>
      fetchActionsAddRepoAccessToSelfHostedRunnerGroupInOrg({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ActionsListSelfHostedRunnersInGroupForOrgPathParams = {
  org: string;
  /*
   * Unique identifier of the self-hosted runner group.
   */
  runnerGroupId: number;
};

export type ActionsListSelfHostedRunnersInGroupForOrgQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ActionsListSelfHostedRunnersInGroupForOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsListSelfHostedRunnersInGroupForOrgResponse = {
  runners: Schemas.Runner[];
  total_count: number;
};

export type ActionsListSelfHostedRunnersInGroupForOrgVariables = {
  pathParams: ActionsListSelfHostedRunnersInGroupForOrgPathParams;
  queryParams?: ActionsListSelfHostedRunnersInGroupForOrgQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * The self-hosted runner groups REST API is available with GitHub Enterprise Cloud. For more information, see "[GitHub's products](https://docs.github.com/github/getting-started-with-github/githubs-products)."
 *
 * Lists self-hosted runners that are in a specific organization group.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint.
 */
export const fetchActionsListSelfHostedRunnersInGroupForOrg = (
  variables: ActionsListSelfHostedRunnersInGroupForOrgVariables
) =>
  githubFetch<
    ActionsListSelfHostedRunnersInGroupForOrgResponse,
    ActionsListSelfHostedRunnersInGroupForOrgError,
    undefined,
    {},
    ActionsListSelfHostedRunnersInGroupForOrgQueryParams,
    ActionsListSelfHostedRunnersInGroupForOrgPathParams
  >({
    url: "/orgs/{org}/actions/runner-groups/{runnerGroupId}/runners",
    method: "get",
    ...variables,
  });

/**
 * The self-hosted runner groups REST API is available with GitHub Enterprise Cloud. For more information, see "[GitHub's products](https://docs.github.com/github/getting-started-with-github/githubs-products)."
 *
 * Lists self-hosted runners that are in a specific organization group.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint.
 */
export const useActionsListSelfHostedRunnersInGroupForOrg = <
  TData = ActionsListSelfHostedRunnersInGroupForOrgResponse
>(
  variables: ActionsListSelfHostedRunnersInGroupForOrgVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ActionsListSelfHostedRunnersInGroupForOrgResponse,
      ActionsListSelfHostedRunnersInGroupForOrgError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ActionsListSelfHostedRunnersInGroupForOrgResponse,
    ActionsListSelfHostedRunnersInGroupForOrgError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/actions/runner-groups/{runner_group_id}/runners",
      operationId: "actionsListSelfHostedRunnersInGroupForOrg",
      variables,
    }),
    () =>
      fetchActionsListSelfHostedRunnersInGroupForOrg({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsSetSelfHostedRunnersInGroupForOrgPathParams = {
  org: string;
  /*
   * Unique identifier of the self-hosted runner group.
   */
  runnerGroupId: number;
};

export type ActionsSetSelfHostedRunnersInGroupForOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsSetSelfHostedRunnersInGroupForOrgRequestBody = {
  /*
   * List of runner IDs to add to the runner group.
   */
  runners: number[];
};

export type ActionsSetSelfHostedRunnersInGroupForOrgVariables = {
  body: ActionsSetSelfHostedRunnersInGroupForOrgRequestBody;
  pathParams: ActionsSetSelfHostedRunnersInGroupForOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * The self-hosted runner groups REST API is available with GitHub Enterprise Cloud. For more information, see "[GitHub's products](https://docs.github.com/github/getting-started-with-github/githubs-products)."
 *
 * Replaces the list of self-hosted runners that are part of an organization runner group.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint.
 */
export const fetchActionsSetSelfHostedRunnersInGroupForOrg = (
  variables: ActionsSetSelfHostedRunnersInGroupForOrgVariables
) =>
  githubFetch<
    undefined,
    ActionsSetSelfHostedRunnersInGroupForOrgError,
    ActionsSetSelfHostedRunnersInGroupForOrgRequestBody,
    {},
    {},
    ActionsSetSelfHostedRunnersInGroupForOrgPathParams
  >({
    url: "/orgs/{org}/actions/runner-groups/{runnerGroupId}/runners",
    method: "put",
    ...variables,
  });

/**
 * The self-hosted runner groups REST API is available with GitHub Enterprise Cloud. For more information, see "[GitHub's products](https://docs.github.com/github/getting-started-with-github/githubs-products)."
 *
 * Replaces the list of self-hosted runners that are part of an organization runner group.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint.
 */
export const useActionsSetSelfHostedRunnersInGroupForOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActionsSetSelfHostedRunnersInGroupForOrgError,
      ActionsSetSelfHostedRunnersInGroupForOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActionsSetSelfHostedRunnersInGroupForOrgError,
    ActionsSetSelfHostedRunnersInGroupForOrgVariables
  >(
    (variables: ActionsSetSelfHostedRunnersInGroupForOrgVariables) =>
      fetchActionsSetSelfHostedRunnersInGroupForOrg({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ActionsRemoveSelfHostedRunnerFromGroupForOrgPathParams = {
  org: string;
  /*
   * Unique identifier of the self-hosted runner group.
   */
  runnerGroupId: number;
  /*
   * Unique identifier of the self-hosted runner.
   */
  runnerId: number;
};

export type ActionsRemoveSelfHostedRunnerFromGroupForOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsRemoveSelfHostedRunnerFromGroupForOrgVariables = {
  pathParams: ActionsRemoveSelfHostedRunnerFromGroupForOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * The self-hosted runner groups REST API is available with GitHub Enterprise Cloud. For more information, see "[GitHub's products](https://docs.github.com/github/getting-started-with-github/githubs-products)."
 *
 *
 * Removes a self-hosted runner from a group configured in an organization. The runner is then returned to the default group.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint.
 */
export const fetchActionsRemoveSelfHostedRunnerFromGroupForOrg = (
  variables: ActionsRemoveSelfHostedRunnerFromGroupForOrgVariables
) =>
  githubFetch<
    undefined,
    ActionsRemoveSelfHostedRunnerFromGroupForOrgError,
    undefined,
    {},
    {},
    ActionsRemoveSelfHostedRunnerFromGroupForOrgPathParams
  >({
    url: "/orgs/{org}/actions/runner-groups/{runnerGroupId}/runners/{runnerId}",
    method: "delete",
    ...variables,
  });

/**
 * The self-hosted runner groups REST API is available with GitHub Enterprise Cloud. For more information, see "[GitHub's products](https://docs.github.com/github/getting-started-with-github/githubs-products)."
 *
 *
 * Removes a self-hosted runner from a group configured in an organization. The runner is then returned to the default group.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint.
 */
export const useActionsRemoveSelfHostedRunnerFromGroupForOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActionsRemoveSelfHostedRunnerFromGroupForOrgError,
      ActionsRemoveSelfHostedRunnerFromGroupForOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActionsRemoveSelfHostedRunnerFromGroupForOrgError,
    ActionsRemoveSelfHostedRunnerFromGroupForOrgVariables
  >(
    (variables: ActionsRemoveSelfHostedRunnerFromGroupForOrgVariables) =>
      fetchActionsRemoveSelfHostedRunnerFromGroupForOrg({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ActionsAddSelfHostedRunnerToGroupForOrgPathParams = {
  org: string;
  /*
   * Unique identifier of the self-hosted runner group.
   */
  runnerGroupId: number;
  /*
   * Unique identifier of the self-hosted runner.
   */
  runnerId: number;
};

export type ActionsAddSelfHostedRunnerToGroupForOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsAddSelfHostedRunnerToGroupForOrgVariables = {
  pathParams: ActionsAddSelfHostedRunnerToGroupForOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * The self-hosted runner groups REST API is available with GitHub Enterprise Cloud. For more information, see "[GitHub's products](https://docs.github.com/github/getting-started-with-github/githubs-products)."
 *
 *
 * Adds a self-hosted runner to a runner group configured in an organization.
 *
 * You must authenticate using an access token with the `admin:org`
 * scope to use this endpoint.
 */
export const fetchActionsAddSelfHostedRunnerToGroupForOrg = (
  variables: ActionsAddSelfHostedRunnerToGroupForOrgVariables
) =>
  githubFetch<
    undefined,
    ActionsAddSelfHostedRunnerToGroupForOrgError,
    undefined,
    {},
    {},
    ActionsAddSelfHostedRunnerToGroupForOrgPathParams
  >({
    url: "/orgs/{org}/actions/runner-groups/{runnerGroupId}/runners/{runnerId}",
    method: "put",
    ...variables,
  });

/**
 * The self-hosted runner groups REST API is available with GitHub Enterprise Cloud. For more information, see "[GitHub's products](https://docs.github.com/github/getting-started-with-github/githubs-products)."
 *
 *
 * Adds a self-hosted runner to a runner group configured in an organization.
 *
 * You must authenticate using an access token with the `admin:org`
 * scope to use this endpoint.
 */
export const useActionsAddSelfHostedRunnerToGroupForOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActionsAddSelfHostedRunnerToGroupForOrgError,
      ActionsAddSelfHostedRunnerToGroupForOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActionsAddSelfHostedRunnerToGroupForOrgError,
    ActionsAddSelfHostedRunnerToGroupForOrgVariables
  >(
    (variables: ActionsAddSelfHostedRunnerToGroupForOrgVariables) =>
      fetchActionsAddSelfHostedRunnerToGroupForOrg({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ActionsListSelfHostedRunnersForOrgPathParams = {
  org: string;
};

export type ActionsListSelfHostedRunnersForOrgQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ActionsListSelfHostedRunnersForOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsListSelfHostedRunnersForOrgResponse = {
  runners: Schemas.Runner[];
  total_count: number;
};

export type ActionsListSelfHostedRunnersForOrgVariables = {
  pathParams: ActionsListSelfHostedRunnersForOrgPathParams;
  queryParams?: ActionsListSelfHostedRunnersForOrgQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists all self-hosted runners configured in an organization.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint.
 */
export const fetchActionsListSelfHostedRunnersForOrg = (
  variables: ActionsListSelfHostedRunnersForOrgVariables
) =>
  githubFetch<
    ActionsListSelfHostedRunnersForOrgResponse,
    ActionsListSelfHostedRunnersForOrgError,
    undefined,
    {},
    ActionsListSelfHostedRunnersForOrgQueryParams,
    ActionsListSelfHostedRunnersForOrgPathParams
  >({ url: "/orgs/{org}/actions/runners", method: "get", ...variables });

/**
 * Lists all self-hosted runners configured in an organization.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint.
 */
export const useActionsListSelfHostedRunnersForOrg = <
  TData = ActionsListSelfHostedRunnersForOrgResponse
>(
  variables: ActionsListSelfHostedRunnersForOrgVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ActionsListSelfHostedRunnersForOrgResponse,
      ActionsListSelfHostedRunnersForOrgError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ActionsListSelfHostedRunnersForOrgResponse,
    ActionsListSelfHostedRunnersForOrgError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/actions/runners",
      operationId: "actionsListSelfHostedRunnersForOrg",
      variables,
    }),
    () =>
      fetchActionsListSelfHostedRunnersForOrg({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsListRunnerApplicationsForOrgPathParams = {
  org: string;
};

export type ActionsListRunnerApplicationsForOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsListRunnerApplicationsForOrgResponse =
  Schemas.RunnerApplication[];

export type ActionsListRunnerApplicationsForOrgVariables = {
  pathParams: ActionsListRunnerApplicationsForOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists binaries for the runner application that you can download and run.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint.
 */
export const fetchActionsListRunnerApplicationsForOrg = (
  variables: ActionsListRunnerApplicationsForOrgVariables
) =>
  githubFetch<
    ActionsListRunnerApplicationsForOrgResponse,
    ActionsListRunnerApplicationsForOrgError,
    undefined,
    {},
    {},
    ActionsListRunnerApplicationsForOrgPathParams
  >({
    url: "/orgs/{org}/actions/runners/downloads",
    method: "get",
    ...variables,
  });

/**
 * Lists binaries for the runner application that you can download and run.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint.
 */
export const useActionsListRunnerApplicationsForOrg = <
  TData = ActionsListRunnerApplicationsForOrgResponse
>(
  variables: ActionsListRunnerApplicationsForOrgVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ActionsListRunnerApplicationsForOrgResponse,
      ActionsListRunnerApplicationsForOrgError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ActionsListRunnerApplicationsForOrgResponse,
    ActionsListRunnerApplicationsForOrgError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/actions/runners/downloads",
      operationId: "actionsListRunnerApplicationsForOrg",
      variables,
    }),
    () =>
      fetchActionsListRunnerApplicationsForOrg({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsCreateRegistrationTokenForOrgPathParams = {
  org: string;
};

export type ActionsCreateRegistrationTokenForOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsCreateRegistrationTokenForOrgVariables = {
  pathParams: ActionsCreateRegistrationTokenForOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Returns a token that you can pass to the `config` script. The token expires after one hour.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint.
 *
 * #### Example using registration token
 *
 * Configure your self-hosted runner, replacing `TOKEN` with the registration token provided by this endpoint.
 *
 * ```
 * ./config.sh --url https://github.com/octo-org --token TOKEN
 * ```
 */
export const fetchActionsCreateRegistrationTokenForOrg = (
  variables: ActionsCreateRegistrationTokenForOrgVariables
) =>
  githubFetch<
    Schemas.AuthenticationToken,
    ActionsCreateRegistrationTokenForOrgError,
    undefined,
    {},
    {},
    ActionsCreateRegistrationTokenForOrgPathParams
  >({
    url: "/orgs/{org}/actions/runners/registration-token",
    method: "post",
    ...variables,
  });

/**
 * Returns a token that you can pass to the `config` script. The token expires after one hour.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint.
 *
 * #### Example using registration token
 *
 * Configure your self-hosted runner, replacing `TOKEN` with the registration token provided by this endpoint.
 *
 * ```
 * ./config.sh --url https://github.com/octo-org --token TOKEN
 * ```
 */
export const useActionsCreateRegistrationTokenForOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.AuthenticationToken,
      ActionsCreateRegistrationTokenForOrgError,
      ActionsCreateRegistrationTokenForOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.AuthenticationToken,
    ActionsCreateRegistrationTokenForOrgError,
    ActionsCreateRegistrationTokenForOrgVariables
  >(
    (variables: ActionsCreateRegistrationTokenForOrgVariables) =>
      fetchActionsCreateRegistrationTokenForOrg({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ActionsCreateRemoveTokenForOrgPathParams = {
  org: string;
};

export type ActionsCreateRemoveTokenForOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsCreateRemoveTokenForOrgVariables = {
  pathParams: ActionsCreateRemoveTokenForOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Returns a token that you can pass to the `config` script to remove a self-hosted runner from an organization. The token expires after one hour.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint.
 *
 * #### Example using remove token
 *
 * To remove your self-hosted runner from an organization, replace `TOKEN` with the remove token provided by this
 * endpoint.
 *
 * ```
 * ./config.sh remove --token TOKEN
 * ```
 */
export const fetchActionsCreateRemoveTokenForOrg = (
  variables: ActionsCreateRemoveTokenForOrgVariables
) =>
  githubFetch<
    Schemas.AuthenticationToken,
    ActionsCreateRemoveTokenForOrgError,
    undefined,
    {},
    {},
    ActionsCreateRemoveTokenForOrgPathParams
  >({
    url: "/orgs/{org}/actions/runners/remove-token",
    method: "post",
    ...variables,
  });

/**
 * Returns a token that you can pass to the `config` script to remove a self-hosted runner from an organization. The token expires after one hour.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint.
 *
 * #### Example using remove token
 *
 * To remove your self-hosted runner from an organization, replace `TOKEN` with the remove token provided by this
 * endpoint.
 *
 * ```
 * ./config.sh remove --token TOKEN
 * ```
 */
export const useActionsCreateRemoveTokenForOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.AuthenticationToken,
      ActionsCreateRemoveTokenForOrgError,
      ActionsCreateRemoveTokenForOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.AuthenticationToken,
    ActionsCreateRemoveTokenForOrgError,
    ActionsCreateRemoveTokenForOrgVariables
  >(
    (variables: ActionsCreateRemoveTokenForOrgVariables) =>
      fetchActionsCreateRemoveTokenForOrg({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ActionsDeleteSelfHostedRunnerFromOrgPathParams = {
  org: string;
  /*
   * Unique identifier of the self-hosted runner.
   */
  runnerId: number;
};

export type ActionsDeleteSelfHostedRunnerFromOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsDeleteSelfHostedRunnerFromOrgVariables = {
  pathParams: ActionsDeleteSelfHostedRunnerFromOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Forces the removal of a self-hosted runner from an organization. You can use this endpoint to completely remove the runner when the machine you were using no longer exists.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint.
 */
export const fetchActionsDeleteSelfHostedRunnerFromOrg = (
  variables: ActionsDeleteSelfHostedRunnerFromOrgVariables
) =>
  githubFetch<
    undefined,
    ActionsDeleteSelfHostedRunnerFromOrgError,
    undefined,
    {},
    {},
    ActionsDeleteSelfHostedRunnerFromOrgPathParams
  >({
    url: "/orgs/{org}/actions/runners/{runnerId}",
    method: "delete",
    ...variables,
  });

/**
 * Forces the removal of a self-hosted runner from an organization. You can use this endpoint to completely remove the runner when the machine you were using no longer exists.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint.
 */
export const useActionsDeleteSelfHostedRunnerFromOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActionsDeleteSelfHostedRunnerFromOrgError,
      ActionsDeleteSelfHostedRunnerFromOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActionsDeleteSelfHostedRunnerFromOrgError,
    ActionsDeleteSelfHostedRunnerFromOrgVariables
  >(
    (variables: ActionsDeleteSelfHostedRunnerFromOrgVariables) =>
      fetchActionsDeleteSelfHostedRunnerFromOrg({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ActionsGetSelfHostedRunnerForOrgPathParams = {
  org: string;
  /*
   * Unique identifier of the self-hosted runner.
   */
  runnerId: number;
};

export type ActionsGetSelfHostedRunnerForOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsGetSelfHostedRunnerForOrgVariables = {
  pathParams: ActionsGetSelfHostedRunnerForOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets a specific self-hosted runner configured in an organization.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint.
 */
export const fetchActionsGetSelfHostedRunnerForOrg = (
  variables: ActionsGetSelfHostedRunnerForOrgVariables
) =>
  githubFetch<
    Schemas.Runner,
    ActionsGetSelfHostedRunnerForOrgError,
    undefined,
    {},
    {},
    ActionsGetSelfHostedRunnerForOrgPathParams
  >({
    url: "/orgs/{org}/actions/runners/{runnerId}",
    method: "get",
    ...variables,
  });

/**
 * Gets a specific self-hosted runner configured in an organization.
 *
 * You must authenticate using an access token with the `admin:org` scope to use this endpoint.
 */
export const useActionsGetSelfHostedRunnerForOrg = <TData = Schemas.Runner>(
  variables: ActionsGetSelfHostedRunnerForOrgVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.Runner,
      ActionsGetSelfHostedRunnerForOrgError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.Runner,
    ActionsGetSelfHostedRunnerForOrgError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/actions/runners/{runner_id}",
      operationId: "actionsGetSelfHostedRunnerForOrg",
      variables,
    }),
    () =>
      fetchActionsGetSelfHostedRunnerForOrg({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsListOrgSecretsPathParams = {
  org: string;
};

export type ActionsListOrgSecretsQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ActionsListOrgSecretsError = Fetcher.ErrorWrapper<undefined>;

export type ActionsListOrgSecretsResponse = {
  secrets: Schemas.OrganizationActionsSecret[];
  total_count: number;
};

export type ActionsListOrgSecretsVariables = {
  pathParams: ActionsListOrgSecretsPathParams;
  queryParams?: ActionsListOrgSecretsQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists all secrets available in an organization without revealing their encrypted values. You must authenticate using an access token with the `admin:org` scope to use this endpoint. GitHub Apps must have the `secrets` organization permission to use this endpoint.
 */
export const fetchActionsListOrgSecrets = (
  variables: ActionsListOrgSecretsVariables
) =>
  githubFetch<
    ActionsListOrgSecretsResponse,
    ActionsListOrgSecretsError,
    undefined,
    {},
    ActionsListOrgSecretsQueryParams,
    ActionsListOrgSecretsPathParams
  >({ url: "/orgs/{org}/actions/secrets", method: "get", ...variables });

/**
 * Lists all secrets available in an organization without revealing their encrypted values. You must authenticate using an access token with the `admin:org` scope to use this endpoint. GitHub Apps must have the `secrets` organization permission to use this endpoint.
 */
export const useActionsListOrgSecrets = <TData = ActionsListOrgSecretsResponse>(
  variables: ActionsListOrgSecretsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ActionsListOrgSecretsResponse,
      ActionsListOrgSecretsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ActionsListOrgSecretsResponse,
    ActionsListOrgSecretsError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/actions/secrets",
      operationId: "actionsListOrgSecrets",
      variables,
    }),
    () => fetchActionsListOrgSecrets({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsGetOrgPublicKeyPathParams = {
  org: string;
};

export type ActionsGetOrgPublicKeyError = Fetcher.ErrorWrapper<undefined>;

export type ActionsGetOrgPublicKeyVariables = {
  pathParams: ActionsGetOrgPublicKeyPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets your public key, which you need to encrypt secrets. You need to encrypt a secret before you can create or update secrets. You must authenticate using an access token with the `admin:org` scope to use this endpoint. GitHub Apps must have the `secrets` organization permission to use this endpoint.
 */
export const fetchActionsGetOrgPublicKey = (
  variables: ActionsGetOrgPublicKeyVariables
) =>
  githubFetch<
    Schemas.ActionsPublicKey,
    ActionsGetOrgPublicKeyError,
    undefined,
    {},
    {},
    ActionsGetOrgPublicKeyPathParams
  >({
    url: "/orgs/{org}/actions/secrets/public-key",
    method: "get",
    ...variables,
  });

/**
 * Gets your public key, which you need to encrypt secrets. You need to encrypt a secret before you can create or update secrets. You must authenticate using an access token with the `admin:org` scope to use this endpoint. GitHub Apps must have the `secrets` organization permission to use this endpoint.
 */
export const useActionsGetOrgPublicKey = <TData = Schemas.ActionsPublicKey>(
  variables: ActionsGetOrgPublicKeyVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.ActionsPublicKey,
      ActionsGetOrgPublicKeyError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.ActionsPublicKey,
    ActionsGetOrgPublicKeyError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/actions/secrets/public-key",
      operationId: "actionsGetOrgPublicKey",
      variables,
    }),
    () => fetchActionsGetOrgPublicKey({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsDeleteOrgSecretPathParams = {
  org: string;
  /*
   * secret_name parameter
   */
  secretName: string;
};

export type ActionsDeleteOrgSecretError = Fetcher.ErrorWrapper<undefined>;

export type ActionsDeleteOrgSecretVariables = {
  pathParams: ActionsDeleteOrgSecretPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Deletes a secret in an organization using the secret name. You must authenticate using an access token with the `admin:org` scope to use this endpoint. GitHub Apps must have the `secrets` organization permission to use this endpoint.
 */
export const fetchActionsDeleteOrgSecret = (
  variables: ActionsDeleteOrgSecretVariables
) =>
  githubFetch<
    undefined,
    ActionsDeleteOrgSecretError,
    undefined,
    {},
    {},
    ActionsDeleteOrgSecretPathParams
  >({
    url: "/orgs/{org}/actions/secrets/{secretName}",
    method: "delete",
    ...variables,
  });

/**
 * Deletes a secret in an organization using the secret name. You must authenticate using an access token with the `admin:org` scope to use this endpoint. GitHub Apps must have the `secrets` organization permission to use this endpoint.
 */
export const useActionsDeleteOrgSecret = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActionsDeleteOrgSecretError,
      ActionsDeleteOrgSecretVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActionsDeleteOrgSecretError,
    ActionsDeleteOrgSecretVariables
  >(
    (variables: ActionsDeleteOrgSecretVariables) =>
      fetchActionsDeleteOrgSecret({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ActionsGetOrgSecretPathParams = {
  org: string;
  /*
   * secret_name parameter
   */
  secretName: string;
};

export type ActionsGetOrgSecretError = Fetcher.ErrorWrapper<undefined>;

export type ActionsGetOrgSecretVariables = {
  pathParams: ActionsGetOrgSecretPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets a single organization secret without revealing its encrypted value. You must authenticate using an access token with the `admin:org` scope to use this endpoint. GitHub Apps must have the `secrets` organization permission to use this endpoint.
 */
export const fetchActionsGetOrgSecret = (
  variables: ActionsGetOrgSecretVariables
) =>
  githubFetch<
    Schemas.OrganizationActionsSecret,
    ActionsGetOrgSecretError,
    undefined,
    {},
    {},
    ActionsGetOrgSecretPathParams
  >({
    url: "/orgs/{org}/actions/secrets/{secretName}",
    method: "get",
    ...variables,
  });

/**
 * Gets a single organization secret without revealing its encrypted value. You must authenticate using an access token with the `admin:org` scope to use this endpoint. GitHub Apps must have the `secrets` organization permission to use this endpoint.
 */
export const useActionsGetOrgSecret = <
  TData = Schemas.OrganizationActionsSecret
>(
  variables: ActionsGetOrgSecretVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.OrganizationActionsSecret,
      ActionsGetOrgSecretError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.OrganizationActionsSecret,
    ActionsGetOrgSecretError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/actions/secrets/{secret_name}",
      operationId: "actionsGetOrgSecret",
      variables,
    }),
    () => fetchActionsGetOrgSecret({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsCreateOrUpdateOrgSecretPathParams = {
  org: string;
  /*
   * secret_name parameter
   */
  secretName: string;
};

export type ActionsCreateOrUpdateOrgSecretError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsCreateOrUpdateOrgSecretRequestBody = {
  /*
   * Value for your secret, encrypted with [LibSodium](https://libsodium.gitbook.io/doc/bindings_for_other_languages) using the public key retrieved from the [Get an organization public key](https://docs.github.com/rest/reference/actions#get-an-organization-public-key) endpoint.
   *
   * @pattern ^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=|[A-Za-z0-9+/]{4})$
   */
  encrypted_value?: string;
  /*
   * ID of the key you used to encrypt the secret.
   */
  key_id?: string;
  /*
   * An array of repository ids that can access the organization secret. You can only provide a list of repository ids when the `visibility` is set to `selected`. You can manage the list of selected repositories using the [List selected repositories for an organization secret](https://docs.github.com/rest/reference/actions#list-selected-repositories-for-an-organization-secret), [Set selected repositories for an organization secret](https://docs.github.com/rest/reference/actions#set-selected-repositories-for-an-organization-secret), and [Remove selected repository from an organization secret](https://docs.github.com/rest/reference/actions#remove-selected-repository-from-an-organization-secret) endpoints.
   */
  selected_repository_ids?: string[];
  /*
   * Configures the access that repositories have to the organization secret. Can be one of:
   * \- `all` - All repositories in an organization can access the secret.
   * \- `private` - Private repositories in an organization can access the secret.
   * \- `selected` - Only specific repositories can access the secret.
   */
  visibility?: "all" | "private" | "selected";
};

export type ActionsCreateOrUpdateOrgSecretVariables = {
  body?: ActionsCreateOrUpdateOrgSecretRequestBody;
  pathParams: ActionsCreateOrUpdateOrgSecretPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Creates or updates an organization secret with an encrypted value. Encrypt your secret using
 * [LibSodium](https://libsodium.gitbook.io/doc/bindings_for_other_languages). You must authenticate using an access
 * token with the `admin:org` scope to use this endpoint. GitHub Apps must have the `secrets` organization permission to
 * use this endpoint.
 *
 * #### Example encrypting a secret using Node.js
 *
 * Encrypt your secret using the [tweetsodium](https://github.com/github/tweetsodium) library.
 *
 * ```
 * const sodium = require('tweetsodium');
 *
 * const key = "base64-encoded-public-key";
 * const value = "plain-text-secret";
 *
 * // Convert the message and key to Uint8Array's (Buffer implements that interface)
 * const messageBytes = Buffer.from(value);
 * const keyBytes = Buffer.from(key, 'base64');
 *
 * // Encrypt using LibSodium.
 * const encryptedBytes = sodium.seal(messageBytes, keyBytes);
 *
 * // Base64 the encrypted secret
 * const encrypted = Buffer.from(encryptedBytes).toString('base64');
 *
 * console.log(encrypted);
 * ```
 *
 *
 * #### Example encrypting a secret using Python
 *
 * Encrypt your secret using [pynacl](https://pynacl.readthedocs.io/en/stable/public/#nacl-public-sealedbox) with Python 3.
 *
 * ```
 * from base64 import b64encode
 * from nacl import encoding, public
 *
 * def encrypt(public_key: str, secret_value: str) -> str:
 *   """Encrypt a Unicode string using the public key."""
 *   public_key = public.PublicKey(public_key.encode("utf-8"), encoding.Base64Encoder())
 *   sealed_box = public.SealedBox(public_key)
 *   encrypted = sealed_box.encrypt(secret_value.encode("utf-8"))
 *   return b64encode(encrypted).decode("utf-8")
 * ```
 *
 * #### Example encrypting a secret using C#
 *
 * Encrypt your secret using the [Sodium.Core](https://www.nuget.org/packages/Sodium.Core/) package.
 *
 * ```
 * var secretValue = System.Text.Encoding.UTF8.GetBytes("mySecret");
 * var publicKey = Convert.FromBase64String("2Sg8iYjAxxmI2LvUXpJjkYrMxURPc8r+dB7TJyvvcCU=");
 *
 * var sealedPublicKeyBox = Sodium.SealedPublicKeyBox.Create(secretValue, publicKey);
 *
 * Console.WriteLine(Convert.ToBase64String(sealedPublicKeyBox));
 * ```
 *
 * #### Example encrypting a secret using Ruby
 *
 * Encrypt your secret using the [rbnacl](https://github.com/RubyCrypto/rbnacl) gem.
 *
 * ```ruby
 * require "rbnacl"
 * require "base64"
 *
 * key = Base64.decode64("+ZYvJDZMHUfBkJdyq5Zm9SKqeuBQ4sj+6sfjlH4CgG0=")
 * public_key = RbNaCl::PublicKey.new(key)
 *
 * box = RbNaCl::Boxes::Sealed.from_public_key(public_key)
 * encrypted_secret = box.encrypt("my_secret")
 *
 * # Print the base64 encoded secret
 * puts Base64.strict_encode64(encrypted_secret)
 * ```
 */
export const fetchActionsCreateOrUpdateOrgSecret = (
  variables: ActionsCreateOrUpdateOrgSecretVariables
) =>
  githubFetch<
    undefined,
    ActionsCreateOrUpdateOrgSecretError,
    ActionsCreateOrUpdateOrgSecretRequestBody,
    {},
    {},
    ActionsCreateOrUpdateOrgSecretPathParams
  >({
    url: "/orgs/{org}/actions/secrets/{secretName}",
    method: "put",
    ...variables,
  });

/**
 * Creates or updates an organization secret with an encrypted value. Encrypt your secret using
 * [LibSodium](https://libsodium.gitbook.io/doc/bindings_for_other_languages). You must authenticate using an access
 * token with the `admin:org` scope to use this endpoint. GitHub Apps must have the `secrets` organization permission to
 * use this endpoint.
 *
 * #### Example encrypting a secret using Node.js
 *
 * Encrypt your secret using the [tweetsodium](https://github.com/github/tweetsodium) library.
 *
 * ```
 * const sodium = require('tweetsodium');
 *
 * const key = "base64-encoded-public-key";
 * const value = "plain-text-secret";
 *
 * // Convert the message and key to Uint8Array's (Buffer implements that interface)
 * const messageBytes = Buffer.from(value);
 * const keyBytes = Buffer.from(key, 'base64');
 *
 * // Encrypt using LibSodium.
 * const encryptedBytes = sodium.seal(messageBytes, keyBytes);
 *
 * // Base64 the encrypted secret
 * const encrypted = Buffer.from(encryptedBytes).toString('base64');
 *
 * console.log(encrypted);
 * ```
 *
 *
 * #### Example encrypting a secret using Python
 *
 * Encrypt your secret using [pynacl](https://pynacl.readthedocs.io/en/stable/public/#nacl-public-sealedbox) with Python 3.
 *
 * ```
 * from base64 import b64encode
 * from nacl import encoding, public
 *
 * def encrypt(public_key: str, secret_value: str) -> str:
 *   """Encrypt a Unicode string using the public key."""
 *   public_key = public.PublicKey(public_key.encode("utf-8"), encoding.Base64Encoder())
 *   sealed_box = public.SealedBox(public_key)
 *   encrypted = sealed_box.encrypt(secret_value.encode("utf-8"))
 *   return b64encode(encrypted).decode("utf-8")
 * ```
 *
 * #### Example encrypting a secret using C#
 *
 * Encrypt your secret using the [Sodium.Core](https://www.nuget.org/packages/Sodium.Core/) package.
 *
 * ```
 * var secretValue = System.Text.Encoding.UTF8.GetBytes("mySecret");
 * var publicKey = Convert.FromBase64String("2Sg8iYjAxxmI2LvUXpJjkYrMxURPc8r+dB7TJyvvcCU=");
 *
 * var sealedPublicKeyBox = Sodium.SealedPublicKeyBox.Create(secretValue, publicKey);
 *
 * Console.WriteLine(Convert.ToBase64String(sealedPublicKeyBox));
 * ```
 *
 * #### Example encrypting a secret using Ruby
 *
 * Encrypt your secret using the [rbnacl](https://github.com/RubyCrypto/rbnacl) gem.
 *
 * ```ruby
 * require "rbnacl"
 * require "base64"
 *
 * key = Base64.decode64("+ZYvJDZMHUfBkJdyq5Zm9SKqeuBQ4sj+6sfjlH4CgG0=")
 * public_key = RbNaCl::PublicKey.new(key)
 *
 * box = RbNaCl::Boxes::Sealed.from_public_key(public_key)
 * encrypted_secret = box.encrypt("my_secret")
 *
 * # Print the base64 encoded secret
 * puts Base64.strict_encode64(encrypted_secret)
 * ```
 */
export const useActionsCreateOrUpdateOrgSecret = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActionsCreateOrUpdateOrgSecretError,
      ActionsCreateOrUpdateOrgSecretVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActionsCreateOrUpdateOrgSecretError,
    ActionsCreateOrUpdateOrgSecretVariables
  >(
    (variables: ActionsCreateOrUpdateOrgSecretVariables) =>
      fetchActionsCreateOrUpdateOrgSecret({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ActionsListSelectedReposForOrgSecretPathParams = {
  org: string;
  /*
   * secret_name parameter
   */
  secretName: string;
};

export type ActionsListSelectedReposForOrgSecretQueryParams = {
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
};

export type ActionsListSelectedReposForOrgSecretError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsListSelectedReposForOrgSecretResponse = {
  repositories: Schemas.MinimalRepository[];
  total_count: number;
};

export type ActionsListSelectedReposForOrgSecretVariables = {
  pathParams: ActionsListSelectedReposForOrgSecretPathParams;
  queryParams?: ActionsListSelectedReposForOrgSecretQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists all repositories that have been selected when the `visibility` for repository access to a secret is set to `selected`. You must authenticate using an access token with the `admin:org` scope to use this endpoint. GitHub Apps must have the `secrets` organization permission to use this endpoint.
 */
export const fetchActionsListSelectedReposForOrgSecret = (
  variables: ActionsListSelectedReposForOrgSecretVariables
) =>
  githubFetch<
    ActionsListSelectedReposForOrgSecretResponse,
    ActionsListSelectedReposForOrgSecretError,
    undefined,
    {},
    ActionsListSelectedReposForOrgSecretQueryParams,
    ActionsListSelectedReposForOrgSecretPathParams
  >({
    url: "/orgs/{org}/actions/secrets/{secretName}/repositories",
    method: "get",
    ...variables,
  });

/**
 * Lists all repositories that have been selected when the `visibility` for repository access to a secret is set to `selected`. You must authenticate using an access token with the `admin:org` scope to use this endpoint. GitHub Apps must have the `secrets` organization permission to use this endpoint.
 */
export const useActionsListSelectedReposForOrgSecret = <
  TData = ActionsListSelectedReposForOrgSecretResponse
>(
  variables: ActionsListSelectedReposForOrgSecretVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ActionsListSelectedReposForOrgSecretResponse,
      ActionsListSelectedReposForOrgSecretError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ActionsListSelectedReposForOrgSecretResponse,
    ActionsListSelectedReposForOrgSecretError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/actions/secrets/{secret_name}/repositories",
      operationId: "actionsListSelectedReposForOrgSecret",
      variables,
    }),
    () =>
      fetchActionsListSelectedReposForOrgSecret({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsSetSelectedReposForOrgSecretPathParams = {
  org: string;
  /*
   * secret_name parameter
   */
  secretName: string;
};

export type ActionsSetSelectedReposForOrgSecretError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsSetSelectedReposForOrgSecretRequestBody = {
  /*
   * An array of repository ids that can access the organization secret. You can only provide a list of repository ids when the `visibility` is set to `selected`. You can add and remove individual repositories using the [Set selected repositories for an organization secret](https://docs.github.com/rest/reference/actions#set-selected-repositories-for-an-organization-secret) and [Remove selected repository from an organization secret](https://docs.github.com/rest/reference/actions#remove-selected-repository-from-an-organization-secret) endpoints.
   */
  selected_repository_ids?: number[];
};

export type ActionsSetSelectedReposForOrgSecretVariables = {
  body?: ActionsSetSelectedReposForOrgSecretRequestBody;
  pathParams: ActionsSetSelectedReposForOrgSecretPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Replaces all repositories for an organization secret when the `visibility` for repository access is set to `selected`. The visibility is set when you [Create or update an organization secret](https://docs.github.com/rest/reference/actions#create-or-update-an-organization-secret). You must authenticate using an access token with the `admin:org` scope to use this endpoint. GitHub Apps must have the `secrets` organization permission to use this endpoint.
 */
export const fetchActionsSetSelectedReposForOrgSecret = (
  variables: ActionsSetSelectedReposForOrgSecretVariables
) =>
  githubFetch<
    undefined,
    ActionsSetSelectedReposForOrgSecretError,
    ActionsSetSelectedReposForOrgSecretRequestBody,
    {},
    {},
    ActionsSetSelectedReposForOrgSecretPathParams
  >({
    url: "/orgs/{org}/actions/secrets/{secretName}/repositories",
    method: "put",
    ...variables,
  });

/**
 * Replaces all repositories for an organization secret when the `visibility` for repository access is set to `selected`. The visibility is set when you [Create or update an organization secret](https://docs.github.com/rest/reference/actions#create-or-update-an-organization-secret). You must authenticate using an access token with the `admin:org` scope to use this endpoint. GitHub Apps must have the `secrets` organization permission to use this endpoint.
 */
export const useActionsSetSelectedReposForOrgSecret = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActionsSetSelectedReposForOrgSecretError,
      ActionsSetSelectedReposForOrgSecretVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActionsSetSelectedReposForOrgSecretError,
    ActionsSetSelectedReposForOrgSecretVariables
  >(
    (variables: ActionsSetSelectedReposForOrgSecretVariables) =>
      fetchActionsSetSelectedReposForOrgSecret({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ActionsRemoveSelectedRepoFromOrgSecretPathParams = {
  org: string;
  /*
   * secret_name parameter
   */
  secretName: string;
  repositoryId: number;
};

export type ActionsRemoveSelectedRepoFromOrgSecretError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsRemoveSelectedRepoFromOrgSecretVariables = {
  pathParams: ActionsRemoveSelectedRepoFromOrgSecretPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Removes a repository from an organization secret when the `visibility` for repository access is set to `selected`. The visibility is set when you [Create or update an organization secret](https://docs.github.com/rest/reference/actions#create-or-update-an-organization-secret). You must authenticate using an access token with the `admin:org` scope to use this endpoint. GitHub Apps must have the `secrets` organization permission to use this endpoint.
 */
export const fetchActionsRemoveSelectedRepoFromOrgSecret = (
  variables: ActionsRemoveSelectedRepoFromOrgSecretVariables
) =>
  githubFetch<
    undefined,
    ActionsRemoveSelectedRepoFromOrgSecretError,
    undefined,
    {},
    {},
    ActionsRemoveSelectedRepoFromOrgSecretPathParams
  >({
    url: "/orgs/{org}/actions/secrets/{secretName}/repositories/{repositoryId}",
    method: "delete",
    ...variables,
  });

/**
 * Removes a repository from an organization secret when the `visibility` for repository access is set to `selected`. The visibility is set when you [Create or update an organization secret](https://docs.github.com/rest/reference/actions#create-or-update-an-organization-secret). You must authenticate using an access token with the `admin:org` scope to use this endpoint. GitHub Apps must have the `secrets` organization permission to use this endpoint.
 */
export const useActionsRemoveSelectedRepoFromOrgSecret = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActionsRemoveSelectedRepoFromOrgSecretError,
      ActionsRemoveSelectedRepoFromOrgSecretVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActionsRemoveSelectedRepoFromOrgSecretError,
    ActionsRemoveSelectedRepoFromOrgSecretVariables
  >(
    (variables: ActionsRemoveSelectedRepoFromOrgSecretVariables) =>
      fetchActionsRemoveSelectedRepoFromOrgSecret({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ActionsAddSelectedRepoToOrgSecretPathParams = {
  org: string;
  /*
   * secret_name parameter
   */
  secretName: string;
  repositoryId: number;
};

export type ActionsAddSelectedRepoToOrgSecretError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsAddSelectedRepoToOrgSecretVariables = {
  pathParams: ActionsAddSelectedRepoToOrgSecretPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Adds a repository to an organization secret when the `visibility` for repository access is set to `selected`. The visibility is set when you [Create or update an organization secret](https://docs.github.com/rest/reference/actions#create-or-update-an-organization-secret). You must authenticate using an access token with the `admin:org` scope to use this endpoint. GitHub Apps must have the `secrets` organization permission to use this endpoint.
 */
export const fetchActionsAddSelectedRepoToOrgSecret = (
  variables: ActionsAddSelectedRepoToOrgSecretVariables
) =>
  githubFetch<
    undefined,
    ActionsAddSelectedRepoToOrgSecretError,
    undefined,
    {},
    {},
    ActionsAddSelectedRepoToOrgSecretPathParams
  >({
    url: "/orgs/{org}/actions/secrets/{secretName}/repositories/{repositoryId}",
    method: "put",
    ...variables,
  });

/**
 * Adds a repository to an organization secret when the `visibility` for repository access is set to `selected`. The visibility is set when you [Create or update an organization secret](https://docs.github.com/rest/reference/actions#create-or-update-an-organization-secret). You must authenticate using an access token with the `admin:org` scope to use this endpoint. GitHub Apps must have the `secrets` organization permission to use this endpoint.
 */
export const useActionsAddSelectedRepoToOrgSecret = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActionsAddSelectedRepoToOrgSecretError,
      ActionsAddSelectedRepoToOrgSecretVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActionsAddSelectedRepoToOrgSecretError,
    ActionsAddSelectedRepoToOrgSecretVariables
  >(
    (variables: ActionsAddSelectedRepoToOrgSecretVariables) =>
      fetchActionsAddSelectedRepoToOrgSecret({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type OrgsGetAuditLogPathParams = {
  org: string;
};

export type OrgsGetAuditLogQueryParams = {
  /*
   * A search phrase. For more information, see [Searching the audit log](https://docs.github.com/github/setting-up-and-managing-organizations-and-teams/reviewing-the-audit-log-for-your-organization#searching-the-audit-log).
   */
  phrase?: string;
  /*
   * The event types to include:
   *
   * - `web` - returns web (non-Git) events
   * - `git` - returns Git events
   * - `all` - returns both web and Git events
   *
   * The default is `web`.
   */
  include?: "web" | "git" | "all";
  /*
   * A cursor, as given in the [Link header](https://docs.github.com/rest/overview/resources-in-the-rest-api#link-header). If specified, the query only searches for events after this cursor.
   */
  after?: string;
  /*
   * A cursor, as given in the [Link header](https://docs.github.com/rest/overview/resources-in-the-rest-api#link-header). If specified, the query only searches for events before this cursor.
   */
  before?: string;
  /*
   * The order of audit log events. To list newest events first, specify `desc`. To list oldest events first, specify `asc`.
   *
   * The default is `desc`.
   */
  order?: "desc" | "asc";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type OrgsGetAuditLogError = Fetcher.ErrorWrapper<undefined>;

export type OrgsGetAuditLogResponse = Schemas.AuditLogEvent[];

export type OrgsGetAuditLogVariables = {
  pathParams: OrgsGetAuditLogPathParams;
  queryParams?: OrgsGetAuditLogQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * **Note:** The audit log REST API is currently in beta and is subject to change.
 *
 * Gets the audit log for an organization. For more information, see "[Reviewing the audit log for your organization](https://docs.github.com/github/setting-up-and-managing-organizations-and-teams/reviewing-the-audit-log-for-your-organization)."
 *
 * To use this endpoint, you must be an organization owner, and you must use an access token with the `admin:org` scope. GitHub Apps must have the `organization_administration` read permission to use this endpoint.
 */
export const fetchOrgsGetAuditLog = (variables: OrgsGetAuditLogVariables) =>
  githubFetch<
    OrgsGetAuditLogResponse,
    OrgsGetAuditLogError,
    undefined,
    {},
    OrgsGetAuditLogQueryParams,
    OrgsGetAuditLogPathParams
  >({ url: "/orgs/{org}/audit-log", method: "get", ...variables });

/**
 * **Note:** The audit log REST API is currently in beta and is subject to change.
 *
 * Gets the audit log for an organization. For more information, see "[Reviewing the audit log for your organization](https://docs.github.com/github/setting-up-and-managing-organizations-and-teams/reviewing-the-audit-log-for-your-organization)."
 *
 * To use this endpoint, you must be an organization owner, and you must use an access token with the `admin:org` scope. GitHub Apps must have the `organization_administration` read permission to use this endpoint.
 */
export const useOrgsGetAuditLog = <TData = OrgsGetAuditLogResponse>(
  variables: OrgsGetAuditLogVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      OrgsGetAuditLogResponse,
      OrgsGetAuditLogError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    OrgsGetAuditLogResponse,
    OrgsGetAuditLogError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/audit-log",
      operationId: "orgsGetAuditLog",
      variables,
    }),
    () => fetchOrgsGetAuditLog({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type OrgsListBlockedUsersPathParams = {
  org: string;
};

export type OrgsListBlockedUsersError = Fetcher.ErrorWrapper<{
  status: 415;
  payload: Responses.PreviewHeaderMissing;
}>;

export type OrgsListBlockedUsersResponse = Schemas.SimpleUser[];

export type OrgsListBlockedUsersVariables = {
  pathParams: OrgsListBlockedUsersPathParams;
} & GithubContext["fetcherOptions"];

/**
 * List the users blocked by an organization.
 */
export const fetchOrgsListBlockedUsers = (
  variables: OrgsListBlockedUsersVariables
) =>
  githubFetch<
    OrgsListBlockedUsersResponse,
    OrgsListBlockedUsersError,
    undefined,
    {},
    {},
    OrgsListBlockedUsersPathParams
  >({ url: "/orgs/{org}/blocks", method: "get", ...variables });

/**
 * List the users blocked by an organization.
 */
export const useOrgsListBlockedUsers = <TData = OrgsListBlockedUsersResponse>(
  variables: OrgsListBlockedUsersVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      OrgsListBlockedUsersResponse,
      OrgsListBlockedUsersError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    OrgsListBlockedUsersResponse,
    OrgsListBlockedUsersError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/blocks",
      operationId: "orgsListBlockedUsers",
      variables,
    }),
    () => fetchOrgsListBlockedUsers({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type OrgsUnblockUserPathParams = {
  org: string;
  username: string;
};

export type OrgsUnblockUserError = Fetcher.ErrorWrapper<undefined>;

export type OrgsUnblockUserVariables = {
  pathParams: OrgsUnblockUserPathParams;
} & GithubContext["fetcherOptions"];

export const fetchOrgsUnblockUser = (variables: OrgsUnblockUserVariables) =>
  githubFetch<
    undefined,
    OrgsUnblockUserError,
    undefined,
    {},
    {},
    OrgsUnblockUserPathParams
  >({ url: "/orgs/{org}/blocks/{username}", method: "delete", ...variables });

export const useOrgsUnblockUser = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      OrgsUnblockUserError,
      OrgsUnblockUserVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    OrgsUnblockUserError,
    OrgsUnblockUserVariables
  >(
    (variables: OrgsUnblockUserVariables) =>
      fetchOrgsUnblockUser({ ...fetcherOptions, ...variables }),
    options
  );
};

export type OrgsCheckBlockedUserPathParams = {
  org: string;
  username: string;
};

export type OrgsCheckBlockedUserError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Schemas.BasicError;
}>;

export type OrgsCheckBlockedUserVariables = {
  pathParams: OrgsCheckBlockedUserPathParams;
} & GithubContext["fetcherOptions"];

export const fetchOrgsCheckBlockedUser = (
  variables: OrgsCheckBlockedUserVariables
) =>
  githubFetch<
    undefined,
    OrgsCheckBlockedUserError,
    undefined,
    {},
    {},
    OrgsCheckBlockedUserPathParams
  >({ url: "/orgs/{org}/blocks/{username}", method: "get", ...variables });

export const useOrgsCheckBlockedUser = <TData = undefined>(
  variables: OrgsCheckBlockedUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<undefined, OrgsCheckBlockedUserError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<undefined, OrgsCheckBlockedUserError, TData>(
    queryKeyFn({
      path: "/orgs/{org}/blocks/{username}",
      operationId: "orgsCheckBlockedUser",
      variables,
    }),
    () => fetchOrgsCheckBlockedUser({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type OrgsBlockUserPathParams = {
  org: string;
  username: string;
};

export type OrgsBlockUserError = Fetcher.ErrorWrapper<{
  status: 422;
  payload: Responses.ValidationFailed;
}>;

export type OrgsBlockUserVariables = {
  pathParams: OrgsBlockUserPathParams;
} & GithubContext["fetcherOptions"];

export const fetchOrgsBlockUser = (variables: OrgsBlockUserVariables) =>
  githubFetch<
    undefined,
    OrgsBlockUserError,
    undefined,
    {},
    {},
    OrgsBlockUserPathParams
  >({ url: "/orgs/{org}/blocks/{username}", method: "put", ...variables });

export const useOrgsBlockUser = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      OrgsBlockUserError,
      OrgsBlockUserVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    OrgsBlockUserError,
    OrgsBlockUserVariables
  >(
    (variables: OrgsBlockUserVariables) =>
      fetchOrgsBlockUser({ ...fetcherOptions, ...variables }),
    options
  );
};

export type OrgsListSamlSsoAuthorizationsPathParams = {
  org: string;
};

export type OrgsListSamlSsoAuthorizationsError =
  Fetcher.ErrorWrapper<undefined>;

export type OrgsListSamlSsoAuthorizationsResponse =
  Schemas.CredentialAuthorization[];

export type OrgsListSamlSsoAuthorizationsVariables = {
  pathParams: OrgsListSamlSsoAuthorizationsPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Listing and deleting credential authorizations is available to organizations with GitHub Enterprise Cloud. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products).
 *
 * An authenticated organization owner with the `read:org` scope can list all credential authorizations for an organization that uses SAML single sign-on (SSO). The credentials are either personal access tokens or SSH keys that organization members have authorized for the organization. For more information, see [About authentication with SAML single sign-on](https://help.github.com/en/articles/about-authentication-with-saml-single-sign-on).
 */
export const fetchOrgsListSamlSsoAuthorizations = (
  variables: OrgsListSamlSsoAuthorizationsVariables
) =>
  githubFetch<
    OrgsListSamlSsoAuthorizationsResponse,
    OrgsListSamlSsoAuthorizationsError,
    undefined,
    {},
    {},
    OrgsListSamlSsoAuthorizationsPathParams
  >({
    url: "/orgs/{org}/credential-authorizations",
    method: "get",
    ...variables,
  });

/**
 * Listing and deleting credential authorizations is available to organizations with GitHub Enterprise Cloud. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products).
 *
 * An authenticated organization owner with the `read:org` scope can list all credential authorizations for an organization that uses SAML single sign-on (SSO). The credentials are either personal access tokens or SSH keys that organization members have authorized for the organization. For more information, see [About authentication with SAML single sign-on](https://help.github.com/en/articles/about-authentication-with-saml-single-sign-on).
 */
export const useOrgsListSamlSsoAuthorizations = <
  TData = OrgsListSamlSsoAuthorizationsResponse
>(
  variables: OrgsListSamlSsoAuthorizationsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      OrgsListSamlSsoAuthorizationsResponse,
      OrgsListSamlSsoAuthorizationsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    OrgsListSamlSsoAuthorizationsResponse,
    OrgsListSamlSsoAuthorizationsError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/credential-authorizations",
      operationId: "orgsListSamlSsoAuthorizations",
      variables,
    }),
    () =>
      fetchOrgsListSamlSsoAuthorizations({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type OrgsRemoveSamlSsoAuthorizationPathParams = {
  org: string;
  credentialId: number;
};

export type OrgsRemoveSamlSsoAuthorizationError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type OrgsRemoveSamlSsoAuthorizationVariables = {
  pathParams: OrgsRemoveSamlSsoAuthorizationPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Listing and deleting credential authorizations is available to organizations with GitHub Enterprise Cloud. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products).
 *
 * An authenticated organization owner with the `admin:org` scope can remove a credential authorization for an organization that uses SAML SSO. Once you remove someone's credential authorization, they will need to create a new personal access token or SSH key and authorize it for the organization they want to access.
 */
export const fetchOrgsRemoveSamlSsoAuthorization = (
  variables: OrgsRemoveSamlSsoAuthorizationVariables
) =>
  githubFetch<
    undefined,
    OrgsRemoveSamlSsoAuthorizationError,
    undefined,
    {},
    {},
    OrgsRemoveSamlSsoAuthorizationPathParams
  >({
    url: "/orgs/{org}/credential-authorizations/{credentialId}",
    method: "delete",
    ...variables,
  });

/**
 * Listing and deleting credential authorizations is available to organizations with GitHub Enterprise Cloud. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products).
 *
 * An authenticated organization owner with the `admin:org` scope can remove a credential authorization for an organization that uses SAML SSO. Once you remove someone's credential authorization, they will need to create a new personal access token or SSH key and authorize it for the organization they want to access.
 */
export const useOrgsRemoveSamlSsoAuthorization = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      OrgsRemoveSamlSsoAuthorizationError,
      OrgsRemoveSamlSsoAuthorizationVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    OrgsRemoveSamlSsoAuthorizationError,
    OrgsRemoveSamlSsoAuthorizationVariables
  >(
    (variables: OrgsRemoveSamlSsoAuthorizationVariables) =>
      fetchOrgsRemoveSamlSsoAuthorization({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ActivityListPublicOrgEventsPathParams = {
  org: string;
};

export type ActivityListPublicOrgEventsQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ActivityListPublicOrgEventsError = Fetcher.ErrorWrapper<undefined>;

export type ActivityListPublicOrgEventsResponse = Schemas.Event[];

export type ActivityListPublicOrgEventsVariables = {
  pathParams: ActivityListPublicOrgEventsPathParams;
  queryParams?: ActivityListPublicOrgEventsQueryParams;
} & GithubContext["fetcherOptions"];

export const fetchActivityListPublicOrgEvents = (
  variables: ActivityListPublicOrgEventsVariables
) =>
  githubFetch<
    ActivityListPublicOrgEventsResponse,
    ActivityListPublicOrgEventsError,
    undefined,
    {},
    ActivityListPublicOrgEventsQueryParams,
    ActivityListPublicOrgEventsPathParams
  >({ url: "/orgs/{org}/events", method: "get", ...variables });

export const useActivityListPublicOrgEvents = <
  TData = ActivityListPublicOrgEventsResponse
>(
  variables: ActivityListPublicOrgEventsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ActivityListPublicOrgEventsResponse,
      ActivityListPublicOrgEventsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ActivityListPublicOrgEventsResponse,
    ActivityListPublicOrgEventsError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/events",
      operationId: "activityListPublicOrgEvents",
      variables,
    }),
    () => fetchActivityListPublicOrgEvents({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type OrgsListFailedInvitationsPathParams = {
  org: string;
};

export type OrgsListFailedInvitationsQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type OrgsListFailedInvitationsError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type OrgsListFailedInvitationsResponse =
  Schemas.OrganizationInvitation[];

export type OrgsListFailedInvitationsVariables = {
  pathParams: OrgsListFailedInvitationsPathParams;
  queryParams?: OrgsListFailedInvitationsQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * The return hash contains `failed_at` and `failed_reason` fields which represent the time at which the invitation failed and the reason for the failure.
 */
export const fetchOrgsListFailedInvitations = (
  variables: OrgsListFailedInvitationsVariables
) =>
  githubFetch<
    OrgsListFailedInvitationsResponse,
    OrgsListFailedInvitationsError,
    undefined,
    {},
    OrgsListFailedInvitationsQueryParams,
    OrgsListFailedInvitationsPathParams
  >({ url: "/orgs/{org}/failed_invitations", method: "get", ...variables });

/**
 * The return hash contains `failed_at` and `failed_reason` fields which represent the time at which the invitation failed and the reason for the failure.
 */
export const useOrgsListFailedInvitations = <
  TData = OrgsListFailedInvitationsResponse
>(
  variables: OrgsListFailedInvitationsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      OrgsListFailedInvitationsResponse,
      OrgsListFailedInvitationsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    OrgsListFailedInvitationsResponse,
    OrgsListFailedInvitationsError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/failed_invitations",
      operationId: "orgsListFailedInvitations",
      variables,
    }),
    () => fetchOrgsListFailedInvitations({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type OrgsListWebhooksPathParams = {
  org: string;
};

export type OrgsListWebhooksQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type OrgsListWebhooksError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type OrgsListWebhooksResponse = Schemas.OrgHook[];

export type OrgsListWebhooksVariables = {
  pathParams: OrgsListWebhooksPathParams;
  queryParams?: OrgsListWebhooksQueryParams;
} & GithubContext["fetcherOptions"];

export const fetchOrgsListWebhooks = (variables: OrgsListWebhooksVariables) =>
  githubFetch<
    OrgsListWebhooksResponse,
    OrgsListWebhooksError,
    undefined,
    {},
    OrgsListWebhooksQueryParams,
    OrgsListWebhooksPathParams
  >({ url: "/orgs/{org}/hooks", method: "get", ...variables });

export const useOrgsListWebhooks = <TData = OrgsListWebhooksResponse>(
  variables: OrgsListWebhooksVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      OrgsListWebhooksResponse,
      OrgsListWebhooksError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    OrgsListWebhooksResponse,
    OrgsListWebhooksError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/hooks",
      operationId: "orgsListWebhooks",
      variables,
    }),
    () => fetchOrgsListWebhooks({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type OrgsCreateWebhookPathParams = {
  org: string;
};

export type OrgsCreateWebhookError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type OrgsCreateWebhookRequestBody = {
  /*
   * Determines if notifications are sent when the webhook is triggered. Set to `true` to send notifications.
   *
   * @default true
   */
  active?: boolean;
  /*
   * Key/value pairs to provide settings for this webhook. [These are defined below](https://docs.github.com/rest/reference/orgs#create-hook-config-params).
   */
  config: {
    content_type?: Schemas.WebhookConfigContentType;
    insecure_ssl?: Schemas.WebhookConfigInsecureSsl;
    /*
     * @example "password"
     */
    password?: string;
    secret?: Schemas.WebhookConfigSecret;
    url: Schemas.WebhookConfigUrl;
    /*
     * @example "kdaigle"
     */
    username?: string;
  };
  /*
   * Determines what [events](https://docs.github.com/webhooks/event-payloads) the hook is triggered for.
   *
   * @default push
   */
  events?: string[];
  /*
   * Must be passed as "web".
   */
  name: string;
};

export type OrgsCreateWebhookVariables = {
  body: OrgsCreateWebhookRequestBody;
  pathParams: OrgsCreateWebhookPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Here's how you can create a hook that posts payloads in JSON format:
 */
export const fetchOrgsCreateWebhook = (variables: OrgsCreateWebhookVariables) =>
  githubFetch<
    Schemas.OrgHook,
    OrgsCreateWebhookError,
    OrgsCreateWebhookRequestBody,
    {},
    {},
    OrgsCreateWebhookPathParams
  >({ url: "/orgs/{org}/hooks", method: "post", ...variables });

/**
 * Here's how you can create a hook that posts payloads in JSON format:
 */
export const useOrgsCreateWebhook = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.OrgHook,
      OrgsCreateWebhookError,
      OrgsCreateWebhookVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.OrgHook,
    OrgsCreateWebhookError,
    OrgsCreateWebhookVariables
  >(
    (variables: OrgsCreateWebhookVariables) =>
      fetchOrgsCreateWebhook({ ...fetcherOptions, ...variables }),
    options
  );
};

export type OrgsDeleteWebhookPathParams = {
  org: string;
  hookId: number;
};

export type OrgsDeleteWebhookError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type OrgsDeleteWebhookVariables = {
  pathParams: OrgsDeleteWebhookPathParams;
} & GithubContext["fetcherOptions"];

export const fetchOrgsDeleteWebhook = (variables: OrgsDeleteWebhookVariables) =>
  githubFetch<
    undefined,
    OrgsDeleteWebhookError,
    undefined,
    {},
    {},
    OrgsDeleteWebhookPathParams
  >({ url: "/orgs/{org}/hooks/{hookId}", method: "delete", ...variables });

export const useOrgsDeleteWebhook = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      OrgsDeleteWebhookError,
      OrgsDeleteWebhookVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    OrgsDeleteWebhookError,
    OrgsDeleteWebhookVariables
  >(
    (variables: OrgsDeleteWebhookVariables) =>
      fetchOrgsDeleteWebhook({ ...fetcherOptions, ...variables }),
    options
  );
};

export type OrgsGetWebhookPathParams = {
  org: string;
  hookId: number;
};

export type OrgsGetWebhookError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type OrgsGetWebhookVariables = {
  pathParams: OrgsGetWebhookPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Returns a webhook configured in an organization. To get only the webhook `config` properties, see "[Get a webhook configuration for an organization](/rest/reference/orgs#get-a-webhook-configuration-for-an-organization)."
 */
export const fetchOrgsGetWebhook = (variables: OrgsGetWebhookVariables) =>
  githubFetch<
    Schemas.OrgHook,
    OrgsGetWebhookError,
    undefined,
    {},
    {},
    OrgsGetWebhookPathParams
  >({ url: "/orgs/{org}/hooks/{hookId}", method: "get", ...variables });

/**
 * Returns a webhook configured in an organization. To get only the webhook `config` properties, see "[Get a webhook configuration for an organization](/rest/reference/orgs#get-a-webhook-configuration-for-an-organization)."
 */
export const useOrgsGetWebhook = <TData = Schemas.OrgHook>(
  variables: OrgsGetWebhookVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<Schemas.OrgHook, OrgsGetWebhookError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.OrgHook, OrgsGetWebhookError, TData>(
    queryKeyFn({
      path: "/orgs/{org}/hooks/{hook_id}",
      operationId: "orgsGetWebhook",
      variables,
    }),
    () => fetchOrgsGetWebhook({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type OrgsUpdateWebhookPathParams = {
  org: string;
  hookId: number;
};

export type OrgsUpdateWebhookError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type OrgsUpdateWebhookRequestBody = {
  /*
   * Determines if notifications are sent when the webhook is triggered. Set to `true` to send notifications.
   *
   * @default true
   */
  active?: boolean;
  /*
   * Key/value pairs to provide settings for this webhook. [These are defined below](https://docs.github.com/rest/reference/orgs#update-hook-config-params).
   */
  config?: {
    content_type?: Schemas.WebhookConfigContentType;
    insecure_ssl?: Schemas.WebhookConfigInsecureSsl;
    secret?: Schemas.WebhookConfigSecret;
    url: Schemas.WebhookConfigUrl;
  };
  /*
   * Determines what [events](https://docs.github.com/webhooks/event-payloads) the hook is triggered for.
   *
   * @default push
   */
  events?: string[];
  /*
   * @example "web"
   */
  name?: string;
};

export type OrgsUpdateWebhookVariables = {
  body?: OrgsUpdateWebhookRequestBody;
  pathParams: OrgsUpdateWebhookPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Updates a webhook configured in an organization. When you update a webhook, the `secret` will be overwritten. If you previously had a `secret` set, you must provide the same `secret` or set a new `secret` or the secret will be removed. If you are only updating individual webhook `config` properties, use "[Update a webhook configuration for an organization](/rest/reference/orgs#update-a-webhook-configuration-for-an-organization)."
 */
export const fetchOrgsUpdateWebhook = (variables: OrgsUpdateWebhookVariables) =>
  githubFetch<
    Schemas.OrgHook,
    OrgsUpdateWebhookError,
    OrgsUpdateWebhookRequestBody,
    {},
    {},
    OrgsUpdateWebhookPathParams
  >({ url: "/orgs/{org}/hooks/{hookId}", method: "patch", ...variables });

/**
 * Updates a webhook configured in an organization. When you update a webhook, the `secret` will be overwritten. If you previously had a `secret` set, you must provide the same `secret` or set a new `secret` or the secret will be removed. If you are only updating individual webhook `config` properties, use "[Update a webhook configuration for an organization](/rest/reference/orgs#update-a-webhook-configuration-for-an-organization)."
 */
export const useOrgsUpdateWebhook = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.OrgHook,
      OrgsUpdateWebhookError,
      OrgsUpdateWebhookVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.OrgHook,
    OrgsUpdateWebhookError,
    OrgsUpdateWebhookVariables
  >(
    (variables: OrgsUpdateWebhookVariables) =>
      fetchOrgsUpdateWebhook({ ...fetcherOptions, ...variables }),
    options
  );
};

export type OrgsGetWebhookConfigForOrgPathParams = {
  org: string;
  hookId: number;
};

export type OrgsGetWebhookConfigForOrgError = Fetcher.ErrorWrapper<undefined>;

export type OrgsGetWebhookConfigForOrgVariables = {
  pathParams: OrgsGetWebhookConfigForOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Returns the webhook configuration for an organization. To get more information about the webhook, including the `active` state and `events`, use "[Get an organization webhook ](/rest/reference/orgs#get-an-organization-webhook)."
 *
 * Access tokens must have the `admin:org_hook` scope, and GitHub Apps must have the `organization_hooks:read` permission.
 */
export const fetchOrgsGetWebhookConfigForOrg = (
  variables: OrgsGetWebhookConfigForOrgVariables
) =>
  githubFetch<
    Schemas.WebhookConfig,
    OrgsGetWebhookConfigForOrgError,
    undefined,
    {},
    {},
    OrgsGetWebhookConfigForOrgPathParams
  >({ url: "/orgs/{org}/hooks/{hookId}/config", method: "get", ...variables });

/**
 * Returns the webhook configuration for an organization. To get more information about the webhook, including the `active` state and `events`, use "[Get an organization webhook ](/rest/reference/orgs#get-an-organization-webhook)."
 *
 * Access tokens must have the `admin:org_hook` scope, and GitHub Apps must have the `organization_hooks:read` permission.
 */
export const useOrgsGetWebhookConfigForOrg = <TData = Schemas.WebhookConfig>(
  variables: OrgsGetWebhookConfigForOrgVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.WebhookConfig,
      OrgsGetWebhookConfigForOrgError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.WebhookConfig,
    OrgsGetWebhookConfigForOrgError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/hooks/{hook_id}/config",
      operationId: "orgsGetWebhookConfigForOrg",
      variables,
    }),
    () => fetchOrgsGetWebhookConfigForOrg({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type OrgsUpdateWebhookConfigForOrgPathParams = {
  org: string;
  hookId: number;
};

export type OrgsUpdateWebhookConfigForOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type OrgsUpdateWebhookConfigForOrgRequestBody = {
  content_type?: Schemas.WebhookConfigContentType;
  insecure_ssl?: Schemas.WebhookConfigInsecureSsl;
  secret?: Schemas.WebhookConfigSecret;
  url?: Schemas.WebhookConfigUrl;
};

export type OrgsUpdateWebhookConfigForOrgVariables = {
  body?: OrgsUpdateWebhookConfigForOrgRequestBody;
  pathParams: OrgsUpdateWebhookConfigForOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Updates the webhook configuration for an organization. To update more information about the webhook, including the `active` state and `events`, use "[Update an organization webhook ](/rest/reference/orgs#update-an-organization-webhook)."
 *
 * Access tokens must have the `admin:org_hook` scope, and GitHub Apps must have the `organization_hooks:write` permission.
 */
export const fetchOrgsUpdateWebhookConfigForOrg = (
  variables: OrgsUpdateWebhookConfigForOrgVariables
) =>
  githubFetch<
    Schemas.WebhookConfig,
    OrgsUpdateWebhookConfigForOrgError,
    OrgsUpdateWebhookConfigForOrgRequestBody,
    {},
    {},
    OrgsUpdateWebhookConfigForOrgPathParams
  >({
    url: "/orgs/{org}/hooks/{hookId}/config",
    method: "patch",
    ...variables,
  });

/**
 * Updates the webhook configuration for an organization. To update more information about the webhook, including the `active` state and `events`, use "[Update an organization webhook ](/rest/reference/orgs#update-an-organization-webhook)."
 *
 * Access tokens must have the `admin:org_hook` scope, and GitHub Apps must have the `organization_hooks:write` permission.
 */
export const useOrgsUpdateWebhookConfigForOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.WebhookConfig,
      OrgsUpdateWebhookConfigForOrgError,
      OrgsUpdateWebhookConfigForOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.WebhookConfig,
    OrgsUpdateWebhookConfigForOrgError,
    OrgsUpdateWebhookConfigForOrgVariables
  >(
    (variables: OrgsUpdateWebhookConfigForOrgVariables) =>
      fetchOrgsUpdateWebhookConfigForOrg({ ...fetcherOptions, ...variables }),
    options
  );
};

export type OrgsPingWebhookPathParams = {
  org: string;
  hookId: number;
};

export type OrgsPingWebhookError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type OrgsPingWebhookVariables = {
  pathParams: OrgsPingWebhookPathParams;
} & GithubContext["fetcherOptions"];

/**
 * This will trigger a [ping event](https://docs.github.com/webhooks/#ping-event) to be sent to the hook.
 */
export const fetchOrgsPingWebhook = (variables: OrgsPingWebhookVariables) =>
  githubFetch<
    undefined,
    OrgsPingWebhookError,
    undefined,
    {},
    {},
    OrgsPingWebhookPathParams
  >({ url: "/orgs/{org}/hooks/{hookId}/pings", method: "post", ...variables });

/**
 * This will trigger a [ping event](https://docs.github.com/webhooks/#ping-event) to be sent to the hook.
 */
export const useOrgsPingWebhook = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      OrgsPingWebhookError,
      OrgsPingWebhookVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    OrgsPingWebhookError,
    OrgsPingWebhookVariables
  >(
    (variables: OrgsPingWebhookVariables) =>
      fetchOrgsPingWebhook({ ...fetcherOptions, ...variables }),
    options
  );
};

export type AppsGetOrgInstallationPathParams = {
  org: string;
};

export type AppsGetOrgInstallationError = Fetcher.ErrorWrapper<undefined>;

export type AppsGetOrgInstallationVariables = {
  pathParams: AppsGetOrgInstallationPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Enables an authenticated GitHub App to find the organization's installation information.
 *
 * You must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint.
 */
export const fetchAppsGetOrgInstallation = (
  variables: AppsGetOrgInstallationVariables
) =>
  githubFetch<
    Schemas.Installation,
    AppsGetOrgInstallationError,
    undefined,
    {},
    {},
    AppsGetOrgInstallationPathParams
  >({ url: "/orgs/{org}/installation", method: "get", ...variables });

/**
 * Enables an authenticated GitHub App to find the organization's installation information.
 *
 * You must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint.
 */
export const useAppsGetOrgInstallation = <TData = Schemas.Installation>(
  variables: AppsGetOrgInstallationVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.Installation,
      AppsGetOrgInstallationError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.Installation,
    AppsGetOrgInstallationError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/installation",
      operationId: "appsGetOrgInstallation",
      variables,
    }),
    () => fetchAppsGetOrgInstallation({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type OrgsListAppInstallationsPathParams = {
  org: string;
};

export type OrgsListAppInstallationsQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type OrgsListAppInstallationsError = Fetcher.ErrorWrapper<undefined>;

export type OrgsListAppInstallationsResponse = {
  installations: Schemas.Installation[];
  total_count: number;
};

export type OrgsListAppInstallationsVariables = {
  pathParams: OrgsListAppInstallationsPathParams;
  queryParams?: OrgsListAppInstallationsQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists all GitHub Apps in an organization. The installation count includes all GitHub Apps installed on repositories in the organization. You must be an organization owner with `admin:read` scope to use this endpoint.
 */
export const fetchOrgsListAppInstallations = (
  variables: OrgsListAppInstallationsVariables
) =>
  githubFetch<
    OrgsListAppInstallationsResponse,
    OrgsListAppInstallationsError,
    undefined,
    {},
    OrgsListAppInstallationsQueryParams,
    OrgsListAppInstallationsPathParams
  >({ url: "/orgs/{org}/installations", method: "get", ...variables });

/**
 * Lists all GitHub Apps in an organization. The installation count includes all GitHub Apps installed on repositories in the organization. You must be an organization owner with `admin:read` scope to use this endpoint.
 */
export const useOrgsListAppInstallations = <
  TData = OrgsListAppInstallationsResponse
>(
  variables: OrgsListAppInstallationsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      OrgsListAppInstallationsResponse,
      OrgsListAppInstallationsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    OrgsListAppInstallationsResponse,
    OrgsListAppInstallationsError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/installations",
      operationId: "orgsListAppInstallations",
      variables,
    }),
    () => fetchOrgsListAppInstallations({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type InteractionsRemoveRestrictionsForOrgPathParams = {
  org: string;
};

export type InteractionsRemoveRestrictionsForOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type InteractionsRemoveRestrictionsForOrgVariables = {
  pathParams: InteractionsRemoveRestrictionsForOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Removes all interaction restrictions from public repositories in the given organization. You must be an organization owner to remove restrictions.
 */
export const fetchInteractionsRemoveRestrictionsForOrg = (
  variables: InteractionsRemoveRestrictionsForOrgVariables
) =>
  githubFetch<
    undefined,
    InteractionsRemoveRestrictionsForOrgError,
    undefined,
    {},
    {},
    InteractionsRemoveRestrictionsForOrgPathParams
  >({ url: "/orgs/{org}/interaction-limits", method: "delete", ...variables });

/**
 * Removes all interaction restrictions from public repositories in the given organization. You must be an organization owner to remove restrictions.
 */
export const useInteractionsRemoveRestrictionsForOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      InteractionsRemoveRestrictionsForOrgError,
      InteractionsRemoveRestrictionsForOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    InteractionsRemoveRestrictionsForOrgError,
    InteractionsRemoveRestrictionsForOrgVariables
  >(
    (variables: InteractionsRemoveRestrictionsForOrgVariables) =>
      fetchInteractionsRemoveRestrictionsForOrg({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type InteractionsGetRestrictionsForOrgPathParams = {
  org: string;
};

export type InteractionsGetRestrictionsForOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type InteractionsGetRestrictionsForOrgVariables = {
  pathParams: InteractionsGetRestrictionsForOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Shows which type of GitHub user can interact with this organization and when the restriction expires. If there is no restrictions, you will see an empty response.
 */
export const fetchInteractionsGetRestrictionsForOrg = (
  variables: InteractionsGetRestrictionsForOrgVariables
) =>
  githubFetch<
    Schemas.InteractionLimitResponse,
    InteractionsGetRestrictionsForOrgError,
    undefined,
    {},
    {},
    InteractionsGetRestrictionsForOrgPathParams
  >({ url: "/orgs/{org}/interaction-limits", method: "get", ...variables });

/**
 * Shows which type of GitHub user can interact with this organization and when the restriction expires. If there is no restrictions, you will see an empty response.
 */
export const useInteractionsGetRestrictionsForOrg = <
  TData = Schemas.InteractionLimitResponse
>(
  variables: InteractionsGetRestrictionsForOrgVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.InteractionLimitResponse,
      InteractionsGetRestrictionsForOrgError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.InteractionLimitResponse,
    InteractionsGetRestrictionsForOrgError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/interaction-limits",
      operationId: "interactionsGetRestrictionsForOrg",
      variables,
    }),
    () =>
      fetchInteractionsGetRestrictionsForOrg({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type InteractionsSetRestrictionsForOrgPathParams = {
  org: string;
};

export type InteractionsSetRestrictionsForOrgError = Fetcher.ErrorWrapper<{
  status: 422;
  payload: Responses.ValidationFailed;
}>;

export type InteractionsSetRestrictionsForOrgVariables = {
  body: Schemas.InteractionLimit;
  pathParams: InteractionsSetRestrictionsForOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Temporarily restricts interactions to a certain type of GitHub user in any public repository in the given organization. You must be an organization owner to set these restrictions. Setting the interaction limit at the organization level will overwrite any interaction limits that are set for individual repositories owned by the organization.
 */
export const fetchInteractionsSetRestrictionsForOrg = (
  variables: InteractionsSetRestrictionsForOrgVariables
) =>
  githubFetch<
    Schemas.InteractionLimitResponse,
    InteractionsSetRestrictionsForOrgError,
    Schemas.InteractionLimit,
    {},
    {},
    InteractionsSetRestrictionsForOrgPathParams
  >({ url: "/orgs/{org}/interaction-limits", method: "put", ...variables });

/**
 * Temporarily restricts interactions to a certain type of GitHub user in any public repository in the given organization. You must be an organization owner to set these restrictions. Setting the interaction limit at the organization level will overwrite any interaction limits that are set for individual repositories owned by the organization.
 */
export const useInteractionsSetRestrictionsForOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.InteractionLimitResponse,
      InteractionsSetRestrictionsForOrgError,
      InteractionsSetRestrictionsForOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.InteractionLimitResponse,
    InteractionsSetRestrictionsForOrgError,
    InteractionsSetRestrictionsForOrgVariables
  >(
    (variables: InteractionsSetRestrictionsForOrgVariables) =>
      fetchInteractionsSetRestrictionsForOrg({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type OrgsListPendingInvitationsPathParams = {
  org: string;
};

export type OrgsListPendingInvitationsQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type OrgsListPendingInvitationsError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type OrgsListPendingInvitationsResponse =
  Schemas.OrganizationInvitation[];

export type OrgsListPendingInvitationsVariables = {
  pathParams: OrgsListPendingInvitationsPathParams;
  queryParams?: OrgsListPendingInvitationsQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * The return hash contains a `role` field which refers to the Organization Invitation role and will be one of the following values: `direct_member`, `admin`, `billing_manager`, `hiring_manager`, or `reinstate`. If the invitee is not a GitHub member, the `login` field in the return hash will be `null`.
 */
export const fetchOrgsListPendingInvitations = (
  variables: OrgsListPendingInvitationsVariables
) =>
  githubFetch<
    OrgsListPendingInvitationsResponse,
    OrgsListPendingInvitationsError,
    undefined,
    {},
    OrgsListPendingInvitationsQueryParams,
    OrgsListPendingInvitationsPathParams
  >({ url: "/orgs/{org}/invitations", method: "get", ...variables });

/**
 * The return hash contains a `role` field which refers to the Organization Invitation role and will be one of the following values: `direct_member`, `admin`, `billing_manager`, `hiring_manager`, or `reinstate`. If the invitee is not a GitHub member, the `login` field in the return hash will be `null`.
 */
export const useOrgsListPendingInvitations = <
  TData = OrgsListPendingInvitationsResponse
>(
  variables: OrgsListPendingInvitationsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      OrgsListPendingInvitationsResponse,
      OrgsListPendingInvitationsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    OrgsListPendingInvitationsResponse,
    OrgsListPendingInvitationsError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/invitations",
      operationId: "orgsListPendingInvitations",
      variables,
    }),
    () => fetchOrgsListPendingInvitations({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type OrgsCreateInvitationPathParams = {
  org: string;
};

export type OrgsCreateInvitationError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type OrgsCreateInvitationRequestBody = {
  /*
   * **Required unless you provide `invitee_id`**. Email address of the person you are inviting, which can be an existing GitHub user.
   */
  email?: string;
  /*
   * **Required unless you provide `email`**. GitHub user ID for the person you are inviting.
   */
  invitee_id?: number;
  /*
   * Specify role for new member. Can be one of:
   * \* `admin` - Organization owners with full administrative rights to the organization and complete access to all repositories and teams.
   * \* `direct_member` - Non-owner organization members with ability to see other members and join teams by invitation.
   * \* `billing_manager` - Non-owner organization members with ability to manage the billing settings of your organization.
   *
   * @default direct_member
   */
  role?: "admin" | "direct_member" | "billing_manager";
  /*
   * Specify IDs for the teams you want to invite new members to.
   */
  team_ids?: number[];
};

export type OrgsCreateInvitationVariables = {
  body?: OrgsCreateInvitationRequestBody;
  pathParams: OrgsCreateInvitationPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Invite people to an organization by using their GitHub user ID or their email address. In order to create invitations in an organization, the authenticated user must be an organization owner.
 *
 * This endpoint triggers [notifications](https://docs.github.com/en/github/managing-subscriptions-and-notifications-on-github/about-notifications). Creating content too quickly using this endpoint may result in abuse rate limiting. See "[Abuse rate limits](https://docs.github.com/rest/overview/resources-in-the-rest-api#abuse-rate-limits)" and "[Dealing with abuse rate limits](https://docs.github.com/rest/guides/best-practices-for-integrators#dealing-with-rate-limits)" for details.
 */
export const fetchOrgsCreateInvitation = (
  variables: OrgsCreateInvitationVariables
) =>
  githubFetch<
    Schemas.OrganizationInvitation,
    OrgsCreateInvitationError,
    OrgsCreateInvitationRequestBody,
    {},
    {},
    OrgsCreateInvitationPathParams
  >({ url: "/orgs/{org}/invitations", method: "post", ...variables });

/**
 * Invite people to an organization by using their GitHub user ID or their email address. In order to create invitations in an organization, the authenticated user must be an organization owner.
 *
 * This endpoint triggers [notifications](https://docs.github.com/en/github/managing-subscriptions-and-notifications-on-github/about-notifications). Creating content too quickly using this endpoint may result in abuse rate limiting. See "[Abuse rate limits](https://docs.github.com/rest/overview/resources-in-the-rest-api#abuse-rate-limits)" and "[Dealing with abuse rate limits](https://docs.github.com/rest/guides/best-practices-for-integrators#dealing-with-rate-limits)" for details.
 */
export const useOrgsCreateInvitation = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.OrganizationInvitation,
      OrgsCreateInvitationError,
      OrgsCreateInvitationVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.OrganizationInvitation,
    OrgsCreateInvitationError,
    OrgsCreateInvitationVariables
  >(
    (variables: OrgsCreateInvitationVariables) =>
      fetchOrgsCreateInvitation({ ...fetcherOptions, ...variables }),
    options
  );
};

export type OrgsCancelInvitationPathParams = {
  org: string;
  /*
   * invitation_id parameter
   */
  invitationId: number;
};

export type OrgsCancelInvitationError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type OrgsCancelInvitationVariables = {
  pathParams: OrgsCancelInvitationPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Cancel an organization invitation. In order to cancel an organization invitation, the authenticated user must be an organization owner.
 *
 * This endpoint triggers [notifications](https://docs.github.com/en/github/managing-subscriptions-and-notifications-on-github/about-notifications).
 */
export const fetchOrgsCancelInvitation = (
  variables: OrgsCancelInvitationVariables
) =>
  githubFetch<
    undefined,
    OrgsCancelInvitationError,
    undefined,
    {},
    {},
    OrgsCancelInvitationPathParams
  >({
    url: "/orgs/{org}/invitations/{invitationId}",
    method: "delete",
    ...variables,
  });

/**
 * Cancel an organization invitation. In order to cancel an organization invitation, the authenticated user must be an organization owner.
 *
 * This endpoint triggers [notifications](https://docs.github.com/en/github/managing-subscriptions-and-notifications-on-github/about-notifications).
 */
export const useOrgsCancelInvitation = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      OrgsCancelInvitationError,
      OrgsCancelInvitationVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    OrgsCancelInvitationError,
    OrgsCancelInvitationVariables
  >(
    (variables: OrgsCancelInvitationVariables) =>
      fetchOrgsCancelInvitation({ ...fetcherOptions, ...variables }),
    options
  );
};

export type OrgsListInvitationTeamsPathParams = {
  org: string;
  /*
   * invitation_id parameter
   */
  invitationId: number;
};

export type OrgsListInvitationTeamsQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type OrgsListInvitationTeamsError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type OrgsListInvitationTeamsResponse = Schemas.Team[];

export type OrgsListInvitationTeamsVariables = {
  pathParams: OrgsListInvitationTeamsPathParams;
  queryParams?: OrgsListInvitationTeamsQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * List all teams associated with an invitation. In order to see invitations in an organization, the authenticated user must be an organization owner.
 */
export const fetchOrgsListInvitationTeams = (
  variables: OrgsListInvitationTeamsVariables
) =>
  githubFetch<
    OrgsListInvitationTeamsResponse,
    OrgsListInvitationTeamsError,
    undefined,
    {},
    OrgsListInvitationTeamsQueryParams,
    OrgsListInvitationTeamsPathParams
  >({
    url: "/orgs/{org}/invitations/{invitationId}/teams",
    method: "get",
    ...variables,
  });

/**
 * List all teams associated with an invitation. In order to see invitations in an organization, the authenticated user must be an organization owner.
 */
export const useOrgsListInvitationTeams = <
  TData = OrgsListInvitationTeamsResponse
>(
  variables: OrgsListInvitationTeamsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      OrgsListInvitationTeamsResponse,
      OrgsListInvitationTeamsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    OrgsListInvitationTeamsResponse,
    OrgsListInvitationTeamsError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/invitations/{invitation_id}/teams",
      operationId: "orgsListInvitationTeams",
      variables,
    }),
    () => fetchOrgsListInvitationTeams({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type IssuesListForOrgPathParams = {
  org: string;
};

export type IssuesListForOrgQueryParams = {
  /*
   * Indicates which sorts of issues to return. Can be one of:
   * \* `assigned`: Issues assigned to you
   * \* `created`: Issues created by you
   * \* `mentioned`: Issues mentioning you
   * \* `subscribed`: Issues you're subscribed to updates for
   * \* `all`: All issues the authenticated user can see, regardless of participation or creation
   *
   * @default assigned
   */
  filter?:
    | "assigned"
    | "created"
    | "mentioned"
    | "subscribed"
    | "repos"
    | "all";
  /*
   * Indicates the state of the issues to return. Can be either `open`, `closed`, or `all`.
   *
   * @default open
   */
  state?: "open" | "closed" | "all";
  /*
   * A list of comma separated label names. Example: `bug,ui,@high`
   */
  labels?: string;
  /*
   * What to sort results by. Can be either `created`, `updated`, `comments`.
   *
   * @default created
   */
  sort?: "created" | "updated" | "comments";
  /*
   * One of `asc` (ascending) or `desc` (descending).
   *
   * @default desc
   */
  direction?: "asc" | "desc";
  /*
   * Only show notifications updated after the given time. This is a timestamp in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format: `YYYY-MM-DDTHH:MM:SSZ`.
   */
  since?: string;
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type IssuesListForOrgError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type IssuesListForOrgResponse = Schemas.Issue[];

export type IssuesListForOrgVariables = {
  pathParams: IssuesListForOrgPathParams;
  queryParams?: IssuesListForOrgQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * List issues in an organization assigned to the authenticated user.
 *
 * **Note**: GitHub's REST API v3 considers every pull request an issue, but not every issue is a pull request. For this
 * reason, "Issues" endpoints may return both issues and pull requests in the response. You can identify pull requests by
 * the `pull_request` key. Be aware that the `id` of a pull request returned from "Issues" endpoints will be an _issue id_. To find out the pull
 * request id, use the "[List pull requests](https://docs.github.com/rest/reference/pulls#list-pull-requests)" endpoint.
 */
export const fetchIssuesListForOrg = (variables: IssuesListForOrgVariables) =>
  githubFetch<
    IssuesListForOrgResponse,
    IssuesListForOrgError,
    undefined,
    {},
    IssuesListForOrgQueryParams,
    IssuesListForOrgPathParams
  >({ url: "/orgs/{org}/issues", method: "get", ...variables });

/**
 * List issues in an organization assigned to the authenticated user.
 *
 * **Note**: GitHub's REST API v3 considers every pull request an issue, but not every issue is a pull request. For this
 * reason, "Issues" endpoints may return both issues and pull requests in the response. You can identify pull requests by
 * the `pull_request` key. Be aware that the `id` of a pull request returned from "Issues" endpoints will be an _issue id_. To find out the pull
 * request id, use the "[List pull requests](https://docs.github.com/rest/reference/pulls#list-pull-requests)" endpoint.
 */
export const useIssuesListForOrg = <TData = IssuesListForOrgResponse>(
  variables: IssuesListForOrgVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      IssuesListForOrgResponse,
      IssuesListForOrgError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    IssuesListForOrgResponse,
    IssuesListForOrgError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/issues",
      operationId: "issuesListForOrg",
      variables,
    }),
    () => fetchIssuesListForOrg({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type OrgsListMembersPathParams = {
  org: string;
};

export type OrgsListMembersQueryParams = {
  /*
   * Filter members returned in the list. Can be one of:
   * \* `2fa_disabled` - Members without [two-factor authentication](https://github.com/blog/1614-two-factor-authentication) enabled. Available for organization owners.
   * \* `all` - All members the authenticated user can see.
   *
   * @default all
   */
  filter?: "2fa_disabled" | "all";
  /*
   * Filter members returned by their role. Can be one of:
   * \* `all` - All members of the organization, regardless of role.
   * \* `admin` - Organization owners.
   * \* `member` - Non-owner organization members.
   *
   * @default all
   */
  role?: "all" | "admin" | "member";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type OrgsListMembersError = Fetcher.ErrorWrapper<{
  status: 422;
  payload: Responses.ValidationFailed;
}>;

export type OrgsListMembersResponse = Schemas.SimpleUser[];

export type OrgsListMembersVariables = {
  pathParams: OrgsListMembersPathParams;
  queryParams?: OrgsListMembersQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * List all users who are members of an organization. If the authenticated user is also a member of this organization then both concealed and public members will be returned.
 */
export const fetchOrgsListMembers = (variables: OrgsListMembersVariables) =>
  githubFetch<
    OrgsListMembersResponse,
    OrgsListMembersError,
    undefined,
    {},
    OrgsListMembersQueryParams,
    OrgsListMembersPathParams
  >({ url: "/orgs/{org}/members", method: "get", ...variables });

/**
 * List all users who are members of an organization. If the authenticated user is also a member of this organization then both concealed and public members will be returned.
 */
export const useOrgsListMembers = <TData = OrgsListMembersResponse>(
  variables: OrgsListMembersVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      OrgsListMembersResponse,
      OrgsListMembersError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    OrgsListMembersResponse,
    OrgsListMembersError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/members",
      operationId: "orgsListMembers",
      variables,
    }),
    () => fetchOrgsListMembers({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type OrgsRemoveMemberPathParams = {
  org: string;
  username: string;
};

export type OrgsRemoveMemberError = Fetcher.ErrorWrapper<{
  status: 403;
  payload: Responses.Forbidden;
}>;

export type OrgsRemoveMemberVariables = {
  pathParams: OrgsRemoveMemberPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Removing a user from this list will remove them from all teams and they will no longer have any access to the organization's repositories.
 */
export const fetchOrgsRemoveMember = (variables: OrgsRemoveMemberVariables) =>
  githubFetch<
    undefined,
    OrgsRemoveMemberError,
    undefined,
    {},
    {},
    OrgsRemoveMemberPathParams
  >({ url: "/orgs/{org}/members/{username}", method: "delete", ...variables });

/**
 * Removing a user from this list will remove them from all teams and they will no longer have any access to the organization's repositories.
 */
export const useOrgsRemoveMember = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      OrgsRemoveMemberError,
      OrgsRemoveMemberVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    OrgsRemoveMemberError,
    OrgsRemoveMemberVariables
  >(
    (variables: OrgsRemoveMemberVariables) =>
      fetchOrgsRemoveMember({ ...fetcherOptions, ...variables }),
    options
  );
};

export type OrgsCheckMembershipForUserPathParams = {
  org: string;
  username: string;
};

export type OrgsCheckMembershipForUserError = Fetcher.ErrorWrapper<undefined>;

export type OrgsCheckMembershipForUserVariables = {
  pathParams: OrgsCheckMembershipForUserPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Check if a user is, publicly or privately, a member of the organization.
 */
export const fetchOrgsCheckMembershipForUser = (
  variables: OrgsCheckMembershipForUserVariables
) =>
  githubFetch<
    undefined,
    OrgsCheckMembershipForUserError,
    undefined,
    {},
    {},
    OrgsCheckMembershipForUserPathParams
  >({ url: "/orgs/{org}/members/{username}", method: "get", ...variables });

/**
 * Check if a user is, publicly or privately, a member of the organization.
 */
export const useOrgsCheckMembershipForUser = <TData = undefined>(
  variables: OrgsCheckMembershipForUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      undefined,
      OrgsCheckMembershipForUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<undefined, OrgsCheckMembershipForUserError, TData>(
    queryKeyFn({
      path: "/orgs/{org}/members/{username}",
      operationId: "orgsCheckMembershipForUser",
      variables,
    }),
    () => fetchOrgsCheckMembershipForUser({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type OrgsRemoveMembershipForUserPathParams = {
  org: string;
  username: string;
};

export type OrgsRemoveMembershipForUserError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type OrgsRemoveMembershipForUserVariables = {
  pathParams: OrgsRemoveMembershipForUserPathParams;
} & GithubContext["fetcherOptions"];

/**
 * In order to remove a user's membership with an organization, the authenticated user must be an organization owner.
 *
 * If the specified user is an active member of the organization, this will remove them from the organization. If the specified user has been invited to the organization, this will cancel their invitation. The specified user will receive an email notification in both cases.
 */
export const fetchOrgsRemoveMembershipForUser = (
  variables: OrgsRemoveMembershipForUserVariables
) =>
  githubFetch<
    undefined,
    OrgsRemoveMembershipForUserError,
    undefined,
    {},
    {},
    OrgsRemoveMembershipForUserPathParams
  >({
    url: "/orgs/{org}/memberships/{username}",
    method: "delete",
    ...variables,
  });

/**
 * In order to remove a user's membership with an organization, the authenticated user must be an organization owner.
 *
 * If the specified user is an active member of the organization, this will remove them from the organization. If the specified user has been invited to the organization, this will cancel their invitation. The specified user will receive an email notification in both cases.
 */
export const useOrgsRemoveMembershipForUser = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      OrgsRemoveMembershipForUserError,
      OrgsRemoveMembershipForUserVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    OrgsRemoveMembershipForUserError,
    OrgsRemoveMembershipForUserVariables
  >(
    (variables: OrgsRemoveMembershipForUserVariables) =>
      fetchOrgsRemoveMembershipForUser({ ...fetcherOptions, ...variables }),
    options
  );
};

export type OrgsGetMembershipForUserPathParams = {
  org: string;
  username: string;
};

export type OrgsGetMembershipForUserError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type OrgsGetMembershipForUserVariables = {
  pathParams: OrgsGetMembershipForUserPathParams;
} & GithubContext["fetcherOptions"];

/**
 * In order to get a user's membership with an organization, the authenticated user must be an organization member.
 */
export const fetchOrgsGetMembershipForUser = (
  variables: OrgsGetMembershipForUserVariables
) =>
  githubFetch<
    Schemas.OrgMembership,
    OrgsGetMembershipForUserError,
    undefined,
    {},
    {},
    OrgsGetMembershipForUserPathParams
  >({ url: "/orgs/{org}/memberships/{username}", method: "get", ...variables });

/**
 * In order to get a user's membership with an organization, the authenticated user must be an organization member.
 */
export const useOrgsGetMembershipForUser = <TData = Schemas.OrgMembership>(
  variables: OrgsGetMembershipForUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.OrgMembership,
      OrgsGetMembershipForUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.OrgMembership,
    OrgsGetMembershipForUserError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/memberships/{username}",
      operationId: "orgsGetMembershipForUser",
      variables,
    }),
    () => fetchOrgsGetMembershipForUser({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type OrgsSetMembershipForUserPathParams = {
  org: string;
  username: string;
};

export type OrgsSetMembershipForUserError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type OrgsSetMembershipForUserRequestBody = {
  /*
   * The role to give the user in the organization. Can be one of:
   * \* `admin` - The user will become an owner of the organization.
   * \* `member` - The user will become a non-owner member of the organization.
   *
   * @default member
   */
  role?: "admin" | "member";
};

export type OrgsSetMembershipForUserVariables = {
  body?: OrgsSetMembershipForUserRequestBody;
  pathParams: OrgsSetMembershipForUserPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Only authenticated organization owners can add a member to the organization or update the member's role.
 *
 * *   If the authenticated user is _adding_ a member to the organization, the invited user will receive an email inviting them to the organization. The user's [membership status](https://docs.github.com/rest/reference/orgs#get-organization-membership-for-a-user) will be `pending` until they accept the invitation.
 *
 * *   Authenticated users can _update_ a user's membership by passing the `role` parameter. If the authenticated user changes a member's role to `admin`, the affected user will receive an email notifying them that they've been made an organization owner. If the authenticated user changes an owner's role to `member`, no email will be sent.
 *
 * **Rate limits**
 *
 * To prevent abuse, the authenticated user is limited to 50 organization invitations per 24 hour period. If the organization is more than one month old or on a paid plan, the limit is 500 invitations per 24 hour period.
 */
export const fetchOrgsSetMembershipForUser = (
  variables: OrgsSetMembershipForUserVariables
) =>
  githubFetch<
    Schemas.OrgMembership,
    OrgsSetMembershipForUserError,
    OrgsSetMembershipForUserRequestBody,
    {},
    {},
    OrgsSetMembershipForUserPathParams
  >({ url: "/orgs/{org}/memberships/{username}", method: "put", ...variables });

/**
 * Only authenticated organization owners can add a member to the organization or update the member's role.
 *
 * *   If the authenticated user is _adding_ a member to the organization, the invited user will receive an email inviting them to the organization. The user's [membership status](https://docs.github.com/rest/reference/orgs#get-organization-membership-for-a-user) will be `pending` until they accept the invitation.
 *
 * *   Authenticated users can _update_ a user's membership by passing the `role` parameter. If the authenticated user changes a member's role to `admin`, the affected user will receive an email notifying them that they've been made an organization owner. If the authenticated user changes an owner's role to `member`, no email will be sent.
 *
 * **Rate limits**
 *
 * To prevent abuse, the authenticated user is limited to 50 organization invitations per 24 hour period. If the organization is more than one month old or on a paid plan, the limit is 500 invitations per 24 hour period.
 */
export const useOrgsSetMembershipForUser = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.OrgMembership,
      OrgsSetMembershipForUserError,
      OrgsSetMembershipForUserVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.OrgMembership,
    OrgsSetMembershipForUserError,
    OrgsSetMembershipForUserVariables
  >(
    (variables: OrgsSetMembershipForUserVariables) =>
      fetchOrgsSetMembershipForUser({ ...fetcherOptions, ...variables }),
    options
  );
};

export type MigrationsListForOrgPathParams = {
  org: string;
};

export type MigrationsListForOrgQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
  /*
   * Exclude attributes from the API response to improve performance
   */
  exclude?: "repositories"[];
};

export type MigrationsListForOrgError = Fetcher.ErrorWrapper<undefined>;

export type MigrationsListForOrgResponse = Schemas.Migration[];

export type MigrationsListForOrgVariables = {
  pathParams: MigrationsListForOrgPathParams;
  queryParams?: MigrationsListForOrgQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists the most recent migrations.
 */
export const fetchMigrationsListForOrg = (
  variables: MigrationsListForOrgVariables
) =>
  githubFetch<
    MigrationsListForOrgResponse,
    MigrationsListForOrgError,
    undefined,
    {},
    MigrationsListForOrgQueryParams,
    MigrationsListForOrgPathParams
  >({ url: "/orgs/{org}/migrations", method: "get", ...variables });

/**
 * Lists the most recent migrations.
 */
export const useMigrationsListForOrg = <TData = MigrationsListForOrgResponse>(
  variables: MigrationsListForOrgVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      MigrationsListForOrgResponse,
      MigrationsListForOrgError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    MigrationsListForOrgResponse,
    MigrationsListForOrgError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/migrations",
      operationId: "migrationsListForOrg",
      variables,
    }),
    () => fetchMigrationsListForOrg({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type MigrationsStartForOrgPathParams = {
  org: string;
};

export type MigrationsStartForOrgError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type MigrationsStartForOrgRequestBody = {
  exclude?: string[];
  /*
   * Indicates whether attachments should be excluded from the migration (to reduce migration archive file size).
   *
   * @default false
   */
  exclude_attachments?: boolean;
  /*
   * Indicates whether repositories should be locked (to prevent manipulation) while migrating data.
   *
   * @default false
   */
  lock_repositories?: boolean;
  /*
   * A list of arrays indicating which repositories should be migrated.
   */
  repositories: string[];
};

export type MigrationsStartForOrgVariables = {
  body: MigrationsStartForOrgRequestBody;
  pathParams: MigrationsStartForOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Initiates the generation of a migration archive.
 */
export const fetchMigrationsStartForOrg = (
  variables: MigrationsStartForOrgVariables
) =>
  githubFetch<
    Schemas.Migration,
    MigrationsStartForOrgError,
    MigrationsStartForOrgRequestBody,
    {},
    {},
    MigrationsStartForOrgPathParams
  >({ url: "/orgs/{org}/migrations", method: "post", ...variables });

/**
 * Initiates the generation of a migration archive.
 */
export const useMigrationsStartForOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Migration,
      MigrationsStartForOrgError,
      MigrationsStartForOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Migration,
    MigrationsStartForOrgError,
    MigrationsStartForOrgVariables
  >(
    (variables: MigrationsStartForOrgVariables) =>
      fetchMigrationsStartForOrg({ ...fetcherOptions, ...variables }),
    options
  );
};

export type MigrationsGetStatusForOrgPathParams = {
  org: string;
  /*
   * migration_id parameter
   */
  migrationId: number;
};

export type MigrationsGetStatusForOrgQueryParams = {
  /*
   * Exclude attributes from the API response to improve performance
   */
  exclude?: "repositories"[];
};

export type MigrationsGetStatusForOrgError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type MigrationsGetStatusForOrgVariables = {
  pathParams: MigrationsGetStatusForOrgPathParams;
  queryParams?: MigrationsGetStatusForOrgQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Fetches the status of a migration.
 *
 * The `state` of a migration can be one of the following values:
 *
 * *   `pending`, which means the migration hasn't started yet.
 * *   `exporting`, which means the migration is in progress.
 * *   `exported`, which means the migration finished successfully.
 * *   `failed`, which means the migration failed.
 */
export const fetchMigrationsGetStatusForOrg = (
  variables: MigrationsGetStatusForOrgVariables
) =>
  githubFetch<
    Schemas.Migration,
    MigrationsGetStatusForOrgError,
    undefined,
    {},
    MigrationsGetStatusForOrgQueryParams,
    MigrationsGetStatusForOrgPathParams
  >({
    url: "/orgs/{org}/migrations/{migrationId}",
    method: "get",
    ...variables,
  });

/**
 * Fetches the status of a migration.
 *
 * The `state` of a migration can be one of the following values:
 *
 * *   `pending`, which means the migration hasn't started yet.
 * *   `exporting`, which means the migration is in progress.
 * *   `exported`, which means the migration finished successfully.
 * *   `failed`, which means the migration failed.
 */
export const useMigrationsGetStatusForOrg = <TData = Schemas.Migration>(
  variables: MigrationsGetStatusForOrgVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.Migration,
      MigrationsGetStatusForOrgError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.Migration,
    MigrationsGetStatusForOrgError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/migrations/{migration_id}",
      operationId: "migrationsGetStatusForOrg",
      variables,
    }),
    () => fetchMigrationsGetStatusForOrg({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type MigrationsDeleteArchiveForOrgPathParams = {
  org: string;
  /*
   * migration_id parameter
   */
  migrationId: number;
};

export type MigrationsDeleteArchiveForOrgError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type MigrationsDeleteArchiveForOrgVariables = {
  pathParams: MigrationsDeleteArchiveForOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Deletes a previous migration archive. Migration archives are automatically deleted after seven days.
 */
export const fetchMigrationsDeleteArchiveForOrg = (
  variables: MigrationsDeleteArchiveForOrgVariables
) =>
  githubFetch<
    undefined,
    MigrationsDeleteArchiveForOrgError,
    undefined,
    {},
    {},
    MigrationsDeleteArchiveForOrgPathParams
  >({
    url: "/orgs/{org}/migrations/{migrationId}/archive",
    method: "delete",
    ...variables,
  });

/**
 * Deletes a previous migration archive. Migration archives are automatically deleted after seven days.
 */
export const useMigrationsDeleteArchiveForOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      MigrationsDeleteArchiveForOrgError,
      MigrationsDeleteArchiveForOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    MigrationsDeleteArchiveForOrgError,
    MigrationsDeleteArchiveForOrgVariables
  >(
    (variables: MigrationsDeleteArchiveForOrgVariables) =>
      fetchMigrationsDeleteArchiveForOrg({ ...fetcherOptions, ...variables }),
    options
  );
};

export type MigrationsDownloadArchiveForOrgPathParams = {
  org: string;
  /*
   * migration_id parameter
   */
  migrationId: number;
};

export type MigrationsDownloadArchiveForOrgError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type MigrationsDownloadArchiveForOrgVariables = {
  pathParams: MigrationsDownloadArchiveForOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Fetches the URL to a migration archive.
 */
export const fetchMigrationsDownloadArchiveForOrg = (
  variables: MigrationsDownloadArchiveForOrgVariables
) =>
  githubFetch<
    undefined,
    MigrationsDownloadArchiveForOrgError,
    undefined,
    {},
    {},
    MigrationsDownloadArchiveForOrgPathParams
  >({
    url: "/orgs/{org}/migrations/{migrationId}/archive",
    method: "get",
    ...variables,
  });

/**
 * Fetches the URL to a migration archive.
 */
export const useMigrationsDownloadArchiveForOrg = <TData = undefined>(
  variables: MigrationsDownloadArchiveForOrgVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      undefined,
      MigrationsDownloadArchiveForOrgError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    undefined,
    MigrationsDownloadArchiveForOrgError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/migrations/{migration_id}/archive",
      operationId: "migrationsDownloadArchiveForOrg",
      variables,
    }),
    () =>
      fetchMigrationsDownloadArchiveForOrg({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type MigrationsUnlockRepoForOrgPathParams = {
  org: string;
  /*
   * migration_id parameter
   */
  migrationId: number;
  /*
   * repo_name parameter
   */
  repoName: string;
};

export type MigrationsUnlockRepoForOrgError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type MigrationsUnlockRepoForOrgVariables = {
  pathParams: MigrationsUnlockRepoForOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Unlocks a repository that was locked for migration. You should unlock each migrated repository and [delete them](https://docs.github.com/rest/reference/repos#delete-a-repository) when the migration is complete and you no longer need the source data.
 */
export const fetchMigrationsUnlockRepoForOrg = (
  variables: MigrationsUnlockRepoForOrgVariables
) =>
  githubFetch<
    undefined,
    MigrationsUnlockRepoForOrgError,
    undefined,
    {},
    {},
    MigrationsUnlockRepoForOrgPathParams
  >({
    url: "/orgs/{org}/migrations/{migrationId}/repos/{repoName}/lock",
    method: "delete",
    ...variables,
  });

/**
 * Unlocks a repository that was locked for migration. You should unlock each migrated repository and [delete them](https://docs.github.com/rest/reference/repos#delete-a-repository) when the migration is complete and you no longer need the source data.
 */
export const useMigrationsUnlockRepoForOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      MigrationsUnlockRepoForOrgError,
      MigrationsUnlockRepoForOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    MigrationsUnlockRepoForOrgError,
    MigrationsUnlockRepoForOrgVariables
  >(
    (variables: MigrationsUnlockRepoForOrgVariables) =>
      fetchMigrationsUnlockRepoForOrg({ ...fetcherOptions, ...variables }),
    options
  );
};

export type MigrationsListReposForOrgPathParams = {
  org: string;
  /*
   * migration_id parameter
   */
  migrationId: number;
};

export type MigrationsListReposForOrgQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type MigrationsListReposForOrgError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type MigrationsListReposForOrgResponse = Schemas.MinimalRepository[];

export type MigrationsListReposForOrgVariables = {
  pathParams: MigrationsListReposForOrgPathParams;
  queryParams?: MigrationsListReposForOrgQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * List all the repositories for this organization migration.
 */
export const fetchMigrationsListReposForOrg = (
  variables: MigrationsListReposForOrgVariables
) =>
  githubFetch<
    MigrationsListReposForOrgResponse,
    MigrationsListReposForOrgError,
    undefined,
    {},
    MigrationsListReposForOrgQueryParams,
    MigrationsListReposForOrgPathParams
  >({
    url: "/orgs/{org}/migrations/{migrationId}/repositories",
    method: "get",
    ...variables,
  });

/**
 * List all the repositories for this organization migration.
 */
export const useMigrationsListReposForOrg = <
  TData = MigrationsListReposForOrgResponse
>(
  variables: MigrationsListReposForOrgVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      MigrationsListReposForOrgResponse,
      MigrationsListReposForOrgError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    MigrationsListReposForOrgResponse,
    MigrationsListReposForOrgError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/migrations/{migration_id}/repositories",
      operationId: "migrationsListReposForOrg",
      variables,
    }),
    () => fetchMigrationsListReposForOrg({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type OrgsListOutsideCollaboratorsPathParams = {
  org: string;
};

export type OrgsListOutsideCollaboratorsQueryParams = {
  /*
   * Filter the list of outside collaborators. Can be one of:
   * \* `2fa_disabled`: Outside collaborators without [two-factor authentication](https://github.com/blog/1614-two-factor-authentication) enabled.
   * \* `all`: All outside collaborators.
   *
   * @default all
   */
  filter?: "2fa_disabled" | "all";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type OrgsListOutsideCollaboratorsError = Fetcher.ErrorWrapper<undefined>;

export type OrgsListOutsideCollaboratorsResponse = Schemas.SimpleUser[];

export type OrgsListOutsideCollaboratorsVariables = {
  pathParams: OrgsListOutsideCollaboratorsPathParams;
  queryParams?: OrgsListOutsideCollaboratorsQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * List all users who are outside collaborators of an organization.
 */
export const fetchOrgsListOutsideCollaborators = (
  variables: OrgsListOutsideCollaboratorsVariables
) =>
  githubFetch<
    OrgsListOutsideCollaboratorsResponse,
    OrgsListOutsideCollaboratorsError,
    undefined,
    {},
    OrgsListOutsideCollaboratorsQueryParams,
    OrgsListOutsideCollaboratorsPathParams
  >({ url: "/orgs/{org}/outside_collaborators", method: "get", ...variables });

/**
 * List all users who are outside collaborators of an organization.
 */
export const useOrgsListOutsideCollaborators = <
  TData = OrgsListOutsideCollaboratorsResponse
>(
  variables: OrgsListOutsideCollaboratorsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      OrgsListOutsideCollaboratorsResponse,
      OrgsListOutsideCollaboratorsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    OrgsListOutsideCollaboratorsResponse,
    OrgsListOutsideCollaboratorsError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/outside_collaborators",
      operationId: "orgsListOutsideCollaborators",
      variables,
    }),
    () =>
      fetchOrgsListOutsideCollaborators({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type OrgsRemoveOutsideCollaboratorPathParams = {
  org: string;
  username: string;
};

export type OrgsRemoveOutsideCollaboratorError = Fetcher.ErrorWrapper<{
  status: 422;
  payload: {
    documentation_url?: string;
    message?: string;
  };
}>;

export type OrgsRemoveOutsideCollaboratorVariables = {
  pathParams: OrgsRemoveOutsideCollaboratorPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Removing a user from this list will remove them from all the organization's repositories.
 */
export const fetchOrgsRemoveOutsideCollaborator = (
  variables: OrgsRemoveOutsideCollaboratorVariables
) =>
  githubFetch<
    undefined,
    OrgsRemoveOutsideCollaboratorError,
    undefined,
    {},
    {},
    OrgsRemoveOutsideCollaboratorPathParams
  >({
    url: "/orgs/{org}/outside_collaborators/{username}",
    method: "delete",
    ...variables,
  });

/**
 * Removing a user from this list will remove them from all the organization's repositories.
 */
export const useOrgsRemoveOutsideCollaborator = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      OrgsRemoveOutsideCollaboratorError,
      OrgsRemoveOutsideCollaboratorVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    OrgsRemoveOutsideCollaboratorError,
    OrgsRemoveOutsideCollaboratorVariables
  >(
    (variables: OrgsRemoveOutsideCollaboratorVariables) =>
      fetchOrgsRemoveOutsideCollaborator({ ...fetcherOptions, ...variables }),
    options
  );
};

export type OrgsConvertMemberToOutsideCollaboratorPathParams = {
  org: string;
  username: string;
};

export type OrgsConvertMemberToOutsideCollaboratorError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: {
        documentation_url?: string;
        message?: string;
      };
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type OrgsConvertMemberToOutsideCollaboratorVariables = {
  pathParams: OrgsConvertMemberToOutsideCollaboratorPathParams;
} & GithubContext["fetcherOptions"];

/**
 * When an organization member is converted to an outside collaborator, they'll only have access to the repositories that their current team membership allows. The user will no longer be a member of the organization. For more information, see "[Converting an organization member to an outside collaborator](https://help.github.com/articles/converting-an-organization-member-to-an-outside-collaborator/)".
 */
export const fetchOrgsConvertMemberToOutsideCollaborator = (
  variables: OrgsConvertMemberToOutsideCollaboratorVariables
) =>
  githubFetch<
    undefined,
    OrgsConvertMemberToOutsideCollaboratorError,
    undefined,
    {},
    {},
    OrgsConvertMemberToOutsideCollaboratorPathParams
  >({
    url: "/orgs/{org}/outside_collaborators/{username}",
    method: "put",
    ...variables,
  });

/**
 * When an organization member is converted to an outside collaborator, they'll only have access to the repositories that their current team membership allows. The user will no longer be a member of the organization. For more information, see "[Converting an organization member to an outside collaborator](https://help.github.com/articles/converting-an-organization-member-to-an-outside-collaborator/)".
 */
export const useOrgsConvertMemberToOutsideCollaborator = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      OrgsConvertMemberToOutsideCollaboratorError,
      OrgsConvertMemberToOutsideCollaboratorVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    OrgsConvertMemberToOutsideCollaboratorError,
    OrgsConvertMemberToOutsideCollaboratorVariables
  >(
    (variables: OrgsConvertMemberToOutsideCollaboratorVariables) =>
      fetchOrgsConvertMemberToOutsideCollaborator({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type PackagesDeletePackageForOrgPathParams = {
  /*
   * The type of supported package. Can be one of `npm`, `maven`, `rubygems`, `nuget`, `docker`, or `container`. For Docker images that use the package namespace `https://ghcr.io/owner/package-name`, use `container`.
   */
  packageType: "npm" | "maven" | "rubygems" | "docker" | "nuget" | "container";
  /*
   * The name of the package.
   */
  packageName: string;
  org: string;
};

export type PackagesDeletePackageForOrgError = Fetcher.ErrorWrapper<
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type PackagesDeletePackageForOrgVariables = {
  pathParams: PackagesDeletePackageForOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Deletes an entire package in an organization. You cannot delete a public package if any version of the package has more than 25 downloads. In this scenario, contact GitHub support for further assistance.
 *
 * To use this endpoint, you must have admin permissions in the organization and authenticate using an access token with the `packages:read` scope. In addition:
 * - If `package_type` is not `container`, your token must also include the `repo` scope.
 * - If `package_type` is `container`, you must also have admin permissions to the container you want to delete.
 */
export const fetchPackagesDeletePackageForOrg = (
  variables: PackagesDeletePackageForOrgVariables
) =>
  githubFetch<
    undefined,
    PackagesDeletePackageForOrgError,
    undefined,
    {},
    {},
    PackagesDeletePackageForOrgPathParams
  >({
    url: "/orgs/{org}/packages/{packageType}/{packageName}",
    method: "delete",
    ...variables,
  });

/**
 * Deletes an entire package in an organization. You cannot delete a public package if any version of the package has more than 25 downloads. In this scenario, contact GitHub support for further assistance.
 *
 * To use this endpoint, you must have admin permissions in the organization and authenticate using an access token with the `packages:read` scope. In addition:
 * - If `package_type` is not `container`, your token must also include the `repo` scope.
 * - If `package_type` is `container`, you must also have admin permissions to the container you want to delete.
 */
export const usePackagesDeletePackageForOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      PackagesDeletePackageForOrgError,
      PackagesDeletePackageForOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    PackagesDeletePackageForOrgError,
    PackagesDeletePackageForOrgVariables
  >(
    (variables: PackagesDeletePackageForOrgVariables) =>
      fetchPackagesDeletePackageForOrg({ ...fetcherOptions, ...variables }),
    options
  );
};

export type PackagesGetPackageForOrganizationPathParams = {
  /*
   * The type of supported package. Can be one of `npm`, `maven`, `rubygems`, `nuget`, `docker`, or `container`. For Docker images that use the package namespace `https://ghcr.io/owner/package-name`, use `container`.
   */
  packageType: "npm" | "maven" | "rubygems" | "docker" | "nuget" | "container";
  /*
   * The name of the package.
   */
  packageName: string;
  org: string;
};

export type PackagesGetPackageForOrganizationError =
  Fetcher.ErrorWrapper<undefined>;

export type PackagesGetPackageForOrganizationVariables = {
  pathParams: PackagesGetPackageForOrganizationPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets a specific package in an organization.
 *
 * To use this endpoint, you must authenticate using an access token with the `packages:read` scope.
 * If `package_type` is not `container`, your token must also include the `repo` scope.
 */
export const fetchPackagesGetPackageForOrganization = (
  variables: PackagesGetPackageForOrganizationVariables
) =>
  githubFetch<
    Schemas.Package,
    PackagesGetPackageForOrganizationError,
    undefined,
    {},
    {},
    PackagesGetPackageForOrganizationPathParams
  >({
    url: "/orgs/{org}/packages/{packageType}/{packageName}",
    method: "get",
    ...variables,
  });

/**
 * Gets a specific package in an organization.
 *
 * To use this endpoint, you must authenticate using an access token with the `packages:read` scope.
 * If `package_type` is not `container`, your token must also include the `repo` scope.
 */
export const usePackagesGetPackageForOrganization = <TData = Schemas.Package>(
  variables: PackagesGetPackageForOrganizationVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.Package,
      PackagesGetPackageForOrganizationError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.Package,
    PackagesGetPackageForOrganizationError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/packages/{package_type}/{package_name}",
      operationId: "packagesGetPackageForOrganization",
      variables,
    }),
    () =>
      fetchPackagesGetPackageForOrganization({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type PackagesRestorePackageForOrgPathParams = {
  /*
   * The type of supported package. Can be one of `npm`, `maven`, `rubygems`, `nuget`, `docker`, or `container`. For Docker images that use the package namespace `https://ghcr.io/owner/package-name`, use `container`.
   */
  packageType: "npm" | "maven" | "rubygems" | "docker" | "nuget" | "container";
  /*
   * The name of the package.
   */
  packageName: string;
  org: string;
};

export type PackagesRestorePackageForOrgQueryParams = {
  /*
   * package token
   */
  token?: string;
};

export type PackagesRestorePackageForOrgError = Fetcher.ErrorWrapper<
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type PackagesRestorePackageForOrgVariables = {
  pathParams: PackagesRestorePackageForOrgPathParams;
  queryParams?: PackagesRestorePackageForOrgQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Restores an entire package in an organization.
 *
 * You can restore a deleted package under the following conditions:
 *   - The package was deleted within the last 30 days.
 *   - The same package namespace and version is still available and not reused for a new package. If the same package namespace is not available, you will not be able to restore your package. In this scenario, to restore the deleted package, you must delete the new package that uses the deleted package's namespace first.
 *
 * To use this endpoint, you must have admin permissions in the organization and authenticate using an access token with the `packages:read` and `packages:write` scope. In addition:
 * - If `package_type` is not `container`, your token must also include the `repo` scope.
 * - If `package_type` is `container`, you must also have admin permissions to the container that you want to restore.
 */
export const fetchPackagesRestorePackageForOrg = (
  variables: PackagesRestorePackageForOrgVariables
) =>
  githubFetch<
    undefined,
    PackagesRestorePackageForOrgError,
    undefined,
    {},
    PackagesRestorePackageForOrgQueryParams,
    PackagesRestorePackageForOrgPathParams
  >({
    url: "/orgs/{org}/packages/{packageType}/{packageName}/restore",
    method: "post",
    ...variables,
  });

/**
 * Restores an entire package in an organization.
 *
 * You can restore a deleted package under the following conditions:
 *   - The package was deleted within the last 30 days.
 *   - The same package namespace and version is still available and not reused for a new package. If the same package namespace is not available, you will not be able to restore your package. In this scenario, to restore the deleted package, you must delete the new package that uses the deleted package's namespace first.
 *
 * To use this endpoint, you must have admin permissions in the organization and authenticate using an access token with the `packages:read` and `packages:write` scope. In addition:
 * - If `package_type` is not `container`, your token must also include the `repo` scope.
 * - If `package_type` is `container`, you must also have admin permissions to the container that you want to restore.
 */
export const usePackagesRestorePackageForOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      PackagesRestorePackageForOrgError,
      PackagesRestorePackageForOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    PackagesRestorePackageForOrgError,
    PackagesRestorePackageForOrgVariables
  >(
    (variables: PackagesRestorePackageForOrgVariables) =>
      fetchPackagesRestorePackageForOrg({ ...fetcherOptions, ...variables }),
    options
  );
};

export type PackagesGetAllPackageVersionsForPackageOwnedByOrgPathParams = {
  /*
   * The type of supported package. Can be one of `npm`, `maven`, `rubygems`, `nuget`, `docker`, or `container`. For Docker images that use the package namespace `https://ghcr.io/owner/package-name`, use `container`.
   */
  packageType: "npm" | "maven" | "rubygems" | "docker" | "nuget" | "container";
  /*
   * The name of the package.
   */
  packageName: string;
  org: string;
};

export type PackagesGetAllPackageVersionsForPackageOwnedByOrgQueryParams = {
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * The state of the package, either active or deleted.
   *
   * @default active
   */
  state?: "active" | "deleted";
};

export type PackagesGetAllPackageVersionsForPackageOwnedByOrgError =
  Fetcher.ErrorWrapper<
    | {
        status: 401;
        payload: Responses.RequiresAuthentication;
      }
    | {
        status: 403;
        payload: Responses.Forbidden;
      }
    | {
        status: 404;
        payload: Responses.NotFound;
      }
  >;

export type PackagesGetAllPackageVersionsForPackageOwnedByOrgResponse =
  Schemas.PackageVersion[];

export type PackagesGetAllPackageVersionsForPackageOwnedByOrgVariables = {
  pathParams: PackagesGetAllPackageVersionsForPackageOwnedByOrgPathParams;
  queryParams?: PackagesGetAllPackageVersionsForPackageOwnedByOrgQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Returns all package versions for a package owned by an organization.
 *
 * To use this endpoint, you must authenticate using an access token with the `packages:read` scope.
 * If `package_type` is not `container`, your token must also include the `repo` scope.
 */
export const fetchPackagesGetAllPackageVersionsForPackageOwnedByOrg = (
  variables: PackagesGetAllPackageVersionsForPackageOwnedByOrgVariables
) =>
  githubFetch<
    PackagesGetAllPackageVersionsForPackageOwnedByOrgResponse,
    PackagesGetAllPackageVersionsForPackageOwnedByOrgError,
    undefined,
    {},
    PackagesGetAllPackageVersionsForPackageOwnedByOrgQueryParams,
    PackagesGetAllPackageVersionsForPackageOwnedByOrgPathParams
  >({
    url: "/orgs/{org}/packages/{packageType}/{packageName}/versions",
    method: "get",
    ...variables,
  });

/**
 * Returns all package versions for a package owned by an organization.
 *
 * To use this endpoint, you must authenticate using an access token with the `packages:read` scope.
 * If `package_type` is not `container`, your token must also include the `repo` scope.
 */
export const usePackagesGetAllPackageVersionsForPackageOwnedByOrg = <
  TData = PackagesGetAllPackageVersionsForPackageOwnedByOrgResponse
>(
  variables: PackagesGetAllPackageVersionsForPackageOwnedByOrgVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      PackagesGetAllPackageVersionsForPackageOwnedByOrgResponse,
      PackagesGetAllPackageVersionsForPackageOwnedByOrgError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    PackagesGetAllPackageVersionsForPackageOwnedByOrgResponse,
    PackagesGetAllPackageVersionsForPackageOwnedByOrgError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/packages/{package_type}/{package_name}/versions",
      operationId: "packagesGetAllPackageVersionsForPackageOwnedByOrg",
      variables,
    }),
    () =>
      fetchPackagesGetAllPackageVersionsForPackageOwnedByOrg({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type PackagesDeletePackageVersionForOrgPathParams = {
  /*
   * The type of supported package. Can be one of `npm`, `maven`, `rubygems`, `nuget`, `docker`, or `container`. For Docker images that use the package namespace `https://ghcr.io/owner/package-name`, use `container`.
   */
  packageType: "npm" | "maven" | "rubygems" | "docker" | "nuget" | "container";
  /*
   * The name of the package.
   */
  packageName: string;
  org: string;
  /*
   * Unique identifier of the package version.
   */
  packageVersionId: number;
};

export type PackagesDeletePackageVersionForOrgError = Fetcher.ErrorWrapper<
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type PackagesDeletePackageVersionForOrgVariables = {
  pathParams: PackagesDeletePackageVersionForOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Deletes a specific package version in an organization. If the package is public and the package version has more than 25 downloads, you cannot delete the package version. In this scenario, contact GitHub support for further assistance.
 *
 * To use this endpoint, you must have admin permissions in the organization and authenticate using an access token with the `packages:read` scope. In addition:
 * - If `package_type` is not `container`, your token must also include the `repo` scope.
 * - If `package_type` is `container`, you must also have admin permissions to the container you want to delete.
 */
export const fetchPackagesDeletePackageVersionForOrg = (
  variables: PackagesDeletePackageVersionForOrgVariables
) =>
  githubFetch<
    undefined,
    PackagesDeletePackageVersionForOrgError,
    undefined,
    {},
    {},
    PackagesDeletePackageVersionForOrgPathParams
  >({
    url: "/orgs/{org}/packages/{packageType}/{packageName}/versions/{packageVersionId}",
    method: "delete",
    ...variables,
  });

/**
 * Deletes a specific package version in an organization. If the package is public and the package version has more than 25 downloads, you cannot delete the package version. In this scenario, contact GitHub support for further assistance.
 *
 * To use this endpoint, you must have admin permissions in the organization and authenticate using an access token with the `packages:read` scope. In addition:
 * - If `package_type` is not `container`, your token must also include the `repo` scope.
 * - If `package_type` is `container`, you must also have admin permissions to the container you want to delete.
 */
export const usePackagesDeletePackageVersionForOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      PackagesDeletePackageVersionForOrgError,
      PackagesDeletePackageVersionForOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    PackagesDeletePackageVersionForOrgError,
    PackagesDeletePackageVersionForOrgVariables
  >(
    (variables: PackagesDeletePackageVersionForOrgVariables) =>
      fetchPackagesDeletePackageVersionForOrg({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type PackagesGetPackageVersionForOrganizationPathParams = {
  /*
   * The type of supported package. Can be one of `npm`, `maven`, `rubygems`, `nuget`, `docker`, or `container`. For Docker images that use the package namespace `https://ghcr.io/owner/package-name`, use `container`.
   */
  packageType: "npm" | "maven" | "rubygems" | "docker" | "nuget" | "container";
  /*
   * The name of the package.
   */
  packageName: string;
  org: string;
  /*
   * Unique identifier of the package version.
   */
  packageVersionId: number;
};

export type PackagesGetPackageVersionForOrganizationError =
  Fetcher.ErrorWrapper<undefined>;

export type PackagesGetPackageVersionForOrganizationVariables = {
  pathParams: PackagesGetPackageVersionForOrganizationPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets a specific package version in an organization.
 *
 * You must authenticate using an access token with the `packages:read` scope.
 * If `package_type` is not `container`, your token must also include the `repo` scope.
 */
export const fetchPackagesGetPackageVersionForOrganization = (
  variables: PackagesGetPackageVersionForOrganizationVariables
) =>
  githubFetch<
    Schemas.PackageVersion,
    PackagesGetPackageVersionForOrganizationError,
    undefined,
    {},
    {},
    PackagesGetPackageVersionForOrganizationPathParams
  >({
    url: "/orgs/{org}/packages/{packageType}/{packageName}/versions/{packageVersionId}",
    method: "get",
    ...variables,
  });

/**
 * Gets a specific package version in an organization.
 *
 * You must authenticate using an access token with the `packages:read` scope.
 * If `package_type` is not `container`, your token must also include the `repo` scope.
 */
export const usePackagesGetPackageVersionForOrganization = <
  TData = Schemas.PackageVersion
>(
  variables: PackagesGetPackageVersionForOrganizationVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.PackageVersion,
      PackagesGetPackageVersionForOrganizationError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.PackageVersion,
    PackagesGetPackageVersionForOrganizationError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/packages/{package_type}/{package_name}/versions/{package_version_id}",
      operationId: "packagesGetPackageVersionForOrganization",
      variables,
    }),
    () =>
      fetchPackagesGetPackageVersionForOrganization({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type PackagesRestorePackageVersionForOrgPathParams = {
  /*
   * The type of supported package. Can be one of `npm`, `maven`, `rubygems`, `nuget`, `docker`, or `container`. For Docker images that use the package namespace `https://ghcr.io/owner/package-name`, use `container`.
   */
  packageType: "npm" | "maven" | "rubygems" | "docker" | "nuget" | "container";
  /*
   * The name of the package.
   */
  packageName: string;
  org: string;
  /*
   * Unique identifier of the package version.
   */
  packageVersionId: number;
};

export type PackagesRestorePackageVersionForOrgError = Fetcher.ErrorWrapper<
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type PackagesRestorePackageVersionForOrgVariables = {
  pathParams: PackagesRestorePackageVersionForOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Restores a specific package version in an organization.
 *
 * You can restore a deleted package under the following conditions:
 *   - The package was deleted within the last 30 days.
 *   - The same package namespace and version is still available and not reused for a new package. If the same package namespace is not available, you will not be able to restore your package. In this scenario, to restore the deleted package, you must delete the new package that uses the deleted package's namespace first.
 *
 * To use this endpoint, you must have admin permissions in the organization and authenticate using an access token with the `packages:read` and `packages:write` scope. In addition:
 * - If `package_type` is not `container`, your token must also include the `repo` scope.
 * - If `package_type` is `container`, you must also have admin permissions to the container that you want to restore.
 */
export const fetchPackagesRestorePackageVersionForOrg = (
  variables: PackagesRestorePackageVersionForOrgVariables
) =>
  githubFetch<
    undefined,
    PackagesRestorePackageVersionForOrgError,
    undefined,
    {},
    {},
    PackagesRestorePackageVersionForOrgPathParams
  >({
    url: "/orgs/{org}/packages/{packageType}/{packageName}/versions/{packageVersionId}/restore",
    method: "post",
    ...variables,
  });

/**
 * Restores a specific package version in an organization.
 *
 * You can restore a deleted package under the following conditions:
 *   - The package was deleted within the last 30 days.
 *   - The same package namespace and version is still available and not reused for a new package. If the same package namespace is not available, you will not be able to restore your package. In this scenario, to restore the deleted package, you must delete the new package that uses the deleted package's namespace first.
 *
 * To use this endpoint, you must have admin permissions in the organization and authenticate using an access token with the `packages:read` and `packages:write` scope. In addition:
 * - If `package_type` is not `container`, your token must also include the `repo` scope.
 * - If `package_type` is `container`, you must also have admin permissions to the container that you want to restore.
 */
export const usePackagesRestorePackageVersionForOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      PackagesRestorePackageVersionForOrgError,
      PackagesRestorePackageVersionForOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    PackagesRestorePackageVersionForOrgError,
    PackagesRestorePackageVersionForOrgVariables
  >(
    (variables: PackagesRestorePackageVersionForOrgVariables) =>
      fetchPackagesRestorePackageVersionForOrg({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ProjectsListForOrgPathParams = {
  org: string;
};

export type ProjectsListForOrgQueryParams = {
  /*
   * Indicates the state of the projects to return. Can be either `open`, `closed`, or `all`.
   *
   * @default open
   */
  state?: "open" | "closed" | "all";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ProjectsListForOrgError = Fetcher.ErrorWrapper<{
  status: 422;
  payload: Responses.ValidationFailedSimple;
}>;

export type ProjectsListForOrgResponse = Schemas.Project[];

export type ProjectsListForOrgVariables = {
  pathParams: ProjectsListForOrgPathParams;
  queryParams?: ProjectsListForOrgQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists the projects in an organization. Returns a `404 Not Found` status if projects are disabled in the organization. If you do not have sufficient privileges to perform this action, a `401 Unauthorized` or `410 Gone` status is returned.
 */
export const fetchProjectsListForOrg = (
  variables: ProjectsListForOrgVariables
) =>
  githubFetch<
    ProjectsListForOrgResponse,
    ProjectsListForOrgError,
    undefined,
    {},
    ProjectsListForOrgQueryParams,
    ProjectsListForOrgPathParams
  >({ url: "/orgs/{org}/projects", method: "get", ...variables });

/**
 * Lists the projects in an organization. Returns a `404 Not Found` status if projects are disabled in the organization. If you do not have sufficient privileges to perform this action, a `401 Unauthorized` or `410 Gone` status is returned.
 */
export const useProjectsListForOrg = <TData = ProjectsListForOrgResponse>(
  variables: ProjectsListForOrgVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ProjectsListForOrgResponse,
      ProjectsListForOrgError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ProjectsListForOrgResponse,
    ProjectsListForOrgError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/projects",
      operationId: "projectsListForOrg",
      variables,
    }),
    () => fetchProjectsListForOrg({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ProjectsCreateForOrgPathParams = {
  org: string;
};

export type ProjectsCreateForOrgError = Fetcher.ErrorWrapper<
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 410;
      payload: Responses.Gone;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailedSimple;
    }
>;

export type ProjectsCreateForOrgRequestBody = {
  /*
   * The description of the project.
   */
  body?: string;
  /*
   * The name of the project.
   */
  name: string;
};

export type ProjectsCreateForOrgVariables = {
  body: ProjectsCreateForOrgRequestBody;
  pathParams: ProjectsCreateForOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Creates an organization project board. Returns a `404 Not Found` status if projects are disabled in the organization. If you do not have sufficient privileges to perform this action, a `401 Unauthorized` or `410 Gone` status is returned.
 */
export const fetchProjectsCreateForOrg = (
  variables: ProjectsCreateForOrgVariables
) =>
  githubFetch<
    Schemas.Project,
    ProjectsCreateForOrgError,
    ProjectsCreateForOrgRequestBody,
    {},
    {},
    ProjectsCreateForOrgPathParams
  >({ url: "/orgs/{org}/projects", method: "post", ...variables });

/**
 * Creates an organization project board. Returns a `404 Not Found` status if projects are disabled in the organization. If you do not have sufficient privileges to perform this action, a `401 Unauthorized` or `410 Gone` status is returned.
 */
export const useProjectsCreateForOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Project,
      ProjectsCreateForOrgError,
      ProjectsCreateForOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Project,
    ProjectsCreateForOrgError,
    ProjectsCreateForOrgVariables
  >(
    (variables: ProjectsCreateForOrgVariables) =>
      fetchProjectsCreateForOrg({ ...fetcherOptions, ...variables }),
    options
  );
};

export type OrgsListPublicMembersPathParams = {
  org: string;
};

export type OrgsListPublicMembersQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type OrgsListPublicMembersError = Fetcher.ErrorWrapper<undefined>;

export type OrgsListPublicMembersResponse = Schemas.SimpleUser[];

export type OrgsListPublicMembersVariables = {
  pathParams: OrgsListPublicMembersPathParams;
  queryParams?: OrgsListPublicMembersQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Members of an organization can choose to have their membership publicized or not.
 */
export const fetchOrgsListPublicMembers = (
  variables: OrgsListPublicMembersVariables
) =>
  githubFetch<
    OrgsListPublicMembersResponse,
    OrgsListPublicMembersError,
    undefined,
    {},
    OrgsListPublicMembersQueryParams,
    OrgsListPublicMembersPathParams
  >({ url: "/orgs/{org}/public_members", method: "get", ...variables });

/**
 * Members of an organization can choose to have their membership publicized or not.
 */
export const useOrgsListPublicMembers = <TData = OrgsListPublicMembersResponse>(
  variables: OrgsListPublicMembersVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      OrgsListPublicMembersResponse,
      OrgsListPublicMembersError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    OrgsListPublicMembersResponse,
    OrgsListPublicMembersError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/public_members",
      operationId: "orgsListPublicMembers",
      variables,
    }),
    () => fetchOrgsListPublicMembers({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type OrgsRemovePublicMembershipForAuthenticatedUserPathParams = {
  org: string;
  username: string;
};

export type OrgsRemovePublicMembershipForAuthenticatedUserError =
  Fetcher.ErrorWrapper<undefined>;

export type OrgsRemovePublicMembershipForAuthenticatedUserVariables = {
  pathParams: OrgsRemovePublicMembershipForAuthenticatedUserPathParams;
} & GithubContext["fetcherOptions"];

export const fetchOrgsRemovePublicMembershipForAuthenticatedUser = (
  variables: OrgsRemovePublicMembershipForAuthenticatedUserVariables
) =>
  githubFetch<
    undefined,
    OrgsRemovePublicMembershipForAuthenticatedUserError,
    undefined,
    {},
    {},
    OrgsRemovePublicMembershipForAuthenticatedUserPathParams
  >({
    url: "/orgs/{org}/public_members/{username}",
    method: "delete",
    ...variables,
  });

export const useOrgsRemovePublicMembershipForAuthenticatedUser = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      OrgsRemovePublicMembershipForAuthenticatedUserError,
      OrgsRemovePublicMembershipForAuthenticatedUserVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    OrgsRemovePublicMembershipForAuthenticatedUserError,
    OrgsRemovePublicMembershipForAuthenticatedUserVariables
  >(
    (variables: OrgsRemovePublicMembershipForAuthenticatedUserVariables) =>
      fetchOrgsRemovePublicMembershipForAuthenticatedUser({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type OrgsCheckPublicMembershipForUserPathParams = {
  org: string;
  username: string;
};

export type OrgsCheckPublicMembershipForUserError =
  Fetcher.ErrorWrapper<undefined>;

export type OrgsCheckPublicMembershipForUserVariables = {
  pathParams: OrgsCheckPublicMembershipForUserPathParams;
} & GithubContext["fetcherOptions"];

export const fetchOrgsCheckPublicMembershipForUser = (
  variables: OrgsCheckPublicMembershipForUserVariables
) =>
  githubFetch<
    undefined,
    OrgsCheckPublicMembershipForUserError,
    undefined,
    {},
    {},
    OrgsCheckPublicMembershipForUserPathParams
  >({
    url: "/orgs/{org}/public_members/{username}",
    method: "get",
    ...variables,
  });

export const useOrgsCheckPublicMembershipForUser = <TData = undefined>(
  variables: OrgsCheckPublicMembershipForUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      undefined,
      OrgsCheckPublicMembershipForUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    undefined,
    OrgsCheckPublicMembershipForUserError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/public_members/{username}",
      operationId: "orgsCheckPublicMembershipForUser",
      variables,
    }),
    () =>
      fetchOrgsCheckPublicMembershipForUser({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type OrgsSetPublicMembershipForAuthenticatedUserPathParams = {
  org: string;
  username: string;
};

export type OrgsSetPublicMembershipForAuthenticatedUserError =
  Fetcher.ErrorWrapper<{
    status: 403;
    payload: Responses.Forbidden;
  }>;

export type OrgsSetPublicMembershipForAuthenticatedUserVariables = {
  pathParams: OrgsSetPublicMembershipForAuthenticatedUserPathParams;
} & GithubContext["fetcherOptions"];

/**
 * The user can publicize their own membership. (A user cannot publicize the membership for another user.)
 *
 * Note that you'll need to set `Content-Length` to zero when calling out to this endpoint. For more information, see "[HTTP verbs](https://docs.github.com/rest/overview/resources-in-the-rest-api#http-verbs)."
 */
export const fetchOrgsSetPublicMembershipForAuthenticatedUser = (
  variables: OrgsSetPublicMembershipForAuthenticatedUserVariables
) =>
  githubFetch<
    undefined,
    OrgsSetPublicMembershipForAuthenticatedUserError,
    undefined,
    {},
    {},
    OrgsSetPublicMembershipForAuthenticatedUserPathParams
  >({
    url: "/orgs/{org}/public_members/{username}",
    method: "put",
    ...variables,
  });

/**
 * The user can publicize their own membership. (A user cannot publicize the membership for another user.)
 *
 * Note that you'll need to set `Content-Length` to zero when calling out to this endpoint. For more information, see "[HTTP verbs](https://docs.github.com/rest/overview/resources-in-the-rest-api#http-verbs)."
 */
export const useOrgsSetPublicMembershipForAuthenticatedUser = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      OrgsSetPublicMembershipForAuthenticatedUserError,
      OrgsSetPublicMembershipForAuthenticatedUserVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    OrgsSetPublicMembershipForAuthenticatedUserError,
    OrgsSetPublicMembershipForAuthenticatedUserVariables
  >(
    (variables: OrgsSetPublicMembershipForAuthenticatedUserVariables) =>
      fetchOrgsSetPublicMembershipForAuthenticatedUser({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ReposListForOrgPathParams = {
  org: string;
};

export type ReposListForOrgQueryParams = {
  /*
   * Specifies the types of repositories you want returned. Can be one of `all`, `public`, `private`, `forks`, `sources`, `member`, `internal`. Note: For GitHub AE, can be one of `all`, `private`, `forks`, `sources`, `member`, `internal`. Default: `all`. If your organization is associated with an enterprise account using GitHub Enterprise Cloud or GitHub Enterprise Server 2.20+, `type` can also be `internal`.
   */
  type?:
    | "all"
    | "public"
    | "private"
    | "forks"
    | "sources"
    | "member"
    | "internal";
  /*
   * Can be one of `created`, `updated`, `pushed`, `full_name`.
   *
   * @default created
   */
  sort?: "created" | "updated" | "pushed" | "full_name";
  /*
   * Can be one of `asc` or `desc`. Default: when using `full_name`: `asc`, otherwise `desc`
   */
  direction?: "asc" | "desc";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ReposListForOrgError = Fetcher.ErrorWrapper<undefined>;

export type ReposListForOrgResponse = Schemas.MinimalRepository[];

export type ReposListForOrgVariables = {
  pathParams: ReposListForOrgPathParams;
  queryParams?: ReposListForOrgQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists repositories for the specified organization.
 */
export const fetchReposListForOrg = (variables: ReposListForOrgVariables) =>
  githubFetch<
    ReposListForOrgResponse,
    ReposListForOrgError,
    undefined,
    {},
    ReposListForOrgQueryParams,
    ReposListForOrgPathParams
  >({ url: "/orgs/{org}/repos", method: "get", ...variables });

/**
 * Lists repositories for the specified organization.
 */
export const useReposListForOrg = <TData = ReposListForOrgResponse>(
  variables: ReposListForOrgVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReposListForOrgResponse,
      ReposListForOrgError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReposListForOrgResponse,
    ReposListForOrgError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/repos",
      operationId: "reposListForOrg",
      variables,
    }),
    () => fetchReposListForOrg({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposCreateInOrgPathParams = {
  org: string;
};

export type ReposCreateInOrgError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type ReposCreateInOrgRequestBody = {
  /*
   * Either `true` to allow merging pull requests with a merge commit, or `false` to prevent merging pull requests with merge commits.
   *
   * @default true
   */
  allow_merge_commit?: boolean;
  /*
   * Either `true` to allow rebase-merging pull requests, or `false` to prevent rebase-merging.
   *
   * @default true
   */
  allow_rebase_merge?: boolean;
  /*
   * Either `true` to allow squash-merging pull requests, or `false` to prevent squash-merging.
   *
   * @default true
   */
  allow_squash_merge?: boolean;
  /*
   * Pass `true` to create an initial commit with empty README.
   *
   * @default false
   */
  auto_init?: boolean;
  /*
   * Either `true` to allow automatically deleting head branches when pull requests are merged, or `false` to prevent automatic deletion.
   *
   * @default false
   */
  delete_branch_on_merge?: boolean;
  /*
   * A short description of the repository.
   */
  description?: string;
  /*
   * Desired language or platform [.gitignore template](https://github.com/github/gitignore) to apply. Use the name of the template without the extension. For example, "Haskell".
   */
  gitignore_template?: string;
  /*
   * Either `true` to enable issues for this repository or `false` to disable them.
   *
   * @default true
   */
  has_issues?: boolean;
  /*
   * Either `true` to enable projects for this repository or `false` to disable them. **Note:** If you're creating a repository in an organization that has disabled repository projects, the default is `false`, and if you pass `true`, the API returns an error.
   *
   * @default true
   */
  has_projects?: boolean;
  /*
   * Either `true` to enable the wiki for this repository or `false` to disable it.
   *
   * @default true
   */
  has_wiki?: boolean;
  /*
   * A URL with more information about the repository.
   */
  homepage?: string;
  /*
   * Either `true` to make this repo available as a template repository or `false` to prevent it.
   *
   * @default false
   */
  is_template?: boolean;
  /*
   * Choose an [open source license template](https://choosealicense.com/) that best suits your needs, and then use the [license keyword](https://help.github.com/articles/licensing-a-repository/#searching-github-by-license-type) as the `license_template` string. For example, "mit" or "mpl-2.0".
   */
  license_template?: string;
  /*
   * The name of the repository.
   */
  name: string;
  /*
   * Whether the repository is private.
   *
   * @default false
   */
  private?: boolean;
  /*
   * The id of the team that will be granted access to this repository. This is only valid when creating a repository in an organization.
   */
  team_id?: number;
  /*
   * Can be `public` or `private`. If your organization is associated with an enterprise account using GitHub Enterprise Cloud or GitHub Enterprise Server 2.20+, `visibility` can also be `internal`. Note: For GitHub Enterprise Server and GitHub AE, this endpoint will only list repositories available to all users on the enterprise. For more information, see "[Creating an internal repository](https://help.github.com/en/github/creating-cloning-and-archiving-repositories/about-repository-visibility#about-internal-repositories)" in the GitHub Help documentation.
   * The `visibility` parameter overrides the `private` parameter when you use both parameters with the `nebula-preview` preview header.
   */
  visibility?: "public" | "private" | "visibility" | "internal";
};

export type ReposCreateInOrgVariables = {
  body: ReposCreateInOrgRequestBody;
  pathParams: ReposCreateInOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Creates a new repository in the specified organization. The authenticated user must be a member of the organization.
 *
 * **OAuth scope requirements**
 *
 * When using [OAuth](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/), authorizations must include:
 *
 * *   `public_repo` scope or `repo` scope to create a public repository. Note: For GitHub AE, use `repo` scope to create an internal repository.
 * *   `repo` scope to create a private repository
 */
export const fetchReposCreateInOrg = (variables: ReposCreateInOrgVariables) =>
  githubFetch<
    Schemas.Repository,
    ReposCreateInOrgError,
    ReposCreateInOrgRequestBody,
    {},
    {},
    ReposCreateInOrgPathParams
  >({ url: "/orgs/{org}/repos", method: "post", ...variables });

/**
 * Creates a new repository in the specified organization. The authenticated user must be a member of the organization.
 *
 * **OAuth scope requirements**
 *
 * When using [OAuth](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/), authorizations must include:
 *
 * *   `public_repo` scope or `repo` scope to create a public repository. Note: For GitHub AE, use `repo` scope to create an internal repository.
 * *   `repo` scope to create a private repository
 */
export const useReposCreateInOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Repository,
      ReposCreateInOrgError,
      ReposCreateInOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Repository,
    ReposCreateInOrgError,
    ReposCreateInOrgVariables
  >(
    (variables: ReposCreateInOrgVariables) =>
      fetchReposCreateInOrg({ ...fetcherOptions, ...variables }),
    options
  );
};

export type BillingGetGithubActionsBillingOrgPathParams = {
  org: string;
};

export type BillingGetGithubActionsBillingOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type BillingGetGithubActionsBillingOrgVariables = {
  pathParams: BillingGetGithubActionsBillingOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets the summary of the free and paid GitHub Actions minutes used.
 *
 * Paid minutes only apply to workflows in private repositories that use GitHub-hosted runners. Minutes used is listed for each GitHub-hosted runner operating system. Any job re-runs are also included in the usage. The usage returned includes any minute multipliers for macOS and Windows runners, and is rounded up to the nearest whole minute. For more information, see "[Managing billing for GitHub Actions](https://help.github.com/github/setting-up-and-managing-billing-and-payments-on-github/managing-billing-for-github-actions)".
 *
 * Access tokens must have the `repo` or `admin:org` scope.
 */
export const fetchBillingGetGithubActionsBillingOrg = (
  variables: BillingGetGithubActionsBillingOrgVariables
) =>
  githubFetch<
    Schemas.ActionsBillingUsage,
    BillingGetGithubActionsBillingOrgError,
    undefined,
    {},
    {},
    BillingGetGithubActionsBillingOrgPathParams
  >({
    url: "/orgs/{org}/settings/billing/actions",
    method: "get",
    ...variables,
  });

/**
 * Gets the summary of the free and paid GitHub Actions minutes used.
 *
 * Paid minutes only apply to workflows in private repositories that use GitHub-hosted runners. Minutes used is listed for each GitHub-hosted runner operating system. Any job re-runs are also included in the usage. The usage returned includes any minute multipliers for macOS and Windows runners, and is rounded up to the nearest whole minute. For more information, see "[Managing billing for GitHub Actions](https://help.github.com/github/setting-up-and-managing-billing-and-payments-on-github/managing-billing-for-github-actions)".
 *
 * Access tokens must have the `repo` or `admin:org` scope.
 */
export const useBillingGetGithubActionsBillingOrg = <
  TData = Schemas.ActionsBillingUsage
>(
  variables: BillingGetGithubActionsBillingOrgVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.ActionsBillingUsage,
      BillingGetGithubActionsBillingOrgError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.ActionsBillingUsage,
    BillingGetGithubActionsBillingOrgError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/settings/billing/actions",
      operationId: "billingGetGithubActionsBillingOrg",
      variables,
    }),
    () =>
      fetchBillingGetGithubActionsBillingOrg({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type BillingGetGithubPackagesBillingOrgPathParams = {
  org: string;
};

export type BillingGetGithubPackagesBillingOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type BillingGetGithubPackagesBillingOrgVariables = {
  pathParams: BillingGetGithubPackagesBillingOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets the free and paid storage usued for GitHub Packages in gigabytes.
 *
 * Paid minutes only apply to packages stored for private repositories. For more information, see "[Managing billing for GitHub Packages](https://help.github.com/github/setting-up-and-managing-billing-and-payments-on-github/managing-billing-for-github-packages)."
 *
 * Access tokens must have the `repo` or `admin:org` scope.
 */
export const fetchBillingGetGithubPackagesBillingOrg = (
  variables: BillingGetGithubPackagesBillingOrgVariables
) =>
  githubFetch<
    Schemas.PackagesBillingUsage,
    BillingGetGithubPackagesBillingOrgError,
    undefined,
    {},
    {},
    BillingGetGithubPackagesBillingOrgPathParams
  >({
    url: "/orgs/{org}/settings/billing/packages",
    method: "get",
    ...variables,
  });

/**
 * Gets the free and paid storage usued for GitHub Packages in gigabytes.
 *
 * Paid minutes only apply to packages stored for private repositories. For more information, see "[Managing billing for GitHub Packages](https://help.github.com/github/setting-up-and-managing-billing-and-payments-on-github/managing-billing-for-github-packages)."
 *
 * Access tokens must have the `repo` or `admin:org` scope.
 */
export const useBillingGetGithubPackagesBillingOrg = <
  TData = Schemas.PackagesBillingUsage
>(
  variables: BillingGetGithubPackagesBillingOrgVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.PackagesBillingUsage,
      BillingGetGithubPackagesBillingOrgError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.PackagesBillingUsage,
    BillingGetGithubPackagesBillingOrgError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/settings/billing/packages",
      operationId: "billingGetGithubPackagesBillingOrg",
      variables,
    }),
    () =>
      fetchBillingGetGithubPackagesBillingOrg({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type BillingGetSharedStorageBillingOrgPathParams = {
  org: string;
};

export type BillingGetSharedStorageBillingOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type BillingGetSharedStorageBillingOrgVariables = {
  pathParams: BillingGetSharedStorageBillingOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets the estimated paid and estimated total storage used for GitHub Actions and Github Packages.
 *
 * Paid minutes only apply to packages stored for private repositories. For more information, see "[Managing billing for GitHub Packages](https://help.github.com/github/setting-up-and-managing-billing-and-payments-on-github/managing-billing-for-github-packages)."
 *
 * Access tokens must have the `repo` or `admin:org` scope.
 */
export const fetchBillingGetSharedStorageBillingOrg = (
  variables: BillingGetSharedStorageBillingOrgVariables
) =>
  githubFetch<
    Schemas.CombinedBillingUsage,
    BillingGetSharedStorageBillingOrgError,
    undefined,
    {},
    {},
    BillingGetSharedStorageBillingOrgPathParams
  >({
    url: "/orgs/{org}/settings/billing/shared-storage",
    method: "get",
    ...variables,
  });

/**
 * Gets the estimated paid and estimated total storage used for GitHub Actions and Github Packages.
 *
 * Paid minutes only apply to packages stored for private repositories. For more information, see "[Managing billing for GitHub Packages](https://help.github.com/github/setting-up-and-managing-billing-and-payments-on-github/managing-billing-for-github-packages)."
 *
 * Access tokens must have the `repo` or `admin:org` scope.
 */
export const useBillingGetSharedStorageBillingOrg = <
  TData = Schemas.CombinedBillingUsage
>(
  variables: BillingGetSharedStorageBillingOrgVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.CombinedBillingUsage,
      BillingGetSharedStorageBillingOrgError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.CombinedBillingUsage,
    BillingGetSharedStorageBillingOrgError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/settings/billing/shared-storage",
      operationId: "billingGetSharedStorageBillingOrg",
      variables,
    }),
    () =>
      fetchBillingGetSharedStorageBillingOrg({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type TeamsListIdpGroupsForOrgPathParams = {
  org: string;
};

export type TeamsListIdpGroupsForOrgQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page token
   */
  page?: string;
};

export type TeamsListIdpGroupsForOrgError = Fetcher.ErrorWrapper<undefined>;

export type TeamsListIdpGroupsForOrgVariables = {
  pathParams: TeamsListIdpGroupsForOrgPathParams;
  queryParams?: TeamsListIdpGroupsForOrgQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Team synchronization is available for organizations using GitHub Enterprise Cloud. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * List IdP groups available in an organization. You can limit your page results using the `per_page` parameter. GitHub generates a url-encoded `page` token using a cursor value for where the next page begins. For more information on cursor pagination, see "[Offset and Cursor Pagination explained](https://dev.to/jackmarchant/offset-and-cursor-pagination-explained-b89)."
 *
 * The `per_page` parameter provides pagination for a list of IdP groups the authenticated user can access in an organization. For example, if the user `octocat` wants to see two groups per page in `octo-org` via cURL, it would look like this:
 */
export const fetchTeamsListIdpGroupsForOrg = (
  variables: TeamsListIdpGroupsForOrgVariables
) =>
  githubFetch<
    Schemas.GroupMapping,
    TeamsListIdpGroupsForOrgError,
    undefined,
    {},
    TeamsListIdpGroupsForOrgQueryParams,
    TeamsListIdpGroupsForOrgPathParams
  >({ url: "/orgs/{org}/team-sync/groups", method: "get", ...variables });

/**
 * Team synchronization is available for organizations using GitHub Enterprise Cloud. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * List IdP groups available in an organization. You can limit your page results using the `per_page` parameter. GitHub generates a url-encoded `page` token using a cursor value for where the next page begins. For more information on cursor pagination, see "[Offset and Cursor Pagination explained](https://dev.to/jackmarchant/offset-and-cursor-pagination-explained-b89)."
 *
 * The `per_page` parameter provides pagination for a list of IdP groups the authenticated user can access in an organization. For example, if the user `octocat` wants to see two groups per page in `octo-org` via cURL, it would look like this:
 */
export const useTeamsListIdpGroupsForOrg = <TData = Schemas.GroupMapping>(
  variables: TeamsListIdpGroupsForOrgVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.GroupMapping,
      TeamsListIdpGroupsForOrgError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.GroupMapping,
    TeamsListIdpGroupsForOrgError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/team-sync/groups",
      operationId: "teamsListIdpGroupsForOrg",
      variables,
    }),
    () => fetchTeamsListIdpGroupsForOrg({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type TeamsListPathParams = {
  org: string;
};

export type TeamsListQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type TeamsListError = Fetcher.ErrorWrapper<{
  status: 403;
  payload: Responses.Forbidden;
}>;

export type TeamsListResponse = Schemas.Team[];

export type TeamsListVariables = {
  pathParams: TeamsListPathParams;
  queryParams?: TeamsListQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists all teams in an organization that are visible to the authenticated user.
 */
export const fetchTeamsList = (variables: TeamsListVariables) =>
  githubFetch<
    TeamsListResponse,
    TeamsListError,
    undefined,
    {},
    TeamsListQueryParams,
    TeamsListPathParams
  >({ url: "/orgs/{org}/teams", method: "get", ...variables });

/**
 * Lists all teams in an organization that are visible to the authenticated user.
 */
export const useTeamsList = <TData = TeamsListResponse>(
  variables: TeamsListVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<TeamsListResponse, TeamsListError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<TeamsListResponse, TeamsListError, TData>(
    queryKeyFn({
      path: "/orgs/{org}/teams",
      operationId: "teamsList",
      variables,
    }),
    () => fetchTeamsList({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type TeamsCreatePathParams = {
  org: string;
};

export type TeamsCreateError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type TeamsCreateRequestBody = {
  /*
   * The description of the team.
   */
  description?: string;
  /*
   * List GitHub IDs for organization members who will become team maintainers.
   */
  maintainers?: string[];
  /*
   * The name of the team.
   */
  name: string;
  /*
   * The ID of a team to set as the parent team.
   */
  parent_team_id?: number;
  /*
   * **Deprecated**. The permission that new repositories will be added to the team with when none is specified. Can be one of:
   * \* `pull` - team members can pull, but not push to or administer newly-added repositories.
   * \* `push` - team members can pull and push, but not administer newly-added repositories.
   * \* `admin` - team members can pull, push and administer newly-added repositories.
   *
   * @default pull
   */
  permission?: "pull" | "push" | "admin";
  /*
   * The level of privacy this team should have. The options are:
   * **For a non-nested team:**
   * \* `secret` - only visible to organization owners and members of this team.
   * \* `closed` - visible to all members of this organization.
   * Default: `secret`
   * **For a parent or child team:**
   * \* `closed` - visible to all members of this organization.
   * Default for child team: `closed`
   */
  privacy?: "secret" | "closed";
  /*
   * The full name (e.g., "organization-name/repository-name") of repositories to add the team to.
   */
  repo_names?: string[];
};

export type TeamsCreateVariables = {
  body: TeamsCreateRequestBody;
  pathParams: TeamsCreatePathParams;
} & GithubContext["fetcherOptions"];

/**
 * To create a team, the authenticated user must be a member or owner of `{org}`. By default, organization members can create teams. Organization owners can limit team creation to organization owners. For more information, see "[Setting team creation permissions](https://help.github.com/en/articles/setting-team-creation-permissions-in-your-organization)."
 *
 * When you create a new team, you automatically become a team maintainer without explicitly adding yourself to the optional array of `maintainers`. For more information, see "[About teams](https://help.github.com/en/github/setting-up-and-managing-organizations-and-teams/about-teams)".
 */
export const fetchTeamsCreate = (variables: TeamsCreateVariables) =>
  githubFetch<
    Schemas.TeamFull,
    TeamsCreateError,
    TeamsCreateRequestBody,
    {},
    {},
    TeamsCreatePathParams
  >({ url: "/orgs/{org}/teams", method: "post", ...variables });

/**
 * To create a team, the authenticated user must be a member or owner of `{org}`. By default, organization members can create teams. Organization owners can limit team creation to organization owners. For more information, see "[Setting team creation permissions](https://help.github.com/en/articles/setting-team-creation-permissions-in-your-organization)."
 *
 * When you create a new team, you automatically become a team maintainer without explicitly adding yourself to the optional array of `maintainers`. For more information, see "[About teams](https://help.github.com/en/github/setting-up-and-managing-organizations-and-teams/about-teams)".
 */
export const useTeamsCreate = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.TeamFull,
      TeamsCreateError,
      TeamsCreateVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.TeamFull,
    TeamsCreateError,
    TeamsCreateVariables
  >(
    (variables: TeamsCreateVariables) =>
      fetchTeamsCreate({ ...fetcherOptions, ...variables }),
    options
  );
};

export type TeamsDeleteInOrgPathParams = {
  org: string;
  /*
   * team_slug parameter
   */
  teamSlug: string;
};

export type TeamsDeleteInOrgError = Fetcher.ErrorWrapper<undefined>;

export type TeamsDeleteInOrgVariables = {
  pathParams: TeamsDeleteInOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * To delete a team, the authenticated user must be an organization owner or team maintainer.
 *
 * If you are an organization owner, deleting a parent team will delete all of its child teams as well.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `DELETE /organizations/{org_id}/team/{team_id}`.
 */
export const fetchTeamsDeleteInOrg = (variables: TeamsDeleteInOrgVariables) =>
  githubFetch<
    undefined,
    TeamsDeleteInOrgError,
    undefined,
    {},
    {},
    TeamsDeleteInOrgPathParams
  >({ url: "/orgs/{org}/teams/{teamSlug}", method: "delete", ...variables });

/**
 * To delete a team, the authenticated user must be an organization owner or team maintainer.
 *
 * If you are an organization owner, deleting a parent team will delete all of its child teams as well.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `DELETE /organizations/{org_id}/team/{team_id}`.
 */
export const useTeamsDeleteInOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      TeamsDeleteInOrgError,
      TeamsDeleteInOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    TeamsDeleteInOrgError,
    TeamsDeleteInOrgVariables
  >(
    (variables: TeamsDeleteInOrgVariables) =>
      fetchTeamsDeleteInOrg({ ...fetcherOptions, ...variables }),
    options
  );
};

export type TeamsGetByNamePathParams = {
  org: string;
  /*
   * team_slug parameter
   */
  teamSlug: string;
};

export type TeamsGetByNameError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type TeamsGetByNameVariables = {
  pathParams: TeamsGetByNamePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets a team using the team's `slug`. GitHub generates the `slug` from the team `name`.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `GET /organizations/{org_id}/team/{team_id}`.
 */
export const fetchTeamsGetByName = (variables: TeamsGetByNameVariables) =>
  githubFetch<
    Schemas.TeamFull,
    TeamsGetByNameError,
    undefined,
    {},
    {},
    TeamsGetByNamePathParams
  >({ url: "/orgs/{org}/teams/{teamSlug}", method: "get", ...variables });

/**
 * Gets a team using the team's `slug`. GitHub generates the `slug` from the team `name`.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `GET /organizations/{org_id}/team/{team_id}`.
 */
export const useTeamsGetByName = <TData = Schemas.TeamFull>(
  variables: TeamsGetByNameVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<Schemas.TeamFull, TeamsGetByNameError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.TeamFull, TeamsGetByNameError, TData>(
    queryKeyFn({
      path: "/orgs/{org}/teams/{team_slug}",
      operationId: "teamsGetByName",
      variables,
    }),
    () => fetchTeamsGetByName({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type TeamsUpdateInOrgPathParams = {
  org: string;
  /*
   * team_slug parameter
   */
  teamSlug: string;
};

export type TeamsUpdateInOrgError = Fetcher.ErrorWrapper<undefined>;

export type TeamsUpdateInOrgRequestBody = {
  /*
   * The description of the team.
   */
  description?: string;
  /*
   * The name of the team.
   */
  name?: string;
  /*
   * The ID of a team to set as the parent team.
   */
  parent_team_id?: number | null;
  /*
   * **Deprecated**. The permission that new repositories will be added to the team with when none is specified. Can be one of:
   * \* `pull` - team members can pull, but not push to or administer newly-added repositories.
   * \* `push` - team members can pull and push, but not administer newly-added repositories.
   * \* `admin` - team members can pull, push and administer newly-added repositories.
   *
   * @default pull
   */
  permission?: "pull" | "push" | "admin";
  /*
   * The level of privacy this team should have. Editing teams without specifying this parameter leaves `privacy` intact. When a team is nested, the `privacy` for parent teams cannot be `secret`. The options are:
   * **For a non-nested team:**
   * \* `secret` - only visible to organization owners and members of this team.
   * \* `closed` - visible to all members of this organization.
   * **For a parent or child team:**
   * \* `closed` - visible to all members of this organization.
   */
  privacy?: "secret" | "closed";
};

export type TeamsUpdateInOrgVariables = {
  body?: TeamsUpdateInOrgRequestBody;
  pathParams: TeamsUpdateInOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * To edit a team, the authenticated user must either be an organization owner or a team maintainer.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `PATCH /organizations/{org_id}/team/{team_id}`.
 */
export const fetchTeamsUpdateInOrg = (variables: TeamsUpdateInOrgVariables) =>
  githubFetch<
    Schemas.TeamFull,
    TeamsUpdateInOrgError,
    TeamsUpdateInOrgRequestBody,
    {},
    {},
    TeamsUpdateInOrgPathParams
  >({ url: "/orgs/{org}/teams/{teamSlug}", method: "patch", ...variables });

/**
 * To edit a team, the authenticated user must either be an organization owner or a team maintainer.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `PATCH /organizations/{org_id}/team/{team_id}`.
 */
export const useTeamsUpdateInOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.TeamFull,
      TeamsUpdateInOrgError,
      TeamsUpdateInOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.TeamFull,
    TeamsUpdateInOrgError,
    TeamsUpdateInOrgVariables
  >(
    (variables: TeamsUpdateInOrgVariables) =>
      fetchTeamsUpdateInOrg({ ...fetcherOptions, ...variables }),
    options
  );
};

export type TeamsListDiscussionsInOrgPathParams = {
  org: string;
  /*
   * team_slug parameter
   */
  teamSlug: string;
};

export type TeamsListDiscussionsInOrgQueryParams = {
  /*
   * One of `asc` (ascending) or `desc` (descending).
   *
   * @default desc
   */
  direction?: "asc" | "desc";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
  /*
   * Pinned discussions only filter
   */
  pinned?: string;
};

export type TeamsListDiscussionsInOrgError = Fetcher.ErrorWrapper<undefined>;

export type TeamsListDiscussionsInOrgResponse = Schemas.TeamDiscussion[];

export type TeamsListDiscussionsInOrgVariables = {
  pathParams: TeamsListDiscussionsInOrgPathParams;
  queryParams?: TeamsListDiscussionsInOrgQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * List all discussions on a team's page. OAuth access tokens require the `read:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `GET /organizations/{org_id}/team/{team_id}/discussions`.
 */
export const fetchTeamsListDiscussionsInOrg = (
  variables: TeamsListDiscussionsInOrgVariables
) =>
  githubFetch<
    TeamsListDiscussionsInOrgResponse,
    TeamsListDiscussionsInOrgError,
    undefined,
    {},
    TeamsListDiscussionsInOrgQueryParams,
    TeamsListDiscussionsInOrgPathParams
  >({
    url: "/orgs/{org}/teams/{teamSlug}/discussions",
    method: "get",
    ...variables,
  });

/**
 * List all discussions on a team's page. OAuth access tokens require the `read:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `GET /organizations/{org_id}/team/{team_id}/discussions`.
 */
export const useTeamsListDiscussionsInOrg = <
  TData = TeamsListDiscussionsInOrgResponse
>(
  variables: TeamsListDiscussionsInOrgVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      TeamsListDiscussionsInOrgResponse,
      TeamsListDiscussionsInOrgError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    TeamsListDiscussionsInOrgResponse,
    TeamsListDiscussionsInOrgError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/teams/{team_slug}/discussions",
      operationId: "teamsListDiscussionsInOrg",
      variables,
    }),
    () => fetchTeamsListDiscussionsInOrg({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type TeamsCreateDiscussionInOrgPathParams = {
  org: string;
  /*
   * team_slug parameter
   */
  teamSlug: string;
};

export type TeamsCreateDiscussionInOrgError = Fetcher.ErrorWrapper<undefined>;

export type TeamsCreateDiscussionInOrgRequestBody = {
  /*
   * The discussion post's body text.
   */
  body: string;
  /*
   * Private posts are only visible to team members, organization owners, and team maintainers. Public posts are visible to all members of the organization. Set to `true` to create a private post.
   *
   * @default false
   */
  private?: boolean;
  /*
   * The discussion post's title.
   */
  title: string;
};

export type TeamsCreateDiscussionInOrgVariables = {
  body: TeamsCreateDiscussionInOrgRequestBody;
  pathParams: TeamsCreateDiscussionInOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Creates a new discussion post on a team's page. OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 *
 * This endpoint triggers [notifications](https://docs.github.com/en/github/managing-subscriptions-and-notifications-on-github/about-notifications). Creating content too quickly using this endpoint may result in abuse rate limiting. See "[Abuse rate limits](https://docs.github.com/rest/overview/resources-in-the-rest-api#abuse-rate-limits)" and "[Dealing with abuse rate limits](https://docs.github.com/rest/guides/best-practices-for-integrators#dealing-with-rate-limits)" for details.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `POST /organizations/{org_id}/team/{team_id}/discussions`.
 */
export const fetchTeamsCreateDiscussionInOrg = (
  variables: TeamsCreateDiscussionInOrgVariables
) =>
  githubFetch<
    Schemas.TeamDiscussion,
    TeamsCreateDiscussionInOrgError,
    TeamsCreateDiscussionInOrgRequestBody,
    {},
    {},
    TeamsCreateDiscussionInOrgPathParams
  >({
    url: "/orgs/{org}/teams/{teamSlug}/discussions",
    method: "post",
    ...variables,
  });

/**
 * Creates a new discussion post on a team's page. OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 *
 * This endpoint triggers [notifications](https://docs.github.com/en/github/managing-subscriptions-and-notifications-on-github/about-notifications). Creating content too quickly using this endpoint may result in abuse rate limiting. See "[Abuse rate limits](https://docs.github.com/rest/overview/resources-in-the-rest-api#abuse-rate-limits)" and "[Dealing with abuse rate limits](https://docs.github.com/rest/guides/best-practices-for-integrators#dealing-with-rate-limits)" for details.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `POST /organizations/{org_id}/team/{team_id}/discussions`.
 */
export const useTeamsCreateDiscussionInOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.TeamDiscussion,
      TeamsCreateDiscussionInOrgError,
      TeamsCreateDiscussionInOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.TeamDiscussion,
    TeamsCreateDiscussionInOrgError,
    TeamsCreateDiscussionInOrgVariables
  >(
    (variables: TeamsCreateDiscussionInOrgVariables) =>
      fetchTeamsCreateDiscussionInOrg({ ...fetcherOptions, ...variables }),
    options
  );
};

export type TeamsDeleteDiscussionInOrgPathParams = {
  org: string;
  /*
   * team_slug parameter
   */
  teamSlug: string;
  discussionNumber: number;
};

export type TeamsDeleteDiscussionInOrgError = Fetcher.ErrorWrapper<undefined>;

export type TeamsDeleteDiscussionInOrgVariables = {
  pathParams: TeamsDeleteDiscussionInOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Delete a discussion from a team's page. OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `DELETE /organizations/{org_id}/team/{team_id}/discussions/{discussion_number}`.
 */
export const fetchTeamsDeleteDiscussionInOrg = (
  variables: TeamsDeleteDiscussionInOrgVariables
) =>
  githubFetch<
    undefined,
    TeamsDeleteDiscussionInOrgError,
    undefined,
    {},
    {},
    TeamsDeleteDiscussionInOrgPathParams
  >({
    url: "/orgs/{org}/teams/{teamSlug}/discussions/{discussionNumber}",
    method: "delete",
    ...variables,
  });

/**
 * Delete a discussion from a team's page. OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `DELETE /organizations/{org_id}/team/{team_id}/discussions/{discussion_number}`.
 */
export const useTeamsDeleteDiscussionInOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      TeamsDeleteDiscussionInOrgError,
      TeamsDeleteDiscussionInOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    TeamsDeleteDiscussionInOrgError,
    TeamsDeleteDiscussionInOrgVariables
  >(
    (variables: TeamsDeleteDiscussionInOrgVariables) =>
      fetchTeamsDeleteDiscussionInOrg({ ...fetcherOptions, ...variables }),
    options
  );
};

export type TeamsGetDiscussionInOrgPathParams = {
  org: string;
  /*
   * team_slug parameter
   */
  teamSlug: string;
  discussionNumber: number;
};

export type TeamsGetDiscussionInOrgError = Fetcher.ErrorWrapper<undefined>;

export type TeamsGetDiscussionInOrgVariables = {
  pathParams: TeamsGetDiscussionInOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Get a specific discussion on a team's page. OAuth access tokens require the `read:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `GET /organizations/{org_id}/team/{team_id}/discussions/{discussion_number}`.
 */
export const fetchTeamsGetDiscussionInOrg = (
  variables: TeamsGetDiscussionInOrgVariables
) =>
  githubFetch<
    Schemas.TeamDiscussion,
    TeamsGetDiscussionInOrgError,
    undefined,
    {},
    {},
    TeamsGetDiscussionInOrgPathParams
  >({
    url: "/orgs/{org}/teams/{teamSlug}/discussions/{discussionNumber}",
    method: "get",
    ...variables,
  });

/**
 * Get a specific discussion on a team's page. OAuth access tokens require the `read:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `GET /organizations/{org_id}/team/{team_id}/discussions/{discussion_number}`.
 */
export const useTeamsGetDiscussionInOrg = <TData = Schemas.TeamDiscussion>(
  variables: TeamsGetDiscussionInOrgVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.TeamDiscussion,
      TeamsGetDiscussionInOrgError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.TeamDiscussion,
    TeamsGetDiscussionInOrgError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/teams/{team_slug}/discussions/{discussion_number}",
      operationId: "teamsGetDiscussionInOrg",
      variables,
    }),
    () => fetchTeamsGetDiscussionInOrg({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type TeamsUpdateDiscussionInOrgPathParams = {
  org: string;
  /*
   * team_slug parameter
   */
  teamSlug: string;
  discussionNumber: number;
};

export type TeamsUpdateDiscussionInOrgError = Fetcher.ErrorWrapper<undefined>;

export type TeamsUpdateDiscussionInOrgRequestBody = {
  /*
   * The discussion post's body text.
   */
  body?: string;
  /*
   * The discussion post's title.
   */
  title?: string;
};

export type TeamsUpdateDiscussionInOrgVariables = {
  body?: TeamsUpdateDiscussionInOrgRequestBody;
  pathParams: TeamsUpdateDiscussionInOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Edits the title and body text of a discussion post. Only the parameters you provide are updated. OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `PATCH /organizations/{org_id}/team/{team_id}/discussions/{discussion_number}`.
 */
export const fetchTeamsUpdateDiscussionInOrg = (
  variables: TeamsUpdateDiscussionInOrgVariables
) =>
  githubFetch<
    Schemas.TeamDiscussion,
    TeamsUpdateDiscussionInOrgError,
    TeamsUpdateDiscussionInOrgRequestBody,
    {},
    {},
    TeamsUpdateDiscussionInOrgPathParams
  >({
    url: "/orgs/{org}/teams/{teamSlug}/discussions/{discussionNumber}",
    method: "patch",
    ...variables,
  });

/**
 * Edits the title and body text of a discussion post. Only the parameters you provide are updated. OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `PATCH /organizations/{org_id}/team/{team_id}/discussions/{discussion_number}`.
 */
export const useTeamsUpdateDiscussionInOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.TeamDiscussion,
      TeamsUpdateDiscussionInOrgError,
      TeamsUpdateDiscussionInOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.TeamDiscussion,
    TeamsUpdateDiscussionInOrgError,
    TeamsUpdateDiscussionInOrgVariables
  >(
    (variables: TeamsUpdateDiscussionInOrgVariables) =>
      fetchTeamsUpdateDiscussionInOrg({ ...fetcherOptions, ...variables }),
    options
  );
};

export type TeamsListDiscussionCommentsInOrgPathParams = {
  org: string;
  /*
   * team_slug parameter
   */
  teamSlug: string;
  discussionNumber: number;
};

export type TeamsListDiscussionCommentsInOrgQueryParams = {
  /*
   * One of `asc` (ascending) or `desc` (descending).
   *
   * @default desc
   */
  direction?: "asc" | "desc";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type TeamsListDiscussionCommentsInOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type TeamsListDiscussionCommentsInOrgResponse =
  Schemas.TeamDiscussionComment[];

export type TeamsListDiscussionCommentsInOrgVariables = {
  pathParams: TeamsListDiscussionCommentsInOrgPathParams;
  queryParams?: TeamsListDiscussionCommentsInOrgQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * List all comments on a team discussion. OAuth access tokens require the `read:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `GET /organizations/{org_id}/team/{team_id}/discussions/{discussion_number}/comments`.
 */
export const fetchTeamsListDiscussionCommentsInOrg = (
  variables: TeamsListDiscussionCommentsInOrgVariables
) =>
  githubFetch<
    TeamsListDiscussionCommentsInOrgResponse,
    TeamsListDiscussionCommentsInOrgError,
    undefined,
    {},
    TeamsListDiscussionCommentsInOrgQueryParams,
    TeamsListDiscussionCommentsInOrgPathParams
  >({
    url: "/orgs/{org}/teams/{teamSlug}/discussions/{discussionNumber}/comments",
    method: "get",
    ...variables,
  });

/**
 * List all comments on a team discussion. OAuth access tokens require the `read:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `GET /organizations/{org_id}/team/{team_id}/discussions/{discussion_number}/comments`.
 */
export const useTeamsListDiscussionCommentsInOrg = <
  TData = TeamsListDiscussionCommentsInOrgResponse
>(
  variables: TeamsListDiscussionCommentsInOrgVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      TeamsListDiscussionCommentsInOrgResponse,
      TeamsListDiscussionCommentsInOrgError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    TeamsListDiscussionCommentsInOrgResponse,
    TeamsListDiscussionCommentsInOrgError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/teams/{team_slug}/discussions/{discussion_number}/comments",
      operationId: "teamsListDiscussionCommentsInOrg",
      variables,
    }),
    () =>
      fetchTeamsListDiscussionCommentsInOrg({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type TeamsCreateDiscussionCommentInOrgPathParams = {
  org: string;
  /*
   * team_slug parameter
   */
  teamSlug: string;
  discussionNumber: number;
};

export type TeamsCreateDiscussionCommentInOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type TeamsCreateDiscussionCommentInOrgRequestBody = {
  /*
   * The discussion comment's body text.
   */
  body: string;
};

export type TeamsCreateDiscussionCommentInOrgVariables = {
  body: TeamsCreateDiscussionCommentInOrgRequestBody;
  pathParams: TeamsCreateDiscussionCommentInOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Creates a new comment on a team discussion. OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 *
 * This endpoint triggers [notifications](https://docs.github.com/en/github/managing-subscriptions-and-notifications-on-github/about-notifications). Creating content too quickly using this endpoint may result in abuse rate limiting. See "[Abuse rate limits](https://docs.github.com/rest/overview/resources-in-the-rest-api#abuse-rate-limits)" and "[Dealing with abuse rate limits](https://docs.github.com/rest/guides/best-practices-for-integrators#dealing-with-rate-limits)" for details.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `POST /organizations/{org_id}/team/{team_id}/discussions/{discussion_number}/comments`.
 */
export const fetchTeamsCreateDiscussionCommentInOrg = (
  variables: TeamsCreateDiscussionCommentInOrgVariables
) =>
  githubFetch<
    Schemas.TeamDiscussionComment,
    TeamsCreateDiscussionCommentInOrgError,
    TeamsCreateDiscussionCommentInOrgRequestBody,
    {},
    {},
    TeamsCreateDiscussionCommentInOrgPathParams
  >({
    url: "/orgs/{org}/teams/{teamSlug}/discussions/{discussionNumber}/comments",
    method: "post",
    ...variables,
  });

/**
 * Creates a new comment on a team discussion. OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 *
 * This endpoint triggers [notifications](https://docs.github.com/en/github/managing-subscriptions-and-notifications-on-github/about-notifications). Creating content too quickly using this endpoint may result in abuse rate limiting. See "[Abuse rate limits](https://docs.github.com/rest/overview/resources-in-the-rest-api#abuse-rate-limits)" and "[Dealing with abuse rate limits](https://docs.github.com/rest/guides/best-practices-for-integrators#dealing-with-rate-limits)" for details.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `POST /organizations/{org_id}/team/{team_id}/discussions/{discussion_number}/comments`.
 */
export const useTeamsCreateDiscussionCommentInOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.TeamDiscussionComment,
      TeamsCreateDiscussionCommentInOrgError,
      TeamsCreateDiscussionCommentInOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.TeamDiscussionComment,
    TeamsCreateDiscussionCommentInOrgError,
    TeamsCreateDiscussionCommentInOrgVariables
  >(
    (variables: TeamsCreateDiscussionCommentInOrgVariables) =>
      fetchTeamsCreateDiscussionCommentInOrg({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type TeamsDeleteDiscussionCommentInOrgPathParams = {
  org: string;
  /*
   * team_slug parameter
   */
  teamSlug: string;
  discussionNumber: number;
  commentNumber: number;
};

export type TeamsDeleteDiscussionCommentInOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type TeamsDeleteDiscussionCommentInOrgVariables = {
  pathParams: TeamsDeleteDiscussionCommentInOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Deletes a comment on a team discussion. OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `DELETE /organizations/{org_id}/team/{team_id}/discussions/{discussion_number}/comments/{comment_number}`.
 */
export const fetchTeamsDeleteDiscussionCommentInOrg = (
  variables: TeamsDeleteDiscussionCommentInOrgVariables
) =>
  githubFetch<
    undefined,
    TeamsDeleteDiscussionCommentInOrgError,
    undefined,
    {},
    {},
    TeamsDeleteDiscussionCommentInOrgPathParams
  >({
    url: "/orgs/{org}/teams/{teamSlug}/discussions/{discussionNumber}/comments/{commentNumber}",
    method: "delete",
    ...variables,
  });

/**
 * Deletes a comment on a team discussion. OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `DELETE /organizations/{org_id}/team/{team_id}/discussions/{discussion_number}/comments/{comment_number}`.
 */
export const useTeamsDeleteDiscussionCommentInOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      TeamsDeleteDiscussionCommentInOrgError,
      TeamsDeleteDiscussionCommentInOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    TeamsDeleteDiscussionCommentInOrgError,
    TeamsDeleteDiscussionCommentInOrgVariables
  >(
    (variables: TeamsDeleteDiscussionCommentInOrgVariables) =>
      fetchTeamsDeleteDiscussionCommentInOrg({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type TeamsGetDiscussionCommentInOrgPathParams = {
  org: string;
  /*
   * team_slug parameter
   */
  teamSlug: string;
  discussionNumber: number;
  commentNumber: number;
};

export type TeamsGetDiscussionCommentInOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type TeamsGetDiscussionCommentInOrgVariables = {
  pathParams: TeamsGetDiscussionCommentInOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Get a specific comment on a team discussion. OAuth access tokens require the `read:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `GET /organizations/{org_id}/team/{team_id}/discussions/{discussion_number}/comments/{comment_number}`.
 */
export const fetchTeamsGetDiscussionCommentInOrg = (
  variables: TeamsGetDiscussionCommentInOrgVariables
) =>
  githubFetch<
    Schemas.TeamDiscussionComment,
    TeamsGetDiscussionCommentInOrgError,
    undefined,
    {},
    {},
    TeamsGetDiscussionCommentInOrgPathParams
  >({
    url: "/orgs/{org}/teams/{teamSlug}/discussions/{discussionNumber}/comments/{commentNumber}",
    method: "get",
    ...variables,
  });

/**
 * Get a specific comment on a team discussion. OAuth access tokens require the `read:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `GET /organizations/{org_id}/team/{team_id}/discussions/{discussion_number}/comments/{comment_number}`.
 */
export const useTeamsGetDiscussionCommentInOrg = <
  TData = Schemas.TeamDiscussionComment
>(
  variables: TeamsGetDiscussionCommentInOrgVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.TeamDiscussionComment,
      TeamsGetDiscussionCommentInOrgError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.TeamDiscussionComment,
    TeamsGetDiscussionCommentInOrgError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/teams/{team_slug}/discussions/{discussion_number}/comments/{comment_number}",
      operationId: "teamsGetDiscussionCommentInOrg",
      variables,
    }),
    () =>
      fetchTeamsGetDiscussionCommentInOrg({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type TeamsUpdateDiscussionCommentInOrgPathParams = {
  org: string;
  /*
   * team_slug parameter
   */
  teamSlug: string;
  discussionNumber: number;
  commentNumber: number;
};

export type TeamsUpdateDiscussionCommentInOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type TeamsUpdateDiscussionCommentInOrgRequestBody = {
  /*
   * The discussion comment's body text.
   */
  body: string;
};

export type TeamsUpdateDiscussionCommentInOrgVariables = {
  body: TeamsUpdateDiscussionCommentInOrgRequestBody;
  pathParams: TeamsUpdateDiscussionCommentInOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Edits the body text of a discussion comment. OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `PATCH /organizations/{org_id}/team/{team_id}/discussions/{discussion_number}/comments/{comment_number}`.
 */
export const fetchTeamsUpdateDiscussionCommentInOrg = (
  variables: TeamsUpdateDiscussionCommentInOrgVariables
) =>
  githubFetch<
    Schemas.TeamDiscussionComment,
    TeamsUpdateDiscussionCommentInOrgError,
    TeamsUpdateDiscussionCommentInOrgRequestBody,
    {},
    {},
    TeamsUpdateDiscussionCommentInOrgPathParams
  >({
    url: "/orgs/{org}/teams/{teamSlug}/discussions/{discussionNumber}/comments/{commentNumber}",
    method: "patch",
    ...variables,
  });

/**
 * Edits the body text of a discussion comment. OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `PATCH /organizations/{org_id}/team/{team_id}/discussions/{discussion_number}/comments/{comment_number}`.
 */
export const useTeamsUpdateDiscussionCommentInOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.TeamDiscussionComment,
      TeamsUpdateDiscussionCommentInOrgError,
      TeamsUpdateDiscussionCommentInOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.TeamDiscussionComment,
    TeamsUpdateDiscussionCommentInOrgError,
    TeamsUpdateDiscussionCommentInOrgVariables
  >(
    (variables: TeamsUpdateDiscussionCommentInOrgVariables) =>
      fetchTeamsUpdateDiscussionCommentInOrg({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ReactionsListForTeamDiscussionCommentInOrgPathParams = {
  org: string;
  /*
   * team_slug parameter
   */
  teamSlug: string;
  discussionNumber: number;
  commentNumber: number;
};

export type ReactionsListForTeamDiscussionCommentInOrgQueryParams = {
  /*
   * Returns a single [reaction type](https://docs.github.com/rest/reference/reactions#reaction-types). Omit this parameter to list all reactions to a team discussion comment.
   */
  content?:
    | "+1"
    | "-1"
    | "laugh"
    | "confused"
    | "heart"
    | "hooray"
    | "rocket"
    | "eyes";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ReactionsListForTeamDiscussionCommentInOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type ReactionsListForTeamDiscussionCommentInOrgResponse =
  Schemas.Reaction[];

export type ReactionsListForTeamDiscussionCommentInOrgVariables = {
  pathParams: ReactionsListForTeamDiscussionCommentInOrgPathParams;
  queryParams?: ReactionsListForTeamDiscussionCommentInOrgQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * List the reactions to a [team discussion comment](https://docs.github.com/rest/reference/teams#discussion-comments/). OAuth access tokens require the `read:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `GET /organizations/:org_id/team/:team_id/discussions/:discussion_number/comments/:comment_number/reactions`.
 */
export const fetchReactionsListForTeamDiscussionCommentInOrg = (
  variables: ReactionsListForTeamDiscussionCommentInOrgVariables
) =>
  githubFetch<
    ReactionsListForTeamDiscussionCommentInOrgResponse,
    ReactionsListForTeamDiscussionCommentInOrgError,
    undefined,
    {},
    ReactionsListForTeamDiscussionCommentInOrgQueryParams,
    ReactionsListForTeamDiscussionCommentInOrgPathParams
  >({
    url: "/orgs/{org}/teams/{teamSlug}/discussions/{discussionNumber}/comments/{commentNumber}/reactions",
    method: "get",
    ...variables,
  });

/**
 * List the reactions to a [team discussion comment](https://docs.github.com/rest/reference/teams#discussion-comments/). OAuth access tokens require the `read:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `GET /organizations/:org_id/team/:team_id/discussions/:discussion_number/comments/:comment_number/reactions`.
 */
export const useReactionsListForTeamDiscussionCommentInOrg = <
  TData = ReactionsListForTeamDiscussionCommentInOrgResponse
>(
  variables: ReactionsListForTeamDiscussionCommentInOrgVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReactionsListForTeamDiscussionCommentInOrgResponse,
      ReactionsListForTeamDiscussionCommentInOrgError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReactionsListForTeamDiscussionCommentInOrgResponse,
    ReactionsListForTeamDiscussionCommentInOrgError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/teams/{team_slug}/discussions/{discussion_number}/comments/{comment_number}/reactions",
      operationId: "reactionsListForTeamDiscussionCommentInOrg",
      variables,
    }),
    () =>
      fetchReactionsListForTeamDiscussionCommentInOrg({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReactionsCreateForTeamDiscussionCommentInOrgPathParams = {
  org: string;
  /*
   * team_slug parameter
   */
  teamSlug: string;
  discussionNumber: number;
  commentNumber: number;
};

export type ReactionsCreateForTeamDiscussionCommentInOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type ReactionsCreateForTeamDiscussionCommentInOrgRequestBody = {
  /*
   * The [reaction type](https://docs.github.com/rest/reference/reactions#reaction-types) to add to the team discussion comment.
   */
  content:
    | "+1"
    | "-1"
    | "laugh"
    | "confused"
    | "heart"
    | "hooray"
    | "rocket"
    | "eyes";
};

export type ReactionsCreateForTeamDiscussionCommentInOrgVariables = {
  body: ReactionsCreateForTeamDiscussionCommentInOrgRequestBody;
  pathParams: ReactionsCreateForTeamDiscussionCommentInOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Create a reaction to a [team discussion comment](https://docs.github.com/rest/reference/teams#discussion-comments). OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/). A response with a `Status: 200 OK` means that you already added the reaction type to this team discussion comment.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `POST /organizations/:org_id/team/:team_id/discussions/:discussion_number/comments/:comment_number/reactions`.
 */
export const fetchReactionsCreateForTeamDiscussionCommentInOrg = (
  variables: ReactionsCreateForTeamDiscussionCommentInOrgVariables
) =>
  githubFetch<
    Schemas.Reaction,
    ReactionsCreateForTeamDiscussionCommentInOrgError,
    ReactionsCreateForTeamDiscussionCommentInOrgRequestBody,
    {},
    {},
    ReactionsCreateForTeamDiscussionCommentInOrgPathParams
  >({
    url: "/orgs/{org}/teams/{teamSlug}/discussions/{discussionNumber}/comments/{commentNumber}/reactions",
    method: "post",
    ...variables,
  });

/**
 * Create a reaction to a [team discussion comment](https://docs.github.com/rest/reference/teams#discussion-comments). OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/). A response with a `Status: 200 OK` means that you already added the reaction type to this team discussion comment.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `POST /organizations/:org_id/team/:team_id/discussions/:discussion_number/comments/:comment_number/reactions`.
 */
export const useReactionsCreateForTeamDiscussionCommentInOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Reaction,
      ReactionsCreateForTeamDiscussionCommentInOrgError,
      ReactionsCreateForTeamDiscussionCommentInOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Reaction,
    ReactionsCreateForTeamDiscussionCommentInOrgError,
    ReactionsCreateForTeamDiscussionCommentInOrgVariables
  >(
    (variables: ReactionsCreateForTeamDiscussionCommentInOrgVariables) =>
      fetchReactionsCreateForTeamDiscussionCommentInOrg({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ReactionsDeleteForTeamDiscussionCommentPathParams = {
  org: string;
  /*
   * team_slug parameter
   */
  teamSlug: string;
  discussionNumber: number;
  commentNumber: number;
  reactionId: number;
};

export type ReactionsDeleteForTeamDiscussionCommentError =
  Fetcher.ErrorWrapper<undefined>;

export type ReactionsDeleteForTeamDiscussionCommentVariables = {
  pathParams: ReactionsDeleteForTeamDiscussionCommentPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Note:** You can also specify a team or organization with `team_id` and `org_id` using the route `DELETE /organizations/:org_id/team/:team_id/discussions/:discussion_number/comments/:comment_number/reactions/:reaction_id`.
 *
 * Delete a reaction to a [team discussion comment](https://docs.github.com/rest/reference/teams#discussion-comments). OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const fetchReactionsDeleteForTeamDiscussionComment = (
  variables: ReactionsDeleteForTeamDiscussionCommentVariables
) =>
  githubFetch<
    undefined,
    ReactionsDeleteForTeamDiscussionCommentError,
    undefined,
    {},
    {},
    ReactionsDeleteForTeamDiscussionCommentPathParams
  >({
    url: "/orgs/{org}/teams/{teamSlug}/discussions/{discussionNumber}/comments/{commentNumber}/reactions/{reactionId}",
    method: "delete",
    ...variables,
  });

/**
 * **Note:** You can also specify a team or organization with `team_id` and `org_id` using the route `DELETE /organizations/:org_id/team/:team_id/discussions/:discussion_number/comments/:comment_number/reactions/:reaction_id`.
 *
 * Delete a reaction to a [team discussion comment](https://docs.github.com/rest/reference/teams#discussion-comments). OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const useReactionsDeleteForTeamDiscussionComment = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ReactionsDeleteForTeamDiscussionCommentError,
      ReactionsDeleteForTeamDiscussionCommentVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ReactionsDeleteForTeamDiscussionCommentError,
    ReactionsDeleteForTeamDiscussionCommentVariables
  >(
    (variables: ReactionsDeleteForTeamDiscussionCommentVariables) =>
      fetchReactionsDeleteForTeamDiscussionComment({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ReactionsListForTeamDiscussionInOrgPathParams = {
  org: string;
  /*
   * team_slug parameter
   */
  teamSlug: string;
  discussionNumber: number;
};

export type ReactionsListForTeamDiscussionInOrgQueryParams = {
  /*
   * Returns a single [reaction type](https://docs.github.com/rest/reference/reactions#reaction-types). Omit this parameter to list all reactions to a team discussion.
   */
  content?:
    | "+1"
    | "-1"
    | "laugh"
    | "confused"
    | "heart"
    | "hooray"
    | "rocket"
    | "eyes";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ReactionsListForTeamDiscussionInOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type ReactionsListForTeamDiscussionInOrgResponse = Schemas.Reaction[];

export type ReactionsListForTeamDiscussionInOrgVariables = {
  pathParams: ReactionsListForTeamDiscussionInOrgPathParams;
  queryParams?: ReactionsListForTeamDiscussionInOrgQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * List the reactions to a [team discussion](https://docs.github.com/rest/reference/teams#discussions). OAuth access tokens require the `read:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `GET /organizations/:org_id/team/:team_id/discussions/:discussion_number/reactions`.
 */
export const fetchReactionsListForTeamDiscussionInOrg = (
  variables: ReactionsListForTeamDiscussionInOrgVariables
) =>
  githubFetch<
    ReactionsListForTeamDiscussionInOrgResponse,
    ReactionsListForTeamDiscussionInOrgError,
    undefined,
    {},
    ReactionsListForTeamDiscussionInOrgQueryParams,
    ReactionsListForTeamDiscussionInOrgPathParams
  >({
    url: "/orgs/{org}/teams/{teamSlug}/discussions/{discussionNumber}/reactions",
    method: "get",
    ...variables,
  });

/**
 * List the reactions to a [team discussion](https://docs.github.com/rest/reference/teams#discussions). OAuth access tokens require the `read:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `GET /organizations/:org_id/team/:team_id/discussions/:discussion_number/reactions`.
 */
export const useReactionsListForTeamDiscussionInOrg = <
  TData = ReactionsListForTeamDiscussionInOrgResponse
>(
  variables: ReactionsListForTeamDiscussionInOrgVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReactionsListForTeamDiscussionInOrgResponse,
      ReactionsListForTeamDiscussionInOrgError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReactionsListForTeamDiscussionInOrgResponse,
    ReactionsListForTeamDiscussionInOrgError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/teams/{team_slug}/discussions/{discussion_number}/reactions",
      operationId: "reactionsListForTeamDiscussionInOrg",
      variables,
    }),
    () =>
      fetchReactionsListForTeamDiscussionInOrg({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReactionsCreateForTeamDiscussionInOrgPathParams = {
  org: string;
  /*
   * team_slug parameter
   */
  teamSlug: string;
  discussionNumber: number;
};

export type ReactionsCreateForTeamDiscussionInOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type ReactionsCreateForTeamDiscussionInOrgRequestBody = {
  /*
   * The [reaction type](https://docs.github.com/rest/reference/reactions#reaction-types) to add to the team discussion.
   */
  content:
    | "+1"
    | "-1"
    | "laugh"
    | "confused"
    | "heart"
    | "hooray"
    | "rocket"
    | "eyes";
};

export type ReactionsCreateForTeamDiscussionInOrgVariables = {
  body: ReactionsCreateForTeamDiscussionInOrgRequestBody;
  pathParams: ReactionsCreateForTeamDiscussionInOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Create a reaction to a [team discussion](https://docs.github.com/rest/reference/teams#discussions). OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/). A response with a `Status: 200 OK` means that you already added the reaction type to this team discussion.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `POST /organizations/:org_id/team/:team_id/discussions/:discussion_number/reactions`.
 */
export const fetchReactionsCreateForTeamDiscussionInOrg = (
  variables: ReactionsCreateForTeamDiscussionInOrgVariables
) =>
  githubFetch<
    Schemas.Reaction,
    ReactionsCreateForTeamDiscussionInOrgError,
    ReactionsCreateForTeamDiscussionInOrgRequestBody,
    {},
    {},
    ReactionsCreateForTeamDiscussionInOrgPathParams
  >({
    url: "/orgs/{org}/teams/{teamSlug}/discussions/{discussionNumber}/reactions",
    method: "post",
    ...variables,
  });

/**
 * Create a reaction to a [team discussion](https://docs.github.com/rest/reference/teams#discussions). OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/). A response with a `Status: 200 OK` means that you already added the reaction type to this team discussion.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `POST /organizations/:org_id/team/:team_id/discussions/:discussion_number/reactions`.
 */
export const useReactionsCreateForTeamDiscussionInOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Reaction,
      ReactionsCreateForTeamDiscussionInOrgError,
      ReactionsCreateForTeamDiscussionInOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Reaction,
    ReactionsCreateForTeamDiscussionInOrgError,
    ReactionsCreateForTeamDiscussionInOrgVariables
  >(
    (variables: ReactionsCreateForTeamDiscussionInOrgVariables) =>
      fetchReactionsCreateForTeamDiscussionInOrg({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ReactionsDeleteForTeamDiscussionPathParams = {
  org: string;
  /*
   * team_slug parameter
   */
  teamSlug: string;
  discussionNumber: number;
  reactionId: number;
};

export type ReactionsDeleteForTeamDiscussionError =
  Fetcher.ErrorWrapper<undefined>;

export type ReactionsDeleteForTeamDiscussionVariables = {
  pathParams: ReactionsDeleteForTeamDiscussionPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Note:** You can also specify a team or organization with `team_id` and `org_id` using the route `DELETE /organizations/:org_id/team/:team_id/discussions/:discussion_number/reactions/:reaction_id`.
 *
 * Delete a reaction to a [team discussion](https://docs.github.com/rest/reference/teams#discussions). OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const fetchReactionsDeleteForTeamDiscussion = (
  variables: ReactionsDeleteForTeamDiscussionVariables
) =>
  githubFetch<
    undefined,
    ReactionsDeleteForTeamDiscussionError,
    undefined,
    {},
    {},
    ReactionsDeleteForTeamDiscussionPathParams
  >({
    url: "/orgs/{org}/teams/{teamSlug}/discussions/{discussionNumber}/reactions/{reactionId}",
    method: "delete",
    ...variables,
  });

/**
 * **Note:** You can also specify a team or organization with `team_id` and `org_id` using the route `DELETE /organizations/:org_id/team/:team_id/discussions/:discussion_number/reactions/:reaction_id`.
 *
 * Delete a reaction to a [team discussion](https://docs.github.com/rest/reference/teams#discussions). OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const useReactionsDeleteForTeamDiscussion = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ReactionsDeleteForTeamDiscussionError,
      ReactionsDeleteForTeamDiscussionVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ReactionsDeleteForTeamDiscussionError,
    ReactionsDeleteForTeamDiscussionVariables
  >(
    (variables: ReactionsDeleteForTeamDiscussionVariables) =>
      fetchReactionsDeleteForTeamDiscussion({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type TeamsListPendingInvitationsInOrgPathParams = {
  org: string;
  /*
   * team_slug parameter
   */
  teamSlug: string;
};

export type TeamsListPendingInvitationsInOrgQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type TeamsListPendingInvitationsInOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type TeamsListPendingInvitationsInOrgResponse =
  Schemas.OrganizationInvitation[];

export type TeamsListPendingInvitationsInOrgVariables = {
  pathParams: TeamsListPendingInvitationsInOrgPathParams;
  queryParams?: TeamsListPendingInvitationsInOrgQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * The return hash contains a `role` field which refers to the Organization Invitation role and will be one of the following values: `direct_member`, `admin`, `billing_manager`, `hiring_manager`, or `reinstate`. If the invitee is not a GitHub member, the `login` field in the return hash will be `null`.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `GET /organizations/{org_id}/team/{team_id}/invitations`.
 */
export const fetchTeamsListPendingInvitationsInOrg = (
  variables: TeamsListPendingInvitationsInOrgVariables
) =>
  githubFetch<
    TeamsListPendingInvitationsInOrgResponse,
    TeamsListPendingInvitationsInOrgError,
    undefined,
    {},
    TeamsListPendingInvitationsInOrgQueryParams,
    TeamsListPendingInvitationsInOrgPathParams
  >({
    url: "/orgs/{org}/teams/{teamSlug}/invitations",
    method: "get",
    ...variables,
  });

/**
 * The return hash contains a `role` field which refers to the Organization Invitation role and will be one of the following values: `direct_member`, `admin`, `billing_manager`, `hiring_manager`, or `reinstate`. If the invitee is not a GitHub member, the `login` field in the return hash will be `null`.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `GET /organizations/{org_id}/team/{team_id}/invitations`.
 */
export const useTeamsListPendingInvitationsInOrg = <
  TData = TeamsListPendingInvitationsInOrgResponse
>(
  variables: TeamsListPendingInvitationsInOrgVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      TeamsListPendingInvitationsInOrgResponse,
      TeamsListPendingInvitationsInOrgError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    TeamsListPendingInvitationsInOrgResponse,
    TeamsListPendingInvitationsInOrgError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/teams/{team_slug}/invitations",
      operationId: "teamsListPendingInvitationsInOrg",
      variables,
    }),
    () =>
      fetchTeamsListPendingInvitationsInOrg({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type TeamsListMembersInOrgPathParams = {
  org: string;
  /*
   * team_slug parameter
   */
  teamSlug: string;
};

export type TeamsListMembersInOrgQueryParams = {
  /*
   * Filters members returned by their role in the team. Can be one of:
   * \* `member` - normal members of the team.
   * \* `maintainer` - team maintainers.
   * \* `all` - all members of the team.
   *
   * @default all
   */
  role?: "member" | "maintainer" | "all";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type TeamsListMembersInOrgError = Fetcher.ErrorWrapper<undefined>;

export type TeamsListMembersInOrgResponse = Schemas.SimpleUser[];

export type TeamsListMembersInOrgVariables = {
  pathParams: TeamsListMembersInOrgPathParams;
  queryParams?: TeamsListMembersInOrgQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Team members will include the members of child teams.
 *
 * To list members in a team, the team must be visible to the authenticated user.
 */
export const fetchTeamsListMembersInOrg = (
  variables: TeamsListMembersInOrgVariables
) =>
  githubFetch<
    TeamsListMembersInOrgResponse,
    TeamsListMembersInOrgError,
    undefined,
    {},
    TeamsListMembersInOrgQueryParams,
    TeamsListMembersInOrgPathParams
  >({
    url: "/orgs/{org}/teams/{teamSlug}/members",
    method: "get",
    ...variables,
  });

/**
 * Team members will include the members of child teams.
 *
 * To list members in a team, the team must be visible to the authenticated user.
 */
export const useTeamsListMembersInOrg = <TData = TeamsListMembersInOrgResponse>(
  variables: TeamsListMembersInOrgVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      TeamsListMembersInOrgResponse,
      TeamsListMembersInOrgError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    TeamsListMembersInOrgResponse,
    TeamsListMembersInOrgError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/teams/{team_slug}/members",
      operationId: "teamsListMembersInOrg",
      variables,
    }),
    () => fetchTeamsListMembersInOrg({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type TeamsRemoveMembershipForUserInOrgPathParams = {
  org: string;
  /*
   * team_slug parameter
   */
  teamSlug: string;
  username: string;
};

export type TeamsRemoveMembershipForUserInOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type TeamsRemoveMembershipForUserInOrgVariables = {
  pathParams: TeamsRemoveMembershipForUserInOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Team synchronization is available for organizations using GitHub Enterprise Cloud. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * To remove a membership between a user and a team, the authenticated user must have 'admin' permissions to the team or be an owner of the organization that the team is associated with. Removing team membership does not delete the user, it just removes their membership from the team.
 *
 * **Note:** When you have team synchronization set up for a team with your organization's identity provider (IdP), you will see an error if you attempt to use the API for making changes to the team's membership. If you have access to manage group membership in your IdP, you can manage GitHub team membership through your identity provider, which automatically adds and removes team members in an organization. For more information, see "[Synchronizing teams between your identity provider and GitHub](https://help.github.com/articles/synchronizing-teams-between-your-identity-provider-and-github/)."
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `DELETE /organizations/{org_id}/team/{team_id}/memberships/{username}`.
 */
export const fetchTeamsRemoveMembershipForUserInOrg = (
  variables: TeamsRemoveMembershipForUserInOrgVariables
) =>
  githubFetch<
    undefined,
    TeamsRemoveMembershipForUserInOrgError,
    undefined,
    {},
    {},
    TeamsRemoveMembershipForUserInOrgPathParams
  >({
    url: "/orgs/{org}/teams/{teamSlug}/memberships/{username}",
    method: "delete",
    ...variables,
  });

/**
 * Team synchronization is available for organizations using GitHub Enterprise Cloud. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * To remove a membership between a user and a team, the authenticated user must have 'admin' permissions to the team or be an owner of the organization that the team is associated with. Removing team membership does not delete the user, it just removes their membership from the team.
 *
 * **Note:** When you have team synchronization set up for a team with your organization's identity provider (IdP), you will see an error if you attempt to use the API for making changes to the team's membership. If you have access to manage group membership in your IdP, you can manage GitHub team membership through your identity provider, which automatically adds and removes team members in an organization. For more information, see "[Synchronizing teams between your identity provider and GitHub](https://help.github.com/articles/synchronizing-teams-between-your-identity-provider-and-github/)."
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `DELETE /organizations/{org_id}/team/{team_id}/memberships/{username}`.
 */
export const useTeamsRemoveMembershipForUserInOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      TeamsRemoveMembershipForUserInOrgError,
      TeamsRemoveMembershipForUserInOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    TeamsRemoveMembershipForUserInOrgError,
    TeamsRemoveMembershipForUserInOrgVariables
  >(
    (variables: TeamsRemoveMembershipForUserInOrgVariables) =>
      fetchTeamsRemoveMembershipForUserInOrg({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type TeamsGetMembershipForUserInOrgPathParams = {
  org: string;
  /*
   * team_slug parameter
   */
  teamSlug: string;
  username: string;
};

export type TeamsGetMembershipForUserInOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type TeamsGetMembershipForUserInOrgVariables = {
  pathParams: TeamsGetMembershipForUserInOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Team members will include the members of child teams.
 *
 * To get a user's membership with a team, the team must be visible to the authenticated user.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `GET /organizations/{org_id}/team/{team_id}/memberships/{username}`.
 *
 * **Note:** The `role` for organization owners returns as `maintainer`. For more information about `maintainer` roles, see [Create a team](https://docs.github.com/rest/reference/teams#create-a-team).
 */
export const fetchTeamsGetMembershipForUserInOrg = (
  variables: TeamsGetMembershipForUserInOrgVariables
) =>
  githubFetch<
    Schemas.TeamMembership,
    TeamsGetMembershipForUserInOrgError,
    undefined,
    {},
    {},
    TeamsGetMembershipForUserInOrgPathParams
  >({
    url: "/orgs/{org}/teams/{teamSlug}/memberships/{username}",
    method: "get",
    ...variables,
  });

/**
 * Team members will include the members of child teams.
 *
 * To get a user's membership with a team, the team must be visible to the authenticated user.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `GET /organizations/{org_id}/team/{team_id}/memberships/{username}`.
 *
 * **Note:** The `role` for organization owners returns as `maintainer`. For more information about `maintainer` roles, see [Create a team](https://docs.github.com/rest/reference/teams#create-a-team).
 */
export const useTeamsGetMembershipForUserInOrg = <
  TData = Schemas.TeamMembership
>(
  variables: TeamsGetMembershipForUserInOrgVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.TeamMembership,
      TeamsGetMembershipForUserInOrgError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.TeamMembership,
    TeamsGetMembershipForUserInOrgError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/teams/{team_slug}/memberships/{username}",
      operationId: "teamsGetMembershipForUserInOrg",
      variables,
    }),
    () =>
      fetchTeamsGetMembershipForUserInOrg({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type TeamsAddOrUpdateMembershipForUserInOrgPathParams = {
  org: string;
  /*
   * team_slug parameter
   */
  teamSlug: string;
  username: string;
};

export type TeamsAddOrUpdateMembershipForUserInOrgError = Fetcher.ErrorWrapper<{
  status: 422;
  payload: {
    errors?: {
      code?: string;
      field?: string;
      resource?: string;
    }[];
    message?: string;
  };
}>;

export type TeamsAddOrUpdateMembershipForUserInOrgRequestBody = {
  /*
   * The role that this user should have in the team. Can be one of:
   * \* `member` - a normal member of the team.
   * \* `maintainer` - a team maintainer. Able to add/remove other team members, promote other team members to team maintainer, and edit the team's name and description.
   *
   * @default member
   */
  role?: "member" | "maintainer";
};

export type TeamsAddOrUpdateMembershipForUserInOrgVariables = {
  body?: TeamsAddOrUpdateMembershipForUserInOrgRequestBody;
  pathParams: TeamsAddOrUpdateMembershipForUserInOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Team synchronization is available for organizations using GitHub Enterprise Cloud. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Adds an organization member to a team. An authenticated organization owner or team maintainer can add organization members to a team.
 *
 * **Note:** When you have team synchronization set up for a team with your organization's identity provider (IdP), you will see an error if you attempt to use the API for making changes to the team's membership. If you have access to manage group membership in your IdP, you can manage GitHub team membership through your identity provider, which automatically adds and removes team members in an organization. For more information, see "[Synchronizing teams between your identity provider and GitHub](https://help.github.com/articles/synchronizing-teams-between-your-identity-provider-and-github/)."
 *
 * An organization owner can add someone who is not part of the team's organization to a team. When an organization owner adds someone to a team who is not an organization member, this endpoint will send an invitation to the person via email. This newly-created membership will be in the "pending" state until the person accepts the invitation, at which point the membership will transition to the "active" state and the user will be added as a member of the team.
 *
 * If the user is already a member of the team, this endpoint will update the role of the team member's role. To update the membership of a team member, the authenticated user must be an organization owner or a team maintainer.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `PUT /organizations/{org_id}/team/{team_id}/memberships/{username}`.
 */
export const fetchTeamsAddOrUpdateMembershipForUserInOrg = (
  variables: TeamsAddOrUpdateMembershipForUserInOrgVariables
) =>
  githubFetch<
    Schemas.TeamMembership,
    TeamsAddOrUpdateMembershipForUserInOrgError,
    TeamsAddOrUpdateMembershipForUserInOrgRequestBody,
    {},
    {},
    TeamsAddOrUpdateMembershipForUserInOrgPathParams
  >({
    url: "/orgs/{org}/teams/{teamSlug}/memberships/{username}",
    method: "put",
    ...variables,
  });

/**
 * Team synchronization is available for organizations using GitHub Enterprise Cloud. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Adds an organization member to a team. An authenticated organization owner or team maintainer can add organization members to a team.
 *
 * **Note:** When you have team synchronization set up for a team with your organization's identity provider (IdP), you will see an error if you attempt to use the API for making changes to the team's membership. If you have access to manage group membership in your IdP, you can manage GitHub team membership through your identity provider, which automatically adds and removes team members in an organization. For more information, see "[Synchronizing teams between your identity provider and GitHub](https://help.github.com/articles/synchronizing-teams-between-your-identity-provider-and-github/)."
 *
 * An organization owner can add someone who is not part of the team's organization to a team. When an organization owner adds someone to a team who is not an organization member, this endpoint will send an invitation to the person via email. This newly-created membership will be in the "pending" state until the person accepts the invitation, at which point the membership will transition to the "active" state and the user will be added as a member of the team.
 *
 * If the user is already a member of the team, this endpoint will update the role of the team member's role. To update the membership of a team member, the authenticated user must be an organization owner or a team maintainer.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `PUT /organizations/{org_id}/team/{team_id}/memberships/{username}`.
 */
export const useTeamsAddOrUpdateMembershipForUserInOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.TeamMembership,
      TeamsAddOrUpdateMembershipForUserInOrgError,
      TeamsAddOrUpdateMembershipForUserInOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.TeamMembership,
    TeamsAddOrUpdateMembershipForUserInOrgError,
    TeamsAddOrUpdateMembershipForUserInOrgVariables
  >(
    (variables: TeamsAddOrUpdateMembershipForUserInOrgVariables) =>
      fetchTeamsAddOrUpdateMembershipForUserInOrg({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type TeamsListProjectsInOrgPathParams = {
  org: string;
  /*
   * team_slug parameter
   */
  teamSlug: string;
};

export type TeamsListProjectsInOrgQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type TeamsListProjectsInOrgError = Fetcher.ErrorWrapper<undefined>;

export type TeamsListProjectsInOrgResponse = Schemas.TeamProject[];

export type TeamsListProjectsInOrgVariables = {
  pathParams: TeamsListProjectsInOrgPathParams;
  queryParams?: TeamsListProjectsInOrgQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists the organization projects for a team.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `GET /organizations/{org_id}/team/{team_id}/projects`.
 */
export const fetchTeamsListProjectsInOrg = (
  variables: TeamsListProjectsInOrgVariables
) =>
  githubFetch<
    TeamsListProjectsInOrgResponse,
    TeamsListProjectsInOrgError,
    undefined,
    {},
    TeamsListProjectsInOrgQueryParams,
    TeamsListProjectsInOrgPathParams
  >({
    url: "/orgs/{org}/teams/{teamSlug}/projects",
    method: "get",
    ...variables,
  });

/**
 * Lists the organization projects for a team.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `GET /organizations/{org_id}/team/{team_id}/projects`.
 */
export const useTeamsListProjectsInOrg = <
  TData = TeamsListProjectsInOrgResponse
>(
  variables: TeamsListProjectsInOrgVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      TeamsListProjectsInOrgResponse,
      TeamsListProjectsInOrgError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    TeamsListProjectsInOrgResponse,
    TeamsListProjectsInOrgError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/teams/{team_slug}/projects",
      operationId: "teamsListProjectsInOrg",
      variables,
    }),
    () => fetchTeamsListProjectsInOrg({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type TeamsRemoveProjectInOrgPathParams = {
  org: string;
  /*
   * team_slug parameter
   */
  teamSlug: string;
  projectId: number;
};

export type TeamsRemoveProjectInOrgError = Fetcher.ErrorWrapper<undefined>;

export type TeamsRemoveProjectInOrgVariables = {
  pathParams: TeamsRemoveProjectInOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Removes an organization project from a team. An organization owner or a team maintainer can remove any project from the team. To remove a project from a team as an organization member, the authenticated user must have `read` access to both the team and project, or `admin` access to the team or project. This endpoint removes the project from the team, but does not delete the project.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `DELETE /organizations/{org_id}/team/{team_id}/projects/{project_id}`.
 */
export const fetchTeamsRemoveProjectInOrg = (
  variables: TeamsRemoveProjectInOrgVariables
) =>
  githubFetch<
    undefined,
    TeamsRemoveProjectInOrgError,
    undefined,
    {},
    {},
    TeamsRemoveProjectInOrgPathParams
  >({
    url: "/orgs/{org}/teams/{teamSlug}/projects/{projectId}",
    method: "delete",
    ...variables,
  });

/**
 * Removes an organization project from a team. An organization owner or a team maintainer can remove any project from the team. To remove a project from a team as an organization member, the authenticated user must have `read` access to both the team and project, or `admin` access to the team or project. This endpoint removes the project from the team, but does not delete the project.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `DELETE /organizations/{org_id}/team/{team_id}/projects/{project_id}`.
 */
export const useTeamsRemoveProjectInOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      TeamsRemoveProjectInOrgError,
      TeamsRemoveProjectInOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    TeamsRemoveProjectInOrgError,
    TeamsRemoveProjectInOrgVariables
  >(
    (variables: TeamsRemoveProjectInOrgVariables) =>
      fetchTeamsRemoveProjectInOrg({ ...fetcherOptions, ...variables }),
    options
  );
};

export type TeamsCheckPermissionsForProjectInOrgPathParams = {
  org: string;
  /*
   * team_slug parameter
   */
  teamSlug: string;
  projectId: number;
};

export type TeamsCheckPermissionsForProjectInOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type TeamsCheckPermissionsForProjectInOrgVariables = {
  pathParams: TeamsCheckPermissionsForProjectInOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Checks whether a team has `read`, `write`, or `admin` permissions for an organization project. The response includes projects inherited from a parent team.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `GET /organizations/{org_id}/team/{team_id}/projects/{project_id}`.
 */
export const fetchTeamsCheckPermissionsForProjectInOrg = (
  variables: TeamsCheckPermissionsForProjectInOrgVariables
) =>
  githubFetch<
    Schemas.TeamProject,
    TeamsCheckPermissionsForProjectInOrgError,
    undefined,
    {},
    {},
    TeamsCheckPermissionsForProjectInOrgPathParams
  >({
    url: "/orgs/{org}/teams/{teamSlug}/projects/{projectId}",
    method: "get",
    ...variables,
  });

/**
 * Checks whether a team has `read`, `write`, or `admin` permissions for an organization project. The response includes projects inherited from a parent team.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `GET /organizations/{org_id}/team/{team_id}/projects/{project_id}`.
 */
export const useTeamsCheckPermissionsForProjectInOrg = <
  TData = Schemas.TeamProject
>(
  variables: TeamsCheckPermissionsForProjectInOrgVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.TeamProject,
      TeamsCheckPermissionsForProjectInOrgError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.TeamProject,
    TeamsCheckPermissionsForProjectInOrgError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/teams/{team_slug}/projects/{project_id}",
      operationId: "teamsCheckPermissionsForProjectInOrg",
      variables,
    }),
    () =>
      fetchTeamsCheckPermissionsForProjectInOrg({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type TeamsAddOrUpdateProjectPermissionsInOrgPathParams = {
  org: string;
  /*
   * team_slug parameter
   */
  teamSlug: string;
  projectId: number;
};

export type TeamsAddOrUpdateProjectPermissionsInOrgError =
  Fetcher.ErrorWrapper<{
    status: 403;
    payload: {
      documentation_url?: string;
      message?: string;
    };
  }>;

export type TeamsAddOrUpdateProjectPermissionsInOrgVariables = {
  body?: {
    /*
     * The permission to grant to the team for this project. Can be one of:
     * \* `read` - team members can read, but not write to or administer this project.
     * \* `write` - team members can read and write, but not administer this project.
     * \* `admin` - team members can read, write and administer this project.
     * Default: the team's `permission` attribute will be used to determine what permission to grant the team on this project. Note that, if you choose not to pass any parameters, you'll need to set `Content-Length` to zero when calling out to this endpoint. For more information, see "[HTTP verbs](https://docs.github.com/rest/overview/resources-in-the-rest-api#http-verbs)."
     */
    permission?: "read" | "write" | "admin";
  } | null;
  pathParams: TeamsAddOrUpdateProjectPermissionsInOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Adds an organization project to a team. To add a project to a team or update the team's permission on a project, the authenticated user must have `admin` permissions for the project. The project and team must be part of the same organization.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `PUT /organizations/{org_id}/team/{team_id}/projects/{project_id}`.
 */
export const fetchTeamsAddOrUpdateProjectPermissionsInOrg = (
  variables: TeamsAddOrUpdateProjectPermissionsInOrgVariables
) =>
  githubFetch<
    undefined,
    TeamsAddOrUpdateProjectPermissionsInOrgError,
    {
      /*
       * The permission to grant to the team for this project. Can be one of:
       * \* `read` - team members can read, but not write to or administer this project.
       * \* `write` - team members can read and write, but not administer this project.
       * \* `admin` - team members can read, write and administer this project.
       * Default: the team's `permission` attribute will be used to determine what permission to grant the team on this project. Note that, if you choose not to pass any parameters, you'll need to set `Content-Length` to zero when calling out to this endpoint. For more information, see "[HTTP verbs](https://docs.github.com/rest/overview/resources-in-the-rest-api#http-verbs)."
       */
      permission?: "read" | "write" | "admin";
    } | null,
    {},
    {},
    TeamsAddOrUpdateProjectPermissionsInOrgPathParams
  >({
    url: "/orgs/{org}/teams/{teamSlug}/projects/{projectId}",
    method: "put",
    ...variables,
  });

/**
 * Adds an organization project to a team. To add a project to a team or update the team's permission on a project, the authenticated user must have `admin` permissions for the project. The project and team must be part of the same organization.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `PUT /organizations/{org_id}/team/{team_id}/projects/{project_id}`.
 */
export const useTeamsAddOrUpdateProjectPermissionsInOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      TeamsAddOrUpdateProjectPermissionsInOrgError,
      TeamsAddOrUpdateProjectPermissionsInOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    TeamsAddOrUpdateProjectPermissionsInOrgError,
    TeamsAddOrUpdateProjectPermissionsInOrgVariables
  >(
    (variables: TeamsAddOrUpdateProjectPermissionsInOrgVariables) =>
      fetchTeamsAddOrUpdateProjectPermissionsInOrg({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type TeamsListReposInOrgPathParams = {
  org: string;
  /*
   * team_slug parameter
   */
  teamSlug: string;
};

export type TeamsListReposInOrgQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type TeamsListReposInOrgError = Fetcher.ErrorWrapper<undefined>;

export type TeamsListReposInOrgResponse = Schemas.MinimalRepository[];

export type TeamsListReposInOrgVariables = {
  pathParams: TeamsListReposInOrgPathParams;
  queryParams?: TeamsListReposInOrgQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists a team's repositories visible to the authenticated user.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `GET /organizations/{org_id}/team/{team_id}/repos`.
 */
export const fetchTeamsListReposInOrg = (
  variables: TeamsListReposInOrgVariables
) =>
  githubFetch<
    TeamsListReposInOrgResponse,
    TeamsListReposInOrgError,
    undefined,
    {},
    TeamsListReposInOrgQueryParams,
    TeamsListReposInOrgPathParams
  >({ url: "/orgs/{org}/teams/{teamSlug}/repos", method: "get", ...variables });

/**
 * Lists a team's repositories visible to the authenticated user.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `GET /organizations/{org_id}/team/{team_id}/repos`.
 */
export const useTeamsListReposInOrg = <TData = TeamsListReposInOrgResponse>(
  variables: TeamsListReposInOrgVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      TeamsListReposInOrgResponse,
      TeamsListReposInOrgError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    TeamsListReposInOrgResponse,
    TeamsListReposInOrgError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/teams/{team_slug}/repos",
      operationId: "teamsListReposInOrg",
      variables,
    }),
    () => fetchTeamsListReposInOrg({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type TeamsRemoveRepoInOrgPathParams = {
  org: string;
  /*
   * team_slug parameter
   */
  teamSlug: string;
  owner: string;
  repo: string;
};

export type TeamsRemoveRepoInOrgError = Fetcher.ErrorWrapper<undefined>;

export type TeamsRemoveRepoInOrgVariables = {
  pathParams: TeamsRemoveRepoInOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * If the authenticated user is an organization owner or a team maintainer, they can remove any repositories from the team. To remove a repository from a team as an organization member, the authenticated user must have admin access to the repository and must be able to see the team. This does not delete the repository, it just removes it from the team.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `DELETE /organizations/{org_id}/team/{team_id}/repos/{owner}/{repo}`.
 */
export const fetchTeamsRemoveRepoInOrg = (
  variables: TeamsRemoveRepoInOrgVariables
) =>
  githubFetch<
    undefined,
    TeamsRemoveRepoInOrgError,
    undefined,
    {},
    {},
    TeamsRemoveRepoInOrgPathParams
  >({
    url: "/orgs/{org}/teams/{teamSlug}/repos/{owner}/{repo}",
    method: "delete",
    ...variables,
  });

/**
 * If the authenticated user is an organization owner or a team maintainer, they can remove any repositories from the team. To remove a repository from a team as an organization member, the authenticated user must have admin access to the repository and must be able to see the team. This does not delete the repository, it just removes it from the team.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `DELETE /organizations/{org_id}/team/{team_id}/repos/{owner}/{repo}`.
 */
export const useTeamsRemoveRepoInOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      TeamsRemoveRepoInOrgError,
      TeamsRemoveRepoInOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    TeamsRemoveRepoInOrgError,
    TeamsRemoveRepoInOrgVariables
  >(
    (variables: TeamsRemoveRepoInOrgVariables) =>
      fetchTeamsRemoveRepoInOrg({ ...fetcherOptions, ...variables }),
    options
  );
};

export type TeamsCheckPermissionsForRepoInOrgPathParams = {
  org: string;
  /*
   * team_slug parameter
   */
  teamSlug: string;
  owner: string;
  repo: string;
};

export type TeamsCheckPermissionsForRepoInOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type TeamsCheckPermissionsForRepoInOrgVariables = {
  pathParams: TeamsCheckPermissionsForRepoInOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Checks whether a team has `admin`, `push`, `maintain`, `triage`, or `pull` permission for a repository. Repositories inherited through a parent team will also be checked.
 *
 * You can also get information about the specified repository, including what permissions the team grants on it, by passing the following custom [media type](https://docs.github.com/rest/overview/media-types/) via the `application/vnd.github.v3.repository+json` accept header.
 *
 * If a team doesn't have permission for the repository, you will receive a `404 Not Found` response status.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `GET /organizations/{org_id}/team/{team_id}/repos/{owner}/{repo}`.
 */
export const fetchTeamsCheckPermissionsForRepoInOrg = (
  variables: TeamsCheckPermissionsForRepoInOrgVariables
) =>
  githubFetch<
    undefined,
    TeamsCheckPermissionsForRepoInOrgError,
    undefined,
    {},
    {},
    TeamsCheckPermissionsForRepoInOrgPathParams
  >({
    url: "/orgs/{org}/teams/{teamSlug}/repos/{owner}/{repo}",
    method: "get",
    ...variables,
  });

/**
 * Checks whether a team has `admin`, `push`, `maintain`, `triage`, or `pull` permission for a repository. Repositories inherited through a parent team will also be checked.
 *
 * You can also get information about the specified repository, including what permissions the team grants on it, by passing the following custom [media type](https://docs.github.com/rest/overview/media-types/) via the `application/vnd.github.v3.repository+json` accept header.
 *
 * If a team doesn't have permission for the repository, you will receive a `404 Not Found` response status.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `GET /organizations/{org_id}/team/{team_id}/repos/{owner}/{repo}`.
 */
export const useTeamsCheckPermissionsForRepoInOrg = <TData = undefined>(
  variables: TeamsCheckPermissionsForRepoInOrgVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      undefined,
      TeamsCheckPermissionsForRepoInOrgError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    undefined,
    TeamsCheckPermissionsForRepoInOrgError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/teams/{team_slug}/repos/{owner}/{repo}",
      operationId: "teamsCheckPermissionsForRepoInOrg",
      variables,
    }),
    () =>
      fetchTeamsCheckPermissionsForRepoInOrg({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type TeamsAddOrUpdateRepoPermissionsInOrgPathParams = {
  org: string;
  /*
   * team_slug parameter
   */
  teamSlug: string;
  owner: string;
  repo: string;
};

export type TeamsAddOrUpdateRepoPermissionsInOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type TeamsAddOrUpdateRepoPermissionsInOrgRequestBody = {
  /*
   * The permission to grant the team on this repository. Can be one of:
   * \* `pull` - team members can pull, but not push to or administer this repository.
   * \* `push` - team members can pull and push, but not administer this repository.
   * \* `admin` - team members can pull, push and administer this repository.
   * \* `maintain` - team members can manage the repository without access to sensitive or destructive actions. Recommended for project managers. Only applies to repositories owned by organizations.
   * \* `triage` - team members can proactively manage issues and pull requests without write access. Recommended for contributors who triage a repository. Only applies to repositories owned by organizations.
   *
   * If no permission is specified, the team's `permission` attribute will be used to determine what permission to grant the team on this repository.
   */
  permission?: "pull" | "push" | "admin" | "maintain" | "triage";
};

export type TeamsAddOrUpdateRepoPermissionsInOrgVariables = {
  body?: TeamsAddOrUpdateRepoPermissionsInOrgRequestBody;
  pathParams: TeamsAddOrUpdateRepoPermissionsInOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * To add a repository to a team or update the team's permission on a repository, the authenticated user must have admin access to the repository, and must be able to see the team. The repository must be owned by the organization, or a direct fork of a repository owned by the organization. You will get a `422 Unprocessable Entity` status if you attempt to add a repository to a team that is not owned by the organization. Note that, if you choose not to pass any parameters, you'll need to set `Content-Length` to zero when calling out to this endpoint. For more information, see "[HTTP verbs](https://docs.github.com/rest/overview/resources-in-the-rest-api#http-verbs)."
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `PUT /organizations/{org_id}/team/{team_id}/repos/{owner}/{repo}`.
 *
 * For more information about the permission levels, see "[Repository permission levels for an organization](https://help.github.com/en/github/setting-up-and-managing-organizations-and-teams/repository-permission-levels-for-an-organization#permission-levels-for-repositories-owned-by-an-organization)".
 */
export const fetchTeamsAddOrUpdateRepoPermissionsInOrg = (
  variables: TeamsAddOrUpdateRepoPermissionsInOrgVariables
) =>
  githubFetch<
    undefined,
    TeamsAddOrUpdateRepoPermissionsInOrgError,
    TeamsAddOrUpdateRepoPermissionsInOrgRequestBody,
    {},
    {},
    TeamsAddOrUpdateRepoPermissionsInOrgPathParams
  >({
    url: "/orgs/{org}/teams/{teamSlug}/repos/{owner}/{repo}",
    method: "put",
    ...variables,
  });

/**
 * To add a repository to a team or update the team's permission on a repository, the authenticated user must have admin access to the repository, and must be able to see the team. The repository must be owned by the organization, or a direct fork of a repository owned by the organization. You will get a `422 Unprocessable Entity` status if you attempt to add a repository to a team that is not owned by the organization. Note that, if you choose not to pass any parameters, you'll need to set `Content-Length` to zero when calling out to this endpoint. For more information, see "[HTTP verbs](https://docs.github.com/rest/overview/resources-in-the-rest-api#http-verbs)."
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `PUT /organizations/{org_id}/team/{team_id}/repos/{owner}/{repo}`.
 *
 * For more information about the permission levels, see "[Repository permission levels for an organization](https://help.github.com/en/github/setting-up-and-managing-organizations-and-teams/repository-permission-levels-for-an-organization#permission-levels-for-repositories-owned-by-an-organization)".
 */
export const useTeamsAddOrUpdateRepoPermissionsInOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      TeamsAddOrUpdateRepoPermissionsInOrgError,
      TeamsAddOrUpdateRepoPermissionsInOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    TeamsAddOrUpdateRepoPermissionsInOrgError,
    TeamsAddOrUpdateRepoPermissionsInOrgVariables
  >(
    (variables: TeamsAddOrUpdateRepoPermissionsInOrgVariables) =>
      fetchTeamsAddOrUpdateRepoPermissionsInOrg({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type TeamsListIdpGroupsInOrgPathParams = {
  org: string;
  /*
   * team_slug parameter
   */
  teamSlug: string;
};

export type TeamsListIdpGroupsInOrgError = Fetcher.ErrorWrapper<undefined>;

export type TeamsListIdpGroupsInOrgVariables = {
  pathParams: TeamsListIdpGroupsInOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Team synchronization is available for organizations using GitHub Enterprise Cloud. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * List IdP groups connected to a team on GitHub.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `GET /organizations/{org_id}/team/{team_id}/team-sync/group-mappings`.
 */
export const fetchTeamsListIdpGroupsInOrg = (
  variables: TeamsListIdpGroupsInOrgVariables
) =>
  githubFetch<
    Schemas.GroupMapping,
    TeamsListIdpGroupsInOrgError,
    undefined,
    {},
    {},
    TeamsListIdpGroupsInOrgPathParams
  >({
    url: "/orgs/{org}/teams/{teamSlug}/team-sync/group-mappings",
    method: "get",
    ...variables,
  });

/**
 * Team synchronization is available for organizations using GitHub Enterprise Cloud. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * List IdP groups connected to a team on GitHub.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `GET /organizations/{org_id}/team/{team_id}/team-sync/group-mappings`.
 */
export const useTeamsListIdpGroupsInOrg = <TData = Schemas.GroupMapping>(
  variables: TeamsListIdpGroupsInOrgVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.GroupMapping,
      TeamsListIdpGroupsInOrgError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.GroupMapping,
    TeamsListIdpGroupsInOrgError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/teams/{team_slug}/team-sync/group-mappings",
      operationId: "teamsListIdpGroupsInOrg",
      variables,
    }),
    () => fetchTeamsListIdpGroupsInOrg({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type TeamsCreateOrUpdateIdpGroupConnectionsInOrgPathParams = {
  org: string;
  /*
   * team_slug parameter
   */
  teamSlug: string;
};

export type TeamsCreateOrUpdateIdpGroupConnectionsInOrgError =
  Fetcher.ErrorWrapper<undefined>;

export type TeamsCreateOrUpdateIdpGroupConnectionsInOrgRequestBody = {
  /*
   * The IdP groups you want to connect to a GitHub team. When updating, the new `groups` object will replace the original one. You must include any existing groups that you don't want to remove.
   */
  groups: {
    /*
     * Description of the IdP group.
     */
    group_description: string;
    /*
     * ID of the IdP group.
     */
    group_id: string;
    /*
     * Name of the IdP group.
     */
    group_name: string;
  }[];
};

export type TeamsCreateOrUpdateIdpGroupConnectionsInOrgVariables = {
  body: TeamsCreateOrUpdateIdpGroupConnectionsInOrgRequestBody;
  pathParams: TeamsCreateOrUpdateIdpGroupConnectionsInOrgPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Team synchronization is available for organizations using GitHub Enterprise Cloud. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Creates, updates, or removes a connection between a team and an IdP group. When adding groups to a team, you must include all new and existing groups to avoid replacing existing groups with the new ones. Specifying an empty `groups` array will remove all connections for a team.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `PATCH /organizations/{org_id}/team/{team_id}/team-sync/group-mappings`.
 */
export const fetchTeamsCreateOrUpdateIdpGroupConnectionsInOrg = (
  variables: TeamsCreateOrUpdateIdpGroupConnectionsInOrgVariables
) =>
  githubFetch<
    Schemas.GroupMapping,
    TeamsCreateOrUpdateIdpGroupConnectionsInOrgError,
    TeamsCreateOrUpdateIdpGroupConnectionsInOrgRequestBody,
    {},
    {},
    TeamsCreateOrUpdateIdpGroupConnectionsInOrgPathParams
  >({
    url: "/orgs/{org}/teams/{teamSlug}/team-sync/group-mappings",
    method: "patch",
    ...variables,
  });

/**
 * Team synchronization is available for organizations using GitHub Enterprise Cloud. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Creates, updates, or removes a connection between a team and an IdP group. When adding groups to a team, you must include all new and existing groups to avoid replacing existing groups with the new ones. Specifying an empty `groups` array will remove all connections for a team.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `PATCH /organizations/{org_id}/team/{team_id}/team-sync/group-mappings`.
 */
export const useTeamsCreateOrUpdateIdpGroupConnectionsInOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.GroupMapping,
      TeamsCreateOrUpdateIdpGroupConnectionsInOrgError,
      TeamsCreateOrUpdateIdpGroupConnectionsInOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.GroupMapping,
    TeamsCreateOrUpdateIdpGroupConnectionsInOrgError,
    TeamsCreateOrUpdateIdpGroupConnectionsInOrgVariables
  >(
    (variables: TeamsCreateOrUpdateIdpGroupConnectionsInOrgVariables) =>
      fetchTeamsCreateOrUpdateIdpGroupConnectionsInOrg({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type TeamsListChildInOrgPathParams = {
  org: string;
  /*
   * team_slug parameter
   */
  teamSlug: string;
};

export type TeamsListChildInOrgQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type TeamsListChildInOrgError = Fetcher.ErrorWrapper<undefined>;

export type TeamsListChildInOrgResponse = Schemas.Team[];

export type TeamsListChildInOrgVariables = {
  pathParams: TeamsListChildInOrgPathParams;
  queryParams?: TeamsListChildInOrgQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists the child teams of the team specified by `{team_slug}`.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `GET /organizations/{org_id}/team/{team_id}/teams`.
 */
export const fetchTeamsListChildInOrg = (
  variables: TeamsListChildInOrgVariables
) =>
  githubFetch<
    TeamsListChildInOrgResponse,
    TeamsListChildInOrgError,
    undefined,
    {},
    TeamsListChildInOrgQueryParams,
    TeamsListChildInOrgPathParams
  >({ url: "/orgs/{org}/teams/{teamSlug}/teams", method: "get", ...variables });

/**
 * Lists the child teams of the team specified by `{team_slug}`.
 *
 * **Note:** You can also specify a team by `org_id` and `team_id` using the route `GET /organizations/{org_id}/team/{team_id}/teams`.
 */
export const useTeamsListChildInOrg = <TData = TeamsListChildInOrgResponse>(
  variables: TeamsListChildInOrgVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      TeamsListChildInOrgResponse,
      TeamsListChildInOrgError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    TeamsListChildInOrgResponse,
    TeamsListChildInOrgError,
    TData
  >(
    queryKeyFn({
      path: "/orgs/{org}/teams/{team_slug}/teams",
      operationId: "teamsListChildInOrg",
      variables,
    }),
    () => fetchTeamsListChildInOrg({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ProjectsDeleteCardPathParams = {
  /*
   * card_id parameter
   */
  cardId: number;
};

export type ProjectsDeleteCardError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: {
        documentation_url?: string;
        errors?: string[];
        message?: string;
      };
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type ProjectsDeleteCardVariables = {
  pathParams: ProjectsDeleteCardPathParams;
} & GithubContext["fetcherOptions"];

export const fetchProjectsDeleteCard = (
  variables: ProjectsDeleteCardVariables
) =>
  githubFetch<
    undefined,
    ProjectsDeleteCardError,
    undefined,
    {},
    {},
    ProjectsDeleteCardPathParams
  >({
    url: "/projects/columns/cards/{cardId}",
    method: "delete",
    ...variables,
  });

export const useProjectsDeleteCard = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ProjectsDeleteCardError,
      ProjectsDeleteCardVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ProjectsDeleteCardError,
    ProjectsDeleteCardVariables
  >(
    (variables: ProjectsDeleteCardVariables) =>
      fetchProjectsDeleteCard({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ProjectsGetCardPathParams = {
  /*
   * card_id parameter
   */
  cardId: number;
};

export type ProjectsGetCardError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type ProjectsGetCardVariables = {
  pathParams: ProjectsGetCardPathParams;
} & GithubContext["fetcherOptions"];

export const fetchProjectsGetCard = (variables: ProjectsGetCardVariables) =>
  githubFetch<
    Schemas.ProjectCard,
    ProjectsGetCardError,
    undefined,
    {},
    {},
    ProjectsGetCardPathParams
  >({ url: "/projects/columns/cards/{cardId}", method: "get", ...variables });

export const useProjectsGetCard = <TData = Schemas.ProjectCard>(
  variables: ProjectsGetCardVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.ProjectCard,
      ProjectsGetCardError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.ProjectCard, ProjectsGetCardError, TData>(
    queryKeyFn({
      path: "/projects/columns/cards/{card_id}",
      operationId: "projectsGetCard",
      variables,
    }),
    () => fetchProjectsGetCard({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ProjectsUpdateCardPathParams = {
  /*
   * card_id parameter
   */
  cardId: number;
};

export type ProjectsUpdateCardError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailedSimple;
    }
>;

export type ProjectsUpdateCardRequestBody = {
  /*
   * Whether or not the card is archived
   *
   * @example false
   */
  archived?: boolean;
  /*
   * The project card's note
   *
   * @example Update all gems
   */
  note?: string | null;
};

export type ProjectsUpdateCardVariables = {
  body?: ProjectsUpdateCardRequestBody;
  pathParams: ProjectsUpdateCardPathParams;
} & GithubContext["fetcherOptions"];

export const fetchProjectsUpdateCard = (
  variables: ProjectsUpdateCardVariables
) =>
  githubFetch<
    Schemas.ProjectCard,
    ProjectsUpdateCardError,
    ProjectsUpdateCardRequestBody,
    {},
    {},
    ProjectsUpdateCardPathParams
  >({ url: "/projects/columns/cards/{cardId}", method: "patch", ...variables });

export const useProjectsUpdateCard = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.ProjectCard,
      ProjectsUpdateCardError,
      ProjectsUpdateCardVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.ProjectCard,
    ProjectsUpdateCardError,
    ProjectsUpdateCardVariables
  >(
    (variables: ProjectsUpdateCardVariables) =>
      fetchProjectsUpdateCard({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ProjectsMoveCardPathParams = {
  /*
   * card_id parameter
   */
  cardId: number;
};

export type ProjectsMoveCardError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: {
        documentation_url?: string;
        errors?: {
          code?: string;
          field?: string;
          message?: string;
          resource?: string;
        }[];
        message?: string;
      };
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
  | {
      status: 503;
      payload: {
        code?: string;
        documentation_url?: string;
        errors?: {
          code?: string;
          message?: string;
        }[];
        message?: string;
      };
    }
>;

export type ProjectsMoveCardRequestBody = {
  /*
   * The unique identifier of the column the card should be moved to
   *
   * @example 42
   */
  column_id?: number;
  /*
   * The position of the card in a column
   *
   * @example bottom
   * @pattern ^(?:top|bottom|after:\d+)$
   */
  position: string;
};

export type ProjectsMoveCardVariables = {
  body: ProjectsMoveCardRequestBody;
  pathParams: ProjectsMoveCardPathParams;
} & GithubContext["fetcherOptions"];

export const fetchProjectsMoveCard = (variables: ProjectsMoveCardVariables) =>
  githubFetch<
    {},
    ProjectsMoveCardError,
    ProjectsMoveCardRequestBody,
    {},
    {},
    ProjectsMoveCardPathParams
  >({
    url: "/projects/columns/cards/{cardId}/moves",
    method: "post",
    ...variables,
  });

export const useProjectsMoveCard = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      {},
      ProjectsMoveCardError,
      ProjectsMoveCardVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    {},
    ProjectsMoveCardError,
    ProjectsMoveCardVariables
  >(
    (variables: ProjectsMoveCardVariables) =>
      fetchProjectsMoveCard({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ProjectsDeleteColumnPathParams = {
  /*
   * column_id parameter
   */
  columnId: number;
};

export type ProjectsDeleteColumnError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
>;

export type ProjectsDeleteColumnVariables = {
  pathParams: ProjectsDeleteColumnPathParams;
} & GithubContext["fetcherOptions"];

export const fetchProjectsDeleteColumn = (
  variables: ProjectsDeleteColumnVariables
) =>
  githubFetch<
    undefined,
    ProjectsDeleteColumnError,
    undefined,
    {},
    {},
    ProjectsDeleteColumnPathParams
  >({ url: "/projects/columns/{columnId}", method: "delete", ...variables });

export const useProjectsDeleteColumn = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ProjectsDeleteColumnError,
      ProjectsDeleteColumnVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ProjectsDeleteColumnError,
    ProjectsDeleteColumnVariables
  >(
    (variables: ProjectsDeleteColumnVariables) =>
      fetchProjectsDeleteColumn({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ProjectsGetColumnPathParams = {
  /*
   * column_id parameter
   */
  columnId: number;
};

export type ProjectsGetColumnError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type ProjectsGetColumnVariables = {
  pathParams: ProjectsGetColumnPathParams;
} & GithubContext["fetcherOptions"];

export const fetchProjectsGetColumn = (variables: ProjectsGetColumnVariables) =>
  githubFetch<
    Schemas.ProjectColumn,
    ProjectsGetColumnError,
    undefined,
    {},
    {},
    ProjectsGetColumnPathParams
  >({ url: "/projects/columns/{columnId}", method: "get", ...variables });

export const useProjectsGetColumn = <TData = Schemas.ProjectColumn>(
  variables: ProjectsGetColumnVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.ProjectColumn,
      ProjectsGetColumnError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.ProjectColumn,
    ProjectsGetColumnError,
    TData
  >(
    queryKeyFn({
      path: "/projects/columns/{column_id}",
      operationId: "projectsGetColumn",
      variables,
    }),
    () => fetchProjectsGetColumn({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ProjectsUpdateColumnPathParams = {
  /*
   * column_id parameter
   */
  columnId: number;
};

export type ProjectsUpdateColumnError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
>;

export type ProjectsUpdateColumnRequestBody = {
  /*
   * Name of the project column
   *
   * @example Remaining tasks
   */
  name: string;
};

export type ProjectsUpdateColumnVariables = {
  body: ProjectsUpdateColumnRequestBody;
  pathParams: ProjectsUpdateColumnPathParams;
} & GithubContext["fetcherOptions"];

export const fetchProjectsUpdateColumn = (
  variables: ProjectsUpdateColumnVariables
) =>
  githubFetch<
    Schemas.ProjectColumn,
    ProjectsUpdateColumnError,
    ProjectsUpdateColumnRequestBody,
    {},
    {},
    ProjectsUpdateColumnPathParams
  >({ url: "/projects/columns/{columnId}", method: "patch", ...variables });

export const useProjectsUpdateColumn = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.ProjectColumn,
      ProjectsUpdateColumnError,
      ProjectsUpdateColumnVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.ProjectColumn,
    ProjectsUpdateColumnError,
    ProjectsUpdateColumnVariables
  >(
    (variables: ProjectsUpdateColumnVariables) =>
      fetchProjectsUpdateColumn({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ProjectsListCardsPathParams = {
  /*
   * column_id parameter
   */
  columnId: number;
};

export type ProjectsListCardsQueryParams = {
  /*
   * Filters the project cards that are returned by the card's state. Can be one of `all`,`archived`, or `not_archived`.
   *
   * @default not_archived
   */
  archived_state?: "all" | "archived" | "not_archived";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ProjectsListCardsError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
>;

export type ProjectsListCardsResponse = Schemas.ProjectCard[];

export type ProjectsListCardsVariables = {
  pathParams: ProjectsListCardsPathParams;
  queryParams?: ProjectsListCardsQueryParams;
} & GithubContext["fetcherOptions"];

export const fetchProjectsListCards = (variables: ProjectsListCardsVariables) =>
  githubFetch<
    ProjectsListCardsResponse,
    ProjectsListCardsError,
    undefined,
    {},
    ProjectsListCardsQueryParams,
    ProjectsListCardsPathParams
  >({ url: "/projects/columns/{columnId}/cards", method: "get", ...variables });

export const useProjectsListCards = <TData = ProjectsListCardsResponse>(
  variables: ProjectsListCardsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ProjectsListCardsResponse,
      ProjectsListCardsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ProjectsListCardsResponse,
    ProjectsListCardsError,
    TData
  >(
    queryKeyFn({
      path: "/projects/columns/{column_id}/cards",
      operationId: "projectsListCards",
      variables,
    }),
    () => fetchProjectsListCards({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ProjectsCreateCardPathParams = {
  /*
   * column_id parameter
   */
  columnId: number;
};

export type ProjectsCreateCardError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 422;
      payload: Schemas.ValidationError | Schemas.ValidationErrorSimple;
    }
  | {
      status: 503;
      payload: {
        code?: string;
        documentation_url?: string;
        errors?: {
          code?: string;
          message?: string;
        }[];
        message?: string;
      };
    }
>;

export type ProjectsCreateCardVariables = {
  body?:
    | {
        /*
         * The project card's note
         *
         * @example Update all gems
         */
        note: string | null;
      }
    | {
        /*
         * The unique identifier of the content associated with the card
         *
         * @example 42
         */
        content_id: number;
        /*
         * The piece of content associated with the card
         *
         * @example PullRequest
         */
        content_type: string;
      };
  pathParams: ProjectsCreateCardPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Note**: GitHub's REST API v3 considers every pull request an issue, but not every issue is a pull request. For this reason, "Issues" endpoints may return both issues and pull requests in the response. You can identify pull requests by the `pull_request` key.
 *
 * Be aware that the `id` of a pull request returned from "Issues" endpoints will be an _issue id_. To find out the pull request id, use the "[List pull requests](https://docs.github.com/rest/reference/pulls#list-pull-requests)" endpoint.
 */
export const fetchProjectsCreateCard = (
  variables: ProjectsCreateCardVariables
) =>
  githubFetch<
    Schemas.ProjectCard,
    ProjectsCreateCardError,
    | {
        /*
         * The project card's note
         *
         * @example Update all gems
         */
        note: string | null;
      }
    | {
        /*
         * The unique identifier of the content associated with the card
         *
         * @example 42
         */
        content_id: number;
        /*
         * The piece of content associated with the card
         *
         * @example PullRequest
         */
        content_type: string;
      },
    {},
    {},
    ProjectsCreateCardPathParams
  >({
    url: "/projects/columns/{columnId}/cards",
    method: "post",
    ...variables,
  });

/**
 * **Note**: GitHub's REST API v3 considers every pull request an issue, but not every issue is a pull request. For this reason, "Issues" endpoints may return both issues and pull requests in the response. You can identify pull requests by the `pull_request` key.
 *
 * Be aware that the `id` of a pull request returned from "Issues" endpoints will be an _issue id_. To find out the pull request id, use the "[List pull requests](https://docs.github.com/rest/reference/pulls#list-pull-requests)" endpoint.
 */
export const useProjectsCreateCard = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.ProjectCard,
      ProjectsCreateCardError,
      ProjectsCreateCardVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.ProjectCard,
    ProjectsCreateCardError,
    ProjectsCreateCardVariables
  >(
    (variables: ProjectsCreateCardVariables) =>
      fetchProjectsCreateCard({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ProjectsMoveColumnPathParams = {
  /*
   * column_id parameter
   */
  columnId: number;
};

export type ProjectsMoveColumnError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailedSimple;
    }
>;

export type ProjectsMoveColumnRequestBody = {
  /*
   * The position of the column in a project
   *
   * @example last
   * @pattern ^(?:first|last|after:\d+)$
   */
  position: string;
};

export type ProjectsMoveColumnVariables = {
  body: ProjectsMoveColumnRequestBody;
  pathParams: ProjectsMoveColumnPathParams;
} & GithubContext["fetcherOptions"];

export const fetchProjectsMoveColumn = (
  variables: ProjectsMoveColumnVariables
) =>
  githubFetch<
    {},
    ProjectsMoveColumnError,
    ProjectsMoveColumnRequestBody,
    {},
    {},
    ProjectsMoveColumnPathParams
  >({
    url: "/projects/columns/{columnId}/moves",
    method: "post",
    ...variables,
  });

export const useProjectsMoveColumn = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      {},
      ProjectsMoveColumnError,
      ProjectsMoveColumnVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    {},
    ProjectsMoveColumnError,
    ProjectsMoveColumnVariables
  >(
    (variables: ProjectsMoveColumnVariables) =>
      fetchProjectsMoveColumn({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ProjectsDeletePathParams = {
  projectId: number;
};

export type ProjectsDeleteError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: {
        documentation_url?: string;
        errors?: string[];
        message?: string;
      };
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 410;
      payload: Responses.Gone;
    }
>;

export type ProjectsDeleteVariables = {
  pathParams: ProjectsDeletePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Deletes a project board. Returns a `404 Not Found` status if projects are disabled.
 */
export const fetchProjectsDelete = (variables: ProjectsDeleteVariables) =>
  githubFetch<
    undefined,
    ProjectsDeleteError,
    undefined,
    {},
    {},
    ProjectsDeletePathParams
  >({ url: "/projects/{projectId}", method: "delete", ...variables });

/**
 * Deletes a project board. Returns a `404 Not Found` status if projects are disabled.
 */
export const useProjectsDelete = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ProjectsDeleteError,
      ProjectsDeleteVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ProjectsDeleteError,
    ProjectsDeleteVariables
  >(
    (variables: ProjectsDeleteVariables) =>
      fetchProjectsDelete({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ProjectsGetPathParams = {
  projectId: number;
};

export type ProjectsGetError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
>;

export type ProjectsGetVariables = {
  pathParams: ProjectsGetPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets a project by its `id`. Returns a `404 Not Found` status if projects are disabled. If you do not have sufficient privileges to perform this action, a `401 Unauthorized` or `410 Gone` status is returned.
 */
export const fetchProjectsGet = (variables: ProjectsGetVariables) =>
  githubFetch<
    Schemas.Project,
    ProjectsGetError,
    undefined,
    {},
    {},
    ProjectsGetPathParams
  >({ url: "/projects/{projectId}", method: "get", ...variables });

/**
 * Gets a project by its `id`. Returns a `404 Not Found` status if projects are disabled. If you do not have sufficient privileges to perform this action, a `401 Unauthorized` or `410 Gone` status is returned.
 */
export const useProjectsGet = <TData = Schemas.Project>(
  variables: ProjectsGetVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<Schemas.Project, ProjectsGetError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.Project, ProjectsGetError, TData>(
    queryKeyFn({
      path: "/projects/{project_id}",
      operationId: "projectsGet",
      variables,
    }),
    () => fetchProjectsGet({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ProjectsUpdatePathParams = {
  projectId: number;
};

export type ProjectsUpdateError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: {
        documentation_url?: string;
        errors?: string[];
        message?: string;
      };
    }
  | {
      status: 410;
      payload: Responses.Gone;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailedSimple;
    }
>;

export type ProjectsUpdateRequestBody = {
  /*
   * Body of the project
   *
   * @example This project represents the sprint of the first week in January
   */
  body?: string | null;
  /*
   * Name of the project
   *
   * @example Week One Sprint
   */
  name?: string;
  /*
   * The baseline permission that all organization members have on this project
   */
  organization_permission?: "read" | "write" | "admin" | "none";
  /*
   * Whether or not this project can be seen by everyone.
   */
  private?: boolean;
  /*
   * State of the project; either 'open' or 'closed'
   *
   * @example open
   */
  state?: string;
};

export type ProjectsUpdateVariables = {
  body?: ProjectsUpdateRequestBody;
  pathParams: ProjectsUpdatePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Updates a project board's information. Returns a `404 Not Found` status if projects are disabled. If you do not have sufficient privileges to perform this action, a `401 Unauthorized` or `410 Gone` status is returned.
 */
export const fetchProjectsUpdate = (variables: ProjectsUpdateVariables) =>
  githubFetch<
    Schemas.Project,
    ProjectsUpdateError,
    ProjectsUpdateRequestBody,
    {},
    {},
    ProjectsUpdatePathParams
  >({ url: "/projects/{projectId}", method: "patch", ...variables });

/**
 * Updates a project board's information. Returns a `404 Not Found` status if projects are disabled. If you do not have sufficient privileges to perform this action, a `401 Unauthorized` or `410 Gone` status is returned.
 */
export const useProjectsUpdate = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Project,
      ProjectsUpdateError,
      ProjectsUpdateVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Project,
    ProjectsUpdateError,
    ProjectsUpdateVariables
  >(
    (variables: ProjectsUpdateVariables) =>
      fetchProjectsUpdate({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ProjectsListCollaboratorsPathParams = {
  projectId: number;
};

export type ProjectsListCollaboratorsQueryParams = {
  /*
   * Filters the collaborators by their affiliation. Can be one of:
   * \* `outside`: Outside collaborators of a project that are not a member of the project's organization.
   * \* `direct`: Collaborators with permissions to a project, regardless of organization membership status.
   * \* `all`: All collaborators the authenticated user can see.
   *
   * @default all
   */
  affiliation?: "outside" | "direct" | "all";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ProjectsListCollaboratorsError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 415;
      payload: Responses.PreviewHeaderMissing;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type ProjectsListCollaboratorsResponse = Schemas.SimpleUser[];

export type ProjectsListCollaboratorsVariables = {
  pathParams: ProjectsListCollaboratorsPathParams;
  queryParams?: ProjectsListCollaboratorsQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists the collaborators for an organization project. For a project, the list of collaborators includes outside collaborators, organization members that are direct collaborators, organization members with access through team memberships, organization members with access through default organization permissions, and organization owners. You must be an organization owner or a project `admin` to list collaborators.
 */
export const fetchProjectsListCollaborators = (
  variables: ProjectsListCollaboratorsVariables
) =>
  githubFetch<
    ProjectsListCollaboratorsResponse,
    ProjectsListCollaboratorsError,
    undefined,
    {},
    ProjectsListCollaboratorsQueryParams,
    ProjectsListCollaboratorsPathParams
  >({
    url: "/projects/{projectId}/collaborators",
    method: "get",
    ...variables,
  });

/**
 * Lists the collaborators for an organization project. For a project, the list of collaborators includes outside collaborators, organization members that are direct collaborators, organization members with access through team memberships, organization members with access through default organization permissions, and organization owners. You must be an organization owner or a project `admin` to list collaborators.
 */
export const useProjectsListCollaborators = <
  TData = ProjectsListCollaboratorsResponse
>(
  variables: ProjectsListCollaboratorsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ProjectsListCollaboratorsResponse,
      ProjectsListCollaboratorsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ProjectsListCollaboratorsResponse,
    ProjectsListCollaboratorsError,
    TData
  >(
    queryKeyFn({
      path: "/projects/{project_id}/collaborators",
      operationId: "projectsListCollaborators",
      variables,
    }),
    () => fetchProjectsListCollaborators({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ProjectsRemoveCollaboratorPathParams = {
  projectId: number;
  username: string;
};

export type ProjectsRemoveCollaboratorError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 415;
      payload: Responses.PreviewHeaderMissing;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type ProjectsRemoveCollaboratorVariables = {
  pathParams: ProjectsRemoveCollaboratorPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Removes a collaborator from an organization project. You must be an organization owner or a project `admin` to remove a collaborator.
 */
export const fetchProjectsRemoveCollaborator = (
  variables: ProjectsRemoveCollaboratorVariables
) =>
  githubFetch<
    undefined,
    ProjectsRemoveCollaboratorError,
    undefined,
    {},
    {},
    ProjectsRemoveCollaboratorPathParams
  >({
    url: "/projects/{projectId}/collaborators/{username}",
    method: "delete",
    ...variables,
  });

/**
 * Removes a collaborator from an organization project. You must be an organization owner or a project `admin` to remove a collaborator.
 */
export const useProjectsRemoveCollaborator = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ProjectsRemoveCollaboratorError,
      ProjectsRemoveCollaboratorVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ProjectsRemoveCollaboratorError,
    ProjectsRemoveCollaboratorVariables
  >(
    (variables: ProjectsRemoveCollaboratorVariables) =>
      fetchProjectsRemoveCollaborator({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ProjectsAddCollaboratorPathParams = {
  projectId: number;
  username: string;
};

export type ProjectsAddCollaboratorError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 415;
      payload: Responses.PreviewHeaderMissing;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type ProjectsAddCollaboratorRequestBody = {
  /*
   * The permission to grant the collaborator.
   *
   * @default write
   * @example write
   */
  permission?: "read" | "write" | "admin";
};

export type ProjectsAddCollaboratorVariables = {
  body?: ProjectsAddCollaboratorRequestBody;
  pathParams: ProjectsAddCollaboratorPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Adds a collaborator to an organization project and sets their permission level. You must be an organization owner or a project `admin` to add a collaborator.
 */
export const fetchProjectsAddCollaborator = (
  variables: ProjectsAddCollaboratorVariables
) =>
  githubFetch<
    undefined,
    ProjectsAddCollaboratorError,
    ProjectsAddCollaboratorRequestBody,
    {},
    {},
    ProjectsAddCollaboratorPathParams
  >({
    url: "/projects/{projectId}/collaborators/{username}",
    method: "put",
    ...variables,
  });

/**
 * Adds a collaborator to an organization project and sets their permission level. You must be an organization owner or a project `admin` to add a collaborator.
 */
export const useProjectsAddCollaborator = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ProjectsAddCollaboratorError,
      ProjectsAddCollaboratorVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ProjectsAddCollaboratorError,
    ProjectsAddCollaboratorVariables
  >(
    (variables: ProjectsAddCollaboratorVariables) =>
      fetchProjectsAddCollaborator({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ProjectsGetPermissionForUserPathParams = {
  projectId: number;
  username: string;
};

export type ProjectsGetPermissionForUserError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 415;
      payload: Responses.PreviewHeaderMissing;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type ProjectsGetPermissionForUserVariables = {
  pathParams: ProjectsGetPermissionForUserPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Returns the collaborator's permission level for an organization project. Possible values for the `permission` key: `admin`, `write`, `read`, `none`. You must be an organization owner or a project `admin` to review a user's permission level.
 */
export const fetchProjectsGetPermissionForUser = (
  variables: ProjectsGetPermissionForUserVariables
) =>
  githubFetch<
    Schemas.RepositoryCollaboratorPermission,
    ProjectsGetPermissionForUserError,
    undefined,
    {},
    {},
    ProjectsGetPermissionForUserPathParams
  >({
    url: "/projects/{projectId}/collaborators/{username}/permission",
    method: "get",
    ...variables,
  });

/**
 * Returns the collaborator's permission level for an organization project. Possible values for the `permission` key: `admin`, `write`, `read`, `none`. You must be an organization owner or a project `admin` to review a user's permission level.
 */
export const useProjectsGetPermissionForUser = <
  TData = Schemas.RepositoryCollaboratorPermission
>(
  variables: ProjectsGetPermissionForUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.RepositoryCollaboratorPermission,
      ProjectsGetPermissionForUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.RepositoryCollaboratorPermission,
    ProjectsGetPermissionForUserError,
    TData
  >(
    queryKeyFn({
      path: "/projects/{project_id}/collaborators/{username}/permission",
      operationId: "projectsGetPermissionForUser",
      variables,
    }),
    () =>
      fetchProjectsGetPermissionForUser({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ProjectsListColumnsPathParams = {
  projectId: number;
};

export type ProjectsListColumnsQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ProjectsListColumnsError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
>;

export type ProjectsListColumnsResponse = Schemas.ProjectColumn[];

export type ProjectsListColumnsVariables = {
  pathParams: ProjectsListColumnsPathParams;
  queryParams?: ProjectsListColumnsQueryParams;
} & GithubContext["fetcherOptions"];

export const fetchProjectsListColumns = (
  variables: ProjectsListColumnsVariables
) =>
  githubFetch<
    ProjectsListColumnsResponse,
    ProjectsListColumnsError,
    undefined,
    {},
    ProjectsListColumnsQueryParams,
    ProjectsListColumnsPathParams
  >({ url: "/projects/{projectId}/columns", method: "get", ...variables });

export const useProjectsListColumns = <TData = ProjectsListColumnsResponse>(
  variables: ProjectsListColumnsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ProjectsListColumnsResponse,
      ProjectsListColumnsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ProjectsListColumnsResponse,
    ProjectsListColumnsError,
    TData
  >(
    queryKeyFn({
      path: "/projects/{project_id}/columns",
      operationId: "projectsListColumns",
      variables,
    }),
    () => fetchProjectsListColumns({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ProjectsCreateColumnPathParams = {
  projectId: number;
};

export type ProjectsCreateColumnError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailedSimple;
    }
>;

export type ProjectsCreateColumnRequestBody = {
  /*
   * Name of the project column
   *
   * @example Remaining tasks
   */
  name: string;
};

export type ProjectsCreateColumnVariables = {
  body: ProjectsCreateColumnRequestBody;
  pathParams: ProjectsCreateColumnPathParams;
} & GithubContext["fetcherOptions"];

export const fetchProjectsCreateColumn = (
  variables: ProjectsCreateColumnVariables
) =>
  githubFetch<
    Schemas.ProjectColumn,
    ProjectsCreateColumnError,
    ProjectsCreateColumnRequestBody,
    {},
    {},
    ProjectsCreateColumnPathParams
  >({ url: "/projects/{projectId}/columns", method: "post", ...variables });

export const useProjectsCreateColumn = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.ProjectColumn,
      ProjectsCreateColumnError,
      ProjectsCreateColumnVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.ProjectColumn,
    ProjectsCreateColumnError,
    ProjectsCreateColumnVariables
  >(
    (variables: ProjectsCreateColumnVariables) =>
      fetchProjectsCreateColumn({ ...fetcherOptions, ...variables }),
    options
  );
};

export type RateLimitGetError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type RateLimitGetVariables = GithubContext["fetcherOptions"];

/**
 * **Note:** Accessing this endpoint does not count against your REST API rate limit.
 *
 * **Note:** The `rate` object is deprecated. If you're writing new API client code or updating existing code, you should use the `core` object instead of the `rate` object. The `core` object contains the same information that is present in the `rate` object.
 */
export const fetchRateLimitGet = (variables: RateLimitGetVariables) =>
  githubFetch<
    Schemas.RateLimitOverview,
    RateLimitGetError,
    undefined,
    {},
    {},
    {}
  >({ url: "/rate_limit", method: "get", ...variables });

/**
 * **Note:** Accessing this endpoint does not count against your REST API rate limit.
 *
 * **Note:** The `rate` object is deprecated. If you're writing new API client code or updating existing code, you should use the `core` object instead of the `rate` object. The `core` object contains the same information that is present in the `rate` object.
 */
export const useRateLimitGet = <TData = Schemas.RateLimitOverview>(
  variables: RateLimitGetVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.RateLimitOverview,
      RateLimitGetError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.RateLimitOverview,
    RateLimitGetError,
    TData
  >(
    queryKeyFn({ path: "/rate_limit", operationId: "rateLimitGet", variables }),
    () => fetchRateLimitGet({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReactionsDeleteLegacyPathParams = {
  reactionId: number;
};

export type ReactionsDeleteLegacyError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 410;
      payload: Responses.Gone;
    }
  | {
      status: 415;
      payload: Responses.PreviewHeaderMissing;
    }
>;

export type ReactionsDeleteLegacyVariables = {
  pathParams: ReactionsDeleteLegacyPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Reactions API. We recommend migrating your existing code to use the new delete reactions endpoints. For more information, see this [blog post](https://developer.github.com/changes/2020-02-26-new-delete-reactions-endpoints/).
 *
 * OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/), when deleting a [team discussion](https://docs.github.com/rest/reference/teams#discussions) or [team discussion comment](https://docs.github.com/rest/reference/teams#discussion-comments).
 */
export const fetchReactionsDeleteLegacy = (
  variables: ReactionsDeleteLegacyVariables
) =>
  githubFetch<
    undefined,
    ReactionsDeleteLegacyError,
    undefined,
    {},
    {},
    ReactionsDeleteLegacyPathParams
  >({ url: "/reactions/{reactionId}", method: "delete", ...variables });

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Reactions API. We recommend migrating your existing code to use the new delete reactions endpoints. For more information, see this [blog post](https://developer.github.com/changes/2020-02-26-new-delete-reactions-endpoints/).
 *
 * OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/), when deleting a [team discussion](https://docs.github.com/rest/reference/teams#discussions) or [team discussion comment](https://docs.github.com/rest/reference/teams#discussion-comments).
 */
export const useReactionsDeleteLegacy = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ReactionsDeleteLegacyError,
      ReactionsDeleteLegacyVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ReactionsDeleteLegacyError,
    ReactionsDeleteLegacyVariables
  >(
    (variables: ReactionsDeleteLegacyVariables) =>
      fetchReactionsDeleteLegacy({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposDeletePathParams = {
  owner: string;
  repo: string;
};

export type ReposDeleteError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: {
        documentation_url?: string;
        message?: string;
      };
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type ReposDeleteVariables = {
  pathParams: ReposDeletePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Deleting a repository requires admin access. If OAuth is used, the `delete_repo` scope is required.
 *
 * If an organization owner has configured the organization to prevent members from deleting organization-owned
 * repositories, you will get a `403 Forbidden` response.
 */
export const fetchReposDelete = (variables: ReposDeleteVariables) =>
  githubFetch<
    undefined,
    ReposDeleteError,
    undefined,
    {},
    {},
    ReposDeletePathParams
  >({ url: "/repos/{owner}/{repo}", method: "delete", ...variables });

/**
 * Deleting a repository requires admin access. If OAuth is used, the `delete_repo` scope is required.
 *
 * If an organization owner has configured the organization to prevent members from deleting organization-owned
 * repositories, you will get a `403 Forbidden` response.
 */
export const useReposDelete = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ReposDeleteError,
      ReposDeleteVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ReposDeleteError,
    ReposDeleteVariables
  >(
    (variables: ReposDeleteVariables) =>
      fetchReposDelete({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposGetPathParams = {
  owner: string;
  repo: string;
};

export type ReposGetError = Fetcher.ErrorWrapper<
  | {
      status: 301;
      payload: Responses.MovedPermanently;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type ReposGetVariables = {
  pathParams: ReposGetPathParams;
} & GithubContext["fetcherOptions"];

/**
 * When you pass the `scarlet-witch-preview` media type, requests to get a repository will also return the repository's code of conduct if it can be detected from the repository's code of conduct file.
 *
 * The `parent` and `source` objects are present when the repository is a fork. `parent` is the repository this repository was forked from, `source` is the ultimate source for the network.
 */
export const fetchReposGet = (variables: ReposGetVariables) =>
  githubFetch<
    Schemas.FullRepository,
    ReposGetError,
    undefined,
    {},
    {},
    ReposGetPathParams
  >({ url: "/repos/{owner}/{repo}", method: "get", ...variables });

/**
 * When you pass the `scarlet-witch-preview` media type, requests to get a repository will also return the repository's code of conduct if it can be detected from the repository's code of conduct file.
 *
 * The `parent` and `source` objects are present when the repository is a fork. `parent` is the repository this repository was forked from, `source` is the ultimate source for the network.
 */
export const useReposGet = <TData = Schemas.FullRepository>(
  variables: ReposGetVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<Schemas.FullRepository, ReposGetError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.FullRepository, ReposGetError, TData>(
    queryKeyFn({
      path: "/repos/{owner}/{repo}",
      operationId: "reposGet",
      variables,
    }),
    () => fetchReposGet({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposUpdatePathParams = {
  owner: string;
  repo: string;
};

export type ReposUpdateError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type ReposUpdateRequestBody = {
  /*
   * Either `true` to allow merging pull requests with a merge commit, or `false` to prevent merging pull requests with merge commits.
   *
   * @default true
   */
  allow_merge_commit?: boolean;
  /*
   * Either `true` to allow rebase-merging pull requests, or `false` to prevent rebase-merging.
   *
   * @default true
   */
  allow_rebase_merge?: boolean;
  /*
   * Either `true` to allow squash-merging pull requests, or `false` to prevent squash-merging.
   *
   * @default true
   */
  allow_squash_merge?: boolean;
  /*
   * `true` to archive this repository. **Note**: You cannot unarchive repositories through the API.
   *
   * @default false
   */
  archived?: boolean;
  /*
   * Updates the default branch for this repository.
   */
  default_branch?: string;
  /*
   * Either `true` to allow automatically deleting head branches when pull requests are merged, or `false` to prevent automatic deletion.
   *
   * @default false
   */
  delete_branch_on_merge?: boolean;
  /*
   * A short description of the repository.
   */
  description?: string;
  /*
   * Either `true` to enable issues for this repository or `false` to disable them.
   *
   * @default true
   */
  has_issues?: boolean;
  /*
   * Either `true` to enable projects for this repository or `false` to disable them. **Note:** If you're creating a repository in an organization that has disabled repository projects, the default is `false`, and if you pass `true`, the API returns an error.
   *
   * @default true
   */
  has_projects?: boolean;
  /*
   * Either `true` to enable the wiki for this repository or `false` to disable it.
   *
   * @default true
   */
  has_wiki?: boolean;
  /*
   * A URL with more information about the repository.
   */
  homepage?: string;
  /*
   * Either `true` to make this repo available as a template repository or `false` to prevent it.
   *
   * @default false
   */
  is_template?: boolean;
  /*
   * The name of the repository.
   */
  name?: string;
  /*
   * Either `true` to make the repository private or `false` to make it public. Default: `false`.
   * **Note**: You will get a `422` error if the organization restricts [changing repository visibility](https://help.github.com/articles/repository-permission-levels-for-an-organization#changing-the-visibility-of-repositories) to organization owners and a non-owner tries to change the value of private. **Note**: You will get a `422` error if the organization restricts [changing repository visibility](https://help.github.com/articles/repository-permission-levels-for-an-organization#changing-the-visibility-of-repositories) to organization owners and a non-owner tries to change the value of private.
   *
   * @default false
   */
  private?: boolean;
  /*
   * Can be `public` or `private`. If your organization is associated with an enterprise account using GitHub Enterprise Cloud or GitHub Enterprise Server 2.20+, `visibility` can also be `internal`. The `visibility` parameter overrides the `private` parameter when you use both along with the `nebula-preview` preview header.
   */
  visibility?: "public" | "private" | "visibility" | "internal";
};

export type ReposUpdateVariables = {
  body?: ReposUpdateRequestBody;
  pathParams: ReposUpdatePathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Note**: To edit a repository's topics, use the [Replace all repository topics](https://docs.github.com/rest/reference/repos#replace-all-repository-topics) endpoint.
 */
export const fetchReposUpdate = (variables: ReposUpdateVariables) =>
  githubFetch<
    Schemas.FullRepository,
    ReposUpdateError,
    ReposUpdateRequestBody,
    {},
    {},
    ReposUpdatePathParams
  >({ url: "/repos/{owner}/{repo}", method: "patch", ...variables });

/**
 * **Note**: To edit a repository's topics, use the [Replace all repository topics](https://docs.github.com/rest/reference/repos#replace-all-repository-topics) endpoint.
 */
export const useReposUpdate = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.FullRepository,
      ReposUpdateError,
      ReposUpdateVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.FullRepository,
    ReposUpdateError,
    ReposUpdateVariables
  >(
    (variables: ReposUpdateVariables) =>
      fetchReposUpdate({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ActionsListArtifactsForRepoPathParams = {
  owner: string;
  repo: string;
};

export type ActionsListArtifactsForRepoQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ActionsListArtifactsForRepoError = Fetcher.ErrorWrapper<undefined>;

export type ActionsListArtifactsForRepoResponse = {
  artifacts: Schemas.Artifact[];
  total_count: number;
};

export type ActionsListArtifactsForRepoVariables = {
  pathParams: ActionsListArtifactsForRepoPathParams;
  queryParams?: ActionsListArtifactsForRepoQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists all artifacts for a repository. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the `repo` scope. GitHub Apps must have the `actions:read` permission to use this endpoint.
 */
export const fetchActionsListArtifactsForRepo = (
  variables: ActionsListArtifactsForRepoVariables
) =>
  githubFetch<
    ActionsListArtifactsForRepoResponse,
    ActionsListArtifactsForRepoError,
    undefined,
    {},
    ActionsListArtifactsForRepoQueryParams,
    ActionsListArtifactsForRepoPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/artifacts",
    method: "get",
    ...variables,
  });

/**
 * Lists all artifacts for a repository. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the `repo` scope. GitHub Apps must have the `actions:read` permission to use this endpoint.
 */
export const useActionsListArtifactsForRepo = <
  TData = ActionsListArtifactsForRepoResponse
>(
  variables: ActionsListArtifactsForRepoVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ActionsListArtifactsForRepoResponse,
      ActionsListArtifactsForRepoError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ActionsListArtifactsForRepoResponse,
    ActionsListArtifactsForRepoError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/actions/artifacts",
      operationId: "actionsListArtifactsForRepo",
      variables,
    }),
    () => fetchActionsListArtifactsForRepo({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsDeleteArtifactPathParams = {
  owner: string;
  repo: string;
  /*
   * artifact_id parameter
   */
  artifactId: number;
};

export type ActionsDeleteArtifactError = Fetcher.ErrorWrapper<undefined>;

export type ActionsDeleteArtifactVariables = {
  pathParams: ActionsDeleteArtifactPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Deletes an artifact for a workflow run. You must authenticate using an access token with the `repo` scope to use this endpoint. GitHub Apps must have the `actions:write` permission to use this endpoint.
 */
export const fetchActionsDeleteArtifact = (
  variables: ActionsDeleteArtifactVariables
) =>
  githubFetch<
    undefined,
    ActionsDeleteArtifactError,
    undefined,
    {},
    {},
    ActionsDeleteArtifactPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/artifacts/{artifactId}",
    method: "delete",
    ...variables,
  });

/**
 * Deletes an artifact for a workflow run. You must authenticate using an access token with the `repo` scope to use this endpoint. GitHub Apps must have the `actions:write` permission to use this endpoint.
 */
export const useActionsDeleteArtifact = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActionsDeleteArtifactError,
      ActionsDeleteArtifactVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActionsDeleteArtifactError,
    ActionsDeleteArtifactVariables
  >(
    (variables: ActionsDeleteArtifactVariables) =>
      fetchActionsDeleteArtifact({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ActionsGetArtifactPathParams = {
  owner: string;
  repo: string;
  /*
   * artifact_id parameter
   */
  artifactId: number;
};

export type ActionsGetArtifactError = Fetcher.ErrorWrapper<undefined>;

export type ActionsGetArtifactVariables = {
  pathParams: ActionsGetArtifactPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets a specific artifact for a workflow run. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the `repo` scope. GitHub Apps must have the `actions:read` permission to use this endpoint.
 */
export const fetchActionsGetArtifact = (
  variables: ActionsGetArtifactVariables
) =>
  githubFetch<
    Schemas.Artifact,
    ActionsGetArtifactError,
    undefined,
    {},
    {},
    ActionsGetArtifactPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/artifacts/{artifactId}",
    method: "get",
    ...variables,
  });

/**
 * Gets a specific artifact for a workflow run. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the `repo` scope. GitHub Apps must have the `actions:read` permission to use this endpoint.
 */
export const useActionsGetArtifact = <TData = Schemas.Artifact>(
  variables: ActionsGetArtifactVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.Artifact,
      ActionsGetArtifactError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.Artifact, ActionsGetArtifactError, TData>(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/actions/artifacts/{artifact_id}",
      operationId: "actionsGetArtifact",
      variables,
    }),
    () => fetchActionsGetArtifact({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsDownloadArtifactPathParams = {
  owner: string;
  repo: string;
  /*
   * artifact_id parameter
   */
  artifactId: number;
  archiveFormat: string;
};

export type ActionsDownloadArtifactError = Fetcher.ErrorWrapper<undefined>;

export type ActionsDownloadArtifactVariables = {
  pathParams: ActionsDownloadArtifactPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets a redirect URL to download an archive for a repository. This URL expires after 1 minute. Look for `Location:` in
 * the response header to find the URL for the download. The `:archive_format` must be `zip`. Anyone with read access to
 * the repository can use this endpoint. If the repository is private you must use an access token with the `repo` scope.
 * GitHub Apps must have the `actions:read` permission to use this endpoint.
 */
export const fetchActionsDownloadArtifact = (
  variables: ActionsDownloadArtifactVariables
) =>
  githubFetch<
    undefined,
    ActionsDownloadArtifactError,
    undefined,
    {},
    {},
    ActionsDownloadArtifactPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/artifacts/{artifactId}/{archiveFormat}",
    method: "get",
    ...variables,
  });

/**
 * Gets a redirect URL to download an archive for a repository. This URL expires after 1 minute. Look for `Location:` in
 * the response header to find the URL for the download. The `:archive_format` must be `zip`. Anyone with read access to
 * the repository can use this endpoint. If the repository is private you must use an access token with the `repo` scope.
 * GitHub Apps must have the `actions:read` permission to use this endpoint.
 */
export const useActionsDownloadArtifact = <TData = undefined>(
  variables: ActionsDownloadArtifactVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<undefined, ActionsDownloadArtifactError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<undefined, ActionsDownloadArtifactError, TData>(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/actions/artifacts/{artifact_id}/{archive_format}",
      operationId: "actionsDownloadArtifact",
      variables,
    }),
    () => fetchActionsDownloadArtifact({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsGetJobForWorkflowRunPathParams = {
  owner: string;
  repo: string;
  /*
   * job_id parameter
   */
  jobId: number;
};

export type ActionsGetJobForWorkflowRunError = Fetcher.ErrorWrapper<undefined>;

export type ActionsGetJobForWorkflowRunVariables = {
  pathParams: ActionsGetJobForWorkflowRunPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets a specific job in a workflow run. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the `repo` scope. GitHub Apps must have the `actions:read` permission to use this endpoint.
 */
export const fetchActionsGetJobForWorkflowRun = (
  variables: ActionsGetJobForWorkflowRunVariables
) =>
  githubFetch<
    Schemas.Job,
    ActionsGetJobForWorkflowRunError,
    undefined,
    {},
    {},
    ActionsGetJobForWorkflowRunPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/jobs/{jobId}",
    method: "get",
    ...variables,
  });

/**
 * Gets a specific job in a workflow run. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the `repo` scope. GitHub Apps must have the `actions:read` permission to use this endpoint.
 */
export const useActionsGetJobForWorkflowRun = <TData = Schemas.Job>(
  variables: ActionsGetJobForWorkflowRunVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.Job,
      ActionsGetJobForWorkflowRunError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.Job,
    ActionsGetJobForWorkflowRunError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/actions/jobs/{job_id}",
      operationId: "actionsGetJobForWorkflowRun",
      variables,
    }),
    () => fetchActionsGetJobForWorkflowRun({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsDownloadJobLogsForWorkflowRunPathParams = {
  owner: string;
  repo: string;
  /*
   * job_id parameter
   */
  jobId: number;
};

export type ActionsDownloadJobLogsForWorkflowRunError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsDownloadJobLogsForWorkflowRunVariables = {
  pathParams: ActionsDownloadJobLogsForWorkflowRunPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets a redirect URL to download a plain text file of logs for a workflow job. This link expires after 1 minute. Look
 * for `Location:` in the response header to find the URL for the download. Anyone with read access to the repository can
 * use this endpoint. If the repository is private you must use an access token with the `repo` scope. GitHub Apps must
 * have the `actions:read` permission to use this endpoint.
 */
export const fetchActionsDownloadJobLogsForWorkflowRun = (
  variables: ActionsDownloadJobLogsForWorkflowRunVariables
) =>
  githubFetch<
    undefined,
    ActionsDownloadJobLogsForWorkflowRunError,
    undefined,
    {},
    {},
    ActionsDownloadJobLogsForWorkflowRunPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/jobs/{jobId}/logs",
    method: "get",
    ...variables,
  });

/**
 * Gets a redirect URL to download a plain text file of logs for a workflow job. This link expires after 1 minute. Look
 * for `Location:` in the response header to find the URL for the download. Anyone with read access to the repository can
 * use this endpoint. If the repository is private you must use an access token with the `repo` scope. GitHub Apps must
 * have the `actions:read` permission to use this endpoint.
 */
export const useActionsDownloadJobLogsForWorkflowRun = <TData = undefined>(
  variables: ActionsDownloadJobLogsForWorkflowRunVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      undefined,
      ActionsDownloadJobLogsForWorkflowRunError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    undefined,
    ActionsDownloadJobLogsForWorkflowRunError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/actions/jobs/{job_id}/logs",
      operationId: "actionsDownloadJobLogsForWorkflowRun",
      variables,
    }),
    () =>
      fetchActionsDownloadJobLogsForWorkflowRun({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsGetGithubActionsPermissionsRepositoryPathParams = {
  owner: string;
  repo: string;
};

export type ActionsGetGithubActionsPermissionsRepositoryError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsGetGithubActionsPermissionsRepositoryVariables = {
  pathParams: ActionsGetGithubActionsPermissionsRepositoryPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets the GitHub Actions permissions policy for a repository, including whether GitHub Actions is enabled and the actions allowed to run in the repository.
 *
 * You must authenticate using an access token with the `repo` scope to use this
 * endpoint. GitHub Apps must have the `administration` repository permission to use this API.
 */
export const fetchActionsGetGithubActionsPermissionsRepository = (
  variables: ActionsGetGithubActionsPermissionsRepositoryVariables
) =>
  githubFetch<
    Schemas.ActionsRepositoryPermissions,
    ActionsGetGithubActionsPermissionsRepositoryError,
    undefined,
    {},
    {},
    ActionsGetGithubActionsPermissionsRepositoryPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/permissions",
    method: "get",
    ...variables,
  });

/**
 * Gets the GitHub Actions permissions policy for a repository, including whether GitHub Actions is enabled and the actions allowed to run in the repository.
 *
 * You must authenticate using an access token with the `repo` scope to use this
 * endpoint. GitHub Apps must have the `administration` repository permission to use this API.
 */
export const useActionsGetGithubActionsPermissionsRepository = <
  TData = Schemas.ActionsRepositoryPermissions
>(
  variables: ActionsGetGithubActionsPermissionsRepositoryVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.ActionsRepositoryPermissions,
      ActionsGetGithubActionsPermissionsRepositoryError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.ActionsRepositoryPermissions,
    ActionsGetGithubActionsPermissionsRepositoryError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/actions/permissions",
      operationId: "actionsGetGithubActionsPermissionsRepository",
      variables,
    }),
    () =>
      fetchActionsGetGithubActionsPermissionsRepository({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsSetGithubActionsPermissionsRepositoryPathParams = {
  owner: string;
  repo: string;
};

export type ActionsSetGithubActionsPermissionsRepositoryError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsSetGithubActionsPermissionsRepositoryRequestBody = {
  allowed_actions?: Schemas.AllowedActions;
  enabled: Schemas.ActionsEnabled;
};

export type ActionsSetGithubActionsPermissionsRepositoryVariables = {
  body: ActionsSetGithubActionsPermissionsRepositoryRequestBody;
  pathParams: ActionsSetGithubActionsPermissionsRepositoryPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Sets the GitHub Actions permissions policy for enabling GitHub Actions and allowed actions in the repository.
 *
 * If the repository belongs to an organization or enterprise that has set restrictive permissions at the organization or enterprise levels, such as `allowed_actions` to `selected` actions, then you cannot override them for the repository.
 *
 * You must authenticate using an access token with the `repo` scope to use this endpoint. GitHub Apps must have the `administration` repository permission to use this API.
 */
export const fetchActionsSetGithubActionsPermissionsRepository = (
  variables: ActionsSetGithubActionsPermissionsRepositoryVariables
) =>
  githubFetch<
    undefined,
    ActionsSetGithubActionsPermissionsRepositoryError,
    ActionsSetGithubActionsPermissionsRepositoryRequestBody,
    {},
    {},
    ActionsSetGithubActionsPermissionsRepositoryPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/permissions",
    method: "put",
    ...variables,
  });

/**
 * Sets the GitHub Actions permissions policy for enabling GitHub Actions and allowed actions in the repository.
 *
 * If the repository belongs to an organization or enterprise that has set restrictive permissions at the organization or enterprise levels, such as `allowed_actions` to `selected` actions, then you cannot override them for the repository.
 *
 * You must authenticate using an access token with the `repo` scope to use this endpoint. GitHub Apps must have the `administration` repository permission to use this API.
 */
export const useActionsSetGithubActionsPermissionsRepository = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActionsSetGithubActionsPermissionsRepositoryError,
      ActionsSetGithubActionsPermissionsRepositoryVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActionsSetGithubActionsPermissionsRepositoryError,
    ActionsSetGithubActionsPermissionsRepositoryVariables
  >(
    (variables: ActionsSetGithubActionsPermissionsRepositoryVariables) =>
      fetchActionsSetGithubActionsPermissionsRepository({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ActionsGetAllowedActionsRepositoryPathParams = {
  owner: string;
  repo: string;
};

export type ActionsGetAllowedActionsRepositoryError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsGetAllowedActionsRepositoryVariables = {
  pathParams: ActionsGetAllowedActionsRepositoryPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets the settings for selected actions that are allowed in a repository. To use this endpoint, the repository policy for `allowed_actions` must be configured to `selected`. For more information, see "[Set GitHub Actions permissions for a repository](#set-github-actions-permissions-for-a-repository)."
 *
 * You must authenticate using an access token with the `repo` scope to use this endpoint. GitHub Apps must have the `administration` repository permission to use this API.
 */
export const fetchActionsGetAllowedActionsRepository = (
  variables: ActionsGetAllowedActionsRepositoryVariables
) =>
  githubFetch<
    Schemas.SelectedActions,
    ActionsGetAllowedActionsRepositoryError,
    undefined,
    {},
    {},
    ActionsGetAllowedActionsRepositoryPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/permissions/selected-actions",
    method: "get",
    ...variables,
  });

/**
 * Gets the settings for selected actions that are allowed in a repository. To use this endpoint, the repository policy for `allowed_actions` must be configured to `selected`. For more information, see "[Set GitHub Actions permissions for a repository](#set-github-actions-permissions-for-a-repository)."
 *
 * You must authenticate using an access token with the `repo` scope to use this endpoint. GitHub Apps must have the `administration` repository permission to use this API.
 */
export const useActionsGetAllowedActionsRepository = <
  TData = Schemas.SelectedActions
>(
  variables: ActionsGetAllowedActionsRepositoryVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.SelectedActions,
      ActionsGetAllowedActionsRepositoryError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.SelectedActions,
    ActionsGetAllowedActionsRepositoryError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/actions/permissions/selected-actions",
      operationId: "actionsGetAllowedActionsRepository",
      variables,
    }),
    () =>
      fetchActionsGetAllowedActionsRepository({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsSetAllowedActionsRepositoryPathParams = {
  owner: string;
  repo: string;
};

export type ActionsSetAllowedActionsRepositoryError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsSetAllowedActionsRepositoryVariables = {
  body: Schemas.SelectedActions;
  pathParams: ActionsSetAllowedActionsRepositoryPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Sets the actions that are allowed in a repository. To use this endpoint, the repository permission policy for `allowed_actions` must be configured to `selected`. For more information, see "[Set GitHub Actions permissions for a repository](#set-github-actions-permissions-for-a-repository)."
 *
 * If the repository belongs to an organization or enterprise that has `selected` actions set at the organization or enterprise levels, then you cannot override any of the allowed actions settings.
 *
 * To use the `patterns_allowed` setting for private repositories, the repository must belong to an enterprise. If the repository does not belong to an enterprise, then the `patterns_allowed` setting only applies to public repositories.
 *
 * You must authenticate using an access token with the `repo` scope to use this endpoint. GitHub Apps must have the `administration` repository permission to use this API.
 */
export const fetchActionsSetAllowedActionsRepository = (
  variables: ActionsSetAllowedActionsRepositoryVariables
) =>
  githubFetch<
    undefined,
    ActionsSetAllowedActionsRepositoryError,
    Schemas.SelectedActions,
    {},
    {},
    ActionsSetAllowedActionsRepositoryPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/permissions/selected-actions",
    method: "put",
    ...variables,
  });

/**
 * Sets the actions that are allowed in a repository. To use this endpoint, the repository permission policy for `allowed_actions` must be configured to `selected`. For more information, see "[Set GitHub Actions permissions for a repository](#set-github-actions-permissions-for-a-repository)."
 *
 * If the repository belongs to an organization or enterprise that has `selected` actions set at the organization or enterprise levels, then you cannot override any of the allowed actions settings.
 *
 * To use the `patterns_allowed` setting for private repositories, the repository must belong to an enterprise. If the repository does not belong to an enterprise, then the `patterns_allowed` setting only applies to public repositories.
 *
 * You must authenticate using an access token with the `repo` scope to use this endpoint. GitHub Apps must have the `administration` repository permission to use this API.
 */
export const useActionsSetAllowedActionsRepository = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActionsSetAllowedActionsRepositoryError,
      ActionsSetAllowedActionsRepositoryVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActionsSetAllowedActionsRepositoryError,
    ActionsSetAllowedActionsRepositoryVariables
  >(
    (variables: ActionsSetAllowedActionsRepositoryVariables) =>
      fetchActionsSetAllowedActionsRepository({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ActionsListSelfHostedRunnersForRepoPathParams = {
  owner: string;
  repo: string;
};

export type ActionsListSelfHostedRunnersForRepoQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ActionsListSelfHostedRunnersForRepoError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsListSelfHostedRunnersForRepoResponse = {
  runners: Schemas.Runner[];
  total_count: number;
};

export type ActionsListSelfHostedRunnersForRepoVariables = {
  pathParams: ActionsListSelfHostedRunnersForRepoPathParams;
  queryParams?: ActionsListSelfHostedRunnersForRepoQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists all self-hosted runners configured in a repository. You must authenticate using an access token with the `repo` scope to use this endpoint.
 */
export const fetchActionsListSelfHostedRunnersForRepo = (
  variables: ActionsListSelfHostedRunnersForRepoVariables
) =>
  githubFetch<
    ActionsListSelfHostedRunnersForRepoResponse,
    ActionsListSelfHostedRunnersForRepoError,
    undefined,
    {},
    ActionsListSelfHostedRunnersForRepoQueryParams,
    ActionsListSelfHostedRunnersForRepoPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/runners",
    method: "get",
    ...variables,
  });

/**
 * Lists all self-hosted runners configured in a repository. You must authenticate using an access token with the `repo` scope to use this endpoint.
 */
export const useActionsListSelfHostedRunnersForRepo = <
  TData = ActionsListSelfHostedRunnersForRepoResponse
>(
  variables: ActionsListSelfHostedRunnersForRepoVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ActionsListSelfHostedRunnersForRepoResponse,
      ActionsListSelfHostedRunnersForRepoError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ActionsListSelfHostedRunnersForRepoResponse,
    ActionsListSelfHostedRunnersForRepoError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/actions/runners",
      operationId: "actionsListSelfHostedRunnersForRepo",
      variables,
    }),
    () =>
      fetchActionsListSelfHostedRunnersForRepo({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsListRunnerApplicationsForRepoPathParams = {
  owner: string;
  repo: string;
};

export type ActionsListRunnerApplicationsForRepoError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsListRunnerApplicationsForRepoResponse =
  Schemas.RunnerApplication[];

export type ActionsListRunnerApplicationsForRepoVariables = {
  pathParams: ActionsListRunnerApplicationsForRepoPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists binaries for the runner application that you can download and run.
 *
 * You must authenticate using an access token with the `repo` scope to use this endpoint.
 */
export const fetchActionsListRunnerApplicationsForRepo = (
  variables: ActionsListRunnerApplicationsForRepoVariables
) =>
  githubFetch<
    ActionsListRunnerApplicationsForRepoResponse,
    ActionsListRunnerApplicationsForRepoError,
    undefined,
    {},
    {},
    ActionsListRunnerApplicationsForRepoPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/runners/downloads",
    method: "get",
    ...variables,
  });

/**
 * Lists binaries for the runner application that you can download and run.
 *
 * You must authenticate using an access token with the `repo` scope to use this endpoint.
 */
export const useActionsListRunnerApplicationsForRepo = <
  TData = ActionsListRunnerApplicationsForRepoResponse
>(
  variables: ActionsListRunnerApplicationsForRepoVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ActionsListRunnerApplicationsForRepoResponse,
      ActionsListRunnerApplicationsForRepoError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ActionsListRunnerApplicationsForRepoResponse,
    ActionsListRunnerApplicationsForRepoError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/actions/runners/downloads",
      operationId: "actionsListRunnerApplicationsForRepo",
      variables,
    }),
    () =>
      fetchActionsListRunnerApplicationsForRepo({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsCreateRegistrationTokenForRepoPathParams = {
  owner: string;
  repo: string;
};

export type ActionsCreateRegistrationTokenForRepoError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsCreateRegistrationTokenForRepoVariables = {
  pathParams: ActionsCreateRegistrationTokenForRepoPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Returns a token that you can pass to the `config` script. The token expires after one hour. You must authenticate
 * using an access token with the `repo` scope to use this endpoint.
 *
 * #### Example using registration token
 *
 * Configure your self-hosted runner, replacing `TOKEN` with the registration token provided by this endpoint.
 *
 * ```
 * ./config.sh --url https://github.com/octo-org/octo-repo-artifacts --token TOKEN
 * ```
 */
export const fetchActionsCreateRegistrationTokenForRepo = (
  variables: ActionsCreateRegistrationTokenForRepoVariables
) =>
  githubFetch<
    Schemas.AuthenticationToken,
    ActionsCreateRegistrationTokenForRepoError,
    undefined,
    {},
    {},
    ActionsCreateRegistrationTokenForRepoPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/runners/registration-token",
    method: "post",
    ...variables,
  });

/**
 * Returns a token that you can pass to the `config` script. The token expires after one hour. You must authenticate
 * using an access token with the `repo` scope to use this endpoint.
 *
 * #### Example using registration token
 *
 * Configure your self-hosted runner, replacing `TOKEN` with the registration token provided by this endpoint.
 *
 * ```
 * ./config.sh --url https://github.com/octo-org/octo-repo-artifacts --token TOKEN
 * ```
 */
export const useActionsCreateRegistrationTokenForRepo = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.AuthenticationToken,
      ActionsCreateRegistrationTokenForRepoError,
      ActionsCreateRegistrationTokenForRepoVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.AuthenticationToken,
    ActionsCreateRegistrationTokenForRepoError,
    ActionsCreateRegistrationTokenForRepoVariables
  >(
    (variables: ActionsCreateRegistrationTokenForRepoVariables) =>
      fetchActionsCreateRegistrationTokenForRepo({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ActionsCreateRemoveTokenForRepoPathParams = {
  owner: string;
  repo: string;
};

export type ActionsCreateRemoveTokenForRepoError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsCreateRemoveTokenForRepoVariables = {
  pathParams: ActionsCreateRemoveTokenForRepoPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Returns a token that you can pass to remove a self-hosted runner from a repository. The token expires after one hour.
 * You must authenticate using an access token with the `repo` scope to use this endpoint.
 *
 * #### Example using remove token
 *
 * To remove your self-hosted runner from a repository, replace TOKEN with the remove token provided by this endpoint.
 *
 * ```
 * ./config.sh remove --token TOKEN
 * ```
 */
export const fetchActionsCreateRemoveTokenForRepo = (
  variables: ActionsCreateRemoveTokenForRepoVariables
) =>
  githubFetch<
    Schemas.AuthenticationToken,
    ActionsCreateRemoveTokenForRepoError,
    undefined,
    {},
    {},
    ActionsCreateRemoveTokenForRepoPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/runners/remove-token",
    method: "post",
    ...variables,
  });

/**
 * Returns a token that you can pass to remove a self-hosted runner from a repository. The token expires after one hour.
 * You must authenticate using an access token with the `repo` scope to use this endpoint.
 *
 * #### Example using remove token
 *
 * To remove your self-hosted runner from a repository, replace TOKEN with the remove token provided by this endpoint.
 *
 * ```
 * ./config.sh remove --token TOKEN
 * ```
 */
export const useActionsCreateRemoveTokenForRepo = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.AuthenticationToken,
      ActionsCreateRemoveTokenForRepoError,
      ActionsCreateRemoveTokenForRepoVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.AuthenticationToken,
    ActionsCreateRemoveTokenForRepoError,
    ActionsCreateRemoveTokenForRepoVariables
  >(
    (variables: ActionsCreateRemoveTokenForRepoVariables) =>
      fetchActionsCreateRemoveTokenForRepo({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ActionsDeleteSelfHostedRunnerFromRepoPathParams = {
  owner: string;
  repo: string;
  /*
   * Unique identifier of the self-hosted runner.
   */
  runnerId: number;
};

export type ActionsDeleteSelfHostedRunnerFromRepoError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsDeleteSelfHostedRunnerFromRepoVariables = {
  pathParams: ActionsDeleteSelfHostedRunnerFromRepoPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Forces the removal of a self-hosted runner from a repository. You can use this endpoint to completely remove the runner when the machine you were using no longer exists.
 *
 * You must authenticate using an access token with the `repo`
 * scope to use this endpoint.
 */
export const fetchActionsDeleteSelfHostedRunnerFromRepo = (
  variables: ActionsDeleteSelfHostedRunnerFromRepoVariables
) =>
  githubFetch<
    undefined,
    ActionsDeleteSelfHostedRunnerFromRepoError,
    undefined,
    {},
    {},
    ActionsDeleteSelfHostedRunnerFromRepoPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/runners/{runnerId}",
    method: "delete",
    ...variables,
  });

/**
 * Forces the removal of a self-hosted runner from a repository. You can use this endpoint to completely remove the runner when the machine you were using no longer exists.
 *
 * You must authenticate using an access token with the `repo`
 * scope to use this endpoint.
 */
export const useActionsDeleteSelfHostedRunnerFromRepo = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActionsDeleteSelfHostedRunnerFromRepoError,
      ActionsDeleteSelfHostedRunnerFromRepoVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActionsDeleteSelfHostedRunnerFromRepoError,
    ActionsDeleteSelfHostedRunnerFromRepoVariables
  >(
    (variables: ActionsDeleteSelfHostedRunnerFromRepoVariables) =>
      fetchActionsDeleteSelfHostedRunnerFromRepo({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ActionsGetSelfHostedRunnerForRepoPathParams = {
  owner: string;
  repo: string;
  /*
   * Unique identifier of the self-hosted runner.
   */
  runnerId: number;
};

export type ActionsGetSelfHostedRunnerForRepoError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsGetSelfHostedRunnerForRepoVariables = {
  pathParams: ActionsGetSelfHostedRunnerForRepoPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets a specific self-hosted runner configured in a repository.
 *
 * You must authenticate using an access token with the `repo` scope to use this
 * endpoint.
 */
export const fetchActionsGetSelfHostedRunnerForRepo = (
  variables: ActionsGetSelfHostedRunnerForRepoVariables
) =>
  githubFetch<
    Schemas.Runner,
    ActionsGetSelfHostedRunnerForRepoError,
    undefined,
    {},
    {},
    ActionsGetSelfHostedRunnerForRepoPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/runners/{runnerId}",
    method: "get",
    ...variables,
  });

/**
 * Gets a specific self-hosted runner configured in a repository.
 *
 * You must authenticate using an access token with the `repo` scope to use this
 * endpoint.
 */
export const useActionsGetSelfHostedRunnerForRepo = <TData = Schemas.Runner>(
  variables: ActionsGetSelfHostedRunnerForRepoVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.Runner,
      ActionsGetSelfHostedRunnerForRepoError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.Runner,
    ActionsGetSelfHostedRunnerForRepoError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/actions/runners/{runner_id}",
      operationId: "actionsGetSelfHostedRunnerForRepo",
      variables,
    }),
    () =>
      fetchActionsGetSelfHostedRunnerForRepo({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsListWorkflowRunsForRepoPathParams = {
  owner: string;
  repo: string;
};

export type ActionsListWorkflowRunsForRepoQueryParams = {
  /*
   * Returns someone's workflow runs. Use the login for the user who created the `push` associated with the check suite or workflow run.
   */
  actor?: string;
  /*
   * Returns workflow runs associated with a branch. Use the name of the branch of the `push`.
   */
  branch?: string;
  /*
   * Returns workflow run triggered by the event you specify. For example, `push`, `pull_request` or `issue`. For more information, see "[Events that trigger workflows](https://help.github.com/en/actions/automating-your-workflow-with-github-actions/events-that-trigger-workflows)."
   */
  event?: string;
  /*
   * Returns workflow runs with the check run `status` or `conclusion` that you specify. For example, a conclusion can be `success` or a status can be `in_progress`. Only GitHub can set a status of `waiting` or `requested`. For a list of the possible `status` and `conclusion` options, see "[Create a check run](https://docs.github.com/rest/reference/checks#create-a-check-run)."
   */
  status?:
    | "completed"
    | "action_required"
    | "cancelled"
    | "failure"
    | "neutral"
    | "skipped"
    | "stale"
    | "success"
    | "timed_out"
    | "in_progress"
    | "queued"
    | "requested"
    | "waiting";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ActionsListWorkflowRunsForRepoError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsListWorkflowRunsForRepoResponse = {
  total_count: number;
  workflow_runs: Schemas.WorkflowRun[];
};

export type ActionsListWorkflowRunsForRepoVariables = {
  pathParams: ActionsListWorkflowRunsForRepoPathParams;
  queryParams?: ActionsListWorkflowRunsForRepoQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists all workflow runs for a repository. You can use parameters to narrow the list of results. For more information about using parameters, see [Parameters](https://docs.github.com/rest/overview/resources-in-the-rest-api#parameters).
 *
 * Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the `repo` scope. GitHub Apps must have the `actions:read` permission to use this endpoint.
 */
export const fetchActionsListWorkflowRunsForRepo = (
  variables: ActionsListWorkflowRunsForRepoVariables
) =>
  githubFetch<
    ActionsListWorkflowRunsForRepoResponse,
    ActionsListWorkflowRunsForRepoError,
    undefined,
    {},
    ActionsListWorkflowRunsForRepoQueryParams,
    ActionsListWorkflowRunsForRepoPathParams
  >({ url: "/repos/{owner}/{repo}/actions/runs", method: "get", ...variables });

/**
 * Lists all workflow runs for a repository. You can use parameters to narrow the list of results. For more information about using parameters, see [Parameters](https://docs.github.com/rest/overview/resources-in-the-rest-api#parameters).
 *
 * Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the `repo` scope. GitHub Apps must have the `actions:read` permission to use this endpoint.
 */
export const useActionsListWorkflowRunsForRepo = <
  TData = ActionsListWorkflowRunsForRepoResponse
>(
  variables: ActionsListWorkflowRunsForRepoVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ActionsListWorkflowRunsForRepoResponse,
      ActionsListWorkflowRunsForRepoError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ActionsListWorkflowRunsForRepoResponse,
    ActionsListWorkflowRunsForRepoError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/actions/runs",
      operationId: "actionsListWorkflowRunsForRepo",
      variables,
    }),
    () =>
      fetchActionsListWorkflowRunsForRepo({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsDeleteWorkflowRunPathParams = {
  owner: string;
  repo: string;
  /*
   * The id of the workflow run
   */
  runId: number;
};

export type ActionsDeleteWorkflowRunError = Fetcher.ErrorWrapper<undefined>;

export type ActionsDeleteWorkflowRunVariables = {
  pathParams: ActionsDeleteWorkflowRunPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Delete a specific workflow run. Anyone with write access to the repository can use this endpoint. If the repository is
 * private you must use an access token with the `repo` scope. GitHub Apps must have the `actions:write` permission to use
 * this endpoint.
 */
export const fetchActionsDeleteWorkflowRun = (
  variables: ActionsDeleteWorkflowRunVariables
) =>
  githubFetch<
    undefined,
    ActionsDeleteWorkflowRunError,
    undefined,
    {},
    {},
    ActionsDeleteWorkflowRunPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/runs/{runId}",
    method: "delete",
    ...variables,
  });

/**
 * Delete a specific workflow run. Anyone with write access to the repository can use this endpoint. If the repository is
 * private you must use an access token with the `repo` scope. GitHub Apps must have the `actions:write` permission to use
 * this endpoint.
 */
export const useActionsDeleteWorkflowRun = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActionsDeleteWorkflowRunError,
      ActionsDeleteWorkflowRunVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActionsDeleteWorkflowRunError,
    ActionsDeleteWorkflowRunVariables
  >(
    (variables: ActionsDeleteWorkflowRunVariables) =>
      fetchActionsDeleteWorkflowRun({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ActionsGetWorkflowRunPathParams = {
  owner: string;
  repo: string;
  /*
   * The id of the workflow run
   */
  runId: number;
};

export type ActionsGetWorkflowRunError = Fetcher.ErrorWrapper<undefined>;

export type ActionsGetWorkflowRunVariables = {
  pathParams: ActionsGetWorkflowRunPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets a specific workflow run. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the `repo` scope. GitHub Apps must have the `actions:read` permission to use this endpoint.
 */
export const fetchActionsGetWorkflowRun = (
  variables: ActionsGetWorkflowRunVariables
) =>
  githubFetch<
    Schemas.WorkflowRun,
    ActionsGetWorkflowRunError,
    undefined,
    {},
    {},
    ActionsGetWorkflowRunPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/runs/{runId}",
    method: "get",
    ...variables,
  });

/**
 * Gets a specific workflow run. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the `repo` scope. GitHub Apps must have the `actions:read` permission to use this endpoint.
 */
export const useActionsGetWorkflowRun = <TData = Schemas.WorkflowRun>(
  variables: ActionsGetWorkflowRunVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.WorkflowRun,
      ActionsGetWorkflowRunError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.WorkflowRun,
    ActionsGetWorkflowRunError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/actions/runs/{run_id}",
      operationId: "actionsGetWorkflowRun",
      variables,
    }),
    () => fetchActionsGetWorkflowRun({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsGetReviewsForRunPathParams = {
  owner: string;
  repo: string;
  /*
   * The id of the workflow run
   */
  runId: number;
};

export type ActionsGetReviewsForRunError = Fetcher.ErrorWrapper<undefined>;

export type ActionsGetReviewsForRunResponse = Schemas.EnvironmentApprovals[];

export type ActionsGetReviewsForRunVariables = {
  pathParams: ActionsGetReviewsForRunPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Anyone with read access to the repository can use this endpoint. If the repository is private, you must use an access token with the `repo` scope. GitHub Apps must have the `actions:read` permission to use this endpoint.
 */
export const fetchActionsGetReviewsForRun = (
  variables: ActionsGetReviewsForRunVariables
) =>
  githubFetch<
    ActionsGetReviewsForRunResponse,
    ActionsGetReviewsForRunError,
    undefined,
    {},
    {},
    ActionsGetReviewsForRunPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/runs/{runId}/approvals",
    method: "get",
    ...variables,
  });

/**
 * Anyone with read access to the repository can use this endpoint. If the repository is private, you must use an access token with the `repo` scope. GitHub Apps must have the `actions:read` permission to use this endpoint.
 */
export const useActionsGetReviewsForRun = <
  TData = ActionsGetReviewsForRunResponse
>(
  variables: ActionsGetReviewsForRunVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ActionsGetReviewsForRunResponse,
      ActionsGetReviewsForRunError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ActionsGetReviewsForRunResponse,
    ActionsGetReviewsForRunError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/actions/runs/{run_id}/approvals",
      operationId: "actionsGetReviewsForRun",
      variables,
    }),
    () => fetchActionsGetReviewsForRun({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsListWorkflowRunArtifactsPathParams = {
  owner: string;
  repo: string;
  /*
   * The id of the workflow run
   */
  runId: number;
};

export type ActionsListWorkflowRunArtifactsQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ActionsListWorkflowRunArtifactsError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsListWorkflowRunArtifactsResponse = {
  artifacts: Schemas.Artifact[];
  total_count: number;
};

export type ActionsListWorkflowRunArtifactsVariables = {
  pathParams: ActionsListWorkflowRunArtifactsPathParams;
  queryParams?: ActionsListWorkflowRunArtifactsQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists artifacts for a workflow run. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the `repo` scope. GitHub Apps must have the `actions:read` permission to use this endpoint.
 */
export const fetchActionsListWorkflowRunArtifacts = (
  variables: ActionsListWorkflowRunArtifactsVariables
) =>
  githubFetch<
    ActionsListWorkflowRunArtifactsResponse,
    ActionsListWorkflowRunArtifactsError,
    undefined,
    {},
    ActionsListWorkflowRunArtifactsQueryParams,
    ActionsListWorkflowRunArtifactsPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/runs/{runId}/artifacts",
    method: "get",
    ...variables,
  });

/**
 * Lists artifacts for a workflow run. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the `repo` scope. GitHub Apps must have the `actions:read` permission to use this endpoint.
 */
export const useActionsListWorkflowRunArtifacts = <
  TData = ActionsListWorkflowRunArtifactsResponse
>(
  variables: ActionsListWorkflowRunArtifactsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ActionsListWorkflowRunArtifactsResponse,
      ActionsListWorkflowRunArtifactsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ActionsListWorkflowRunArtifactsResponse,
    ActionsListWorkflowRunArtifactsError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/actions/runs/{run_id}/artifacts",
      operationId: "actionsListWorkflowRunArtifacts",
      variables,
    }),
    () =>
      fetchActionsListWorkflowRunArtifacts({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsCancelWorkflowRunPathParams = {
  owner: string;
  repo: string;
  /*
   * The id of the workflow run
   */
  runId: number;
};

export type ActionsCancelWorkflowRunError = Fetcher.ErrorWrapper<undefined>;

export type ActionsCancelWorkflowRunVariables = {
  pathParams: ActionsCancelWorkflowRunPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Cancels a workflow run using its `id`. You must authenticate using an access token with the `repo` scope to use this endpoint. GitHub Apps must have the `actions:write` permission to use this endpoint.
 */
export const fetchActionsCancelWorkflowRun = (
  variables: ActionsCancelWorkflowRunVariables
) =>
  githubFetch<
    undefined,
    ActionsCancelWorkflowRunError,
    undefined,
    {},
    {},
    ActionsCancelWorkflowRunPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/runs/{runId}/cancel",
    method: "post",
    ...variables,
  });

/**
 * Cancels a workflow run using its `id`. You must authenticate using an access token with the `repo` scope to use this endpoint. GitHub Apps must have the `actions:write` permission to use this endpoint.
 */
export const useActionsCancelWorkflowRun = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActionsCancelWorkflowRunError,
      ActionsCancelWorkflowRunVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActionsCancelWorkflowRunError,
    ActionsCancelWorkflowRunVariables
  >(
    (variables: ActionsCancelWorkflowRunVariables) =>
      fetchActionsCancelWorkflowRun({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ActionsListJobsForWorkflowRunPathParams = {
  owner: string;
  repo: string;
  /*
   * The id of the workflow run
   */
  runId: number;
};

export type ActionsListJobsForWorkflowRunQueryParams = {
  /*
   * Filters jobs by their `completed_at` timestamp. Can be one of:
   * \* `latest`: Returns jobs from the most recent execution of the workflow run.
   * \* `all`: Returns all jobs for a workflow run, including from old executions of the workflow run.
   *
   * @default latest
   */
  filter?: "latest" | "all";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ActionsListJobsForWorkflowRunError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsListJobsForWorkflowRunResponse = {
  jobs: Schemas.Job[];
  total_count: number;
};

export type ActionsListJobsForWorkflowRunVariables = {
  pathParams: ActionsListJobsForWorkflowRunPathParams;
  queryParams?: ActionsListJobsForWorkflowRunQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists jobs for a workflow run. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the `repo` scope. GitHub Apps must have the `actions:read` permission to use this endpoint. You can use parameters to narrow the list of results. For more information about using parameters, see [Parameters](https://docs.github.com/rest/overview/resources-in-the-rest-api#parameters).
 */
export const fetchActionsListJobsForWorkflowRun = (
  variables: ActionsListJobsForWorkflowRunVariables
) =>
  githubFetch<
    ActionsListJobsForWorkflowRunResponse,
    ActionsListJobsForWorkflowRunError,
    undefined,
    {},
    ActionsListJobsForWorkflowRunQueryParams,
    ActionsListJobsForWorkflowRunPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/runs/{runId}/jobs",
    method: "get",
    ...variables,
  });

/**
 * Lists jobs for a workflow run. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the `repo` scope. GitHub Apps must have the `actions:read` permission to use this endpoint. You can use parameters to narrow the list of results. For more information about using parameters, see [Parameters](https://docs.github.com/rest/overview/resources-in-the-rest-api#parameters).
 */
export const useActionsListJobsForWorkflowRun = <
  TData = ActionsListJobsForWorkflowRunResponse
>(
  variables: ActionsListJobsForWorkflowRunVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ActionsListJobsForWorkflowRunResponse,
      ActionsListJobsForWorkflowRunError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ActionsListJobsForWorkflowRunResponse,
    ActionsListJobsForWorkflowRunError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/actions/runs/{run_id}/jobs",
      operationId: "actionsListJobsForWorkflowRun",
      variables,
    }),
    () =>
      fetchActionsListJobsForWorkflowRun({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsDeleteWorkflowRunLogsPathParams = {
  owner: string;
  repo: string;
  /*
   * The id of the workflow run
   */
  runId: number;
};

export type ActionsDeleteWorkflowRunLogsError = Fetcher.ErrorWrapper<undefined>;

export type ActionsDeleteWorkflowRunLogsVariables = {
  pathParams: ActionsDeleteWorkflowRunLogsPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Deletes all logs for a workflow run. You must authenticate using an access token with the `repo` scope to use this endpoint. GitHub Apps must have the `actions:write` permission to use this endpoint.
 */
export const fetchActionsDeleteWorkflowRunLogs = (
  variables: ActionsDeleteWorkflowRunLogsVariables
) =>
  githubFetch<
    undefined,
    ActionsDeleteWorkflowRunLogsError,
    undefined,
    {},
    {},
    ActionsDeleteWorkflowRunLogsPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/runs/{runId}/logs",
    method: "delete",
    ...variables,
  });

/**
 * Deletes all logs for a workflow run. You must authenticate using an access token with the `repo` scope to use this endpoint. GitHub Apps must have the `actions:write` permission to use this endpoint.
 */
export const useActionsDeleteWorkflowRunLogs = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActionsDeleteWorkflowRunLogsError,
      ActionsDeleteWorkflowRunLogsVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActionsDeleteWorkflowRunLogsError,
    ActionsDeleteWorkflowRunLogsVariables
  >(
    (variables: ActionsDeleteWorkflowRunLogsVariables) =>
      fetchActionsDeleteWorkflowRunLogs({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ActionsDownloadWorkflowRunLogsPathParams = {
  owner: string;
  repo: string;
  /*
   * The id of the workflow run
   */
  runId: number;
};

export type ActionsDownloadWorkflowRunLogsError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsDownloadWorkflowRunLogsVariables = {
  pathParams: ActionsDownloadWorkflowRunLogsPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets a redirect URL to download an archive of log files for a workflow run. This link expires after 1 minute. Look for
 * `Location:` in the response header to find the URL for the download. Anyone with read access to the repository can use
 * this endpoint. If the repository is private you must use an access token with the `repo` scope. GitHub Apps must have
 * the `actions:read` permission to use this endpoint.
 */
export const fetchActionsDownloadWorkflowRunLogs = (
  variables: ActionsDownloadWorkflowRunLogsVariables
) =>
  githubFetch<
    undefined,
    ActionsDownloadWorkflowRunLogsError,
    undefined,
    {},
    {},
    ActionsDownloadWorkflowRunLogsPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/runs/{runId}/logs",
    method: "get",
    ...variables,
  });

/**
 * Gets a redirect URL to download an archive of log files for a workflow run. This link expires after 1 minute. Look for
 * `Location:` in the response header to find the URL for the download. Anyone with read access to the repository can use
 * this endpoint. If the repository is private you must use an access token with the `repo` scope. GitHub Apps must have
 * the `actions:read` permission to use this endpoint.
 */
export const useActionsDownloadWorkflowRunLogs = <TData = undefined>(
  variables: ActionsDownloadWorkflowRunLogsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      undefined,
      ActionsDownloadWorkflowRunLogsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    undefined,
    ActionsDownloadWorkflowRunLogsError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/actions/runs/{run_id}/logs",
      operationId: "actionsDownloadWorkflowRunLogs",
      variables,
    }),
    () =>
      fetchActionsDownloadWorkflowRunLogs({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsGetPendingDeploymentsForRunPathParams = {
  owner: string;
  repo: string;
  /*
   * The id of the workflow run
   */
  runId: number;
};

export type ActionsGetPendingDeploymentsForRunError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsGetPendingDeploymentsForRunResponse =
  Schemas.PendingDeployment[];

export type ActionsGetPendingDeploymentsForRunVariables = {
  pathParams: ActionsGetPendingDeploymentsForRunPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Get all deployment environments for a workflow run that are waiting for protection rules to pass.
 *
 * Anyone with read access to the repository can use this endpoint. If the repository is private, you must use an access token with the `repo` scope. GitHub Apps must have the `actions:read` permission to use this endpoint.
 */
export const fetchActionsGetPendingDeploymentsForRun = (
  variables: ActionsGetPendingDeploymentsForRunVariables
) =>
  githubFetch<
    ActionsGetPendingDeploymentsForRunResponse,
    ActionsGetPendingDeploymentsForRunError,
    undefined,
    {},
    {},
    ActionsGetPendingDeploymentsForRunPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/runs/{runId}/pending_deployments",
    method: "get",
    ...variables,
  });

/**
 * Get all deployment environments for a workflow run that are waiting for protection rules to pass.
 *
 * Anyone with read access to the repository can use this endpoint. If the repository is private, you must use an access token with the `repo` scope. GitHub Apps must have the `actions:read` permission to use this endpoint.
 */
export const useActionsGetPendingDeploymentsForRun = <
  TData = ActionsGetPendingDeploymentsForRunResponse
>(
  variables: ActionsGetPendingDeploymentsForRunVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ActionsGetPendingDeploymentsForRunResponse,
      ActionsGetPendingDeploymentsForRunError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ActionsGetPendingDeploymentsForRunResponse,
    ActionsGetPendingDeploymentsForRunError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/actions/runs/{run_id}/pending_deployments",
      operationId: "actionsGetPendingDeploymentsForRun",
      variables,
    }),
    () =>
      fetchActionsGetPendingDeploymentsForRun({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsReviewPendingDeploymentsForRunPathParams = {
  owner: string;
  repo: string;
  /*
   * The id of the workflow run
   */
  runId: number;
};

export type ActionsReviewPendingDeploymentsForRunError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsReviewPendingDeploymentsForRunResponse =
  Schemas.Deployment[];

export type ActionsReviewPendingDeploymentsForRunRequestBody = {
  /*
   * A comment to accompany the deployment review
   *
   * @example Ship it!
   */
  comment: string;
  /*
   * The list of environment ids to approve or reject
   *
   * @example 161171787
   * @example 161171795
   */
  environment_ids: number[];
  /*
   * Whether to approve or reject deployment to the specified environments. Must be one of: `approved` or `rejected`
   *
   * @example approved
   */
  state: "approved" | "rejected";
};

export type ActionsReviewPendingDeploymentsForRunVariables = {
  body: ActionsReviewPendingDeploymentsForRunRequestBody;
  pathParams: ActionsReviewPendingDeploymentsForRunPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Approve or reject pending deployments that are waiting on approval by a required reviewer.
 *
 * Anyone with read access to the repository contents and deployments can use this endpoint.
 */
export const fetchActionsReviewPendingDeploymentsForRun = (
  variables: ActionsReviewPendingDeploymentsForRunVariables
) =>
  githubFetch<
    ActionsReviewPendingDeploymentsForRunResponse,
    ActionsReviewPendingDeploymentsForRunError,
    ActionsReviewPendingDeploymentsForRunRequestBody,
    {},
    {},
    ActionsReviewPendingDeploymentsForRunPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/runs/{runId}/pending_deployments",
    method: "post",
    ...variables,
  });

/**
 * Approve or reject pending deployments that are waiting on approval by a required reviewer.
 *
 * Anyone with read access to the repository contents and deployments can use this endpoint.
 */
export const useActionsReviewPendingDeploymentsForRun = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      ActionsReviewPendingDeploymentsForRunResponse,
      ActionsReviewPendingDeploymentsForRunError,
      ActionsReviewPendingDeploymentsForRunVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    ActionsReviewPendingDeploymentsForRunResponse,
    ActionsReviewPendingDeploymentsForRunError,
    ActionsReviewPendingDeploymentsForRunVariables
  >(
    (variables: ActionsReviewPendingDeploymentsForRunVariables) =>
      fetchActionsReviewPendingDeploymentsForRun({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ActionsReRunWorkflowPathParams = {
  owner: string;
  repo: string;
  /*
   * The id of the workflow run
   */
  runId: number;
};

export type ActionsReRunWorkflowError = Fetcher.ErrorWrapper<undefined>;

export type ActionsReRunWorkflowVariables = {
  pathParams: ActionsReRunWorkflowPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Re-runs your workflow run using its `id`. You must authenticate using an access token with the `repo` scope to use this endpoint. GitHub Apps must have the `actions:write` permission to use this endpoint.
 */
export const fetchActionsReRunWorkflow = (
  variables: ActionsReRunWorkflowVariables
) =>
  githubFetch<
    undefined,
    ActionsReRunWorkflowError,
    undefined,
    {},
    {},
    ActionsReRunWorkflowPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/runs/{runId}/rerun",
    method: "post",
    ...variables,
  });

/**
 * Re-runs your workflow run using its `id`. You must authenticate using an access token with the `repo` scope to use this endpoint. GitHub Apps must have the `actions:write` permission to use this endpoint.
 */
export const useActionsReRunWorkflow = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActionsReRunWorkflowError,
      ActionsReRunWorkflowVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActionsReRunWorkflowError,
    ActionsReRunWorkflowVariables
  >(
    (variables: ActionsReRunWorkflowVariables) =>
      fetchActionsReRunWorkflow({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ActionsGetWorkflowRunUsagePathParams = {
  owner: string;
  repo: string;
  /*
   * The id of the workflow run
   */
  runId: number;
};

export type ActionsGetWorkflowRunUsageError = Fetcher.ErrorWrapper<undefined>;

export type ActionsGetWorkflowRunUsageVariables = {
  pathParams: ActionsGetWorkflowRunUsagePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets the number of billable minutes and total run time for a specific workflow run. Billable minutes only apply to workflows in private repositories that use GitHub-hosted runners. Usage is listed for each GitHub-hosted runner operating system in milliseconds. Any job re-runs are also included in the usage. The usage does not include the multiplier for macOS and Windows runners and is not rounded up to the nearest whole minute. For more information, see "[Managing billing for GitHub Actions](https://help.github.com/github/setting-up-and-managing-billing-and-payments-on-github/managing-billing-for-github-actions)".
 *
 * Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the `repo` scope. GitHub Apps must have the `actions:read` permission to use this endpoint.
 */
export const fetchActionsGetWorkflowRunUsage = (
  variables: ActionsGetWorkflowRunUsageVariables
) =>
  githubFetch<
    Schemas.WorkflowRunUsage,
    ActionsGetWorkflowRunUsageError,
    undefined,
    {},
    {},
    ActionsGetWorkflowRunUsagePathParams
  >({
    url: "/repos/{owner}/{repo}/actions/runs/{runId}/timing",
    method: "get",
    ...variables,
  });

/**
 * Gets the number of billable minutes and total run time for a specific workflow run. Billable minutes only apply to workflows in private repositories that use GitHub-hosted runners. Usage is listed for each GitHub-hosted runner operating system in milliseconds. Any job re-runs are also included in the usage. The usage does not include the multiplier for macOS and Windows runners and is not rounded up to the nearest whole minute. For more information, see "[Managing billing for GitHub Actions](https://help.github.com/github/setting-up-and-managing-billing-and-payments-on-github/managing-billing-for-github-actions)".
 *
 * Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the `repo` scope. GitHub Apps must have the `actions:read` permission to use this endpoint.
 */
export const useActionsGetWorkflowRunUsage = <TData = Schemas.WorkflowRunUsage>(
  variables: ActionsGetWorkflowRunUsageVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.WorkflowRunUsage,
      ActionsGetWorkflowRunUsageError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.WorkflowRunUsage,
    ActionsGetWorkflowRunUsageError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/actions/runs/{run_id}/timing",
      operationId: "actionsGetWorkflowRunUsage",
      variables,
    }),
    () => fetchActionsGetWorkflowRunUsage({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsListRepoSecretsPathParams = {
  owner: string;
  repo: string;
};

export type ActionsListRepoSecretsQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ActionsListRepoSecretsError = Fetcher.ErrorWrapper<undefined>;

export type ActionsListRepoSecretsResponse = {
  secrets: Schemas.ActionsSecret[];
  total_count: number;
};

export type ActionsListRepoSecretsVariables = {
  pathParams: ActionsListRepoSecretsPathParams;
  queryParams?: ActionsListRepoSecretsQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists all secrets available in a repository without revealing their encrypted values. You must authenticate using an access token with the `repo` scope to use this endpoint. GitHub Apps must have the `secrets` repository permission to use this endpoint.
 */
export const fetchActionsListRepoSecrets = (
  variables: ActionsListRepoSecretsVariables
) =>
  githubFetch<
    ActionsListRepoSecretsResponse,
    ActionsListRepoSecretsError,
    undefined,
    {},
    ActionsListRepoSecretsQueryParams,
    ActionsListRepoSecretsPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/secrets",
    method: "get",
    ...variables,
  });

/**
 * Lists all secrets available in a repository without revealing their encrypted values. You must authenticate using an access token with the `repo` scope to use this endpoint. GitHub Apps must have the `secrets` repository permission to use this endpoint.
 */
export const useActionsListRepoSecrets = <
  TData = ActionsListRepoSecretsResponse
>(
  variables: ActionsListRepoSecretsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ActionsListRepoSecretsResponse,
      ActionsListRepoSecretsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ActionsListRepoSecretsResponse,
    ActionsListRepoSecretsError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/actions/secrets",
      operationId: "actionsListRepoSecrets",
      variables,
    }),
    () => fetchActionsListRepoSecrets({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsGetRepoPublicKeyPathParams = {
  owner: string;
  repo: string;
};

export type ActionsGetRepoPublicKeyError = Fetcher.ErrorWrapper<undefined>;

export type ActionsGetRepoPublicKeyVariables = {
  pathParams: ActionsGetRepoPublicKeyPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets your public key, which you need to encrypt secrets. You need to encrypt a secret before you can create or update secrets. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the `repo` scope. GitHub Apps must have the `secrets` repository permission to use this endpoint.
 */
export const fetchActionsGetRepoPublicKey = (
  variables: ActionsGetRepoPublicKeyVariables
) =>
  githubFetch<
    Schemas.ActionsPublicKey,
    ActionsGetRepoPublicKeyError,
    undefined,
    {},
    {},
    ActionsGetRepoPublicKeyPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/secrets/public-key",
    method: "get",
    ...variables,
  });

/**
 * Gets your public key, which you need to encrypt secrets. You need to encrypt a secret before you can create or update secrets. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the `repo` scope. GitHub Apps must have the `secrets` repository permission to use this endpoint.
 */
export const useActionsGetRepoPublicKey = <TData = Schemas.ActionsPublicKey>(
  variables: ActionsGetRepoPublicKeyVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.ActionsPublicKey,
      ActionsGetRepoPublicKeyError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.ActionsPublicKey,
    ActionsGetRepoPublicKeyError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/actions/secrets/public-key",
      operationId: "actionsGetRepoPublicKey",
      variables,
    }),
    () => fetchActionsGetRepoPublicKey({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsDeleteRepoSecretPathParams = {
  owner: string;
  repo: string;
  /*
   * secret_name parameter
   */
  secretName: string;
};

export type ActionsDeleteRepoSecretError = Fetcher.ErrorWrapper<undefined>;

export type ActionsDeleteRepoSecretVariables = {
  pathParams: ActionsDeleteRepoSecretPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Deletes a secret in a repository using the secret name. You must authenticate using an access token with the `repo` scope to use this endpoint. GitHub Apps must have the `secrets` repository permission to use this endpoint.
 */
export const fetchActionsDeleteRepoSecret = (
  variables: ActionsDeleteRepoSecretVariables
) =>
  githubFetch<
    undefined,
    ActionsDeleteRepoSecretError,
    undefined,
    {},
    {},
    ActionsDeleteRepoSecretPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/secrets/{secretName}",
    method: "delete",
    ...variables,
  });

/**
 * Deletes a secret in a repository using the secret name. You must authenticate using an access token with the `repo` scope to use this endpoint. GitHub Apps must have the `secrets` repository permission to use this endpoint.
 */
export const useActionsDeleteRepoSecret = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActionsDeleteRepoSecretError,
      ActionsDeleteRepoSecretVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActionsDeleteRepoSecretError,
    ActionsDeleteRepoSecretVariables
  >(
    (variables: ActionsDeleteRepoSecretVariables) =>
      fetchActionsDeleteRepoSecret({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ActionsGetRepoSecretPathParams = {
  owner: string;
  repo: string;
  /*
   * secret_name parameter
   */
  secretName: string;
};

export type ActionsGetRepoSecretError = Fetcher.ErrorWrapper<undefined>;

export type ActionsGetRepoSecretVariables = {
  pathParams: ActionsGetRepoSecretPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets a single repository secret without revealing its encrypted value. You must authenticate using an access token with the `repo` scope to use this endpoint. GitHub Apps must have the `secrets` repository permission to use this endpoint.
 */
export const fetchActionsGetRepoSecret = (
  variables: ActionsGetRepoSecretVariables
) =>
  githubFetch<
    Schemas.ActionsSecret,
    ActionsGetRepoSecretError,
    undefined,
    {},
    {},
    ActionsGetRepoSecretPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/secrets/{secretName}",
    method: "get",
    ...variables,
  });

/**
 * Gets a single repository secret without revealing its encrypted value. You must authenticate using an access token with the `repo` scope to use this endpoint. GitHub Apps must have the `secrets` repository permission to use this endpoint.
 */
export const useActionsGetRepoSecret = <TData = Schemas.ActionsSecret>(
  variables: ActionsGetRepoSecretVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.ActionsSecret,
      ActionsGetRepoSecretError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.ActionsSecret,
    ActionsGetRepoSecretError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/actions/secrets/{secret_name}",
      operationId: "actionsGetRepoSecret",
      variables,
    }),
    () => fetchActionsGetRepoSecret({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsCreateOrUpdateRepoSecretPathParams = {
  owner: string;
  repo: string;
  /*
   * secret_name parameter
   */
  secretName: string;
};

export type ActionsCreateOrUpdateRepoSecretError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsCreateOrUpdateRepoSecretRequestBody = {
  /*
   * Value for your secret, encrypted with [LibSodium](https://libsodium.gitbook.io/doc/bindings_for_other_languages) using the public key retrieved from the [Get a repository public key](https://docs.github.com/rest/reference/actions#get-a-repository-public-key) endpoint.
   *
   * @pattern ^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=|[A-Za-z0-9+/]{4})$
   */
  encrypted_value?: string;
  /*
   * ID of the key you used to encrypt the secret.
   */
  key_id?: string;
};

export type ActionsCreateOrUpdateRepoSecretVariables = {
  body?: ActionsCreateOrUpdateRepoSecretRequestBody;
  pathParams: ActionsCreateOrUpdateRepoSecretPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Creates or updates a repository secret with an encrypted value. Encrypt your secret using
 * [LibSodium](https://libsodium.gitbook.io/doc/bindings_for_other_languages). You must authenticate using an access
 * token with the `repo` scope to use this endpoint. GitHub Apps must have the `secrets` repository permission to use
 * this endpoint.
 *
 * #### Example encrypting a secret using Node.js
 *
 * Encrypt your secret using the [tweetsodium](https://github.com/github/tweetsodium) library.
 *
 * ```
 * const sodium = require('tweetsodium');
 *
 * const key = "base64-encoded-public-key";
 * const value = "plain-text-secret";
 *
 * // Convert the message and key to Uint8Array's (Buffer implements that interface)
 * const messageBytes = Buffer.from(value);
 * const keyBytes = Buffer.from(key, 'base64');
 *
 * // Encrypt using LibSodium.
 * const encryptedBytes = sodium.seal(messageBytes, keyBytes);
 *
 * // Base64 the encrypted secret
 * const encrypted = Buffer.from(encryptedBytes).toString('base64');
 *
 * console.log(encrypted);
 * ```
 *
 *
 * #### Example encrypting a secret using Python
 *
 * Encrypt your secret using [pynacl](https://pynacl.readthedocs.io/en/stable/public/#nacl-public-sealedbox) with Python 3.
 *
 * ```
 * from base64 import b64encode
 * from nacl import encoding, public
 *
 * def encrypt(public_key: str, secret_value: str) -> str:
 *   """Encrypt a Unicode string using the public key."""
 *   public_key = public.PublicKey(public_key.encode("utf-8"), encoding.Base64Encoder())
 *   sealed_box = public.SealedBox(public_key)
 *   encrypted = sealed_box.encrypt(secret_value.encode("utf-8"))
 *   return b64encode(encrypted).decode("utf-8")
 * ```
 *
 * #### Example encrypting a secret using C#
 *
 * Encrypt your secret using the [Sodium.Core](https://www.nuget.org/packages/Sodium.Core/) package.
 *
 * ```
 * var secretValue = System.Text.Encoding.UTF8.GetBytes("mySecret");
 * var publicKey = Convert.FromBase64String("2Sg8iYjAxxmI2LvUXpJjkYrMxURPc8r+dB7TJyvvcCU=");
 *
 * var sealedPublicKeyBox = Sodium.SealedPublicKeyBox.Create(secretValue, publicKey);
 *
 * Console.WriteLine(Convert.ToBase64String(sealedPublicKeyBox));
 * ```
 *
 * #### Example encrypting a secret using Ruby
 *
 * Encrypt your secret using the [rbnacl](https://github.com/RubyCrypto/rbnacl) gem.
 *
 * ```ruby
 * require "rbnacl"
 * require "base64"
 *
 * key = Base64.decode64("+ZYvJDZMHUfBkJdyq5Zm9SKqeuBQ4sj+6sfjlH4CgG0=")
 * public_key = RbNaCl::PublicKey.new(key)
 *
 * box = RbNaCl::Boxes::Sealed.from_public_key(public_key)
 * encrypted_secret = box.encrypt("my_secret")
 *
 * # Print the base64 encoded secret
 * puts Base64.strict_encode64(encrypted_secret)
 * ```
 */
export const fetchActionsCreateOrUpdateRepoSecret = (
  variables: ActionsCreateOrUpdateRepoSecretVariables
) =>
  githubFetch<
    undefined,
    ActionsCreateOrUpdateRepoSecretError,
    ActionsCreateOrUpdateRepoSecretRequestBody,
    {},
    {},
    ActionsCreateOrUpdateRepoSecretPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/secrets/{secretName}",
    method: "put",
    ...variables,
  });

/**
 * Creates or updates a repository secret with an encrypted value. Encrypt your secret using
 * [LibSodium](https://libsodium.gitbook.io/doc/bindings_for_other_languages). You must authenticate using an access
 * token with the `repo` scope to use this endpoint. GitHub Apps must have the `secrets` repository permission to use
 * this endpoint.
 *
 * #### Example encrypting a secret using Node.js
 *
 * Encrypt your secret using the [tweetsodium](https://github.com/github/tweetsodium) library.
 *
 * ```
 * const sodium = require('tweetsodium');
 *
 * const key = "base64-encoded-public-key";
 * const value = "plain-text-secret";
 *
 * // Convert the message and key to Uint8Array's (Buffer implements that interface)
 * const messageBytes = Buffer.from(value);
 * const keyBytes = Buffer.from(key, 'base64');
 *
 * // Encrypt using LibSodium.
 * const encryptedBytes = sodium.seal(messageBytes, keyBytes);
 *
 * // Base64 the encrypted secret
 * const encrypted = Buffer.from(encryptedBytes).toString('base64');
 *
 * console.log(encrypted);
 * ```
 *
 *
 * #### Example encrypting a secret using Python
 *
 * Encrypt your secret using [pynacl](https://pynacl.readthedocs.io/en/stable/public/#nacl-public-sealedbox) with Python 3.
 *
 * ```
 * from base64 import b64encode
 * from nacl import encoding, public
 *
 * def encrypt(public_key: str, secret_value: str) -> str:
 *   """Encrypt a Unicode string using the public key."""
 *   public_key = public.PublicKey(public_key.encode("utf-8"), encoding.Base64Encoder())
 *   sealed_box = public.SealedBox(public_key)
 *   encrypted = sealed_box.encrypt(secret_value.encode("utf-8"))
 *   return b64encode(encrypted).decode("utf-8")
 * ```
 *
 * #### Example encrypting a secret using C#
 *
 * Encrypt your secret using the [Sodium.Core](https://www.nuget.org/packages/Sodium.Core/) package.
 *
 * ```
 * var secretValue = System.Text.Encoding.UTF8.GetBytes("mySecret");
 * var publicKey = Convert.FromBase64String("2Sg8iYjAxxmI2LvUXpJjkYrMxURPc8r+dB7TJyvvcCU=");
 *
 * var sealedPublicKeyBox = Sodium.SealedPublicKeyBox.Create(secretValue, publicKey);
 *
 * Console.WriteLine(Convert.ToBase64String(sealedPublicKeyBox));
 * ```
 *
 * #### Example encrypting a secret using Ruby
 *
 * Encrypt your secret using the [rbnacl](https://github.com/RubyCrypto/rbnacl) gem.
 *
 * ```ruby
 * require "rbnacl"
 * require "base64"
 *
 * key = Base64.decode64("+ZYvJDZMHUfBkJdyq5Zm9SKqeuBQ4sj+6sfjlH4CgG0=")
 * public_key = RbNaCl::PublicKey.new(key)
 *
 * box = RbNaCl::Boxes::Sealed.from_public_key(public_key)
 * encrypted_secret = box.encrypt("my_secret")
 *
 * # Print the base64 encoded secret
 * puts Base64.strict_encode64(encrypted_secret)
 * ```
 */
export const useActionsCreateOrUpdateRepoSecret = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActionsCreateOrUpdateRepoSecretError,
      ActionsCreateOrUpdateRepoSecretVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActionsCreateOrUpdateRepoSecretError,
    ActionsCreateOrUpdateRepoSecretVariables
  >(
    (variables: ActionsCreateOrUpdateRepoSecretVariables) =>
      fetchActionsCreateOrUpdateRepoSecret({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ActionsListRepoWorkflowsPathParams = {
  owner: string;
  repo: string;
};

export type ActionsListRepoWorkflowsQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ActionsListRepoWorkflowsError = Fetcher.ErrorWrapper<undefined>;

export type ActionsListRepoWorkflowsResponse = {
  total_count: number;
  workflows: Schemas.Workflow[];
};

export type ActionsListRepoWorkflowsVariables = {
  pathParams: ActionsListRepoWorkflowsPathParams;
  queryParams?: ActionsListRepoWorkflowsQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists the workflows in a repository. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the `repo` scope. GitHub Apps must have the `actions:read` permission to use this endpoint.
 */
export const fetchActionsListRepoWorkflows = (
  variables: ActionsListRepoWorkflowsVariables
) =>
  githubFetch<
    ActionsListRepoWorkflowsResponse,
    ActionsListRepoWorkflowsError,
    undefined,
    {},
    ActionsListRepoWorkflowsQueryParams,
    ActionsListRepoWorkflowsPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/workflows",
    method: "get",
    ...variables,
  });

/**
 * Lists the workflows in a repository. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the `repo` scope. GitHub Apps must have the `actions:read` permission to use this endpoint.
 */
export const useActionsListRepoWorkflows = <
  TData = ActionsListRepoWorkflowsResponse
>(
  variables: ActionsListRepoWorkflowsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ActionsListRepoWorkflowsResponse,
      ActionsListRepoWorkflowsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ActionsListRepoWorkflowsResponse,
    ActionsListRepoWorkflowsError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/actions/workflows",
      operationId: "actionsListRepoWorkflows",
      variables,
    }),
    () => fetchActionsListRepoWorkflows({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsGetWorkflowPathParams = {
  owner: string;
  repo: string;
  /*
   * The ID of the workflow. You can also pass the workflow file name as a string.
   */
  workflowId: number | string;
};

export type ActionsGetWorkflowError = Fetcher.ErrorWrapper<undefined>;

export type ActionsGetWorkflowVariables = {
  pathParams: ActionsGetWorkflowPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets a specific workflow. You can replace `workflow_id` with the workflow file name. For example, you could use `main.yaml`. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the `repo` scope. GitHub Apps must have the `actions:read` permission to use this endpoint.
 */
export const fetchActionsGetWorkflow = (
  variables: ActionsGetWorkflowVariables
) =>
  githubFetch<
    Schemas.Workflow,
    ActionsGetWorkflowError,
    undefined,
    {},
    {},
    ActionsGetWorkflowPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/workflows/{workflowId}",
    method: "get",
    ...variables,
  });

/**
 * Gets a specific workflow. You can replace `workflow_id` with the workflow file name. For example, you could use `main.yaml`. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the `repo` scope. GitHub Apps must have the `actions:read` permission to use this endpoint.
 */
export const useActionsGetWorkflow = <TData = Schemas.Workflow>(
  variables: ActionsGetWorkflowVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.Workflow,
      ActionsGetWorkflowError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.Workflow, ActionsGetWorkflowError, TData>(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/actions/workflows/{workflow_id}",
      operationId: "actionsGetWorkflow",
      variables,
    }),
    () => fetchActionsGetWorkflow({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsDisableWorkflowPathParams = {
  owner: string;
  repo: string;
  /*
   * The ID of the workflow. You can also pass the workflow file name as a string.
   */
  workflowId: number | string;
};

export type ActionsDisableWorkflowError = Fetcher.ErrorWrapper<undefined>;

export type ActionsDisableWorkflowVariables = {
  pathParams: ActionsDisableWorkflowPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Disables a workflow and sets the `state` of the workflow to `disabled_manually`. You can replace `workflow_id` with the workflow file name. For example, you could use `main.yaml`.
 *
 * You must authenticate using an access token with the `repo` scope to use this endpoint. GitHub Apps must have the `actions:write` permission to use this endpoint.
 */
export const fetchActionsDisableWorkflow = (
  variables: ActionsDisableWorkflowVariables
) =>
  githubFetch<
    undefined,
    ActionsDisableWorkflowError,
    undefined,
    {},
    {},
    ActionsDisableWorkflowPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/workflows/{workflowId}/disable",
    method: "put",
    ...variables,
  });

/**
 * Disables a workflow and sets the `state` of the workflow to `disabled_manually`. You can replace `workflow_id` with the workflow file name. For example, you could use `main.yaml`.
 *
 * You must authenticate using an access token with the `repo` scope to use this endpoint. GitHub Apps must have the `actions:write` permission to use this endpoint.
 */
export const useActionsDisableWorkflow = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActionsDisableWorkflowError,
      ActionsDisableWorkflowVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActionsDisableWorkflowError,
    ActionsDisableWorkflowVariables
  >(
    (variables: ActionsDisableWorkflowVariables) =>
      fetchActionsDisableWorkflow({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ActionsCreateWorkflowDispatchPathParams = {
  owner: string;
  repo: string;
  /*
   * The ID of the workflow. You can also pass the workflow file name as a string.
   */
  workflowId: number | string;
};

export type ActionsCreateWorkflowDispatchError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsCreateWorkflowDispatchRequestBody = {
  /*
   * Input keys and values configured in the workflow file. The maximum number of properties is 10. Any default properties configured in the workflow file will be used when `inputs` are omitted.
   *
   * @maxProperties 10
   */
  inputs?: {
    [key: string]: string;
  };
  /*
   * The git reference for the workflow. The reference can be a branch or tag name.
   */
  ref: string;
};

export type ActionsCreateWorkflowDispatchVariables = {
  body: ActionsCreateWorkflowDispatchRequestBody;
  pathParams: ActionsCreateWorkflowDispatchPathParams;
} & GithubContext["fetcherOptions"];

/**
 * You can use this endpoint to manually trigger a GitHub Actions workflow run. You can replace `workflow_id` with the workflow file name. For example, you could use `main.yaml`.
 *
 * You must configure your GitHub Actions workflow to run when the [`workflow_dispatch` webhook](/developers/webhooks-and-events/webhook-events-and-payloads#workflow_dispatch) event occurs. The `inputs` are configured in the workflow file. For more information about how to configure the `workflow_dispatch` event in the workflow file, see "[Events that trigger workflows](/actions/reference/events-that-trigger-workflows#workflow_dispatch)."
 *
 * You must authenticate using an access token with the `repo` scope to use this endpoint. GitHub Apps must have the `actions:write` permission to use this endpoint. For more information, see "[Creating a personal access token for the command line](https://help.github.com/articles/creating-a-personal-access-token-for-the-command-line)."
 */
export const fetchActionsCreateWorkflowDispatch = (
  variables: ActionsCreateWorkflowDispatchVariables
) =>
  githubFetch<
    undefined,
    ActionsCreateWorkflowDispatchError,
    ActionsCreateWorkflowDispatchRequestBody,
    {},
    {},
    ActionsCreateWorkflowDispatchPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/workflows/{workflowId}/dispatches",
    method: "post",
    ...variables,
  });

/**
 * You can use this endpoint to manually trigger a GitHub Actions workflow run. You can replace `workflow_id` with the workflow file name. For example, you could use `main.yaml`.
 *
 * You must configure your GitHub Actions workflow to run when the [`workflow_dispatch` webhook](/developers/webhooks-and-events/webhook-events-and-payloads#workflow_dispatch) event occurs. The `inputs` are configured in the workflow file. For more information about how to configure the `workflow_dispatch` event in the workflow file, see "[Events that trigger workflows](/actions/reference/events-that-trigger-workflows#workflow_dispatch)."
 *
 * You must authenticate using an access token with the `repo` scope to use this endpoint. GitHub Apps must have the `actions:write` permission to use this endpoint. For more information, see "[Creating a personal access token for the command line](https://help.github.com/articles/creating-a-personal-access-token-for-the-command-line)."
 */
export const useActionsCreateWorkflowDispatch = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActionsCreateWorkflowDispatchError,
      ActionsCreateWorkflowDispatchVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActionsCreateWorkflowDispatchError,
    ActionsCreateWorkflowDispatchVariables
  >(
    (variables: ActionsCreateWorkflowDispatchVariables) =>
      fetchActionsCreateWorkflowDispatch({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ActionsEnableWorkflowPathParams = {
  owner: string;
  repo: string;
  /*
   * The ID of the workflow. You can also pass the workflow file name as a string.
   */
  workflowId: number | string;
};

export type ActionsEnableWorkflowError = Fetcher.ErrorWrapper<undefined>;

export type ActionsEnableWorkflowVariables = {
  pathParams: ActionsEnableWorkflowPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Enables a workflow and sets the `state` of the workflow to `active`. You can replace `workflow_id` with the workflow file name. For example, you could use `main.yaml`.
 *
 * You must authenticate using an access token with the `repo` scope to use this endpoint. GitHub Apps must have the `actions:write` permission to use this endpoint.
 */
export const fetchActionsEnableWorkflow = (
  variables: ActionsEnableWorkflowVariables
) =>
  githubFetch<
    undefined,
    ActionsEnableWorkflowError,
    undefined,
    {},
    {},
    ActionsEnableWorkflowPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/workflows/{workflowId}/enable",
    method: "put",
    ...variables,
  });

/**
 * Enables a workflow and sets the `state` of the workflow to `active`. You can replace `workflow_id` with the workflow file name. For example, you could use `main.yaml`.
 *
 * You must authenticate using an access token with the `repo` scope to use this endpoint. GitHub Apps must have the `actions:write` permission to use this endpoint.
 */
export const useActionsEnableWorkflow = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActionsEnableWorkflowError,
      ActionsEnableWorkflowVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActionsEnableWorkflowError,
    ActionsEnableWorkflowVariables
  >(
    (variables: ActionsEnableWorkflowVariables) =>
      fetchActionsEnableWorkflow({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ActionsListWorkflowRunsPathParams = {
  owner: string;
  repo: string;
  /*
   * The ID of the workflow. You can also pass the workflow file name as a string.
   */
  workflowId: number | string;
};

export type ActionsListWorkflowRunsQueryParams = {
  /*
   * Returns someone's workflow runs. Use the login for the user who created the `push` associated with the check suite or workflow run.
   */
  actor?: string;
  /*
   * Returns workflow runs associated with a branch. Use the name of the branch of the `push`.
   */
  branch?: string;
  /*
   * Returns workflow run triggered by the event you specify. For example, `push`, `pull_request` or `issue`. For more information, see "[Events that trigger workflows](https://help.github.com/en/actions/automating-your-workflow-with-github-actions/events-that-trigger-workflows)."
   */
  event?: string;
  /*
   * Returns workflow runs with the check run `status` or `conclusion` that you specify. For example, a conclusion can be `success` or a status can be `in_progress`. Only GitHub can set a status of `waiting` or `requested`. For a list of the possible `status` and `conclusion` options, see "[Create a check run](https://docs.github.com/rest/reference/checks#create-a-check-run)."
   */
  status?:
    | "completed"
    | "action_required"
    | "cancelled"
    | "failure"
    | "neutral"
    | "skipped"
    | "stale"
    | "success"
    | "timed_out"
    | "in_progress"
    | "queued"
    | "requested"
    | "waiting";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ActionsListWorkflowRunsError = Fetcher.ErrorWrapper<undefined>;

export type ActionsListWorkflowRunsResponse = {
  total_count: number;
  workflow_runs: Schemas.WorkflowRun[];
};

export type ActionsListWorkflowRunsVariables = {
  pathParams: ActionsListWorkflowRunsPathParams;
  queryParams?: ActionsListWorkflowRunsQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * List all workflow runs for a workflow. You can replace `workflow_id` with the workflow file name. For example, you could use `main.yaml`. You can use parameters to narrow the list of results. For more information about using parameters, see [Parameters](https://docs.github.com/rest/overview/resources-in-the-rest-api#parameters).
 *
 * Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the `repo` scope.
 */
export const fetchActionsListWorkflowRuns = (
  variables: ActionsListWorkflowRunsVariables
) =>
  githubFetch<
    ActionsListWorkflowRunsResponse,
    ActionsListWorkflowRunsError,
    undefined,
    {},
    ActionsListWorkflowRunsQueryParams,
    ActionsListWorkflowRunsPathParams
  >({
    url: "/repos/{owner}/{repo}/actions/workflows/{workflowId}/runs",
    method: "get",
    ...variables,
  });

/**
 * List all workflow runs for a workflow. You can replace `workflow_id` with the workflow file name. For example, you could use `main.yaml`. You can use parameters to narrow the list of results. For more information about using parameters, see [Parameters](https://docs.github.com/rest/overview/resources-in-the-rest-api#parameters).
 *
 * Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the `repo` scope.
 */
export const useActionsListWorkflowRuns = <
  TData = ActionsListWorkflowRunsResponse
>(
  variables: ActionsListWorkflowRunsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ActionsListWorkflowRunsResponse,
      ActionsListWorkflowRunsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ActionsListWorkflowRunsResponse,
    ActionsListWorkflowRunsError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/actions/workflows/{workflow_id}/runs",
      operationId: "actionsListWorkflowRuns",
      variables,
    }),
    () => fetchActionsListWorkflowRuns({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsGetWorkflowUsagePathParams = {
  owner: string;
  repo: string;
  /*
   * The ID of the workflow. You can also pass the workflow file name as a string.
   */
  workflowId: number | string;
};

export type ActionsGetWorkflowUsageError = Fetcher.ErrorWrapper<undefined>;

export type ActionsGetWorkflowUsageVariables = {
  pathParams: ActionsGetWorkflowUsagePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets the number of billable minutes used by a specific workflow during the current billing cycle. Billable minutes only apply to workflows in private repositories that use GitHub-hosted runners. Usage is listed for each GitHub-hosted runner operating system in milliseconds. Any job re-runs are also included in the usage. The usage does not include the multiplier for macOS and Windows runners and is not rounded up to the nearest whole minute. For more information, see "[Managing billing for GitHub Actions](https://help.github.com/github/setting-up-and-managing-billing-and-payments-on-github/managing-billing-for-github-actions)".
 *
 * You can replace `workflow_id` with the workflow file name. For example, you could use `main.yaml`. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the `repo` scope. GitHub Apps must have the `actions:read` permission to use this endpoint.
 */
export const fetchActionsGetWorkflowUsage = (
  variables: ActionsGetWorkflowUsageVariables
) =>
  githubFetch<
    Schemas.WorkflowUsage,
    ActionsGetWorkflowUsageError,
    undefined,
    {},
    {},
    ActionsGetWorkflowUsagePathParams
  >({
    url: "/repos/{owner}/{repo}/actions/workflows/{workflowId}/timing",
    method: "get",
    ...variables,
  });

/**
 * Gets the number of billable minutes used by a specific workflow during the current billing cycle. Billable minutes only apply to workflows in private repositories that use GitHub-hosted runners. Usage is listed for each GitHub-hosted runner operating system in milliseconds. Any job re-runs are also included in the usage. The usage does not include the multiplier for macOS and Windows runners and is not rounded up to the nearest whole minute. For more information, see "[Managing billing for GitHub Actions](https://help.github.com/github/setting-up-and-managing-billing-and-payments-on-github/managing-billing-for-github-actions)".
 *
 * You can replace `workflow_id` with the workflow file name. For example, you could use `main.yaml`. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the `repo` scope. GitHub Apps must have the `actions:read` permission to use this endpoint.
 */
export const useActionsGetWorkflowUsage = <TData = Schemas.WorkflowUsage>(
  variables: ActionsGetWorkflowUsageVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.WorkflowUsage,
      ActionsGetWorkflowUsageError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.WorkflowUsage,
    ActionsGetWorkflowUsageError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/actions/workflows/{workflow_id}/timing",
      operationId: "actionsGetWorkflowUsage",
      variables,
    }),
    () => fetchActionsGetWorkflowUsage({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type IssuesListAssigneesPathParams = {
  owner: string;
  repo: string;
};

export type IssuesListAssigneesQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type IssuesListAssigneesError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type IssuesListAssigneesResponse = Schemas.SimpleUser[];

export type IssuesListAssigneesVariables = {
  pathParams: IssuesListAssigneesPathParams;
  queryParams?: IssuesListAssigneesQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists the [available assignees](https://help.github.com/articles/assigning-issues-and-pull-requests-to-other-github-users/) for issues in a repository.
 */
export const fetchIssuesListAssignees = (
  variables: IssuesListAssigneesVariables
) =>
  githubFetch<
    IssuesListAssigneesResponse,
    IssuesListAssigneesError,
    undefined,
    {},
    IssuesListAssigneesQueryParams,
    IssuesListAssigneesPathParams
  >({ url: "/repos/{owner}/{repo}/assignees", method: "get", ...variables });

/**
 * Lists the [available assignees](https://help.github.com/articles/assigning-issues-and-pull-requests-to-other-github-users/) for issues in a repository.
 */
export const useIssuesListAssignees = <TData = IssuesListAssigneesResponse>(
  variables: IssuesListAssigneesVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      IssuesListAssigneesResponse,
      IssuesListAssigneesError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    IssuesListAssigneesResponse,
    IssuesListAssigneesError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/assignees",
      operationId: "issuesListAssignees",
      variables,
    }),
    () => fetchIssuesListAssignees({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type IssuesCheckUserCanBeAssignedPathParams = {
  owner: string;
  repo: string;
  assignee: string;
};

export type IssuesCheckUserCanBeAssignedError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Schemas.BasicError;
}>;

export type IssuesCheckUserCanBeAssignedVariables = {
  pathParams: IssuesCheckUserCanBeAssignedPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Checks if a user has permission to be assigned to an issue in this repository.
 *
 * If the `assignee` can be assigned to issues in the repository, a `204` header with no content is returned.
 *
 * Otherwise a `404` status code is returned.
 */
export const fetchIssuesCheckUserCanBeAssigned = (
  variables: IssuesCheckUserCanBeAssignedVariables
) =>
  githubFetch<
    undefined,
    IssuesCheckUserCanBeAssignedError,
    undefined,
    {},
    {},
    IssuesCheckUserCanBeAssignedPathParams
  >({
    url: "/repos/{owner}/{repo}/assignees/{assignee}",
    method: "get",
    ...variables,
  });

/**
 * Checks if a user has permission to be assigned to an issue in this repository.
 *
 * If the `assignee` can be assigned to issues in the repository, a `204` header with no content is returned.
 *
 * Otherwise a `404` status code is returned.
 */
export const useIssuesCheckUserCanBeAssigned = <TData = undefined>(
  variables: IssuesCheckUserCanBeAssignedVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      undefined,
      IssuesCheckUserCanBeAssignedError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    undefined,
    IssuesCheckUserCanBeAssignedError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/assignees/{assignee}",
      operationId: "issuesCheckUserCanBeAssigned",
      variables,
    }),
    () =>
      fetchIssuesCheckUserCanBeAssigned({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposDisableAutomatedSecurityFixesPathParams = {
  owner: string;
  repo: string;
};

export type ReposDisableAutomatedSecurityFixesError =
  Fetcher.ErrorWrapper<undefined>;

export type ReposDisableAutomatedSecurityFixesVariables = {
  pathParams: ReposDisableAutomatedSecurityFixesPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Disables automated security fixes for a repository. The authenticated user must have admin access to the repository. For more information, see "[Configuring automated security fixes](https://help.github.com/en/articles/configuring-automated-security-fixes)".
 */
export const fetchReposDisableAutomatedSecurityFixes = (
  variables: ReposDisableAutomatedSecurityFixesVariables
) =>
  githubFetch<
    undefined,
    ReposDisableAutomatedSecurityFixesError,
    undefined,
    {},
    {},
    ReposDisableAutomatedSecurityFixesPathParams
  >({
    url: "/repos/{owner}/{repo}/automated-security-fixes",
    method: "delete",
    ...variables,
  });

/**
 * Disables automated security fixes for a repository. The authenticated user must have admin access to the repository. For more information, see "[Configuring automated security fixes](https://help.github.com/en/articles/configuring-automated-security-fixes)".
 */
export const useReposDisableAutomatedSecurityFixes = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ReposDisableAutomatedSecurityFixesError,
      ReposDisableAutomatedSecurityFixesVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ReposDisableAutomatedSecurityFixesError,
    ReposDisableAutomatedSecurityFixesVariables
  >(
    (variables: ReposDisableAutomatedSecurityFixesVariables) =>
      fetchReposDisableAutomatedSecurityFixes({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ReposEnableAutomatedSecurityFixesPathParams = {
  owner: string;
  repo: string;
};

export type ReposEnableAutomatedSecurityFixesError =
  Fetcher.ErrorWrapper<undefined>;

export type ReposEnableAutomatedSecurityFixesVariables = {
  pathParams: ReposEnableAutomatedSecurityFixesPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Enables automated security fixes for a repository. The authenticated user must have admin access to the repository. For more information, see "[Configuring automated security fixes](https://help.github.com/en/articles/configuring-automated-security-fixes)".
 */
export const fetchReposEnableAutomatedSecurityFixes = (
  variables: ReposEnableAutomatedSecurityFixesVariables
) =>
  githubFetch<
    undefined,
    ReposEnableAutomatedSecurityFixesError,
    undefined,
    {},
    {},
    ReposEnableAutomatedSecurityFixesPathParams
  >({
    url: "/repos/{owner}/{repo}/automated-security-fixes",
    method: "put",
    ...variables,
  });

/**
 * Enables automated security fixes for a repository. The authenticated user must have admin access to the repository. For more information, see "[Configuring automated security fixes](https://help.github.com/en/articles/configuring-automated-security-fixes)".
 */
export const useReposEnableAutomatedSecurityFixes = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ReposEnableAutomatedSecurityFixesError,
      ReposEnableAutomatedSecurityFixesVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ReposEnableAutomatedSecurityFixesError,
    ReposEnableAutomatedSecurityFixesVariables
  >(
    (variables: ReposEnableAutomatedSecurityFixesVariables) =>
      fetchReposEnableAutomatedSecurityFixes({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ReposListBranchesPathParams = {
  owner: string;
  repo: string;
};

export type ReposListBranchesQueryParams = {
  /*
   * Setting to `true` returns only protected branches. When set to `false`, only unprotected branches are returned. Omitting this parameter returns all branches.
   */
  protected?: boolean;
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ReposListBranchesError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type ReposListBranchesResponse = Schemas.ShortBranch[];

export type ReposListBranchesVariables = {
  pathParams: ReposListBranchesPathParams;
  queryParams?: ReposListBranchesQueryParams;
} & GithubContext["fetcherOptions"];

export const fetchReposListBranches = (variables: ReposListBranchesVariables) =>
  githubFetch<
    ReposListBranchesResponse,
    ReposListBranchesError,
    undefined,
    {},
    ReposListBranchesQueryParams,
    ReposListBranchesPathParams
  >({ url: "/repos/{owner}/{repo}/branches", method: "get", ...variables });

export const useReposListBranches = <TData = ReposListBranchesResponse>(
  variables: ReposListBranchesVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReposListBranchesResponse,
      ReposListBranchesError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReposListBranchesResponse,
    ReposListBranchesError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/branches",
      operationId: "reposListBranches",
      variables,
    }),
    () => fetchReposListBranches({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposGetBranchPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the branch.
   */
  branch: string;
};

export type ReposGetBranchError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 415;
      payload: Responses.PreviewHeaderMissing;
    }
>;

export type ReposGetBranchVariables = {
  pathParams: ReposGetBranchPathParams;
} & GithubContext["fetcherOptions"];

export const fetchReposGetBranch = (variables: ReposGetBranchVariables) =>
  githubFetch<
    Schemas.BranchWithProtection,
    ReposGetBranchError,
    undefined,
    {},
    {},
    ReposGetBranchPathParams
  >({
    url: "/repos/{owner}/{repo}/branches/{branch}",
    method: "get",
    ...variables,
  });

export const useReposGetBranch = <TData = Schemas.BranchWithProtection>(
  variables: ReposGetBranchVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.BranchWithProtection,
      ReposGetBranchError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.BranchWithProtection,
    ReposGetBranchError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/branches/{branch}",
      operationId: "reposGetBranch",
      variables,
    }),
    () => fetchReposGetBranch({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposDeleteBranchProtectionPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the branch.
   */
  branch: string;
};

export type ReposDeleteBranchProtectionError = Fetcher.ErrorWrapper<{
  status: 403;
  payload: Responses.Forbidden;
}>;

export type ReposDeleteBranchProtectionVariables = {
  pathParams: ReposDeleteBranchProtectionPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 */
export const fetchReposDeleteBranchProtection = (
  variables: ReposDeleteBranchProtectionVariables
) =>
  githubFetch<
    undefined,
    ReposDeleteBranchProtectionError,
    undefined,
    {},
    {},
    ReposDeleteBranchProtectionPathParams
  >({
    url: "/repos/{owner}/{repo}/branches/{branch}/protection",
    method: "delete",
    ...variables,
  });

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 */
export const useReposDeleteBranchProtection = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ReposDeleteBranchProtectionError,
      ReposDeleteBranchProtectionVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ReposDeleteBranchProtectionError,
    ReposDeleteBranchProtectionVariables
  >(
    (variables: ReposDeleteBranchProtectionVariables) =>
      fetchReposDeleteBranchProtection({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposGetBranchProtectionPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the branch.
   */
  branch: string;
};

export type ReposGetBranchProtectionError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type ReposGetBranchProtectionVariables = {
  pathParams: ReposGetBranchProtectionPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 */
export const fetchReposGetBranchProtection = (
  variables: ReposGetBranchProtectionVariables
) =>
  githubFetch<
    Schemas.BranchProtection,
    ReposGetBranchProtectionError,
    undefined,
    {},
    {},
    ReposGetBranchProtectionPathParams
  >({
    url: "/repos/{owner}/{repo}/branches/{branch}/protection",
    method: "get",
    ...variables,
  });

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 */
export const useReposGetBranchProtection = <TData = Schemas.BranchProtection>(
  variables: ReposGetBranchProtectionVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.BranchProtection,
      ReposGetBranchProtectionError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.BranchProtection,
    ReposGetBranchProtectionError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/branches/{branch}/protection",
      operationId: "reposGetBranchProtection",
      variables,
    }),
    () => fetchReposGetBranchProtection({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposUpdateBranchProtectionPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the branch.
   */
  branch: string;
};

export type ReposUpdateBranchProtectionError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 415;
      payload: Responses.PreviewHeaderMissing;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailedSimple;
    }
>;

export type ReposUpdateBranchProtectionRequestBody = {
  /*
   * Allows deletion of the protected branch by anyone with write access to the repository. Set to `false` to prevent deletion of the protected branch. Default: `false`. For more information, see "[Enabling force pushes to a protected branch](https://help.github.com/en/github/administering-a-repository/enabling-force-pushes-to-a-protected-branch)" in the GitHub Help documentation.
   */
  allow_deletions?: boolean;
  /*
   * Permits force pushes to the protected branch by anyone with write access to the repository. Set to `true` to allow force pushes. Set to `false` or `null` to block force pushes. Default: `false`. For more information, see "[Enabling force pushes to a protected branch](https://help.github.com/en/github/administering-a-repository/enabling-force-pushes-to-a-protected-branch)" in the GitHub Help documentation."
   */
  allow_force_pushes?: boolean | null;
  /*
   * Enforce all configured restrictions for administrators. Set to `true` to enforce required status checks for repository administrators. Set to `null` to disable.
   */
  enforce_admins: boolean | null;
  /*
   * Enforces a linear commit Git history, which prevents anyone from pushing merge commits to a branch. Set to `true` to enforce a linear commit history. Set to `false` to disable a linear commit Git history. Your repository must allow squash merging or rebase merging before you can enable a linear commit history. Default: `false`. For more information, see "[Requiring a linear commit history](https://help.github.com/github/administering-a-repository/requiring-a-linear-commit-history)" in the GitHub Help documentation.
   */
  required_linear_history?: boolean;
  /*
   * Require at least one approving review on a pull request, before merging. Set to `null` to disable.
   */
  required_pull_request_reviews: {
    /*
     * Set to `true` if you want to automatically dismiss approving reviews when someone pushes a new commit.
     */
    dismiss_stale_reviews?: boolean;
    /*
     * Specify which users and teams can dismiss pull request reviews. Pass an empty `dismissal_restrictions` object to disable. User and team `dismissal_restrictions` are only available for organization-owned repositories. Omit this parameter for personal repositories.
     */
    dismissal_restrictions?: {
      /*
       * The list of team `slug`s with dismissal access
       */
      teams?: string[];
      /*
       * The list of user `login`s with dismissal access
       */
      users?: string[];
    };
    /*
     * Blocks merging pull requests until [code owners](https://help.github.com/articles/about-code-owners/) review them.
     */
    require_code_owner_reviews?: boolean;
    /*
     * Specify the number of reviewers required to approve pull requests. Use a number between 1 and 6.
     */
    required_approving_review_count?: number;
  } | null;
  /*
   * Require status checks to pass before merging. Set to `null` to disable.
   */
  required_status_checks: {
    /*
     * The list of status checks to require in order to merge into this branch
     */
    contexts: string[];
    /*
     * Require branches to be up to date before merging.
     */
    strict: boolean;
  } | null;
  /*
   * Restrict who can push to the protected branch. User, app, and team `restrictions` are only available for organization-owned repositories. Set to `null` to disable.
   */
  restrictions: {
    /*
     * The list of app `slug`s with push access
     */
    apps?: string[];
    /*
     * The list of team `slug`s with push access
     */
    teams: string[];
    /*
     * The list of user `login`s with push access
     */
    users: string[];
  } | null;
};

export type ReposUpdateBranchProtectionVariables = {
  body: ReposUpdateBranchProtectionRequestBody;
  pathParams: ReposUpdateBranchProtectionPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Protecting a branch requires admin or owner permissions to the repository.
 *
 * **Note**: Passing new arrays of `users` and `teams` replaces their previous values.
 *
 * **Note**: The list of users, apps, and teams in total is limited to 100 items.
 */
export const fetchReposUpdateBranchProtection = (
  variables: ReposUpdateBranchProtectionVariables
) =>
  githubFetch<
    Schemas.ProtectedBranch,
    ReposUpdateBranchProtectionError,
    ReposUpdateBranchProtectionRequestBody,
    {},
    {},
    ReposUpdateBranchProtectionPathParams
  >({
    url: "/repos/{owner}/{repo}/branches/{branch}/protection",
    method: "put",
    ...variables,
  });

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Protecting a branch requires admin or owner permissions to the repository.
 *
 * **Note**: Passing new arrays of `users` and `teams` replaces their previous values.
 *
 * **Note**: The list of users, apps, and teams in total is limited to 100 items.
 */
export const useReposUpdateBranchProtection = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.ProtectedBranch,
      ReposUpdateBranchProtectionError,
      ReposUpdateBranchProtectionVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.ProtectedBranch,
    ReposUpdateBranchProtectionError,
    ReposUpdateBranchProtectionVariables
  >(
    (variables: ReposUpdateBranchProtectionVariables) =>
      fetchReposUpdateBranchProtection({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposDeleteAdminBranchProtectionPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the branch.
   */
  branch: string;
};

export type ReposDeleteAdminBranchProtectionError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type ReposDeleteAdminBranchProtectionVariables = {
  pathParams: ReposDeleteAdminBranchProtectionPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Removing admin enforcement requires admin or owner permissions to the repository and branch protection to be enabled.
 */
export const fetchReposDeleteAdminBranchProtection = (
  variables: ReposDeleteAdminBranchProtectionVariables
) =>
  githubFetch<
    undefined,
    ReposDeleteAdminBranchProtectionError,
    undefined,
    {},
    {},
    ReposDeleteAdminBranchProtectionPathParams
  >({
    url: "/repos/{owner}/{repo}/branches/{branch}/protection/enforce_admins",
    method: "delete",
    ...variables,
  });

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Removing admin enforcement requires admin or owner permissions to the repository and branch protection to be enabled.
 */
export const useReposDeleteAdminBranchProtection = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ReposDeleteAdminBranchProtectionError,
      ReposDeleteAdminBranchProtectionVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ReposDeleteAdminBranchProtectionError,
    ReposDeleteAdminBranchProtectionVariables
  >(
    (variables: ReposDeleteAdminBranchProtectionVariables) =>
      fetchReposDeleteAdminBranchProtection({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ReposGetAdminBranchProtectionPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the branch.
   */
  branch: string;
};

export type ReposGetAdminBranchProtectionError =
  Fetcher.ErrorWrapper<undefined>;

export type ReposGetAdminBranchProtectionVariables = {
  pathParams: ReposGetAdminBranchProtectionPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 */
export const fetchReposGetAdminBranchProtection = (
  variables: ReposGetAdminBranchProtectionVariables
) =>
  githubFetch<
    Schemas.ProtectedBranchAdminEnforced,
    ReposGetAdminBranchProtectionError,
    undefined,
    {},
    {},
    ReposGetAdminBranchProtectionPathParams
  >({
    url: "/repos/{owner}/{repo}/branches/{branch}/protection/enforce_admins",
    method: "get",
    ...variables,
  });

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 */
export const useReposGetAdminBranchProtection = <
  TData = Schemas.ProtectedBranchAdminEnforced
>(
  variables: ReposGetAdminBranchProtectionVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.ProtectedBranchAdminEnforced,
      ReposGetAdminBranchProtectionError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.ProtectedBranchAdminEnforced,
    ReposGetAdminBranchProtectionError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/branches/{branch}/protection/enforce_admins",
      operationId: "reposGetAdminBranchProtection",
      variables,
    }),
    () =>
      fetchReposGetAdminBranchProtection({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposSetAdminBranchProtectionPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the branch.
   */
  branch: string;
};

export type ReposSetAdminBranchProtectionError =
  Fetcher.ErrorWrapper<undefined>;

export type ReposSetAdminBranchProtectionVariables = {
  pathParams: ReposSetAdminBranchProtectionPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Adding admin enforcement requires admin or owner permissions to the repository and branch protection to be enabled.
 */
export const fetchReposSetAdminBranchProtection = (
  variables: ReposSetAdminBranchProtectionVariables
) =>
  githubFetch<
    Schemas.ProtectedBranchAdminEnforced,
    ReposSetAdminBranchProtectionError,
    undefined,
    {},
    {},
    ReposSetAdminBranchProtectionPathParams
  >({
    url: "/repos/{owner}/{repo}/branches/{branch}/protection/enforce_admins",
    method: "post",
    ...variables,
  });

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Adding admin enforcement requires admin or owner permissions to the repository and branch protection to be enabled.
 */
export const useReposSetAdminBranchProtection = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.ProtectedBranchAdminEnforced,
      ReposSetAdminBranchProtectionError,
      ReposSetAdminBranchProtectionVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.ProtectedBranchAdminEnforced,
    ReposSetAdminBranchProtectionError,
    ReposSetAdminBranchProtectionVariables
  >(
    (variables: ReposSetAdminBranchProtectionVariables) =>
      fetchReposSetAdminBranchProtection({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposDeletePullRequestReviewProtectionPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the branch.
   */
  branch: string;
};

export type ReposDeletePullRequestReviewProtectionError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type ReposDeletePullRequestReviewProtectionVariables = {
  pathParams: ReposDeletePullRequestReviewProtectionPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 */
export const fetchReposDeletePullRequestReviewProtection = (
  variables: ReposDeletePullRequestReviewProtectionVariables
) =>
  githubFetch<
    undefined,
    ReposDeletePullRequestReviewProtectionError,
    undefined,
    {},
    {},
    ReposDeletePullRequestReviewProtectionPathParams
  >({
    url: "/repos/{owner}/{repo}/branches/{branch}/protection/required_pull_request_reviews",
    method: "delete",
    ...variables,
  });

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 */
export const useReposDeletePullRequestReviewProtection = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ReposDeletePullRequestReviewProtectionError,
      ReposDeletePullRequestReviewProtectionVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ReposDeletePullRequestReviewProtectionError,
    ReposDeletePullRequestReviewProtectionVariables
  >(
    (variables: ReposDeletePullRequestReviewProtectionVariables) =>
      fetchReposDeletePullRequestReviewProtection({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ReposGetPullRequestReviewProtectionPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the branch.
   */
  branch: string;
};

export type ReposGetPullRequestReviewProtectionError =
  Fetcher.ErrorWrapper<undefined>;

export type ReposGetPullRequestReviewProtectionVariables = {
  pathParams: ReposGetPullRequestReviewProtectionPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 */
export const fetchReposGetPullRequestReviewProtection = (
  variables: ReposGetPullRequestReviewProtectionVariables
) =>
  githubFetch<
    undefined,
    ReposGetPullRequestReviewProtectionError,
    undefined,
    {},
    {},
    ReposGetPullRequestReviewProtectionPathParams
  >({
    url: "/repos/{owner}/{repo}/branches/{branch}/protection/required_pull_request_reviews",
    method: "get",
    ...variables,
  });

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 */
export const useReposGetPullRequestReviewProtection = <TData = undefined>(
  variables: ReposGetPullRequestReviewProtectionVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      undefined,
      ReposGetPullRequestReviewProtectionError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    undefined,
    ReposGetPullRequestReviewProtectionError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/branches/{branch}/protection/required_pull_request_reviews",
      operationId: "reposGetPullRequestReviewProtection",
      variables,
    }),
    () =>
      fetchReposGetPullRequestReviewProtection({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposUpdatePullRequestReviewProtectionPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the branch.
   */
  branch: string;
};

export type ReposUpdatePullRequestReviewProtectionError = Fetcher.ErrorWrapper<{
  status: 422;
  payload: Responses.ValidationFailed;
}>;

export type ReposUpdatePullRequestReviewProtectionRequestBody = {
  /*
   * Set to `true` if you want to automatically dismiss approving reviews when someone pushes a new commit.
   */
  dismiss_stale_reviews?: boolean;
  /*
   * Specify which users and teams can dismiss pull request reviews. Pass an empty `dismissal_restrictions` object to disable. User and team `dismissal_restrictions` are only available for organization-owned repositories. Omit this parameter for personal repositories.
   */
  dismissal_restrictions?: {
    /*
     * The list of team `slug`s with dismissal access
     */
    teams?: string[];
    /*
     * The list of user `login`s with dismissal access
     */
    users?: string[];
  };
  /*
   * Blocks merging pull requests until [code owners](https://help.github.com/articles/about-code-owners/) have reviewed.
   */
  require_code_owner_reviews?: boolean;
  /*
   * Specifies the number of reviewers required to approve pull requests. Use a number between 1 and 6.
   */
  required_approving_review_count?: number;
};

export type ReposUpdatePullRequestReviewProtectionVariables = {
  body?: ReposUpdatePullRequestReviewProtectionRequestBody;
  pathParams: ReposUpdatePullRequestReviewProtectionPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Updating pull request review enforcement requires admin or owner permissions to the repository and branch protection to be enabled.
 *
 * **Note**: Passing new arrays of `users` and `teams` replaces their previous values.
 */
export const fetchReposUpdatePullRequestReviewProtection = (
  variables: ReposUpdatePullRequestReviewProtectionVariables
) =>
  githubFetch<
    Schemas.ProtectedBranchPullRequestReview,
    ReposUpdatePullRequestReviewProtectionError,
    ReposUpdatePullRequestReviewProtectionRequestBody,
    {},
    {},
    ReposUpdatePullRequestReviewProtectionPathParams
  >({
    url: "/repos/{owner}/{repo}/branches/{branch}/protection/required_pull_request_reviews",
    method: "patch",
    ...variables,
  });

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Updating pull request review enforcement requires admin or owner permissions to the repository and branch protection to be enabled.
 *
 * **Note**: Passing new arrays of `users` and `teams` replaces their previous values.
 */
export const useReposUpdatePullRequestReviewProtection = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.ProtectedBranchPullRequestReview,
      ReposUpdatePullRequestReviewProtectionError,
      ReposUpdatePullRequestReviewProtectionVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.ProtectedBranchPullRequestReview,
    ReposUpdatePullRequestReviewProtectionError,
    ReposUpdatePullRequestReviewProtectionVariables
  >(
    (variables: ReposUpdatePullRequestReviewProtectionVariables) =>
      fetchReposUpdatePullRequestReviewProtection({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ReposDeleteCommitSignatureProtectionPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the branch.
   */
  branch: string;
};

export type ReposDeleteCommitSignatureProtectionError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type ReposDeleteCommitSignatureProtectionVariables = {
  pathParams: ReposDeleteCommitSignatureProtectionPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * When authenticated with admin or owner permissions to the repository, you can use this endpoint to disable required signed commits on a branch. You must enable branch protection to require signed commits.
 */
export const fetchReposDeleteCommitSignatureProtection = (
  variables: ReposDeleteCommitSignatureProtectionVariables
) =>
  githubFetch<
    undefined,
    ReposDeleteCommitSignatureProtectionError,
    undefined,
    {},
    {},
    ReposDeleteCommitSignatureProtectionPathParams
  >({
    url: "/repos/{owner}/{repo}/branches/{branch}/protection/required_signatures",
    method: "delete",
    ...variables,
  });

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * When authenticated with admin or owner permissions to the repository, you can use this endpoint to disable required signed commits on a branch. You must enable branch protection to require signed commits.
 */
export const useReposDeleteCommitSignatureProtection = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ReposDeleteCommitSignatureProtectionError,
      ReposDeleteCommitSignatureProtectionVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ReposDeleteCommitSignatureProtectionError,
    ReposDeleteCommitSignatureProtectionVariables
  >(
    (variables: ReposDeleteCommitSignatureProtectionVariables) =>
      fetchReposDeleteCommitSignatureProtection({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ReposGetCommitSignatureProtectionPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the branch.
   */
  branch: string;
};

export type ReposGetCommitSignatureProtectionError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type ReposGetCommitSignatureProtectionVariables = {
  pathParams: ReposGetCommitSignatureProtectionPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * When authenticated with admin or owner permissions to the repository, you can use this endpoint to check whether a branch requires signed commits. An enabled status of `true` indicates you must sign commits on this branch. For more information, see [Signing commits with GPG](https://help.github.com/articles/signing-commits-with-gpg) in GitHub Help.
 *
 * **Note**: You must enable branch protection to require signed commits.
 */
export const fetchReposGetCommitSignatureProtection = (
  variables: ReposGetCommitSignatureProtectionVariables
) =>
  githubFetch<
    Schemas.ProtectedBranchAdminEnforced,
    ReposGetCommitSignatureProtectionError,
    undefined,
    {},
    {},
    ReposGetCommitSignatureProtectionPathParams
  >({
    url: "/repos/{owner}/{repo}/branches/{branch}/protection/required_signatures",
    method: "get",
    ...variables,
  });

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * When authenticated with admin or owner permissions to the repository, you can use this endpoint to check whether a branch requires signed commits. An enabled status of `true` indicates you must sign commits on this branch. For more information, see [Signing commits with GPG](https://help.github.com/articles/signing-commits-with-gpg) in GitHub Help.
 *
 * **Note**: You must enable branch protection to require signed commits.
 */
export const useReposGetCommitSignatureProtection = <
  TData = Schemas.ProtectedBranchAdminEnforced
>(
  variables: ReposGetCommitSignatureProtectionVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.ProtectedBranchAdminEnforced,
      ReposGetCommitSignatureProtectionError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.ProtectedBranchAdminEnforced,
    ReposGetCommitSignatureProtectionError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/branches/{branch}/protection/required_signatures",
      operationId: "reposGetCommitSignatureProtection",
      variables,
    }),
    () =>
      fetchReposGetCommitSignatureProtection({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposCreateCommitSignatureProtectionPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the branch.
   */
  branch: string;
};

export type ReposCreateCommitSignatureProtectionError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type ReposCreateCommitSignatureProtectionVariables = {
  pathParams: ReposCreateCommitSignatureProtectionPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * When authenticated with admin or owner permissions to the repository, you can use this endpoint to require signed commits on a branch. You must enable branch protection to require signed commits.
 */
export const fetchReposCreateCommitSignatureProtection = (
  variables: ReposCreateCommitSignatureProtectionVariables
) =>
  githubFetch<
    Schemas.ProtectedBranchAdminEnforced,
    ReposCreateCommitSignatureProtectionError,
    undefined,
    {},
    {},
    ReposCreateCommitSignatureProtectionPathParams
  >({
    url: "/repos/{owner}/{repo}/branches/{branch}/protection/required_signatures",
    method: "post",
    ...variables,
  });

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * When authenticated with admin or owner permissions to the repository, you can use this endpoint to require signed commits on a branch. You must enable branch protection to require signed commits.
 */
export const useReposCreateCommitSignatureProtection = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.ProtectedBranchAdminEnforced,
      ReposCreateCommitSignatureProtectionError,
      ReposCreateCommitSignatureProtectionVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.ProtectedBranchAdminEnforced,
    ReposCreateCommitSignatureProtectionError,
    ReposCreateCommitSignatureProtectionVariables
  >(
    (variables: ReposCreateCommitSignatureProtectionVariables) =>
      fetchReposCreateCommitSignatureProtection({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ReposRemoveStatusCheckProtectionPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the branch.
   */
  branch: string;
};

export type ReposRemoveStatusCheckProtectionError =
  Fetcher.ErrorWrapper<undefined>;

export type ReposRemoveStatusCheckProtectionVariables = {
  pathParams: ReposRemoveStatusCheckProtectionPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 */
export const fetchReposRemoveStatusCheckProtection = (
  variables: ReposRemoveStatusCheckProtectionVariables
) =>
  githubFetch<
    undefined,
    ReposRemoveStatusCheckProtectionError,
    undefined,
    {},
    {},
    ReposRemoveStatusCheckProtectionPathParams
  >({
    url: "/repos/{owner}/{repo}/branches/{branch}/protection/required_status_checks",
    method: "delete",
    ...variables,
  });

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 */
export const useReposRemoveStatusCheckProtection = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ReposRemoveStatusCheckProtectionError,
      ReposRemoveStatusCheckProtectionVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ReposRemoveStatusCheckProtectionError,
    ReposRemoveStatusCheckProtectionVariables
  >(
    (variables: ReposRemoveStatusCheckProtectionVariables) =>
      fetchReposRemoveStatusCheckProtection({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ReposGetStatusChecksProtectionPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the branch.
   */
  branch: string;
};

export type ReposGetStatusChecksProtectionError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type ReposGetStatusChecksProtectionVariables = {
  pathParams: ReposGetStatusChecksProtectionPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 */
export const fetchReposGetStatusChecksProtection = (
  variables: ReposGetStatusChecksProtectionVariables
) =>
  githubFetch<
    Schemas.StatusCheckPolicy,
    ReposGetStatusChecksProtectionError,
    undefined,
    {},
    {},
    ReposGetStatusChecksProtectionPathParams
  >({
    url: "/repos/{owner}/{repo}/branches/{branch}/protection/required_status_checks",
    method: "get",
    ...variables,
  });

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 */
export const useReposGetStatusChecksProtection = <
  TData = Schemas.StatusCheckPolicy
>(
  variables: ReposGetStatusChecksProtectionVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.StatusCheckPolicy,
      ReposGetStatusChecksProtectionError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.StatusCheckPolicy,
    ReposGetStatusChecksProtectionError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/branches/{branch}/protection/required_status_checks",
      operationId: "reposGetStatusChecksProtection",
      variables,
    }),
    () =>
      fetchReposGetStatusChecksProtection({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposUpdateStatusCheckProtectionPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the branch.
   */
  branch: string;
};

export type ReposUpdateStatusCheckProtectionError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type ReposUpdateStatusCheckProtectionRequestBody = {
  /*
   * The list of status checks to require in order to merge into this branch
   */
  contexts?: string[];
  /*
   * Require branches to be up to date before merging.
   */
  strict?: boolean;
};

export type ReposUpdateStatusCheckProtectionVariables = {
  body?: ReposUpdateStatusCheckProtectionRequestBody;
  pathParams: ReposUpdateStatusCheckProtectionPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Updating required status checks requires admin or owner permissions to the repository and branch protection to be enabled.
 */
export const fetchReposUpdateStatusCheckProtection = (
  variables: ReposUpdateStatusCheckProtectionVariables
) =>
  githubFetch<
    Schemas.StatusCheckPolicy,
    ReposUpdateStatusCheckProtectionError,
    ReposUpdateStatusCheckProtectionRequestBody,
    {},
    {},
    ReposUpdateStatusCheckProtectionPathParams
  >({
    url: "/repos/{owner}/{repo}/branches/{branch}/protection/required_status_checks",
    method: "patch",
    ...variables,
  });

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Updating required status checks requires admin or owner permissions to the repository and branch protection to be enabled.
 */
export const useReposUpdateStatusCheckProtection = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.StatusCheckPolicy,
      ReposUpdateStatusCheckProtectionError,
      ReposUpdateStatusCheckProtectionVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.StatusCheckPolicy,
    ReposUpdateStatusCheckProtectionError,
    ReposUpdateStatusCheckProtectionVariables
  >(
    (variables: ReposUpdateStatusCheckProtectionVariables) =>
      fetchReposUpdateStatusCheckProtection({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ReposRemoveStatusCheckContextsPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the branch.
   */
  branch: string;
};

export type ReposRemoveStatusCheckContextsError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type ReposRemoveStatusCheckContextsResponse = string[];

export type ReposRemoveStatusCheckContextsRequestBody = {
  /*
   * contexts parameter
   */
  contexts: string[];
};

export type ReposRemoveStatusCheckContextsVariables = {
  body: ReposRemoveStatusCheckContextsRequestBody;
  pathParams: ReposRemoveStatusCheckContextsPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 */
export const fetchReposRemoveStatusCheckContexts = (
  variables: ReposRemoveStatusCheckContextsVariables
) =>
  githubFetch<
    ReposRemoveStatusCheckContextsResponse,
    ReposRemoveStatusCheckContextsError,
    ReposRemoveStatusCheckContextsRequestBody,
    {},
    {},
    ReposRemoveStatusCheckContextsPathParams
  >({
    url: "/repos/{owner}/{repo}/branches/{branch}/protection/required_status_checks/contexts",
    method: "delete",
    ...variables,
  });

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 */
export const useReposRemoveStatusCheckContexts = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      ReposRemoveStatusCheckContextsResponse,
      ReposRemoveStatusCheckContextsError,
      ReposRemoveStatusCheckContextsVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    ReposRemoveStatusCheckContextsResponse,
    ReposRemoveStatusCheckContextsError,
    ReposRemoveStatusCheckContextsVariables
  >(
    (variables: ReposRemoveStatusCheckContextsVariables) =>
      fetchReposRemoveStatusCheckContexts({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposGetAllStatusCheckContextsPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the branch.
   */
  branch: string;
};

export type ReposGetAllStatusCheckContextsError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type ReposGetAllStatusCheckContextsResponse = string[];

export type ReposGetAllStatusCheckContextsVariables = {
  pathParams: ReposGetAllStatusCheckContextsPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 */
export const fetchReposGetAllStatusCheckContexts = (
  variables: ReposGetAllStatusCheckContextsVariables
) =>
  githubFetch<
    ReposGetAllStatusCheckContextsResponse,
    ReposGetAllStatusCheckContextsError,
    undefined,
    {},
    {},
    ReposGetAllStatusCheckContextsPathParams
  >({
    url: "/repos/{owner}/{repo}/branches/{branch}/protection/required_status_checks/contexts",
    method: "get",
    ...variables,
  });

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 */
export const useReposGetAllStatusCheckContexts = <
  TData = ReposGetAllStatusCheckContextsResponse
>(
  variables: ReposGetAllStatusCheckContextsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReposGetAllStatusCheckContextsResponse,
      ReposGetAllStatusCheckContextsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReposGetAllStatusCheckContextsResponse,
    ReposGetAllStatusCheckContextsError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/branches/{branch}/protection/required_status_checks/contexts",
      operationId: "reposGetAllStatusCheckContexts",
      variables,
    }),
    () =>
      fetchReposGetAllStatusCheckContexts({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposAddStatusCheckContextsPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the branch.
   */
  branch: string;
};

export type ReposAddStatusCheckContextsError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type ReposAddStatusCheckContextsResponse = string[];

export type ReposAddStatusCheckContextsRequestBody = {
  /*
   * contexts parameter
   */
  contexts: string[];
};

export type ReposAddStatusCheckContextsVariables = {
  body: ReposAddStatusCheckContextsRequestBody;
  pathParams: ReposAddStatusCheckContextsPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 */
export const fetchReposAddStatusCheckContexts = (
  variables: ReposAddStatusCheckContextsVariables
) =>
  githubFetch<
    ReposAddStatusCheckContextsResponse,
    ReposAddStatusCheckContextsError,
    ReposAddStatusCheckContextsRequestBody,
    {},
    {},
    ReposAddStatusCheckContextsPathParams
  >({
    url: "/repos/{owner}/{repo}/branches/{branch}/protection/required_status_checks/contexts",
    method: "post",
    ...variables,
  });

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 */
export const useReposAddStatusCheckContexts = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      ReposAddStatusCheckContextsResponse,
      ReposAddStatusCheckContextsError,
      ReposAddStatusCheckContextsVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    ReposAddStatusCheckContextsResponse,
    ReposAddStatusCheckContextsError,
    ReposAddStatusCheckContextsVariables
  >(
    (variables: ReposAddStatusCheckContextsVariables) =>
      fetchReposAddStatusCheckContexts({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposSetStatusCheckContextsPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the branch.
   */
  branch: string;
};

export type ReposSetStatusCheckContextsError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type ReposSetStatusCheckContextsResponse = string[];

export type ReposSetStatusCheckContextsRequestBody = {
  /*
   * contexts parameter
   */
  contexts: string[];
};

export type ReposSetStatusCheckContextsVariables = {
  body: ReposSetStatusCheckContextsRequestBody;
  pathParams: ReposSetStatusCheckContextsPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 */
export const fetchReposSetStatusCheckContexts = (
  variables: ReposSetStatusCheckContextsVariables
) =>
  githubFetch<
    ReposSetStatusCheckContextsResponse,
    ReposSetStatusCheckContextsError,
    ReposSetStatusCheckContextsRequestBody,
    {},
    {},
    ReposSetStatusCheckContextsPathParams
  >({
    url: "/repos/{owner}/{repo}/branches/{branch}/protection/required_status_checks/contexts",
    method: "put",
    ...variables,
  });

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 */
export const useReposSetStatusCheckContexts = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      ReposSetStatusCheckContextsResponse,
      ReposSetStatusCheckContextsError,
      ReposSetStatusCheckContextsVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    ReposSetStatusCheckContextsResponse,
    ReposSetStatusCheckContextsError,
    ReposSetStatusCheckContextsVariables
  >(
    (variables: ReposSetStatusCheckContextsVariables) =>
      fetchReposSetStatusCheckContexts({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposDeleteAccessRestrictionsPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the branch.
   */
  branch: string;
};

export type ReposDeleteAccessRestrictionsError =
  Fetcher.ErrorWrapper<undefined>;

export type ReposDeleteAccessRestrictionsVariables = {
  pathParams: ReposDeleteAccessRestrictionsPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Disables the ability to restrict who can push to this branch.
 */
export const fetchReposDeleteAccessRestrictions = (
  variables: ReposDeleteAccessRestrictionsVariables
) =>
  githubFetch<
    undefined,
    ReposDeleteAccessRestrictionsError,
    undefined,
    {},
    {},
    ReposDeleteAccessRestrictionsPathParams
  >({
    url: "/repos/{owner}/{repo}/branches/{branch}/protection/restrictions",
    method: "delete",
    ...variables,
  });

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Disables the ability to restrict who can push to this branch.
 */
export const useReposDeleteAccessRestrictions = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ReposDeleteAccessRestrictionsError,
      ReposDeleteAccessRestrictionsVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ReposDeleteAccessRestrictionsError,
    ReposDeleteAccessRestrictionsVariables
  >(
    (variables: ReposDeleteAccessRestrictionsVariables) =>
      fetchReposDeleteAccessRestrictions({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposGetAccessRestrictionsPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the branch.
   */
  branch: string;
};

export type ReposGetAccessRestrictionsError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type ReposGetAccessRestrictionsVariables = {
  pathParams: ReposGetAccessRestrictionsPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Lists who has access to this protected branch.
 *
 * **Note**: Users, apps, and teams `restrictions` are only available for organization-owned repositories.
 */
export const fetchReposGetAccessRestrictions = (
  variables: ReposGetAccessRestrictionsVariables
) =>
  githubFetch<
    Schemas.BranchRestrictionPolicy,
    ReposGetAccessRestrictionsError,
    undefined,
    {},
    {},
    ReposGetAccessRestrictionsPathParams
  >({
    url: "/repos/{owner}/{repo}/branches/{branch}/protection/restrictions",
    method: "get",
    ...variables,
  });

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Lists who has access to this protected branch.
 *
 * **Note**: Users, apps, and teams `restrictions` are only available for organization-owned repositories.
 */
export const useReposGetAccessRestrictions = <
  TData = Schemas.BranchRestrictionPolicy
>(
  variables: ReposGetAccessRestrictionsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.BranchRestrictionPolicy,
      ReposGetAccessRestrictionsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.BranchRestrictionPolicy,
    ReposGetAccessRestrictionsError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/branches/{branch}/protection/restrictions",
      operationId: "reposGetAccessRestrictions",
      variables,
    }),
    () => fetchReposGetAccessRestrictions({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposRemoveAppAccessRestrictionsPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the branch.
   */
  branch: string;
};

export type ReposRemoveAppAccessRestrictionsError = Fetcher.ErrorWrapper<{
  status: 422;
  payload: Responses.ValidationFailed;
}>;

export type ReposRemoveAppAccessRestrictionsResponse = Schemas.Integration[];

export type ReposRemoveAppAccessRestrictionsRequestBody = {
  /*
   * apps parameter
   */
  apps: string[];
};

export type ReposRemoveAppAccessRestrictionsVariables = {
  body: ReposRemoveAppAccessRestrictionsRequestBody;
  pathParams: ReposRemoveAppAccessRestrictionsPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Removes the ability of an app to push to this branch. Only installed GitHub Apps with `write` access to the `contents` permission can be added as authorized actors on a protected branch.
 *
 * | Type    | Description                                                                                                                                                |
 * | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------- |
 * | `array` | The GitHub Apps that have push access to this branch. Use the app's `slug`. **Note**: The list of users, apps, and teams in total is limited to 100 items. |
 */
export const fetchReposRemoveAppAccessRestrictions = (
  variables: ReposRemoveAppAccessRestrictionsVariables
) =>
  githubFetch<
    ReposRemoveAppAccessRestrictionsResponse,
    ReposRemoveAppAccessRestrictionsError,
    ReposRemoveAppAccessRestrictionsRequestBody,
    {},
    {},
    ReposRemoveAppAccessRestrictionsPathParams
  >({
    url: "/repos/{owner}/{repo}/branches/{branch}/protection/restrictions/apps",
    method: "delete",
    ...variables,
  });

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Removes the ability of an app to push to this branch. Only installed GitHub Apps with `write` access to the `contents` permission can be added as authorized actors on a protected branch.
 *
 * | Type    | Description                                                                                                                                                |
 * | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------- |
 * | `array` | The GitHub Apps that have push access to this branch. Use the app's `slug`. **Note**: The list of users, apps, and teams in total is limited to 100 items. |
 */
export const useReposRemoveAppAccessRestrictions = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      ReposRemoveAppAccessRestrictionsResponse,
      ReposRemoveAppAccessRestrictionsError,
      ReposRemoveAppAccessRestrictionsVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    ReposRemoveAppAccessRestrictionsResponse,
    ReposRemoveAppAccessRestrictionsError,
    ReposRemoveAppAccessRestrictionsVariables
  >(
    (variables: ReposRemoveAppAccessRestrictionsVariables) =>
      fetchReposRemoveAppAccessRestrictions({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ReposGetAppsWithAccessToProtectedBranchPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the branch.
   */
  branch: string;
};

export type ReposGetAppsWithAccessToProtectedBranchError =
  Fetcher.ErrorWrapper<{
    status: 404;
    payload: Responses.NotFound;
  }>;

export type ReposGetAppsWithAccessToProtectedBranchResponse =
  Schemas.Integration[];

export type ReposGetAppsWithAccessToProtectedBranchVariables = {
  pathParams: ReposGetAppsWithAccessToProtectedBranchPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Lists the GitHub Apps that have push access to this branch. Only installed GitHub Apps with `write` access to the `contents` permission can be added as authorized actors on a protected branch.
 */
export const fetchReposGetAppsWithAccessToProtectedBranch = (
  variables: ReposGetAppsWithAccessToProtectedBranchVariables
) =>
  githubFetch<
    ReposGetAppsWithAccessToProtectedBranchResponse,
    ReposGetAppsWithAccessToProtectedBranchError,
    undefined,
    {},
    {},
    ReposGetAppsWithAccessToProtectedBranchPathParams
  >({
    url: "/repos/{owner}/{repo}/branches/{branch}/protection/restrictions/apps",
    method: "get",
    ...variables,
  });

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Lists the GitHub Apps that have push access to this branch. Only installed GitHub Apps with `write` access to the `contents` permission can be added as authorized actors on a protected branch.
 */
export const useReposGetAppsWithAccessToProtectedBranch = <
  TData = ReposGetAppsWithAccessToProtectedBranchResponse
>(
  variables: ReposGetAppsWithAccessToProtectedBranchVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReposGetAppsWithAccessToProtectedBranchResponse,
      ReposGetAppsWithAccessToProtectedBranchError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReposGetAppsWithAccessToProtectedBranchResponse,
    ReposGetAppsWithAccessToProtectedBranchError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/branches/{branch}/protection/restrictions/apps",
      operationId: "reposGetAppsWithAccessToProtectedBranch",
      variables,
    }),
    () =>
      fetchReposGetAppsWithAccessToProtectedBranch({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposAddAppAccessRestrictionsPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the branch.
   */
  branch: string;
};

export type ReposAddAppAccessRestrictionsError = Fetcher.ErrorWrapper<{
  status: 422;
  payload: Responses.ValidationFailed;
}>;

export type ReposAddAppAccessRestrictionsResponse = Schemas.Integration[];

export type ReposAddAppAccessRestrictionsRequestBody = {
  /*
   * apps parameter
   */
  apps: string[];
};

export type ReposAddAppAccessRestrictionsVariables = {
  body: ReposAddAppAccessRestrictionsRequestBody;
  pathParams: ReposAddAppAccessRestrictionsPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Grants the specified apps push access for this branch. Only installed GitHub Apps with `write` access to the `contents` permission can be added as authorized actors on a protected branch.
 *
 * | Type    | Description                                                                                                                                                |
 * | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------- |
 * | `array` | The GitHub Apps that have push access to this branch. Use the app's `slug`. **Note**: The list of users, apps, and teams in total is limited to 100 items. |
 */
export const fetchReposAddAppAccessRestrictions = (
  variables: ReposAddAppAccessRestrictionsVariables
) =>
  githubFetch<
    ReposAddAppAccessRestrictionsResponse,
    ReposAddAppAccessRestrictionsError,
    ReposAddAppAccessRestrictionsRequestBody,
    {},
    {},
    ReposAddAppAccessRestrictionsPathParams
  >({
    url: "/repos/{owner}/{repo}/branches/{branch}/protection/restrictions/apps",
    method: "post",
    ...variables,
  });

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Grants the specified apps push access for this branch. Only installed GitHub Apps with `write` access to the `contents` permission can be added as authorized actors on a protected branch.
 *
 * | Type    | Description                                                                                                                                                |
 * | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------- |
 * | `array` | The GitHub Apps that have push access to this branch. Use the app's `slug`. **Note**: The list of users, apps, and teams in total is limited to 100 items. |
 */
export const useReposAddAppAccessRestrictions = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      ReposAddAppAccessRestrictionsResponse,
      ReposAddAppAccessRestrictionsError,
      ReposAddAppAccessRestrictionsVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    ReposAddAppAccessRestrictionsResponse,
    ReposAddAppAccessRestrictionsError,
    ReposAddAppAccessRestrictionsVariables
  >(
    (variables: ReposAddAppAccessRestrictionsVariables) =>
      fetchReposAddAppAccessRestrictions({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposSetAppAccessRestrictionsPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the branch.
   */
  branch: string;
};

export type ReposSetAppAccessRestrictionsError = Fetcher.ErrorWrapper<{
  status: 422;
  payload: Responses.ValidationFailed;
}>;

export type ReposSetAppAccessRestrictionsResponse = Schemas.Integration[];

export type ReposSetAppAccessRestrictionsRequestBody = {
  /*
   * apps parameter
   */
  apps: string[];
};

export type ReposSetAppAccessRestrictionsVariables = {
  body: ReposSetAppAccessRestrictionsRequestBody;
  pathParams: ReposSetAppAccessRestrictionsPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Replaces the list of apps that have push access to this branch. This removes all apps that previously had push access and grants push access to the new list of apps. Only installed GitHub Apps with `write` access to the `contents` permission can be added as authorized actors on a protected branch.
 *
 * | Type    | Description                                                                                                                                                |
 * | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------- |
 * | `array` | The GitHub Apps that have push access to this branch. Use the app's `slug`. **Note**: The list of users, apps, and teams in total is limited to 100 items. |
 */
export const fetchReposSetAppAccessRestrictions = (
  variables: ReposSetAppAccessRestrictionsVariables
) =>
  githubFetch<
    ReposSetAppAccessRestrictionsResponse,
    ReposSetAppAccessRestrictionsError,
    ReposSetAppAccessRestrictionsRequestBody,
    {},
    {},
    ReposSetAppAccessRestrictionsPathParams
  >({
    url: "/repos/{owner}/{repo}/branches/{branch}/protection/restrictions/apps",
    method: "put",
    ...variables,
  });

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Replaces the list of apps that have push access to this branch. This removes all apps that previously had push access and grants push access to the new list of apps. Only installed GitHub Apps with `write` access to the `contents` permission can be added as authorized actors on a protected branch.
 *
 * | Type    | Description                                                                                                                                                |
 * | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------- |
 * | `array` | The GitHub Apps that have push access to this branch. Use the app's `slug`. **Note**: The list of users, apps, and teams in total is limited to 100 items. |
 */
export const useReposSetAppAccessRestrictions = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      ReposSetAppAccessRestrictionsResponse,
      ReposSetAppAccessRestrictionsError,
      ReposSetAppAccessRestrictionsVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    ReposSetAppAccessRestrictionsResponse,
    ReposSetAppAccessRestrictionsError,
    ReposSetAppAccessRestrictionsVariables
  >(
    (variables: ReposSetAppAccessRestrictionsVariables) =>
      fetchReposSetAppAccessRestrictions({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposRemoveTeamAccessRestrictionsPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the branch.
   */
  branch: string;
};

export type ReposRemoveTeamAccessRestrictionsError = Fetcher.ErrorWrapper<{
  status: 422;
  payload: Responses.ValidationFailed;
}>;

export type ReposRemoveTeamAccessRestrictionsResponse = Schemas.Team[];

export type ReposRemoveTeamAccessRestrictionsRequestBody = {
  /*
   * teams parameter
   */
  teams: string[];
};

export type ReposRemoveTeamAccessRestrictionsVariables = {
  body: ReposRemoveTeamAccessRestrictionsRequestBody;
  pathParams: ReposRemoveTeamAccessRestrictionsPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Removes the ability of a team to push to this branch. You can also remove push access for child teams.
 *
 * | Type    | Description                                                                                                                                         |
 * | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------- |
 * | `array` | Teams that should no longer have push access. Use the team's `slug`. **Note**: The list of users, apps, and teams in total is limited to 100 items. |
 */
export const fetchReposRemoveTeamAccessRestrictions = (
  variables: ReposRemoveTeamAccessRestrictionsVariables
) =>
  githubFetch<
    ReposRemoveTeamAccessRestrictionsResponse,
    ReposRemoveTeamAccessRestrictionsError,
    ReposRemoveTeamAccessRestrictionsRequestBody,
    {},
    {},
    ReposRemoveTeamAccessRestrictionsPathParams
  >({
    url: "/repos/{owner}/{repo}/branches/{branch}/protection/restrictions/teams",
    method: "delete",
    ...variables,
  });

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Removes the ability of a team to push to this branch. You can also remove push access for child teams.
 *
 * | Type    | Description                                                                                                                                         |
 * | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------- |
 * | `array` | Teams that should no longer have push access. Use the team's `slug`. **Note**: The list of users, apps, and teams in total is limited to 100 items. |
 */
export const useReposRemoveTeamAccessRestrictions = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      ReposRemoveTeamAccessRestrictionsResponse,
      ReposRemoveTeamAccessRestrictionsError,
      ReposRemoveTeamAccessRestrictionsVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    ReposRemoveTeamAccessRestrictionsResponse,
    ReposRemoveTeamAccessRestrictionsError,
    ReposRemoveTeamAccessRestrictionsVariables
  >(
    (variables: ReposRemoveTeamAccessRestrictionsVariables) =>
      fetchReposRemoveTeamAccessRestrictions({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ReposGetTeamsWithAccessToProtectedBranchPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the branch.
   */
  branch: string;
};

export type ReposGetTeamsWithAccessToProtectedBranchError =
  Fetcher.ErrorWrapper<{
    status: 404;
    payload: Responses.NotFound;
  }>;

export type ReposGetTeamsWithAccessToProtectedBranchResponse = Schemas.Team[];

export type ReposGetTeamsWithAccessToProtectedBranchVariables = {
  pathParams: ReposGetTeamsWithAccessToProtectedBranchPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Lists the teams who have push access to this branch. The list includes child teams.
 */
export const fetchReposGetTeamsWithAccessToProtectedBranch = (
  variables: ReposGetTeamsWithAccessToProtectedBranchVariables
) =>
  githubFetch<
    ReposGetTeamsWithAccessToProtectedBranchResponse,
    ReposGetTeamsWithAccessToProtectedBranchError,
    undefined,
    {},
    {},
    ReposGetTeamsWithAccessToProtectedBranchPathParams
  >({
    url: "/repos/{owner}/{repo}/branches/{branch}/protection/restrictions/teams",
    method: "get",
    ...variables,
  });

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Lists the teams who have push access to this branch. The list includes child teams.
 */
export const useReposGetTeamsWithAccessToProtectedBranch = <
  TData = ReposGetTeamsWithAccessToProtectedBranchResponse
>(
  variables: ReposGetTeamsWithAccessToProtectedBranchVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReposGetTeamsWithAccessToProtectedBranchResponse,
      ReposGetTeamsWithAccessToProtectedBranchError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReposGetTeamsWithAccessToProtectedBranchResponse,
    ReposGetTeamsWithAccessToProtectedBranchError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/branches/{branch}/protection/restrictions/teams",
      operationId: "reposGetTeamsWithAccessToProtectedBranch",
      variables,
    }),
    () =>
      fetchReposGetTeamsWithAccessToProtectedBranch({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposAddTeamAccessRestrictionsPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the branch.
   */
  branch: string;
};

export type ReposAddTeamAccessRestrictionsError = Fetcher.ErrorWrapper<{
  status: 422;
  payload: Responses.ValidationFailed;
}>;

export type ReposAddTeamAccessRestrictionsResponse = Schemas.Team[];

export type ReposAddTeamAccessRestrictionsRequestBody = {
  /*
   * teams parameter
   */
  teams: string[];
};

export type ReposAddTeamAccessRestrictionsVariables = {
  body: ReposAddTeamAccessRestrictionsRequestBody;
  pathParams: ReposAddTeamAccessRestrictionsPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Grants the specified teams push access for this branch. You can also give push access to child teams.
 *
 * | Type    | Description                                                                                                                                |
 * | ------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
 * | `array` | The teams that can have push access. Use the team's `slug`. **Note**: The list of users, apps, and teams in total is limited to 100 items. |
 */
export const fetchReposAddTeamAccessRestrictions = (
  variables: ReposAddTeamAccessRestrictionsVariables
) =>
  githubFetch<
    ReposAddTeamAccessRestrictionsResponse,
    ReposAddTeamAccessRestrictionsError,
    ReposAddTeamAccessRestrictionsRequestBody,
    {},
    {},
    ReposAddTeamAccessRestrictionsPathParams
  >({
    url: "/repos/{owner}/{repo}/branches/{branch}/protection/restrictions/teams",
    method: "post",
    ...variables,
  });

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Grants the specified teams push access for this branch. You can also give push access to child teams.
 *
 * | Type    | Description                                                                                                                                |
 * | ------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
 * | `array` | The teams that can have push access. Use the team's `slug`. **Note**: The list of users, apps, and teams in total is limited to 100 items. |
 */
export const useReposAddTeamAccessRestrictions = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      ReposAddTeamAccessRestrictionsResponse,
      ReposAddTeamAccessRestrictionsError,
      ReposAddTeamAccessRestrictionsVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    ReposAddTeamAccessRestrictionsResponse,
    ReposAddTeamAccessRestrictionsError,
    ReposAddTeamAccessRestrictionsVariables
  >(
    (variables: ReposAddTeamAccessRestrictionsVariables) =>
      fetchReposAddTeamAccessRestrictions({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposSetTeamAccessRestrictionsPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the branch.
   */
  branch: string;
};

export type ReposSetTeamAccessRestrictionsError = Fetcher.ErrorWrapper<{
  status: 422;
  payload: Responses.ValidationFailed;
}>;

export type ReposSetTeamAccessRestrictionsResponse = Schemas.Team[];

export type ReposSetTeamAccessRestrictionsRequestBody = {
  /*
   * teams parameter
   */
  teams: string[];
};

export type ReposSetTeamAccessRestrictionsVariables = {
  body: ReposSetTeamAccessRestrictionsRequestBody;
  pathParams: ReposSetTeamAccessRestrictionsPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Replaces the list of teams that have push access to this branch. This removes all teams that previously had push access and grants push access to the new list of teams. Team restrictions include child teams.
 *
 * | Type    | Description                                                                                                                                |
 * | ------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
 * | `array` | The teams that can have push access. Use the team's `slug`. **Note**: The list of users, apps, and teams in total is limited to 100 items. |
 */
export const fetchReposSetTeamAccessRestrictions = (
  variables: ReposSetTeamAccessRestrictionsVariables
) =>
  githubFetch<
    ReposSetTeamAccessRestrictionsResponse,
    ReposSetTeamAccessRestrictionsError,
    ReposSetTeamAccessRestrictionsRequestBody,
    {},
    {},
    ReposSetTeamAccessRestrictionsPathParams
  >({
    url: "/repos/{owner}/{repo}/branches/{branch}/protection/restrictions/teams",
    method: "put",
    ...variables,
  });

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Replaces the list of teams that have push access to this branch. This removes all teams that previously had push access and grants push access to the new list of teams. Team restrictions include child teams.
 *
 * | Type    | Description                                                                                                                                |
 * | ------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
 * | `array` | The teams that can have push access. Use the team's `slug`. **Note**: The list of users, apps, and teams in total is limited to 100 items. |
 */
export const useReposSetTeamAccessRestrictions = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      ReposSetTeamAccessRestrictionsResponse,
      ReposSetTeamAccessRestrictionsError,
      ReposSetTeamAccessRestrictionsVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    ReposSetTeamAccessRestrictionsResponse,
    ReposSetTeamAccessRestrictionsError,
    ReposSetTeamAccessRestrictionsVariables
  >(
    (variables: ReposSetTeamAccessRestrictionsVariables) =>
      fetchReposSetTeamAccessRestrictions({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposRemoveUserAccessRestrictionsPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the branch.
   */
  branch: string;
};

export type ReposRemoveUserAccessRestrictionsError = Fetcher.ErrorWrapper<{
  status: 422;
  payload: Responses.ValidationFailed;
}>;

export type ReposRemoveUserAccessRestrictionsResponse = Schemas.SimpleUser[];

export type ReposRemoveUserAccessRestrictionsRequestBody = {
  /*
   * users parameter
   */
  users: string[];
};

export type ReposRemoveUserAccessRestrictionsVariables = {
  body: ReposRemoveUserAccessRestrictionsRequestBody;
  pathParams: ReposRemoveUserAccessRestrictionsPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Removes the ability of a user to push to this branch.
 *
 * | Type    | Description                                                                                                                                   |
 * | ------- | --------------------------------------------------------------------------------------------------------------------------------------------- |
 * | `array` | Usernames of the people who should no longer have push access. **Note**: The list of users, apps, and teams in total is limited to 100 items. |
 */
export const fetchReposRemoveUserAccessRestrictions = (
  variables: ReposRemoveUserAccessRestrictionsVariables
) =>
  githubFetch<
    ReposRemoveUserAccessRestrictionsResponse,
    ReposRemoveUserAccessRestrictionsError,
    ReposRemoveUserAccessRestrictionsRequestBody,
    {},
    {},
    ReposRemoveUserAccessRestrictionsPathParams
  >({
    url: "/repos/{owner}/{repo}/branches/{branch}/protection/restrictions/users",
    method: "delete",
    ...variables,
  });

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Removes the ability of a user to push to this branch.
 *
 * | Type    | Description                                                                                                                                   |
 * | ------- | --------------------------------------------------------------------------------------------------------------------------------------------- |
 * | `array` | Usernames of the people who should no longer have push access. **Note**: The list of users, apps, and teams in total is limited to 100 items. |
 */
export const useReposRemoveUserAccessRestrictions = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      ReposRemoveUserAccessRestrictionsResponse,
      ReposRemoveUserAccessRestrictionsError,
      ReposRemoveUserAccessRestrictionsVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    ReposRemoveUserAccessRestrictionsResponse,
    ReposRemoveUserAccessRestrictionsError,
    ReposRemoveUserAccessRestrictionsVariables
  >(
    (variables: ReposRemoveUserAccessRestrictionsVariables) =>
      fetchReposRemoveUserAccessRestrictions({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ReposGetUsersWithAccessToProtectedBranchPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the branch.
   */
  branch: string;
};

export type ReposGetUsersWithAccessToProtectedBranchError =
  Fetcher.ErrorWrapper<{
    status: 404;
    payload: Responses.NotFound;
  }>;

export type ReposGetUsersWithAccessToProtectedBranchResponse =
  Schemas.SimpleUser[];

export type ReposGetUsersWithAccessToProtectedBranchVariables = {
  pathParams: ReposGetUsersWithAccessToProtectedBranchPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Lists the people who have push access to this branch.
 */
export const fetchReposGetUsersWithAccessToProtectedBranch = (
  variables: ReposGetUsersWithAccessToProtectedBranchVariables
) =>
  githubFetch<
    ReposGetUsersWithAccessToProtectedBranchResponse,
    ReposGetUsersWithAccessToProtectedBranchError,
    undefined,
    {},
    {},
    ReposGetUsersWithAccessToProtectedBranchPathParams
  >({
    url: "/repos/{owner}/{repo}/branches/{branch}/protection/restrictions/users",
    method: "get",
    ...variables,
  });

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Lists the people who have push access to this branch.
 */
export const useReposGetUsersWithAccessToProtectedBranch = <
  TData = ReposGetUsersWithAccessToProtectedBranchResponse
>(
  variables: ReposGetUsersWithAccessToProtectedBranchVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReposGetUsersWithAccessToProtectedBranchResponse,
      ReposGetUsersWithAccessToProtectedBranchError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReposGetUsersWithAccessToProtectedBranchResponse,
    ReposGetUsersWithAccessToProtectedBranchError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/branches/{branch}/protection/restrictions/users",
      operationId: "reposGetUsersWithAccessToProtectedBranch",
      variables,
    }),
    () =>
      fetchReposGetUsersWithAccessToProtectedBranch({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposAddUserAccessRestrictionsPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the branch.
   */
  branch: string;
};

export type ReposAddUserAccessRestrictionsError = Fetcher.ErrorWrapper<{
  status: 422;
  payload: Responses.ValidationFailed;
}>;

export type ReposAddUserAccessRestrictionsResponse = Schemas.SimpleUser[];

export type ReposAddUserAccessRestrictionsRequestBody = {
  /*
   * users parameter
   */
  users: string[];
};

export type ReposAddUserAccessRestrictionsVariables = {
  body: ReposAddUserAccessRestrictionsRequestBody;
  pathParams: ReposAddUserAccessRestrictionsPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Grants the specified people push access for this branch.
 *
 * | Type    | Description                                                                                                                   |
 * | ------- | ----------------------------------------------------------------------------------------------------------------------------- |
 * | `array` | Usernames for people who can have push access. **Note**: The list of users, apps, and teams in total is limited to 100 items. |
 */
export const fetchReposAddUserAccessRestrictions = (
  variables: ReposAddUserAccessRestrictionsVariables
) =>
  githubFetch<
    ReposAddUserAccessRestrictionsResponse,
    ReposAddUserAccessRestrictionsError,
    ReposAddUserAccessRestrictionsRequestBody,
    {},
    {},
    ReposAddUserAccessRestrictionsPathParams
  >({
    url: "/repos/{owner}/{repo}/branches/{branch}/protection/restrictions/users",
    method: "post",
    ...variables,
  });

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Grants the specified people push access for this branch.
 *
 * | Type    | Description                                                                                                                   |
 * | ------- | ----------------------------------------------------------------------------------------------------------------------------- |
 * | `array` | Usernames for people who can have push access. **Note**: The list of users, apps, and teams in total is limited to 100 items. |
 */
export const useReposAddUserAccessRestrictions = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      ReposAddUserAccessRestrictionsResponse,
      ReposAddUserAccessRestrictionsError,
      ReposAddUserAccessRestrictionsVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    ReposAddUserAccessRestrictionsResponse,
    ReposAddUserAccessRestrictionsError,
    ReposAddUserAccessRestrictionsVariables
  >(
    (variables: ReposAddUserAccessRestrictionsVariables) =>
      fetchReposAddUserAccessRestrictions({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposSetUserAccessRestrictionsPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the branch.
   */
  branch: string;
};

export type ReposSetUserAccessRestrictionsError = Fetcher.ErrorWrapper<{
  status: 422;
  payload: Responses.ValidationFailed;
}>;

export type ReposSetUserAccessRestrictionsResponse = Schemas.SimpleUser[];

export type ReposSetUserAccessRestrictionsRequestBody = {
  /*
   * users parameter
   */
  users: string[];
};

export type ReposSetUserAccessRestrictionsVariables = {
  body: ReposSetUserAccessRestrictionsRequestBody;
  pathParams: ReposSetUserAccessRestrictionsPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Replaces the list of people that have push access to this branch. This removes all people that previously had push access and grants push access to the new list of people.
 *
 * | Type    | Description                                                                                                                   |
 * | ------- | ----------------------------------------------------------------------------------------------------------------------------- |
 * | `array` | Usernames for people who can have push access. **Note**: The list of users, apps, and teams in total is limited to 100 items. |
 */
export const fetchReposSetUserAccessRestrictions = (
  variables: ReposSetUserAccessRestrictionsVariables
) =>
  githubFetch<
    ReposSetUserAccessRestrictionsResponse,
    ReposSetUserAccessRestrictionsError,
    ReposSetUserAccessRestrictionsRequestBody,
    {},
    {},
    ReposSetUserAccessRestrictionsPathParams
  >({
    url: "/repos/{owner}/{repo}/branches/{branch}/protection/restrictions/users",
    method: "put",
    ...variables,
  });

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Replaces the list of people that have push access to this branch. This removes all people that previously had push access and grants push access to the new list of people.
 *
 * | Type    | Description                                                                                                                   |
 * | ------- | ----------------------------------------------------------------------------------------------------------------------------- |
 * | `array` | Usernames for people who can have push access. **Note**: The list of users, apps, and teams in total is limited to 100 items. |
 */
export const useReposSetUserAccessRestrictions = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      ReposSetUserAccessRestrictionsResponse,
      ReposSetUserAccessRestrictionsError,
      ReposSetUserAccessRestrictionsVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    ReposSetUserAccessRestrictionsResponse,
    ReposSetUserAccessRestrictionsError,
    ReposSetUserAccessRestrictionsVariables
  >(
    (variables: ReposSetUserAccessRestrictionsVariables) =>
      fetchReposSetUserAccessRestrictions({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposRenameBranchPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the branch.
   */
  branch: string;
};

export type ReposRenameBranchError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type ReposRenameBranchRequestBody = {
  /*
   * The new name of the branch.
   */
  new_name: string;
};

export type ReposRenameBranchVariables = {
  body: ReposRenameBranchRequestBody;
  pathParams: ReposRenameBranchPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Renames a branch in a repository.
 *
 * **Note:** Although the API responds immediately, the branch rename process might take some extra time to complete in the background. You won't be able to push to the old branch name while the rename process is in progress. For more information, see "[Renaming a branch](https://docs.github.com/github/administering-a-repository/renaming-a-branch)".
 *
 * The permissions required to use this endpoint depends on whether you are renaming the default branch.
 *
 * To rename a non-default branch:
 *
 * * Users must have push access.
 * * GitHub Apps must have the `contents:write` repository permission.
 *
 * To rename the default branch:
 *
 * * Users must have admin or owner permissions.
 * * GitHub Apps must have the `administration:write` repository permission.
 */
export const fetchReposRenameBranch = (variables: ReposRenameBranchVariables) =>
  githubFetch<
    Schemas.BranchWithProtection,
    ReposRenameBranchError,
    ReposRenameBranchRequestBody,
    {},
    {},
    ReposRenameBranchPathParams
  >({
    url: "/repos/{owner}/{repo}/branches/{branch}/rename",
    method: "post",
    ...variables,
  });

/**
 * Renames a branch in a repository.
 *
 * **Note:** Although the API responds immediately, the branch rename process might take some extra time to complete in the background. You won't be able to push to the old branch name while the rename process is in progress. For more information, see "[Renaming a branch](https://docs.github.com/github/administering-a-repository/renaming-a-branch)".
 *
 * The permissions required to use this endpoint depends on whether you are renaming the default branch.
 *
 * To rename a non-default branch:
 *
 * * Users must have push access.
 * * GitHub Apps must have the `contents:write` repository permission.
 *
 * To rename the default branch:
 *
 * * Users must have admin or owner permissions.
 * * GitHub Apps must have the `administration:write` repository permission.
 */
export const useReposRenameBranch = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.BranchWithProtection,
      ReposRenameBranchError,
      ReposRenameBranchVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.BranchWithProtection,
    ReposRenameBranchError,
    ReposRenameBranchVariables
  >(
    (variables: ReposRenameBranchVariables) =>
      fetchReposRenameBranch({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ChecksCreatePathParams = {
  owner: string;
  repo: string;
};

export type ChecksCreateError = Fetcher.ErrorWrapper<undefined>;

export type ChecksCreateVariables = {
  body:
    | ({
        status: "completed";
      } & {
        [key: string]: any;
      })
    | ({
        status?: "queued" | "in_progress";
      } & {
        [key: string]: any;
      });
  pathParams: ChecksCreatePathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Note:** The Checks API only looks for pushes in the repository where the check suite or check run were created. Pushes to a branch in a forked repository are not detected and return an empty `pull_requests` array.
 *
 * Creates a new check run for a specific commit in a repository. Your GitHub App must have the `checks:write` permission to create check runs.
 *
 * In a check suite, GitHub limits the number of check runs with the same name to 1000. Once these check runs exceed 1000, GitHub will start to automatically delete older check runs.
 */
export const fetchChecksCreate = (variables: ChecksCreateVariables) =>
  githubFetch<
    Schemas.CheckRun,
    ChecksCreateError,
    | ({
        status: "completed";
      } & {
        [key: string]: any;
      })
    | ({
        status?: "queued" | "in_progress";
      } & {
        [key: string]: any;
      }),
    {},
    {},
    ChecksCreatePathParams
  >({ url: "/repos/{owner}/{repo}/check-runs", method: "post", ...variables });

/**
 * **Note:** The Checks API only looks for pushes in the repository where the check suite or check run were created. Pushes to a branch in a forked repository are not detected and return an empty `pull_requests` array.
 *
 * Creates a new check run for a specific commit in a repository. Your GitHub App must have the `checks:write` permission to create check runs.
 *
 * In a check suite, GitHub limits the number of check runs with the same name to 1000. Once these check runs exceed 1000, GitHub will start to automatically delete older check runs.
 */
export const useChecksCreate = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.CheckRun,
      ChecksCreateError,
      ChecksCreateVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.CheckRun,
    ChecksCreateError,
    ChecksCreateVariables
  >(
    (variables: ChecksCreateVariables) =>
      fetchChecksCreate({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ChecksGetPathParams = {
  owner: string;
  repo: string;
  /*
   * check_run_id parameter
   */
  checkRunId: number;
};

export type ChecksGetError = Fetcher.ErrorWrapper<undefined>;

export type ChecksGetVariables = {
  pathParams: ChecksGetPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Note:** The Checks API only looks for pushes in the repository where the check suite or check run were created. Pushes to a branch in a forked repository are not detected and return an empty `pull_requests` array.
 *
 * Gets a single check run using its `id`. GitHub Apps must have the `checks:read` permission on a private repository or pull access to a public repository to get check runs. OAuth Apps and authenticated users must have the `repo` scope to get check runs in a private repository.
 */
export const fetchChecksGet = (variables: ChecksGetVariables) =>
  githubFetch<
    Schemas.CheckRun,
    ChecksGetError,
    undefined,
    {},
    {},
    ChecksGetPathParams
  >({
    url: "/repos/{owner}/{repo}/check-runs/{checkRunId}",
    method: "get",
    ...variables,
  });

/**
 * **Note:** The Checks API only looks for pushes in the repository where the check suite or check run were created. Pushes to a branch in a forked repository are not detected and return an empty `pull_requests` array.
 *
 * Gets a single check run using its `id`. GitHub Apps must have the `checks:read` permission on a private repository or pull access to a public repository to get check runs. OAuth Apps and authenticated users must have the `repo` scope to get check runs in a private repository.
 */
export const useChecksGet = <TData = Schemas.CheckRun>(
  variables: ChecksGetVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<Schemas.CheckRun, ChecksGetError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.CheckRun, ChecksGetError, TData>(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/check-runs/{check_run_id}",
      operationId: "checksGet",
      variables,
    }),
    () => fetchChecksGet({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ChecksUpdatePathParams = {
  owner: string;
  repo: string;
  /*
   * check_run_id parameter
   */
  checkRunId: number;
};

export type ChecksUpdateError = Fetcher.ErrorWrapper<undefined>;

export type ChecksUpdateVariables = {
  body?:
    | ({
        status?: "completed";
      } & {
        [key: string]: any;
      })
    | ({
        status?: "queued" | "in_progress";
      } & {
        [key: string]: any;
      });
  pathParams: ChecksUpdatePathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Note:** The Checks API only looks for pushes in the repository where the check suite or check run were created. Pushes to a branch in a forked repository are not detected and return an empty `pull_requests` array.
 *
 * Updates a check run for a specific commit in a repository. Your GitHub App must have the `checks:write` permission to edit check runs.
 */
export const fetchChecksUpdate = (variables: ChecksUpdateVariables) =>
  githubFetch<
    Schemas.CheckRun,
    ChecksUpdateError,
    | ({
        status?: "completed";
      } & {
        [key: string]: any;
      })
    | ({
        status?: "queued" | "in_progress";
      } & {
        [key: string]: any;
      }),
    {},
    {},
    ChecksUpdatePathParams
  >({
    url: "/repos/{owner}/{repo}/check-runs/{checkRunId}",
    method: "patch",
    ...variables,
  });

/**
 * **Note:** The Checks API only looks for pushes in the repository where the check suite or check run were created. Pushes to a branch in a forked repository are not detected and return an empty `pull_requests` array.
 *
 * Updates a check run for a specific commit in a repository. Your GitHub App must have the `checks:write` permission to edit check runs.
 */
export const useChecksUpdate = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.CheckRun,
      ChecksUpdateError,
      ChecksUpdateVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.CheckRun,
    ChecksUpdateError,
    ChecksUpdateVariables
  >(
    (variables: ChecksUpdateVariables) =>
      fetchChecksUpdate({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ChecksListAnnotationsPathParams = {
  owner: string;
  repo: string;
  /*
   * check_run_id parameter
   */
  checkRunId: number;
};

export type ChecksListAnnotationsQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ChecksListAnnotationsError = Fetcher.ErrorWrapper<undefined>;

export type ChecksListAnnotationsResponse = Schemas.CheckAnnotation[];

export type ChecksListAnnotationsVariables = {
  pathParams: ChecksListAnnotationsPathParams;
  queryParams?: ChecksListAnnotationsQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists annotations for a check run using the annotation `id`. GitHub Apps must have the `checks:read` permission on a private repository or pull access to a public repository to get annotations for a check run. OAuth Apps and authenticated users must have the `repo` scope to get annotations for a check run in a private repository.
 */
export const fetchChecksListAnnotations = (
  variables: ChecksListAnnotationsVariables
) =>
  githubFetch<
    ChecksListAnnotationsResponse,
    ChecksListAnnotationsError,
    undefined,
    {},
    ChecksListAnnotationsQueryParams,
    ChecksListAnnotationsPathParams
  >({
    url: "/repos/{owner}/{repo}/check-runs/{checkRunId}/annotations",
    method: "get",
    ...variables,
  });

/**
 * Lists annotations for a check run using the annotation `id`. GitHub Apps must have the `checks:read` permission on a private repository or pull access to a public repository to get annotations for a check run. OAuth Apps and authenticated users must have the `repo` scope to get annotations for a check run in a private repository.
 */
export const useChecksListAnnotations = <TData = ChecksListAnnotationsResponse>(
  variables: ChecksListAnnotationsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ChecksListAnnotationsResponse,
      ChecksListAnnotationsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ChecksListAnnotationsResponse,
    ChecksListAnnotationsError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/check-runs/{check_run_id}/annotations",
      operationId: "checksListAnnotations",
      variables,
    }),
    () => fetchChecksListAnnotations({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ChecksCreateSuitePathParams = {
  owner: string;
  repo: string;
};

export type ChecksCreateSuiteError = Fetcher.ErrorWrapper<undefined>;

export type ChecksCreateSuiteRequestBody = {
  /*
   * The sha of the head commit.
   */
  head_sha: string;
};

export type ChecksCreateSuiteVariables = {
  body: ChecksCreateSuiteRequestBody;
  pathParams: ChecksCreateSuitePathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Note:** The Checks API only looks for pushes in the repository where the check suite or check run were created. Pushes to a branch in a forked repository are not detected and return an empty `pull_requests` array and a `null` value for `head_branch`.
 *
 * By default, check suites are automatically created when you create a [check run](https://docs.github.com/rest/reference/checks#check-runs). You only need to use this endpoint for manually creating check suites when you've disabled automatic creation using "[Update repository preferences for check suites](https://docs.github.com/rest/reference/checks#update-repository-preferences-for-check-suites)". Your GitHub App must have the `checks:write` permission to create check suites.
 */
export const fetchChecksCreateSuite = (variables: ChecksCreateSuiteVariables) =>
  githubFetch<
    Schemas.CheckSuite,
    ChecksCreateSuiteError,
    ChecksCreateSuiteRequestBody,
    {},
    {},
    ChecksCreateSuitePathParams
  >({
    url: "/repos/{owner}/{repo}/check-suites",
    method: "post",
    ...variables,
  });

/**
 * **Note:** The Checks API only looks for pushes in the repository where the check suite or check run were created. Pushes to a branch in a forked repository are not detected and return an empty `pull_requests` array and a `null` value for `head_branch`.
 *
 * By default, check suites are automatically created when you create a [check run](https://docs.github.com/rest/reference/checks#check-runs). You only need to use this endpoint for manually creating check suites when you've disabled automatic creation using "[Update repository preferences for check suites](https://docs.github.com/rest/reference/checks#update-repository-preferences-for-check-suites)". Your GitHub App must have the `checks:write` permission to create check suites.
 */
export const useChecksCreateSuite = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.CheckSuite,
      ChecksCreateSuiteError,
      ChecksCreateSuiteVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.CheckSuite,
    ChecksCreateSuiteError,
    ChecksCreateSuiteVariables
  >(
    (variables: ChecksCreateSuiteVariables) =>
      fetchChecksCreateSuite({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ChecksSetSuitesPreferencesPathParams = {
  owner: string;
  repo: string;
};

export type ChecksSetSuitesPreferencesError = Fetcher.ErrorWrapper<undefined>;

export type ChecksSetSuitesPreferencesRequestBody = {
  /*
   * Enables or disables automatic creation of CheckSuite events upon pushes to the repository. Enabled by default. See the [`auto_trigger_checks` object](https://docs.github.com/rest/reference/checks#auto_trigger_checks-object) description for details.
   */
  auto_trigger_checks?: {
    /*
     * The `id` of the GitHub App.
     */
    app_id: number;
    /*
     * Set to `true` to enable automatic creation of CheckSuite events upon pushes to the repository, or `false` to disable them.
     *
     * @default true
     */
    setting: boolean;
  }[];
};

export type ChecksSetSuitesPreferencesVariables = {
  body?: ChecksSetSuitesPreferencesRequestBody;
  pathParams: ChecksSetSuitesPreferencesPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Changes the default automatic flow when creating check suites. By default, a check suite is automatically created each time code is pushed to a repository. When you disable the automatic creation of check suites, you can manually [Create a check suite](https://docs.github.com/rest/reference/checks#create-a-check-suite). You must have admin permissions in the repository to set preferences for check suites.
 */
export const fetchChecksSetSuitesPreferences = (
  variables: ChecksSetSuitesPreferencesVariables
) =>
  githubFetch<
    Schemas.CheckSuitePreference,
    ChecksSetSuitesPreferencesError,
    ChecksSetSuitesPreferencesRequestBody,
    {},
    {},
    ChecksSetSuitesPreferencesPathParams
  >({
    url: "/repos/{owner}/{repo}/check-suites/preferences",
    method: "patch",
    ...variables,
  });

/**
 * Changes the default automatic flow when creating check suites. By default, a check suite is automatically created each time code is pushed to a repository. When you disable the automatic creation of check suites, you can manually [Create a check suite](https://docs.github.com/rest/reference/checks#create-a-check-suite). You must have admin permissions in the repository to set preferences for check suites.
 */
export const useChecksSetSuitesPreferences = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.CheckSuitePreference,
      ChecksSetSuitesPreferencesError,
      ChecksSetSuitesPreferencesVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.CheckSuitePreference,
    ChecksSetSuitesPreferencesError,
    ChecksSetSuitesPreferencesVariables
  >(
    (variables: ChecksSetSuitesPreferencesVariables) =>
      fetchChecksSetSuitesPreferences({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ChecksGetSuitePathParams = {
  owner: string;
  repo: string;
  /*
   * check_suite_id parameter
   */
  checkSuiteId: number;
};

export type ChecksGetSuiteError = Fetcher.ErrorWrapper<undefined>;

export type ChecksGetSuiteVariables = {
  pathParams: ChecksGetSuitePathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Note:** The Checks API only looks for pushes in the repository where the check suite or check run were created. Pushes to a branch in a forked repository are not detected and return an empty `pull_requests` array and a `null` value for `head_branch`.
 *
 * Gets a single check suite using its `id`. GitHub Apps must have the `checks:read` permission on a private repository or pull access to a public repository to get check suites. OAuth Apps and authenticated users must have the `repo` scope to get check suites in a private repository.
 */
export const fetchChecksGetSuite = (variables: ChecksGetSuiteVariables) =>
  githubFetch<
    Schemas.CheckSuite,
    ChecksGetSuiteError,
    undefined,
    {},
    {},
    ChecksGetSuitePathParams
  >({
    url: "/repos/{owner}/{repo}/check-suites/{checkSuiteId}",
    method: "get",
    ...variables,
  });

/**
 * **Note:** The Checks API only looks for pushes in the repository where the check suite or check run were created. Pushes to a branch in a forked repository are not detected and return an empty `pull_requests` array and a `null` value for `head_branch`.
 *
 * Gets a single check suite using its `id`. GitHub Apps must have the `checks:read` permission on a private repository or pull access to a public repository to get check suites. OAuth Apps and authenticated users must have the `repo` scope to get check suites in a private repository.
 */
export const useChecksGetSuite = <TData = Schemas.CheckSuite>(
  variables: ChecksGetSuiteVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<Schemas.CheckSuite, ChecksGetSuiteError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.CheckSuite, ChecksGetSuiteError, TData>(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/check-suites/{check_suite_id}",
      operationId: "checksGetSuite",
      variables,
    }),
    () => fetchChecksGetSuite({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ChecksListForSuitePathParams = {
  owner: string;
  repo: string;
  /*
   * check_suite_id parameter
   */
  checkSuiteId: number;
};

export type ChecksListForSuiteQueryParams = {
  /*
   * Returns check runs with the specified `name`.
   */
  check_name?: string;
  /*
   * Returns check runs with the specified `status`. Can be one of `queued`, `in_progress`, or `completed`.
   */
  status?: "queued" | "in_progress" | "completed";
  /*
   * Filters check runs by their `completed_at` timestamp. Can be one of `latest` (returning the most recent check runs) or `all`.
   *
   * @default latest
   */
  filter?: "latest" | "all";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ChecksListForSuiteError = Fetcher.ErrorWrapper<undefined>;

export type ChecksListForSuiteResponse = {
  check_runs: Schemas.CheckRun[];
  total_count: number;
};

export type ChecksListForSuiteVariables = {
  pathParams: ChecksListForSuitePathParams;
  queryParams?: ChecksListForSuiteQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * **Note:** The Checks API only looks for pushes in the repository where the check suite or check run were created. Pushes to a branch in a forked repository are not detected and return an empty `pull_requests` array.
 *
 * Lists check runs for a check suite using its `id`. GitHub Apps must have the `checks:read` permission on a private repository or pull access to a public repository to get check runs. OAuth Apps and authenticated users must have the `repo` scope to get check runs in a private repository.
 */
export const fetchChecksListForSuite = (
  variables: ChecksListForSuiteVariables
) =>
  githubFetch<
    ChecksListForSuiteResponse,
    ChecksListForSuiteError,
    undefined,
    {},
    ChecksListForSuiteQueryParams,
    ChecksListForSuitePathParams
  >({
    url: "/repos/{owner}/{repo}/check-suites/{checkSuiteId}/check-runs",
    method: "get",
    ...variables,
  });

/**
 * **Note:** The Checks API only looks for pushes in the repository where the check suite or check run were created. Pushes to a branch in a forked repository are not detected and return an empty `pull_requests` array.
 *
 * Lists check runs for a check suite using its `id`. GitHub Apps must have the `checks:read` permission on a private repository or pull access to a public repository to get check runs. OAuth Apps and authenticated users must have the `repo` scope to get check runs in a private repository.
 */
export const useChecksListForSuite = <TData = ChecksListForSuiteResponse>(
  variables: ChecksListForSuiteVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ChecksListForSuiteResponse,
      ChecksListForSuiteError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ChecksListForSuiteResponse,
    ChecksListForSuiteError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/check-suites/{check_suite_id}/check-runs",
      operationId: "checksListForSuite",
      variables,
    }),
    () => fetchChecksListForSuite({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ChecksRerequestSuitePathParams = {
  owner: string;
  repo: string;
  /*
   * check_suite_id parameter
   */
  checkSuiteId: number;
};

export type ChecksRerequestSuiteError = Fetcher.ErrorWrapper<undefined>;

export type ChecksRerequestSuiteVariables = {
  pathParams: ChecksRerequestSuitePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Triggers GitHub to rerequest an existing check suite, without pushing new code to a repository. This endpoint will trigger the [`check_suite` webhook](https://docs.github.com/webhooks/event-payloads/#check_suite) event with the action `rerequested`. When a check suite is `rerequested`, its `status` is reset to `queued` and the `conclusion` is cleared.
 *
 * To rerequest a check suite, your GitHub App must have the `checks:read` permission on a private repository or pull access to a public repository.
 */
export const fetchChecksRerequestSuite = (
  variables: ChecksRerequestSuiteVariables
) =>
  githubFetch<
    undefined,
    ChecksRerequestSuiteError,
    undefined,
    {},
    {},
    ChecksRerequestSuitePathParams
  >({
    url: "/repos/{owner}/{repo}/check-suites/{checkSuiteId}/rerequest",
    method: "post",
    ...variables,
  });

/**
 * Triggers GitHub to rerequest an existing check suite, without pushing new code to a repository. This endpoint will trigger the [`check_suite` webhook](https://docs.github.com/webhooks/event-payloads/#check_suite) event with the action `rerequested`. When a check suite is `rerequested`, its `status` is reset to `queued` and the `conclusion` is cleared.
 *
 * To rerequest a check suite, your GitHub App must have the `checks:read` permission on a private repository or pull access to a public repository.
 */
export const useChecksRerequestSuite = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ChecksRerequestSuiteError,
      ChecksRerequestSuiteVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ChecksRerequestSuiteError,
    ChecksRerequestSuiteVariables
  >(
    (variables: ChecksRerequestSuiteVariables) =>
      fetchChecksRerequestSuite({ ...fetcherOptions, ...variables }),
    options
  );
};

export type CodeScanningListAlertsForRepoPathParams = {
  owner: string;
  repo: string;
};

export type CodeScanningListAlertsForRepoQueryParams = {
  /*
   * The name of a code scanning tool. Only results by this tool will be listed. You can specify the tool by using either `tool_name` or `tool_guid`, but not both.
   */
  tool_name?: Schemas.CodeScanningAnalysisToolName;
  /*
   * The GUID of a code scanning tool. Only results by this tool will be listed. Note that some code scanning tools may not include a GUID in their analysis data. You can specify the tool by using either `tool_guid` or `tool_name`, but not both.
   */
  tool_guid?: Schemas.CodeScanningAnalysisToolGuid;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * The Git reference for the results you want to list. The `ref` for a branch can be formatted either as `refs/heads/<branch name>` or simply `<branch name>`. To reference a pull request use `refs/pull/<number>/merge`.
   */
  ref?: Schemas.CodeScanningRef;
  /*
   * Set to `open`, `fixed`, or `dismissed` to list code scanning alerts in a specific state.
   */
  state?: Schemas.CodeScanningAlertState;
};

export type CodeScanningListAlertsForRepoError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.CodeScanningForbiddenRead;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 503;
      payload: Responses.ServiceUnavailable;
    }
>;

export type CodeScanningListAlertsForRepoResponse =
  Schemas.CodeScanningAlertItems[];

export type CodeScanningListAlertsForRepoVariables = {
  pathParams: CodeScanningListAlertsForRepoPathParams;
  queryParams?: CodeScanningListAlertsForRepoQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists all open code scanning alerts for the default branch (usually `main`
 * or `master`). You must use an access token with the `security_events` scope to use
 * this endpoint. GitHub Apps must have the `security_events` read permission to use
 * this endpoint.
 *
 * The response includes a `most_recent_instance` object.
 * This provides details of the most recent instance of this alert
 * for the default branch or for the specified Git reference
 * (if you used `ref` in the request).
 */
export const fetchCodeScanningListAlertsForRepo = (
  variables: CodeScanningListAlertsForRepoVariables
) =>
  githubFetch<
    CodeScanningListAlertsForRepoResponse,
    CodeScanningListAlertsForRepoError,
    undefined,
    {},
    CodeScanningListAlertsForRepoQueryParams,
    CodeScanningListAlertsForRepoPathParams
  >({
    url: "/repos/{owner}/{repo}/code-scanning/alerts",
    method: "get",
    ...variables,
  });

/**
 * Lists all open code scanning alerts for the default branch (usually `main`
 * or `master`). You must use an access token with the `security_events` scope to use
 * this endpoint. GitHub Apps must have the `security_events` read permission to use
 * this endpoint.
 *
 * The response includes a `most_recent_instance` object.
 * This provides details of the most recent instance of this alert
 * for the default branch or for the specified Git reference
 * (if you used `ref` in the request).
 */
export const useCodeScanningListAlertsForRepo = <
  TData = CodeScanningListAlertsForRepoResponse
>(
  variables: CodeScanningListAlertsForRepoVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      CodeScanningListAlertsForRepoResponse,
      CodeScanningListAlertsForRepoError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    CodeScanningListAlertsForRepoResponse,
    CodeScanningListAlertsForRepoError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/code-scanning/alerts",
      operationId: "codeScanningListAlertsForRepo",
      variables,
    }),
    () =>
      fetchCodeScanningListAlertsForRepo({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type CodeScanningGetAlertPathParams = {
  owner: string;
  repo: string;
  /*
   * The number that identifies an alert. You can find this at the end of the URL for a code scanning alert within GitHub, and in the `number` field in the response from the `GET /repos/{owner}/{repo}/code-scanning/alerts` operation.
   */
  alertNumber: Schemas.AlertNumber;
};

export type CodeScanningGetAlertError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.CodeScanningForbiddenRead;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 503;
      payload: Responses.ServiceUnavailable;
    }
>;

export type CodeScanningGetAlertVariables = {
  pathParams: CodeScanningGetAlertPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets a single code scanning alert. You must use an access token with the `security_events` scope to use this endpoint. GitHub Apps must have the `security_events` read permission to use this endpoint.
 *
 * **Deprecation notice**:
 * The instances field is deprecated and will, in future, not be included in the response for this endpoint. The example response reflects this change. The same information can now be retrieved via a GET request to the URL specified by `instances_url`.
 */
export const fetchCodeScanningGetAlert = (
  variables: CodeScanningGetAlertVariables
) =>
  githubFetch<
    Schemas.CodeScanningAlert,
    CodeScanningGetAlertError,
    undefined,
    {},
    {},
    CodeScanningGetAlertPathParams
  >({
    url: "/repos/{owner}/{repo}/code-scanning/alerts/{alertNumber}",
    method: "get",
    ...variables,
  });

/**
 * Gets a single code scanning alert. You must use an access token with the `security_events` scope to use this endpoint. GitHub Apps must have the `security_events` read permission to use this endpoint.
 *
 * **Deprecation notice**:
 * The instances field is deprecated and will, in future, not be included in the response for this endpoint. The example response reflects this change. The same information can now be retrieved via a GET request to the URL specified by `instances_url`.
 */
export const useCodeScanningGetAlert = <TData = Schemas.CodeScanningAlert>(
  variables: CodeScanningGetAlertVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.CodeScanningAlert,
      CodeScanningGetAlertError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.CodeScanningAlert,
    CodeScanningGetAlertError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/code-scanning/alerts/{alert_number}",
      operationId: "codeScanningGetAlert",
      variables,
    }),
    () => fetchCodeScanningGetAlert({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type CodeScanningUpdateAlertPathParams = {
  owner: string;
  repo: string;
  /*
   * The number that identifies an alert. You can find this at the end of the URL for a code scanning alert within GitHub, and in the `number` field in the response from the `GET /repos/{owner}/{repo}/code-scanning/alerts` operation.
   */
  alertNumber: Schemas.AlertNumber;
};

export type CodeScanningUpdateAlertError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.CodeScanningForbiddenWrite;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 503;
      payload: Responses.ServiceUnavailable;
    }
>;

export type CodeScanningUpdateAlertRequestBody = {
  dismissed_reason?: Schemas.CodeScanningAlertDismissedReason;
  state: Schemas.CodeScanningAlertSetState;
};

export type CodeScanningUpdateAlertVariables = {
  body: CodeScanningUpdateAlertRequestBody;
  pathParams: CodeScanningUpdateAlertPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Updates the status of a single code scanning alert. You must use an access token with the `security_events` scope to use this endpoint. GitHub Apps must have the `security_events` write permission to use this endpoint.
 */
export const fetchCodeScanningUpdateAlert = (
  variables: CodeScanningUpdateAlertVariables
) =>
  githubFetch<
    Schemas.CodeScanningAlert,
    CodeScanningUpdateAlertError,
    CodeScanningUpdateAlertRequestBody,
    {},
    {},
    CodeScanningUpdateAlertPathParams
  >({
    url: "/repos/{owner}/{repo}/code-scanning/alerts/{alertNumber}",
    method: "patch",
    ...variables,
  });

/**
 * Updates the status of a single code scanning alert. You must use an access token with the `security_events` scope to use this endpoint. GitHub Apps must have the `security_events` write permission to use this endpoint.
 */
export const useCodeScanningUpdateAlert = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.CodeScanningAlert,
      CodeScanningUpdateAlertError,
      CodeScanningUpdateAlertVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.CodeScanningAlert,
    CodeScanningUpdateAlertError,
    CodeScanningUpdateAlertVariables
  >(
    (variables: CodeScanningUpdateAlertVariables) =>
      fetchCodeScanningUpdateAlert({ ...fetcherOptions, ...variables }),
    options
  );
};

export type CodeScanningListAlertsInstancesPathParams = {
  owner: string;
  repo: string;
  /*
   * The number that identifies an alert. You can find this at the end of the URL for a code scanning alert within GitHub, and in the `number` field in the response from the `GET /repos/{owner}/{repo}/code-scanning/alerts` operation.
   */
  alertNumber: Schemas.AlertNumber;
};

export type CodeScanningListAlertsInstancesQueryParams = {
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * The Git reference for the results you want to list. The `ref` for a branch can be formatted either as `refs/heads/<branch name>` or simply `<branch name>`. To reference a pull request use `refs/pull/<number>/merge`.
   */
  ref?: Schemas.CodeScanningRef;
};

export type CodeScanningListAlertsInstancesError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.CodeScanningForbiddenRead;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 503;
      payload: Responses.ServiceUnavailable;
    }
>;

export type CodeScanningListAlertsInstancesResponse =
  Schemas.CodeScanningAlertInstance[];

export type CodeScanningListAlertsInstancesVariables = {
  pathParams: CodeScanningListAlertsInstancesPathParams;
  queryParams?: CodeScanningListAlertsInstancesQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists all instances of the specified code scanning alert. You must use an access token with the `security_events` scope to use this endpoint. GitHub Apps must have the `security_events` read permission to use this endpoint.
 */
export const fetchCodeScanningListAlertsInstances = (
  variables: CodeScanningListAlertsInstancesVariables
) =>
  githubFetch<
    CodeScanningListAlertsInstancesResponse,
    CodeScanningListAlertsInstancesError,
    undefined,
    {},
    CodeScanningListAlertsInstancesQueryParams,
    CodeScanningListAlertsInstancesPathParams
  >({
    url: "/repos/{owner}/{repo}/code-scanning/alerts/{alertNumber}/instances",
    method: "get",
    ...variables,
  });

/**
 * Lists all instances of the specified code scanning alert. You must use an access token with the `security_events` scope to use this endpoint. GitHub Apps must have the `security_events` read permission to use this endpoint.
 */
export const useCodeScanningListAlertsInstances = <
  TData = CodeScanningListAlertsInstancesResponse
>(
  variables: CodeScanningListAlertsInstancesVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      CodeScanningListAlertsInstancesResponse,
      CodeScanningListAlertsInstancesError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    CodeScanningListAlertsInstancesResponse,
    CodeScanningListAlertsInstancesError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/code-scanning/alerts/{alert_number}/instances",
      operationId: "codeScanningListAlertsInstances",
      variables,
    }),
    () =>
      fetchCodeScanningListAlertsInstances({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type CodeScanningListRecentAnalysesPathParams = {
  owner: string;
  repo: string;
};

export type CodeScanningListRecentAnalysesQueryParams = {
  /*
   * The name of a code scanning tool. Only results by this tool will be listed. You can specify the tool by using either `tool_name` or `tool_guid`, but not both.
   */
  tool_name?: Schemas.CodeScanningAnalysisToolName;
  /*
   * The GUID of a code scanning tool. Only results by this tool will be listed. Note that some code scanning tools may not include a GUID in their analysis data. You can specify the tool by using either `tool_guid` or `tool_name`, but not both.
   */
  tool_guid?: Schemas.CodeScanningAnalysisToolGuid;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * The Git reference for the analyses you want to list. The `ref` for a branch can be formatted either as `refs/heads/<branch name>` or simply `<branch name>`. To reference a pull request use `refs/pull/<number>/merge`.
   */
  ref?: Schemas.CodeScanningRef;
  /*
   * Filter analyses belonging to the same SARIF upload.
   */
  sarif_id?: Schemas.CodeScanningAnalysisSarifId;
};

export type CodeScanningListRecentAnalysesError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.CodeScanningForbiddenRead;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 503;
      payload: Responses.ServiceUnavailable;
    }
>;

export type CodeScanningListRecentAnalysesResponse =
  Schemas.CodeScanningAnalysis[];

export type CodeScanningListRecentAnalysesVariables = {
  pathParams: CodeScanningListRecentAnalysesPathParams;
  queryParams?: CodeScanningListRecentAnalysesQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists the details of all code scanning analyses for a repository,
 * starting with the most recent.
 * The response is paginated and you can use the `page` and `per_page` parameters
 * to list the analyses you're interested in.
 * By default 30 analyses are listed per page.
 *
 * The `rules_count` field in the response give the number of rules
 * that were run in the analysis.
 * For very old analyses this data is not available,
 * and `0` is returned in this field.
 *
 * You must use an access token with the `security_events` scope to use this endpoint.
 * GitHub Apps must have the `security_events` read permission to use this endpoint.
 *
 * **Deprecation notice**:
 * The `tool_name` field is deprecated and will, in future, not be included in the response for this endpoint. The example response reflects this change. The tool name can now be found inside the `tool` field.
 */
export const fetchCodeScanningListRecentAnalyses = (
  variables: CodeScanningListRecentAnalysesVariables
) =>
  githubFetch<
    CodeScanningListRecentAnalysesResponse,
    CodeScanningListRecentAnalysesError,
    undefined,
    {},
    CodeScanningListRecentAnalysesQueryParams,
    CodeScanningListRecentAnalysesPathParams
  >({
    url: "/repos/{owner}/{repo}/code-scanning/analyses",
    method: "get",
    ...variables,
  });

/**
 * Lists the details of all code scanning analyses for a repository,
 * starting with the most recent.
 * The response is paginated and you can use the `page` and `per_page` parameters
 * to list the analyses you're interested in.
 * By default 30 analyses are listed per page.
 *
 * The `rules_count` field in the response give the number of rules
 * that were run in the analysis.
 * For very old analyses this data is not available,
 * and `0` is returned in this field.
 *
 * You must use an access token with the `security_events` scope to use this endpoint.
 * GitHub Apps must have the `security_events` read permission to use this endpoint.
 *
 * **Deprecation notice**:
 * The `tool_name` field is deprecated and will, in future, not be included in the response for this endpoint. The example response reflects this change. The tool name can now be found inside the `tool` field.
 */
export const useCodeScanningListRecentAnalyses = <
  TData = CodeScanningListRecentAnalysesResponse
>(
  variables: CodeScanningListRecentAnalysesVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      CodeScanningListRecentAnalysesResponse,
      CodeScanningListRecentAnalysesError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    CodeScanningListRecentAnalysesResponse,
    CodeScanningListRecentAnalysesError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/code-scanning/analyses",
      operationId: "codeScanningListRecentAnalyses",
      variables,
    }),
    () =>
      fetchCodeScanningListRecentAnalyses({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type CodeScanningDeleteAnalysisPathParams = {
  owner: string;
  repo: string;
  /*
   * The ID of the analysis, as returned from the `GET /repos/{owner}/{repo}/code-scanning/analyses` operation.
   */
  analysisId: number;
};

export type CodeScanningDeleteAnalysisQueryParams = {
  /*
   * Allow deletion if the specified analysis is the last in a set. The parameter can be used without a value as the parameter value is not considered. If you attempt to delete the final analysis in a set without using this parameter you'll get a 400 response with the message: `Analysis is last of its type and deletion may result in the loss of historical alert data. Please specify confirm_delete.`
   */
  confirm_delete?: string | null;
};

export type CodeScanningDeleteAnalysisError = Fetcher.ErrorWrapper<
  | {
      status: 400;
      payload: Responses.BadRequest;
    }
  | {
      status: 403;
      payload: Responses.CodeScanningForbiddenWrite;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 503;
      payload: Responses.ServiceUnavailable;
    }
>;

export type CodeScanningDeleteAnalysisVariables = {
  pathParams: CodeScanningDeleteAnalysisPathParams;
  queryParams?: CodeScanningDeleteAnalysisQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Deletes a specified code scanning analysis from a repository. For
 * private repositories, you must use an access token with the `repo` scope. For public repositories,
 * you must use an access token with `public_repo` and `repo:security_events` scopes.
 * GitHub Apps must have the `security_events` write permission to use this endpoint.
 *
 * You can delete one analysis at a time.
 * To delete a series of analyses, start with the most recent analysis and work backwards.
 * Conceptually, the process is similar to the undo function in a text editor.
 *
 * When you list the analyses for a repository,
 * one or more will be identified as deletable in the response:
 *
 * ```
 * "deletable": true
 * ```
 *
 * An analysis is deletable when it's the most recent in a set of analyses.
 * Typically, a repository will have multiple sets of analyses
 * for each enabled code scanning tool,
 * where a set is determined by a unique combination of analysis values:
 *
 * * `ref`
 * * `tool`
 * * `analysis_key`
 * * `environment`
 *
 * If you attempt to delete an analysis that is not the most recent in a set,
 * you'll get a 400 response with the message:
 *
 * ```
 * Analysis specified is not deletable.
 * ```
 *
 * The response from a successful `DELETE` operation provides you with
 * two alternative URLs for deleting the next analysis in the set
 * (see the example default response below).
 * Use the `next_analysis_url` URL if you want to avoid accidentally deleting the final analysis
 * in the set. This is a useful option if you want to preserve at least one analysis
 * for the specified tool in your repository.
 * Use the `confirm_delete_url` URL if you are content to remove all analyses for a tool.
 * When you delete the last analysis in a set the value of `next_analysis_url` and `confirm_delete_url`
 * in the 200 response is `null`.
 *
 * As an example of the deletion process,
 * let's imagine that you added a workflow that configured a particular code scanning tool
 * to analyze the code in a repository. This tool has added 15 analyses:
 * 10 on the default branch, and another 5 on a topic branch.
 * You therefore have two separate sets of analyses for this tool.
 * You've now decided that you want to remove all of the analyses for the tool.
 * To do this you must make 15 separate deletion requests.
 * To start, you must find the deletable analysis for one of the sets,
 * step through deleting the analyses in that set,
 * and then repeat the process for the second set.
 * The procedure therefore consists of a nested loop:
 *
 * **Outer loop**:
 * * List the analyses for the repository, filtered by tool.
 * * Parse this list to find a deletable analysis. If found:
 *
 *   **Inner loop**:
 *   * Delete the identified analysis.
 *   * Parse the response for the value of `next_analysis_url` and, if found, use this in the next iteration.
 *
 * The above process assumes that you want to remove all trace of the tool's analyses from the GitHub user interface, for the specified repository, and it therefore uses the `next_analysis_url` value. Alternatively, you could use the `confirm_delete_url` value, which would leave the last analysis in each set undeleted to avoid removing a tool's analysis entirely.
 */
export const fetchCodeScanningDeleteAnalysis = (
  variables: CodeScanningDeleteAnalysisVariables
) =>
  githubFetch<
    Schemas.CodeScanningAnalysisDeletion,
    CodeScanningDeleteAnalysisError,
    undefined,
    {},
    CodeScanningDeleteAnalysisQueryParams,
    CodeScanningDeleteAnalysisPathParams
  >({
    url: "/repos/{owner}/{repo}/code-scanning/analyses/{analysisId}",
    method: "delete",
    ...variables,
  });

/**
 * Deletes a specified code scanning analysis from a repository. For
 * private repositories, you must use an access token with the `repo` scope. For public repositories,
 * you must use an access token with `public_repo` and `repo:security_events` scopes.
 * GitHub Apps must have the `security_events` write permission to use this endpoint.
 *
 * You can delete one analysis at a time.
 * To delete a series of analyses, start with the most recent analysis and work backwards.
 * Conceptually, the process is similar to the undo function in a text editor.
 *
 * When you list the analyses for a repository,
 * one or more will be identified as deletable in the response:
 *
 * ```
 * "deletable": true
 * ```
 *
 * An analysis is deletable when it's the most recent in a set of analyses.
 * Typically, a repository will have multiple sets of analyses
 * for each enabled code scanning tool,
 * where a set is determined by a unique combination of analysis values:
 *
 * * `ref`
 * * `tool`
 * * `analysis_key`
 * * `environment`
 *
 * If you attempt to delete an analysis that is not the most recent in a set,
 * you'll get a 400 response with the message:
 *
 * ```
 * Analysis specified is not deletable.
 * ```
 *
 * The response from a successful `DELETE` operation provides you with
 * two alternative URLs for deleting the next analysis in the set
 * (see the example default response below).
 * Use the `next_analysis_url` URL if you want to avoid accidentally deleting the final analysis
 * in the set. This is a useful option if you want to preserve at least one analysis
 * for the specified tool in your repository.
 * Use the `confirm_delete_url` URL if you are content to remove all analyses for a tool.
 * When you delete the last analysis in a set the value of `next_analysis_url` and `confirm_delete_url`
 * in the 200 response is `null`.
 *
 * As an example of the deletion process,
 * let's imagine that you added a workflow that configured a particular code scanning tool
 * to analyze the code in a repository. This tool has added 15 analyses:
 * 10 on the default branch, and another 5 on a topic branch.
 * You therefore have two separate sets of analyses for this tool.
 * You've now decided that you want to remove all of the analyses for the tool.
 * To do this you must make 15 separate deletion requests.
 * To start, you must find the deletable analysis for one of the sets,
 * step through deleting the analyses in that set,
 * and then repeat the process for the second set.
 * The procedure therefore consists of a nested loop:
 *
 * **Outer loop**:
 * * List the analyses for the repository, filtered by tool.
 * * Parse this list to find a deletable analysis. If found:
 *
 *   **Inner loop**:
 *   * Delete the identified analysis.
 *   * Parse the response for the value of `next_analysis_url` and, if found, use this in the next iteration.
 *
 * The above process assumes that you want to remove all trace of the tool's analyses from the GitHub user interface, for the specified repository, and it therefore uses the `next_analysis_url` value. Alternatively, you could use the `confirm_delete_url` value, which would leave the last analysis in each set undeleted to avoid removing a tool's analysis entirely.
 */
export const useCodeScanningDeleteAnalysis = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.CodeScanningAnalysisDeletion,
      CodeScanningDeleteAnalysisError,
      CodeScanningDeleteAnalysisVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.CodeScanningAnalysisDeletion,
    CodeScanningDeleteAnalysisError,
    CodeScanningDeleteAnalysisVariables
  >(
    (variables: CodeScanningDeleteAnalysisVariables) =>
      fetchCodeScanningDeleteAnalysis({ ...fetcherOptions, ...variables }),
    options
  );
};

export type CodeScanningGetAnalysisPathParams = {
  owner: string;
  repo: string;
  /*
   * The ID of the analysis, as returned from the `GET /repos/{owner}/{repo}/code-scanning/analyses` operation.
   */
  analysisId: number;
};

export type CodeScanningGetAnalysisError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.CodeScanningForbiddenRead;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 503;
      payload: Responses.ServiceUnavailable;
    }
>;

export type CodeScanningGetAnalysisVariables = {
  pathParams: CodeScanningGetAnalysisPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets a specified code scanning analysis for a repository.
 * You must use an access token with the `security_events` scope to use this endpoint.
 * GitHub Apps must have the `security_events` read permission to use this endpoint.
 *
 * The default JSON response contains fields that describe the analysis.
 * This includes the Git reference and commit SHA to which the analysis relates,
 * the datetime of the analysis, the name of the code scanning tool,
 * and the number of alerts.
 *
 * The `rules_count` field in the default response give the number of rules
 * that were run in the analysis.
 * For very old analyses this data is not available,
 * and `0` is returned in this field.
 *
 * If you use the Accept header `application/sarif+json`,
 * the response contains the analysis data that was uploaded.
 * This is formatted as
 * [SARIF version 2.1.0](https://docs.oasis-open.org/sarif/sarif/v2.1.0/cs01/sarif-v2.1.0-cs01.html).
 * For an example response, see "[Custom media type for code scanning](#custom-media-type-for-code-scanning)."
 *
 * **Deprecation notice**:
 * The `tool_name` field is deprecated and will, in future, not be included in the response for this endpoint. The example response reflects this change. The tool name can now be found inside the `tool` field.
 */
export const fetchCodeScanningGetAnalysis = (
  variables: CodeScanningGetAnalysisVariables
) =>
  githubFetch<
    Schemas.CodeScanningAnalysis,
    CodeScanningGetAnalysisError,
    undefined,
    {},
    {},
    CodeScanningGetAnalysisPathParams
  >({
    url: "/repos/{owner}/{repo}/code-scanning/analyses/{analysisId}",
    method: "get",
    ...variables,
  });

/**
 * Gets a specified code scanning analysis for a repository.
 * You must use an access token with the `security_events` scope to use this endpoint.
 * GitHub Apps must have the `security_events` read permission to use this endpoint.
 *
 * The default JSON response contains fields that describe the analysis.
 * This includes the Git reference and commit SHA to which the analysis relates,
 * the datetime of the analysis, the name of the code scanning tool,
 * and the number of alerts.
 *
 * The `rules_count` field in the default response give the number of rules
 * that were run in the analysis.
 * For very old analyses this data is not available,
 * and `0` is returned in this field.
 *
 * If you use the Accept header `application/sarif+json`,
 * the response contains the analysis data that was uploaded.
 * This is formatted as
 * [SARIF version 2.1.0](https://docs.oasis-open.org/sarif/sarif/v2.1.0/cs01/sarif-v2.1.0-cs01.html).
 * For an example response, see "[Custom media type for code scanning](#custom-media-type-for-code-scanning)."
 *
 * **Deprecation notice**:
 * The `tool_name` field is deprecated and will, in future, not be included in the response for this endpoint. The example response reflects this change. The tool name can now be found inside the `tool` field.
 */
export const useCodeScanningGetAnalysis = <
  TData = Schemas.CodeScanningAnalysis
>(
  variables: CodeScanningGetAnalysisVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.CodeScanningAnalysis,
      CodeScanningGetAnalysisError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.CodeScanningAnalysis,
    CodeScanningGetAnalysisError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/code-scanning/analyses/{analysis_id}",
      operationId: "codeScanningGetAnalysis",
      variables,
    }),
    () => fetchCodeScanningGetAnalysis({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type CodeScanningUploadSarifPathParams = {
  owner: string;
  repo: string;
};

export type CodeScanningUploadSarifError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.CodeScanningForbiddenWrite;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 503;
      payload: Responses.ServiceUnavailable;
    }
>;

export type CodeScanningUploadSarifRequestBody = {
  /*
   * The base directory used in the analysis, as it appears in the SARIF file.
   * This property is used to convert file paths from absolute to relative, so that alerts can be mapped to their correct location in the repository.
   *
   * @example file:///github/workspace/
   * @format uri
   */
  checkout_uri?: string;
  commit_sha: Schemas.CodeScanningAnalysisCommitSha;
  ref: Schemas.CodeScanningRef;
  sarif: Schemas.CodeScanningAnalysisSarifFile;
  /*
   * The time that the analysis run began. This is a timestamp in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format: `YYYY-MM-DDTHH:MM:SSZ`.
   *
   * @format date
   */
  started_at?: string;
  /*
   * The name of the tool used to generate the code scanning analysis. If this parameter is not used, the tool name defaults to "API". If the uploaded SARIF contains a tool GUID, this will be available for filtering using the `tool_guid` parameter of operations such as `GET /repos/{owner}/{repo}/code-scanning/alerts`.
   */
  tool_name?: string;
};

export type CodeScanningUploadSarifVariables = {
  body: CodeScanningUploadSarifRequestBody;
  pathParams: CodeScanningUploadSarifPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Uploads SARIF data containing the results of a code scanning analysis to make the results available in a repository. You must use an access token with the `security_events` scope to use this endpoint. GitHub Apps must have the `security_events` write permission to use this endpoint.
 *
 * There are two places where you can upload code scanning results.
 *  - If you upload to a pull request, for example `--ref refs/pull/42/merge` or `--ref refs/pull/42/head`, then the results appear as alerts in a pull request check. For more information, see "[Triaging code scanning alerts in pull requests](/github/finding-security-vulnerabilities-and-errors-in-your-code/triaging-code-scanning-alerts-in-pull-requests)."
 *  - If you upload to a branch, for example `--ref refs/heads/my-branch`, then the results appear in the **Security** tab for your repository. For more information, see "[Managing code scanning alerts for your repository](/github/finding-security-vulnerabilities-and-errors-in-your-code/managing-code-scanning-alerts-for-your-repository#viewing-the-alerts-for-a-repository)."
 *
 * You must compress the SARIF-formatted analysis data that you want to upload, using `gzip`, and then encode it as a Base64 format string. For example:
 *
 * ```
 * gzip -c analysis-data.sarif | base64
 * ```
 *
 * SARIF upload supports a maximum of 1000 results per analysis run. Any results over this limit are ignored. Typically, but not necessarily, a SARIF file contains a single run of a single tool. If a code scanning tool generates too many results, you should update the analysis configuration to run only the most important rules or queries.
 *
 * The `202 Accepted`, response includes an `id` value.
 * You can use this ID to check the status of the upload by using this for the `/sarifs/{sarif_id}` endpoint.
 * For more information, see "[Get information about a SARIF upload](/rest/reference/code-scanning#get-information-about-a-sarif-upload)."
 */
export const fetchCodeScanningUploadSarif = (
  variables: CodeScanningUploadSarifVariables
) =>
  githubFetch<
    Schemas.CodeScanningSarifsReceipt,
    CodeScanningUploadSarifError,
    CodeScanningUploadSarifRequestBody,
    {},
    {},
    CodeScanningUploadSarifPathParams
  >({
    url: "/repos/{owner}/{repo}/code-scanning/sarifs",
    method: "post",
    ...variables,
  });

/**
 * Uploads SARIF data containing the results of a code scanning analysis to make the results available in a repository. You must use an access token with the `security_events` scope to use this endpoint. GitHub Apps must have the `security_events` write permission to use this endpoint.
 *
 * There are two places where you can upload code scanning results.
 *  - If you upload to a pull request, for example `--ref refs/pull/42/merge` or `--ref refs/pull/42/head`, then the results appear as alerts in a pull request check. For more information, see "[Triaging code scanning alerts in pull requests](/github/finding-security-vulnerabilities-and-errors-in-your-code/triaging-code-scanning-alerts-in-pull-requests)."
 *  - If you upload to a branch, for example `--ref refs/heads/my-branch`, then the results appear in the **Security** tab for your repository. For more information, see "[Managing code scanning alerts for your repository](/github/finding-security-vulnerabilities-and-errors-in-your-code/managing-code-scanning-alerts-for-your-repository#viewing-the-alerts-for-a-repository)."
 *
 * You must compress the SARIF-formatted analysis data that you want to upload, using `gzip`, and then encode it as a Base64 format string. For example:
 *
 * ```
 * gzip -c analysis-data.sarif | base64
 * ```
 *
 * SARIF upload supports a maximum of 1000 results per analysis run. Any results over this limit are ignored. Typically, but not necessarily, a SARIF file contains a single run of a single tool. If a code scanning tool generates too many results, you should update the analysis configuration to run only the most important rules or queries.
 *
 * The `202 Accepted`, response includes an `id` value.
 * You can use this ID to check the status of the upload by using this for the `/sarifs/{sarif_id}` endpoint.
 * For more information, see "[Get information about a SARIF upload](/rest/reference/code-scanning#get-information-about-a-sarif-upload)."
 */
export const useCodeScanningUploadSarif = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.CodeScanningSarifsReceipt,
      CodeScanningUploadSarifError,
      CodeScanningUploadSarifVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.CodeScanningSarifsReceipt,
    CodeScanningUploadSarifError,
    CodeScanningUploadSarifVariables
  >(
    (variables: CodeScanningUploadSarifVariables) =>
      fetchCodeScanningUploadSarif({ ...fetcherOptions, ...variables }),
    options
  );
};

export type CodeScanningGetSarifPathParams = {
  owner: string;
  repo: string;
  /*
   * The SARIF ID obtained after uploading.
   */
  sarifId: string;
};

export type CodeScanningGetSarifError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.CodeScanningForbiddenRead;
    }
  | {
      status: 503;
      payload: Responses.ServiceUnavailable;
    }
>;

export type CodeScanningGetSarifVariables = {
  pathParams: CodeScanningGetSarifPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets information about a SARIF upload, including the status and the URL of the analysis that was uploaded so that you can retrieve details of the analysis. For more information, see "[Get a code scanning analysis for a repository](/rest/reference/code-scanning#get-a-code-scanning-analysis-for-a-repository)." You must use an access token with the `security_events` scope to use this endpoint. GitHub Apps must have the `security_events` read permission to use this endpoint.
 */
export const fetchCodeScanningGetSarif = (
  variables: CodeScanningGetSarifVariables
) =>
  githubFetch<
    Schemas.CodeScanningSarifsStatus,
    CodeScanningGetSarifError,
    undefined,
    {},
    {},
    CodeScanningGetSarifPathParams
  >({
    url: "/repos/{owner}/{repo}/code-scanning/sarifs/{sarifId}",
    method: "get",
    ...variables,
  });

/**
 * Gets information about a SARIF upload, including the status and the URL of the analysis that was uploaded so that you can retrieve details of the analysis. For more information, see "[Get a code scanning analysis for a repository](/rest/reference/code-scanning#get-a-code-scanning-analysis-for-a-repository)." You must use an access token with the `security_events` scope to use this endpoint. GitHub Apps must have the `security_events` read permission to use this endpoint.
 */
export const useCodeScanningGetSarif = <
  TData = Schemas.CodeScanningSarifsStatus
>(
  variables: CodeScanningGetSarifVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.CodeScanningSarifsStatus,
      CodeScanningGetSarifError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.CodeScanningSarifsStatus,
    CodeScanningGetSarifError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/code-scanning/sarifs/{sarif_id}",
      operationId: "codeScanningGetSarif",
      variables,
    }),
    () => fetchCodeScanningGetSarif({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposListCollaboratorsPathParams = {
  owner: string;
  repo: string;
};

export type ReposListCollaboratorsQueryParams = {
  /*
   * Filter collaborators returned by their affiliation. Can be one of:
   * \* `outside`: All outside collaborators of an organization-owned repository.
   * \* `direct`: All collaborators with permissions to an organization-owned repository, regardless of organization membership status.
   * \* `all`: All collaborators the authenticated user can see.
   *
   * @default all
   */
  affiliation?: "outside" | "direct" | "all";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ReposListCollaboratorsError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type ReposListCollaboratorsResponse = Schemas.Collaborator[];

export type ReposListCollaboratorsVariables = {
  pathParams: ReposListCollaboratorsPathParams;
  queryParams?: ReposListCollaboratorsQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * For organization-owned repositories, the list of collaborators includes outside collaborators, organization members that are direct collaborators, organization members with access through team memberships, organization members with access through default organization permissions, and organization owners.
 *
 * Team members will include the members of child teams.
 */
export const fetchReposListCollaborators = (
  variables: ReposListCollaboratorsVariables
) =>
  githubFetch<
    ReposListCollaboratorsResponse,
    ReposListCollaboratorsError,
    undefined,
    {},
    ReposListCollaboratorsQueryParams,
    ReposListCollaboratorsPathParams
  >({
    url: "/repos/{owner}/{repo}/collaborators",
    method: "get",
    ...variables,
  });

/**
 * For organization-owned repositories, the list of collaborators includes outside collaborators, organization members that are direct collaborators, organization members with access through team memberships, organization members with access through default organization permissions, and organization owners.
 *
 * Team members will include the members of child teams.
 */
export const useReposListCollaborators = <
  TData = ReposListCollaboratorsResponse
>(
  variables: ReposListCollaboratorsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReposListCollaboratorsResponse,
      ReposListCollaboratorsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReposListCollaboratorsResponse,
    ReposListCollaboratorsError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/collaborators",
      operationId: "reposListCollaborators",
      variables,
    }),
    () => fetchReposListCollaborators({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposRemoveCollaboratorPathParams = {
  owner: string;
  repo: string;
  username: string;
};

export type ReposRemoveCollaboratorError = Fetcher.ErrorWrapper<undefined>;

export type ReposRemoveCollaboratorVariables = {
  pathParams: ReposRemoveCollaboratorPathParams;
} & GithubContext["fetcherOptions"];

export const fetchReposRemoveCollaborator = (
  variables: ReposRemoveCollaboratorVariables
) =>
  githubFetch<
    undefined,
    ReposRemoveCollaboratorError,
    undefined,
    {},
    {},
    ReposRemoveCollaboratorPathParams
  >({
    url: "/repos/{owner}/{repo}/collaborators/{username}",
    method: "delete",
    ...variables,
  });

export const useReposRemoveCollaborator = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ReposRemoveCollaboratorError,
      ReposRemoveCollaboratorVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ReposRemoveCollaboratorError,
    ReposRemoveCollaboratorVariables
  >(
    (variables: ReposRemoveCollaboratorVariables) =>
      fetchReposRemoveCollaborator({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposCheckCollaboratorPathParams = {
  owner: string;
  repo: string;
  username: string;
};

export type ReposCheckCollaboratorError = Fetcher.ErrorWrapper<undefined>;

export type ReposCheckCollaboratorVariables = {
  pathParams: ReposCheckCollaboratorPathParams;
} & GithubContext["fetcherOptions"];

/**
 * For organization-owned repositories, the list of collaborators includes outside collaborators, organization members that are direct collaborators, organization members with access through team memberships, organization members with access through default organization permissions, and organization owners.
 *
 * Team members will include the members of child teams.
 */
export const fetchReposCheckCollaborator = (
  variables: ReposCheckCollaboratorVariables
) =>
  githubFetch<
    undefined,
    ReposCheckCollaboratorError,
    undefined,
    {},
    {},
    ReposCheckCollaboratorPathParams
  >({
    url: "/repos/{owner}/{repo}/collaborators/{username}",
    method: "get",
    ...variables,
  });

/**
 * For organization-owned repositories, the list of collaborators includes outside collaborators, organization members that are direct collaborators, organization members with access through team memberships, organization members with access through default organization permissions, and organization owners.
 *
 * Team members will include the members of child teams.
 */
export const useReposCheckCollaborator = <TData = undefined>(
  variables: ReposCheckCollaboratorVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<undefined, ReposCheckCollaboratorError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<undefined, ReposCheckCollaboratorError, TData>(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/collaborators/{username}",
      operationId: "reposCheckCollaborator",
      variables,
    }),
    () => fetchReposCheckCollaborator({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposAddCollaboratorPathParams = {
  owner: string;
  repo: string;
  username: string;
};

export type ReposAddCollaboratorError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type ReposAddCollaboratorRequestBody = {
  /*
   * The permission to grant the collaborator. **Only valid on organization-owned repositories.** Can be one of:
   * \* `pull` - can pull, but not push to or administer this repository.
   * \* `push` - can pull and push, but not administer this repository.
   * \* `admin` - can pull, push and administer this repository.
   * \* `maintain` - Recommended for project managers who need to manage the repository without access to sensitive or destructive actions.
   * \* `triage` - Recommended for contributors who need to proactively manage issues and pull requests without write access.
   *
   * @default push
   */
  permission?: "pull" | "push" | "admin" | "maintain" | "triage";
  /*
   * @example "push"
   */
  permissions?: string;
};

export type ReposAddCollaboratorVariables = {
  body?: ReposAddCollaboratorRequestBody;
  pathParams: ReposAddCollaboratorPathParams;
} & GithubContext["fetcherOptions"];

/**
 * This endpoint triggers [notifications](https://docs.github.com/en/github/managing-subscriptions-and-notifications-on-github/about-notifications). Creating content too quickly using this endpoint may result in abuse rate limiting. See "[Abuse rate limits](https://docs.github.com/rest/overview/resources-in-the-rest-api#abuse-rate-limits)" and "[Dealing with abuse rate limits](https://docs.github.com/rest/guides/best-practices-for-integrators#dealing-with-rate-limits)" for details.
 *
 * For more information the permission levels, see "[Repository permission levels for an organization](https://help.github.com/en/github/setting-up-and-managing-organizations-and-teams/repository-permission-levels-for-an-organization#permission-levels-for-repositories-owned-by-an-organization)".
 *
 * Note that, if you choose not to pass any parameters, you'll need to set `Content-Length` to zero when calling out to this endpoint. For more information, see "[HTTP verbs](https://docs.github.com/rest/overview/resources-in-the-rest-api#http-verbs)."
 *
 * The invitee will receive a notification that they have been invited to the repository, which they must accept or decline. They may do this via the notifications page, the email they receive, or by using the [repository invitations API endpoints](https://docs.github.com/rest/reference/repos#invitations).
 *
 * **Rate limits**
 *
 * To prevent abuse, you are limited to sending 50 invitations to a repository per 24 hour period. Note there is no limit if you are inviting organization members to an organization repository.
 */
export const fetchReposAddCollaborator = (
  variables: ReposAddCollaboratorVariables
) =>
  githubFetch<
    Schemas.RepositoryInvitation,
    ReposAddCollaboratorError,
    ReposAddCollaboratorRequestBody,
    {},
    {},
    ReposAddCollaboratorPathParams
  >({
    url: "/repos/{owner}/{repo}/collaborators/{username}",
    method: "put",
    ...variables,
  });

/**
 * This endpoint triggers [notifications](https://docs.github.com/en/github/managing-subscriptions-and-notifications-on-github/about-notifications). Creating content too quickly using this endpoint may result in abuse rate limiting. See "[Abuse rate limits](https://docs.github.com/rest/overview/resources-in-the-rest-api#abuse-rate-limits)" and "[Dealing with abuse rate limits](https://docs.github.com/rest/guides/best-practices-for-integrators#dealing-with-rate-limits)" for details.
 *
 * For more information the permission levels, see "[Repository permission levels for an organization](https://help.github.com/en/github/setting-up-and-managing-organizations-and-teams/repository-permission-levels-for-an-organization#permission-levels-for-repositories-owned-by-an-organization)".
 *
 * Note that, if you choose not to pass any parameters, you'll need to set `Content-Length` to zero when calling out to this endpoint. For more information, see "[HTTP verbs](https://docs.github.com/rest/overview/resources-in-the-rest-api#http-verbs)."
 *
 * The invitee will receive a notification that they have been invited to the repository, which they must accept or decline. They may do this via the notifications page, the email they receive, or by using the [repository invitations API endpoints](https://docs.github.com/rest/reference/repos#invitations).
 *
 * **Rate limits**
 *
 * To prevent abuse, you are limited to sending 50 invitations to a repository per 24 hour period. Note there is no limit if you are inviting organization members to an organization repository.
 */
export const useReposAddCollaborator = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.RepositoryInvitation,
      ReposAddCollaboratorError,
      ReposAddCollaboratorVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.RepositoryInvitation,
    ReposAddCollaboratorError,
    ReposAddCollaboratorVariables
  >(
    (variables: ReposAddCollaboratorVariables) =>
      fetchReposAddCollaborator({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposGetCollaboratorPermissionLevelPathParams = {
  owner: string;
  repo: string;
  username: string;
};

export type ReposGetCollaboratorPermissionLevelError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type ReposGetCollaboratorPermissionLevelVariables = {
  pathParams: ReposGetCollaboratorPermissionLevelPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Checks the repository permission of a collaborator. The possible repository permissions are `admin`, `write`, `read`, and `none`.
 */
export const fetchReposGetCollaboratorPermissionLevel = (
  variables: ReposGetCollaboratorPermissionLevelVariables
) =>
  githubFetch<
    Schemas.RepositoryCollaboratorPermission,
    ReposGetCollaboratorPermissionLevelError,
    undefined,
    {},
    {},
    ReposGetCollaboratorPermissionLevelPathParams
  >({
    url: "/repos/{owner}/{repo}/collaborators/{username}/permission",
    method: "get",
    ...variables,
  });

/**
 * Checks the repository permission of a collaborator. The possible repository permissions are `admin`, `write`, `read`, and `none`.
 */
export const useReposGetCollaboratorPermissionLevel = <
  TData = Schemas.RepositoryCollaboratorPermission
>(
  variables: ReposGetCollaboratorPermissionLevelVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.RepositoryCollaboratorPermission,
      ReposGetCollaboratorPermissionLevelError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.RepositoryCollaboratorPermission,
    ReposGetCollaboratorPermissionLevelError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/collaborators/{username}/permission",
      operationId: "reposGetCollaboratorPermissionLevel",
      variables,
    }),
    () =>
      fetchReposGetCollaboratorPermissionLevel({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposListCommitCommentsForRepoPathParams = {
  owner: string;
  repo: string;
};

export type ReposListCommitCommentsForRepoQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ReposListCommitCommentsForRepoError =
  Fetcher.ErrorWrapper<undefined>;

export type ReposListCommitCommentsForRepoResponse = Schemas.CommitComment[];

export type ReposListCommitCommentsForRepoVariables = {
  pathParams: ReposListCommitCommentsForRepoPathParams;
  queryParams?: ReposListCommitCommentsForRepoQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Commit Comments use [these custom media types](https://docs.github.com/rest/reference/repos#custom-media-types). You can read more about the use of media types in the API [here](https://docs.github.com/rest/overview/media-types/).
 *
 * Comments are ordered by ascending ID.
 */
export const fetchReposListCommitCommentsForRepo = (
  variables: ReposListCommitCommentsForRepoVariables
) =>
  githubFetch<
    ReposListCommitCommentsForRepoResponse,
    ReposListCommitCommentsForRepoError,
    undefined,
    {},
    ReposListCommitCommentsForRepoQueryParams,
    ReposListCommitCommentsForRepoPathParams
  >({ url: "/repos/{owner}/{repo}/comments", method: "get", ...variables });

/**
 * Commit Comments use [these custom media types](https://docs.github.com/rest/reference/repos#custom-media-types). You can read more about the use of media types in the API [here](https://docs.github.com/rest/overview/media-types/).
 *
 * Comments are ordered by ascending ID.
 */
export const useReposListCommitCommentsForRepo = <
  TData = ReposListCommitCommentsForRepoResponse
>(
  variables: ReposListCommitCommentsForRepoVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReposListCommitCommentsForRepoResponse,
      ReposListCommitCommentsForRepoError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReposListCommitCommentsForRepoResponse,
    ReposListCommitCommentsForRepoError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/comments",
      operationId: "reposListCommitCommentsForRepo",
      variables,
    }),
    () =>
      fetchReposListCommitCommentsForRepo({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposDeleteCommitCommentPathParams = {
  owner: string;
  repo: string;
  /*
   * comment_id parameter
   */
  commentId: number;
};

export type ReposDeleteCommitCommentError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type ReposDeleteCommitCommentVariables = {
  pathParams: ReposDeleteCommitCommentPathParams;
} & GithubContext["fetcherOptions"];

export const fetchReposDeleteCommitComment = (
  variables: ReposDeleteCommitCommentVariables
) =>
  githubFetch<
    undefined,
    ReposDeleteCommitCommentError,
    undefined,
    {},
    {},
    ReposDeleteCommitCommentPathParams
  >({
    url: "/repos/{owner}/{repo}/comments/{commentId}",
    method: "delete",
    ...variables,
  });

export const useReposDeleteCommitComment = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ReposDeleteCommitCommentError,
      ReposDeleteCommitCommentVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ReposDeleteCommitCommentError,
    ReposDeleteCommitCommentVariables
  >(
    (variables: ReposDeleteCommitCommentVariables) =>
      fetchReposDeleteCommitComment({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposGetCommitCommentPathParams = {
  owner: string;
  repo: string;
  /*
   * comment_id parameter
   */
  commentId: number;
};

export type ReposGetCommitCommentError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type ReposGetCommitCommentVariables = {
  pathParams: ReposGetCommitCommentPathParams;
} & GithubContext["fetcherOptions"];

export const fetchReposGetCommitComment = (
  variables: ReposGetCommitCommentVariables
) =>
  githubFetch<
    Schemas.CommitComment,
    ReposGetCommitCommentError,
    undefined,
    {},
    {},
    ReposGetCommitCommentPathParams
  >({
    url: "/repos/{owner}/{repo}/comments/{commentId}",
    method: "get",
    ...variables,
  });

export const useReposGetCommitComment = <TData = Schemas.CommitComment>(
  variables: ReposGetCommitCommentVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.CommitComment,
      ReposGetCommitCommentError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.CommitComment,
    ReposGetCommitCommentError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/comments/{comment_id}",
      operationId: "reposGetCommitComment",
      variables,
    }),
    () => fetchReposGetCommitComment({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposUpdateCommitCommentPathParams = {
  owner: string;
  repo: string;
  /*
   * comment_id parameter
   */
  commentId: number;
};

export type ReposUpdateCommitCommentError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type ReposUpdateCommitCommentRequestBody = {
  /*
   * The contents of the comment
   */
  body: string;
};

export type ReposUpdateCommitCommentVariables = {
  body: ReposUpdateCommitCommentRequestBody;
  pathParams: ReposUpdateCommitCommentPathParams;
} & GithubContext["fetcherOptions"];

export const fetchReposUpdateCommitComment = (
  variables: ReposUpdateCommitCommentVariables
) =>
  githubFetch<
    Schemas.CommitComment,
    ReposUpdateCommitCommentError,
    ReposUpdateCommitCommentRequestBody,
    {},
    {},
    ReposUpdateCommitCommentPathParams
  >({
    url: "/repos/{owner}/{repo}/comments/{commentId}",
    method: "patch",
    ...variables,
  });

export const useReposUpdateCommitComment = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.CommitComment,
      ReposUpdateCommitCommentError,
      ReposUpdateCommitCommentVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.CommitComment,
    ReposUpdateCommitCommentError,
    ReposUpdateCommitCommentVariables
  >(
    (variables: ReposUpdateCommitCommentVariables) =>
      fetchReposUpdateCommitComment({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReactionsListForCommitCommentPathParams = {
  owner: string;
  repo: string;
  /*
   * comment_id parameter
   */
  commentId: number;
};

export type ReactionsListForCommitCommentQueryParams = {
  /*
   * Returns a single [reaction type](https://docs.github.com/rest/reference/reactions#reaction-types). Omit this parameter to list all reactions to a commit comment.
   */
  content?:
    | "+1"
    | "-1"
    | "laugh"
    | "confused"
    | "heart"
    | "hooray"
    | "rocket"
    | "eyes";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ReactionsListForCommitCommentError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 415;
      payload: Responses.PreviewHeaderMissing;
    }
>;

export type ReactionsListForCommitCommentResponse = Schemas.Reaction[];

export type ReactionsListForCommitCommentVariables = {
  pathParams: ReactionsListForCommitCommentPathParams;
  queryParams?: ReactionsListForCommitCommentQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * List the reactions to a [commit comment](https://docs.github.com/rest/reference/repos#comments).
 */
export const fetchReactionsListForCommitComment = (
  variables: ReactionsListForCommitCommentVariables
) =>
  githubFetch<
    ReactionsListForCommitCommentResponse,
    ReactionsListForCommitCommentError,
    undefined,
    {},
    ReactionsListForCommitCommentQueryParams,
    ReactionsListForCommitCommentPathParams
  >({
    url: "/repos/{owner}/{repo}/comments/{commentId}/reactions",
    method: "get",
    ...variables,
  });

/**
 * List the reactions to a [commit comment](https://docs.github.com/rest/reference/repos#comments).
 */
export const useReactionsListForCommitComment = <
  TData = ReactionsListForCommitCommentResponse
>(
  variables: ReactionsListForCommitCommentVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReactionsListForCommitCommentResponse,
      ReactionsListForCommitCommentError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReactionsListForCommitCommentResponse,
    ReactionsListForCommitCommentError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/comments/{comment_id}/reactions",
      operationId: "reactionsListForCommitComment",
      variables,
    }),
    () =>
      fetchReactionsListForCommitComment({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReactionsCreateForCommitCommentPathParams = {
  owner: string;
  repo: string;
  /*
   * comment_id parameter
   */
  commentId: number;
};

export type ReactionsCreateForCommitCommentError = Fetcher.ErrorWrapper<
  | {
      status: 415;
      payload: Responses.PreviewHeaderMissing;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type ReactionsCreateForCommitCommentRequestBody = {
  /*
   * The [reaction type](https://docs.github.com/rest/reference/reactions#reaction-types) to add to the commit comment.
   */
  content:
    | "+1"
    | "-1"
    | "laugh"
    | "confused"
    | "heart"
    | "hooray"
    | "rocket"
    | "eyes";
};

export type ReactionsCreateForCommitCommentVariables = {
  body: ReactionsCreateForCommitCommentRequestBody;
  pathParams: ReactionsCreateForCommitCommentPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Create a reaction to a [commit comment](https://docs.github.com/rest/reference/repos#comments). A response with a `Status: 200 OK` means that you already added the reaction type to this commit comment.
 */
export const fetchReactionsCreateForCommitComment = (
  variables: ReactionsCreateForCommitCommentVariables
) =>
  githubFetch<
    Schemas.Reaction,
    ReactionsCreateForCommitCommentError,
    ReactionsCreateForCommitCommentRequestBody,
    {},
    {},
    ReactionsCreateForCommitCommentPathParams
  >({
    url: "/repos/{owner}/{repo}/comments/{commentId}/reactions",
    method: "post",
    ...variables,
  });

/**
 * Create a reaction to a [commit comment](https://docs.github.com/rest/reference/repos#comments). A response with a `Status: 200 OK` means that you already added the reaction type to this commit comment.
 */
export const useReactionsCreateForCommitComment = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Reaction,
      ReactionsCreateForCommitCommentError,
      ReactionsCreateForCommitCommentVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Reaction,
    ReactionsCreateForCommitCommentError,
    ReactionsCreateForCommitCommentVariables
  >(
    (variables: ReactionsCreateForCommitCommentVariables) =>
      fetchReactionsCreateForCommitComment({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReactionsDeleteForCommitCommentPathParams = {
  owner: string;
  repo: string;
  /*
   * comment_id parameter
   */
  commentId: number;
  reactionId: number;
};

export type ReactionsDeleteForCommitCommentError =
  Fetcher.ErrorWrapper<undefined>;

export type ReactionsDeleteForCommitCommentVariables = {
  pathParams: ReactionsDeleteForCommitCommentPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Note:** You can also specify a repository by `repository_id` using the route `DELETE /repositories/:repository_id/comments/:comment_id/reactions/:reaction_id`.
 *
 * Delete a reaction to a [commit comment](https://docs.github.com/rest/reference/repos#comments).
 */
export const fetchReactionsDeleteForCommitComment = (
  variables: ReactionsDeleteForCommitCommentVariables
) =>
  githubFetch<
    undefined,
    ReactionsDeleteForCommitCommentError,
    undefined,
    {},
    {},
    ReactionsDeleteForCommitCommentPathParams
  >({
    url: "/repos/{owner}/{repo}/comments/{commentId}/reactions/{reactionId}",
    method: "delete",
    ...variables,
  });

/**
 * **Note:** You can also specify a repository by `repository_id` using the route `DELETE /repositories/:repository_id/comments/:comment_id/reactions/:reaction_id`.
 *
 * Delete a reaction to a [commit comment](https://docs.github.com/rest/reference/repos#comments).
 */
export const useReactionsDeleteForCommitComment = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ReactionsDeleteForCommitCommentError,
      ReactionsDeleteForCommitCommentVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ReactionsDeleteForCommitCommentError,
    ReactionsDeleteForCommitCommentVariables
  >(
    (variables: ReactionsDeleteForCommitCommentVariables) =>
      fetchReactionsDeleteForCommitComment({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposListCommitsPathParams = {
  owner: string;
  repo: string;
};

export type ReposListCommitsQueryParams = {
  /*
   * SHA or branch to start listing commits from. Default: the repository’s default branch (usually `master`).
   */
  sha?: string;
  /*
   * Only commits containing this file path will be returned.
   */
  path?: string;
  /*
   * GitHub login or email address by which to filter by commit author.
   */
  author?: string;
  /*
   * Only show notifications updated after the given time. This is a timestamp in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format: `YYYY-MM-DDTHH:MM:SSZ`.
   */
  since?: string;
  /*
   * Only commits before this date will be returned. This is a timestamp in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format: `YYYY-MM-DDTHH:MM:SSZ`.
   */
  until?: string;
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
  /*
   * legacy parameter for pagination.
   */
  top?: string;
  /*
   * legacy parameter for pagination.
   */
  last_sha?: string;
};

export type ReposListCommitsError = Fetcher.ErrorWrapper<
  | {
      status: 400;
      payload: Responses.BadRequest;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 409;
      payload: Responses.Conflict;
    }
  | {
      status: 500;
      payload: Responses.InternalError;
    }
>;

export type ReposListCommitsResponse = Schemas.Commit[];

export type ReposListCommitsVariables = {
  pathParams: ReposListCommitsPathParams;
  queryParams?: ReposListCommitsQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * **Signature verification object**
 *
 * The response will include a `verification` object that describes the result of verifying the commit's signature. The following fields are included in the `verification` object:
 *
 * | Name | Type | Description |
 * | ---- | ---- | ----------- |
 * | `verified` | `boolean` | Indicates whether GitHub considers the signature in this commit to be verified. |
 * | `reason` | `string` | The reason for verified value. Possible values and their meanings are enumerated in table below. |
 * | `signature` | `string` | The signature that was extracted from the commit. |
 * | `payload` | `string` | The value that was signed. |
 *
 * These are the possible values for `reason` in the `verification` object:
 *
 * | Value | Description |
 * | ----- | ----------- |
 * | `expired_key` | The key that made the signature is expired. |
 * | `not_signing_key` | The "signing" flag is not among the usage flags in the GPG key that made the signature. |
 * | `gpgverify_error` | There was an error communicating with the signature verification service. |
 * | `gpgverify_unavailable` | The signature verification service is currently unavailable. |
 * | `unsigned` | The object does not include a signature. |
 * | `unknown_signature_type` | A non-PGP signature was found in the commit. |
 * | `no_user` | No user was associated with the `committer` email address in the commit. |
 * | `unverified_email` | The `committer` email address in the commit was associated with a user, but the email address is not verified on her/his account. |
 * | `bad_email` | The `committer` email address in the commit is not included in the identities of the PGP key that made the signature. |
 * | `unknown_key` | The key that made the signature has not been registered with any user's account. |
 * | `malformed_signature` | There was an error parsing the signature. |
 * | `invalid` | The signature could not be cryptographically verified using the key whose key-id was found in the signature. |
 * | `valid` | None of the above errors applied, so the signature is considered to be verified. |
 */
export const fetchReposListCommits = (variables: ReposListCommitsVariables) =>
  githubFetch<
    ReposListCommitsResponse,
    ReposListCommitsError,
    undefined,
    {},
    ReposListCommitsQueryParams,
    ReposListCommitsPathParams
  >({ url: "/repos/{owner}/{repo}/commits", method: "get", ...variables });

/**
 * **Signature verification object**
 *
 * The response will include a `verification` object that describes the result of verifying the commit's signature. The following fields are included in the `verification` object:
 *
 * | Name | Type | Description |
 * | ---- | ---- | ----------- |
 * | `verified` | `boolean` | Indicates whether GitHub considers the signature in this commit to be verified. |
 * | `reason` | `string` | The reason for verified value. Possible values and their meanings are enumerated in table below. |
 * | `signature` | `string` | The signature that was extracted from the commit. |
 * | `payload` | `string` | The value that was signed. |
 *
 * These are the possible values for `reason` in the `verification` object:
 *
 * | Value | Description |
 * | ----- | ----------- |
 * | `expired_key` | The key that made the signature is expired. |
 * | `not_signing_key` | The "signing" flag is not among the usage flags in the GPG key that made the signature. |
 * | `gpgverify_error` | There was an error communicating with the signature verification service. |
 * | `gpgverify_unavailable` | The signature verification service is currently unavailable. |
 * | `unsigned` | The object does not include a signature. |
 * | `unknown_signature_type` | A non-PGP signature was found in the commit. |
 * | `no_user` | No user was associated with the `committer` email address in the commit. |
 * | `unverified_email` | The `committer` email address in the commit was associated with a user, but the email address is not verified on her/his account. |
 * | `bad_email` | The `committer` email address in the commit is not included in the identities of the PGP key that made the signature. |
 * | `unknown_key` | The key that made the signature has not been registered with any user's account. |
 * | `malformed_signature` | There was an error parsing the signature. |
 * | `invalid` | The signature could not be cryptographically verified using the key whose key-id was found in the signature. |
 * | `valid` | None of the above errors applied, so the signature is considered to be verified. |
 */
export const useReposListCommits = <TData = ReposListCommitsResponse>(
  variables: ReposListCommitsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReposListCommitsResponse,
      ReposListCommitsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReposListCommitsResponse,
    ReposListCommitsError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/commits",
      operationId: "reposListCommits",
      variables,
    }),
    () => fetchReposListCommits({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposListBranchesForHeadCommitPathParams = {
  owner: string;
  repo: string;
  /*
   * commit_sha parameter
   */
  commitSha: string;
};

export type ReposListBranchesForHeadCommitError = Fetcher.ErrorWrapper<
  | {
      status: 415;
      payload: Responses.PreviewHeaderMissing;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type ReposListBranchesForHeadCommitResponse = Schemas.BranchShort[];

export type ReposListBranchesForHeadCommitVariables = {
  pathParams: ReposListBranchesForHeadCommitPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Returns all branches where the given commit SHA is the HEAD, or latest commit for the branch.
 */
export const fetchReposListBranchesForHeadCommit = (
  variables: ReposListBranchesForHeadCommitVariables
) =>
  githubFetch<
    ReposListBranchesForHeadCommitResponse,
    ReposListBranchesForHeadCommitError,
    undefined,
    {},
    {},
    ReposListBranchesForHeadCommitPathParams
  >({
    url: "/repos/{owner}/{repo}/commits/{commitSha}/branches-where-head",
    method: "get",
    ...variables,
  });

/**
 * Protected branches are available in public repositories with GitHub Free and GitHub Free for organizations, and in public and private repositories with GitHub Pro, GitHub Team, GitHub Enterprise Cloud, and GitHub Enterprise Server. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Returns all branches where the given commit SHA is the HEAD, or latest commit for the branch.
 */
export const useReposListBranchesForHeadCommit = <
  TData = ReposListBranchesForHeadCommitResponse
>(
  variables: ReposListBranchesForHeadCommitVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReposListBranchesForHeadCommitResponse,
      ReposListBranchesForHeadCommitError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReposListBranchesForHeadCommitResponse,
    ReposListBranchesForHeadCommitError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/commits/{commit_sha}/branches-where-head",
      operationId: "reposListBranchesForHeadCommit",
      variables,
    }),
    () =>
      fetchReposListBranchesForHeadCommit({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposListCommentsForCommitPathParams = {
  owner: string;
  repo: string;
  /*
   * commit_sha parameter
   */
  commitSha: string;
};

export type ReposListCommentsForCommitQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ReposListCommentsForCommitError = Fetcher.ErrorWrapper<undefined>;

export type ReposListCommentsForCommitResponse = Schemas.CommitComment[];

export type ReposListCommentsForCommitVariables = {
  pathParams: ReposListCommentsForCommitPathParams;
  queryParams?: ReposListCommentsForCommitQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Use the `:commit_sha` to specify the commit that will have its comments listed.
 */
export const fetchReposListCommentsForCommit = (
  variables: ReposListCommentsForCommitVariables
) =>
  githubFetch<
    ReposListCommentsForCommitResponse,
    ReposListCommentsForCommitError,
    undefined,
    {},
    ReposListCommentsForCommitQueryParams,
    ReposListCommentsForCommitPathParams
  >({
    url: "/repos/{owner}/{repo}/commits/{commitSha}/comments",
    method: "get",
    ...variables,
  });

/**
 * Use the `:commit_sha` to specify the commit that will have its comments listed.
 */
export const useReposListCommentsForCommit = <
  TData = ReposListCommentsForCommitResponse
>(
  variables: ReposListCommentsForCommitVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReposListCommentsForCommitResponse,
      ReposListCommentsForCommitError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReposListCommentsForCommitResponse,
    ReposListCommentsForCommitError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/commits/{commit_sha}/comments",
      operationId: "reposListCommentsForCommit",
      variables,
    }),
    () => fetchReposListCommentsForCommit({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposCreateCommitCommentPathParams = {
  owner: string;
  repo: string;
  /*
   * commit_sha parameter
   */
  commitSha: string;
};

export type ReposCreateCommitCommentError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type ReposCreateCommitCommentRequestBody = {
  /*
   * The contents of the comment.
   */
  body: string;
  /*
   * **Deprecated**. Use **position** parameter instead. Line number in the file to comment on.
   */
  line?: number;
  /*
   * Relative path of the file to comment on.
   */
  path?: string;
  /*
   * Line index in the diff to comment on.
   */
  position?: number;
};

export type ReposCreateCommitCommentVariables = {
  body: ReposCreateCommitCommentRequestBody;
  pathParams: ReposCreateCommitCommentPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Create a comment for a commit using its `:commit_sha`.
 *
 * This endpoint triggers [notifications](https://docs.github.com/en/github/managing-subscriptions-and-notifications-on-github/about-notifications). Creating content too quickly using this endpoint may result in abuse rate limiting. See "[Abuse rate limits](https://docs.github.com/rest/overview/resources-in-the-rest-api#abuse-rate-limits)" and "[Dealing with abuse rate limits](https://docs.github.com/rest/guides/best-practices-for-integrators#dealing-with-rate-limits)" for details.
 */
export const fetchReposCreateCommitComment = (
  variables: ReposCreateCommitCommentVariables
) =>
  githubFetch<
    Schemas.CommitComment,
    ReposCreateCommitCommentError,
    ReposCreateCommitCommentRequestBody,
    {},
    {},
    ReposCreateCommitCommentPathParams
  >({
    url: "/repos/{owner}/{repo}/commits/{commitSha}/comments",
    method: "post",
    ...variables,
  });

/**
 * Create a comment for a commit using its `:commit_sha`.
 *
 * This endpoint triggers [notifications](https://docs.github.com/en/github/managing-subscriptions-and-notifications-on-github/about-notifications). Creating content too quickly using this endpoint may result in abuse rate limiting. See "[Abuse rate limits](https://docs.github.com/rest/overview/resources-in-the-rest-api#abuse-rate-limits)" and "[Dealing with abuse rate limits](https://docs.github.com/rest/guides/best-practices-for-integrators#dealing-with-rate-limits)" for details.
 */
export const useReposCreateCommitComment = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.CommitComment,
      ReposCreateCommitCommentError,
      ReposCreateCommitCommentVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.CommitComment,
    ReposCreateCommitCommentError,
    ReposCreateCommitCommentVariables
  >(
    (variables: ReposCreateCommitCommentVariables) =>
      fetchReposCreateCommitComment({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposListPullRequestsAssociatedWithCommitPathParams = {
  owner: string;
  repo: string;
  /*
   * commit_sha parameter
   */
  commitSha: string;
};

export type ReposListPullRequestsAssociatedWithCommitQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ReposListPullRequestsAssociatedWithCommitError =
  Fetcher.ErrorWrapper<{
    status: 415;
    payload: Responses.PreviewHeaderMissing;
  }>;

export type ReposListPullRequestsAssociatedWithCommitResponse =
  Schemas.PullRequestSimple[];

export type ReposListPullRequestsAssociatedWithCommitVariables = {
  pathParams: ReposListPullRequestsAssociatedWithCommitPathParams;
  queryParams?: ReposListPullRequestsAssociatedWithCommitQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists all pull requests containing the provided commit SHA, which can be from any point in the commit history. The results will include open and closed pull requests. Additional preview headers may be required to see certain details for associated pull requests, such as whether a pull request is in a draft state. For more information about previews that might affect this endpoint, see the [List pull requests](https://docs.github.com/rest/reference/pulls#list-pull-requests) endpoint.
 */
export const fetchReposListPullRequestsAssociatedWithCommit = (
  variables: ReposListPullRequestsAssociatedWithCommitVariables
) =>
  githubFetch<
    ReposListPullRequestsAssociatedWithCommitResponse,
    ReposListPullRequestsAssociatedWithCommitError,
    undefined,
    {},
    ReposListPullRequestsAssociatedWithCommitQueryParams,
    ReposListPullRequestsAssociatedWithCommitPathParams
  >({
    url: "/repos/{owner}/{repo}/commits/{commitSha}/pulls",
    method: "get",
    ...variables,
  });

/**
 * Lists all pull requests containing the provided commit SHA, which can be from any point in the commit history. The results will include open and closed pull requests. Additional preview headers may be required to see certain details for associated pull requests, such as whether a pull request is in a draft state. For more information about previews that might affect this endpoint, see the [List pull requests](https://docs.github.com/rest/reference/pulls#list-pull-requests) endpoint.
 */
export const useReposListPullRequestsAssociatedWithCommit = <
  TData = ReposListPullRequestsAssociatedWithCommitResponse
>(
  variables: ReposListPullRequestsAssociatedWithCommitVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReposListPullRequestsAssociatedWithCommitResponse,
      ReposListPullRequestsAssociatedWithCommitError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReposListPullRequestsAssociatedWithCommitResponse,
    ReposListPullRequestsAssociatedWithCommitError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/commits/{commit_sha}/pulls",
      operationId: "reposListPullRequestsAssociatedWithCommit",
      variables,
    }),
    () =>
      fetchReposListPullRequestsAssociatedWithCommit({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposGetCommitPathParams = {
  owner: string;
  repo: string;
  /*
   * ref parameter
   */
  ref: string;
};

export type ReposGetCommitQueryParams = {
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
};

export type ReposGetCommitError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
  | {
      status: 500;
      payload: Responses.InternalError;
    }
>;

export type ReposGetCommitVariables = {
  pathParams: ReposGetCommitPathParams;
  queryParams?: ReposGetCommitQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Returns the contents of a single commit reference. You must have `read` access for the repository to use this endpoint.
 *
 * **Note:** If there are more than 300 files in the commit diff, the response will include pagination link headers for the remaining files, up to a limit of 3000 files. Each page contains the static commit information, and the only changes are to the file listing.
 *
 * You can pass the appropriate [media type](https://docs.github.com/rest/overview/media-types/#commits-commit-comparison-and-pull-requests) to  fetch `diff` and `patch` formats. Diffs with binary data will have no `patch` property.
 *
 * To return only the SHA-1 hash of the commit reference, you can provide the `sha` custom [media type](https://docs.github.com/rest/overview/media-types/#commits-commit-comparison-and-pull-requests) in the `Accept` header. You can use this endpoint to check if a remote reference's SHA-1 hash is the same as your local reference's SHA-1 hash by providing the local SHA-1 reference as the ETag.
 *
 * **Signature verification object**
 *
 * The response will include a `verification` object that describes the result of verifying the commit's signature. The following fields are included in the `verification` object:
 *
 * | Name | Type | Description |
 * | ---- | ---- | ----------- |
 * | `verified` | `boolean` | Indicates whether GitHub considers the signature in this commit to be verified. |
 * | `reason` | `string` | The reason for verified value. Possible values and their meanings are enumerated in table below. |
 * | `signature` | `string` | The signature that was extracted from the commit. |
 * | `payload` | `string` | The value that was signed. |
 *
 * These are the possible values for `reason` in the `verification` object:
 *
 * | Value | Description |
 * | ----- | ----------- |
 * | `expired_key` | The key that made the signature is expired. |
 * | `not_signing_key` | The "signing" flag is not among the usage flags in the GPG key that made the signature. |
 * | `gpgverify_error` | There was an error communicating with the signature verification service. |
 * | `gpgverify_unavailable` | The signature verification service is currently unavailable. |
 * | `unsigned` | The object does not include a signature. |
 * | `unknown_signature_type` | A non-PGP signature was found in the commit. |
 * | `no_user` | No user was associated with the `committer` email address in the commit. |
 * | `unverified_email` | The `committer` email address in the commit was associated with a user, but the email address is not verified on her/his account. |
 * | `bad_email` | The `committer` email address in the commit is not included in the identities of the PGP key that made the signature. |
 * | `unknown_key` | The key that made the signature has not been registered with any user's account. |
 * | `malformed_signature` | There was an error parsing the signature. |
 * | `invalid` | The signature could not be cryptographically verified using the key whose key-id was found in the signature. |
 * | `valid` | None of the above errors applied, so the signature is considered to be verified. |
 */
export const fetchReposGetCommit = (variables: ReposGetCommitVariables) =>
  githubFetch<
    Schemas.Commit,
    ReposGetCommitError,
    undefined,
    {},
    ReposGetCommitQueryParams,
    ReposGetCommitPathParams
  >({
    url: "/repos/{owner}/{repo}/commits/{ref}",
    method: "get",
    ...variables,
  });

/**
 * Returns the contents of a single commit reference. You must have `read` access for the repository to use this endpoint.
 *
 * **Note:** If there are more than 300 files in the commit diff, the response will include pagination link headers for the remaining files, up to a limit of 3000 files. Each page contains the static commit information, and the only changes are to the file listing.
 *
 * You can pass the appropriate [media type](https://docs.github.com/rest/overview/media-types/#commits-commit-comparison-and-pull-requests) to  fetch `diff` and `patch` formats. Diffs with binary data will have no `patch` property.
 *
 * To return only the SHA-1 hash of the commit reference, you can provide the `sha` custom [media type](https://docs.github.com/rest/overview/media-types/#commits-commit-comparison-and-pull-requests) in the `Accept` header. You can use this endpoint to check if a remote reference's SHA-1 hash is the same as your local reference's SHA-1 hash by providing the local SHA-1 reference as the ETag.
 *
 * **Signature verification object**
 *
 * The response will include a `verification` object that describes the result of verifying the commit's signature. The following fields are included in the `verification` object:
 *
 * | Name | Type | Description |
 * | ---- | ---- | ----------- |
 * | `verified` | `boolean` | Indicates whether GitHub considers the signature in this commit to be verified. |
 * | `reason` | `string` | The reason for verified value. Possible values and their meanings are enumerated in table below. |
 * | `signature` | `string` | The signature that was extracted from the commit. |
 * | `payload` | `string` | The value that was signed. |
 *
 * These are the possible values for `reason` in the `verification` object:
 *
 * | Value | Description |
 * | ----- | ----------- |
 * | `expired_key` | The key that made the signature is expired. |
 * | `not_signing_key` | The "signing" flag is not among the usage flags in the GPG key that made the signature. |
 * | `gpgverify_error` | There was an error communicating with the signature verification service. |
 * | `gpgverify_unavailable` | The signature verification service is currently unavailable. |
 * | `unsigned` | The object does not include a signature. |
 * | `unknown_signature_type` | A non-PGP signature was found in the commit. |
 * | `no_user` | No user was associated with the `committer` email address in the commit. |
 * | `unverified_email` | The `committer` email address in the commit was associated with a user, but the email address is not verified on her/his account. |
 * | `bad_email` | The `committer` email address in the commit is not included in the identities of the PGP key that made the signature. |
 * | `unknown_key` | The key that made the signature has not been registered with any user's account. |
 * | `malformed_signature` | There was an error parsing the signature. |
 * | `invalid` | The signature could not be cryptographically verified using the key whose key-id was found in the signature. |
 * | `valid` | None of the above errors applied, so the signature is considered to be verified. |
 */
export const useReposGetCommit = <TData = Schemas.Commit>(
  variables: ReposGetCommitVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<Schemas.Commit, ReposGetCommitError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.Commit, ReposGetCommitError, TData>(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/commits/{ref}",
      operationId: "reposGetCommit",
      variables,
    }),
    () => fetchReposGetCommit({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ChecksListForRefPathParams = {
  owner: string;
  repo: string;
  /*
   * ref parameter
   */
  ref: string;
};

export type ChecksListForRefQueryParams = {
  /*
   * Returns check runs with the specified `name`.
   */
  check_name?: string;
  /*
   * Returns check runs with the specified `status`. Can be one of `queued`, `in_progress`, or `completed`.
   */
  status?: "queued" | "in_progress" | "completed";
  /*
   * Filters check runs by their `completed_at` timestamp. Can be one of `latest` (returning the most recent check runs) or `all`.
   *
   * @default latest
   */
  filter?: "latest" | "all";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
  app_id?: number;
};

export type ChecksListForRefError = Fetcher.ErrorWrapper<undefined>;

export type ChecksListForRefResponse = {
  check_runs: Schemas.CheckRun[];
  total_count: number;
};

export type ChecksListForRefVariables = {
  pathParams: ChecksListForRefPathParams;
  queryParams?: ChecksListForRefQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * **Note:** The Checks API only looks for pushes in the repository where the check suite or check run were created. Pushes to a branch in a forked repository are not detected and return an empty `pull_requests` array.
 *
 * Lists check runs for a commit ref. The `ref` can be a SHA, branch name, or a tag name. GitHub Apps must have the `checks:read` permission on a private repository or pull access to a public repository to get check runs. OAuth Apps and authenticated users must have the `repo` scope to get check runs in a private repository.
 */
export const fetchChecksListForRef = (variables: ChecksListForRefVariables) =>
  githubFetch<
    ChecksListForRefResponse,
    ChecksListForRefError,
    undefined,
    {},
    ChecksListForRefQueryParams,
    ChecksListForRefPathParams
  >({
    url: "/repos/{owner}/{repo}/commits/{ref}/check-runs",
    method: "get",
    ...variables,
  });

/**
 * **Note:** The Checks API only looks for pushes in the repository where the check suite or check run were created. Pushes to a branch in a forked repository are not detected and return an empty `pull_requests` array.
 *
 * Lists check runs for a commit ref. The `ref` can be a SHA, branch name, or a tag name. GitHub Apps must have the `checks:read` permission on a private repository or pull access to a public repository to get check runs. OAuth Apps and authenticated users must have the `repo` scope to get check runs in a private repository.
 */
export const useChecksListForRef = <TData = ChecksListForRefResponse>(
  variables: ChecksListForRefVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ChecksListForRefResponse,
      ChecksListForRefError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ChecksListForRefResponse,
    ChecksListForRefError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/commits/{ref}/check-runs",
      operationId: "checksListForRef",
      variables,
    }),
    () => fetchChecksListForRef({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ChecksListSuitesForRefPathParams = {
  owner: string;
  repo: string;
  /*
   * ref parameter
   */
  ref: string;
};

export type ChecksListSuitesForRefQueryParams = {
  /*
   * Filters check suites by GitHub App `id`.
   */
  app_id?: number;
  /*
   * Returns check runs with the specified `name`.
   */
  check_name?: string;
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ChecksListSuitesForRefError = Fetcher.ErrorWrapper<undefined>;

export type ChecksListSuitesForRefResponse = {
  check_suites: Schemas.CheckSuite[];
  total_count: number;
};

export type ChecksListSuitesForRefVariables = {
  pathParams: ChecksListSuitesForRefPathParams;
  queryParams?: ChecksListSuitesForRefQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * **Note:** The Checks API only looks for pushes in the repository where the check suite or check run were created. Pushes to a branch in a forked repository are not detected and return an empty `pull_requests` array and a `null` value for `head_branch`.
 *
 * Lists check suites for a commit `ref`. The `ref` can be a SHA, branch name, or a tag name. GitHub Apps must have the `checks:read` permission on a private repository or pull access to a public repository to list check suites. OAuth Apps and authenticated users must have the `repo` scope to get check suites in a private repository.
 */
export const fetchChecksListSuitesForRef = (
  variables: ChecksListSuitesForRefVariables
) =>
  githubFetch<
    ChecksListSuitesForRefResponse,
    ChecksListSuitesForRefError,
    undefined,
    {},
    ChecksListSuitesForRefQueryParams,
    ChecksListSuitesForRefPathParams
  >({
    url: "/repos/{owner}/{repo}/commits/{ref}/check-suites",
    method: "get",
    ...variables,
  });

/**
 * **Note:** The Checks API only looks for pushes in the repository where the check suite or check run were created. Pushes to a branch in a forked repository are not detected and return an empty `pull_requests` array and a `null` value for `head_branch`.
 *
 * Lists check suites for a commit `ref`. The `ref` can be a SHA, branch name, or a tag name. GitHub Apps must have the `checks:read` permission on a private repository or pull access to a public repository to list check suites. OAuth Apps and authenticated users must have the `repo` scope to get check suites in a private repository.
 */
export const useChecksListSuitesForRef = <
  TData = ChecksListSuitesForRefResponse
>(
  variables: ChecksListSuitesForRefVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ChecksListSuitesForRefResponse,
      ChecksListSuitesForRefError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ChecksListSuitesForRefResponse,
    ChecksListSuitesForRefError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/commits/{ref}/check-suites",
      operationId: "checksListSuitesForRef",
      variables,
    }),
    () => fetchChecksListSuitesForRef({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposGetCombinedStatusForRefPathParams = {
  owner: string;
  repo: string;
  /*
   * ref parameter
   */
  ref: string;
};

export type ReposGetCombinedStatusForRefQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ReposGetCombinedStatusForRefError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type ReposGetCombinedStatusForRefVariables = {
  pathParams: ReposGetCombinedStatusForRefPathParams;
  queryParams?: ReposGetCombinedStatusForRefQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Users with pull access in a repository can access a combined view of commit statuses for a given ref. The ref can be a SHA, a branch name, or a tag name.
 *
 * The most recent status for each context is returned, up to 100. This field [paginates](https://docs.github.com/rest/overview/resources-in-the-rest-api#pagination) if there are over 100 contexts.
 *
 * Additionally, a combined `state` is returned. The `state` is one of:
 *
 * *   **failure** if any of the contexts report as `error` or `failure`
 * *   **pending** if there are no statuses or a context is `pending`
 * *   **success** if the latest status for all contexts is `success`
 */
export const fetchReposGetCombinedStatusForRef = (
  variables: ReposGetCombinedStatusForRefVariables
) =>
  githubFetch<
    Schemas.CombinedCommitStatus,
    ReposGetCombinedStatusForRefError,
    undefined,
    {},
    ReposGetCombinedStatusForRefQueryParams,
    ReposGetCombinedStatusForRefPathParams
  >({
    url: "/repos/{owner}/{repo}/commits/{ref}/status",
    method: "get",
    ...variables,
  });

/**
 * Users with pull access in a repository can access a combined view of commit statuses for a given ref. The ref can be a SHA, a branch name, or a tag name.
 *
 * The most recent status for each context is returned, up to 100. This field [paginates](https://docs.github.com/rest/overview/resources-in-the-rest-api#pagination) if there are over 100 contexts.
 *
 * Additionally, a combined `state` is returned. The `state` is one of:
 *
 * *   **failure** if any of the contexts report as `error` or `failure`
 * *   **pending** if there are no statuses or a context is `pending`
 * *   **success** if the latest status for all contexts is `success`
 */
export const useReposGetCombinedStatusForRef = <
  TData = Schemas.CombinedCommitStatus
>(
  variables: ReposGetCombinedStatusForRefVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.CombinedCommitStatus,
      ReposGetCombinedStatusForRefError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.CombinedCommitStatus,
    ReposGetCombinedStatusForRefError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/commits/{ref}/status",
      operationId: "reposGetCombinedStatusForRef",
      variables,
    }),
    () =>
      fetchReposGetCombinedStatusForRef({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposListCommitStatusesForRefPathParams = {
  owner: string;
  repo: string;
  /*
   * ref parameter
   */
  ref: string;
};

export type ReposListCommitStatusesForRefQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ReposListCommitStatusesForRefError = Fetcher.ErrorWrapper<{
  status: 301;
  payload: Responses.MovedPermanently;
}>;

export type ReposListCommitStatusesForRefResponse = Schemas.Status[];

export type ReposListCommitStatusesForRefVariables = {
  pathParams: ReposListCommitStatusesForRefPathParams;
  queryParams?: ReposListCommitStatusesForRefQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Users with pull access in a repository can view commit statuses for a given ref. The ref can be a SHA, a branch name, or a tag name. Statuses are returned in reverse chronological order. The first status in the list will be the latest one.
 *
 * This resource is also available via a legacy route: `GET /repos/:owner/:repo/statuses/:ref`.
 */
export const fetchReposListCommitStatusesForRef = (
  variables: ReposListCommitStatusesForRefVariables
) =>
  githubFetch<
    ReposListCommitStatusesForRefResponse,
    ReposListCommitStatusesForRefError,
    undefined,
    {},
    ReposListCommitStatusesForRefQueryParams,
    ReposListCommitStatusesForRefPathParams
  >({
    url: "/repos/{owner}/{repo}/commits/{ref}/statuses",
    method: "get",
    ...variables,
  });

/**
 * Users with pull access in a repository can view commit statuses for a given ref. The ref can be a SHA, a branch name, or a tag name. Statuses are returned in reverse chronological order. The first status in the list will be the latest one.
 *
 * This resource is also available via a legacy route: `GET /repos/:owner/:repo/statuses/:ref`.
 */
export const useReposListCommitStatusesForRef = <
  TData = ReposListCommitStatusesForRefResponse
>(
  variables: ReposListCommitStatusesForRefVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReposListCommitStatusesForRefResponse,
      ReposListCommitStatusesForRefError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReposListCommitStatusesForRefResponse,
    ReposListCommitStatusesForRefError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/commits/{ref}/statuses",
      operationId: "reposListCommitStatusesForRef",
      variables,
    }),
    () =>
      fetchReposListCommitStatusesForRef({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type CodesOfConductGetForRepoPathParams = {
  owner: string;
  repo: string;
};

export type CodesOfConductGetForRepoError = Fetcher.ErrorWrapper<undefined>;

export type CodesOfConductGetForRepoVariables = {
  pathParams: CodesOfConductGetForRepoPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Returns the contents of the repository's code of conduct file, if one is detected.
 *
 * A code of conduct is detected if there is a file named `CODE_OF_CONDUCT` in the root directory of the repository. GitHub detects which code of conduct it is using fuzzy matching.
 */
export const fetchCodesOfConductGetForRepo = (
  variables: CodesOfConductGetForRepoVariables
) =>
  githubFetch<
    Schemas.CodeOfConduct,
    CodesOfConductGetForRepoError,
    undefined,
    {},
    {},
    CodesOfConductGetForRepoPathParams
  >({
    url: "/repos/{owner}/{repo}/community/code_of_conduct",
    method: "get",
    ...variables,
  });

/**
 * Returns the contents of the repository's code of conduct file, if one is detected.
 *
 * A code of conduct is detected if there is a file named `CODE_OF_CONDUCT` in the root directory of the repository. GitHub detects which code of conduct it is using fuzzy matching.
 */
export const useCodesOfConductGetForRepo = <TData = Schemas.CodeOfConduct>(
  variables: CodesOfConductGetForRepoVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.CodeOfConduct,
      CodesOfConductGetForRepoError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.CodeOfConduct,
    CodesOfConductGetForRepoError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/community/code_of_conduct",
      operationId: "codesOfConductGetForRepo",
      variables,
    }),
    () => fetchCodesOfConductGetForRepo({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposGetCommunityProfileMetricsPathParams = {
  owner: string;
  repo: string;
};

export type ReposGetCommunityProfileMetricsError =
  Fetcher.ErrorWrapper<undefined>;

export type ReposGetCommunityProfileMetricsVariables = {
  pathParams: ReposGetCommunityProfileMetricsPathParams;
} & GithubContext["fetcherOptions"];

/**
 * This endpoint will return all community profile metrics, including an
 * overall health score, repository description, the presence of documentation, detected
 * code of conduct, detected license, and the presence of ISSUE\_TEMPLATE, PULL\_REQUEST\_TEMPLATE,
 * README, and CONTRIBUTING files.
 *
 * The `health_percentage` score is defined as a percentage of how many of
 * these four documents are present: README, CONTRIBUTING, LICENSE, and
 * CODE_OF_CONDUCT. For example, if all four documents are present, then
 * the `health_percentage` is `100`. If only one is present, then the
 * `health_percentage` is `25`.
 *
 * `content_reports_enabled` is only returned for organization-owned repositories.
 */
export const fetchReposGetCommunityProfileMetrics = (
  variables: ReposGetCommunityProfileMetricsVariables
) =>
  githubFetch<
    Schemas.CommunityProfile,
    ReposGetCommunityProfileMetricsError,
    undefined,
    {},
    {},
    ReposGetCommunityProfileMetricsPathParams
  >({
    url: "/repos/{owner}/{repo}/community/profile",
    method: "get",
    ...variables,
  });

/**
 * This endpoint will return all community profile metrics, including an
 * overall health score, repository description, the presence of documentation, detected
 * code of conduct, detected license, and the presence of ISSUE\_TEMPLATE, PULL\_REQUEST\_TEMPLATE,
 * README, and CONTRIBUTING files.
 *
 * The `health_percentage` score is defined as a percentage of how many of
 * these four documents are present: README, CONTRIBUTING, LICENSE, and
 * CODE_OF_CONDUCT. For example, if all four documents are present, then
 * the `health_percentage` is `100`. If only one is present, then the
 * `health_percentage` is `25`.
 *
 * `content_reports_enabled` is only returned for organization-owned repositories.
 */
export const useReposGetCommunityProfileMetrics = <
  TData = Schemas.CommunityProfile
>(
  variables: ReposGetCommunityProfileMetricsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.CommunityProfile,
      ReposGetCommunityProfileMetricsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.CommunityProfile,
    ReposGetCommunityProfileMetricsError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/community/profile",
      operationId: "reposGetCommunityProfileMetrics",
      variables,
    }),
    () =>
      fetchReposGetCommunityProfileMetrics({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposCompareCommitsPathParams = {
  owner: string;
  repo: string;
  base: string;
  head: string;
};

export type ReposCompareCommitsError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 500;
      payload: Responses.InternalError;
    }
>;

export type ReposCompareCommitsVariables = {
  pathParams: ReposCompareCommitsPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Both `:base` and `:head` must be branch names in `:repo`. To compare branches across other repositories in the same network as `:repo`, use the format `<USERNAME>:branch`.
 *
 * The response from the API is equivalent to running the `git log base..head` command; however, commits are returned in chronological order. Pass the appropriate [media type](https://docs.github.com/rest/overview/media-types/#commits-commit-comparison-and-pull-requests) to fetch diff and patch formats.
 *
 * The response also includes details on the files that were changed between the two commits. This includes the status of the change (for example, if a file was added, removed, modified, or renamed), and details of the change itself. For example, files with a `renamed` status have a `previous_filename` field showing the previous filename of the file, and files with a `modified` status have a `patch` field showing the changes made to the file.
 *
 * **Working with large comparisons**
 *
 * The response will include a comparison of up to 250 commits. If you are working with a larger commit range, you can use the [List commits](https://docs.github.com/rest/reference/repos#list-commits) to enumerate all commits in the range.
 *
 * For comparisons with extremely large diffs, you may receive an error response indicating that the diff took too long
 * to generate. You can typically resolve this error by using a smaller commit range.
 *
 * **Signature verification object**
 *
 * The response will include a `verification` object that describes the result of verifying the commit's signature. The following fields are included in the `verification` object:
 *
 * | Name | Type | Description |
 * | ---- | ---- | ----------- |
 * | `verified` | `boolean` | Indicates whether GitHub considers the signature in this commit to be verified. |
 * | `reason` | `string` | The reason for verified value. Possible values and their meanings are enumerated in table below. |
 * | `signature` | `string` | The signature that was extracted from the commit. |
 * | `payload` | `string` | The value that was signed. |
 *
 * These are the possible values for `reason` in the `verification` object:
 *
 * | Value | Description |
 * | ----- | ----------- |
 * | `expired_key` | The key that made the signature is expired. |
 * | `not_signing_key` | The "signing" flag is not among the usage flags in the GPG key that made the signature. |
 * | `gpgverify_error` | There was an error communicating with the signature verification service. |
 * | `gpgverify_unavailable` | The signature verification service is currently unavailable. |
 * | `unsigned` | The object does not include a signature. |
 * | `unknown_signature_type` | A non-PGP signature was found in the commit. |
 * | `no_user` | No user was associated with the `committer` email address in the commit. |
 * | `unverified_email` | The `committer` email address in the commit was associated with a user, but the email address is not verified on her/his account. |
 * | `bad_email` | The `committer` email address in the commit is not included in the identities of the PGP key that made the signature. |
 * | `unknown_key` | The key that made the signature has not been registered with any user's account. |
 * | `malformed_signature` | There was an error parsing the signature. |
 * | `invalid` | The signature could not be cryptographically verified using the key whose key-id was found in the signature. |
 * | `valid` | None of the above errors applied, so the signature is considered to be verified. |
 */
export const fetchReposCompareCommits = (
  variables: ReposCompareCommitsVariables
) =>
  githubFetch<
    Schemas.CommitComparison,
    ReposCompareCommitsError,
    undefined,
    {},
    {},
    ReposCompareCommitsPathParams
  >({
    url: "/repos/{owner}/{repo}/compare/{base}...{head}",
    method: "get",
    ...variables,
  });

/**
 * Both `:base` and `:head` must be branch names in `:repo`. To compare branches across other repositories in the same network as `:repo`, use the format `<USERNAME>:branch`.
 *
 * The response from the API is equivalent to running the `git log base..head` command; however, commits are returned in chronological order. Pass the appropriate [media type](https://docs.github.com/rest/overview/media-types/#commits-commit-comparison-and-pull-requests) to fetch diff and patch formats.
 *
 * The response also includes details on the files that were changed between the two commits. This includes the status of the change (for example, if a file was added, removed, modified, or renamed), and details of the change itself. For example, files with a `renamed` status have a `previous_filename` field showing the previous filename of the file, and files with a `modified` status have a `patch` field showing the changes made to the file.
 *
 * **Working with large comparisons**
 *
 * The response will include a comparison of up to 250 commits. If you are working with a larger commit range, you can use the [List commits](https://docs.github.com/rest/reference/repos#list-commits) to enumerate all commits in the range.
 *
 * For comparisons with extremely large diffs, you may receive an error response indicating that the diff took too long
 * to generate. You can typically resolve this error by using a smaller commit range.
 *
 * **Signature verification object**
 *
 * The response will include a `verification` object that describes the result of verifying the commit's signature. The following fields are included in the `verification` object:
 *
 * | Name | Type | Description |
 * | ---- | ---- | ----------- |
 * | `verified` | `boolean` | Indicates whether GitHub considers the signature in this commit to be verified. |
 * | `reason` | `string` | The reason for verified value. Possible values and their meanings are enumerated in table below. |
 * | `signature` | `string` | The signature that was extracted from the commit. |
 * | `payload` | `string` | The value that was signed. |
 *
 * These are the possible values for `reason` in the `verification` object:
 *
 * | Value | Description |
 * | ----- | ----------- |
 * | `expired_key` | The key that made the signature is expired. |
 * | `not_signing_key` | The "signing" flag is not among the usage flags in the GPG key that made the signature. |
 * | `gpgverify_error` | There was an error communicating with the signature verification service. |
 * | `gpgverify_unavailable` | The signature verification service is currently unavailable. |
 * | `unsigned` | The object does not include a signature. |
 * | `unknown_signature_type` | A non-PGP signature was found in the commit. |
 * | `no_user` | No user was associated with the `committer` email address in the commit. |
 * | `unverified_email` | The `committer` email address in the commit was associated with a user, but the email address is not verified on her/his account. |
 * | `bad_email` | The `committer` email address in the commit is not included in the identities of the PGP key that made the signature. |
 * | `unknown_key` | The key that made the signature has not been registered with any user's account. |
 * | `malformed_signature` | There was an error parsing the signature. |
 * | `invalid` | The signature could not be cryptographically verified using the key whose key-id was found in the signature. |
 * | `valid` | None of the above errors applied, so the signature is considered to be verified. |
 */
export const useReposCompareCommits = <TData = Schemas.CommitComparison>(
  variables: ReposCompareCommitsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.CommitComparison,
      ReposCompareCommitsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.CommitComparison,
    ReposCompareCommitsError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/compare/{base}...{head}",
      operationId: "reposCompareCommits",
      variables,
    }),
    () => fetchReposCompareCommits({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposDeleteFilePathParams = {
  owner: string;
  repo: string;
  /*
   * path parameter
   */
  path: string;
};

export type ReposDeleteFileError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 409;
      payload: Responses.Conflict;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
  | {
      status: 503;
      payload: Responses.ServiceUnavailable;
    }
>;

export type ReposDeleteFileRequestBody = {
  /*
   * object containing information about the author.
   */
  author?: {
    /*
     * The email of the author (or committer) of the commit
     */
    email?: string;
    /*
     * The name of the author (or committer) of the commit
     */
    name?: string;
  };
  /*
   * The branch name. Default: the repository’s default branch (usually `master`)
   */
  branch?: string;
  /*
   * object containing information about the committer.
   */
  committer?: {
    /*
     * The email of the author (or committer) of the commit
     */
    email?: string;
    /*
     * The name of the author (or committer) of the commit
     */
    name?: string;
  };
  /*
   * The commit message.
   */
  message: string;
  /*
   * The blob SHA of the file being replaced.
   */
  sha: string;
};

export type ReposDeleteFileVariables = {
  body: ReposDeleteFileRequestBody;
  pathParams: ReposDeleteFilePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Deletes a file in a repository.
 *
 * You can provide an additional `committer` parameter, which is an object containing information about the committer. Or, you can provide an `author` parameter, which is an object containing information about the author.
 *
 * The `author` section is optional and is filled in with the `committer` information if omitted. If the `committer` information is omitted, the authenticated user's information is used.
 *
 * You must provide values for both `name` and `email`, whether you choose to use `author` or `committer`. Otherwise, you'll receive a `422` status code.
 */
export const fetchReposDeleteFile = (variables: ReposDeleteFileVariables) =>
  githubFetch<
    Schemas.FileCommit,
    ReposDeleteFileError,
    ReposDeleteFileRequestBody,
    {},
    {},
    ReposDeleteFilePathParams
  >({
    url: "/repos/{owner}/{repo}/contents/{path}",
    method: "delete",
    ...variables,
  });

/**
 * Deletes a file in a repository.
 *
 * You can provide an additional `committer` parameter, which is an object containing information about the committer. Or, you can provide an `author` parameter, which is an object containing information about the author.
 *
 * The `author` section is optional and is filled in with the `committer` information if omitted. If the `committer` information is omitted, the authenticated user's information is used.
 *
 * You must provide values for both `name` and `email`, whether you choose to use `author` or `committer`. Otherwise, you'll receive a `422` status code.
 */
export const useReposDeleteFile = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.FileCommit,
      ReposDeleteFileError,
      ReposDeleteFileVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.FileCommit,
    ReposDeleteFileError,
    ReposDeleteFileVariables
  >(
    (variables: ReposDeleteFileVariables) =>
      fetchReposDeleteFile({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposGetContentPathParams = {
  owner: string;
  repo: string;
  /*
   * path parameter
   */
  path: string;
};

export type ReposGetContentQueryParams = {
  /*
   * The name of the commit/branch/tag. Default: the repository’s default branch (usually `master`)
   */
  ref?: string;
};

export type ReposGetContentError = Fetcher.ErrorWrapper<
  | {
      status: 302;
      payload: Responses.Found;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type ReposGetContentVariables = {
  pathParams: ReposGetContentPathParams;
  queryParams?: ReposGetContentQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets the contents of a file or directory in a repository. Specify the file path or directory in `:path`. If you omit
 * `:path`, you will receive the contents of the repository's root directory. See the description below regarding what the API response includes for directories.
 *
 * Files and symlinks support [a custom media type](https://docs.github.com/rest/reference/repos#custom-media-types) for
 * retrieving the raw content or rendered HTML (when supported). All content types support [a custom media
 * type](https://docs.github.com/rest/reference/repos#custom-media-types) to ensure the content is returned in a consistent
 * object format.
 *
 * **Note**:
 * *   To get a repository's contents recursively, you can [recursively get the tree](https://docs.github.com/rest/reference/git#trees).
 * *   This API has an upper limit of 1,000 files for a directory. If you need to retrieve more files, use the [Git Trees
 * API](https://docs.github.com/rest/reference/git#get-a-tree).
 * *   This API supports files up to 1 megabyte in size.
 *
 * #### If the content is a directory
 * The response will be an array of objects, one object for each item in the directory.
 * When listing the contents of a directory, submodules have their "type" specified as "file". Logically, the value
 * _should_ be "submodule". This behavior exists in API v3 [for backwards compatibility purposes](https://git.io/v1YCW).
 * In the next major version of the API, the type will be returned as "submodule".
 *
 * #### If the content is a symlink
 * If the requested `:path` points to a symlink, and the symlink's target is a normal file in the repository, then the
 * API responds with the content of the file (in the format shown in the example. Otherwise, the API responds with an object
 * describing the symlink itself.
 *
 * #### If the content is a submodule
 * The `submodule_git_url` identifies the location of the submodule repository, and the `sha` identifies a specific
 * commit within the submodule repository. Git uses the given URL when cloning the submodule repository, and checks out
 * the submodule at that specific commit.
 *
 * If the submodule repository is not hosted on github.com, the Git URLs (`git_url` and `_links["git"]`) and the
 * github.com URLs (`html_url` and `_links["html"]`) will have null values.
 */
export const fetchReposGetContent = (variables: ReposGetContentVariables) =>
  githubFetch<
    | Schemas.ContentDirectory
    | Schemas.ContentFile
    | Schemas.ContentSymlink
    | Schemas.ContentSubmodule,
    ReposGetContentError,
    undefined,
    {},
    ReposGetContentQueryParams,
    ReposGetContentPathParams
  >({
    url: "/repos/{owner}/{repo}/contents/{path}",
    method: "get",
    ...variables,
  });

/**
 * Gets the contents of a file or directory in a repository. Specify the file path or directory in `:path`. If you omit
 * `:path`, you will receive the contents of the repository's root directory. See the description below regarding what the API response includes for directories.
 *
 * Files and symlinks support [a custom media type](https://docs.github.com/rest/reference/repos#custom-media-types) for
 * retrieving the raw content or rendered HTML (when supported). All content types support [a custom media
 * type](https://docs.github.com/rest/reference/repos#custom-media-types) to ensure the content is returned in a consistent
 * object format.
 *
 * **Note**:
 * *   To get a repository's contents recursively, you can [recursively get the tree](https://docs.github.com/rest/reference/git#trees).
 * *   This API has an upper limit of 1,000 files for a directory. If you need to retrieve more files, use the [Git Trees
 * API](https://docs.github.com/rest/reference/git#get-a-tree).
 * *   This API supports files up to 1 megabyte in size.
 *
 * #### If the content is a directory
 * The response will be an array of objects, one object for each item in the directory.
 * When listing the contents of a directory, submodules have their "type" specified as "file". Logically, the value
 * _should_ be "submodule". This behavior exists in API v3 [for backwards compatibility purposes](https://git.io/v1YCW).
 * In the next major version of the API, the type will be returned as "submodule".
 *
 * #### If the content is a symlink
 * If the requested `:path` points to a symlink, and the symlink's target is a normal file in the repository, then the
 * API responds with the content of the file (in the format shown in the example. Otherwise, the API responds with an object
 * describing the symlink itself.
 *
 * #### If the content is a submodule
 * The `submodule_git_url` identifies the location of the submodule repository, and the `sha` identifies a specific
 * commit within the submodule repository. Git uses the given URL when cloning the submodule repository, and checks out
 * the submodule at that specific commit.
 *
 * If the submodule repository is not hosted on github.com, the Git URLs (`git_url` and `_links["git"]`) and the
 * github.com URLs (`html_url` and `_links["html"]`) will have null values.
 */
export const useReposGetContent = <
  TData =
    | Schemas.ContentDirectory
    | Schemas.ContentFile
    | Schemas.ContentSymlink
    | Schemas.ContentSubmodule
>(
  variables: ReposGetContentVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      | Schemas.ContentDirectory
      | Schemas.ContentFile
      | Schemas.ContentSymlink
      | Schemas.ContentSubmodule,
      ReposGetContentError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    | Schemas.ContentDirectory
    | Schemas.ContentFile
    | Schemas.ContentSymlink
    | Schemas.ContentSubmodule,
    ReposGetContentError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/contents/{path}",
      operationId: "reposGetContent",
      variables,
    }),
    () => fetchReposGetContent({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposCreateOrUpdateFileContentsPathParams = {
  owner: string;
  repo: string;
  /*
   * path parameter
   */
  path: string;
};

export type ReposCreateOrUpdateFileContentsError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 409;
      payload: Responses.Conflict;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type ReposCreateOrUpdateFileContentsRequestBody = {
  /*
   * The author of the file. Default: The `committer` or the authenticated user if you omit `committer`.
   */
  author?: {
    /*
     * @example "2013-01-15T17:13:22+05:00"
     */
    date?: string;
    /*
     * The email of the author or committer of the commit. You'll receive a `422` status code if `email` is omitted.
     */
    email: string;
    /*
     * The name of the author or committer of the commit. You'll receive a `422` status code if `name` is omitted.
     */
    name: string;
  };
  /*
   * The branch name. Default: the repository’s default branch (usually `master`)
   */
  branch?: string;
  /*
   * The person that committed the file. Default: the authenticated user.
   */
  committer?: {
    /*
     * @example "2013-01-05T13:13:22+05:00"
     */
    date?: string;
    /*
     * The email of the author or committer of the commit. You'll receive a `422` status code if `email` is omitted.
     */
    email: string;
    /*
     * The name of the author or committer of the commit. You'll receive a `422` status code if `name` is omitted.
     */
    name: string;
  };
  /*
   * The new file content, using Base64 encoding.
   */
  content: string;
  /*
   * The commit message.
   */
  message: string;
  /*
   * **Required if you are updating a file**. The blob SHA of the file being replaced.
   */
  sha?: string;
};

export type ReposCreateOrUpdateFileContentsVariables = {
  body: ReposCreateOrUpdateFileContentsRequestBody;
  pathParams: ReposCreateOrUpdateFileContentsPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Creates a new file or replaces an existing file in a repository.
 */
export const fetchReposCreateOrUpdateFileContents = (
  variables: ReposCreateOrUpdateFileContentsVariables
) =>
  githubFetch<
    Schemas.FileCommit,
    ReposCreateOrUpdateFileContentsError,
    ReposCreateOrUpdateFileContentsRequestBody,
    {},
    {},
    ReposCreateOrUpdateFileContentsPathParams
  >({
    url: "/repos/{owner}/{repo}/contents/{path}",
    method: "put",
    ...variables,
  });

/**
 * Creates a new file or replaces an existing file in a repository.
 */
export const useReposCreateOrUpdateFileContents = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.FileCommit,
      ReposCreateOrUpdateFileContentsError,
      ReposCreateOrUpdateFileContentsVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.FileCommit,
    ReposCreateOrUpdateFileContentsError,
    ReposCreateOrUpdateFileContentsVariables
  >(
    (variables: ReposCreateOrUpdateFileContentsVariables) =>
      fetchReposCreateOrUpdateFileContents({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposListContributorsPathParams = {
  owner: string;
  repo: string;
};

export type ReposListContributorsQueryParams = {
  /*
   * Set to `1` or `true` to include anonymous contributors in results.
   */
  anon?: string;
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ReposListContributorsError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type ReposListContributorsResponse = Schemas.Contributor[];

export type ReposListContributorsVariables = {
  pathParams: ReposListContributorsPathParams;
  queryParams?: ReposListContributorsQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists contributors to the specified repository and sorts them by the number of commits per contributor in descending order. This endpoint may return information that is a few hours old because the GitHub REST API v3 caches contributor data to improve performance.
 *
 * GitHub identifies contributors by author email address. This endpoint groups contribution counts by GitHub user, which includes all associated email addresses. To improve performance, only the first 500 author email addresses in the repository link to GitHub users. The rest will appear as anonymous contributors without associated GitHub user information.
 */
export const fetchReposListContributors = (
  variables: ReposListContributorsVariables
) =>
  githubFetch<
    ReposListContributorsResponse,
    ReposListContributorsError,
    undefined,
    {},
    ReposListContributorsQueryParams,
    ReposListContributorsPathParams
  >({ url: "/repos/{owner}/{repo}/contributors", method: "get", ...variables });

/**
 * Lists contributors to the specified repository and sorts them by the number of commits per contributor in descending order. This endpoint may return information that is a few hours old because the GitHub REST API v3 caches contributor data to improve performance.
 *
 * GitHub identifies contributors by author email address. This endpoint groups contribution counts by GitHub user, which includes all associated email addresses. To improve performance, only the first 500 author email addresses in the repository link to GitHub users. The rest will appear as anonymous contributors without associated GitHub user information.
 */
export const useReposListContributors = <TData = ReposListContributorsResponse>(
  variables: ReposListContributorsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReposListContributorsResponse,
      ReposListContributorsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReposListContributorsResponse,
    ReposListContributorsError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/contributors",
      operationId: "reposListContributors",
      variables,
    }),
    () => fetchReposListContributors({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposListDeploymentsPathParams = {
  owner: string;
  repo: string;
};

export type ReposListDeploymentsQueryParams = {
  /*
   * The SHA recorded at creation time.
   *
   * @default none
   */
  sha?: string;
  /*
   * The name of the ref. This can be a branch, tag, or SHA.
   *
   * @default none
   */
  ref?: string;
  /*
   * The name of the task for the deployment (e.g., `deploy` or `deploy:migrations`).
   *
   * @default none
   */
  task?: string;
  /*
   * The name of the environment that was deployed to (e.g., `staging` or `production`).
   *
   * @default none
   */
  environment?: string | null;
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ReposListDeploymentsError = Fetcher.ErrorWrapper<undefined>;

export type ReposListDeploymentsResponse = Schemas.Deployment[];

export type ReposListDeploymentsVariables = {
  pathParams: ReposListDeploymentsPathParams;
  queryParams?: ReposListDeploymentsQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Simple filtering of deployments is available via query parameters:
 */
export const fetchReposListDeployments = (
  variables: ReposListDeploymentsVariables
) =>
  githubFetch<
    ReposListDeploymentsResponse,
    ReposListDeploymentsError,
    undefined,
    {},
    ReposListDeploymentsQueryParams,
    ReposListDeploymentsPathParams
  >({ url: "/repos/{owner}/{repo}/deployments", method: "get", ...variables });

/**
 * Simple filtering of deployments is available via query parameters:
 */
export const useReposListDeployments = <TData = ReposListDeploymentsResponse>(
  variables: ReposListDeploymentsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReposListDeploymentsResponse,
      ReposListDeploymentsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReposListDeploymentsResponse,
    ReposListDeploymentsError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/deployments",
      operationId: "reposListDeployments",
      variables,
    }),
    () => fetchReposListDeployments({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposCreateDeploymentPathParams = {
  owner: string;
  repo: string;
};

export type ReposCreateDeploymentError = Fetcher.ErrorWrapper<
  | {
      status: 409;
      payload: {
        /*
         * @example "https://docs.github.com/rest/reference/repos#create-a-deployment"
         */
        documentation_url?: string;
        message?: string;
      };
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type ReposCreateDeploymentRequestBody = {
  /*
   * Attempts to automatically merge the default branch into the requested ref, if it's behind the default branch.
   *
   * @default true
   */
  auto_merge?: boolean;
  /*
   * @example "1776-07-04T00:00:00.000-07:52"
   */
  created_at?: string;
  /*
   * Short description of the deployment.
   *
   * @default
   */
  description?: string | null;
  /*
   * Name for the target deployment environment (e.g., `production`, `staging`, `qa`).
   *
   * @default production
   */
  environment?: string;
  payload?:
    | {
        [key: string]: any;
      }
    | string;
  /*
   * Specifies if the given environment is one that end-users directly interact with. Default: `true` when `environment` is `production` and `false` otherwise.
   * **Note:** This parameter requires you to use the [`application/vnd.github.ant-man-preview+json`](https://docs.github.com/rest/overview/api-previews#enhanced-deployments) custom media type.
   */
  production_environment?: boolean;
  /*
   * The ref to deploy. This can be a branch, tag, or SHA.
   */
  ref: string;
  /*
   * The [status](https://docs.github.com/rest/reference/repos#statuses) contexts to verify against commit status checks. If you omit this parameter, GitHub verifies all unique contexts before creating a deployment. To bypass checking entirely, pass an empty array. Defaults to all unique contexts.
   */
  required_contexts?: string[];
  /*
   * Specifies a task to execute (e.g., `deploy` or `deploy:migrations`).
   *
   * @default deploy
   */
  task?: string;
  /*
   * Specifies if the given environment is specific to the deployment and will no longer exist at some point in the future. Default: `false`
   * **Note:** This parameter requires you to use the [`application/vnd.github.ant-man-preview+json`](https://docs.github.com/rest/overview/api-previews#enhanced-deployments) custom media type. **Note:** This parameter requires you to use the [`application/vnd.github.ant-man-preview+json`](https://docs.github.com/rest/overview/api-previews#enhanced-deployments) custom media type.
   *
   * @default false
   */
  transient_environment?: boolean;
};

export type ReposCreateDeploymentVariables = {
  body: ReposCreateDeploymentRequestBody;
  pathParams: ReposCreateDeploymentPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Deployments offer a few configurable parameters with certain defaults.
 *
 * The `ref` parameter can be any named branch, tag, or SHA. At GitHub we often deploy branches and verify them
 * before we merge a pull request.
 *
 * The `environment` parameter allows deployments to be issued to different runtime environments. Teams often have
 * multiple environments for verifying their applications, such as `production`, `staging`, and `qa`. This parameter
 * makes it easier to track which environments have requested deployments. The default environment is `production`.
 *
 * The `auto_merge` parameter is used to ensure that the requested ref is not behind the repository's default branch. If
 * the ref _is_ behind the default branch for the repository, we will attempt to merge it for you. If the merge succeeds,
 * the API will return a successful merge commit. If merge conflicts prevent the merge from succeeding, the API will
 * return a failure response.
 *
 * By default, [commit statuses](https://docs.github.com/rest/reference/repos#statuses) for every submitted context must be in a `success`
 * state. The `required_contexts` parameter allows you to specify a subset of contexts that must be `success`, or to
 * specify contexts that have not yet been submitted. You are not required to use commit statuses to deploy. If you do
 * not require any contexts or create any commit statuses, the deployment will always succeed.
 *
 * The `payload` parameter is available for any extra information that a deployment system might need. It is a JSON text
 * field that will be passed on when a deployment event is dispatched.
 *
 * The `task` parameter is used by the deployment system to allow different execution paths. In the web world this might
 * be `deploy:migrations` to run schema changes on the system. In the compiled world this could be a flag to compile an
 * application with debugging enabled.
 *
 * Users with `repo` or `repo_deployment` scopes can create a deployment for a given ref.
 *
 * #### Merged branch response
 * You will see this response when GitHub automatically merges the base branch into the topic branch instead of creating
 * a deployment. This auto-merge happens when:
 * *   Auto-merge option is enabled in the repository
 * *   Topic branch does not include the latest changes on the base branch, which is `master` in the response example
 * *   There are no merge conflicts
 *
 * If there are no new commits in the base branch, a new request to create a deployment should give a successful
 * response.
 *
 * #### Merge conflict response
 * This error happens when the `auto_merge` option is enabled and when the default branch (in this case `master`), can't
 * be merged into the branch that's being deployed (in this case `topic-branch`), due to merge conflicts.
 *
 * #### Failed commit status checks
 * This error happens when the `required_contexts` parameter indicates that one or more contexts need to have a `success`
 * status for the commit to be deployed, but one or more of the required contexts do not have a state of `success`.
 */
export const fetchReposCreateDeployment = (
  variables: ReposCreateDeploymentVariables
) =>
  githubFetch<
    | Schemas.Deployment
    | {
        message?: string;
      },
    ReposCreateDeploymentError,
    ReposCreateDeploymentRequestBody,
    {},
    {},
    ReposCreateDeploymentPathParams
  >({ url: "/repos/{owner}/{repo}/deployments", method: "post", ...variables });

/**
 * Deployments offer a few configurable parameters with certain defaults.
 *
 * The `ref` parameter can be any named branch, tag, or SHA. At GitHub we often deploy branches and verify them
 * before we merge a pull request.
 *
 * The `environment` parameter allows deployments to be issued to different runtime environments. Teams often have
 * multiple environments for verifying their applications, such as `production`, `staging`, and `qa`. This parameter
 * makes it easier to track which environments have requested deployments. The default environment is `production`.
 *
 * The `auto_merge` parameter is used to ensure that the requested ref is not behind the repository's default branch. If
 * the ref _is_ behind the default branch for the repository, we will attempt to merge it for you. If the merge succeeds,
 * the API will return a successful merge commit. If merge conflicts prevent the merge from succeeding, the API will
 * return a failure response.
 *
 * By default, [commit statuses](https://docs.github.com/rest/reference/repos#statuses) for every submitted context must be in a `success`
 * state. The `required_contexts` parameter allows you to specify a subset of contexts that must be `success`, or to
 * specify contexts that have not yet been submitted. You are not required to use commit statuses to deploy. If you do
 * not require any contexts or create any commit statuses, the deployment will always succeed.
 *
 * The `payload` parameter is available for any extra information that a deployment system might need. It is a JSON text
 * field that will be passed on when a deployment event is dispatched.
 *
 * The `task` parameter is used by the deployment system to allow different execution paths. In the web world this might
 * be `deploy:migrations` to run schema changes on the system. In the compiled world this could be a flag to compile an
 * application with debugging enabled.
 *
 * Users with `repo` or `repo_deployment` scopes can create a deployment for a given ref.
 *
 * #### Merged branch response
 * You will see this response when GitHub automatically merges the base branch into the topic branch instead of creating
 * a deployment. This auto-merge happens when:
 * *   Auto-merge option is enabled in the repository
 * *   Topic branch does not include the latest changes on the base branch, which is `master` in the response example
 * *   There are no merge conflicts
 *
 * If there are no new commits in the base branch, a new request to create a deployment should give a successful
 * response.
 *
 * #### Merge conflict response
 * This error happens when the `auto_merge` option is enabled and when the default branch (in this case `master`), can't
 * be merged into the branch that's being deployed (in this case `topic-branch`), due to merge conflicts.
 *
 * #### Failed commit status checks
 * This error happens when the `required_contexts` parameter indicates that one or more contexts need to have a `success`
 * status for the commit to be deployed, but one or more of the required contexts do not have a state of `success`.
 */
export const useReposCreateDeployment = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      | Schemas.Deployment
      | {
          message?: string;
        },
      ReposCreateDeploymentError,
      ReposCreateDeploymentVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    | Schemas.Deployment
    | {
        message?: string;
      },
    ReposCreateDeploymentError,
    ReposCreateDeploymentVariables
  >(
    (variables: ReposCreateDeploymentVariables) =>
      fetchReposCreateDeployment({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposDeleteDeploymentPathParams = {
  owner: string;
  repo: string;
  /*
   * deployment_id parameter
   */
  deploymentId: number;
};

export type ReposDeleteDeploymentError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailedSimple;
    }
>;

export type ReposDeleteDeploymentVariables = {
  pathParams: ReposDeleteDeploymentPathParams;
} & GithubContext["fetcherOptions"];

/**
 * To ensure there can always be an active deployment, you can only delete an _inactive_ deployment. Anyone with `repo` or `repo_deployment` scopes can delete an inactive deployment.
 *
 * To set a deployment as inactive, you must:
 *
 * *   Create a new deployment that is active so that the system has a record of the current state, then delete the previously active deployment.
 * *   Mark the active deployment as inactive by adding any non-successful deployment status.
 *
 * For more information, see "[Create a deployment](https://docs.github.com/rest/reference/repos/#create-a-deployment)" and "[Create a deployment status](https://docs.github.com/rest/reference/repos#create-a-deployment-status)."
 */
export const fetchReposDeleteDeployment = (
  variables: ReposDeleteDeploymentVariables
) =>
  githubFetch<
    undefined,
    ReposDeleteDeploymentError,
    undefined,
    {},
    {},
    ReposDeleteDeploymentPathParams
  >({
    url: "/repos/{owner}/{repo}/deployments/{deploymentId}",
    method: "delete",
    ...variables,
  });

/**
 * To ensure there can always be an active deployment, you can only delete an _inactive_ deployment. Anyone with `repo` or `repo_deployment` scopes can delete an inactive deployment.
 *
 * To set a deployment as inactive, you must:
 *
 * *   Create a new deployment that is active so that the system has a record of the current state, then delete the previously active deployment.
 * *   Mark the active deployment as inactive by adding any non-successful deployment status.
 *
 * For more information, see "[Create a deployment](https://docs.github.com/rest/reference/repos/#create-a-deployment)" and "[Create a deployment status](https://docs.github.com/rest/reference/repos#create-a-deployment-status)."
 */
export const useReposDeleteDeployment = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ReposDeleteDeploymentError,
      ReposDeleteDeploymentVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ReposDeleteDeploymentError,
    ReposDeleteDeploymentVariables
  >(
    (variables: ReposDeleteDeploymentVariables) =>
      fetchReposDeleteDeployment({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposGetDeploymentPathParams = {
  owner: string;
  repo: string;
  /*
   * deployment_id parameter
   */
  deploymentId: number;
};

export type ReposGetDeploymentError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type ReposGetDeploymentVariables = {
  pathParams: ReposGetDeploymentPathParams;
} & GithubContext["fetcherOptions"];

export const fetchReposGetDeployment = (
  variables: ReposGetDeploymentVariables
) =>
  githubFetch<
    Schemas.Deployment,
    ReposGetDeploymentError,
    undefined,
    {},
    {},
    ReposGetDeploymentPathParams
  >({
    url: "/repos/{owner}/{repo}/deployments/{deploymentId}",
    method: "get",
    ...variables,
  });

export const useReposGetDeployment = <TData = Schemas.Deployment>(
  variables: ReposGetDeploymentVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.Deployment,
      ReposGetDeploymentError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.Deployment,
    ReposGetDeploymentError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/deployments/{deployment_id}",
      operationId: "reposGetDeployment",
      variables,
    }),
    () => fetchReposGetDeployment({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposListDeploymentStatusesPathParams = {
  owner: string;
  repo: string;
  /*
   * deployment_id parameter
   */
  deploymentId: number;
};

export type ReposListDeploymentStatusesQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ReposListDeploymentStatusesError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type ReposListDeploymentStatusesResponse = Schemas.DeploymentStatus[];

export type ReposListDeploymentStatusesVariables = {
  pathParams: ReposListDeploymentStatusesPathParams;
  queryParams?: ReposListDeploymentStatusesQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Users with pull access can view deployment statuses for a deployment:
 */
export const fetchReposListDeploymentStatuses = (
  variables: ReposListDeploymentStatusesVariables
) =>
  githubFetch<
    ReposListDeploymentStatusesResponse,
    ReposListDeploymentStatusesError,
    undefined,
    {},
    ReposListDeploymentStatusesQueryParams,
    ReposListDeploymentStatusesPathParams
  >({
    url: "/repos/{owner}/{repo}/deployments/{deploymentId}/statuses",
    method: "get",
    ...variables,
  });

/**
 * Users with pull access can view deployment statuses for a deployment:
 */
export const useReposListDeploymentStatuses = <
  TData = ReposListDeploymentStatusesResponse
>(
  variables: ReposListDeploymentStatusesVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReposListDeploymentStatusesResponse,
      ReposListDeploymentStatusesError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReposListDeploymentStatusesResponse,
    ReposListDeploymentStatusesError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/deployments/{deployment_id}/statuses",
      operationId: "reposListDeploymentStatuses",
      variables,
    }),
    () => fetchReposListDeploymentStatuses({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposCreateDeploymentStatusPathParams = {
  owner: string;
  repo: string;
  /*
   * deployment_id parameter
   */
  deploymentId: number;
};

export type ReposCreateDeploymentStatusError = Fetcher.ErrorWrapper<{
  status: 422;
  payload: Responses.ValidationFailed;
}>;

export type ReposCreateDeploymentStatusRequestBody = {
  /*
   * Adds a new `inactive` status to all prior non-transient, non-production environment deployments with the same repository and `environment` name as the created status's deployment. An `inactive` status is only added to deployments that had a `success` state. Default: `true`
   * **Note:** To add an `inactive` status to `production` environments, you must use the [`application/vnd.github.flash-preview+json`](https://docs.github.com/rest/overview/api-previews#deployment-statuses) custom media type.
   * **Note:** This parameter requires you to use the [`application/vnd.github.ant-man-preview+json`](https://docs.github.com/rest/overview/api-previews#enhanced-deployments) custom media type.
   */
  auto_inactive?: boolean;
  /*
   * A short description of the status. The maximum description length is 140 characters.
   *
   * @default
   */
  description?: string;
  /*
   * Name for the target deployment environment, which can be changed when setting a deploy status. For example, `production`, `staging`, or `qa`. **Note:** This parameter requires you to use the [`application/vnd.github.flash-preview+json`](https://docs.github.com/rest/overview/api-previews#deployment-statuses) custom media type.
   */
  environment?: "production" | "staging" | "qa";
  /*
   * Sets the URL for accessing your environment. Default: `""`
   * **Note:** This parameter requires you to use the [`application/vnd.github.ant-man-preview+json`](https://docs.github.com/rest/overview/api-previews#enhanced-deployments) custom media type. **Note:** This parameter requires you to use the [`application/vnd.github.ant-man-preview+json`](https://docs.github.com/rest/overview/api-previews#enhanced-deployments) custom media type.
   *
   * @default
   */
  environment_url?: string;
  /*
   * The full URL of the deployment's output. This parameter replaces `target_url`. We will continue to accept `target_url` to support legacy uses, but we recommend replacing `target_url` with `log_url`. Setting `log_url` will automatically set `target_url` to the same value. Default: `""`
   * **Note:** This parameter requires you to use the [`application/vnd.github.ant-man-preview+json`](https://docs.github.com/rest/overview/api-previews#enhanced-deployments) custom media type. **Note:** This parameter requires you to use the [`application/vnd.github.ant-man-preview+json`](https://docs.github.com/rest/overview/api-previews#enhanced-deployments) custom media type.
   *
   * @default
   */
  log_url?: string;
  /*
   * The state of the status. Can be one of `error`, `failure`, `inactive`, `in_progress`, `queued` `pending`, or `success`. **Note:** To use the `inactive` state, you must provide the [`application/vnd.github.ant-man-preview+json`](https://docs.github.com/rest/overview/api-previews#enhanced-deployments) custom media type. To use the `in_progress` and `queued` states, you must provide the [`application/vnd.github.flash-preview+json`](https://docs.github.com/rest/overview/api-previews#deployment-statuses) custom media type. When you set a transient deployment to `inactive`, the deployment will be shown as `destroyed` in GitHub.
   */
  state:
    | "error"
    | "failure"
    | "inactive"
    | "in_progress"
    | "queued"
    | "pending"
    | "success";
  /*
   * The target URL to associate with this status. This URL should contain output to keep the user updated while the task is running or serve as historical information for what happened in the deployment. **Note:** It's recommended to use the `log_url` parameter, which replaces `target_url`.
   *
   * @default
   */
  target_url?: string;
};

export type ReposCreateDeploymentStatusVariables = {
  body: ReposCreateDeploymentStatusRequestBody;
  pathParams: ReposCreateDeploymentStatusPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Users with `push` access can create deployment statuses for a given deployment.
 *
 * GitHub Apps require `read & write` access to "Deployments" and `read-only` access to "Repo contents" (for private repos). OAuth Apps require the `repo_deployment` scope.
 */
export const fetchReposCreateDeploymentStatus = (
  variables: ReposCreateDeploymentStatusVariables
) =>
  githubFetch<
    Schemas.DeploymentStatus,
    ReposCreateDeploymentStatusError,
    ReposCreateDeploymentStatusRequestBody,
    {},
    {},
    ReposCreateDeploymentStatusPathParams
  >({
    url: "/repos/{owner}/{repo}/deployments/{deploymentId}/statuses",
    method: "post",
    ...variables,
  });

/**
 * Users with `push` access can create deployment statuses for a given deployment.
 *
 * GitHub Apps require `read & write` access to "Deployments" and `read-only` access to "Repo contents" (for private repos). OAuth Apps require the `repo_deployment` scope.
 */
export const useReposCreateDeploymentStatus = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.DeploymentStatus,
      ReposCreateDeploymentStatusError,
      ReposCreateDeploymentStatusVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.DeploymentStatus,
    ReposCreateDeploymentStatusError,
    ReposCreateDeploymentStatusVariables
  >(
    (variables: ReposCreateDeploymentStatusVariables) =>
      fetchReposCreateDeploymentStatus({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposGetDeploymentStatusPathParams = {
  owner: string;
  repo: string;
  /*
   * deployment_id parameter
   */
  deploymentId: number;
  statusId: number;
};

export type ReposGetDeploymentStatusError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 415;
      payload: Responses.PreviewHeaderMissing;
    }
>;

export type ReposGetDeploymentStatusVariables = {
  pathParams: ReposGetDeploymentStatusPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Users with pull access can view a deployment status for a deployment:
 */
export const fetchReposGetDeploymentStatus = (
  variables: ReposGetDeploymentStatusVariables
) =>
  githubFetch<
    Schemas.DeploymentStatus,
    ReposGetDeploymentStatusError,
    undefined,
    {},
    {},
    ReposGetDeploymentStatusPathParams
  >({
    url: "/repos/{owner}/{repo}/deployments/{deploymentId}/statuses/{statusId}",
    method: "get",
    ...variables,
  });

/**
 * Users with pull access can view a deployment status for a deployment:
 */
export const useReposGetDeploymentStatus = <TData = Schemas.DeploymentStatus>(
  variables: ReposGetDeploymentStatusVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.DeploymentStatus,
      ReposGetDeploymentStatusError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.DeploymentStatus,
    ReposGetDeploymentStatusError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/deployments/{deployment_id}/statuses/{status_id}",
      operationId: "reposGetDeploymentStatus",
      variables,
    }),
    () => fetchReposGetDeploymentStatus({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposCreateDispatchEventPathParams = {
  owner: string;
  repo: string;
};

export type ReposCreateDispatchEventError = Fetcher.ErrorWrapper<{
  status: 422;
  payload: Responses.ValidationFailed;
}>;

export type ReposCreateDispatchEventRequestBody = {
  /*
   * JSON payload with extra information about the webhook event that your action or worklow may use.
   */
  client_payload?: {
    [key: string]: any;
  };
  /*
   * A custom webhook event name.
   */
  event_type: string;
};

export type ReposCreateDispatchEventVariables = {
  body: ReposCreateDispatchEventRequestBody;
  pathParams: ReposCreateDispatchEventPathParams;
} & GithubContext["fetcherOptions"];

/**
 * You can use this endpoint to trigger a webhook event called `repository_dispatch` when you want activity that happens outside of GitHub to trigger a GitHub Actions workflow or GitHub App webhook. You must configure your GitHub Actions workflow or GitHub App to run when the `repository_dispatch` event occurs. For an example `repository_dispatch` webhook payload, see "[RepositoryDispatchEvent](https://docs.github.com/webhooks/event-payloads/#repository_dispatch)."
 *
 * The `client_payload` parameter is available for any extra information that your workflow might need. This parameter is a JSON payload that will be passed on when the webhook event is dispatched. For example, the `client_payload` can include a message that a user would like to send using a GitHub Actions workflow. Or the `client_payload` can be used as a test to debug your workflow.
 *
 * This endpoint requires write access to the repository by providing either:
 *
 *   - Personal access tokens with `repo` scope. For more information, see "[Creating a personal access token for the command line](https://help.github.com/articles/creating-a-personal-access-token-for-the-command-line)" in the GitHub Help documentation.
 *   - GitHub Apps with both `metadata:read` and `contents:read&write` permissions.
 *
 * This input example shows how you can use the `client_payload` as a test to debug your workflow.
 */
export const fetchReposCreateDispatchEvent = (
  variables: ReposCreateDispatchEventVariables
) =>
  githubFetch<
    undefined,
    ReposCreateDispatchEventError,
    ReposCreateDispatchEventRequestBody,
    {},
    {},
    ReposCreateDispatchEventPathParams
  >({ url: "/repos/{owner}/{repo}/dispatches", method: "post", ...variables });

/**
 * You can use this endpoint to trigger a webhook event called `repository_dispatch` when you want activity that happens outside of GitHub to trigger a GitHub Actions workflow or GitHub App webhook. You must configure your GitHub Actions workflow or GitHub App to run when the `repository_dispatch` event occurs. For an example `repository_dispatch` webhook payload, see "[RepositoryDispatchEvent](https://docs.github.com/webhooks/event-payloads/#repository_dispatch)."
 *
 * The `client_payload` parameter is available for any extra information that your workflow might need. This parameter is a JSON payload that will be passed on when the webhook event is dispatched. For example, the `client_payload` can include a message that a user would like to send using a GitHub Actions workflow. Or the `client_payload` can be used as a test to debug your workflow.
 *
 * This endpoint requires write access to the repository by providing either:
 *
 *   - Personal access tokens with `repo` scope. For more information, see "[Creating a personal access token for the command line](https://help.github.com/articles/creating-a-personal-access-token-for-the-command-line)" in the GitHub Help documentation.
 *   - GitHub Apps with both `metadata:read` and `contents:read&write` permissions.
 *
 * This input example shows how you can use the `client_payload` as a test to debug your workflow.
 */
export const useReposCreateDispatchEvent = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ReposCreateDispatchEventError,
      ReposCreateDispatchEventVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ReposCreateDispatchEventError,
    ReposCreateDispatchEventVariables
  >(
    (variables: ReposCreateDispatchEventVariables) =>
      fetchReposCreateDispatchEvent({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposGetAllEnvironmentsPathParams = {
  owner: string;
  repo: string;
};

export type ReposGetAllEnvironmentsError = Fetcher.ErrorWrapper<undefined>;

export type ReposGetAllEnvironmentsResponse = {
  environments?: Schemas.Environment[];
  /*
   * The number of environments in this repository
   *
   * @example 5
   */
  total_count?: number;
};

export type ReposGetAllEnvironmentsVariables = {
  pathParams: ReposGetAllEnvironmentsPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Get all environments for a repository.
 *
 * Anyone with read access to the repository can use this endpoint. If the repository is private, you must use an access token with the `repo` scope. GitHub Apps must have the `actions:read` permission to use this endpoint.
 */
export const fetchReposGetAllEnvironments = (
  variables: ReposGetAllEnvironmentsVariables
) =>
  githubFetch<
    ReposGetAllEnvironmentsResponse,
    ReposGetAllEnvironmentsError,
    undefined,
    {},
    {},
    ReposGetAllEnvironmentsPathParams
  >({ url: "/repos/{owner}/{repo}/environments", method: "get", ...variables });

/**
 * Get all environments for a repository.
 *
 * Anyone with read access to the repository can use this endpoint. If the repository is private, you must use an access token with the `repo` scope. GitHub Apps must have the `actions:read` permission to use this endpoint.
 */
export const useReposGetAllEnvironments = <
  TData = ReposGetAllEnvironmentsResponse
>(
  variables: ReposGetAllEnvironmentsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReposGetAllEnvironmentsResponse,
      ReposGetAllEnvironmentsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReposGetAllEnvironmentsResponse,
    ReposGetAllEnvironmentsError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/environments",
      operationId: "reposGetAllEnvironments",
      variables,
    }),
    () => fetchReposGetAllEnvironments({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposDeleteAnEnvironmentPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the environment
   */
  environmentName: string;
};

export type ReposDeleteAnEnvironmentError = Fetcher.ErrorWrapper<undefined>;

export type ReposDeleteAnEnvironmentVariables = {
  pathParams: ReposDeleteAnEnvironmentPathParams;
} & GithubContext["fetcherOptions"];

/**
 * You must authenticate using an access token with the repo scope to use this endpoint.
 */
export const fetchReposDeleteAnEnvironment = (
  variables: ReposDeleteAnEnvironmentVariables
) =>
  githubFetch<
    undefined,
    ReposDeleteAnEnvironmentError,
    undefined,
    {},
    {},
    ReposDeleteAnEnvironmentPathParams
  >({
    url: "/repos/{owner}/{repo}/environments/{environmentName}",
    method: "delete",
    ...variables,
  });

/**
 * You must authenticate using an access token with the repo scope to use this endpoint.
 */
export const useReposDeleteAnEnvironment = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ReposDeleteAnEnvironmentError,
      ReposDeleteAnEnvironmentVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ReposDeleteAnEnvironmentError,
    ReposDeleteAnEnvironmentVariables
  >(
    (variables: ReposDeleteAnEnvironmentVariables) =>
      fetchReposDeleteAnEnvironment({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposGetEnvironmentPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the environment
   */
  environmentName: string;
};

export type ReposGetEnvironmentError = Fetcher.ErrorWrapper<undefined>;

export type ReposGetEnvironmentVariables = {
  pathParams: ReposGetEnvironmentPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Anyone with read access to the repository can use this endpoint. If the repository is private, you must use an access token with the `repo` scope. GitHub Apps must have the `actions:read` permission to use this endpoint.
 */
export const fetchReposGetEnvironment = (
  variables: ReposGetEnvironmentVariables
) =>
  githubFetch<
    Schemas.Environment,
    ReposGetEnvironmentError,
    undefined,
    {},
    {},
    ReposGetEnvironmentPathParams
  >({
    url: "/repos/{owner}/{repo}/environments/{environmentName}",
    method: "get",
    ...variables,
  });

/**
 * Anyone with read access to the repository can use this endpoint. If the repository is private, you must use an access token with the `repo` scope. GitHub Apps must have the `actions:read` permission to use this endpoint.
 */
export const useReposGetEnvironment = <TData = Schemas.Environment>(
  variables: ReposGetEnvironmentVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.Environment,
      ReposGetEnvironmentError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.Environment,
    ReposGetEnvironmentError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/environments/{environment_name}",
      operationId: "reposGetEnvironment",
      variables,
    }),
    () => fetchReposGetEnvironment({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposCreateOrUpdateEnvironmentPathParams = {
  owner: string;
  repo: string;
  /*
   * The name of the environment
   */
  environmentName: string;
};

export type ReposCreateOrUpdateEnvironmentError = Fetcher.ErrorWrapper<{
  status: 422;
  payload: Schemas.BasicError;
}>;

export type ReposCreateOrUpdateEnvironmentVariables = {
  body?: {
    deployment_branch_policy?: Schemas.DeploymentBranchPolicy;
    /*
     * The people or teams that may review jobs that reference the environment. You can list up to six users or teams as reviewers. The reviewers must have at least read access to the repository. Only one of the required reviewers needs to approve the job for it to proceed.
     */
    reviewers?:
      | {
          /*
           * The id of the user or team who can review the deployment
           *
           * @example 4532992
           */
          id?: number;
          type?: Schemas.DeploymentReviewerType;
        }[]
      | null;
    wait_timer?: Schemas.WaitTimer;
  } | null;
  pathParams: ReposCreateOrUpdateEnvironmentPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Create or update an environment with protection rules, such as required reviewers. For more information about environment protection rules, see "[Environments](/actions/reference/environments#environment-protection-rules)."
 *
 * **Note:** Although you can use this operation to specify that only branches that match specified name patterns can deploy to this environment, you must use the UI to set the name patterns. For more information, see "[Environments](/actions/reference/environments#deployment-branches)."
 *
 * **Note:** To create or update secrets for an environment, see "[Secrets](/rest/reference/actions#secrets)."
 *
 * You must authenticate using an access token with the repo scope to use this endpoint.
 */
export const fetchReposCreateOrUpdateEnvironment = (
  variables: ReposCreateOrUpdateEnvironmentVariables
) =>
  githubFetch<
    Schemas.Environment,
    ReposCreateOrUpdateEnvironmentError,
    {
      deployment_branch_policy?: Schemas.DeploymentBranchPolicy;
      /*
       * The people or teams that may review jobs that reference the environment. You can list up to six users or teams as reviewers. The reviewers must have at least read access to the repository. Only one of the required reviewers needs to approve the job for it to proceed.
       */
      reviewers?:
        | {
            /*
             * The id of the user or team who can review the deployment
             *
             * @example 4532992
             */
            id?: number;
            type?: Schemas.DeploymentReviewerType;
          }[]
        | null;
      wait_timer?: Schemas.WaitTimer;
    } | null,
    {},
    {},
    ReposCreateOrUpdateEnvironmentPathParams
  >({
    url: "/repos/{owner}/{repo}/environments/{environmentName}",
    method: "put",
    ...variables,
  });

/**
 * Create or update an environment with protection rules, such as required reviewers. For more information about environment protection rules, see "[Environments](/actions/reference/environments#environment-protection-rules)."
 *
 * **Note:** Although you can use this operation to specify that only branches that match specified name patterns can deploy to this environment, you must use the UI to set the name patterns. For more information, see "[Environments](/actions/reference/environments#deployment-branches)."
 *
 * **Note:** To create or update secrets for an environment, see "[Secrets](/rest/reference/actions#secrets)."
 *
 * You must authenticate using an access token with the repo scope to use this endpoint.
 */
export const useReposCreateOrUpdateEnvironment = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Environment,
      ReposCreateOrUpdateEnvironmentError,
      ReposCreateOrUpdateEnvironmentVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Environment,
    ReposCreateOrUpdateEnvironmentError,
    ReposCreateOrUpdateEnvironmentVariables
  >(
    (variables: ReposCreateOrUpdateEnvironmentVariables) =>
      fetchReposCreateOrUpdateEnvironment({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ActivityListRepoEventsPathParams = {
  owner: string;
  repo: string;
};

export type ActivityListRepoEventsQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ActivityListRepoEventsError = Fetcher.ErrorWrapper<undefined>;

export type ActivityListRepoEventsResponse = Schemas.Event[];

export type ActivityListRepoEventsVariables = {
  pathParams: ActivityListRepoEventsPathParams;
  queryParams?: ActivityListRepoEventsQueryParams;
} & GithubContext["fetcherOptions"];

export const fetchActivityListRepoEvents = (
  variables: ActivityListRepoEventsVariables
) =>
  githubFetch<
    ActivityListRepoEventsResponse,
    ActivityListRepoEventsError,
    undefined,
    {},
    ActivityListRepoEventsQueryParams,
    ActivityListRepoEventsPathParams
  >({ url: "/repos/{owner}/{repo}/events", method: "get", ...variables });

export const useActivityListRepoEvents = <
  TData = ActivityListRepoEventsResponse
>(
  variables: ActivityListRepoEventsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ActivityListRepoEventsResponse,
      ActivityListRepoEventsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ActivityListRepoEventsResponse,
    ActivityListRepoEventsError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/events",
      operationId: "activityListRepoEvents",
      variables,
    }),
    () => fetchActivityListRepoEvents({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposListForksPathParams = {
  owner: string;
  repo: string;
};

export type ReposListForksQueryParams = {
  /*
   * The sort order. Can be either `newest`, `oldest`, or `stargazers`.
   *
   * @default newest
   */
  sort?: "newest" | "oldest" | "stargazers" | "watchers";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
  /*
   * legacy query parameter for specifying the org.
   */
  org?: string;
  /*
   * legacy query parameter for specifying the org.
   */
  organization?: string;
};

export type ReposListForksError = Fetcher.ErrorWrapper<{
  status: 400;
  payload: Responses.BadRequest;
}>;

export type ReposListForksResponse = Schemas.MinimalRepository[];

export type ReposListForksVariables = {
  pathParams: ReposListForksPathParams;
  queryParams?: ReposListForksQueryParams;
} & GithubContext["fetcherOptions"];

export const fetchReposListForks = (variables: ReposListForksVariables) =>
  githubFetch<
    ReposListForksResponse,
    ReposListForksError,
    undefined,
    {},
    ReposListForksQueryParams,
    ReposListForksPathParams
  >({ url: "/repos/{owner}/{repo}/forks", method: "get", ...variables });

export const useReposListForks = <TData = ReposListForksResponse>(
  variables: ReposListForksVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReposListForksResponse,
      ReposListForksError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReposListForksResponse,
    ReposListForksError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/forks",
      operationId: "reposListForks",
      variables,
    }),
    () => fetchReposListForks({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposCreateForkPathParams = {
  owner: string;
  repo: string;
};

export type ReposCreateForkQueryParams = {
  /*
   * legacy query parameter for specifying the org.
   */
  org?: string;
  /*
   * legacy query parameter for specifying the org.
   */
  organization?: string;
};

export type ReposCreateForkError = Fetcher.ErrorWrapper<
  | {
      status: 400;
      payload: Responses.BadRequest;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type ReposCreateForkVariables = {
  body?: {
    /*
     * Optional parameter to specify the organization name if forking into an organization.
     */
    organization?: string;
  } | null;
  pathParams: ReposCreateForkPathParams;
  queryParams?: ReposCreateForkQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Create a fork for the authenticated user.
 *
 * **Note**: Forking a Repository happens asynchronously. You may have to wait a short period of time before you can access the git objects. If this takes longer than 5 minutes, be sure to contact [GitHub Support](https://support.github.com/contact) or [GitHub Premium Support](https://premium.githubsupport.com).
 */
export const fetchReposCreateFork = (variables: ReposCreateForkVariables) =>
  githubFetch<
    Schemas.Repository,
    ReposCreateForkError,
    {
      /*
       * Optional parameter to specify the organization name if forking into an organization.
       */
      organization?: string;
    } | null,
    {},
    ReposCreateForkQueryParams,
    ReposCreateForkPathParams
  >({ url: "/repos/{owner}/{repo}/forks", method: "post", ...variables });

/**
 * Create a fork for the authenticated user.
 *
 * **Note**: Forking a Repository happens asynchronously. You may have to wait a short period of time before you can access the git objects. If this takes longer than 5 minutes, be sure to contact [GitHub Support](https://support.github.com/contact) or [GitHub Premium Support](https://premium.githubsupport.com).
 */
export const useReposCreateFork = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Repository,
      ReposCreateForkError,
      ReposCreateForkVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Repository,
    ReposCreateForkError,
    ReposCreateForkVariables
  >(
    (variables: ReposCreateForkVariables) =>
      fetchReposCreateFork({ ...fetcherOptions, ...variables }),
    options
  );
};

export type GitCreateBlobPathParams = {
  owner: string;
  repo: string;
};

export type GitCreateBlobError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 409;
      payload: Responses.Conflict;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type GitCreateBlobRequestBody = {
  /*
   * The new blob's content.
   */
  content: string;
  /*
   * The encoding used for `content`. Currently, `"utf-8"` and `"base64"` are supported.
   *
   * @default utf-8
   */
  encoding?: string;
};

export type GitCreateBlobVariables = {
  body: GitCreateBlobRequestBody;
  pathParams: GitCreateBlobPathParams;
} & GithubContext["fetcherOptions"];

export const fetchGitCreateBlob = (variables: GitCreateBlobVariables) =>
  githubFetch<
    Schemas.ShortBlob,
    GitCreateBlobError,
    GitCreateBlobRequestBody,
    {},
    {},
    GitCreateBlobPathParams
  >({ url: "/repos/{owner}/{repo}/git/blobs", method: "post", ...variables });

export const useGitCreateBlob = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.ShortBlob,
      GitCreateBlobError,
      GitCreateBlobVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.ShortBlob,
    GitCreateBlobError,
    GitCreateBlobVariables
  >(
    (variables: GitCreateBlobVariables) =>
      fetchGitCreateBlob({ ...fetcherOptions, ...variables }),
    options
  );
};

export type GitGetBlobPathParams = {
  owner: string;
  repo: string;
  fileSha: string;
};

export type GitGetBlobError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type GitGetBlobVariables = {
  pathParams: GitGetBlobPathParams;
} & GithubContext["fetcherOptions"];

/**
 * The `content` in the response will always be Base64 encoded.
 *
 * _Note_: This API supports blobs up to 100 megabytes in size.
 */
export const fetchGitGetBlob = (variables: GitGetBlobVariables) =>
  githubFetch<
    Schemas.Blob,
    GitGetBlobError,
    undefined,
    {},
    {},
    GitGetBlobPathParams
  >({
    url: "/repos/{owner}/{repo}/git/blobs/{fileSha}",
    method: "get",
    ...variables,
  });

/**
 * The `content` in the response will always be Base64 encoded.
 *
 * _Note_: This API supports blobs up to 100 megabytes in size.
 */
export const useGitGetBlob = <TData = Schemas.Blob>(
  variables: GitGetBlobVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<Schemas.Blob, GitGetBlobError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.Blob, GitGetBlobError, TData>(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/git/blobs/{file_sha}",
      operationId: "gitGetBlob",
      variables,
    }),
    () => fetchGitGetBlob({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type GitCreateCommitPathParams = {
  owner: string;
  repo: string;
};

export type GitCreateCommitError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type GitCreateCommitRequestBody = {
  /*
   * Information about the author of the commit. By default, the `author` will be the authenticated user and the current date. See the `author` and `committer` object below for details.
   */
  author?: {
    /*
     * Indicates when this commit was authored (or committed). This is a timestamp in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format: `YYYY-MM-DDTHH:MM:SSZ`.
     */
    date?: string;
    /*
     * The email of the author (or committer) of the commit
     */
    email?: string;
    /*
     * The name of the author (or committer) of the commit
     */
    name?: string;
  };
  /*
   * Information about the person who is making the commit. By default, `committer` will use the information set in `author`. See the `author` and `committer` object below for details.
   */
  committer?: {
    /*
     * Indicates when this commit was authored (or committed). This is a timestamp in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format: `YYYY-MM-DDTHH:MM:SSZ`.
     */
    date?: string;
    /*
     * The email of the author (or committer) of the commit
     */
    email?: string;
    /*
     * The name of the author (or committer) of the commit
     */
    name?: string;
  };
  /*
   * The commit message
   */
  message: string;
  /*
   * The SHAs of the commits that were the parents of this commit. If omitted or empty, the commit will be written as a root commit. For a single parent, an array of one SHA should be provided; for a merge commit, an array of more than one should be provided.
   */
  parents?: string[];
  /*
   * The [PGP signature](https://en.wikipedia.org/wiki/Pretty_Good_Privacy) of the commit. GitHub adds the signature to the `gpgsig` header of the created commit. For a commit signature to be verifiable by Git or GitHub, it must be an ASCII-armored detached PGP signature over the string commit as it would be written to the object database. To pass a `signature` parameter, you need to first manually create a valid PGP signature, which can be complicated. You may find it easier to [use the command line](https://git-scm.com/book/id/v2/Git-Tools-Signing-Your-Work) to create signed commits.
   */
  signature?: string;
  /*
   * The SHA of the tree object this commit points to
   */
  tree: string;
};

export type GitCreateCommitVariables = {
  body: GitCreateCommitRequestBody;
  pathParams: GitCreateCommitPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Creates a new Git [commit object](https://git-scm.com/book/en/v1/Git-Internals-Git-Objects#Commit-Objects).
 *
 * **Signature verification object**
 *
 * The response will include a `verification` object that describes the result of verifying the commit's signature. The following fields are included in the `verification` object:
 *
 * | Name | Type | Description |
 * | ---- | ---- | ----------- |
 * | `verified` | `boolean` | Indicates whether GitHub considers the signature in this commit to be verified. |
 * | `reason` | `string` | The reason for verified value. Possible values and their meanings are enumerated in table below. |
 * | `signature` | `string` | The signature that was extracted from the commit. |
 * | `payload` | `string` | The value that was signed. |
 *
 * These are the possible values for `reason` in the `verification` object:
 *
 * | Value | Description |
 * | ----- | ----------- |
 * | `expired_key` | The key that made the signature is expired. |
 * | `not_signing_key` | The "signing" flag is not among the usage flags in the GPG key that made the signature. |
 * | `gpgverify_error` | There was an error communicating with the signature verification service. |
 * | `gpgverify_unavailable` | The signature verification service is currently unavailable. |
 * | `unsigned` | The object does not include a signature. |
 * | `unknown_signature_type` | A non-PGP signature was found in the commit. |
 * | `no_user` | No user was associated with the `committer` email address in the commit. |
 * | `unverified_email` | The `committer` email address in the commit was associated with a user, but the email address is not verified on her/his account. |
 * | `bad_email` | The `committer` email address in the commit is not included in the identities of the PGP key that made the signature. |
 * | `unknown_key` | The key that made the signature has not been registered with any user's account. |
 * | `malformed_signature` | There was an error parsing the signature. |
 * | `invalid` | The signature could not be cryptographically verified using the key whose key-id was found in the signature. |
 * | `valid` | None of the above errors applied, so the signature is considered to be verified. |
 */
export const fetchGitCreateCommit = (variables: GitCreateCommitVariables) =>
  githubFetch<
    Schemas.GitCommit,
    GitCreateCommitError,
    GitCreateCommitRequestBody,
    {},
    {},
    GitCreateCommitPathParams
  >({ url: "/repos/{owner}/{repo}/git/commits", method: "post", ...variables });

/**
 * Creates a new Git [commit object](https://git-scm.com/book/en/v1/Git-Internals-Git-Objects#Commit-Objects).
 *
 * **Signature verification object**
 *
 * The response will include a `verification` object that describes the result of verifying the commit's signature. The following fields are included in the `verification` object:
 *
 * | Name | Type | Description |
 * | ---- | ---- | ----------- |
 * | `verified` | `boolean` | Indicates whether GitHub considers the signature in this commit to be verified. |
 * | `reason` | `string` | The reason for verified value. Possible values and their meanings are enumerated in table below. |
 * | `signature` | `string` | The signature that was extracted from the commit. |
 * | `payload` | `string` | The value that was signed. |
 *
 * These are the possible values for `reason` in the `verification` object:
 *
 * | Value | Description |
 * | ----- | ----------- |
 * | `expired_key` | The key that made the signature is expired. |
 * | `not_signing_key` | The "signing" flag is not among the usage flags in the GPG key that made the signature. |
 * | `gpgverify_error` | There was an error communicating with the signature verification service. |
 * | `gpgverify_unavailable` | The signature verification service is currently unavailable. |
 * | `unsigned` | The object does not include a signature. |
 * | `unknown_signature_type` | A non-PGP signature was found in the commit. |
 * | `no_user` | No user was associated with the `committer` email address in the commit. |
 * | `unverified_email` | The `committer` email address in the commit was associated with a user, but the email address is not verified on her/his account. |
 * | `bad_email` | The `committer` email address in the commit is not included in the identities of the PGP key that made the signature. |
 * | `unknown_key` | The key that made the signature has not been registered with any user's account. |
 * | `malformed_signature` | There was an error parsing the signature. |
 * | `invalid` | The signature could not be cryptographically verified using the key whose key-id was found in the signature. |
 * | `valid` | None of the above errors applied, so the signature is considered to be verified. |
 */
export const useGitCreateCommit = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.GitCommit,
      GitCreateCommitError,
      GitCreateCommitVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.GitCommit,
    GitCreateCommitError,
    GitCreateCommitVariables
  >(
    (variables: GitCreateCommitVariables) =>
      fetchGitCreateCommit({ ...fetcherOptions, ...variables }),
    options
  );
};

export type GitGetCommitPathParams = {
  owner: string;
  repo: string;
  /*
   * commit_sha parameter
   */
  commitSha: string;
};

export type GitGetCommitError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type GitGetCommitVariables = {
  pathParams: GitGetCommitPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets a Git [commit object](https://git-scm.com/book/en/v1/Git-Internals-Git-Objects#Commit-Objects).
 *
 * **Signature verification object**
 *
 * The response will include a `verification` object that describes the result of verifying the commit's signature. The following fields are included in the `verification` object:
 *
 * | Name | Type | Description |
 * | ---- | ---- | ----------- |
 * | `verified` | `boolean` | Indicates whether GitHub considers the signature in this commit to be verified. |
 * | `reason` | `string` | The reason for verified value. Possible values and their meanings are enumerated in table below. |
 * | `signature` | `string` | The signature that was extracted from the commit. |
 * | `payload` | `string` | The value that was signed. |
 *
 * These are the possible values for `reason` in the `verification` object:
 *
 * | Value | Description |
 * | ----- | ----------- |
 * | `expired_key` | The key that made the signature is expired. |
 * | `not_signing_key` | The "signing" flag is not among the usage flags in the GPG key that made the signature. |
 * | `gpgverify_error` | There was an error communicating with the signature verification service. |
 * | `gpgverify_unavailable` | The signature verification service is currently unavailable. |
 * | `unsigned` | The object does not include a signature. |
 * | `unknown_signature_type` | A non-PGP signature was found in the commit. |
 * | `no_user` | No user was associated with the `committer` email address in the commit. |
 * | `unverified_email` | The `committer` email address in the commit was associated with a user, but the email address is not verified on her/his account. |
 * | `bad_email` | The `committer` email address in the commit is not included in the identities of the PGP key that made the signature. |
 * | `unknown_key` | The key that made the signature has not been registered with any user's account. |
 * | `malformed_signature` | There was an error parsing the signature. |
 * | `invalid` | The signature could not be cryptographically verified using the key whose key-id was found in the signature. |
 * | `valid` | None of the above errors applied, so the signature is considered to be verified. |
 */
export const fetchGitGetCommit = (variables: GitGetCommitVariables) =>
  githubFetch<
    Schemas.GitCommit,
    GitGetCommitError,
    undefined,
    {},
    {},
    GitGetCommitPathParams
  >({
    url: "/repos/{owner}/{repo}/git/commits/{commitSha}",
    method: "get",
    ...variables,
  });

/**
 * Gets a Git [commit object](https://git-scm.com/book/en/v1/Git-Internals-Git-Objects#Commit-Objects).
 *
 * **Signature verification object**
 *
 * The response will include a `verification` object that describes the result of verifying the commit's signature. The following fields are included in the `verification` object:
 *
 * | Name | Type | Description |
 * | ---- | ---- | ----------- |
 * | `verified` | `boolean` | Indicates whether GitHub considers the signature in this commit to be verified. |
 * | `reason` | `string` | The reason for verified value. Possible values and their meanings are enumerated in table below. |
 * | `signature` | `string` | The signature that was extracted from the commit. |
 * | `payload` | `string` | The value that was signed. |
 *
 * These are the possible values for `reason` in the `verification` object:
 *
 * | Value | Description |
 * | ----- | ----------- |
 * | `expired_key` | The key that made the signature is expired. |
 * | `not_signing_key` | The "signing" flag is not among the usage flags in the GPG key that made the signature. |
 * | `gpgverify_error` | There was an error communicating with the signature verification service. |
 * | `gpgverify_unavailable` | The signature verification service is currently unavailable. |
 * | `unsigned` | The object does not include a signature. |
 * | `unknown_signature_type` | A non-PGP signature was found in the commit. |
 * | `no_user` | No user was associated with the `committer` email address in the commit. |
 * | `unverified_email` | The `committer` email address in the commit was associated with a user, but the email address is not verified on her/his account. |
 * | `bad_email` | The `committer` email address in the commit is not included in the identities of the PGP key that made the signature. |
 * | `unknown_key` | The key that made the signature has not been registered with any user's account. |
 * | `malformed_signature` | There was an error parsing the signature. |
 * | `invalid` | The signature could not be cryptographically verified using the key whose key-id was found in the signature. |
 * | `valid` | None of the above errors applied, so the signature is considered to be verified. |
 */
export const useGitGetCommit = <TData = Schemas.GitCommit>(
  variables: GitGetCommitVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<Schemas.GitCommit, GitGetCommitError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.GitCommit, GitGetCommitError, TData>(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/git/commits/{commit_sha}",
      operationId: "gitGetCommit",
      variables,
    }),
    () => fetchGitGetCommit({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type GitListMatchingRefsPathParams = {
  owner: string;
  repo: string;
  /*
   * ref parameter
   */
  ref: string;
};

export type GitListMatchingRefsQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type GitListMatchingRefsError = Fetcher.ErrorWrapper<undefined>;

export type GitListMatchingRefsResponse = Schemas.GitRef[];

export type GitListMatchingRefsVariables = {
  pathParams: GitListMatchingRefsPathParams;
  queryParams?: GitListMatchingRefsQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Returns an array of references from your Git database that match the supplied name. The `:ref` in the URL must be formatted as `heads/<branch name>` for branches and `tags/<tag name>` for tags. If the `:ref` doesn't exist in the repository, but existing refs start with `:ref`, they will be returned as an array.
 *
 * When you use this endpoint without providing a `:ref`, it will return an array of all the references from your Git database, including notes and stashes if they exist on the server. Anything in the namespace is returned, not just `heads` and `tags`.
 *
 * **Note:** You need to explicitly [request a pull request](https://docs.github.com/rest/reference/pulls#get-a-pull-request) to trigger a test merge commit, which checks the mergeability of pull requests. For more information, see "[Checking mergeability of pull requests](https://docs.github.com/rest/guides/getting-started-with-the-git-database-api#checking-mergeability-of-pull-requests)".
 *
 * If you request matching references for a branch named `feature` but the branch `feature` doesn't exist, the response can still include other matching head refs that start with the word `feature`, such as `featureA` and `featureB`.
 */
export const fetchGitListMatchingRefs = (
  variables: GitListMatchingRefsVariables
) =>
  githubFetch<
    GitListMatchingRefsResponse,
    GitListMatchingRefsError,
    undefined,
    {},
    GitListMatchingRefsQueryParams,
    GitListMatchingRefsPathParams
  >({
    url: "/repos/{owner}/{repo}/git/matching-refs/{ref}",
    method: "get",
    ...variables,
  });

/**
 * Returns an array of references from your Git database that match the supplied name. The `:ref` in the URL must be formatted as `heads/<branch name>` for branches and `tags/<tag name>` for tags. If the `:ref` doesn't exist in the repository, but existing refs start with `:ref`, they will be returned as an array.
 *
 * When you use this endpoint without providing a `:ref`, it will return an array of all the references from your Git database, including notes and stashes if they exist on the server. Anything in the namespace is returned, not just `heads` and `tags`.
 *
 * **Note:** You need to explicitly [request a pull request](https://docs.github.com/rest/reference/pulls#get-a-pull-request) to trigger a test merge commit, which checks the mergeability of pull requests. For more information, see "[Checking mergeability of pull requests](https://docs.github.com/rest/guides/getting-started-with-the-git-database-api#checking-mergeability-of-pull-requests)".
 *
 * If you request matching references for a branch named `feature` but the branch `feature` doesn't exist, the response can still include other matching head refs that start with the word `feature`, such as `featureA` and `featureB`.
 */
export const useGitListMatchingRefs = <TData = GitListMatchingRefsResponse>(
  variables: GitListMatchingRefsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      GitListMatchingRefsResponse,
      GitListMatchingRefsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    GitListMatchingRefsResponse,
    GitListMatchingRefsError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/git/matching-refs/{ref}",
      operationId: "gitListMatchingRefs",
      variables,
    }),
    () => fetchGitListMatchingRefs({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type GitGetRefPathParams = {
  owner: string;
  repo: string;
  /*
   * ref parameter
   */
  ref: string;
};

export type GitGetRefError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type GitGetRefVariables = {
  pathParams: GitGetRefPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Returns a single reference from your Git database. The `:ref` in the URL must be formatted as `heads/<branch name>` for branches and `tags/<tag name>` for tags. If the `:ref` doesn't match an existing ref, a `404` is returned.
 *
 * **Note:** You need to explicitly [request a pull request](https://docs.github.com/rest/reference/pulls#get-a-pull-request) to trigger a test merge commit, which checks the mergeability of pull requests. For more information, see "[Checking mergeability of pull requests](https://docs.github.com/rest/guides/getting-started-with-the-git-database-api#checking-mergeability-of-pull-requests)".
 */
export const fetchGitGetRef = (variables: GitGetRefVariables) =>
  githubFetch<
    Schemas.GitRef,
    GitGetRefError,
    undefined,
    {},
    {},
    GitGetRefPathParams
  >({
    url: "/repos/{owner}/{repo}/git/ref/{ref}",
    method: "get",
    ...variables,
  });

/**
 * Returns a single reference from your Git database. The `:ref` in the URL must be formatted as `heads/<branch name>` for branches and `tags/<tag name>` for tags. If the `:ref` doesn't match an existing ref, a `404` is returned.
 *
 * **Note:** You need to explicitly [request a pull request](https://docs.github.com/rest/reference/pulls#get-a-pull-request) to trigger a test merge commit, which checks the mergeability of pull requests. For more information, see "[Checking mergeability of pull requests](https://docs.github.com/rest/guides/getting-started-with-the-git-database-api#checking-mergeability-of-pull-requests)".
 */
export const useGitGetRef = <TData = Schemas.GitRef>(
  variables: GitGetRefVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<Schemas.GitRef, GitGetRefError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.GitRef, GitGetRefError, TData>(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/git/ref/{ref}",
      operationId: "gitGetRef",
      variables,
    }),
    () => fetchGitGetRef({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type GitCreateRefPathParams = {
  owner: string;
  repo: string;
};

export type GitCreateRefError = Fetcher.ErrorWrapper<{
  status: 422;
  payload: Responses.ValidationFailed;
}>;

export type GitCreateRefRequestBody = {
  /*
   * @example "refs/heads/newbranch"
   */
  key?: string;
  /*
   * The name of the fully qualified reference (ie: `refs/heads/master`). If it doesn't start with 'refs' and have at least two slashes, it will be rejected.
   */
  ref: string;
  /*
   * The SHA1 value for this reference.
   */
  sha: string;
};

export type GitCreateRefVariables = {
  body: GitCreateRefRequestBody;
  pathParams: GitCreateRefPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Creates a reference for your repository. You are unable to create new references for empty repositories, even if the commit SHA-1 hash used exists. Empty repositories are repositories without branches.
 */
export const fetchGitCreateRef = (variables: GitCreateRefVariables) =>
  githubFetch<
    Schemas.GitRef,
    GitCreateRefError,
    GitCreateRefRequestBody,
    {},
    {},
    GitCreateRefPathParams
  >({ url: "/repos/{owner}/{repo}/git/refs", method: "post", ...variables });

/**
 * Creates a reference for your repository. You are unable to create new references for empty repositories, even if the commit SHA-1 hash used exists. Empty repositories are repositories without branches.
 */
export const useGitCreateRef = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.GitRef,
      GitCreateRefError,
      GitCreateRefVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.GitRef,
    GitCreateRefError,
    GitCreateRefVariables
  >(
    (variables: GitCreateRefVariables) =>
      fetchGitCreateRef({ ...fetcherOptions, ...variables }),
    options
  );
};

export type GitDeleteRefPathParams = {
  owner: string;
  repo: string;
  /*
   * ref parameter
   */
  ref: string;
};

export type GitDeleteRefError = Fetcher.ErrorWrapper<{
  status: 422;
  payload: Responses.ValidationFailed;
}>;

export type GitDeleteRefVariables = {
  pathParams: GitDeleteRefPathParams;
} & GithubContext["fetcherOptions"];

export const fetchGitDeleteRef = (variables: GitDeleteRefVariables) =>
  githubFetch<
    undefined,
    GitDeleteRefError,
    undefined,
    {},
    {},
    GitDeleteRefPathParams
  >({
    url: "/repos/{owner}/{repo}/git/refs/{ref}",
    method: "delete",
    ...variables,
  });

export const useGitDeleteRef = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      GitDeleteRefError,
      GitDeleteRefVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    GitDeleteRefError,
    GitDeleteRefVariables
  >(
    (variables: GitDeleteRefVariables) =>
      fetchGitDeleteRef({ ...fetcherOptions, ...variables }),
    options
  );
};

export type GitUpdateRefPathParams = {
  owner: string;
  repo: string;
  /*
   * ref parameter
   */
  ref: string;
};

export type GitUpdateRefError = Fetcher.ErrorWrapper<{
  status: 422;
  payload: Responses.ValidationFailed;
}>;

export type GitUpdateRefRequestBody = {
  /*
   * Indicates whether to force the update or to make sure the update is a fast-forward update. Leaving this out or setting it to `false` will make sure you're not overwriting work.
   *
   * @default false
   */
  force?: boolean;
  /*
   * The SHA1 value to set this reference to
   */
  sha: string;
};

export type GitUpdateRefVariables = {
  body: GitUpdateRefRequestBody;
  pathParams: GitUpdateRefPathParams;
} & GithubContext["fetcherOptions"];

export const fetchGitUpdateRef = (variables: GitUpdateRefVariables) =>
  githubFetch<
    Schemas.GitRef,
    GitUpdateRefError,
    GitUpdateRefRequestBody,
    {},
    {},
    GitUpdateRefPathParams
  >({
    url: "/repos/{owner}/{repo}/git/refs/{ref}",
    method: "patch",
    ...variables,
  });

export const useGitUpdateRef = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.GitRef,
      GitUpdateRefError,
      GitUpdateRefVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.GitRef,
    GitUpdateRefError,
    GitUpdateRefVariables
  >(
    (variables: GitUpdateRefVariables) =>
      fetchGitUpdateRef({ ...fetcherOptions, ...variables }),
    options
  );
};

export type GitCreateTagPathParams = {
  owner: string;
  repo: string;
};

export type GitCreateTagError = Fetcher.ErrorWrapper<{
  status: 422;
  payload: Responses.ValidationFailed;
}>;

export type GitCreateTagRequestBody = {
  /*
   * The tag message.
   */
  message: string;
  /*
   * The SHA of the git object this is tagging.
   */
  object: string;
  /*
   * The tag's name. This is typically a version (e.g., "v0.0.1").
   */
  tag: string;
  /*
   * An object with information about the individual creating the tag.
   */
  tagger?: {
    /*
     * When this object was tagged. This is a timestamp in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format: `YYYY-MM-DDTHH:MM:SSZ`.
     */
    date?: string;
    /*
     * The email of the author of the tag
     */
    email?: string;
    /*
     * The name of the author of the tag
     */
    name?: string;
  };
  /*
   * The type of the object we're tagging. Normally this is a `commit` but it can also be a `tree` or a `blob`.
   */
  type: "commit" | "tree" | "blob";
};

export type GitCreateTagVariables = {
  body: GitCreateTagRequestBody;
  pathParams: GitCreateTagPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Note that creating a tag object does not create the reference that makes a tag in Git. If you want to create an annotated tag in Git, you have to do this call to create the tag object, and then [create](https://docs.github.com/rest/reference/git#create-a-reference) the `refs/tags/[tag]` reference. If you want to create a lightweight tag, you only have to [create](https://docs.github.com/rest/reference/git#create-a-reference) the tag reference - this call would be unnecessary.
 *
 * **Signature verification object**
 *
 * The response will include a `verification` object that describes the result of verifying the commit's signature. The following fields are included in the `verification` object:
 *
 * | Name | Type | Description |
 * | ---- | ---- | ----------- |
 * | `verified` | `boolean` | Indicates whether GitHub considers the signature in this commit to be verified. |
 * | `reason` | `string` | The reason for verified value. Possible values and their meanings are enumerated in table below. |
 * | `signature` | `string` | The signature that was extracted from the commit. |
 * | `payload` | `string` | The value that was signed. |
 *
 * These are the possible values for `reason` in the `verification` object:
 *
 * | Value | Description |
 * | ----- | ----------- |
 * | `expired_key` | The key that made the signature is expired. |
 * | `not_signing_key` | The "signing" flag is not among the usage flags in the GPG key that made the signature. |
 * | `gpgverify_error` | There was an error communicating with the signature verification service. |
 * | `gpgverify_unavailable` | The signature verification service is currently unavailable. |
 * | `unsigned` | The object does not include a signature. |
 * | `unknown_signature_type` | A non-PGP signature was found in the commit. |
 * | `no_user` | No user was associated with the `committer` email address in the commit. |
 * | `unverified_email` | The `committer` email address in the commit was associated with a user, but the email address is not verified on her/his account. |
 * | `bad_email` | The `committer` email address in the commit is not included in the identities of the PGP key that made the signature. |
 * | `unknown_key` | The key that made the signature has not been registered with any user's account. |
 * | `malformed_signature` | There was an error parsing the signature. |
 * | `invalid` | The signature could not be cryptographically verified using the key whose key-id was found in the signature. |
 * | `valid` | None of the above errors applied, so the signature is considered to be verified. |
 */
export const fetchGitCreateTag = (variables: GitCreateTagVariables) =>
  githubFetch<
    Schemas.GitTag,
    GitCreateTagError,
    GitCreateTagRequestBody,
    {},
    {},
    GitCreateTagPathParams
  >({ url: "/repos/{owner}/{repo}/git/tags", method: "post", ...variables });

/**
 * Note that creating a tag object does not create the reference that makes a tag in Git. If you want to create an annotated tag in Git, you have to do this call to create the tag object, and then [create](https://docs.github.com/rest/reference/git#create-a-reference) the `refs/tags/[tag]` reference. If you want to create a lightweight tag, you only have to [create](https://docs.github.com/rest/reference/git#create-a-reference) the tag reference - this call would be unnecessary.
 *
 * **Signature verification object**
 *
 * The response will include a `verification` object that describes the result of verifying the commit's signature. The following fields are included in the `verification` object:
 *
 * | Name | Type | Description |
 * | ---- | ---- | ----------- |
 * | `verified` | `boolean` | Indicates whether GitHub considers the signature in this commit to be verified. |
 * | `reason` | `string` | The reason for verified value. Possible values and their meanings are enumerated in table below. |
 * | `signature` | `string` | The signature that was extracted from the commit. |
 * | `payload` | `string` | The value that was signed. |
 *
 * These are the possible values for `reason` in the `verification` object:
 *
 * | Value | Description |
 * | ----- | ----------- |
 * | `expired_key` | The key that made the signature is expired. |
 * | `not_signing_key` | The "signing" flag is not among the usage flags in the GPG key that made the signature. |
 * | `gpgverify_error` | There was an error communicating with the signature verification service. |
 * | `gpgverify_unavailable` | The signature verification service is currently unavailable. |
 * | `unsigned` | The object does not include a signature. |
 * | `unknown_signature_type` | A non-PGP signature was found in the commit. |
 * | `no_user` | No user was associated with the `committer` email address in the commit. |
 * | `unverified_email` | The `committer` email address in the commit was associated with a user, but the email address is not verified on her/his account. |
 * | `bad_email` | The `committer` email address in the commit is not included in the identities of the PGP key that made the signature. |
 * | `unknown_key` | The key that made the signature has not been registered with any user's account. |
 * | `malformed_signature` | There was an error parsing the signature. |
 * | `invalid` | The signature could not be cryptographically verified using the key whose key-id was found in the signature. |
 * | `valid` | None of the above errors applied, so the signature is considered to be verified. |
 */
export const useGitCreateTag = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.GitTag,
      GitCreateTagError,
      GitCreateTagVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.GitTag,
    GitCreateTagError,
    GitCreateTagVariables
  >(
    (variables: GitCreateTagVariables) =>
      fetchGitCreateTag({ ...fetcherOptions, ...variables }),
    options
  );
};

export type GitGetTagPathParams = {
  owner: string;
  repo: string;
  tagSha: string;
};

export type GitGetTagError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type GitGetTagVariables = {
  pathParams: GitGetTagPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Signature verification object**
 *
 * The response will include a `verification` object that describes the result of verifying the commit's signature. The following fields are included in the `verification` object:
 *
 * | Name | Type | Description |
 * | ---- | ---- | ----------- |
 * | `verified` | `boolean` | Indicates whether GitHub considers the signature in this commit to be verified. |
 * | `reason` | `string` | The reason for verified value. Possible values and their meanings are enumerated in table below. |
 * | `signature` | `string` | The signature that was extracted from the commit. |
 * | `payload` | `string` | The value that was signed. |
 *
 * These are the possible values for `reason` in the `verification` object:
 *
 * | Value | Description |
 * | ----- | ----------- |
 * | `expired_key` | The key that made the signature is expired. |
 * | `not_signing_key` | The "signing" flag is not among the usage flags in the GPG key that made the signature. |
 * | `gpgverify_error` | There was an error communicating with the signature verification service. |
 * | `gpgverify_unavailable` | The signature verification service is currently unavailable. |
 * | `unsigned` | The object does not include a signature. |
 * | `unknown_signature_type` | A non-PGP signature was found in the commit. |
 * | `no_user` | No user was associated with the `committer` email address in the commit. |
 * | `unverified_email` | The `committer` email address in the commit was associated with a user, but the email address is not verified on her/his account. |
 * | `bad_email` | The `committer` email address in the commit is not included in the identities of the PGP key that made the signature. |
 * | `unknown_key` | The key that made the signature has not been registered with any user's account. |
 * | `malformed_signature` | There was an error parsing the signature. |
 * | `invalid` | The signature could not be cryptographically verified using the key whose key-id was found in the signature. |
 * | `valid` | None of the above errors applied, so the signature is considered to be verified. |
 */
export const fetchGitGetTag = (variables: GitGetTagVariables) =>
  githubFetch<
    Schemas.GitTag,
    GitGetTagError,
    undefined,
    {},
    {},
    GitGetTagPathParams
  >({
    url: "/repos/{owner}/{repo}/git/tags/{tagSha}",
    method: "get",
    ...variables,
  });

/**
 * **Signature verification object**
 *
 * The response will include a `verification` object that describes the result of verifying the commit's signature. The following fields are included in the `verification` object:
 *
 * | Name | Type | Description |
 * | ---- | ---- | ----------- |
 * | `verified` | `boolean` | Indicates whether GitHub considers the signature in this commit to be verified. |
 * | `reason` | `string` | The reason for verified value. Possible values and their meanings are enumerated in table below. |
 * | `signature` | `string` | The signature that was extracted from the commit. |
 * | `payload` | `string` | The value that was signed. |
 *
 * These are the possible values for `reason` in the `verification` object:
 *
 * | Value | Description |
 * | ----- | ----------- |
 * | `expired_key` | The key that made the signature is expired. |
 * | `not_signing_key` | The "signing" flag is not among the usage flags in the GPG key that made the signature. |
 * | `gpgverify_error` | There was an error communicating with the signature verification service. |
 * | `gpgverify_unavailable` | The signature verification service is currently unavailable. |
 * | `unsigned` | The object does not include a signature. |
 * | `unknown_signature_type` | A non-PGP signature was found in the commit. |
 * | `no_user` | No user was associated with the `committer` email address in the commit. |
 * | `unverified_email` | The `committer` email address in the commit was associated with a user, but the email address is not verified on her/his account. |
 * | `bad_email` | The `committer` email address in the commit is not included in the identities of the PGP key that made the signature. |
 * | `unknown_key` | The key that made the signature has not been registered with any user's account. |
 * | `malformed_signature` | There was an error parsing the signature. |
 * | `invalid` | The signature could not be cryptographically verified using the key whose key-id was found in the signature. |
 * | `valid` | None of the above errors applied, so the signature is considered to be verified. |
 */
export const useGitGetTag = <TData = Schemas.GitTag>(
  variables: GitGetTagVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<Schemas.GitTag, GitGetTagError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.GitTag, GitGetTagError, TData>(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/git/tags/{tag_sha}",
      operationId: "gitGetTag",
      variables,
    }),
    () => fetchGitGetTag({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type GitCreateTreePathParams = {
  owner: string;
  repo: string;
};

export type GitCreateTreeError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type GitCreateTreeRequestBody = {
  /*
   * The SHA1 of an existing Git tree object which will be used as the base for the new tree. If provided, a new Git tree object will be created from entries in the Git tree object pointed to by `base_tree` and entries defined in the `tree` parameter. Entries defined in the `tree` parameter will overwrite items from `base_tree` with the same `path`. If you're creating new changes on a branch, then normally you'd set `base_tree` to the SHA1 of the Git tree object of the current latest commit on the branch you're working on.
   * If not provided, GitHub will create a new Git tree object from only the entries defined in the `tree` parameter. If you create a new commit pointing to such a tree, then all files which were a part of the parent commit's tree and were not defined in the `tree` parameter will be listed as deleted by the new commit.
   */
  base_tree?: string;
  /*
   * Objects (of `path`, `mode`, `type`, and `sha`) specifying a tree structure.
   */
  tree: {
    /*
     * The content you want this file to have. GitHub will write this blob out and use that SHA for this entry. Use either this, or `tree.sha`.
     *
     * **Note:** Use either `tree.sha` or `content` to specify the contents of the entry. Using both `tree.sha` and `content` will return an error.
     */
    content?: string;
    /*
     * The file mode; one of `100644` for file (blob), `100755` for executable (blob), `040000` for subdirectory (tree), `160000` for submodule (commit), or `120000` for a blob that specifies the path of a symlink.
     */
    mode?: "100644" | "100755" | "040000" | "160000" | "120000";
    /*
     * The file referenced in the tree.
     */
    path?: string;
    /*
     * The SHA1 checksum ID of the object in the tree. Also called `tree.sha`. If the value is `null` then the file will be deleted.
     *
     * **Note:** Use either `tree.sha` or `content` to specify the contents of the entry. Using both `tree.sha` and `content` will return an error.
     */
    sha?: string | null;
    /*
     * Either `blob`, `tree`, or `commit`.
     */
    type?: "blob" | "tree" | "commit";
  }[];
};

export type GitCreateTreeVariables = {
  body: GitCreateTreeRequestBody;
  pathParams: GitCreateTreePathParams;
} & GithubContext["fetcherOptions"];

/**
 * The tree creation API accepts nested entries. If you specify both a tree and a nested path modifying that tree, this endpoint will overwrite the contents of the tree with the new path contents, and create a new tree structure.
 *
 * If you use this endpoint to add, delete, or modify the file contents in a tree, you will need to commit the tree and then update a branch to point to the commit. For more information see "[Create a commit](https://docs.github.com/rest/reference/git#create-a-commit)" and "[Update a reference](https://docs.github.com/rest/reference/git#update-a-reference)."
 */
export const fetchGitCreateTree = (variables: GitCreateTreeVariables) =>
  githubFetch<
    Schemas.GitTree,
    GitCreateTreeError,
    GitCreateTreeRequestBody,
    {},
    {},
    GitCreateTreePathParams
  >({ url: "/repos/{owner}/{repo}/git/trees", method: "post", ...variables });

/**
 * The tree creation API accepts nested entries. If you specify both a tree and a nested path modifying that tree, this endpoint will overwrite the contents of the tree with the new path contents, and create a new tree structure.
 *
 * If you use this endpoint to add, delete, or modify the file contents in a tree, you will need to commit the tree and then update a branch to point to the commit. For more information see "[Create a commit](https://docs.github.com/rest/reference/git#create-a-commit)" and "[Update a reference](https://docs.github.com/rest/reference/git#update-a-reference)."
 */
export const useGitCreateTree = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.GitTree,
      GitCreateTreeError,
      GitCreateTreeVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.GitTree,
    GitCreateTreeError,
    GitCreateTreeVariables
  >(
    (variables: GitCreateTreeVariables) =>
      fetchGitCreateTree({ ...fetcherOptions, ...variables }),
    options
  );
};

export type GitGetTreePathParams = {
  owner: string;
  repo: string;
  treeSha: string;
};

export type GitGetTreeQueryParams = {
  /*
   * Setting this parameter to any value returns the objects or subtrees referenced by the tree specified in `:tree_sha`. For example, setting `recursive` to any of the following will enable returning objects or subtrees: `0`, `1`, `"true"`, and `"false"`. Omit this parameter to prevent recursively returning objects or subtrees.
   */
  recursive?: string;
};

export type GitGetTreeError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type GitGetTreeVariables = {
  pathParams: GitGetTreePathParams;
  queryParams?: GitGetTreeQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Returns a single tree using the SHA1 value for that tree.
 *
 * If `truncated` is `true` in the response then the number of items in the `tree` array exceeded our maximum limit. If you need to fetch more items, use the non-recursive method of fetching trees, and fetch one sub-tree at a time.
 */
export const fetchGitGetTree = (variables: GitGetTreeVariables) =>
  githubFetch<
    Schemas.GitTree,
    GitGetTreeError,
    undefined,
    {},
    GitGetTreeQueryParams,
    GitGetTreePathParams
  >({
    url: "/repos/{owner}/{repo}/git/trees/{treeSha}",
    method: "get",
    ...variables,
  });

/**
 * Returns a single tree using the SHA1 value for that tree.
 *
 * If `truncated` is `true` in the response then the number of items in the `tree` array exceeded our maximum limit. If you need to fetch more items, use the non-recursive method of fetching trees, and fetch one sub-tree at a time.
 */
export const useGitGetTree = <TData = Schemas.GitTree>(
  variables: GitGetTreeVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<Schemas.GitTree, GitGetTreeError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.GitTree, GitGetTreeError, TData>(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/git/trees/{tree_sha}",
      operationId: "gitGetTree",
      variables,
    }),
    () => fetchGitGetTree({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposListWebhooksPathParams = {
  owner: string;
  repo: string;
};

export type ReposListWebhooksQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ReposListWebhooksError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type ReposListWebhooksResponse = Schemas.Hook[];

export type ReposListWebhooksVariables = {
  pathParams: ReposListWebhooksPathParams;
  queryParams?: ReposListWebhooksQueryParams;
} & GithubContext["fetcherOptions"];

export const fetchReposListWebhooks = (variables: ReposListWebhooksVariables) =>
  githubFetch<
    ReposListWebhooksResponse,
    ReposListWebhooksError,
    undefined,
    {},
    ReposListWebhooksQueryParams,
    ReposListWebhooksPathParams
  >({ url: "/repos/{owner}/{repo}/hooks", method: "get", ...variables });

export const useReposListWebhooks = <TData = ReposListWebhooksResponse>(
  variables: ReposListWebhooksVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReposListWebhooksResponse,
      ReposListWebhooksError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReposListWebhooksResponse,
    ReposListWebhooksError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/hooks",
      operationId: "reposListWebhooks",
      variables,
    }),
    () => fetchReposListWebhooks({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposCreateWebhookPathParams = {
  owner: string;
  repo: string;
};

export type ReposCreateWebhookError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type ReposCreateWebhookRequestBody = {
  /*
   * Determines if notifications are sent when the webhook is triggered. Set to `true` to send notifications.
   *
   * @default true
   */
  active?: boolean;
  /*
   * Key/value pairs to provide settings for this webhook. [These are defined below](https://docs.github.com/rest/reference/repos#create-hook-config-params).
   */
  config: {
    content_type?: Schemas.WebhookConfigContentType;
    /*
     * @example "sha256"
     */
    digest?: string;
    insecure_ssl?: Schemas.WebhookConfigInsecureSsl;
    secret?: Schemas.WebhookConfigSecret;
    /*
     * @example "abc"
     */
    token?: string;
    url: Schemas.WebhookConfigUrl;
  };
  /*
   * Determines what [events](https://docs.github.com/webhooks/event-payloads) the hook is triggered for.
   *
   * @default push
   */
  events?: string[];
  /*
   * Use `web` to create a webhook. Default: `web`. This parameter only accepts the value `web`.
   */
  name?: string;
};

export type ReposCreateWebhookVariables = {
  body: ReposCreateWebhookRequestBody;
  pathParams: ReposCreateWebhookPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Repositories can have multiple webhooks installed. Each webhook should have a unique `config`. Multiple webhooks can
 * share the same `config` as long as those webhooks do not have any `events` that overlap.
 */
export const fetchReposCreateWebhook = (
  variables: ReposCreateWebhookVariables
) =>
  githubFetch<
    Schemas.Hook,
    ReposCreateWebhookError,
    ReposCreateWebhookRequestBody,
    {},
    {},
    ReposCreateWebhookPathParams
  >({ url: "/repos/{owner}/{repo}/hooks", method: "post", ...variables });

/**
 * Repositories can have multiple webhooks installed. Each webhook should have a unique `config`. Multiple webhooks can
 * share the same `config` as long as those webhooks do not have any `events` that overlap.
 */
export const useReposCreateWebhook = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Hook,
      ReposCreateWebhookError,
      ReposCreateWebhookVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Hook,
    ReposCreateWebhookError,
    ReposCreateWebhookVariables
  >(
    (variables: ReposCreateWebhookVariables) =>
      fetchReposCreateWebhook({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposDeleteWebhookPathParams = {
  owner: string;
  repo: string;
  hookId: number;
};

export type ReposDeleteWebhookError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type ReposDeleteWebhookVariables = {
  pathParams: ReposDeleteWebhookPathParams;
} & GithubContext["fetcherOptions"];

export const fetchReposDeleteWebhook = (
  variables: ReposDeleteWebhookVariables
) =>
  githubFetch<
    undefined,
    ReposDeleteWebhookError,
    undefined,
    {},
    {},
    ReposDeleteWebhookPathParams
  >({
    url: "/repos/{owner}/{repo}/hooks/{hookId}",
    method: "delete",
    ...variables,
  });

export const useReposDeleteWebhook = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ReposDeleteWebhookError,
      ReposDeleteWebhookVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ReposDeleteWebhookError,
    ReposDeleteWebhookVariables
  >(
    (variables: ReposDeleteWebhookVariables) =>
      fetchReposDeleteWebhook({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposGetWebhookPathParams = {
  owner: string;
  repo: string;
  hookId: number;
};

export type ReposGetWebhookError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type ReposGetWebhookVariables = {
  pathParams: ReposGetWebhookPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Returns a webhook configured in a repository. To get only the webhook `config` properties, see "[Get a webhook configuration for a repository](/rest/reference/repos#get-a-webhook-configuration-for-a-repository)."
 */
export const fetchReposGetWebhook = (variables: ReposGetWebhookVariables) =>
  githubFetch<
    Schemas.Hook,
    ReposGetWebhookError,
    undefined,
    {},
    {},
    ReposGetWebhookPathParams
  >({
    url: "/repos/{owner}/{repo}/hooks/{hookId}",
    method: "get",
    ...variables,
  });

/**
 * Returns a webhook configured in a repository. To get only the webhook `config` properties, see "[Get a webhook configuration for a repository](/rest/reference/repos#get-a-webhook-configuration-for-a-repository)."
 */
export const useReposGetWebhook = <TData = Schemas.Hook>(
  variables: ReposGetWebhookVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<Schemas.Hook, ReposGetWebhookError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.Hook, ReposGetWebhookError, TData>(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/hooks/{hook_id}",
      operationId: "reposGetWebhook",
      variables,
    }),
    () => fetchReposGetWebhook({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposUpdateWebhookPathParams = {
  owner: string;
  repo: string;
  hookId: number;
};

export type ReposUpdateWebhookError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type ReposUpdateWebhookRequestBody = {
  /*
   * Determines if notifications are sent when the webhook is triggered. Set to `true` to send notifications.
   *
   * @default true
   */
  active?: boolean;
  /*
   * Determines a list of events to be added to the list of events that the Hook triggers for.
   */
  add_events?: string[];
  /*
   * Key/value pairs to provide settings for this webhook. [These are defined below](https://docs.github.com/rest/reference/repos#create-hook-config-params).
   */
  config?: {
    /*
     * @example "bar@example.com"
     */
    address?: string;
    content_type?: Schemas.WebhookConfigContentType;
    insecure_ssl?: Schemas.WebhookConfigInsecureSsl;
    /*
     * @example "The Serious Room"
     */
    room?: string;
    secret?: Schemas.WebhookConfigSecret;
    url: Schemas.WebhookConfigUrl;
  };
  /*
   * Determines what [events](https://docs.github.com/webhooks/event-payloads) the hook is triggered for. This replaces the entire array of events.
   *
   * @default push
   */
  events?: string[];
  /*
   * Determines a list of events to be removed from the list of events that the Hook triggers for.
   */
  remove_events?: string[];
};

export type ReposUpdateWebhookVariables = {
  body?: ReposUpdateWebhookRequestBody;
  pathParams: ReposUpdateWebhookPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Updates a webhook configured in a repository. If you previously had a `secret` set, you must provide the same `secret` or set a new `secret` or the secret will be removed. If you are only updating individual webhook `config` properties, use "[Update a webhook configuration for a repository](/rest/reference/repos#update-a-webhook-configuration-for-a-repository)."
 */
export const fetchReposUpdateWebhook = (
  variables: ReposUpdateWebhookVariables
) =>
  githubFetch<
    Schemas.Hook,
    ReposUpdateWebhookError,
    ReposUpdateWebhookRequestBody,
    {},
    {},
    ReposUpdateWebhookPathParams
  >({
    url: "/repos/{owner}/{repo}/hooks/{hookId}",
    method: "patch",
    ...variables,
  });

/**
 * Updates a webhook configured in a repository. If you previously had a `secret` set, you must provide the same `secret` or set a new `secret` or the secret will be removed. If you are only updating individual webhook `config` properties, use "[Update a webhook configuration for a repository](/rest/reference/repos#update-a-webhook-configuration-for-a-repository)."
 */
export const useReposUpdateWebhook = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Hook,
      ReposUpdateWebhookError,
      ReposUpdateWebhookVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Hook,
    ReposUpdateWebhookError,
    ReposUpdateWebhookVariables
  >(
    (variables: ReposUpdateWebhookVariables) =>
      fetchReposUpdateWebhook({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposGetWebhookConfigForRepoPathParams = {
  owner: string;
  repo: string;
  hookId: number;
};

export type ReposGetWebhookConfigForRepoError = Fetcher.ErrorWrapper<undefined>;

export type ReposGetWebhookConfigForRepoVariables = {
  pathParams: ReposGetWebhookConfigForRepoPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Returns the webhook configuration for a repository. To get more information about the webhook, including the `active` state and `events`, use "[Get a repository webhook](/rest/reference/orgs#get-a-repository-webhook)."
 *
 * Access tokens must have the `read:repo_hook` or `repo` scope, and GitHub Apps must have the `repository_hooks:read` permission.
 */
export const fetchReposGetWebhookConfigForRepo = (
  variables: ReposGetWebhookConfigForRepoVariables
) =>
  githubFetch<
    Schemas.WebhookConfig,
    ReposGetWebhookConfigForRepoError,
    undefined,
    {},
    {},
    ReposGetWebhookConfigForRepoPathParams
  >({
    url: "/repos/{owner}/{repo}/hooks/{hookId}/config",
    method: "get",
    ...variables,
  });

/**
 * Returns the webhook configuration for a repository. To get more information about the webhook, including the `active` state and `events`, use "[Get a repository webhook](/rest/reference/orgs#get-a-repository-webhook)."
 *
 * Access tokens must have the `read:repo_hook` or `repo` scope, and GitHub Apps must have the `repository_hooks:read` permission.
 */
export const useReposGetWebhookConfigForRepo = <TData = Schemas.WebhookConfig>(
  variables: ReposGetWebhookConfigForRepoVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.WebhookConfig,
      ReposGetWebhookConfigForRepoError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.WebhookConfig,
    ReposGetWebhookConfigForRepoError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/hooks/{hook_id}/config",
      operationId: "reposGetWebhookConfigForRepo",
      variables,
    }),
    () =>
      fetchReposGetWebhookConfigForRepo({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposUpdateWebhookConfigForRepoPathParams = {
  owner: string;
  repo: string;
  hookId: number;
};

export type ReposUpdateWebhookConfigForRepoError =
  Fetcher.ErrorWrapper<undefined>;

export type ReposUpdateWebhookConfigForRepoRequestBody = {
  content_type?: Schemas.WebhookConfigContentType;
  insecure_ssl?: Schemas.WebhookConfigInsecureSsl;
  secret?: Schemas.WebhookConfigSecret;
  url?: Schemas.WebhookConfigUrl;
};

export type ReposUpdateWebhookConfigForRepoVariables = {
  body?: ReposUpdateWebhookConfigForRepoRequestBody;
  pathParams: ReposUpdateWebhookConfigForRepoPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Updates the webhook configuration for a repository. To update more information about the webhook, including the `active` state and `events`, use "[Update a repository webhook](/rest/reference/orgs#update-a-repository-webhook)."
 *
 * Access tokens must have the `write:repo_hook` or `repo` scope, and GitHub Apps must have the `repository_hooks:write` permission.
 */
export const fetchReposUpdateWebhookConfigForRepo = (
  variables: ReposUpdateWebhookConfigForRepoVariables
) =>
  githubFetch<
    Schemas.WebhookConfig,
    ReposUpdateWebhookConfigForRepoError,
    ReposUpdateWebhookConfigForRepoRequestBody,
    {},
    {},
    ReposUpdateWebhookConfigForRepoPathParams
  >({
    url: "/repos/{owner}/{repo}/hooks/{hookId}/config",
    method: "patch",
    ...variables,
  });

/**
 * Updates the webhook configuration for a repository. To update more information about the webhook, including the `active` state and `events`, use "[Update a repository webhook](/rest/reference/orgs#update-a-repository-webhook)."
 *
 * Access tokens must have the `write:repo_hook` or `repo` scope, and GitHub Apps must have the `repository_hooks:write` permission.
 */
export const useReposUpdateWebhookConfigForRepo = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.WebhookConfig,
      ReposUpdateWebhookConfigForRepoError,
      ReposUpdateWebhookConfigForRepoVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.WebhookConfig,
    ReposUpdateWebhookConfigForRepoError,
    ReposUpdateWebhookConfigForRepoVariables
  >(
    (variables: ReposUpdateWebhookConfigForRepoVariables) =>
      fetchReposUpdateWebhookConfigForRepo({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposPingWebhookPathParams = {
  owner: string;
  repo: string;
  hookId: number;
};

export type ReposPingWebhookError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type ReposPingWebhookVariables = {
  pathParams: ReposPingWebhookPathParams;
} & GithubContext["fetcherOptions"];

/**
 * This will trigger a [ping event](https://docs.github.com/webhooks/#ping-event) to be sent to the hook.
 */
export const fetchReposPingWebhook = (variables: ReposPingWebhookVariables) =>
  githubFetch<
    undefined,
    ReposPingWebhookError,
    undefined,
    {},
    {},
    ReposPingWebhookPathParams
  >({
    url: "/repos/{owner}/{repo}/hooks/{hookId}/pings",
    method: "post",
    ...variables,
  });

/**
 * This will trigger a [ping event](https://docs.github.com/webhooks/#ping-event) to be sent to the hook.
 */
export const useReposPingWebhook = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ReposPingWebhookError,
      ReposPingWebhookVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ReposPingWebhookError,
    ReposPingWebhookVariables
  >(
    (variables: ReposPingWebhookVariables) =>
      fetchReposPingWebhook({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposTestPushWebhookPathParams = {
  owner: string;
  repo: string;
  hookId: number;
};

export type ReposTestPushWebhookError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type ReposTestPushWebhookVariables = {
  pathParams: ReposTestPushWebhookPathParams;
} & GithubContext["fetcherOptions"];

/**
 * This will trigger the hook with the latest push to the current repository if the hook is subscribed to `push` events. If the hook is not subscribed to `push` events, the server will respond with 204 but no test POST will be generated.
 *
 * **Note**: Previously `/repos/:owner/:repo/hooks/:hook_id/test`
 */
export const fetchReposTestPushWebhook = (
  variables: ReposTestPushWebhookVariables
) =>
  githubFetch<
    undefined,
    ReposTestPushWebhookError,
    undefined,
    {},
    {},
    ReposTestPushWebhookPathParams
  >({
    url: "/repos/{owner}/{repo}/hooks/{hookId}/tests",
    method: "post",
    ...variables,
  });

/**
 * This will trigger the hook with the latest push to the current repository if the hook is subscribed to `push` events. If the hook is not subscribed to `push` events, the server will respond with 204 but no test POST will be generated.
 *
 * **Note**: Previously `/repos/:owner/:repo/hooks/:hook_id/test`
 */
export const useReposTestPushWebhook = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ReposTestPushWebhookError,
      ReposTestPushWebhookVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ReposTestPushWebhookError,
    ReposTestPushWebhookVariables
  >(
    (variables: ReposTestPushWebhookVariables) =>
      fetchReposTestPushWebhook({ ...fetcherOptions, ...variables }),
    options
  );
};

export type MigrationsCancelImportPathParams = {
  owner: string;
  repo: string;
};

export type MigrationsCancelImportError = Fetcher.ErrorWrapper<undefined>;

export type MigrationsCancelImportVariables = {
  pathParams: MigrationsCancelImportPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Stop an import for a repository.
 */
export const fetchMigrationsCancelImport = (
  variables: MigrationsCancelImportVariables
) =>
  githubFetch<
    undefined,
    MigrationsCancelImportError,
    undefined,
    {},
    {},
    MigrationsCancelImportPathParams
  >({ url: "/repos/{owner}/{repo}/import", method: "delete", ...variables });

/**
 * Stop an import for a repository.
 */
export const useMigrationsCancelImport = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      MigrationsCancelImportError,
      MigrationsCancelImportVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    MigrationsCancelImportError,
    MigrationsCancelImportVariables
  >(
    (variables: MigrationsCancelImportVariables) =>
      fetchMigrationsCancelImport({ ...fetcherOptions, ...variables }),
    options
  );
};

export type MigrationsGetImportStatusPathParams = {
  owner: string;
  repo: string;
};

export type MigrationsGetImportStatusError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type MigrationsGetImportStatusVariables = {
  pathParams: MigrationsGetImportStatusPathParams;
} & GithubContext["fetcherOptions"];

/**
 * View the progress of an import.
 *
 * **Import status**
 *
 * This section includes details about the possible values of the `status` field of the Import Progress response.
 *
 * An import that does not have errors will progress through these steps:
 *
 * *   `detecting` - the "detection" step of the import is in progress because the request did not include a `vcs` parameter. The import is identifying the type of source control present at the URL.
 * *   `importing` - the "raw" step of the import is in progress. This is where commit data is fetched from the original repository. The import progress response will include `commit_count` (the total number of raw commits that will be imported) and `percent` (0 - 100, the current progress through the import).
 * *   `mapping` - the "rewrite" step of the import is in progress. This is where SVN branches are converted to Git branches, and where author updates are applied. The import progress response does not include progress information.
 * *   `pushing` - the "push" step of the import is in progress. This is where the importer updates the repository on GitHub. The import progress response will include `push_percent`, which is the percent value reported by `git push` when it is "Writing objects".
 * *   `complete` - the import is complete, and the repository is ready on GitHub.
 *
 * If there are problems, you will see one of these in the `status` field:
 *
 * *   `auth_failed` - the import requires authentication in order to connect to the original repository. To update authentication for the import, please see the [Update an import](https://docs.github.com/rest/reference/migrations#update-an-import) section.
 * *   `error` - the import encountered an error. The import progress response will include the `failed_step` and an error message. Contact [GitHub Support](https://support.github.com/contact) or [GitHub Premium Support](https://premium.githubsupport.com) for more information.
 * *   `detection_needs_auth` - the importer requires authentication for the originating repository to continue detection. To update authentication for the import, please see the [Update an import](https://docs.github.com/rest/reference/migrations#update-an-import) section.
 * *   `detection_found_nothing` - the importer didn't recognize any source control at the URL. To resolve, [Cancel the import](https://docs.github.com/rest/reference/migrations#cancel-an-import) and [retry](https://docs.github.com/rest/reference/migrations#start-an-import) with the correct URL.
 * *   `detection_found_multiple` - the importer found several projects or repositories at the provided URL. When this is the case, the Import Progress response will also include a `project_choices` field with the possible project choices as values. To update project choice, please see the [Update an import](https://docs.github.com/rest/reference/migrations#update-an-import) section.
 *
 * **The project_choices field**
 *
 * When multiple projects are found at the provided URL, the response hash will include a `project_choices` field, the value of which is an array of hashes each representing a project choice. The exact key/value pairs of the project hashes will differ depending on the version control type.
 *
 * **Git LFS related fields**
 *
 * This section includes details about Git LFS related fields that may be present in the Import Progress response.
 *
 * *   `use_lfs` - describes whether the import has been opted in or out of using Git LFS. The value can be `opt_in`, `opt_out`, or `undecided` if no action has been taken.
 * *   `has_large_files` - the boolean value describing whether files larger than 100MB were found during the `importing` step.
 * *   `large_files_size` - the total size in gigabytes of files larger than 100MB found in the originating repository.
 * *   `large_files_count` - the total number of files larger than 100MB found in the originating repository. To see a list of these files, make a "Get Large Files" request.
 */
export const fetchMigrationsGetImportStatus = (
  variables: MigrationsGetImportStatusVariables
) =>
  githubFetch<
    Schemas.Import,
    MigrationsGetImportStatusError,
    undefined,
    {},
    {},
    MigrationsGetImportStatusPathParams
  >({ url: "/repos/{owner}/{repo}/import", method: "get", ...variables });

/**
 * View the progress of an import.
 *
 * **Import status**
 *
 * This section includes details about the possible values of the `status` field of the Import Progress response.
 *
 * An import that does not have errors will progress through these steps:
 *
 * *   `detecting` - the "detection" step of the import is in progress because the request did not include a `vcs` parameter. The import is identifying the type of source control present at the URL.
 * *   `importing` - the "raw" step of the import is in progress. This is where commit data is fetched from the original repository. The import progress response will include `commit_count` (the total number of raw commits that will be imported) and `percent` (0 - 100, the current progress through the import).
 * *   `mapping` - the "rewrite" step of the import is in progress. This is where SVN branches are converted to Git branches, and where author updates are applied. The import progress response does not include progress information.
 * *   `pushing` - the "push" step of the import is in progress. This is where the importer updates the repository on GitHub. The import progress response will include `push_percent`, which is the percent value reported by `git push` when it is "Writing objects".
 * *   `complete` - the import is complete, and the repository is ready on GitHub.
 *
 * If there are problems, you will see one of these in the `status` field:
 *
 * *   `auth_failed` - the import requires authentication in order to connect to the original repository. To update authentication for the import, please see the [Update an import](https://docs.github.com/rest/reference/migrations#update-an-import) section.
 * *   `error` - the import encountered an error. The import progress response will include the `failed_step` and an error message. Contact [GitHub Support](https://support.github.com/contact) or [GitHub Premium Support](https://premium.githubsupport.com) for more information.
 * *   `detection_needs_auth` - the importer requires authentication for the originating repository to continue detection. To update authentication for the import, please see the [Update an import](https://docs.github.com/rest/reference/migrations#update-an-import) section.
 * *   `detection_found_nothing` - the importer didn't recognize any source control at the URL. To resolve, [Cancel the import](https://docs.github.com/rest/reference/migrations#cancel-an-import) and [retry](https://docs.github.com/rest/reference/migrations#start-an-import) with the correct URL.
 * *   `detection_found_multiple` - the importer found several projects or repositories at the provided URL. When this is the case, the Import Progress response will also include a `project_choices` field with the possible project choices as values. To update project choice, please see the [Update an import](https://docs.github.com/rest/reference/migrations#update-an-import) section.
 *
 * **The project_choices field**
 *
 * When multiple projects are found at the provided URL, the response hash will include a `project_choices` field, the value of which is an array of hashes each representing a project choice. The exact key/value pairs of the project hashes will differ depending on the version control type.
 *
 * **Git LFS related fields**
 *
 * This section includes details about Git LFS related fields that may be present in the Import Progress response.
 *
 * *   `use_lfs` - describes whether the import has been opted in or out of using Git LFS. The value can be `opt_in`, `opt_out`, or `undecided` if no action has been taken.
 * *   `has_large_files` - the boolean value describing whether files larger than 100MB were found during the `importing` step.
 * *   `large_files_size` - the total size in gigabytes of files larger than 100MB found in the originating repository.
 * *   `large_files_count` - the total number of files larger than 100MB found in the originating repository. To see a list of these files, make a "Get Large Files" request.
 */
export const useMigrationsGetImportStatus = <TData = Schemas.Import>(
  variables: MigrationsGetImportStatusVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.Import,
      MigrationsGetImportStatusError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.Import,
    MigrationsGetImportStatusError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/import",
      operationId: "migrationsGetImportStatus",
      variables,
    }),
    () => fetchMigrationsGetImportStatus({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type MigrationsUpdateImportPathParams = {
  owner: string;
  repo: string;
};

export type MigrationsUpdateImportError = Fetcher.ErrorWrapper<undefined>;

export type MigrationsUpdateImportRequestBody = {
  /*
   * @example "project1"
   */
  tfvc_project?: string;
  /*
   * @example "git"
   */
  vcs?: string;
  /*
   * The password to provide to the originating repository.
   */
  vcs_password?: string;
  /*
   * The username to provide to the originating repository.
   */
  vcs_username?: string;
};

export type MigrationsUpdateImportVariables = {
  body?: MigrationsUpdateImportRequestBody;
  pathParams: MigrationsUpdateImportPathParams;
} & GithubContext["fetcherOptions"];

/**
 * An import can be updated with credentials or a project choice by passing in the appropriate parameters in this API
 * request. If no parameters are provided, the import will be restarted.
 */
export const fetchMigrationsUpdateImport = (
  variables: MigrationsUpdateImportVariables
) =>
  githubFetch<
    Schemas.Import,
    MigrationsUpdateImportError,
    MigrationsUpdateImportRequestBody,
    {},
    {},
    MigrationsUpdateImportPathParams
  >({ url: "/repos/{owner}/{repo}/import", method: "patch", ...variables });

/**
 * An import can be updated with credentials or a project choice by passing in the appropriate parameters in this API
 * request. If no parameters are provided, the import will be restarted.
 */
export const useMigrationsUpdateImport = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Import,
      MigrationsUpdateImportError,
      MigrationsUpdateImportVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Import,
    MigrationsUpdateImportError,
    MigrationsUpdateImportVariables
  >(
    (variables: MigrationsUpdateImportVariables) =>
      fetchMigrationsUpdateImport({ ...fetcherOptions, ...variables }),
    options
  );
};

export type MigrationsStartImportPathParams = {
  owner: string;
  repo: string;
};

export type MigrationsStartImportError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type MigrationsStartImportRequestBody = {
  /*
   * For a tfvc import, the name of the project that is being imported.
   */
  tfvc_project?: string;
  /*
   * The originating VCS type. Can be one of `subversion`, `git`, `mercurial`, or `tfvc`. Please be aware that without this parameter, the import job will take additional time to detect the VCS type before beginning the import. This detection step will be reflected in the response.
   */
  vcs?: "subversion" | "git" | "mercurial" | "tfvc";
  /*
   * If authentication is required, the password to provide to `vcs_url`.
   */
  vcs_password?: string;
  /*
   * The URL of the originating repository.
   */
  vcs_url: string;
  /*
   * If authentication is required, the username to provide to `vcs_url`.
   */
  vcs_username?: string;
};

export type MigrationsStartImportVariables = {
  body: MigrationsStartImportRequestBody;
  pathParams: MigrationsStartImportPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Start a source import to a GitHub repository using GitHub Importer.
 */
export const fetchMigrationsStartImport = (
  variables: MigrationsStartImportVariables
) =>
  githubFetch<
    Schemas.Import,
    MigrationsStartImportError,
    MigrationsStartImportRequestBody,
    {},
    {},
    MigrationsStartImportPathParams
  >({ url: "/repos/{owner}/{repo}/import", method: "put", ...variables });

/**
 * Start a source import to a GitHub repository using GitHub Importer.
 */
export const useMigrationsStartImport = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Import,
      MigrationsStartImportError,
      MigrationsStartImportVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Import,
    MigrationsStartImportError,
    MigrationsStartImportVariables
  >(
    (variables: MigrationsStartImportVariables) =>
      fetchMigrationsStartImport({ ...fetcherOptions, ...variables }),
    options
  );
};

export type MigrationsGetCommitAuthorsPathParams = {
  owner: string;
  repo: string;
};

export type MigrationsGetCommitAuthorsQueryParams = {
  /*
   * A user ID. Only return users with an ID greater than this ID.
   */
  since?: number;
};

export type MigrationsGetCommitAuthorsError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type MigrationsGetCommitAuthorsResponse = Schemas.PorterAuthor[];

export type MigrationsGetCommitAuthorsVariables = {
  pathParams: MigrationsGetCommitAuthorsPathParams;
  queryParams?: MigrationsGetCommitAuthorsQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Each type of source control system represents authors in a different way. For example, a Git commit author has a display name and an email address, but a Subversion commit author just has a username. The GitHub Importer will make the author information valid, but the author might not be correct. For example, it will change the bare Subversion username `hubot` into something like `hubot <hubot@12341234-abab-fefe-8787-fedcba987654>`.
 *
 * This endpoint and the [Map a commit author](https://docs.github.com/rest/reference/migrations#map-a-commit-author) endpoint allow you to provide correct Git author information.
 */
export const fetchMigrationsGetCommitAuthors = (
  variables: MigrationsGetCommitAuthorsVariables
) =>
  githubFetch<
    MigrationsGetCommitAuthorsResponse,
    MigrationsGetCommitAuthorsError,
    undefined,
    {},
    MigrationsGetCommitAuthorsQueryParams,
    MigrationsGetCommitAuthorsPathParams
  >({
    url: "/repos/{owner}/{repo}/import/authors",
    method: "get",
    ...variables,
  });

/**
 * Each type of source control system represents authors in a different way. For example, a Git commit author has a display name and an email address, but a Subversion commit author just has a username. The GitHub Importer will make the author information valid, but the author might not be correct. For example, it will change the bare Subversion username `hubot` into something like `hubot <hubot@12341234-abab-fefe-8787-fedcba987654>`.
 *
 * This endpoint and the [Map a commit author](https://docs.github.com/rest/reference/migrations#map-a-commit-author) endpoint allow you to provide correct Git author information.
 */
export const useMigrationsGetCommitAuthors = <
  TData = MigrationsGetCommitAuthorsResponse
>(
  variables: MigrationsGetCommitAuthorsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      MigrationsGetCommitAuthorsResponse,
      MigrationsGetCommitAuthorsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    MigrationsGetCommitAuthorsResponse,
    MigrationsGetCommitAuthorsError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/import/authors",
      operationId: "migrationsGetCommitAuthors",
      variables,
    }),
    () => fetchMigrationsGetCommitAuthors({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type MigrationsMapCommitAuthorPathParams = {
  owner: string;
  repo: string;
  authorId: number;
};

export type MigrationsMapCommitAuthorError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type MigrationsMapCommitAuthorRequestBody = {
  /*
   * The new Git author email.
   */
  email?: string;
  /*
   * The new Git author name.
   */
  name?: string;
  /*
   * @example "can't touch this"
   */
  remote_id?: string;
};

export type MigrationsMapCommitAuthorVariables = {
  body?: MigrationsMapCommitAuthorRequestBody;
  pathParams: MigrationsMapCommitAuthorPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Update an author's identity for the import. Your application can continue updating authors any time before you push new commits to the repository.
 */
export const fetchMigrationsMapCommitAuthor = (
  variables: MigrationsMapCommitAuthorVariables
) =>
  githubFetch<
    Schemas.PorterAuthor,
    MigrationsMapCommitAuthorError,
    MigrationsMapCommitAuthorRequestBody,
    {},
    {},
    MigrationsMapCommitAuthorPathParams
  >({
    url: "/repos/{owner}/{repo}/import/authors/{authorId}",
    method: "patch",
    ...variables,
  });

/**
 * Update an author's identity for the import. Your application can continue updating authors any time before you push new commits to the repository.
 */
export const useMigrationsMapCommitAuthor = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.PorterAuthor,
      MigrationsMapCommitAuthorError,
      MigrationsMapCommitAuthorVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.PorterAuthor,
    MigrationsMapCommitAuthorError,
    MigrationsMapCommitAuthorVariables
  >(
    (variables: MigrationsMapCommitAuthorVariables) =>
      fetchMigrationsMapCommitAuthor({ ...fetcherOptions, ...variables }),
    options
  );
};

export type MigrationsGetLargeFilesPathParams = {
  owner: string;
  repo: string;
};

export type MigrationsGetLargeFilesError = Fetcher.ErrorWrapper<undefined>;

export type MigrationsGetLargeFilesResponse = Schemas.PorterLargeFile[];

export type MigrationsGetLargeFilesVariables = {
  pathParams: MigrationsGetLargeFilesPathParams;
} & GithubContext["fetcherOptions"];

/**
 * List files larger than 100MB found during the import
 */
export const fetchMigrationsGetLargeFiles = (
  variables: MigrationsGetLargeFilesVariables
) =>
  githubFetch<
    MigrationsGetLargeFilesResponse,
    MigrationsGetLargeFilesError,
    undefined,
    {},
    {},
    MigrationsGetLargeFilesPathParams
  >({
    url: "/repos/{owner}/{repo}/import/large_files",
    method: "get",
    ...variables,
  });

/**
 * List files larger than 100MB found during the import
 */
export const useMigrationsGetLargeFiles = <
  TData = MigrationsGetLargeFilesResponse
>(
  variables: MigrationsGetLargeFilesVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      MigrationsGetLargeFilesResponse,
      MigrationsGetLargeFilesError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    MigrationsGetLargeFilesResponse,
    MigrationsGetLargeFilesError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/import/large_files",
      operationId: "migrationsGetLargeFiles",
      variables,
    }),
    () => fetchMigrationsGetLargeFiles({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type MigrationsSetLfsPreferencePathParams = {
  owner: string;
  repo: string;
};

export type MigrationsSetLfsPreferenceError = Fetcher.ErrorWrapper<{
  status: 422;
  payload: Responses.ValidationFailed;
}>;

export type MigrationsSetLfsPreferenceRequestBody = {
  /*
   * Can be one of `opt_in` (large files will be stored using Git LFS) or `opt_out` (large files will be removed during the import).
   */
  use_lfs: "opt_in" | "opt_out";
};

export type MigrationsSetLfsPreferenceVariables = {
  body: MigrationsSetLfsPreferenceRequestBody;
  pathParams: MigrationsSetLfsPreferencePathParams;
} & GithubContext["fetcherOptions"];

/**
 * You can import repositories from Subversion, Mercurial, and TFS that include files larger than 100MB. This ability is powered by [Git LFS](https://git-lfs.github.com). You can learn more about our LFS feature and working with large files [on our help site](https://help.github.com/articles/versioning-large-files/).
 */
export const fetchMigrationsSetLfsPreference = (
  variables: MigrationsSetLfsPreferenceVariables
) =>
  githubFetch<
    Schemas.Import,
    MigrationsSetLfsPreferenceError,
    MigrationsSetLfsPreferenceRequestBody,
    {},
    {},
    MigrationsSetLfsPreferencePathParams
  >({ url: "/repos/{owner}/{repo}/import/lfs", method: "patch", ...variables });

/**
 * You can import repositories from Subversion, Mercurial, and TFS that include files larger than 100MB. This ability is powered by [Git LFS](https://git-lfs.github.com). You can learn more about our LFS feature and working with large files [on our help site](https://help.github.com/articles/versioning-large-files/).
 */
export const useMigrationsSetLfsPreference = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Import,
      MigrationsSetLfsPreferenceError,
      MigrationsSetLfsPreferenceVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Import,
    MigrationsSetLfsPreferenceError,
    MigrationsSetLfsPreferenceVariables
  >(
    (variables: MigrationsSetLfsPreferenceVariables) =>
      fetchMigrationsSetLfsPreference({ ...fetcherOptions, ...variables }),
    options
  );
};

export type AppsGetRepoInstallationPathParams = {
  owner: string;
  repo: string;
};

export type AppsGetRepoInstallationError = Fetcher.ErrorWrapper<
  | {
      status: 301;
      payload: Responses.MovedPermanently;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type AppsGetRepoInstallationVariables = {
  pathParams: AppsGetRepoInstallationPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Enables an authenticated GitHub App to find the repository's installation information. The installation's account type will be either an organization or a user account, depending which account the repository belongs to.
 *
 * You must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint.
 */
export const fetchAppsGetRepoInstallation = (
  variables: AppsGetRepoInstallationVariables
) =>
  githubFetch<
    Schemas.Installation,
    AppsGetRepoInstallationError,
    undefined,
    {},
    {},
    AppsGetRepoInstallationPathParams
  >({ url: "/repos/{owner}/{repo}/installation", method: "get", ...variables });

/**
 * Enables an authenticated GitHub App to find the repository's installation information. The installation's account type will be either an organization or a user account, depending which account the repository belongs to.
 *
 * You must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint.
 */
export const useAppsGetRepoInstallation = <TData = Schemas.Installation>(
  variables: AppsGetRepoInstallationVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.Installation,
      AppsGetRepoInstallationError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.Installation,
    AppsGetRepoInstallationError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/installation",
      operationId: "appsGetRepoInstallation",
      variables,
    }),
    () => fetchAppsGetRepoInstallation({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type InteractionsRemoveRestrictionsForRepoPathParams = {
  owner: string;
  repo: string;
};

export type InteractionsRemoveRestrictionsForRepoError =
  Fetcher.ErrorWrapper<undefined>;

export type InteractionsRemoveRestrictionsForRepoVariables = {
  pathParams: InteractionsRemoveRestrictionsForRepoPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Removes all interaction restrictions from the given repository. You must have owner or admin access to remove restrictions. If the interaction limit is set for the user or organization that owns this repository, you will receive a `409 Conflict` response and will not be able to use this endpoint to change the interaction limit for a single repository.
 */
export const fetchInteractionsRemoveRestrictionsForRepo = (
  variables: InteractionsRemoveRestrictionsForRepoVariables
) =>
  githubFetch<
    undefined,
    InteractionsRemoveRestrictionsForRepoError,
    undefined,
    {},
    {},
    InteractionsRemoveRestrictionsForRepoPathParams
  >({
    url: "/repos/{owner}/{repo}/interaction-limits",
    method: "delete",
    ...variables,
  });

/**
 * Removes all interaction restrictions from the given repository. You must have owner or admin access to remove restrictions. If the interaction limit is set for the user or organization that owns this repository, you will receive a `409 Conflict` response and will not be able to use this endpoint to change the interaction limit for a single repository.
 */
export const useInteractionsRemoveRestrictionsForRepo = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      InteractionsRemoveRestrictionsForRepoError,
      InteractionsRemoveRestrictionsForRepoVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    InteractionsRemoveRestrictionsForRepoError,
    InteractionsRemoveRestrictionsForRepoVariables
  >(
    (variables: InteractionsRemoveRestrictionsForRepoVariables) =>
      fetchInteractionsRemoveRestrictionsForRepo({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type InteractionsGetRestrictionsForRepoPathParams = {
  owner: string;
  repo: string;
};

export type InteractionsGetRestrictionsForRepoError =
  Fetcher.ErrorWrapper<undefined>;

export type InteractionsGetRestrictionsForRepoVariables = {
  pathParams: InteractionsGetRestrictionsForRepoPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Shows which type of GitHub user can interact with this repository and when the restriction expires. If there are no restrictions, you will see an empty response.
 */
export const fetchInteractionsGetRestrictionsForRepo = (
  variables: InteractionsGetRestrictionsForRepoVariables
) =>
  githubFetch<
    Schemas.InteractionLimitResponse,
    InteractionsGetRestrictionsForRepoError,
    undefined,
    {},
    {},
    InteractionsGetRestrictionsForRepoPathParams
  >({
    url: "/repos/{owner}/{repo}/interaction-limits",
    method: "get",
    ...variables,
  });

/**
 * Shows which type of GitHub user can interact with this repository and when the restriction expires. If there are no restrictions, you will see an empty response.
 */
export const useInteractionsGetRestrictionsForRepo = <
  TData = Schemas.InteractionLimitResponse
>(
  variables: InteractionsGetRestrictionsForRepoVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.InteractionLimitResponse,
      InteractionsGetRestrictionsForRepoError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.InteractionLimitResponse,
    InteractionsGetRestrictionsForRepoError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/interaction-limits",
      operationId: "interactionsGetRestrictionsForRepo",
      variables,
    }),
    () =>
      fetchInteractionsGetRestrictionsForRepo({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type InteractionsSetRestrictionsForRepoPathParams = {
  owner: string;
  repo: string;
};

export type InteractionsSetRestrictionsForRepoError =
  Fetcher.ErrorWrapper<undefined>;

export type InteractionsSetRestrictionsForRepoVariables = {
  body: Schemas.InteractionLimit;
  pathParams: InteractionsSetRestrictionsForRepoPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Temporarily restricts interactions to a certain type of GitHub user within the given repository. You must have owner or admin access to set these restrictions. If an interaction limit is set for the user or organization that owns this repository, you will receive a `409 Conflict` response and will not be able to use this endpoint to change the interaction limit for a single repository.
 */
export const fetchInteractionsSetRestrictionsForRepo = (
  variables: InteractionsSetRestrictionsForRepoVariables
) =>
  githubFetch<
    Schemas.InteractionLimitResponse,
    InteractionsSetRestrictionsForRepoError,
    Schemas.InteractionLimit,
    {},
    {},
    InteractionsSetRestrictionsForRepoPathParams
  >({
    url: "/repos/{owner}/{repo}/interaction-limits",
    method: "put",
    ...variables,
  });

/**
 * Temporarily restricts interactions to a certain type of GitHub user within the given repository. You must have owner or admin access to set these restrictions. If an interaction limit is set for the user or organization that owns this repository, you will receive a `409 Conflict` response and will not be able to use this endpoint to change the interaction limit for a single repository.
 */
export const useInteractionsSetRestrictionsForRepo = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.InteractionLimitResponse,
      InteractionsSetRestrictionsForRepoError,
      InteractionsSetRestrictionsForRepoVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.InteractionLimitResponse,
    InteractionsSetRestrictionsForRepoError,
    InteractionsSetRestrictionsForRepoVariables
  >(
    (variables: InteractionsSetRestrictionsForRepoVariables) =>
      fetchInteractionsSetRestrictionsForRepo({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ReposListInvitationsPathParams = {
  owner: string;
  repo: string;
};

export type ReposListInvitationsQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ReposListInvitationsError = Fetcher.ErrorWrapper<undefined>;

export type ReposListInvitationsResponse = Schemas.RepositoryInvitation[];

export type ReposListInvitationsVariables = {
  pathParams: ReposListInvitationsPathParams;
  queryParams?: ReposListInvitationsQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * When authenticating as a user with admin rights to a repository, this endpoint will list all currently open repository invitations.
 */
export const fetchReposListInvitations = (
  variables: ReposListInvitationsVariables
) =>
  githubFetch<
    ReposListInvitationsResponse,
    ReposListInvitationsError,
    undefined,
    {},
    ReposListInvitationsQueryParams,
    ReposListInvitationsPathParams
  >({ url: "/repos/{owner}/{repo}/invitations", method: "get", ...variables });

/**
 * When authenticating as a user with admin rights to a repository, this endpoint will list all currently open repository invitations.
 */
export const useReposListInvitations = <TData = ReposListInvitationsResponse>(
  variables: ReposListInvitationsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReposListInvitationsResponse,
      ReposListInvitationsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReposListInvitationsResponse,
    ReposListInvitationsError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/invitations",
      operationId: "reposListInvitations",
      variables,
    }),
    () => fetchReposListInvitations({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposDeleteInvitationPathParams = {
  owner: string;
  repo: string;
  /*
   * invitation_id parameter
   */
  invitationId: number;
};

export type ReposDeleteInvitationError = Fetcher.ErrorWrapper<undefined>;

export type ReposDeleteInvitationVariables = {
  pathParams: ReposDeleteInvitationPathParams;
} & GithubContext["fetcherOptions"];

export const fetchReposDeleteInvitation = (
  variables: ReposDeleteInvitationVariables
) =>
  githubFetch<
    undefined,
    ReposDeleteInvitationError,
    undefined,
    {},
    {},
    ReposDeleteInvitationPathParams
  >({
    url: "/repos/{owner}/{repo}/invitations/{invitationId}",
    method: "delete",
    ...variables,
  });

export const useReposDeleteInvitation = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ReposDeleteInvitationError,
      ReposDeleteInvitationVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ReposDeleteInvitationError,
    ReposDeleteInvitationVariables
  >(
    (variables: ReposDeleteInvitationVariables) =>
      fetchReposDeleteInvitation({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposUpdateInvitationPathParams = {
  owner: string;
  repo: string;
  /*
   * invitation_id parameter
   */
  invitationId: number;
};

export type ReposUpdateInvitationError = Fetcher.ErrorWrapper<undefined>;

export type ReposUpdateInvitationRequestBody = {
  /*
   * The permissions that the associated user will have on the repository. Valid values are `read`, `write`, `maintain`, `triage`, and `admin`.
   */
  permissions?: "read" | "write" | "maintain" | "triage" | "admin";
};

export type ReposUpdateInvitationVariables = {
  body?: ReposUpdateInvitationRequestBody;
  pathParams: ReposUpdateInvitationPathParams;
} & GithubContext["fetcherOptions"];

export const fetchReposUpdateInvitation = (
  variables: ReposUpdateInvitationVariables
) =>
  githubFetch<
    Schemas.RepositoryInvitation,
    ReposUpdateInvitationError,
    ReposUpdateInvitationRequestBody,
    {},
    {},
    ReposUpdateInvitationPathParams
  >({
    url: "/repos/{owner}/{repo}/invitations/{invitationId}",
    method: "patch",
    ...variables,
  });

export const useReposUpdateInvitation = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.RepositoryInvitation,
      ReposUpdateInvitationError,
      ReposUpdateInvitationVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.RepositoryInvitation,
    ReposUpdateInvitationError,
    ReposUpdateInvitationVariables
  >(
    (variables: ReposUpdateInvitationVariables) =>
      fetchReposUpdateInvitation({ ...fetcherOptions, ...variables }),
    options
  );
};

export type IssuesListForRepoPathParams = {
  owner: string;
  repo: string;
};

export type IssuesListForRepoQueryParams = {
  /*
   * If an `integer` is passed, it should refer to a milestone by its `number` field. If the string `*` is passed, issues with any milestone are accepted. If the string `none` is passed, issues without milestones are returned.
   */
  milestone?: string;
  /*
   * Indicates the state of the issues to return. Can be either `open`, `closed`, or `all`.
   *
   * @default open
   */
  state?: "open" | "closed" | "all";
  /*
   * Can be the name of a user. Pass in `none` for issues with no assigned user, and `*` for issues assigned to any user.
   */
  assignee?: string;
  /*
   * The user that created the issue.
   */
  creator?: string;
  /*
   * A user that's mentioned in the issue.
   */
  mentioned?: string;
  /*
   * A list of comma separated label names. Example: `bug,ui,@high`
   */
  labels?: string;
  /*
   * What to sort results by. Can be either `created`, `updated`, `comments`.
   *
   * @default created
   */
  sort?: "created" | "updated" | "comments";
  /*
   * One of `asc` (ascending) or `desc` (descending).
   *
   * @default desc
   */
  direction?: "asc" | "desc";
  /*
   * Only show notifications updated after the given time. This is a timestamp in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format: `YYYY-MM-DDTHH:MM:SSZ`.
   */
  since?: string;
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type IssuesListForRepoError = Fetcher.ErrorWrapper<
  | {
      status: 301;
      payload: Responses.MovedPermanently;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type IssuesListForRepoResponse = Schemas.IssueSimple[];

export type IssuesListForRepoVariables = {
  pathParams: IssuesListForRepoPathParams;
  queryParams?: IssuesListForRepoQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * List issues in a repository.
 *
 * **Note**: GitHub's REST API v3 considers every pull request an issue, but not every issue is a pull request. For this
 * reason, "Issues" endpoints may return both issues and pull requests in the response. You can identify pull requests by
 * the `pull_request` key. Be aware that the `id` of a pull request returned from "Issues" endpoints will be an _issue id_. To find out the pull
 * request id, use the "[List pull requests](https://docs.github.com/rest/reference/pulls#list-pull-requests)" endpoint.
 */
export const fetchIssuesListForRepo = (variables: IssuesListForRepoVariables) =>
  githubFetch<
    IssuesListForRepoResponse,
    IssuesListForRepoError,
    undefined,
    {},
    IssuesListForRepoQueryParams,
    IssuesListForRepoPathParams
  >({ url: "/repos/{owner}/{repo}/issues", method: "get", ...variables });

/**
 * List issues in a repository.
 *
 * **Note**: GitHub's REST API v3 considers every pull request an issue, but not every issue is a pull request. For this
 * reason, "Issues" endpoints may return both issues and pull requests in the response. You can identify pull requests by
 * the `pull_request` key. Be aware that the `id` of a pull request returned from "Issues" endpoints will be an _issue id_. To find out the pull
 * request id, use the "[List pull requests](https://docs.github.com/rest/reference/pulls#list-pull-requests)" endpoint.
 */
export const useIssuesListForRepo = <TData = IssuesListForRepoResponse>(
  variables: IssuesListForRepoVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      IssuesListForRepoResponse,
      IssuesListForRepoError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    IssuesListForRepoResponse,
    IssuesListForRepoError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/issues",
      operationId: "issuesListForRepo",
      variables,
    }),
    () => fetchIssuesListForRepo({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type IssuesCreatePathParams = {
  owner: string;
  repo: string;
};

export type IssuesCreateError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 410;
      payload: Responses.Gone;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
  | {
      status: 503;
      payload: Responses.ServiceUnavailable;
    }
>;

export type IssuesCreateRequestBody = {
  /*
   * Login for the user that this issue should be assigned to. _NOTE: Only users with push access can set the assignee for new issues. The assignee is silently dropped otherwise. **This field is deprecated.**_
   */
  assignee?: string | null;
  /*
   * Logins for Users to assign to this issue. _NOTE: Only users with push access can set assignees for new issues. Assignees are silently dropped otherwise._
   */
  assignees?: string[];
  /*
   * The contents of the issue.
   */
  body?: string;
  /*
   * Labels to associate with this issue. _NOTE: Only users with push access can set labels for new issues. Labels are silently dropped otherwise._
   */
  labels?: (
    | string
    | {
        color?: string | null;
        description?: string | null;
        id?: number;
        name?: string;
      }
  )[];
  milestone?: string | number | null;
  /*
   * The title of the issue.
   */
  title: string | number;
};

export type IssuesCreateVariables = {
  body: IssuesCreateRequestBody;
  pathParams: IssuesCreatePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Any user with pull access to a repository can create an issue. If [issues are disabled in the repository](https://help.github.com/articles/disabling-issues/), the API returns a `410 Gone` status.
 *
 * This endpoint triggers [notifications](https://docs.github.com/en/github/managing-subscriptions-and-notifications-on-github/about-notifications). Creating content too quickly using this endpoint may result in abuse rate limiting. See "[Abuse rate limits](https://docs.github.com/rest/overview/resources-in-the-rest-api#abuse-rate-limits)" and "[Dealing with abuse rate limits](https://docs.github.com/rest/guides/best-practices-for-integrators#dealing-with-abuse-rate-limits)" for details.
 */
export const fetchIssuesCreate = (variables: IssuesCreateVariables) =>
  githubFetch<
    Schemas.Issue,
    IssuesCreateError,
    IssuesCreateRequestBody,
    {},
    {},
    IssuesCreatePathParams
  >({ url: "/repos/{owner}/{repo}/issues", method: "post", ...variables });

/**
 * Any user with pull access to a repository can create an issue. If [issues are disabled in the repository](https://help.github.com/articles/disabling-issues/), the API returns a `410 Gone` status.
 *
 * This endpoint triggers [notifications](https://docs.github.com/en/github/managing-subscriptions-and-notifications-on-github/about-notifications). Creating content too quickly using this endpoint may result in abuse rate limiting. See "[Abuse rate limits](https://docs.github.com/rest/overview/resources-in-the-rest-api#abuse-rate-limits)" and "[Dealing with abuse rate limits](https://docs.github.com/rest/guides/best-practices-for-integrators#dealing-with-abuse-rate-limits)" for details.
 */
export const useIssuesCreate = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Issue,
      IssuesCreateError,
      IssuesCreateVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Issue,
    IssuesCreateError,
    IssuesCreateVariables
  >(
    (variables: IssuesCreateVariables) =>
      fetchIssuesCreate({ ...fetcherOptions, ...variables }),
    options
  );
};

export type IssuesListCommentsForRepoPathParams = {
  owner: string;
  repo: string;
};

export type IssuesListCommentsForRepoQueryParams = {
  /*
   * One of `created` (when the repository was starred) or `updated` (when it was last pushed to).
   *
   * @default created
   */
  sort?: "created" | "updated";
  /*
   * Either `asc` or `desc`. Ignored without the `sort` parameter.
   */
  direction?: "asc" | "desc";
  /*
   * Only show notifications updated after the given time. This is a timestamp in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format: `YYYY-MM-DDTHH:MM:SSZ`.
   */
  since?: string;
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type IssuesListCommentsForRepoError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type IssuesListCommentsForRepoResponse = Schemas.IssueComment[];

export type IssuesListCommentsForRepoVariables = {
  pathParams: IssuesListCommentsForRepoPathParams;
  queryParams?: IssuesListCommentsForRepoQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * By default, Issue Comments are ordered by ascending ID.
 */
export const fetchIssuesListCommentsForRepo = (
  variables: IssuesListCommentsForRepoVariables
) =>
  githubFetch<
    IssuesListCommentsForRepoResponse,
    IssuesListCommentsForRepoError,
    undefined,
    {},
    IssuesListCommentsForRepoQueryParams,
    IssuesListCommentsForRepoPathParams
  >({
    url: "/repos/{owner}/{repo}/issues/comments",
    method: "get",
    ...variables,
  });

/**
 * By default, Issue Comments are ordered by ascending ID.
 */
export const useIssuesListCommentsForRepo = <
  TData = IssuesListCommentsForRepoResponse
>(
  variables: IssuesListCommentsForRepoVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      IssuesListCommentsForRepoResponse,
      IssuesListCommentsForRepoError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    IssuesListCommentsForRepoResponse,
    IssuesListCommentsForRepoError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/issues/comments",
      operationId: "issuesListCommentsForRepo",
      variables,
    }),
    () => fetchIssuesListCommentsForRepo({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type IssuesDeleteCommentPathParams = {
  owner: string;
  repo: string;
  /*
   * comment_id parameter
   */
  commentId: number;
};

export type IssuesDeleteCommentError = Fetcher.ErrorWrapper<undefined>;

export type IssuesDeleteCommentVariables = {
  pathParams: IssuesDeleteCommentPathParams;
} & GithubContext["fetcherOptions"];

export const fetchIssuesDeleteComment = (
  variables: IssuesDeleteCommentVariables
) =>
  githubFetch<
    undefined,
    IssuesDeleteCommentError,
    undefined,
    {},
    {},
    IssuesDeleteCommentPathParams
  >({
    url: "/repos/{owner}/{repo}/issues/comments/{commentId}",
    method: "delete",
    ...variables,
  });

export const useIssuesDeleteComment = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      IssuesDeleteCommentError,
      IssuesDeleteCommentVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    IssuesDeleteCommentError,
    IssuesDeleteCommentVariables
  >(
    (variables: IssuesDeleteCommentVariables) =>
      fetchIssuesDeleteComment({ ...fetcherOptions, ...variables }),
    options
  );
};

export type IssuesGetCommentPathParams = {
  owner: string;
  repo: string;
  /*
   * comment_id parameter
   */
  commentId: number;
};

export type IssuesGetCommentError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type IssuesGetCommentVariables = {
  pathParams: IssuesGetCommentPathParams;
} & GithubContext["fetcherOptions"];

export const fetchIssuesGetComment = (variables: IssuesGetCommentVariables) =>
  githubFetch<
    Schemas.IssueComment,
    IssuesGetCommentError,
    undefined,
    {},
    {},
    IssuesGetCommentPathParams
  >({
    url: "/repos/{owner}/{repo}/issues/comments/{commentId}",
    method: "get",
    ...variables,
  });

export const useIssuesGetComment = <TData = Schemas.IssueComment>(
  variables: IssuesGetCommentVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.IssueComment,
      IssuesGetCommentError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.IssueComment,
    IssuesGetCommentError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/issues/comments/{comment_id}",
      operationId: "issuesGetComment",
      variables,
    }),
    () => fetchIssuesGetComment({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type IssuesUpdateCommentPathParams = {
  owner: string;
  repo: string;
  /*
   * comment_id parameter
   */
  commentId: number;
};

export type IssuesUpdateCommentError = Fetcher.ErrorWrapper<{
  status: 422;
  payload: Responses.ValidationFailed;
}>;

export type IssuesUpdateCommentRequestBody = {
  /*
   * The contents of the comment.
   */
  body: string;
};

export type IssuesUpdateCommentVariables = {
  body: IssuesUpdateCommentRequestBody;
  pathParams: IssuesUpdateCommentPathParams;
} & GithubContext["fetcherOptions"];

export const fetchIssuesUpdateComment = (
  variables: IssuesUpdateCommentVariables
) =>
  githubFetch<
    Schemas.IssueComment,
    IssuesUpdateCommentError,
    IssuesUpdateCommentRequestBody,
    {},
    {},
    IssuesUpdateCommentPathParams
  >({
    url: "/repos/{owner}/{repo}/issues/comments/{commentId}",
    method: "patch",
    ...variables,
  });

export const useIssuesUpdateComment = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.IssueComment,
      IssuesUpdateCommentError,
      IssuesUpdateCommentVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.IssueComment,
    IssuesUpdateCommentError,
    IssuesUpdateCommentVariables
  >(
    (variables: IssuesUpdateCommentVariables) =>
      fetchIssuesUpdateComment({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReactionsListForIssueCommentPathParams = {
  owner: string;
  repo: string;
  /*
   * comment_id parameter
   */
  commentId: number;
};

export type ReactionsListForIssueCommentQueryParams = {
  /*
   * Returns a single [reaction type](https://docs.github.com/rest/reference/reactions#reaction-types). Omit this parameter to list all reactions to an issue comment.
   */
  content?:
    | "+1"
    | "-1"
    | "laugh"
    | "confused"
    | "heart"
    | "hooray"
    | "rocket"
    | "eyes";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ReactionsListForIssueCommentError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 415;
      payload: Responses.PreviewHeaderMissing;
    }
>;

export type ReactionsListForIssueCommentResponse = Schemas.Reaction[];

export type ReactionsListForIssueCommentVariables = {
  pathParams: ReactionsListForIssueCommentPathParams;
  queryParams?: ReactionsListForIssueCommentQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * List the reactions to an [issue comment](https://docs.github.com/rest/reference/issues#comments).
 */
export const fetchReactionsListForIssueComment = (
  variables: ReactionsListForIssueCommentVariables
) =>
  githubFetch<
    ReactionsListForIssueCommentResponse,
    ReactionsListForIssueCommentError,
    undefined,
    {},
    ReactionsListForIssueCommentQueryParams,
    ReactionsListForIssueCommentPathParams
  >({
    url: "/repos/{owner}/{repo}/issues/comments/{commentId}/reactions",
    method: "get",
    ...variables,
  });

/**
 * List the reactions to an [issue comment](https://docs.github.com/rest/reference/issues#comments).
 */
export const useReactionsListForIssueComment = <
  TData = ReactionsListForIssueCommentResponse
>(
  variables: ReactionsListForIssueCommentVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReactionsListForIssueCommentResponse,
      ReactionsListForIssueCommentError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReactionsListForIssueCommentResponse,
    ReactionsListForIssueCommentError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/issues/comments/{comment_id}/reactions",
      operationId: "reactionsListForIssueComment",
      variables,
    }),
    () =>
      fetchReactionsListForIssueComment({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReactionsCreateForIssueCommentPathParams = {
  owner: string;
  repo: string;
  /*
   * comment_id parameter
   */
  commentId: number;
};

export type ReactionsCreateForIssueCommentError = Fetcher.ErrorWrapper<
  | {
      status: 415;
      payload: Responses.PreviewHeaderMissing;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type ReactionsCreateForIssueCommentRequestBody = {
  /*
   * The [reaction type](https://docs.github.com/rest/reference/reactions#reaction-types) to add to the issue comment.
   */
  content:
    | "+1"
    | "-1"
    | "laugh"
    | "confused"
    | "heart"
    | "hooray"
    | "rocket"
    | "eyes";
};

export type ReactionsCreateForIssueCommentVariables = {
  body: ReactionsCreateForIssueCommentRequestBody;
  pathParams: ReactionsCreateForIssueCommentPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Create a reaction to an [issue comment](https://docs.github.com/rest/reference/issues#comments). A response with a `Status: 200 OK` means that you already added the reaction type to this issue comment.
 */
export const fetchReactionsCreateForIssueComment = (
  variables: ReactionsCreateForIssueCommentVariables
) =>
  githubFetch<
    Schemas.Reaction,
    ReactionsCreateForIssueCommentError,
    ReactionsCreateForIssueCommentRequestBody,
    {},
    {},
    ReactionsCreateForIssueCommentPathParams
  >({
    url: "/repos/{owner}/{repo}/issues/comments/{commentId}/reactions",
    method: "post",
    ...variables,
  });

/**
 * Create a reaction to an [issue comment](https://docs.github.com/rest/reference/issues#comments). A response with a `Status: 200 OK` means that you already added the reaction type to this issue comment.
 */
export const useReactionsCreateForIssueComment = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Reaction,
      ReactionsCreateForIssueCommentError,
      ReactionsCreateForIssueCommentVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Reaction,
    ReactionsCreateForIssueCommentError,
    ReactionsCreateForIssueCommentVariables
  >(
    (variables: ReactionsCreateForIssueCommentVariables) =>
      fetchReactionsCreateForIssueComment({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReactionsDeleteForIssueCommentPathParams = {
  owner: string;
  repo: string;
  /*
   * comment_id parameter
   */
  commentId: number;
  reactionId: number;
};

export type ReactionsDeleteForIssueCommentError =
  Fetcher.ErrorWrapper<undefined>;

export type ReactionsDeleteForIssueCommentVariables = {
  pathParams: ReactionsDeleteForIssueCommentPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Note:** You can also specify a repository by `repository_id` using the route `DELETE delete /repositories/:repository_id/issues/comments/:comment_id/reactions/:reaction_id`.
 *
 * Delete a reaction to an [issue comment](https://docs.github.com/rest/reference/issues#comments).
 */
export const fetchReactionsDeleteForIssueComment = (
  variables: ReactionsDeleteForIssueCommentVariables
) =>
  githubFetch<
    undefined,
    ReactionsDeleteForIssueCommentError,
    undefined,
    {},
    {},
    ReactionsDeleteForIssueCommentPathParams
  >({
    url: "/repos/{owner}/{repo}/issues/comments/{commentId}/reactions/{reactionId}",
    method: "delete",
    ...variables,
  });

/**
 * **Note:** You can also specify a repository by `repository_id` using the route `DELETE delete /repositories/:repository_id/issues/comments/:comment_id/reactions/:reaction_id`.
 *
 * Delete a reaction to an [issue comment](https://docs.github.com/rest/reference/issues#comments).
 */
export const useReactionsDeleteForIssueComment = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ReactionsDeleteForIssueCommentError,
      ReactionsDeleteForIssueCommentVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ReactionsDeleteForIssueCommentError,
    ReactionsDeleteForIssueCommentVariables
  >(
    (variables: ReactionsDeleteForIssueCommentVariables) =>
      fetchReactionsDeleteForIssueComment({ ...fetcherOptions, ...variables }),
    options
  );
};

export type IssuesListEventsForRepoPathParams = {
  owner: string;
  repo: string;
};

export type IssuesListEventsForRepoQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type IssuesListEventsForRepoError = Fetcher.ErrorWrapper<{
  status: 422;
  payload: Responses.ValidationFailed;
}>;

export type IssuesListEventsForRepoResponse = Schemas.IssueEvent[];

export type IssuesListEventsForRepoVariables = {
  pathParams: IssuesListEventsForRepoPathParams;
  queryParams?: IssuesListEventsForRepoQueryParams;
} & GithubContext["fetcherOptions"];

export const fetchIssuesListEventsForRepo = (
  variables: IssuesListEventsForRepoVariables
) =>
  githubFetch<
    IssuesListEventsForRepoResponse,
    IssuesListEventsForRepoError,
    undefined,
    {},
    IssuesListEventsForRepoQueryParams,
    IssuesListEventsForRepoPathParams
  >({
    url: "/repos/{owner}/{repo}/issues/events",
    method: "get",
    ...variables,
  });

export const useIssuesListEventsForRepo = <
  TData = IssuesListEventsForRepoResponse
>(
  variables: IssuesListEventsForRepoVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      IssuesListEventsForRepoResponse,
      IssuesListEventsForRepoError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    IssuesListEventsForRepoResponse,
    IssuesListEventsForRepoError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/issues/events",
      operationId: "issuesListEventsForRepo",
      variables,
    }),
    () => fetchIssuesListEventsForRepo({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type IssuesGetEventPathParams = {
  owner: string;
  repo: string;
  eventId: number;
};

export type IssuesGetEventError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 410;
      payload: Responses.Gone;
    }
>;

export type IssuesGetEventVariables = {
  pathParams: IssuesGetEventPathParams;
} & GithubContext["fetcherOptions"];

export const fetchIssuesGetEvent = (variables: IssuesGetEventVariables) =>
  githubFetch<
    Schemas.IssueEvent,
    IssuesGetEventError,
    undefined,
    {},
    {},
    IssuesGetEventPathParams
  >({
    url: "/repos/{owner}/{repo}/issues/events/{eventId}",
    method: "get",
    ...variables,
  });

export const useIssuesGetEvent = <TData = Schemas.IssueEvent>(
  variables: IssuesGetEventVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<Schemas.IssueEvent, IssuesGetEventError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.IssueEvent, IssuesGetEventError, TData>(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/issues/events/{event_id}",
      operationId: "issuesGetEvent",
      variables,
    }),
    () => fetchIssuesGetEvent({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type IssuesGetPathParams = {
  owner: string;
  repo: string;
  /*
   * issue_number parameter
   */
  issueNumber: number;
};

export type IssuesGetError = Fetcher.ErrorWrapper<
  | {
      status: 301;
      payload: Responses.MovedPermanently;
    }
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 410;
      payload: Responses.Gone;
    }
>;

export type IssuesGetVariables = {
  pathParams: IssuesGetPathParams;
} & GithubContext["fetcherOptions"];

/**
 * The API returns a [`301 Moved Permanently` status](https://docs.github.com/rest/overview/resources-in-the-rest-api#http-redirects-redirects) if the issue was
 * [transferred](https://help.github.com/articles/transferring-an-issue-to-another-repository/) to another repository. If
 * the issue was transferred to or deleted from a repository where the authenticated user lacks read access, the API
 * returns a `404 Not Found` status. If the issue was deleted from a repository where the authenticated user has read
 * access, the API returns a `410 Gone` status. To receive webhook events for transferred and deleted issues, subscribe
 * to the [`issues`](https://docs.github.com/webhooks/event-payloads/#issues) webhook.
 *
 * **Note**: GitHub's REST API v3 considers every pull request an issue, but not every issue is a pull request. For this
 * reason, "Issues" endpoints may return both issues and pull requests in the response. You can identify pull requests by
 * the `pull_request` key. Be aware that the `id` of a pull request returned from "Issues" endpoints will be an _issue id_. To find out the pull
 * request id, use the "[List pull requests](https://docs.github.com/rest/reference/pulls#list-pull-requests)" endpoint.
 */
export const fetchIssuesGet = (variables: IssuesGetVariables) =>
  githubFetch<
    Schemas.Issue,
    IssuesGetError,
    undefined,
    {},
    {},
    IssuesGetPathParams
  >({
    url: "/repos/{owner}/{repo}/issues/{issueNumber}",
    method: "get",
    ...variables,
  });

/**
 * The API returns a [`301 Moved Permanently` status](https://docs.github.com/rest/overview/resources-in-the-rest-api#http-redirects-redirects) if the issue was
 * [transferred](https://help.github.com/articles/transferring-an-issue-to-another-repository/) to another repository. If
 * the issue was transferred to or deleted from a repository where the authenticated user lacks read access, the API
 * returns a `404 Not Found` status. If the issue was deleted from a repository where the authenticated user has read
 * access, the API returns a `410 Gone` status. To receive webhook events for transferred and deleted issues, subscribe
 * to the [`issues`](https://docs.github.com/webhooks/event-payloads/#issues) webhook.
 *
 * **Note**: GitHub's REST API v3 considers every pull request an issue, but not every issue is a pull request. For this
 * reason, "Issues" endpoints may return both issues and pull requests in the response. You can identify pull requests by
 * the `pull_request` key. Be aware that the `id` of a pull request returned from "Issues" endpoints will be an _issue id_. To find out the pull
 * request id, use the "[List pull requests](https://docs.github.com/rest/reference/pulls#list-pull-requests)" endpoint.
 */
export const useIssuesGet = <TData = Schemas.Issue>(
  variables: IssuesGetVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<Schemas.Issue, IssuesGetError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.Issue, IssuesGetError, TData>(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/issues/{issue_number}",
      operationId: "issuesGet",
      variables,
    }),
    () => fetchIssuesGet({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type IssuesUpdatePathParams = {
  owner: string;
  repo: string;
  /*
   * issue_number parameter
   */
  issueNumber: number;
};

export type IssuesUpdateError = Fetcher.ErrorWrapper<
  | {
      status: 301;
      payload: Responses.MovedPermanently;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 410;
      payload: Responses.Gone;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
  | {
      status: 503;
      payload: Responses.ServiceUnavailable;
    }
>;

export type IssuesUpdateRequestBody = {
  /*
   * Login for the user that this issue should be assigned to. **This field is deprecated.**
   */
  assignee?: string | null;
  /*
   * Logins for Users to assign to this issue. Pass one or more user logins to _replace_ the set of assignees on this Issue. Send an empty array (`[]`) to clear all assignees from the Issue. _NOTE: Only users with push access can set assignees for new issues. Assignees are silently dropped otherwise._
   */
  assignees?: string[];
  /*
   * The contents of the issue.
   */
  body?: string | null;
  /*
   * Labels to associate with this issue. Pass one or more Labels to _replace_ the set of Labels on this Issue. Send an empty array (`[]`) to clear all Labels from the Issue. _NOTE: Only users with push access can set labels for issues. Labels are silently dropped otherwise._
   */
  labels?: (
    | string
    | {
        color?: string | null;
        description?: string | null;
        id?: number;
        name?: string;
      }
  )[];
  milestone?: string | number | null;
  /*
   * State of the issue. Either `open` or `closed`.
   */
  state?: "open" | "closed";
  /*
   * The title of the issue.
   */
  title?: string | number | null;
};

export type IssuesUpdateVariables = {
  body?: IssuesUpdateRequestBody;
  pathParams: IssuesUpdatePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Issue owners and users with push access can edit an issue.
 */
export const fetchIssuesUpdate = (variables: IssuesUpdateVariables) =>
  githubFetch<
    Schemas.Issue,
    IssuesUpdateError,
    IssuesUpdateRequestBody,
    {},
    {},
    IssuesUpdatePathParams
  >({
    url: "/repos/{owner}/{repo}/issues/{issueNumber}",
    method: "patch",
    ...variables,
  });

/**
 * Issue owners and users with push access can edit an issue.
 */
export const useIssuesUpdate = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Issue,
      IssuesUpdateError,
      IssuesUpdateVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Issue,
    IssuesUpdateError,
    IssuesUpdateVariables
  >(
    (variables: IssuesUpdateVariables) =>
      fetchIssuesUpdate({ ...fetcherOptions, ...variables }),
    options
  );
};

export type IssuesRemoveAssigneesPathParams = {
  owner: string;
  repo: string;
  /*
   * issue_number parameter
   */
  issueNumber: number;
};

export type IssuesRemoveAssigneesError = Fetcher.ErrorWrapper<undefined>;

export type IssuesRemoveAssigneesRequestBody = {
  /*
   * Usernames of assignees to remove from an issue. _NOTE: Only users with push access can remove assignees from an issue. Assignees are silently ignored otherwise._
   */
  assignees?: string[];
};

export type IssuesRemoveAssigneesVariables = {
  body?: IssuesRemoveAssigneesRequestBody;
  pathParams: IssuesRemoveAssigneesPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Removes one or more assignees from an issue.
 */
export const fetchIssuesRemoveAssignees = (
  variables: IssuesRemoveAssigneesVariables
) =>
  githubFetch<
    Schemas.IssueSimple,
    IssuesRemoveAssigneesError,
    IssuesRemoveAssigneesRequestBody,
    {},
    {},
    IssuesRemoveAssigneesPathParams
  >({
    url: "/repos/{owner}/{repo}/issues/{issueNumber}/assignees",
    method: "delete",
    ...variables,
  });

/**
 * Removes one or more assignees from an issue.
 */
export const useIssuesRemoveAssignees = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.IssueSimple,
      IssuesRemoveAssigneesError,
      IssuesRemoveAssigneesVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.IssueSimple,
    IssuesRemoveAssigneesError,
    IssuesRemoveAssigneesVariables
  >(
    (variables: IssuesRemoveAssigneesVariables) =>
      fetchIssuesRemoveAssignees({ ...fetcherOptions, ...variables }),
    options
  );
};

export type IssuesAddAssigneesPathParams = {
  owner: string;
  repo: string;
  /*
   * issue_number parameter
   */
  issueNumber: number;
};

export type IssuesAddAssigneesError = Fetcher.ErrorWrapper<undefined>;

export type IssuesAddAssigneesRequestBody = {
  /*
   * Usernames of people to assign this issue to. _NOTE: Only users with push access can add assignees to an issue. Assignees are silently ignored otherwise._
   */
  assignees?: string[];
};

export type IssuesAddAssigneesVariables = {
  body?: IssuesAddAssigneesRequestBody;
  pathParams: IssuesAddAssigneesPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Adds up to 10 assignees to an issue. Users already assigned to an issue are not replaced.
 */
export const fetchIssuesAddAssignees = (
  variables: IssuesAddAssigneesVariables
) =>
  githubFetch<
    Schemas.IssueSimple,
    IssuesAddAssigneesError,
    IssuesAddAssigneesRequestBody,
    {},
    {},
    IssuesAddAssigneesPathParams
  >({
    url: "/repos/{owner}/{repo}/issues/{issueNumber}/assignees",
    method: "post",
    ...variables,
  });

/**
 * Adds up to 10 assignees to an issue. Users already assigned to an issue are not replaced.
 */
export const useIssuesAddAssignees = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.IssueSimple,
      IssuesAddAssigneesError,
      IssuesAddAssigneesVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.IssueSimple,
    IssuesAddAssigneesError,
    IssuesAddAssigneesVariables
  >(
    (variables: IssuesAddAssigneesVariables) =>
      fetchIssuesAddAssignees({ ...fetcherOptions, ...variables }),
    options
  );
};

export type IssuesListCommentsPathParams = {
  owner: string;
  repo: string;
  /*
   * issue_number parameter
   */
  issueNumber: number;
};

export type IssuesListCommentsQueryParams = {
  /*
   * Only show notifications updated after the given time. This is a timestamp in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format: `YYYY-MM-DDTHH:MM:SSZ`.
   */
  since?: string;
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type IssuesListCommentsError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 410;
      payload: Responses.Gone;
    }
>;

export type IssuesListCommentsResponse = Schemas.IssueComment[];

export type IssuesListCommentsVariables = {
  pathParams: IssuesListCommentsPathParams;
  queryParams?: IssuesListCommentsQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Issue Comments are ordered by ascending ID.
 */
export const fetchIssuesListComments = (
  variables: IssuesListCommentsVariables
) =>
  githubFetch<
    IssuesListCommentsResponse,
    IssuesListCommentsError,
    undefined,
    {},
    IssuesListCommentsQueryParams,
    IssuesListCommentsPathParams
  >({
    url: "/repos/{owner}/{repo}/issues/{issueNumber}/comments",
    method: "get",
    ...variables,
  });

/**
 * Issue Comments are ordered by ascending ID.
 */
export const useIssuesListComments = <TData = IssuesListCommentsResponse>(
  variables: IssuesListCommentsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      IssuesListCommentsResponse,
      IssuesListCommentsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    IssuesListCommentsResponse,
    IssuesListCommentsError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/issues/{issue_number}/comments",
      operationId: "issuesListComments",
      variables,
    }),
    () => fetchIssuesListComments({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type IssuesCreateCommentPathParams = {
  owner: string;
  repo: string;
  /*
   * issue_number parameter
   */
  issueNumber: number;
};

export type IssuesCreateCommentError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 410;
      payload: Responses.Gone;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type IssuesCreateCommentRequestBody = {
  /*
   * The contents of the comment.
   */
  body: string;
};

export type IssuesCreateCommentVariables = {
  body: IssuesCreateCommentRequestBody;
  pathParams: IssuesCreateCommentPathParams;
} & GithubContext["fetcherOptions"];

/**
 * This endpoint triggers [notifications](https://docs.github.com/en/github/managing-subscriptions-and-notifications-on-github/about-notifications). Creating content too quickly using this endpoint may result in abuse rate limiting. See "[Abuse rate limits](https://docs.github.com/rest/overview/resources-in-the-rest-api#abuse-rate-limits)" and "[Dealing with abuse rate limits](https://docs.github.com/rest/guides/best-practices-for-integrators#dealing-with-abuse-rate-limits)" for details.
 */
export const fetchIssuesCreateComment = (
  variables: IssuesCreateCommentVariables
) =>
  githubFetch<
    Schemas.IssueComment,
    IssuesCreateCommentError,
    IssuesCreateCommentRequestBody,
    {},
    {},
    IssuesCreateCommentPathParams
  >({
    url: "/repos/{owner}/{repo}/issues/{issueNumber}/comments",
    method: "post",
    ...variables,
  });

/**
 * This endpoint triggers [notifications](https://docs.github.com/en/github/managing-subscriptions-and-notifications-on-github/about-notifications). Creating content too quickly using this endpoint may result in abuse rate limiting. See "[Abuse rate limits](https://docs.github.com/rest/overview/resources-in-the-rest-api#abuse-rate-limits)" and "[Dealing with abuse rate limits](https://docs.github.com/rest/guides/best-practices-for-integrators#dealing-with-abuse-rate-limits)" for details.
 */
export const useIssuesCreateComment = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.IssueComment,
      IssuesCreateCommentError,
      IssuesCreateCommentVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.IssueComment,
    IssuesCreateCommentError,
    IssuesCreateCommentVariables
  >(
    (variables: IssuesCreateCommentVariables) =>
      fetchIssuesCreateComment({ ...fetcherOptions, ...variables }),
    options
  );
};

export type IssuesListEventsPathParams = {
  owner: string;
  repo: string;
  /*
   * issue_number parameter
   */
  issueNumber: number;
};

export type IssuesListEventsQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type IssuesListEventsError = Fetcher.ErrorWrapper<{
  status: 410;
  payload: Responses.Gone;
}>;

export type IssuesListEventsResponse = Schemas.IssueEventForIssue[];

export type IssuesListEventsVariables = {
  pathParams: IssuesListEventsPathParams;
  queryParams?: IssuesListEventsQueryParams;
} & GithubContext["fetcherOptions"];

export const fetchIssuesListEvents = (variables: IssuesListEventsVariables) =>
  githubFetch<
    IssuesListEventsResponse,
    IssuesListEventsError,
    undefined,
    {},
    IssuesListEventsQueryParams,
    IssuesListEventsPathParams
  >({
    url: "/repos/{owner}/{repo}/issues/{issueNumber}/events",
    method: "get",
    ...variables,
  });

export const useIssuesListEvents = <TData = IssuesListEventsResponse>(
  variables: IssuesListEventsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      IssuesListEventsResponse,
      IssuesListEventsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    IssuesListEventsResponse,
    IssuesListEventsError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/issues/{issue_number}/events",
      operationId: "issuesListEvents",
      variables,
    }),
    () => fetchIssuesListEvents({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type IssuesRemoveAllLabelsPathParams = {
  owner: string;
  repo: string;
  /*
   * issue_number parameter
   */
  issueNumber: number;
};

export type IssuesRemoveAllLabelsError = Fetcher.ErrorWrapper<{
  status: 410;
  payload: Responses.Gone;
}>;

export type IssuesRemoveAllLabelsVariables = {
  pathParams: IssuesRemoveAllLabelsPathParams;
} & GithubContext["fetcherOptions"];

export const fetchIssuesRemoveAllLabels = (
  variables: IssuesRemoveAllLabelsVariables
) =>
  githubFetch<
    undefined,
    IssuesRemoveAllLabelsError,
    undefined,
    {},
    {},
    IssuesRemoveAllLabelsPathParams
  >({
    url: "/repos/{owner}/{repo}/issues/{issueNumber}/labels",
    method: "delete",
    ...variables,
  });

export const useIssuesRemoveAllLabels = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      IssuesRemoveAllLabelsError,
      IssuesRemoveAllLabelsVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    IssuesRemoveAllLabelsError,
    IssuesRemoveAllLabelsVariables
  >(
    (variables: IssuesRemoveAllLabelsVariables) =>
      fetchIssuesRemoveAllLabels({ ...fetcherOptions, ...variables }),
    options
  );
};

export type IssuesListLabelsOnIssuePathParams = {
  owner: string;
  repo: string;
  /*
   * issue_number parameter
   */
  issueNumber: number;
};

export type IssuesListLabelsOnIssueQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type IssuesListLabelsOnIssueError = Fetcher.ErrorWrapper<{
  status: 410;
  payload: Responses.Gone;
}>;

export type IssuesListLabelsOnIssueResponse = Schemas.Label[];

export type IssuesListLabelsOnIssueVariables = {
  pathParams: IssuesListLabelsOnIssuePathParams;
  queryParams?: IssuesListLabelsOnIssueQueryParams;
} & GithubContext["fetcherOptions"];

export const fetchIssuesListLabelsOnIssue = (
  variables: IssuesListLabelsOnIssueVariables
) =>
  githubFetch<
    IssuesListLabelsOnIssueResponse,
    IssuesListLabelsOnIssueError,
    undefined,
    {},
    IssuesListLabelsOnIssueQueryParams,
    IssuesListLabelsOnIssuePathParams
  >({
    url: "/repos/{owner}/{repo}/issues/{issueNumber}/labels",
    method: "get",
    ...variables,
  });

export const useIssuesListLabelsOnIssue = <
  TData = IssuesListLabelsOnIssueResponse
>(
  variables: IssuesListLabelsOnIssueVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      IssuesListLabelsOnIssueResponse,
      IssuesListLabelsOnIssueError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    IssuesListLabelsOnIssueResponse,
    IssuesListLabelsOnIssueError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/issues/{issue_number}/labels",
      operationId: "issuesListLabelsOnIssue",
      variables,
    }),
    () => fetchIssuesListLabelsOnIssue({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type IssuesAddLabelsPathParams = {
  owner: string;
  repo: string;
  /*
   * issue_number parameter
   */
  issueNumber: number;
};

export type IssuesAddLabelsError = Fetcher.ErrorWrapper<
  | {
      status: 410;
      payload: Responses.Gone;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type IssuesAddLabelsResponse = Schemas.Label[];

export type IssuesAddLabelsRequestBody = {
  /*
   * The name of the label to add to the issue. Must contain at least one label. **Note:** Alternatively, you can pass a single label as a `string` or an `array` of labels directly, but GitHub recommends passing an object with the `labels` key.
   */
  labels: string[];
};

export type IssuesAddLabelsVariables = {
  body: IssuesAddLabelsRequestBody;
  pathParams: IssuesAddLabelsPathParams;
} & GithubContext["fetcherOptions"];

export const fetchIssuesAddLabels = (variables: IssuesAddLabelsVariables) =>
  githubFetch<
    IssuesAddLabelsResponse,
    IssuesAddLabelsError,
    IssuesAddLabelsRequestBody,
    {},
    {},
    IssuesAddLabelsPathParams
  >({
    url: "/repos/{owner}/{repo}/issues/{issueNumber}/labels",
    method: "post",
    ...variables,
  });

export const useIssuesAddLabels = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      IssuesAddLabelsResponse,
      IssuesAddLabelsError,
      IssuesAddLabelsVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    IssuesAddLabelsResponse,
    IssuesAddLabelsError,
    IssuesAddLabelsVariables
  >(
    (variables: IssuesAddLabelsVariables) =>
      fetchIssuesAddLabels({ ...fetcherOptions, ...variables }),
    options
  );
};

export type IssuesSetLabelsPathParams = {
  owner: string;
  repo: string;
  /*
   * issue_number parameter
   */
  issueNumber: number;
};

export type IssuesSetLabelsError = Fetcher.ErrorWrapper<
  | {
      status: 410;
      payload: Responses.Gone;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type IssuesSetLabelsResponse = Schemas.Label[];

export type IssuesSetLabelsRequestBody = {
  /*
   * The names of the labels to add to the issue. You can pass an empty array to remove all labels. **Note:** Alternatively, you can pass a single label as a `string` or an `array` of labels directly, but GitHub recommends passing an object with the `labels` key.
   */
  labels?: string[];
};

export type IssuesSetLabelsVariables = {
  body?: IssuesSetLabelsRequestBody;
  pathParams: IssuesSetLabelsPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Removes any previous labels and sets the new labels for an issue.
 */
export const fetchIssuesSetLabels = (variables: IssuesSetLabelsVariables) =>
  githubFetch<
    IssuesSetLabelsResponse,
    IssuesSetLabelsError,
    IssuesSetLabelsRequestBody,
    {},
    {},
    IssuesSetLabelsPathParams
  >({
    url: "/repos/{owner}/{repo}/issues/{issueNumber}/labels",
    method: "put",
    ...variables,
  });

/**
 * Removes any previous labels and sets the new labels for an issue.
 */
export const useIssuesSetLabels = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      IssuesSetLabelsResponse,
      IssuesSetLabelsError,
      IssuesSetLabelsVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    IssuesSetLabelsResponse,
    IssuesSetLabelsError,
    IssuesSetLabelsVariables
  >(
    (variables: IssuesSetLabelsVariables) =>
      fetchIssuesSetLabels({ ...fetcherOptions, ...variables }),
    options
  );
};

export type IssuesRemoveLabelPathParams = {
  owner: string;
  repo: string;
  /*
   * issue_number parameter
   */
  issueNumber: number;
  name: string;
};

export type IssuesRemoveLabelError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 410;
      payload: Responses.Gone;
    }
>;

export type IssuesRemoveLabelResponse = Schemas.Label[];

export type IssuesRemoveLabelVariables = {
  pathParams: IssuesRemoveLabelPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Removes the specified label from the issue, and returns the remaining labels on the issue. This endpoint returns a `404 Not Found` status if the label does not exist.
 */
export const fetchIssuesRemoveLabel = (variables: IssuesRemoveLabelVariables) =>
  githubFetch<
    IssuesRemoveLabelResponse,
    IssuesRemoveLabelError,
    undefined,
    {},
    {},
    IssuesRemoveLabelPathParams
  >({
    url: "/repos/{owner}/{repo}/issues/{issueNumber}/labels/{name}",
    method: "delete",
    ...variables,
  });

/**
 * Removes the specified label from the issue, and returns the remaining labels on the issue. This endpoint returns a `404 Not Found` status if the label does not exist.
 */
export const useIssuesRemoveLabel = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      IssuesRemoveLabelResponse,
      IssuesRemoveLabelError,
      IssuesRemoveLabelVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    IssuesRemoveLabelResponse,
    IssuesRemoveLabelError,
    IssuesRemoveLabelVariables
  >(
    (variables: IssuesRemoveLabelVariables) =>
      fetchIssuesRemoveLabel({ ...fetcherOptions, ...variables }),
    options
  );
};

export type IssuesUnlockPathParams = {
  owner: string;
  repo: string;
  /*
   * issue_number parameter
   */
  issueNumber: number;
};

export type IssuesUnlockError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type IssuesUnlockVariables = {
  pathParams: IssuesUnlockPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Users with push access can unlock an issue's conversation.
 */
export const fetchIssuesUnlock = (variables: IssuesUnlockVariables) =>
  githubFetch<
    undefined,
    IssuesUnlockError,
    undefined,
    {},
    {},
    IssuesUnlockPathParams
  >({
    url: "/repos/{owner}/{repo}/issues/{issueNumber}/lock",
    method: "delete",
    ...variables,
  });

/**
 * Users with push access can unlock an issue's conversation.
 */
export const useIssuesUnlock = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      IssuesUnlockError,
      IssuesUnlockVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    IssuesUnlockError,
    IssuesUnlockVariables
  >(
    (variables: IssuesUnlockVariables) =>
      fetchIssuesUnlock({ ...fetcherOptions, ...variables }),
    options
  );
};

export type IssuesLockPathParams = {
  owner: string;
  repo: string;
  /*
   * issue_number parameter
   */
  issueNumber: number;
};

export type IssuesLockError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 410;
      payload: Responses.Gone;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type IssuesLockVariables = {
  body?: {
    /*
     * The reason for locking the issue or pull request conversation. Lock will fail if you don't use one of these reasons:
     * \* `off-topic`
     * \* `too heated`
     * \* `resolved`
     * \* `spam`
     */
    lock_reason?: "off-topic" | "too heated" | "resolved" | "spam";
  } | null;
  pathParams: IssuesLockPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Users with push access can lock an issue or pull request's conversation.
 *
 * Note that, if you choose not to pass any parameters, you'll need to set `Content-Length` to zero when calling out to this endpoint. For more information, see "[HTTP verbs](https://docs.github.com/rest/overview/resources-in-the-rest-api#http-verbs)."
 */
export const fetchIssuesLock = (variables: IssuesLockVariables) =>
  githubFetch<
    undefined,
    IssuesLockError,
    {
      /*
       * The reason for locking the issue or pull request conversation. Lock will fail if you don't use one of these reasons:
       * \* `off-topic`
       * \* `too heated`
       * \* `resolved`
       * \* `spam`
       */
      lock_reason?: "off-topic" | "too heated" | "resolved" | "spam";
    } | null,
    {},
    {},
    IssuesLockPathParams
  >({
    url: "/repos/{owner}/{repo}/issues/{issueNumber}/lock",
    method: "put",
    ...variables,
  });

/**
 * Users with push access can lock an issue or pull request's conversation.
 *
 * Note that, if you choose not to pass any parameters, you'll need to set `Content-Length` to zero when calling out to this endpoint. For more information, see "[HTTP verbs](https://docs.github.com/rest/overview/resources-in-the-rest-api#http-verbs)."
 */
export const useIssuesLock = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      IssuesLockError,
      IssuesLockVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    IssuesLockError,
    IssuesLockVariables
  >(
    (variables: IssuesLockVariables) =>
      fetchIssuesLock({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReactionsListForIssuePathParams = {
  owner: string;
  repo: string;
  /*
   * issue_number parameter
   */
  issueNumber: number;
};

export type ReactionsListForIssueQueryParams = {
  /*
   * Returns a single [reaction type](https://docs.github.com/rest/reference/reactions#reaction-types). Omit this parameter to list all reactions to an issue.
   */
  content?:
    | "+1"
    | "-1"
    | "laugh"
    | "confused"
    | "heart"
    | "hooray"
    | "rocket"
    | "eyes";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ReactionsListForIssueError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 410;
      payload: Responses.Gone;
    }
  | {
      status: 415;
      payload: Responses.PreviewHeaderMissing;
    }
>;

export type ReactionsListForIssueResponse = Schemas.Reaction[];

export type ReactionsListForIssueVariables = {
  pathParams: ReactionsListForIssuePathParams;
  queryParams?: ReactionsListForIssueQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * List the reactions to an [issue](https://docs.github.com/rest/reference/issues).
 */
export const fetchReactionsListForIssue = (
  variables: ReactionsListForIssueVariables
) =>
  githubFetch<
    ReactionsListForIssueResponse,
    ReactionsListForIssueError,
    undefined,
    {},
    ReactionsListForIssueQueryParams,
    ReactionsListForIssuePathParams
  >({
    url: "/repos/{owner}/{repo}/issues/{issueNumber}/reactions",
    method: "get",
    ...variables,
  });

/**
 * List the reactions to an [issue](https://docs.github.com/rest/reference/issues).
 */
export const useReactionsListForIssue = <TData = ReactionsListForIssueResponse>(
  variables: ReactionsListForIssueVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReactionsListForIssueResponse,
      ReactionsListForIssueError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReactionsListForIssueResponse,
    ReactionsListForIssueError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/issues/{issue_number}/reactions",
      operationId: "reactionsListForIssue",
      variables,
    }),
    () => fetchReactionsListForIssue({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReactionsCreateForIssuePathParams = {
  owner: string;
  repo: string;
  /*
   * issue_number parameter
   */
  issueNumber: number;
};

export type ReactionsCreateForIssueError = Fetcher.ErrorWrapper<
  | {
      status: 415;
      payload: Responses.PreviewHeaderMissing;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type ReactionsCreateForIssueRequestBody = {
  /*
   * The [reaction type](https://docs.github.com/rest/reference/reactions#reaction-types) to add to the issue.
   */
  content:
    | "+1"
    | "-1"
    | "laugh"
    | "confused"
    | "heart"
    | "hooray"
    | "rocket"
    | "eyes";
};

export type ReactionsCreateForIssueVariables = {
  body: ReactionsCreateForIssueRequestBody;
  pathParams: ReactionsCreateForIssuePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Create a reaction to an [issue](https://docs.github.com/rest/reference/issues/). A response with a `Status: 200 OK` means that you already added the reaction type to this issue.
 */
export const fetchReactionsCreateForIssue = (
  variables: ReactionsCreateForIssueVariables
) =>
  githubFetch<
    Schemas.Reaction,
    ReactionsCreateForIssueError,
    ReactionsCreateForIssueRequestBody,
    {},
    {},
    ReactionsCreateForIssuePathParams
  >({
    url: "/repos/{owner}/{repo}/issues/{issueNumber}/reactions",
    method: "post",
    ...variables,
  });

/**
 * Create a reaction to an [issue](https://docs.github.com/rest/reference/issues/). A response with a `Status: 200 OK` means that you already added the reaction type to this issue.
 */
export const useReactionsCreateForIssue = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Reaction,
      ReactionsCreateForIssueError,
      ReactionsCreateForIssueVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Reaction,
    ReactionsCreateForIssueError,
    ReactionsCreateForIssueVariables
  >(
    (variables: ReactionsCreateForIssueVariables) =>
      fetchReactionsCreateForIssue({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReactionsDeleteForIssuePathParams = {
  owner: string;
  repo: string;
  /*
   * issue_number parameter
   */
  issueNumber: number;
  reactionId: number;
};

export type ReactionsDeleteForIssueError = Fetcher.ErrorWrapper<undefined>;

export type ReactionsDeleteForIssueVariables = {
  pathParams: ReactionsDeleteForIssuePathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Note:** You can also specify a repository by `repository_id` using the route `DELETE /repositories/:repository_id/issues/:issue_number/reactions/:reaction_id`.
 *
 * Delete a reaction to an [issue](https://docs.github.com/rest/reference/issues/).
 */
export const fetchReactionsDeleteForIssue = (
  variables: ReactionsDeleteForIssueVariables
) =>
  githubFetch<
    undefined,
    ReactionsDeleteForIssueError,
    undefined,
    {},
    {},
    ReactionsDeleteForIssuePathParams
  >({
    url: "/repos/{owner}/{repo}/issues/{issueNumber}/reactions/{reactionId}",
    method: "delete",
    ...variables,
  });

/**
 * **Note:** You can also specify a repository by `repository_id` using the route `DELETE /repositories/:repository_id/issues/:issue_number/reactions/:reaction_id`.
 *
 * Delete a reaction to an [issue](https://docs.github.com/rest/reference/issues/).
 */
export const useReactionsDeleteForIssue = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ReactionsDeleteForIssueError,
      ReactionsDeleteForIssueVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ReactionsDeleteForIssueError,
    ReactionsDeleteForIssueVariables
  >(
    (variables: ReactionsDeleteForIssueVariables) =>
      fetchReactionsDeleteForIssue({ ...fetcherOptions, ...variables }),
    options
  );
};

export type IssuesListEventsForTimelinePathParams = {
  owner: string;
  repo: string;
  /*
   * issue_number parameter
   */
  issueNumber: number;
};

export type IssuesListEventsForTimelineQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type IssuesListEventsForTimelineError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 410;
      payload: Responses.Gone;
    }
  | {
      status: 415;
      payload: Responses.PreviewHeaderMissing;
    }
>;

export type IssuesListEventsForTimelineResponse = Schemas.IssueEventForIssue[];

export type IssuesListEventsForTimelineVariables = {
  pathParams: IssuesListEventsForTimelinePathParams;
  queryParams?: IssuesListEventsForTimelineQueryParams;
} & GithubContext["fetcherOptions"];

export const fetchIssuesListEventsForTimeline = (
  variables: IssuesListEventsForTimelineVariables
) =>
  githubFetch<
    IssuesListEventsForTimelineResponse,
    IssuesListEventsForTimelineError,
    undefined,
    {},
    IssuesListEventsForTimelineQueryParams,
    IssuesListEventsForTimelinePathParams
  >({
    url: "/repos/{owner}/{repo}/issues/{issueNumber}/timeline",
    method: "get",
    ...variables,
  });

export const useIssuesListEventsForTimeline = <
  TData = IssuesListEventsForTimelineResponse
>(
  variables: IssuesListEventsForTimelineVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      IssuesListEventsForTimelineResponse,
      IssuesListEventsForTimelineError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    IssuesListEventsForTimelineResponse,
    IssuesListEventsForTimelineError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/issues/{issue_number}/timeline",
      operationId: "issuesListEventsForTimeline",
      variables,
    }),
    () => fetchIssuesListEventsForTimeline({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposListDeployKeysPathParams = {
  owner: string;
  repo: string;
};

export type ReposListDeployKeysQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ReposListDeployKeysError = Fetcher.ErrorWrapper<undefined>;

export type ReposListDeployKeysResponse = Schemas.DeployKey[];

export type ReposListDeployKeysVariables = {
  pathParams: ReposListDeployKeysPathParams;
  queryParams?: ReposListDeployKeysQueryParams;
} & GithubContext["fetcherOptions"];

export const fetchReposListDeployKeys = (
  variables: ReposListDeployKeysVariables
) =>
  githubFetch<
    ReposListDeployKeysResponse,
    ReposListDeployKeysError,
    undefined,
    {},
    ReposListDeployKeysQueryParams,
    ReposListDeployKeysPathParams
  >({ url: "/repos/{owner}/{repo}/keys", method: "get", ...variables });

export const useReposListDeployKeys = <TData = ReposListDeployKeysResponse>(
  variables: ReposListDeployKeysVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReposListDeployKeysResponse,
      ReposListDeployKeysError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReposListDeployKeysResponse,
    ReposListDeployKeysError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/keys",
      operationId: "reposListDeployKeys",
      variables,
    }),
    () => fetchReposListDeployKeys({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposCreateDeployKeyPathParams = {
  owner: string;
  repo: string;
};

export type ReposCreateDeployKeyError = Fetcher.ErrorWrapper<{
  status: 422;
  payload: Responses.ValidationFailed;
}>;

export type ReposCreateDeployKeyRequestBody = {
  /*
   * The contents of the key.
   */
  key: string;
  /*
   * If `true`, the key will only be able to read repository contents. Otherwise, the key will be able to read and write.
   *
   * Deploy keys with write access can perform the same actions as an organization member with admin access, or a collaborator on a personal repository. For more information, see "[Repository permission levels for an organization](https://help.github.com/articles/repository-permission-levels-for-an-organization/)" and "[Permission levels for a user account repository](https://help.github.com/articles/permission-levels-for-a-user-account-repository/)."
   */
  read_only?: boolean;
  /*
   * A name for the key.
   */
  title?: string;
};

export type ReposCreateDeployKeyVariables = {
  body: ReposCreateDeployKeyRequestBody;
  pathParams: ReposCreateDeployKeyPathParams;
} & GithubContext["fetcherOptions"];

/**
 * You can create a read-only deploy key.
 */
export const fetchReposCreateDeployKey = (
  variables: ReposCreateDeployKeyVariables
) =>
  githubFetch<
    Schemas.DeployKey,
    ReposCreateDeployKeyError,
    ReposCreateDeployKeyRequestBody,
    {},
    {},
    ReposCreateDeployKeyPathParams
  >({ url: "/repos/{owner}/{repo}/keys", method: "post", ...variables });

/**
 * You can create a read-only deploy key.
 */
export const useReposCreateDeployKey = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.DeployKey,
      ReposCreateDeployKeyError,
      ReposCreateDeployKeyVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.DeployKey,
    ReposCreateDeployKeyError,
    ReposCreateDeployKeyVariables
  >(
    (variables: ReposCreateDeployKeyVariables) =>
      fetchReposCreateDeployKey({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposDeleteDeployKeyPathParams = {
  owner: string;
  repo: string;
  /*
   * key_id parameter
   */
  keyId: number;
};

export type ReposDeleteDeployKeyError = Fetcher.ErrorWrapper<undefined>;

export type ReposDeleteDeployKeyVariables = {
  pathParams: ReposDeleteDeployKeyPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Deploy keys are immutable. If you need to update a key, remove the key and create a new one instead.
 */
export const fetchReposDeleteDeployKey = (
  variables: ReposDeleteDeployKeyVariables
) =>
  githubFetch<
    undefined,
    ReposDeleteDeployKeyError,
    undefined,
    {},
    {},
    ReposDeleteDeployKeyPathParams
  >({
    url: "/repos/{owner}/{repo}/keys/{keyId}",
    method: "delete",
    ...variables,
  });

/**
 * Deploy keys are immutable. If you need to update a key, remove the key and create a new one instead.
 */
export const useReposDeleteDeployKey = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ReposDeleteDeployKeyError,
      ReposDeleteDeployKeyVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ReposDeleteDeployKeyError,
    ReposDeleteDeployKeyVariables
  >(
    (variables: ReposDeleteDeployKeyVariables) =>
      fetchReposDeleteDeployKey({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposGetDeployKeyPathParams = {
  owner: string;
  repo: string;
  /*
   * key_id parameter
   */
  keyId: number;
};

export type ReposGetDeployKeyError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type ReposGetDeployKeyVariables = {
  pathParams: ReposGetDeployKeyPathParams;
} & GithubContext["fetcherOptions"];

export const fetchReposGetDeployKey = (variables: ReposGetDeployKeyVariables) =>
  githubFetch<
    Schemas.DeployKey,
    ReposGetDeployKeyError,
    undefined,
    {},
    {},
    ReposGetDeployKeyPathParams
  >({ url: "/repos/{owner}/{repo}/keys/{keyId}", method: "get", ...variables });

export const useReposGetDeployKey = <TData = Schemas.DeployKey>(
  variables: ReposGetDeployKeyVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.DeployKey,
      ReposGetDeployKeyError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.DeployKey, ReposGetDeployKeyError, TData>(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/keys/{key_id}",
      operationId: "reposGetDeployKey",
      variables,
    }),
    () => fetchReposGetDeployKey({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type IssuesListLabelsForRepoPathParams = {
  owner: string;
  repo: string;
};

export type IssuesListLabelsForRepoQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type IssuesListLabelsForRepoError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type IssuesListLabelsForRepoResponse = Schemas.Label[];

export type IssuesListLabelsForRepoVariables = {
  pathParams: IssuesListLabelsForRepoPathParams;
  queryParams?: IssuesListLabelsForRepoQueryParams;
} & GithubContext["fetcherOptions"];

export const fetchIssuesListLabelsForRepo = (
  variables: IssuesListLabelsForRepoVariables
) =>
  githubFetch<
    IssuesListLabelsForRepoResponse,
    IssuesListLabelsForRepoError,
    undefined,
    {},
    IssuesListLabelsForRepoQueryParams,
    IssuesListLabelsForRepoPathParams
  >({ url: "/repos/{owner}/{repo}/labels", method: "get", ...variables });

export const useIssuesListLabelsForRepo = <
  TData = IssuesListLabelsForRepoResponse
>(
  variables: IssuesListLabelsForRepoVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      IssuesListLabelsForRepoResponse,
      IssuesListLabelsForRepoError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    IssuesListLabelsForRepoResponse,
    IssuesListLabelsForRepoError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/labels",
      operationId: "issuesListLabelsForRepo",
      variables,
    }),
    () => fetchIssuesListLabelsForRepo({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type IssuesCreateLabelPathParams = {
  owner: string;
  repo: string;
};

export type IssuesCreateLabelError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type IssuesCreateLabelRequestBody = {
  /*
   * The [hexadecimal color code](http://www.color-hex.com/) for the label, without the leading `#`.
   */
  color?: string;
  /*
   * A short description of the label.
   */
  description?: string;
  /*
   * The name of the label. Emoji can be added to label names, using either native emoji or colon-style markup. For example, typing `:strawberry:` will render the emoji ![:strawberry:](https://github.githubassets.com/images/icons/emoji/unicode/1f353.png ":strawberry:"). For a full list of available emoji and codes, see [emoji-cheat-sheet.com](http://emoji-cheat-sheet.com/).
   */
  name: string;
};

export type IssuesCreateLabelVariables = {
  body: IssuesCreateLabelRequestBody;
  pathParams: IssuesCreateLabelPathParams;
} & GithubContext["fetcherOptions"];

export const fetchIssuesCreateLabel = (variables: IssuesCreateLabelVariables) =>
  githubFetch<
    Schemas.Label,
    IssuesCreateLabelError,
    IssuesCreateLabelRequestBody,
    {},
    {},
    IssuesCreateLabelPathParams
  >({ url: "/repos/{owner}/{repo}/labels", method: "post", ...variables });

export const useIssuesCreateLabel = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Label,
      IssuesCreateLabelError,
      IssuesCreateLabelVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Label,
    IssuesCreateLabelError,
    IssuesCreateLabelVariables
  >(
    (variables: IssuesCreateLabelVariables) =>
      fetchIssuesCreateLabel({ ...fetcherOptions, ...variables }),
    options
  );
};

export type IssuesDeleteLabelPathParams = {
  owner: string;
  repo: string;
  name: string;
};

export type IssuesDeleteLabelError = Fetcher.ErrorWrapper<undefined>;

export type IssuesDeleteLabelVariables = {
  pathParams: IssuesDeleteLabelPathParams;
} & GithubContext["fetcherOptions"];

export const fetchIssuesDeleteLabel = (variables: IssuesDeleteLabelVariables) =>
  githubFetch<
    undefined,
    IssuesDeleteLabelError,
    undefined,
    {},
    {},
    IssuesDeleteLabelPathParams
  >({
    url: "/repos/{owner}/{repo}/labels/{name}",
    method: "delete",
    ...variables,
  });

export const useIssuesDeleteLabel = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      IssuesDeleteLabelError,
      IssuesDeleteLabelVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    IssuesDeleteLabelError,
    IssuesDeleteLabelVariables
  >(
    (variables: IssuesDeleteLabelVariables) =>
      fetchIssuesDeleteLabel({ ...fetcherOptions, ...variables }),
    options
  );
};

export type IssuesGetLabelPathParams = {
  owner: string;
  repo: string;
  name: string;
};

export type IssuesGetLabelError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type IssuesGetLabelVariables = {
  pathParams: IssuesGetLabelPathParams;
} & GithubContext["fetcherOptions"];

export const fetchIssuesGetLabel = (variables: IssuesGetLabelVariables) =>
  githubFetch<
    Schemas.Label,
    IssuesGetLabelError,
    undefined,
    {},
    {},
    IssuesGetLabelPathParams
  >({
    url: "/repos/{owner}/{repo}/labels/{name}",
    method: "get",
    ...variables,
  });

export const useIssuesGetLabel = <TData = Schemas.Label>(
  variables: IssuesGetLabelVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<Schemas.Label, IssuesGetLabelError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.Label, IssuesGetLabelError, TData>(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/labels/{name}",
      operationId: "issuesGetLabel",
      variables,
    }),
    () => fetchIssuesGetLabel({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type IssuesUpdateLabelPathParams = {
  owner: string;
  repo: string;
  name: string;
};

export type IssuesUpdateLabelError = Fetcher.ErrorWrapper<undefined>;

export type IssuesUpdateLabelRequestBody = {
  /*
   * The [hexadecimal color code](http://www.color-hex.com/) for the label, without the leading `#`.
   */
  color?: string;
  /*
   * A short description of the label.
   */
  description?: string;
  /*
   * The new name of the label. Emoji can be added to label names, using either native emoji or colon-style markup. For example, typing `:strawberry:` will render the emoji ![:strawberry:](https://github.githubassets.com/images/icons/emoji/unicode/1f353.png ":strawberry:"). For a full list of available emoji and codes, see [emoji-cheat-sheet.com](http://emoji-cheat-sheet.com/).
   */
  new_name?: string;
};

export type IssuesUpdateLabelVariables = {
  body?: IssuesUpdateLabelRequestBody;
  pathParams: IssuesUpdateLabelPathParams;
} & GithubContext["fetcherOptions"];

export const fetchIssuesUpdateLabel = (variables: IssuesUpdateLabelVariables) =>
  githubFetch<
    Schemas.Label,
    IssuesUpdateLabelError,
    IssuesUpdateLabelRequestBody,
    {},
    {},
    IssuesUpdateLabelPathParams
  >({
    url: "/repos/{owner}/{repo}/labels/{name}",
    method: "patch",
    ...variables,
  });

export const useIssuesUpdateLabel = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Label,
      IssuesUpdateLabelError,
      IssuesUpdateLabelVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Label,
    IssuesUpdateLabelError,
    IssuesUpdateLabelVariables
  >(
    (variables: IssuesUpdateLabelVariables) =>
      fetchIssuesUpdateLabel({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposListLanguagesPathParams = {
  owner: string;
  repo: string;
};

export type ReposListLanguagesError = Fetcher.ErrorWrapper<undefined>;

export type ReposListLanguagesVariables = {
  pathParams: ReposListLanguagesPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists languages for the specified repository. The value shown for each language is the number of bytes of code written in that language.
 */
export const fetchReposListLanguages = (
  variables: ReposListLanguagesVariables
) =>
  githubFetch<
    Schemas.Language,
    ReposListLanguagesError,
    undefined,
    {},
    {},
    ReposListLanguagesPathParams
  >({ url: "/repos/{owner}/{repo}/languages", method: "get", ...variables });

/**
 * Lists languages for the specified repository. The value shown for each language is the number of bytes of code written in that language.
 */
export const useReposListLanguages = <TData = Schemas.Language>(
  variables: ReposListLanguagesVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.Language,
      ReposListLanguagesError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.Language, ReposListLanguagesError, TData>(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/languages",
      operationId: "reposListLanguages",
      variables,
    }),
    () => fetchReposListLanguages({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type LicensesGetForRepoPathParams = {
  owner: string;
  repo: string;
};

export type LicensesGetForRepoError = Fetcher.ErrorWrapper<undefined>;

export type LicensesGetForRepoVariables = {
  pathParams: LicensesGetForRepoPathParams;
} & GithubContext["fetcherOptions"];

/**
 * This method returns the contents of the repository's license file, if one is detected.
 *
 * Similar to [Get repository content](https://docs.github.com/rest/reference/repos#get-repository-content), this method also supports [custom media types](https://docs.github.com/rest/overview/media-types) for retrieving the raw license content or rendered license HTML.
 */
export const fetchLicensesGetForRepo = (
  variables: LicensesGetForRepoVariables
) =>
  githubFetch<
    Schemas.LicenseContent,
    LicensesGetForRepoError,
    undefined,
    {},
    {},
    LicensesGetForRepoPathParams
  >({ url: "/repos/{owner}/{repo}/license", method: "get", ...variables });

/**
 * This method returns the contents of the repository's license file, if one is detected.
 *
 * Similar to [Get repository content](https://docs.github.com/rest/reference/repos#get-repository-content), this method also supports [custom media types](https://docs.github.com/rest/overview/media-types) for retrieving the raw license content or rendered license HTML.
 */
export const useLicensesGetForRepo = <TData = Schemas.LicenseContent>(
  variables: LicensesGetForRepoVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.LicenseContent,
      LicensesGetForRepoError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.LicenseContent,
    LicensesGetForRepoError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/license",
      operationId: "licensesGetForRepo",
      variables,
    }),
    () => fetchLicensesGetForRepo({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposMergePathParams = {
  owner: string;
  repo: string;
};

export type ReposMergeError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: {
        /*
         * @example "https://docs.github.com/rest/reference/repos#perform-a-merge"
         */
        documentation_url?: string;
        message?: string;
      };
    }
  | {
      status: 409;
      payload: {
        /*
         * @example "https://docs.github.com/rest/reference/repos#perform-a-merge"
         */
        documentation_url?: string;
        message?: string;
      };
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type ReposMergeRequestBody = {
  /*
   * The name of the base branch that the head will be merged into.
   */
  base: string;
  /*
   * Commit message to use for the merge commit. If omitted, a default message will be used.
   */
  commit_message?: string;
  /*
   * The head to merge. This can be a branch name or a commit SHA1.
   */
  head: string;
};

export type ReposMergeVariables = {
  body: ReposMergeRequestBody;
  pathParams: ReposMergePathParams;
} & GithubContext["fetcherOptions"];

export const fetchReposMerge = (variables: ReposMergeVariables) =>
  githubFetch<
    Schemas.Commit,
    ReposMergeError,
    ReposMergeRequestBody,
    {},
    {},
    ReposMergePathParams
  >({ url: "/repos/{owner}/{repo}/merges", method: "post", ...variables });

export const useReposMerge = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Commit,
      ReposMergeError,
      ReposMergeVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Commit,
    ReposMergeError,
    ReposMergeVariables
  >(
    (variables: ReposMergeVariables) =>
      fetchReposMerge({ ...fetcherOptions, ...variables }),
    options
  );
};

export type IssuesListMilestonesPathParams = {
  owner: string;
  repo: string;
};

export type IssuesListMilestonesQueryParams = {
  /*
   * The state of the milestone. Either `open`, `closed`, or `all`.
   *
   * @default open
   */
  state?: "open" | "closed" | "all";
  /*
   * What to sort results by. Either `due_on` or `completeness`.
   *
   * @default due_on
   */
  sort?: "due_on" | "completeness";
  /*
   * The direction of the sort. Either `asc` or `desc`.
   *
   * @default asc
   */
  direction?: "asc" | "desc";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type IssuesListMilestonesError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type IssuesListMilestonesResponse = Schemas.Milestone[];

export type IssuesListMilestonesVariables = {
  pathParams: IssuesListMilestonesPathParams;
  queryParams?: IssuesListMilestonesQueryParams;
} & GithubContext["fetcherOptions"];

export const fetchIssuesListMilestones = (
  variables: IssuesListMilestonesVariables
) =>
  githubFetch<
    IssuesListMilestonesResponse,
    IssuesListMilestonesError,
    undefined,
    {},
    IssuesListMilestonesQueryParams,
    IssuesListMilestonesPathParams
  >({ url: "/repos/{owner}/{repo}/milestones", method: "get", ...variables });

export const useIssuesListMilestones = <TData = IssuesListMilestonesResponse>(
  variables: IssuesListMilestonesVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      IssuesListMilestonesResponse,
      IssuesListMilestonesError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    IssuesListMilestonesResponse,
    IssuesListMilestonesError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/milestones",
      operationId: "issuesListMilestones",
      variables,
    }),
    () => fetchIssuesListMilestones({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type IssuesCreateMilestonePathParams = {
  owner: string;
  repo: string;
};

export type IssuesCreateMilestoneError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type IssuesCreateMilestoneRequestBody = {
  /*
   * A description of the milestone.
   */
  description?: string;
  /*
   * The milestone due date. This is a timestamp in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format: `YYYY-MM-DDTHH:MM:SSZ`.
   */
  due_on?: string;
  /*
   * The state of the milestone. Either `open` or `closed`.
   *
   * @default open
   */
  state?: "open" | "closed";
  /*
   * The title of the milestone.
   */
  title: string;
};

export type IssuesCreateMilestoneVariables = {
  body: IssuesCreateMilestoneRequestBody;
  pathParams: IssuesCreateMilestonePathParams;
} & GithubContext["fetcherOptions"];

export const fetchIssuesCreateMilestone = (
  variables: IssuesCreateMilestoneVariables
) =>
  githubFetch<
    Schemas.Milestone,
    IssuesCreateMilestoneError,
    IssuesCreateMilestoneRequestBody,
    {},
    {},
    IssuesCreateMilestonePathParams
  >({ url: "/repos/{owner}/{repo}/milestones", method: "post", ...variables });

export const useIssuesCreateMilestone = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Milestone,
      IssuesCreateMilestoneError,
      IssuesCreateMilestoneVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Milestone,
    IssuesCreateMilestoneError,
    IssuesCreateMilestoneVariables
  >(
    (variables: IssuesCreateMilestoneVariables) =>
      fetchIssuesCreateMilestone({ ...fetcherOptions, ...variables }),
    options
  );
};

export type IssuesDeleteMilestonePathParams = {
  owner: string;
  repo: string;
  /*
   * milestone_number parameter
   */
  milestoneNumber: number;
};

export type IssuesDeleteMilestoneError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type IssuesDeleteMilestoneVariables = {
  pathParams: IssuesDeleteMilestonePathParams;
} & GithubContext["fetcherOptions"];

export const fetchIssuesDeleteMilestone = (
  variables: IssuesDeleteMilestoneVariables
) =>
  githubFetch<
    undefined,
    IssuesDeleteMilestoneError,
    undefined,
    {},
    {},
    IssuesDeleteMilestonePathParams
  >({
    url: "/repos/{owner}/{repo}/milestones/{milestoneNumber}",
    method: "delete",
    ...variables,
  });

export const useIssuesDeleteMilestone = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      IssuesDeleteMilestoneError,
      IssuesDeleteMilestoneVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    IssuesDeleteMilestoneError,
    IssuesDeleteMilestoneVariables
  >(
    (variables: IssuesDeleteMilestoneVariables) =>
      fetchIssuesDeleteMilestone({ ...fetcherOptions, ...variables }),
    options
  );
};

export type IssuesGetMilestonePathParams = {
  owner: string;
  repo: string;
  /*
   * milestone_number parameter
   */
  milestoneNumber: number;
};

export type IssuesGetMilestoneError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type IssuesGetMilestoneVariables = {
  pathParams: IssuesGetMilestonePathParams;
} & GithubContext["fetcherOptions"];

export const fetchIssuesGetMilestone = (
  variables: IssuesGetMilestoneVariables
) =>
  githubFetch<
    Schemas.Milestone,
    IssuesGetMilestoneError,
    undefined,
    {},
    {},
    IssuesGetMilestonePathParams
  >({
    url: "/repos/{owner}/{repo}/milestones/{milestoneNumber}",
    method: "get",
    ...variables,
  });

export const useIssuesGetMilestone = <TData = Schemas.Milestone>(
  variables: IssuesGetMilestoneVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.Milestone,
      IssuesGetMilestoneError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.Milestone, IssuesGetMilestoneError, TData>(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/milestones/{milestone_number}",
      operationId: "issuesGetMilestone",
      variables,
    }),
    () => fetchIssuesGetMilestone({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type IssuesUpdateMilestonePathParams = {
  owner: string;
  repo: string;
  /*
   * milestone_number parameter
   */
  milestoneNumber: number;
};

export type IssuesUpdateMilestoneError = Fetcher.ErrorWrapper<undefined>;

export type IssuesUpdateMilestoneRequestBody = {
  /*
   * A description of the milestone.
   */
  description?: string;
  /*
   * The milestone due date. This is a timestamp in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format: `YYYY-MM-DDTHH:MM:SSZ`.
   */
  due_on?: string;
  /*
   * The state of the milestone. Either `open` or `closed`.
   *
   * @default open
   */
  state?: "open" | "closed";
  /*
   * The title of the milestone.
   */
  title?: string;
};

export type IssuesUpdateMilestoneVariables = {
  body?: IssuesUpdateMilestoneRequestBody;
  pathParams: IssuesUpdateMilestonePathParams;
} & GithubContext["fetcherOptions"];

export const fetchIssuesUpdateMilestone = (
  variables: IssuesUpdateMilestoneVariables
) =>
  githubFetch<
    Schemas.Milestone,
    IssuesUpdateMilestoneError,
    IssuesUpdateMilestoneRequestBody,
    {},
    {},
    IssuesUpdateMilestonePathParams
  >({
    url: "/repos/{owner}/{repo}/milestones/{milestoneNumber}",
    method: "patch",
    ...variables,
  });

export const useIssuesUpdateMilestone = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Milestone,
      IssuesUpdateMilestoneError,
      IssuesUpdateMilestoneVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Milestone,
    IssuesUpdateMilestoneError,
    IssuesUpdateMilestoneVariables
  >(
    (variables: IssuesUpdateMilestoneVariables) =>
      fetchIssuesUpdateMilestone({ ...fetcherOptions, ...variables }),
    options
  );
};

export type IssuesListLabelsForMilestonePathParams = {
  owner: string;
  repo: string;
  /*
   * milestone_number parameter
   */
  milestoneNumber: number;
};

export type IssuesListLabelsForMilestoneQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type IssuesListLabelsForMilestoneError = Fetcher.ErrorWrapper<undefined>;

export type IssuesListLabelsForMilestoneResponse = Schemas.Label[];

export type IssuesListLabelsForMilestoneVariables = {
  pathParams: IssuesListLabelsForMilestonePathParams;
  queryParams?: IssuesListLabelsForMilestoneQueryParams;
} & GithubContext["fetcherOptions"];

export const fetchIssuesListLabelsForMilestone = (
  variables: IssuesListLabelsForMilestoneVariables
) =>
  githubFetch<
    IssuesListLabelsForMilestoneResponse,
    IssuesListLabelsForMilestoneError,
    undefined,
    {},
    IssuesListLabelsForMilestoneQueryParams,
    IssuesListLabelsForMilestonePathParams
  >({
    url: "/repos/{owner}/{repo}/milestones/{milestoneNumber}/labels",
    method: "get",
    ...variables,
  });

export const useIssuesListLabelsForMilestone = <
  TData = IssuesListLabelsForMilestoneResponse
>(
  variables: IssuesListLabelsForMilestoneVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      IssuesListLabelsForMilestoneResponse,
      IssuesListLabelsForMilestoneError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    IssuesListLabelsForMilestoneResponse,
    IssuesListLabelsForMilestoneError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/milestones/{milestone_number}/labels",
      operationId: "issuesListLabelsForMilestone",
      variables,
    }),
    () =>
      fetchIssuesListLabelsForMilestone({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActivityListRepoNotificationsForAuthenticatedUserPathParams = {
  owner: string;
  repo: string;
};

export type ActivityListRepoNotificationsForAuthenticatedUserQueryParams = {
  /*
   * If `true`, show notifications marked as read.
   *
   * @default false
   */
  all?: boolean;
  /*
   * If `true`, only shows notifications in which the user is directly participating or mentioned.
   *
   * @default false
   */
  participating?: boolean;
  /*
   * Only show notifications updated after the given time. This is a timestamp in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format: `YYYY-MM-DDTHH:MM:SSZ`.
   */
  since?: string;
  /*
   * Only show notifications updated before the given time. This is a timestamp in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format: `YYYY-MM-DDTHH:MM:SSZ`.
   */
  before?: string;
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ActivityListRepoNotificationsForAuthenticatedUserError =
  Fetcher.ErrorWrapper<undefined>;

export type ActivityListRepoNotificationsForAuthenticatedUserResponse =
  Schemas.Thread[];

export type ActivityListRepoNotificationsForAuthenticatedUserVariables = {
  pathParams: ActivityListRepoNotificationsForAuthenticatedUserPathParams;
  queryParams?: ActivityListRepoNotificationsForAuthenticatedUserQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * List all notifications for the current user.
 */
export const fetchActivityListRepoNotificationsForAuthenticatedUser = (
  variables: ActivityListRepoNotificationsForAuthenticatedUserVariables
) =>
  githubFetch<
    ActivityListRepoNotificationsForAuthenticatedUserResponse,
    ActivityListRepoNotificationsForAuthenticatedUserError,
    undefined,
    {},
    ActivityListRepoNotificationsForAuthenticatedUserQueryParams,
    ActivityListRepoNotificationsForAuthenticatedUserPathParams
  >({
    url: "/repos/{owner}/{repo}/notifications",
    method: "get",
    ...variables,
  });

/**
 * List all notifications for the current user.
 */
export const useActivityListRepoNotificationsForAuthenticatedUser = <
  TData = ActivityListRepoNotificationsForAuthenticatedUserResponse
>(
  variables: ActivityListRepoNotificationsForAuthenticatedUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ActivityListRepoNotificationsForAuthenticatedUserResponse,
      ActivityListRepoNotificationsForAuthenticatedUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ActivityListRepoNotificationsForAuthenticatedUserResponse,
    ActivityListRepoNotificationsForAuthenticatedUserError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/notifications",
      operationId: "activityListRepoNotificationsForAuthenticatedUser",
      variables,
    }),
    () =>
      fetchActivityListRepoNotificationsForAuthenticatedUser({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActivityMarkRepoNotificationsAsReadPathParams = {
  owner: string;
  repo: string;
};

export type ActivityMarkRepoNotificationsAsReadError =
  Fetcher.ErrorWrapper<undefined>;

export type ActivityMarkRepoNotificationsAsReadRequestBody = {
  /*
   * Describes the last point that notifications were checked. Anything updated since this time will not be marked as read. If you omit this parameter, all notifications are marked as read. This is a timestamp in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format: `YYYY-MM-DDTHH:MM:SSZ`. Default: The current timestamp.
   */
  last_read_at?: string;
};

export type ActivityMarkRepoNotificationsAsReadVariables = {
  body?: ActivityMarkRepoNotificationsAsReadRequestBody;
  pathParams: ActivityMarkRepoNotificationsAsReadPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Marks all notifications in a repository as "read" removes them from the [default view on GitHub](https://github.com/notifications). If the number of notifications is too large to complete in one request, you will receive a `202 Accepted` status and GitHub will run an asynchronous process to mark notifications as "read." To check whether any "unread" notifications remain, you can use the [List repository notifications for the authenticated user](https://docs.github.com/rest/reference/activity#list-repository-notifications-for-the-authenticated-user) endpoint and pass the query parameter `all=false`.
 */
export const fetchActivityMarkRepoNotificationsAsRead = (
  variables: ActivityMarkRepoNotificationsAsReadVariables
) =>
  githubFetch<
    undefined,
    ActivityMarkRepoNotificationsAsReadError,
    ActivityMarkRepoNotificationsAsReadRequestBody,
    {},
    {},
    ActivityMarkRepoNotificationsAsReadPathParams
  >({
    url: "/repos/{owner}/{repo}/notifications",
    method: "put",
    ...variables,
  });

/**
 * Marks all notifications in a repository as "read" removes them from the [default view on GitHub](https://github.com/notifications). If the number of notifications is too large to complete in one request, you will receive a `202 Accepted` status and GitHub will run an asynchronous process to mark notifications as "read." To check whether any "unread" notifications remain, you can use the [List repository notifications for the authenticated user](https://docs.github.com/rest/reference/activity#list-repository-notifications-for-the-authenticated-user) endpoint and pass the query parameter `all=false`.
 */
export const useActivityMarkRepoNotificationsAsRead = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActivityMarkRepoNotificationsAsReadError,
      ActivityMarkRepoNotificationsAsReadVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActivityMarkRepoNotificationsAsReadError,
    ActivityMarkRepoNotificationsAsReadVariables
  >(
    (variables: ActivityMarkRepoNotificationsAsReadVariables) =>
      fetchActivityMarkRepoNotificationsAsRead({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ReposDeletePagesSitePathParams = {
  owner: string;
  repo: string;
};

export type ReposDeletePagesSiteError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 415;
      payload: Responses.PreviewHeaderMissing;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type ReposDeletePagesSiteVariables = {
  pathParams: ReposDeletePagesSitePathParams;
} & GithubContext["fetcherOptions"];

export const fetchReposDeletePagesSite = (
  variables: ReposDeletePagesSiteVariables
) =>
  githubFetch<
    undefined,
    ReposDeletePagesSiteError,
    undefined,
    {},
    {},
    ReposDeletePagesSitePathParams
  >({ url: "/repos/{owner}/{repo}/pages", method: "delete", ...variables });

export const useReposDeletePagesSite = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ReposDeletePagesSiteError,
      ReposDeletePagesSiteVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ReposDeletePagesSiteError,
    ReposDeletePagesSiteVariables
  >(
    (variables: ReposDeletePagesSiteVariables) =>
      fetchReposDeletePagesSite({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposGetPagesPathParams = {
  owner: string;
  repo: string;
};

export type ReposGetPagesError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type ReposGetPagesVariables = {
  pathParams: ReposGetPagesPathParams;
} & GithubContext["fetcherOptions"];

export const fetchReposGetPages = (variables: ReposGetPagesVariables) =>
  githubFetch<
    Schemas.Page,
    ReposGetPagesError,
    undefined,
    {},
    {},
    ReposGetPagesPathParams
  >({ url: "/repos/{owner}/{repo}/pages", method: "get", ...variables });

export const useReposGetPages = <TData = Schemas.Page>(
  variables: ReposGetPagesVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<Schemas.Page, ReposGetPagesError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.Page, ReposGetPagesError, TData>(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/pages",
      operationId: "reposGetPages",
      variables,
    }),
    () => fetchReposGetPages({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposCreatePagesSitePathParams = {
  owner: string;
  repo: string;
};

export type ReposCreatePagesSiteError = Fetcher.ErrorWrapper<
  | {
      status: 409;
      payload: Responses.Conflict;
    }
  | {
      status: 415;
      payload: Responses.PreviewHeaderMissing;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type ReposCreatePagesSiteRequestBody = {
  /*
   * The source branch and directory used to publish your Pages site.
   */
  source: {
    /*
     * The repository branch used to publish your site's source files.
     */
    branch: string;
    /*
     * The repository directory that includes the source files for the Pages site. Allowed paths are `/` or `/docs`. Default: `/`
     *
     * @default /
     */
    path?: "/" | "/docs";
  };
};

export type ReposCreatePagesSiteVariables = {
  body: ReposCreatePagesSiteRequestBody;
  pathParams: ReposCreatePagesSitePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Configures a GitHub Pages site. For more information, see "[About GitHub Pages](/github/working-with-github-pages/about-github-pages)."
 */
export const fetchReposCreatePagesSite = (
  variables: ReposCreatePagesSiteVariables
) =>
  githubFetch<
    Schemas.Page,
    ReposCreatePagesSiteError,
    ReposCreatePagesSiteRequestBody,
    {},
    {},
    ReposCreatePagesSitePathParams
  >({ url: "/repos/{owner}/{repo}/pages", method: "post", ...variables });

/**
 * Configures a GitHub Pages site. For more information, see "[About GitHub Pages](/github/working-with-github-pages/about-github-pages)."
 */
export const useReposCreatePagesSite = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Page,
      ReposCreatePagesSiteError,
      ReposCreatePagesSiteVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Page,
    ReposCreatePagesSiteError,
    ReposCreatePagesSiteVariables
  >(
    (variables: ReposCreatePagesSiteVariables) =>
      fetchReposCreatePagesSite({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposUpdateInformationAboutPagesSitePathParams = {
  owner: string;
  repo: string;
};

export type ReposUpdateInformationAboutPagesSiteError = Fetcher.ErrorWrapper<
  | {
      status: 400;
      payload: Responses.BadRequest;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type ReposUpdateInformationAboutPagesSiteRequestBody = {
  /*
   * Specify a custom domain for the repository. Sending a `null` value will remove the custom domain. For more about custom domains, see "[Using a custom domain with GitHub Pages](https://help.github.com/articles/using-a-custom-domain-with-github-pages/)."
   */
  cname?: string | null;
  /*
   * Configures access controls for the GitHub Pages site. If public is set to `true`, the site is accessible to anyone on the internet. If set to `false`, the site will only be accessible to users who have at least `read` access to the repository that published the site. This includes anyone in your Enterprise if the repository is set to `internal` visibility. This feature is only available to repositories in an organization on an Enterprise plan.
   */
  public?: boolean;
  source:
    | ("gh-pages" | "master" | "master /docs")
    | {
        /*
         * The repository branch used to publish your site's source files.
         */
        branch: string;
        /*
         * The repository directory that includes the source files for the Pages site. Allowed paths are `/` or `/docs`.
         */
        path: "/" | "/docs";
      };
};

export type ReposUpdateInformationAboutPagesSiteVariables = {
  body: ReposUpdateInformationAboutPagesSiteRequestBody;
  pathParams: ReposUpdateInformationAboutPagesSitePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Updates information for a GitHub Pages site. For more information, see "[About GitHub Pages](/github/working-with-github-pages/about-github-pages).
 */
export const fetchReposUpdateInformationAboutPagesSite = (
  variables: ReposUpdateInformationAboutPagesSiteVariables
) =>
  githubFetch<
    undefined,
    ReposUpdateInformationAboutPagesSiteError,
    ReposUpdateInformationAboutPagesSiteRequestBody,
    {},
    {},
    ReposUpdateInformationAboutPagesSitePathParams
  >({ url: "/repos/{owner}/{repo}/pages", method: "put", ...variables });

/**
 * Updates information for a GitHub Pages site. For more information, see "[About GitHub Pages](/github/working-with-github-pages/about-github-pages).
 */
export const useReposUpdateInformationAboutPagesSite = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ReposUpdateInformationAboutPagesSiteError,
      ReposUpdateInformationAboutPagesSiteVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ReposUpdateInformationAboutPagesSiteError,
    ReposUpdateInformationAboutPagesSiteVariables
  >(
    (variables: ReposUpdateInformationAboutPagesSiteVariables) =>
      fetchReposUpdateInformationAboutPagesSite({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ReposListPagesBuildsPathParams = {
  owner: string;
  repo: string;
};

export type ReposListPagesBuildsQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ReposListPagesBuildsError = Fetcher.ErrorWrapper<undefined>;

export type ReposListPagesBuildsResponse = Schemas.PageBuild[];

export type ReposListPagesBuildsVariables = {
  pathParams: ReposListPagesBuildsPathParams;
  queryParams?: ReposListPagesBuildsQueryParams;
} & GithubContext["fetcherOptions"];

export const fetchReposListPagesBuilds = (
  variables: ReposListPagesBuildsVariables
) =>
  githubFetch<
    ReposListPagesBuildsResponse,
    ReposListPagesBuildsError,
    undefined,
    {},
    ReposListPagesBuildsQueryParams,
    ReposListPagesBuildsPathParams
  >({ url: "/repos/{owner}/{repo}/pages/builds", method: "get", ...variables });

export const useReposListPagesBuilds = <TData = ReposListPagesBuildsResponse>(
  variables: ReposListPagesBuildsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReposListPagesBuildsResponse,
      ReposListPagesBuildsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReposListPagesBuildsResponse,
    ReposListPagesBuildsError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/pages/builds",
      operationId: "reposListPagesBuilds",
      variables,
    }),
    () => fetchReposListPagesBuilds({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposRequestPagesBuildPathParams = {
  owner: string;
  repo: string;
};

export type ReposRequestPagesBuildError = Fetcher.ErrorWrapper<undefined>;

export type ReposRequestPagesBuildVariables = {
  pathParams: ReposRequestPagesBuildPathParams;
} & GithubContext["fetcherOptions"];

/**
 * You can request that your site be built from the latest revision on the default branch. This has the same effect as pushing a commit to your default branch, but does not require an additional commit. Manually triggering page builds can be helpful when diagnosing build warnings and failures.
 *
 * Build requests are limited to one concurrent build per repository and one concurrent build per requester. If you request a build while another is still in progress, the second request will be queued until the first completes.
 */
export const fetchReposRequestPagesBuild = (
  variables: ReposRequestPagesBuildVariables
) =>
  githubFetch<
    Schemas.PageBuildStatus,
    ReposRequestPagesBuildError,
    undefined,
    {},
    {},
    ReposRequestPagesBuildPathParams
  >({
    url: "/repos/{owner}/{repo}/pages/builds",
    method: "post",
    ...variables,
  });

/**
 * You can request that your site be built from the latest revision on the default branch. This has the same effect as pushing a commit to your default branch, but does not require an additional commit. Manually triggering page builds can be helpful when diagnosing build warnings and failures.
 *
 * Build requests are limited to one concurrent build per repository and one concurrent build per requester. If you request a build while another is still in progress, the second request will be queued until the first completes.
 */
export const useReposRequestPagesBuild = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.PageBuildStatus,
      ReposRequestPagesBuildError,
      ReposRequestPagesBuildVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.PageBuildStatus,
    ReposRequestPagesBuildError,
    ReposRequestPagesBuildVariables
  >(
    (variables: ReposRequestPagesBuildVariables) =>
      fetchReposRequestPagesBuild({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposGetLatestPagesBuildPathParams = {
  owner: string;
  repo: string;
};

export type ReposGetLatestPagesBuildError = Fetcher.ErrorWrapper<undefined>;

export type ReposGetLatestPagesBuildVariables = {
  pathParams: ReposGetLatestPagesBuildPathParams;
} & GithubContext["fetcherOptions"];

export const fetchReposGetLatestPagesBuild = (
  variables: ReposGetLatestPagesBuildVariables
) =>
  githubFetch<
    Schemas.PageBuild,
    ReposGetLatestPagesBuildError,
    undefined,
    {},
    {},
    ReposGetLatestPagesBuildPathParams
  >({
    url: "/repos/{owner}/{repo}/pages/builds/latest",
    method: "get",
    ...variables,
  });

export const useReposGetLatestPagesBuild = <TData = Schemas.PageBuild>(
  variables: ReposGetLatestPagesBuildVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.PageBuild,
      ReposGetLatestPagesBuildError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.PageBuild,
    ReposGetLatestPagesBuildError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/pages/builds/latest",
      operationId: "reposGetLatestPagesBuild",
      variables,
    }),
    () => fetchReposGetLatestPagesBuild({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposGetPagesBuildPathParams = {
  owner: string;
  repo: string;
  buildId: number;
};

export type ReposGetPagesBuildError = Fetcher.ErrorWrapper<undefined>;

export type ReposGetPagesBuildVariables = {
  pathParams: ReposGetPagesBuildPathParams;
} & GithubContext["fetcherOptions"];

export const fetchReposGetPagesBuild = (
  variables: ReposGetPagesBuildVariables
) =>
  githubFetch<
    Schemas.PageBuild,
    ReposGetPagesBuildError,
    undefined,
    {},
    {},
    ReposGetPagesBuildPathParams
  >({
    url: "/repos/{owner}/{repo}/pages/builds/{buildId}",
    method: "get",
    ...variables,
  });

export const useReposGetPagesBuild = <TData = Schemas.PageBuild>(
  variables: ReposGetPagesBuildVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.PageBuild,
      ReposGetPagesBuildError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.PageBuild, ReposGetPagesBuildError, TData>(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/pages/builds/{build_id}",
      operationId: "reposGetPagesBuild",
      variables,
    }),
    () => fetchReposGetPagesBuild({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ProjectsListForRepoPathParams = {
  owner: string;
  repo: string;
};

export type ProjectsListForRepoQueryParams = {
  /*
   * Indicates the state of the projects to return. Can be either `open`, `closed`, or `all`.
   *
   * @default open
   */
  state?: "open" | "closed" | "all";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ProjectsListForRepoError = Fetcher.ErrorWrapper<
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 410;
      payload: Responses.Gone;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailedSimple;
    }
>;

export type ProjectsListForRepoResponse = Schemas.Project[];

export type ProjectsListForRepoVariables = {
  pathParams: ProjectsListForRepoPathParams;
  queryParams?: ProjectsListForRepoQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists the projects in a repository. Returns a `404 Not Found` status if projects are disabled in the repository. If you do not have sufficient privileges to perform this action, a `401 Unauthorized` or `410 Gone` status is returned.
 */
export const fetchProjectsListForRepo = (
  variables: ProjectsListForRepoVariables
) =>
  githubFetch<
    ProjectsListForRepoResponse,
    ProjectsListForRepoError,
    undefined,
    {},
    ProjectsListForRepoQueryParams,
    ProjectsListForRepoPathParams
  >({ url: "/repos/{owner}/{repo}/projects", method: "get", ...variables });

/**
 * Lists the projects in a repository. Returns a `404 Not Found` status if projects are disabled in the repository. If you do not have sufficient privileges to perform this action, a `401 Unauthorized` or `410 Gone` status is returned.
 */
export const useProjectsListForRepo = <TData = ProjectsListForRepoResponse>(
  variables: ProjectsListForRepoVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ProjectsListForRepoResponse,
      ProjectsListForRepoError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ProjectsListForRepoResponse,
    ProjectsListForRepoError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/projects",
      operationId: "projectsListForRepo",
      variables,
    }),
    () => fetchProjectsListForRepo({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ProjectsCreateForRepoPathParams = {
  owner: string;
  repo: string;
};

export type ProjectsCreateForRepoError = Fetcher.ErrorWrapper<
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 410;
      payload: Responses.Gone;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailedSimple;
    }
>;

export type ProjectsCreateForRepoRequestBody = {
  /*
   * The description of the project.
   */
  body?: string;
  /*
   * The name of the project.
   */
  name: string;
};

export type ProjectsCreateForRepoVariables = {
  body: ProjectsCreateForRepoRequestBody;
  pathParams: ProjectsCreateForRepoPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Creates a repository project board. Returns a `404 Not Found` status if projects are disabled in the repository. If you do not have sufficient privileges to perform this action, a `401 Unauthorized` or `410 Gone` status is returned.
 */
export const fetchProjectsCreateForRepo = (
  variables: ProjectsCreateForRepoVariables
) =>
  githubFetch<
    Schemas.Project,
    ProjectsCreateForRepoError,
    ProjectsCreateForRepoRequestBody,
    {},
    {},
    ProjectsCreateForRepoPathParams
  >({ url: "/repos/{owner}/{repo}/projects", method: "post", ...variables });

/**
 * Creates a repository project board. Returns a `404 Not Found` status if projects are disabled in the repository. If you do not have sufficient privileges to perform this action, a `401 Unauthorized` or `410 Gone` status is returned.
 */
export const useProjectsCreateForRepo = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Project,
      ProjectsCreateForRepoError,
      ProjectsCreateForRepoVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Project,
    ProjectsCreateForRepoError,
    ProjectsCreateForRepoVariables
  >(
    (variables: ProjectsCreateForRepoVariables) =>
      fetchProjectsCreateForRepo({ ...fetcherOptions, ...variables }),
    options
  );
};

export type PullsListPathParams = {
  owner: string;
  repo: string;
};

export type PullsListQueryParams = {
  /*
   * Either `open`, `closed`, or `all` to filter by state.
   *
   * @default open
   */
  state?: "open" | "closed" | "all";
  /*
   * Filter pulls by head user or head organization and branch name in the format of `user:ref-name` or `organization:ref-name`. For example: `github:new-script-format` or `octocat:test-branch`.
   */
  head?: string;
  /*
   * Filter pulls by base branch name. Example: `gh-pages`.
   */
  base?: string;
  /*
   * What to sort results by. Can be either `created`, `updated`, `popularity` (comment count) or `long-running` (age, filtering by pulls updated in the last month).
   *
   * @default created
   */
  sort?: "created" | "updated" | "popularity" | "long-running";
  /*
   * The direction of the sort. Can be either `asc` or `desc`. Default: `desc` when sort is `created` or sort is not specified, otherwise `asc`.
   */
  direction?: "asc" | "desc";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type PullsListError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type PullsListResponse = Schemas.PullRequestSimple[];

export type PullsListVariables = {
  pathParams: PullsListPathParams;
  queryParams?: PullsListQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Draft pull requests are available in public repositories with GitHub Free and GitHub Free for organizations, GitHub Pro, and legacy per-repository billing plans, and in public and private repositories with GitHub Team and GitHub Enterprise Cloud. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 */
export const fetchPullsList = (variables: PullsListVariables) =>
  githubFetch<
    PullsListResponse,
    PullsListError,
    undefined,
    {},
    PullsListQueryParams,
    PullsListPathParams
  >({ url: "/repos/{owner}/{repo}/pulls", method: "get", ...variables });

/**
 * Draft pull requests are available in public repositories with GitHub Free and GitHub Free for organizations, GitHub Pro, and legacy per-repository billing plans, and in public and private repositories with GitHub Team and GitHub Enterprise Cloud. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 */
export const usePullsList = <TData = PullsListResponse>(
  variables: PullsListVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<PullsListResponse, PullsListError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<PullsListResponse, PullsListError, TData>(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/pulls",
      operationId: "pullsList",
      variables,
    }),
    () => fetchPullsList({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type PullsCreatePathParams = {
  owner: string;
  repo: string;
};

export type PullsCreateError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type PullsCreateRequestBody = {
  /*
   * The name of the branch you want the changes pulled into. This should be an existing branch on the current repository. You cannot submit a pull request to one repository that requests a merge to a base of another repository.
   */
  base: string;
  /*
   * The contents of the pull request.
   */
  body?: string;
  /*
   * Indicates whether the pull request is a draft. See "[Draft Pull Requests](https://help.github.com/en/articles/about-pull-requests#draft-pull-requests)" in the GitHub Help documentation to learn more.
   */
  draft?: boolean;
  /*
   * The name of the branch where your changes are implemented. For cross-repository pull requests in the same network, namespace `head` with a user like this: `username:branch`.
   */
  head: string;
  /*
   * @example 1
   */
  issue?: number;
  /*
   * Indicates whether [maintainers can modify](https://help.github.com/articles/allowing-changes-to-a-pull-request-branch-created-from-a-fork/) the pull request.
   */
  maintainer_can_modify?: boolean;
  /*
   * The title of the new pull request.
   */
  title?: string;
};

export type PullsCreateVariables = {
  body: PullsCreateRequestBody;
  pathParams: PullsCreatePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Draft pull requests are available in public repositories with GitHub Free and GitHub Free for organizations, GitHub Pro, and legacy per-repository billing plans, and in public and private repositories with GitHub Team and GitHub Enterprise Cloud. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * To open or update a pull request in a public repository, you must have write access to the head or the source branch. For organization-owned repositories, you must be a member of the organization that owns the repository to open or update a pull request.
 *
 * You can create a new pull request.
 *
 * This endpoint triggers [notifications](https://docs.github.com/en/github/managing-subscriptions-and-notifications-on-github/about-notifications). Creating content too quickly using this endpoint may result in abuse rate limiting. See "[Abuse rate limits](https://docs.github.com/rest/overview/resources-in-the-rest-api#abuse-rate-limits)" and "[Dealing with abuse rate limits](https://docs.github.com/rest/guides/best-practices-for-integrators#dealing-with-rate-limits)" for details.
 */
export const fetchPullsCreate = (variables: PullsCreateVariables) =>
  githubFetch<
    Schemas.PullRequest,
    PullsCreateError,
    PullsCreateRequestBody,
    {},
    {},
    PullsCreatePathParams
  >({ url: "/repos/{owner}/{repo}/pulls", method: "post", ...variables });

/**
 * Draft pull requests are available in public repositories with GitHub Free and GitHub Free for organizations, GitHub Pro, and legacy per-repository billing plans, and in public and private repositories with GitHub Team and GitHub Enterprise Cloud. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * To open or update a pull request in a public repository, you must have write access to the head or the source branch. For organization-owned repositories, you must be a member of the organization that owns the repository to open or update a pull request.
 *
 * You can create a new pull request.
 *
 * This endpoint triggers [notifications](https://docs.github.com/en/github/managing-subscriptions-and-notifications-on-github/about-notifications). Creating content too quickly using this endpoint may result in abuse rate limiting. See "[Abuse rate limits](https://docs.github.com/rest/overview/resources-in-the-rest-api#abuse-rate-limits)" and "[Dealing with abuse rate limits](https://docs.github.com/rest/guides/best-practices-for-integrators#dealing-with-rate-limits)" for details.
 */
export const usePullsCreate = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.PullRequest,
      PullsCreateError,
      PullsCreateVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.PullRequest,
    PullsCreateError,
    PullsCreateVariables
  >(
    (variables: PullsCreateVariables) =>
      fetchPullsCreate({ ...fetcherOptions, ...variables }),
    options
  );
};

export type PullsListReviewCommentsForRepoPathParams = {
  owner: string;
  repo: string;
};

export type PullsListReviewCommentsForRepoQueryParams = {
  sort?: "created" | "updated" | "created_at";
  /*
   * Can be either `asc` or `desc`. Ignored without `sort` parameter.
   */
  direction?: "asc" | "desc";
  /*
   * Only show notifications updated after the given time. This is a timestamp in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format: `YYYY-MM-DDTHH:MM:SSZ`.
   */
  since?: string;
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type PullsListReviewCommentsForRepoError =
  Fetcher.ErrorWrapper<undefined>;

export type PullsListReviewCommentsForRepoResponse =
  Schemas.PullRequestReviewComment[];

export type PullsListReviewCommentsForRepoVariables = {
  pathParams: PullsListReviewCommentsForRepoPathParams;
  queryParams?: PullsListReviewCommentsForRepoQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists review comments for all pull requests in a repository. By default, review comments are in ascending order by ID.
 */
export const fetchPullsListReviewCommentsForRepo = (
  variables: PullsListReviewCommentsForRepoVariables
) =>
  githubFetch<
    PullsListReviewCommentsForRepoResponse,
    PullsListReviewCommentsForRepoError,
    undefined,
    {},
    PullsListReviewCommentsForRepoQueryParams,
    PullsListReviewCommentsForRepoPathParams
  >({
    url: "/repos/{owner}/{repo}/pulls/comments",
    method: "get",
    ...variables,
  });

/**
 * Lists review comments for all pull requests in a repository. By default, review comments are in ascending order by ID.
 */
export const usePullsListReviewCommentsForRepo = <
  TData = PullsListReviewCommentsForRepoResponse
>(
  variables: PullsListReviewCommentsForRepoVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      PullsListReviewCommentsForRepoResponse,
      PullsListReviewCommentsForRepoError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    PullsListReviewCommentsForRepoResponse,
    PullsListReviewCommentsForRepoError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/pulls/comments",
      operationId: "pullsListReviewCommentsForRepo",
      variables,
    }),
    () =>
      fetchPullsListReviewCommentsForRepo({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type PullsDeleteReviewCommentPathParams = {
  owner: string;
  repo: string;
  /*
   * comment_id parameter
   */
  commentId: number;
};

export type PullsDeleteReviewCommentError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type PullsDeleteReviewCommentVariables = {
  pathParams: PullsDeleteReviewCommentPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Deletes a review comment.
 */
export const fetchPullsDeleteReviewComment = (
  variables: PullsDeleteReviewCommentVariables
) =>
  githubFetch<
    undefined,
    PullsDeleteReviewCommentError,
    undefined,
    {},
    {},
    PullsDeleteReviewCommentPathParams
  >({
    url: "/repos/{owner}/{repo}/pulls/comments/{commentId}",
    method: "delete",
    ...variables,
  });

/**
 * Deletes a review comment.
 */
export const usePullsDeleteReviewComment = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      PullsDeleteReviewCommentError,
      PullsDeleteReviewCommentVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    PullsDeleteReviewCommentError,
    PullsDeleteReviewCommentVariables
  >(
    (variables: PullsDeleteReviewCommentVariables) =>
      fetchPullsDeleteReviewComment({ ...fetcherOptions, ...variables }),
    options
  );
};

export type PullsGetReviewCommentPathParams = {
  owner: string;
  repo: string;
  /*
   * comment_id parameter
   */
  commentId: number;
};

export type PullsGetReviewCommentError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type PullsGetReviewCommentVariables = {
  pathParams: PullsGetReviewCommentPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Provides details for a review comment.
 */
export const fetchPullsGetReviewComment = (
  variables: PullsGetReviewCommentVariables
) =>
  githubFetch<
    Schemas.PullRequestReviewComment,
    PullsGetReviewCommentError,
    undefined,
    {},
    {},
    PullsGetReviewCommentPathParams
  >({
    url: "/repos/{owner}/{repo}/pulls/comments/{commentId}",
    method: "get",
    ...variables,
  });

/**
 * Provides details for a review comment.
 */
export const usePullsGetReviewComment = <
  TData = Schemas.PullRequestReviewComment
>(
  variables: PullsGetReviewCommentVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.PullRequestReviewComment,
      PullsGetReviewCommentError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.PullRequestReviewComment,
    PullsGetReviewCommentError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/pulls/comments/{comment_id}",
      operationId: "pullsGetReviewComment",
      variables,
    }),
    () => fetchPullsGetReviewComment({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type PullsUpdateReviewCommentPathParams = {
  owner: string;
  repo: string;
  /*
   * comment_id parameter
   */
  commentId: number;
};

export type PullsUpdateReviewCommentError = Fetcher.ErrorWrapper<undefined>;

export type PullsUpdateReviewCommentRequestBody = {
  /*
   * The text of the reply to the review comment.
   */
  body: string;
};

export type PullsUpdateReviewCommentVariables = {
  body: PullsUpdateReviewCommentRequestBody;
  pathParams: PullsUpdateReviewCommentPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Enables you to edit a review comment.
 */
export const fetchPullsUpdateReviewComment = (
  variables: PullsUpdateReviewCommentVariables
) =>
  githubFetch<
    Schemas.PullRequestReviewComment,
    PullsUpdateReviewCommentError,
    PullsUpdateReviewCommentRequestBody,
    {},
    {},
    PullsUpdateReviewCommentPathParams
  >({
    url: "/repos/{owner}/{repo}/pulls/comments/{commentId}",
    method: "patch",
    ...variables,
  });

/**
 * Enables you to edit a review comment.
 */
export const usePullsUpdateReviewComment = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.PullRequestReviewComment,
      PullsUpdateReviewCommentError,
      PullsUpdateReviewCommentVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.PullRequestReviewComment,
    PullsUpdateReviewCommentError,
    PullsUpdateReviewCommentVariables
  >(
    (variables: PullsUpdateReviewCommentVariables) =>
      fetchPullsUpdateReviewComment({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReactionsListForPullRequestReviewCommentPathParams = {
  owner: string;
  repo: string;
  /*
   * comment_id parameter
   */
  commentId: number;
};

export type ReactionsListForPullRequestReviewCommentQueryParams = {
  /*
   * Returns a single [reaction type](https://docs.github.com/rest/reference/reactions#reaction-types). Omit this parameter to list all reactions to a pull request review comment.
   */
  content?:
    | "+1"
    | "-1"
    | "laugh"
    | "confused"
    | "heart"
    | "hooray"
    | "rocket"
    | "eyes";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ReactionsListForPullRequestReviewCommentError =
  Fetcher.ErrorWrapper<
    | {
        status: 404;
        payload: Responses.NotFound;
      }
    | {
        status: 415;
        payload: Responses.PreviewHeaderMissing;
      }
  >;

export type ReactionsListForPullRequestReviewCommentResponse =
  Schemas.Reaction[];

export type ReactionsListForPullRequestReviewCommentVariables = {
  pathParams: ReactionsListForPullRequestReviewCommentPathParams;
  queryParams?: ReactionsListForPullRequestReviewCommentQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * List the reactions to a [pull request review comment](https://docs.github.com/rest/reference/pulls#review-comments).
 */
export const fetchReactionsListForPullRequestReviewComment = (
  variables: ReactionsListForPullRequestReviewCommentVariables
) =>
  githubFetch<
    ReactionsListForPullRequestReviewCommentResponse,
    ReactionsListForPullRequestReviewCommentError,
    undefined,
    {},
    ReactionsListForPullRequestReviewCommentQueryParams,
    ReactionsListForPullRequestReviewCommentPathParams
  >({
    url: "/repos/{owner}/{repo}/pulls/comments/{commentId}/reactions",
    method: "get",
    ...variables,
  });

/**
 * List the reactions to a [pull request review comment](https://docs.github.com/rest/reference/pulls#review-comments).
 */
export const useReactionsListForPullRequestReviewComment = <
  TData = ReactionsListForPullRequestReviewCommentResponse
>(
  variables: ReactionsListForPullRequestReviewCommentVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReactionsListForPullRequestReviewCommentResponse,
      ReactionsListForPullRequestReviewCommentError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReactionsListForPullRequestReviewCommentResponse,
    ReactionsListForPullRequestReviewCommentError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/pulls/comments/{comment_id}/reactions",
      operationId: "reactionsListForPullRequestReviewComment",
      variables,
    }),
    () =>
      fetchReactionsListForPullRequestReviewComment({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReactionsCreateForPullRequestReviewCommentPathParams = {
  owner: string;
  repo: string;
  /*
   * comment_id parameter
   */
  commentId: number;
};

export type ReactionsCreateForPullRequestReviewCommentError =
  Fetcher.ErrorWrapper<
    | {
        status: 415;
        payload: Responses.PreviewHeaderMissing;
      }
    | {
        status: 422;
        payload: Responses.ValidationFailed;
      }
  >;

export type ReactionsCreateForPullRequestReviewCommentRequestBody = {
  /*
   * The [reaction type](https://docs.github.com/rest/reference/reactions#reaction-types) to add to the pull request review comment.
   */
  content:
    | "+1"
    | "-1"
    | "laugh"
    | "confused"
    | "heart"
    | "hooray"
    | "rocket"
    | "eyes";
};

export type ReactionsCreateForPullRequestReviewCommentVariables = {
  body: ReactionsCreateForPullRequestReviewCommentRequestBody;
  pathParams: ReactionsCreateForPullRequestReviewCommentPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Create a reaction to a [pull request review comment](https://docs.github.com/rest/reference/pulls#comments). A response with a `Status: 200 OK` means that you already added the reaction type to this pull request review comment.
 */
export const fetchReactionsCreateForPullRequestReviewComment = (
  variables: ReactionsCreateForPullRequestReviewCommentVariables
) =>
  githubFetch<
    Schemas.Reaction,
    ReactionsCreateForPullRequestReviewCommentError,
    ReactionsCreateForPullRequestReviewCommentRequestBody,
    {},
    {},
    ReactionsCreateForPullRequestReviewCommentPathParams
  >({
    url: "/repos/{owner}/{repo}/pulls/comments/{commentId}/reactions",
    method: "post",
    ...variables,
  });

/**
 * Create a reaction to a [pull request review comment](https://docs.github.com/rest/reference/pulls#comments). A response with a `Status: 200 OK` means that you already added the reaction type to this pull request review comment.
 */
export const useReactionsCreateForPullRequestReviewComment = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Reaction,
      ReactionsCreateForPullRequestReviewCommentError,
      ReactionsCreateForPullRequestReviewCommentVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Reaction,
    ReactionsCreateForPullRequestReviewCommentError,
    ReactionsCreateForPullRequestReviewCommentVariables
  >(
    (variables: ReactionsCreateForPullRequestReviewCommentVariables) =>
      fetchReactionsCreateForPullRequestReviewComment({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ReactionsDeleteForPullRequestCommentPathParams = {
  owner: string;
  repo: string;
  /*
   * comment_id parameter
   */
  commentId: number;
  reactionId: number;
};

export type ReactionsDeleteForPullRequestCommentError =
  Fetcher.ErrorWrapper<undefined>;

export type ReactionsDeleteForPullRequestCommentVariables = {
  pathParams: ReactionsDeleteForPullRequestCommentPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Note:** You can also specify a repository by `repository_id` using the route `DELETE /repositories/:repository_id/pulls/comments/:comment_id/reactions/:reaction_id.`
 *
 * Delete a reaction to a [pull request review comment](https://docs.github.com/rest/reference/pulls#review-comments).
 */
export const fetchReactionsDeleteForPullRequestComment = (
  variables: ReactionsDeleteForPullRequestCommentVariables
) =>
  githubFetch<
    undefined,
    ReactionsDeleteForPullRequestCommentError,
    undefined,
    {},
    {},
    ReactionsDeleteForPullRequestCommentPathParams
  >({
    url: "/repos/{owner}/{repo}/pulls/comments/{commentId}/reactions/{reactionId}",
    method: "delete",
    ...variables,
  });

/**
 * **Note:** You can also specify a repository by `repository_id` using the route `DELETE /repositories/:repository_id/pulls/comments/:comment_id/reactions/:reaction_id.`
 *
 * Delete a reaction to a [pull request review comment](https://docs.github.com/rest/reference/pulls#review-comments).
 */
export const useReactionsDeleteForPullRequestComment = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ReactionsDeleteForPullRequestCommentError,
      ReactionsDeleteForPullRequestCommentVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ReactionsDeleteForPullRequestCommentError,
    ReactionsDeleteForPullRequestCommentVariables
  >(
    (variables: ReactionsDeleteForPullRequestCommentVariables) =>
      fetchReactionsDeleteForPullRequestComment({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type PullsGetPathParams = {
  owner: string;
  repo: string;
  pullNumber: number;
};

export type PullsGetError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 500;
      payload: Responses.InternalError;
    }
>;

export type PullsGetVariables = {
  pathParams: PullsGetPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Draft pull requests are available in public repositories with GitHub Free and GitHub Free for organizations, GitHub Pro, and legacy per-repository billing plans, and in public and private repositories with GitHub Team and GitHub Enterprise Cloud. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Lists details of a pull request by providing its number.
 *
 * When you get, [create](https://docs.github.com/rest/reference/pulls/#create-a-pull-request), or [edit](https://docs.github.com/rest/reference/pulls#update-a-pull-request) a pull request, GitHub creates a merge commit to test whether the pull request can be automatically merged into the base branch. This test commit is not added to the base branch or the head branch. You can review the status of the test commit using the `mergeable` key. For more information, see "[Checking mergeability of pull requests](https://docs.github.com/rest/guides/getting-started-with-the-git-database-api#checking-mergeability-of-pull-requests)".
 *
 * The value of the `mergeable` attribute can be `true`, `false`, or `null`. If the value is `null`, then GitHub has started a background job to compute the mergeability. After giving the job time to complete, resubmit the request. When the job finishes, you will see a non-`null` value for the `mergeable` attribute in the response. If `mergeable` is `true`, then `merge_commit_sha` will be the SHA of the _test_ merge commit.
 *
 * The value of the `merge_commit_sha` attribute changes depending on the state of the pull request. Before merging a pull request, the `merge_commit_sha` attribute holds the SHA of the _test_ merge commit. After merging a pull request, the `merge_commit_sha` attribute changes depending on how you merged the pull request:
 *
 * *   If merged as a [merge commit](https://help.github.com/articles/about-merge-methods-on-github/), `merge_commit_sha` represents the SHA of the merge commit.
 * *   If merged via a [squash](https://help.github.com/articles/about-merge-methods-on-github/#squashing-your-merge-commits), `merge_commit_sha` represents the SHA of the squashed commit on the base branch.
 * *   If [rebased](https://help.github.com/articles/about-merge-methods-on-github/#rebasing-and-merging-your-commits), `merge_commit_sha` represents the commit that the base branch was updated to.
 *
 * Pass the appropriate [media type](https://docs.github.com/rest/overview/media-types/#commits-commit-comparison-and-pull-requests) to fetch diff and patch formats.
 */
export const fetchPullsGet = (variables: PullsGetVariables) =>
  githubFetch<
    Schemas.PullRequest,
    PullsGetError,
    undefined,
    {},
    {},
    PullsGetPathParams
  >({
    url: "/repos/{owner}/{repo}/pulls/{pullNumber}",
    method: "get",
    ...variables,
  });

/**
 * Draft pull requests are available in public repositories with GitHub Free and GitHub Free for organizations, GitHub Pro, and legacy per-repository billing plans, and in public and private repositories with GitHub Team and GitHub Enterprise Cloud. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Lists details of a pull request by providing its number.
 *
 * When you get, [create](https://docs.github.com/rest/reference/pulls/#create-a-pull-request), or [edit](https://docs.github.com/rest/reference/pulls#update-a-pull-request) a pull request, GitHub creates a merge commit to test whether the pull request can be automatically merged into the base branch. This test commit is not added to the base branch or the head branch. You can review the status of the test commit using the `mergeable` key. For more information, see "[Checking mergeability of pull requests](https://docs.github.com/rest/guides/getting-started-with-the-git-database-api#checking-mergeability-of-pull-requests)".
 *
 * The value of the `mergeable` attribute can be `true`, `false`, or `null`. If the value is `null`, then GitHub has started a background job to compute the mergeability. After giving the job time to complete, resubmit the request. When the job finishes, you will see a non-`null` value for the `mergeable` attribute in the response. If `mergeable` is `true`, then `merge_commit_sha` will be the SHA of the _test_ merge commit.
 *
 * The value of the `merge_commit_sha` attribute changes depending on the state of the pull request. Before merging a pull request, the `merge_commit_sha` attribute holds the SHA of the _test_ merge commit. After merging a pull request, the `merge_commit_sha` attribute changes depending on how you merged the pull request:
 *
 * *   If merged as a [merge commit](https://help.github.com/articles/about-merge-methods-on-github/), `merge_commit_sha` represents the SHA of the merge commit.
 * *   If merged via a [squash](https://help.github.com/articles/about-merge-methods-on-github/#squashing-your-merge-commits), `merge_commit_sha` represents the SHA of the squashed commit on the base branch.
 * *   If [rebased](https://help.github.com/articles/about-merge-methods-on-github/#rebasing-and-merging-your-commits), `merge_commit_sha` represents the commit that the base branch was updated to.
 *
 * Pass the appropriate [media type](https://docs.github.com/rest/overview/media-types/#commits-commit-comparison-and-pull-requests) to fetch diff and patch formats.
 */
export const usePullsGet = <TData = Schemas.PullRequest>(
  variables: PullsGetVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<Schemas.PullRequest, PullsGetError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.PullRequest, PullsGetError, TData>(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/pulls/{pull_number}",
      operationId: "pullsGet",
      variables,
    }),
    () => fetchPullsGet({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type PullsUpdatePathParams = {
  owner: string;
  repo: string;
  pullNumber: number;
};

export type PullsUpdateError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type PullsUpdateRequestBody = {
  /*
   * The name of the branch you want your changes pulled into. This should be an existing branch on the current repository. You cannot update the base branch on a pull request to point to another repository.
   */
  base?: string;
  /*
   * The contents of the pull request.
   */
  body?: string;
  /*
   * Indicates whether [maintainers can modify](https://help.github.com/articles/allowing-changes-to-a-pull-request-branch-created-from-a-fork/) the pull request.
   */
  maintainer_can_modify?: boolean;
  /*
   * State of this Pull Request. Either `open` or `closed`.
   */
  state?: "open" | "closed";
  /*
   * The title of the pull request.
   */
  title?: string;
};

export type PullsUpdateVariables = {
  body?: PullsUpdateRequestBody;
  pathParams: PullsUpdatePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Draft pull requests are available in public repositories with GitHub Free and GitHub Free for organizations, GitHub Pro, and legacy per-repository billing plans, and in public and private repositories with GitHub Team and GitHub Enterprise Cloud. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * To open or update a pull request in a public repository, you must have write access to the head or the source branch. For organization-owned repositories, you must be a member of the organization that owns the repository to open or update a pull request.
 */
export const fetchPullsUpdate = (variables: PullsUpdateVariables) =>
  githubFetch<
    Schemas.PullRequest,
    PullsUpdateError,
    PullsUpdateRequestBody,
    {},
    {},
    PullsUpdatePathParams
  >({
    url: "/repos/{owner}/{repo}/pulls/{pullNumber}",
    method: "patch",
    ...variables,
  });

/**
 * Draft pull requests are available in public repositories with GitHub Free and GitHub Free for organizations, GitHub Pro, and legacy per-repository billing plans, and in public and private repositories with GitHub Team and GitHub Enterprise Cloud. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * To open or update a pull request in a public repository, you must have write access to the head or the source branch. For organization-owned repositories, you must be a member of the organization that owns the repository to open or update a pull request.
 */
export const usePullsUpdate = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.PullRequest,
      PullsUpdateError,
      PullsUpdateVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.PullRequest,
    PullsUpdateError,
    PullsUpdateVariables
  >(
    (variables: PullsUpdateVariables) =>
      fetchPullsUpdate({ ...fetcherOptions, ...variables }),
    options
  );
};

export type PullsListReviewCommentsPathParams = {
  owner: string;
  repo: string;
  pullNumber: number;
};

export type PullsListReviewCommentsQueryParams = {
  /*
   * One of `created` (when the repository was starred) or `updated` (when it was last pushed to).
   *
   * @default created
   */
  sort?: "created" | "updated";
  /*
   * Can be either `asc` or `desc`. Ignored without `sort` parameter.
   */
  direction?: "asc" | "desc";
  /*
   * Only show notifications updated after the given time. This is a timestamp in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format: `YYYY-MM-DDTHH:MM:SSZ`.
   */
  since?: string;
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type PullsListReviewCommentsError = Fetcher.ErrorWrapper<undefined>;

export type PullsListReviewCommentsResponse =
  Schemas.PullRequestReviewComment[];

export type PullsListReviewCommentsVariables = {
  pathParams: PullsListReviewCommentsPathParams;
  queryParams?: PullsListReviewCommentsQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists all review comments for a pull request. By default, review comments are in ascending order by ID.
 */
export const fetchPullsListReviewComments = (
  variables: PullsListReviewCommentsVariables
) =>
  githubFetch<
    PullsListReviewCommentsResponse,
    PullsListReviewCommentsError,
    undefined,
    {},
    PullsListReviewCommentsQueryParams,
    PullsListReviewCommentsPathParams
  >({
    url: "/repos/{owner}/{repo}/pulls/{pullNumber}/comments",
    method: "get",
    ...variables,
  });

/**
 * Lists all review comments for a pull request. By default, review comments are in ascending order by ID.
 */
export const usePullsListReviewComments = <
  TData = PullsListReviewCommentsResponse
>(
  variables: PullsListReviewCommentsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      PullsListReviewCommentsResponse,
      PullsListReviewCommentsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    PullsListReviewCommentsResponse,
    PullsListReviewCommentsError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/pulls/{pull_number}/comments",
      operationId: "pullsListReviewComments",
      variables,
    }),
    () => fetchPullsListReviewComments({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type PullsCreateReviewCommentPathParams = {
  owner: string;
  repo: string;
  pullNumber: number;
};

export type PullsCreateReviewCommentError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type PullsCreateReviewCommentRequestBody = {
  /*
   * The text of the review comment.
   */
  body: string;
  /*
   * The SHA of the commit needing a comment. Not using the latest commit SHA may render your comment outdated if a subsequent commit modifies the line you specify as the `position`.
   */
  commit_id?: string;
  /*
   * @example 2
   */
  in_reply_to?: number;
  /*
   * **Required with `comfort-fade` preview**. The line of the blob in the pull request diff that the comment applies to. For a multi-line comment, the last line of the range that your comment applies to.
   */
  line?: number;
  /*
   * The relative path to the file that necessitates a comment.
   */
  path?: string;
  /*
   * **Required without `comfort-fade` preview**. The position in the diff where you want to add a review comment. Note this value is not the same as the line number in the file. For help finding the position value, read the note above.
   */
  position?: number;
  /*
   * **Required with `comfort-fade` preview**. In a split diff view, the side of the diff that the pull request's changes appear on. Can be `LEFT` or `RIGHT`. Use `LEFT` for deletions that appear in red. Use `RIGHT` for additions that appear in green or unchanged lines that appear in white and are shown for context. For a multi-line comment, side represents whether the last line of the comment range is a deletion or addition. For more information, see "[Diff view options](https://help.github.com/en/articles/about-comparing-branches-in-pull-requests#diff-view-options)" in the GitHub Help documentation.
   */
  side?: "LEFT" | "RIGHT";
  /*
   * **Required when using multi-line comments**. To create multi-line comments, you must use the `comfort-fade` preview header. The `start_line` is the first line in the pull request diff that your multi-line comment applies to. To learn more about multi-line comments, see "[Commenting on a pull request](https://help.github.com/en/articles/commenting-on-a-pull-request#adding-line-comments-to-a-pull-request)" in the GitHub Help documentation.
   */
  start_line?: number;
  /*
   * **Required when using multi-line comments**. To create multi-line comments, you must use the `comfort-fade` preview header. The `start_side` is the starting side of the diff that the comment applies to. Can be `LEFT` or `RIGHT`. To learn more about multi-line comments, see "[Commenting on a pull request](https://help.github.com/en/articles/commenting-on-a-pull-request#adding-line-comments-to-a-pull-request)" in the GitHub Help documentation. See `side` in this table for additional context.
   */
  start_side?: "LEFT" | "RIGHT" | "side";
};

export type PullsCreateReviewCommentVariables = {
  body: PullsCreateReviewCommentRequestBody;
  pathParams: PullsCreateReviewCommentPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Creates a review comment in the pull request diff. To add a regular comment to a pull request timeline, see "[Create an issue comment](https://docs.github.com/rest/reference/issues#create-an-issue-comment)." We recommend creating a review comment using `line`, `side`, and optionally `start_line` and `start_side` if your comment applies to more than one line in the pull request diff.
 *
 * You can still create a review comment using the `position` parameter. When you use `position`, the `line`, `side`, `start_line`, and `start_side` parameters are not required. For more information, see the [`comfort-fade` preview notice](https://docs.github.com/rest/reference/pulls#create-a-review-comment-for-a-pull-request-preview-notices).
 *
 * **Note:** The position value equals the number of lines down from the first "@@" hunk header in the file you want to add a comment. The line just below the "@@" line is position 1, the next line is position 2, and so on. The position in the diff continues to increase through lines of whitespace and additional hunks until the beginning of a new file.
 *
 * This endpoint triggers [notifications](https://docs.github.com/en/github/managing-subscriptions-and-notifications-on-github/about-notifications). Creating content too quickly using this endpoint may result in abuse rate limiting. See "[Abuse rate limits](https://docs.github.com/rest/overview/resources-in-the-rest-api#abuse-rate-limits)" and "[Dealing with abuse rate limits](https://docs.github.com/rest/guides/best-practices-for-integrators#dealing-with-rate-limits)" for details.
 */
export const fetchPullsCreateReviewComment = (
  variables: PullsCreateReviewCommentVariables
) =>
  githubFetch<
    Schemas.PullRequestReviewComment,
    PullsCreateReviewCommentError,
    PullsCreateReviewCommentRequestBody,
    {},
    {},
    PullsCreateReviewCommentPathParams
  >({
    url: "/repos/{owner}/{repo}/pulls/{pullNumber}/comments",
    method: "post",
    ...variables,
  });

/**
 * Creates a review comment in the pull request diff. To add a regular comment to a pull request timeline, see "[Create an issue comment](https://docs.github.com/rest/reference/issues#create-an-issue-comment)." We recommend creating a review comment using `line`, `side`, and optionally `start_line` and `start_side` if your comment applies to more than one line in the pull request diff.
 *
 * You can still create a review comment using the `position` parameter. When you use `position`, the `line`, `side`, `start_line`, and `start_side` parameters are not required. For more information, see the [`comfort-fade` preview notice](https://docs.github.com/rest/reference/pulls#create-a-review-comment-for-a-pull-request-preview-notices).
 *
 * **Note:** The position value equals the number of lines down from the first "@@" hunk header in the file you want to add a comment. The line just below the "@@" line is position 1, the next line is position 2, and so on. The position in the diff continues to increase through lines of whitespace and additional hunks until the beginning of a new file.
 *
 * This endpoint triggers [notifications](https://docs.github.com/en/github/managing-subscriptions-and-notifications-on-github/about-notifications). Creating content too quickly using this endpoint may result in abuse rate limiting. See "[Abuse rate limits](https://docs.github.com/rest/overview/resources-in-the-rest-api#abuse-rate-limits)" and "[Dealing with abuse rate limits](https://docs.github.com/rest/guides/best-practices-for-integrators#dealing-with-rate-limits)" for details.
 */
export const usePullsCreateReviewComment = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.PullRequestReviewComment,
      PullsCreateReviewCommentError,
      PullsCreateReviewCommentVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.PullRequestReviewComment,
    PullsCreateReviewCommentError,
    PullsCreateReviewCommentVariables
  >(
    (variables: PullsCreateReviewCommentVariables) =>
      fetchPullsCreateReviewComment({ ...fetcherOptions, ...variables }),
    options
  );
};

export type PullsCreateReplyForReviewCommentPathParams = {
  owner: string;
  repo: string;
  pullNumber: number;
  /*
   * comment_id parameter
   */
  commentId: number;
};

export type PullsCreateReplyForReviewCommentError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type PullsCreateReplyForReviewCommentRequestBody = {
  /*
   * The text of the review comment.
   */
  body: string;
};

export type PullsCreateReplyForReviewCommentVariables = {
  body: PullsCreateReplyForReviewCommentRequestBody;
  pathParams: PullsCreateReplyForReviewCommentPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Creates a reply to a review comment for a pull request. For the `comment_id`, provide the ID of the review comment you are replying to. This must be the ID of a _top-level review comment_, not a reply to that comment. Replies to replies are not supported.
 *
 * This endpoint triggers [notifications](https://docs.github.com/en/github/managing-subscriptions-and-notifications-on-github/about-notifications). Creating content too quickly using this endpoint may result in abuse rate limiting. See "[Abuse rate limits](https://docs.github.com/rest/overview/resources-in-the-rest-api#abuse-rate-limits)" and "[Dealing with abuse rate limits](https://docs.github.com/rest/guides/best-practices-for-integrators#dealing-with-rate-limits)" for details.
 */
export const fetchPullsCreateReplyForReviewComment = (
  variables: PullsCreateReplyForReviewCommentVariables
) =>
  githubFetch<
    Schemas.PullRequestReviewComment,
    PullsCreateReplyForReviewCommentError,
    PullsCreateReplyForReviewCommentRequestBody,
    {},
    {},
    PullsCreateReplyForReviewCommentPathParams
  >({
    url: "/repos/{owner}/{repo}/pulls/{pullNumber}/comments/{commentId}/replies",
    method: "post",
    ...variables,
  });

/**
 * Creates a reply to a review comment for a pull request. For the `comment_id`, provide the ID of the review comment you are replying to. This must be the ID of a _top-level review comment_, not a reply to that comment. Replies to replies are not supported.
 *
 * This endpoint triggers [notifications](https://docs.github.com/en/github/managing-subscriptions-and-notifications-on-github/about-notifications). Creating content too quickly using this endpoint may result in abuse rate limiting. See "[Abuse rate limits](https://docs.github.com/rest/overview/resources-in-the-rest-api#abuse-rate-limits)" and "[Dealing with abuse rate limits](https://docs.github.com/rest/guides/best-practices-for-integrators#dealing-with-rate-limits)" for details.
 */
export const usePullsCreateReplyForReviewComment = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.PullRequestReviewComment,
      PullsCreateReplyForReviewCommentError,
      PullsCreateReplyForReviewCommentVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.PullRequestReviewComment,
    PullsCreateReplyForReviewCommentError,
    PullsCreateReplyForReviewCommentVariables
  >(
    (variables: PullsCreateReplyForReviewCommentVariables) =>
      fetchPullsCreateReplyForReviewComment({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type PullsListCommitsPathParams = {
  owner: string;
  repo: string;
  pullNumber: number;
};

export type PullsListCommitsQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type PullsListCommitsError = Fetcher.ErrorWrapper<undefined>;

export type PullsListCommitsResponse = Schemas.Commit[];

export type PullsListCommitsVariables = {
  pathParams: PullsListCommitsPathParams;
  queryParams?: PullsListCommitsQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists a maximum of 250 commits for a pull request. To receive a complete commit list for pull requests with more than 250 commits, use the [List commits](https://docs.github.com/rest/reference/repos#list-commits) endpoint.
 */
export const fetchPullsListCommits = (variables: PullsListCommitsVariables) =>
  githubFetch<
    PullsListCommitsResponse,
    PullsListCommitsError,
    undefined,
    {},
    PullsListCommitsQueryParams,
    PullsListCommitsPathParams
  >({
    url: "/repos/{owner}/{repo}/pulls/{pullNumber}/commits",
    method: "get",
    ...variables,
  });

/**
 * Lists a maximum of 250 commits for a pull request. To receive a complete commit list for pull requests with more than 250 commits, use the [List commits](https://docs.github.com/rest/reference/repos#list-commits) endpoint.
 */
export const usePullsListCommits = <TData = PullsListCommitsResponse>(
  variables: PullsListCommitsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      PullsListCommitsResponse,
      PullsListCommitsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    PullsListCommitsResponse,
    PullsListCommitsError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/pulls/{pull_number}/commits",
      operationId: "pullsListCommits",
      variables,
    }),
    () => fetchPullsListCommits({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type PullsListFilesPathParams = {
  owner: string;
  repo: string;
  pullNumber: number;
};

export type PullsListFilesQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type PullsListFilesError = Fetcher.ErrorWrapper<
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
  | {
      status: 500;
      payload: Responses.InternalError;
    }
>;

export type PullsListFilesResponse = Schemas.DiffEntry[];

export type PullsListFilesVariables = {
  pathParams: PullsListFilesPathParams;
  queryParams?: PullsListFilesQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * **Note:** Responses include a maximum of 3000 files. The paginated response returns 30 files per page by default.
 */
export const fetchPullsListFiles = (variables: PullsListFilesVariables) =>
  githubFetch<
    PullsListFilesResponse,
    PullsListFilesError,
    undefined,
    {},
    PullsListFilesQueryParams,
    PullsListFilesPathParams
  >({
    url: "/repos/{owner}/{repo}/pulls/{pullNumber}/files",
    method: "get",
    ...variables,
  });

/**
 * **Note:** Responses include a maximum of 3000 files. The paginated response returns 30 files per page by default.
 */
export const usePullsListFiles = <TData = PullsListFilesResponse>(
  variables: PullsListFilesVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      PullsListFilesResponse,
      PullsListFilesError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    PullsListFilesResponse,
    PullsListFilesError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/pulls/{pull_number}/files",
      operationId: "pullsListFiles",
      variables,
    }),
    () => fetchPullsListFiles({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type PullsCheckIfMergedPathParams = {
  owner: string;
  repo: string;
  pullNumber: number;
};

export type PullsCheckIfMergedError = Fetcher.ErrorWrapper<undefined>;

export type PullsCheckIfMergedVariables = {
  pathParams: PullsCheckIfMergedPathParams;
} & GithubContext["fetcherOptions"];

export const fetchPullsCheckIfMerged = (
  variables: PullsCheckIfMergedVariables
) =>
  githubFetch<
    undefined,
    PullsCheckIfMergedError,
    undefined,
    {},
    {},
    PullsCheckIfMergedPathParams
  >({
    url: "/repos/{owner}/{repo}/pulls/{pullNumber}/merge",
    method: "get",
    ...variables,
  });

export const usePullsCheckIfMerged = <TData = undefined>(
  variables: PullsCheckIfMergedVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<undefined, PullsCheckIfMergedError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<undefined, PullsCheckIfMergedError, TData>(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/pulls/{pull_number}/merge",
      operationId: "pullsCheckIfMerged",
      variables,
    }),
    () => fetchPullsCheckIfMerged({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type PullsMergePathParams = {
  owner: string;
  repo: string;
  pullNumber: number;
};

export type PullsMergeError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 405;
      payload: {
        documentation_url?: string;
        message?: string;
      };
    }
  | {
      status: 409;
      payload: {
        documentation_url?: string;
        message?: string;
      };
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type PullsMergeVariables = {
  body?: {
    /*
     * Extra detail to append to automatic commit message.
     */
    commit_message?: string;
    /*
     * Title for the automatic commit message.
     */
    commit_title?: string;
    /*
     * Merge method to use. Possible values are `merge`, `squash` or `rebase`. Default is `merge`.
     */
    merge_method?: "merge" | "squash" | "rebase";
    /*
     * SHA that pull request head must match to allow merge.
     */
    sha?: string;
  } | null;
  pathParams: PullsMergePathParams;
} & GithubContext["fetcherOptions"];

/**
 * This endpoint triggers [notifications](https://docs.github.com/github/managing-subscriptions-and-notifications-on-github/about-notifications). Creating content too quickly using this endpoint may result in abuse rate limiting. See "[Abuse rate limits](https://docs.github.com/rest/overview/resources-in-the-rest-api#abuse-rate-limits)" and "[Dealing with abuse rate limits](https://docs.github.com/rest/guides/best-practices-for-integrators#dealing-with-abuse-rate-limits)" for details.
 */
export const fetchPullsMerge = (variables: PullsMergeVariables) =>
  githubFetch<
    Schemas.PullRequestMergeResult,
    PullsMergeError,
    {
      /*
       * Extra detail to append to automatic commit message.
       */
      commit_message?: string;
      /*
       * Title for the automatic commit message.
       */
      commit_title?: string;
      /*
       * Merge method to use. Possible values are `merge`, `squash` or `rebase`. Default is `merge`.
       */
      merge_method?: "merge" | "squash" | "rebase";
      /*
       * SHA that pull request head must match to allow merge.
       */
      sha?: string;
    } | null,
    {},
    {},
    PullsMergePathParams
  >({
    url: "/repos/{owner}/{repo}/pulls/{pullNumber}/merge",
    method: "put",
    ...variables,
  });

/**
 * This endpoint triggers [notifications](https://docs.github.com/github/managing-subscriptions-and-notifications-on-github/about-notifications). Creating content too quickly using this endpoint may result in abuse rate limiting. See "[Abuse rate limits](https://docs.github.com/rest/overview/resources-in-the-rest-api#abuse-rate-limits)" and "[Dealing with abuse rate limits](https://docs.github.com/rest/guides/best-practices-for-integrators#dealing-with-abuse-rate-limits)" for details.
 */
export const usePullsMerge = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.PullRequestMergeResult,
      PullsMergeError,
      PullsMergeVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.PullRequestMergeResult,
    PullsMergeError,
    PullsMergeVariables
  >(
    (variables: PullsMergeVariables) =>
      fetchPullsMerge({ ...fetcherOptions, ...variables }),
    options
  );
};

export type PullsRemoveRequestedReviewersPathParams = {
  owner: string;
  repo: string;
  pullNumber: number;
};

export type PullsRemoveRequestedReviewersError = Fetcher.ErrorWrapper<{
  status: 422;
  payload: Responses.ValidationFailed;
}>;

export type PullsRemoveRequestedReviewersRequestBody = {
  /*
   * An array of user `login`s that will be removed.
   */
  reviewers: string[];
  /*
   * An array of team `slug`s that will be removed.
   */
  team_reviewers?: string[];
};

export type PullsRemoveRequestedReviewersVariables = {
  body: PullsRemoveRequestedReviewersRequestBody;
  pathParams: PullsRemoveRequestedReviewersPathParams;
} & GithubContext["fetcherOptions"];

export const fetchPullsRemoveRequestedReviewers = (
  variables: PullsRemoveRequestedReviewersVariables
) =>
  githubFetch<
    undefined,
    PullsRemoveRequestedReviewersError,
    PullsRemoveRequestedReviewersRequestBody,
    {},
    {},
    PullsRemoveRequestedReviewersPathParams
  >({
    url: "/repos/{owner}/{repo}/pulls/{pullNumber}/requested_reviewers",
    method: "delete",
    ...variables,
  });

export const usePullsRemoveRequestedReviewers = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      PullsRemoveRequestedReviewersError,
      PullsRemoveRequestedReviewersVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    PullsRemoveRequestedReviewersError,
    PullsRemoveRequestedReviewersVariables
  >(
    (variables: PullsRemoveRequestedReviewersVariables) =>
      fetchPullsRemoveRequestedReviewers({ ...fetcherOptions, ...variables }),
    options
  );
};

export type PullsListRequestedReviewersPathParams = {
  owner: string;
  repo: string;
  pullNumber: number;
};

export type PullsListRequestedReviewersQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type PullsListRequestedReviewersError = Fetcher.ErrorWrapper<undefined>;

export type PullsListRequestedReviewersVariables = {
  pathParams: PullsListRequestedReviewersPathParams;
  queryParams?: PullsListRequestedReviewersQueryParams;
} & GithubContext["fetcherOptions"];

export const fetchPullsListRequestedReviewers = (
  variables: PullsListRequestedReviewersVariables
) =>
  githubFetch<
    Schemas.PullRequestReviewRequest,
    PullsListRequestedReviewersError,
    undefined,
    {},
    PullsListRequestedReviewersQueryParams,
    PullsListRequestedReviewersPathParams
  >({
    url: "/repos/{owner}/{repo}/pulls/{pullNumber}/requested_reviewers",
    method: "get",
    ...variables,
  });

export const usePullsListRequestedReviewers = <
  TData = Schemas.PullRequestReviewRequest
>(
  variables: PullsListRequestedReviewersVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.PullRequestReviewRequest,
      PullsListRequestedReviewersError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.PullRequestReviewRequest,
    PullsListRequestedReviewersError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/pulls/{pull_number}/requested_reviewers",
      operationId: "pullsListRequestedReviewers",
      variables,
    }),
    () => fetchPullsListRequestedReviewers({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type PullsRequestReviewersPathParams = {
  owner: string;
  repo: string;
  pullNumber: number;
};

export type PullsRequestReviewersError = Fetcher.ErrorWrapper<{
  status: 403;
  payload: Responses.Forbidden;
}>;

export type PullsRequestReviewersVariables = {
  body?:
    | {
        /*
         * An array of user `login`s that will be requested.
         */
        reviewers: string[];
        /*
         * An array of team `slug`s that will be requested.
         */
        team_reviewers?: string[];
      }
    | {
        /*
         * An array of user `login`s that will be requested.
         */
        reviewers?: string[];
        /*
         * An array of team `slug`s that will be requested.
         */
        team_reviewers: string[];
      };
  pathParams: PullsRequestReviewersPathParams;
} & GithubContext["fetcherOptions"];

/**
 * This endpoint triggers [notifications](https://docs.github.com/github/managing-subscriptions-and-notifications-on-github/about-notifications). Creating content too quickly using this endpoint may result in abuse rate limiting. See "[Abuse rate limits](https://docs.github.com/rest/overview/resources-in-the-rest-api#abuse-rate-limits)" and "[Dealing with abuse rate limits](https://docs.github.com/rest/guides/best-practices-for-integrators#dealing-with-abuse-rate-limits)" for details.
 */
export const fetchPullsRequestReviewers = (
  variables: PullsRequestReviewersVariables
) =>
  githubFetch<
    Schemas.PullRequestSimple,
    PullsRequestReviewersError,
    | {
        /*
         * An array of user `login`s that will be requested.
         */
        reviewers: string[];
        /*
         * An array of team `slug`s that will be requested.
         */
        team_reviewers?: string[];
      }
    | {
        /*
         * An array of user `login`s that will be requested.
         */
        reviewers?: string[];
        /*
         * An array of team `slug`s that will be requested.
         */
        team_reviewers: string[];
      },
    {},
    {},
    PullsRequestReviewersPathParams
  >({
    url: "/repos/{owner}/{repo}/pulls/{pullNumber}/requested_reviewers",
    method: "post",
    ...variables,
  });

/**
 * This endpoint triggers [notifications](https://docs.github.com/github/managing-subscriptions-and-notifications-on-github/about-notifications). Creating content too quickly using this endpoint may result in abuse rate limiting. See "[Abuse rate limits](https://docs.github.com/rest/overview/resources-in-the-rest-api#abuse-rate-limits)" and "[Dealing with abuse rate limits](https://docs.github.com/rest/guides/best-practices-for-integrators#dealing-with-abuse-rate-limits)" for details.
 */
export const usePullsRequestReviewers = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.PullRequestSimple,
      PullsRequestReviewersError,
      PullsRequestReviewersVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.PullRequestSimple,
    PullsRequestReviewersError,
    PullsRequestReviewersVariables
  >(
    (variables: PullsRequestReviewersVariables) =>
      fetchPullsRequestReviewers({ ...fetcherOptions, ...variables }),
    options
  );
};

export type PullsListReviewsPathParams = {
  owner: string;
  repo: string;
  pullNumber: number;
};

export type PullsListReviewsQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type PullsListReviewsError = Fetcher.ErrorWrapper<undefined>;

export type PullsListReviewsResponse = Schemas.PullRequestReview[];

export type PullsListReviewsVariables = {
  pathParams: PullsListReviewsPathParams;
  queryParams?: PullsListReviewsQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * The list of reviews returns in chronological order.
 */
export const fetchPullsListReviews = (variables: PullsListReviewsVariables) =>
  githubFetch<
    PullsListReviewsResponse,
    PullsListReviewsError,
    undefined,
    {},
    PullsListReviewsQueryParams,
    PullsListReviewsPathParams
  >({
    url: "/repos/{owner}/{repo}/pulls/{pullNumber}/reviews",
    method: "get",
    ...variables,
  });

/**
 * The list of reviews returns in chronological order.
 */
export const usePullsListReviews = <TData = PullsListReviewsResponse>(
  variables: PullsListReviewsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      PullsListReviewsResponse,
      PullsListReviewsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    PullsListReviewsResponse,
    PullsListReviewsError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/pulls/{pull_number}/reviews",
      operationId: "pullsListReviews",
      variables,
    }),
    () => fetchPullsListReviews({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type PullsCreateReviewPathParams = {
  owner: string;
  repo: string;
  pullNumber: number;
};

export type PullsCreateReviewError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailedSimple;
    }
>;

export type PullsCreateReviewRequestBody = {
  /*
   * **Required** when using `REQUEST_CHANGES` or `COMMENT` for the `event` parameter. The body text of the pull request review.
   */
  body?: string;
  /*
   * Use the following table to specify the location, destination, and contents of the draft review comment.
   */
  comments?: {
    /*
     * Text of the review comment.
     */
    body: string;
    /*
     * @example 28
     */
    line?: number;
    /*
     * The relative path to the file that necessitates a review comment.
     */
    path: string;
    /*
     * The position in the diff where you want to add a review comment. Note this value is not the same as the line number in the file. For help finding the position value, read the note below.
     */
    position?: number;
    /*
     * @example RIGHT
     */
    side?: string;
    /*
     * @example 26
     */
    start_line?: number;
    /*
     * @example LEFT
     */
    start_side?: string;
  }[];
  /*
   * The SHA of the commit that needs a review. Not using the latest commit SHA may render your review comment outdated if a subsequent commit modifies the line you specify as the `position`. Defaults to the most recent commit in the pull request when you do not specify a value.
   */
  commit_id?: string;
  /*
   * The review action you want to perform. The review actions include: `APPROVE`, `REQUEST_CHANGES`, or `COMMENT`. By leaving this blank, you set the review action state to `PENDING`, which means you will need to [submit the pull request review](https://docs.github.com/rest/reference/pulls#submit-a-review-for-a-pull-request) when you are ready.
   */
  event?: "APPROVE" | "REQUEST_CHANGES" | "COMMENT";
};

export type PullsCreateReviewVariables = {
  body?: PullsCreateReviewRequestBody;
  pathParams: PullsCreateReviewPathParams;
} & GithubContext["fetcherOptions"];

/**
 * This endpoint triggers [notifications](https://docs.github.com/en/github/managing-subscriptions-and-notifications-on-github/about-notifications). Creating content too quickly using this endpoint may result in abuse rate limiting. See "[Abuse rate limits](https://docs.github.com/rest/overview/resources-in-the-rest-api#abuse-rate-limits)" and "[Dealing with abuse rate limits](https://docs.github.com/rest/guides/best-practices-for-integrators#dealing-with-rate-limits)" for details.
 *
 * Pull request reviews created in the `PENDING` state do not include the `submitted_at` property in the response.
 *
 * **Note:** To comment on a specific line in a file, you need to first determine the _position_ of that line in the diff. The GitHub REST API v3 offers the `application/vnd.github.v3.diff` [media type](https://docs.github.com/rest/overview/media-types#commits-commit-comparison-and-pull-requests). To see a pull request diff, add this media type to the `Accept` header of a call to the [single pull request](https://docs.github.com/rest/reference/pulls#get-a-pull-request) endpoint.
 *
 * The `position` value equals the number of lines down from the first "@@" hunk header in the file you want to add a comment. The line just below the "@@" line is position 1, the next line is position 2, and so on. The position in the diff continues to increase through lines of whitespace and additional hunks until the beginning of a new file.
 */
export const fetchPullsCreateReview = (variables: PullsCreateReviewVariables) =>
  githubFetch<
    Schemas.PullRequestReview,
    PullsCreateReviewError,
    PullsCreateReviewRequestBody,
    {},
    {},
    PullsCreateReviewPathParams
  >({
    url: "/repos/{owner}/{repo}/pulls/{pullNumber}/reviews",
    method: "post",
    ...variables,
  });

/**
 * This endpoint triggers [notifications](https://docs.github.com/en/github/managing-subscriptions-and-notifications-on-github/about-notifications). Creating content too quickly using this endpoint may result in abuse rate limiting. See "[Abuse rate limits](https://docs.github.com/rest/overview/resources-in-the-rest-api#abuse-rate-limits)" and "[Dealing with abuse rate limits](https://docs.github.com/rest/guides/best-practices-for-integrators#dealing-with-rate-limits)" for details.
 *
 * Pull request reviews created in the `PENDING` state do not include the `submitted_at` property in the response.
 *
 * **Note:** To comment on a specific line in a file, you need to first determine the _position_ of that line in the diff. The GitHub REST API v3 offers the `application/vnd.github.v3.diff` [media type](https://docs.github.com/rest/overview/media-types#commits-commit-comparison-and-pull-requests). To see a pull request diff, add this media type to the `Accept` header of a call to the [single pull request](https://docs.github.com/rest/reference/pulls#get-a-pull-request) endpoint.
 *
 * The `position` value equals the number of lines down from the first "@@" hunk header in the file you want to add a comment. The line just below the "@@" line is position 1, the next line is position 2, and so on. The position in the diff continues to increase through lines of whitespace and additional hunks until the beginning of a new file.
 */
export const usePullsCreateReview = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.PullRequestReview,
      PullsCreateReviewError,
      PullsCreateReviewVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.PullRequestReview,
    PullsCreateReviewError,
    PullsCreateReviewVariables
  >(
    (variables: PullsCreateReviewVariables) =>
      fetchPullsCreateReview({ ...fetcherOptions, ...variables }),
    options
  );
};

export type PullsDeletePendingReviewPathParams = {
  owner: string;
  repo: string;
  pullNumber: number;
  /*
   * review_id parameter
   */
  reviewId: number;
};

export type PullsDeletePendingReviewError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailedSimple;
    }
>;

export type PullsDeletePendingReviewVariables = {
  pathParams: PullsDeletePendingReviewPathParams;
} & GithubContext["fetcherOptions"];

export const fetchPullsDeletePendingReview = (
  variables: PullsDeletePendingReviewVariables
) =>
  githubFetch<
    Schemas.PullRequestReview,
    PullsDeletePendingReviewError,
    undefined,
    {},
    {},
    PullsDeletePendingReviewPathParams
  >({
    url: "/repos/{owner}/{repo}/pulls/{pullNumber}/reviews/{reviewId}",
    method: "delete",
    ...variables,
  });

export const usePullsDeletePendingReview = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.PullRequestReview,
      PullsDeletePendingReviewError,
      PullsDeletePendingReviewVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.PullRequestReview,
    PullsDeletePendingReviewError,
    PullsDeletePendingReviewVariables
  >(
    (variables: PullsDeletePendingReviewVariables) =>
      fetchPullsDeletePendingReview({ ...fetcherOptions, ...variables }),
    options
  );
};

export type PullsGetReviewPathParams = {
  owner: string;
  repo: string;
  pullNumber: number;
  /*
   * review_id parameter
   */
  reviewId: number;
};

export type PullsGetReviewError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type PullsGetReviewVariables = {
  pathParams: PullsGetReviewPathParams;
} & GithubContext["fetcherOptions"];

export const fetchPullsGetReview = (variables: PullsGetReviewVariables) =>
  githubFetch<
    Schemas.PullRequestReview,
    PullsGetReviewError,
    undefined,
    {},
    {},
    PullsGetReviewPathParams
  >({
    url: "/repos/{owner}/{repo}/pulls/{pullNumber}/reviews/{reviewId}",
    method: "get",
    ...variables,
  });

export const usePullsGetReview = <TData = Schemas.PullRequestReview>(
  variables: PullsGetReviewVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.PullRequestReview,
      PullsGetReviewError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.PullRequestReview,
    PullsGetReviewError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/pulls/{pull_number}/reviews/{review_id}",
      operationId: "pullsGetReview",
      variables,
    }),
    () => fetchPullsGetReview({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type PullsUpdateReviewPathParams = {
  owner: string;
  repo: string;
  pullNumber: number;
  /*
   * review_id parameter
   */
  reviewId: number;
};

export type PullsUpdateReviewError = Fetcher.ErrorWrapper<{
  status: 422;
  payload: Responses.ValidationFailedSimple;
}>;

export type PullsUpdateReviewRequestBody = {
  /*
   * The body text of the pull request review.
   */
  body: string;
};

export type PullsUpdateReviewVariables = {
  body: PullsUpdateReviewRequestBody;
  pathParams: PullsUpdateReviewPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Update the review summary comment with new text.
 */
export const fetchPullsUpdateReview = (variables: PullsUpdateReviewVariables) =>
  githubFetch<
    Schemas.PullRequestReview,
    PullsUpdateReviewError,
    PullsUpdateReviewRequestBody,
    {},
    {},
    PullsUpdateReviewPathParams
  >({
    url: "/repos/{owner}/{repo}/pulls/{pullNumber}/reviews/{reviewId}",
    method: "put",
    ...variables,
  });

/**
 * Update the review summary comment with new text.
 */
export const usePullsUpdateReview = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.PullRequestReview,
      PullsUpdateReviewError,
      PullsUpdateReviewVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.PullRequestReview,
    PullsUpdateReviewError,
    PullsUpdateReviewVariables
  >(
    (variables: PullsUpdateReviewVariables) =>
      fetchPullsUpdateReview({ ...fetcherOptions, ...variables }),
    options
  );
};

export type PullsListCommentsForReviewPathParams = {
  owner: string;
  repo: string;
  pullNumber: number;
  /*
   * review_id parameter
   */
  reviewId: number;
};

export type PullsListCommentsForReviewQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type PullsListCommentsForReviewError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type PullsListCommentsForReviewResponse = Schemas.ReviewComment[];

export type PullsListCommentsForReviewVariables = {
  pathParams: PullsListCommentsForReviewPathParams;
  queryParams?: PullsListCommentsForReviewQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * List comments for a specific pull request review.
 */
export const fetchPullsListCommentsForReview = (
  variables: PullsListCommentsForReviewVariables
) =>
  githubFetch<
    PullsListCommentsForReviewResponse,
    PullsListCommentsForReviewError,
    undefined,
    {},
    PullsListCommentsForReviewQueryParams,
    PullsListCommentsForReviewPathParams
  >({
    url: "/repos/{owner}/{repo}/pulls/{pullNumber}/reviews/{reviewId}/comments",
    method: "get",
    ...variables,
  });

/**
 * List comments for a specific pull request review.
 */
export const usePullsListCommentsForReview = <
  TData = PullsListCommentsForReviewResponse
>(
  variables: PullsListCommentsForReviewVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      PullsListCommentsForReviewResponse,
      PullsListCommentsForReviewError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    PullsListCommentsForReviewResponse,
    PullsListCommentsForReviewError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/pulls/{pull_number}/reviews/{review_id}/comments",
      operationId: "pullsListCommentsForReview",
      variables,
    }),
    () => fetchPullsListCommentsForReview({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type PullsDismissReviewPathParams = {
  owner: string;
  repo: string;
  pullNumber: number;
  /*
   * review_id parameter
   */
  reviewId: number;
};

export type PullsDismissReviewError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailedSimple;
    }
>;

export type PullsDismissReviewRequestBody = {
  /*
   * @example "APPROVE"
   */
  event?: string;
  /*
   * The message for the pull request review dismissal
   */
  message: string;
};

export type PullsDismissReviewVariables = {
  body: PullsDismissReviewRequestBody;
  pathParams: PullsDismissReviewPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Note:** To dismiss a pull request review on a [protected branch](https://docs.github.com/rest/reference/repos#branches), you must be a repository administrator or be included in the list of people or teams who can dismiss pull request reviews.
 */
export const fetchPullsDismissReview = (
  variables: PullsDismissReviewVariables
) =>
  githubFetch<
    Schemas.PullRequestReview,
    PullsDismissReviewError,
    PullsDismissReviewRequestBody,
    {},
    {},
    PullsDismissReviewPathParams
  >({
    url: "/repos/{owner}/{repo}/pulls/{pullNumber}/reviews/{reviewId}/dismissals",
    method: "put",
    ...variables,
  });

/**
 * **Note:** To dismiss a pull request review on a [protected branch](https://docs.github.com/rest/reference/repos#branches), you must be a repository administrator or be included in the list of people or teams who can dismiss pull request reviews.
 */
export const usePullsDismissReview = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.PullRequestReview,
      PullsDismissReviewError,
      PullsDismissReviewVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.PullRequestReview,
    PullsDismissReviewError,
    PullsDismissReviewVariables
  >(
    (variables: PullsDismissReviewVariables) =>
      fetchPullsDismissReview({ ...fetcherOptions, ...variables }),
    options
  );
};

export type PullsSubmitReviewPathParams = {
  owner: string;
  repo: string;
  pullNumber: number;
  /*
   * review_id parameter
   */
  reviewId: number;
};

export type PullsSubmitReviewError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailedSimple;
    }
>;

export type PullsSubmitReviewRequestBody = {
  /*
   * The body text of the pull request review
   */
  body?: string;
  /*
   * The review action you want to perform. The review actions include: `APPROVE`, `REQUEST_CHANGES`, or `COMMENT`. When you leave this blank, the API returns _HTTP 422 (Unrecognizable entity)_ and sets the review action state to `PENDING`, which means you will need to re-submit the pull request review using a review action.
   */
  event: "APPROVE" | "REQUEST_CHANGES" | "COMMENT";
};

export type PullsSubmitReviewVariables = {
  body: PullsSubmitReviewRequestBody;
  pathParams: PullsSubmitReviewPathParams;
} & GithubContext["fetcherOptions"];

export const fetchPullsSubmitReview = (variables: PullsSubmitReviewVariables) =>
  githubFetch<
    Schemas.PullRequestReview,
    PullsSubmitReviewError,
    PullsSubmitReviewRequestBody,
    {},
    {},
    PullsSubmitReviewPathParams
  >({
    url: "/repos/{owner}/{repo}/pulls/{pullNumber}/reviews/{reviewId}/events",
    method: "post",
    ...variables,
  });

export const usePullsSubmitReview = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.PullRequestReview,
      PullsSubmitReviewError,
      PullsSubmitReviewVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.PullRequestReview,
    PullsSubmitReviewError,
    PullsSubmitReviewVariables
  >(
    (variables: PullsSubmitReviewVariables) =>
      fetchPullsSubmitReview({ ...fetcherOptions, ...variables }),
    options
  );
};

export type PullsUpdateBranchPathParams = {
  owner: string;
  repo: string;
  pullNumber: number;
};

export type PullsUpdateBranchError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 415;
      payload: Responses.PreviewHeaderMissing;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type PullsUpdateBranchResponse = {
  message?: string;
  url?: string;
};

export type PullsUpdateBranchVariables = {
  body?: {
    /*
     * The expected SHA of the pull request's HEAD ref. This is the most recent commit on the pull request's branch. If the expected SHA does not match the pull request's HEAD, you will receive a `422 Unprocessable Entity` status. You can use the "[List commits](https://docs.github.com/rest/reference/repos#list-commits)" endpoint to find the most recent commit SHA. Default: SHA of the pull request's current HEAD ref.
     */
    expected_head_sha?: string;
  } | null;
  pathParams: PullsUpdateBranchPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Updates the pull request branch with the latest upstream changes by merging HEAD from the base branch into the pull request branch.
 */
export const fetchPullsUpdateBranch = (variables: PullsUpdateBranchVariables) =>
  githubFetch<
    PullsUpdateBranchResponse,
    PullsUpdateBranchError,
    {
      /*
       * The expected SHA of the pull request's HEAD ref. This is the most recent commit on the pull request's branch. If the expected SHA does not match the pull request's HEAD, you will receive a `422 Unprocessable Entity` status. You can use the "[List commits](https://docs.github.com/rest/reference/repos#list-commits)" endpoint to find the most recent commit SHA. Default: SHA of the pull request's current HEAD ref.
       */
      expected_head_sha?: string;
    } | null,
    {},
    {},
    PullsUpdateBranchPathParams
  >({
    url: "/repos/{owner}/{repo}/pulls/{pullNumber}/update-branch",
    method: "put",
    ...variables,
  });

/**
 * Updates the pull request branch with the latest upstream changes by merging HEAD from the base branch into the pull request branch.
 */
export const usePullsUpdateBranch = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      PullsUpdateBranchResponse,
      PullsUpdateBranchError,
      PullsUpdateBranchVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    PullsUpdateBranchResponse,
    PullsUpdateBranchError,
    PullsUpdateBranchVariables
  >(
    (variables: PullsUpdateBranchVariables) =>
      fetchPullsUpdateBranch({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposGetReadmePathParams = {
  owner: string;
  repo: string;
};

export type ReposGetReadmeQueryParams = {
  /*
   * The name of the commit/branch/tag. Default: the repository’s default branch (usually `master`)
   */
  ref?: string;
};

export type ReposGetReadmeError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type ReposGetReadmeVariables = {
  pathParams: ReposGetReadmePathParams;
  queryParams?: ReposGetReadmeQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets the preferred README for a repository.
 *
 * READMEs support [custom media types](https://docs.github.com/rest/reference/repos#custom-media-types) for retrieving the raw content or rendered HTML.
 */
export const fetchReposGetReadme = (variables: ReposGetReadmeVariables) =>
  githubFetch<
    Schemas.ContentFile,
    ReposGetReadmeError,
    undefined,
    {},
    ReposGetReadmeQueryParams,
    ReposGetReadmePathParams
  >({ url: "/repos/{owner}/{repo}/readme", method: "get", ...variables });

/**
 * Gets the preferred README for a repository.
 *
 * READMEs support [custom media types](https://docs.github.com/rest/reference/repos#custom-media-types) for retrieving the raw content or rendered HTML.
 */
export const useReposGetReadme = <TData = Schemas.ContentFile>(
  variables: ReposGetReadmeVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<Schemas.ContentFile, ReposGetReadmeError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.ContentFile, ReposGetReadmeError, TData>(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/readme",
      operationId: "reposGetReadme",
      variables,
    }),
    () => fetchReposGetReadme({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposGetReadmeFromAltPathPathParams = {
  owner: string;
  repo: string;
  /*
   * The alternate path to look for a README file
   */
  dir: string;
};

export type ReposGetReadmeFromAltPathQueryParams = {
  /*
   * The name of the commit/branch/tag. Default: the repository’s default branch (usually `master`)
   */
  ref?: string;
};

export type ReposGetReadmeFromAltPathError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type ReposGetReadmeFromAltPathVariables = {
  pathParams: ReposGetReadmeFromAltPathPathParams;
  queryParams?: ReposGetReadmeFromAltPathQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets the preferred README for a repository.
 *
 * READMEs support [custom media types](https://docs.github.com/rest/reference/repos#custom-media-types) for retrieving the raw content or rendered HTML.
 */
export const fetchReposGetReadmeFromAltPath = (
  variables: ReposGetReadmeFromAltPathVariables
) =>
  githubFetch<
    Schemas.ContentFile,
    ReposGetReadmeFromAltPathError,
    undefined,
    {},
    ReposGetReadmeFromAltPathQueryParams,
    ReposGetReadmeFromAltPathPathParams
  >({ url: "/repos/{owner}/{repo}/readme/{dir}", method: "get", ...variables });

/**
 * Gets the preferred README for a repository.
 *
 * READMEs support [custom media types](https://docs.github.com/rest/reference/repos#custom-media-types) for retrieving the raw content or rendered HTML.
 */
export const useReposGetReadmeFromAltPath = <TData = Schemas.ContentFile>(
  variables: ReposGetReadmeFromAltPathVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.ContentFile,
      ReposGetReadmeFromAltPathError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.ContentFile,
    ReposGetReadmeFromAltPathError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/readme/{dir}",
      operationId: "reposGetReadmeFromAltPath",
      variables,
    }),
    () => fetchReposGetReadmeFromAltPath({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposListReleasesPathParams = {
  owner: string;
  repo: string;
};

export type ReposListReleasesQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ReposListReleasesError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type ReposListReleasesResponse = Schemas.Release[];

export type ReposListReleasesVariables = {
  pathParams: ReposListReleasesPathParams;
  queryParams?: ReposListReleasesQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * This returns a list of releases, which does not include regular Git tags that have not been associated with a release. To get a list of Git tags, use the [Repository Tags API](https://docs.github.com/rest/reference/repos#list-repository-tags).
 *
 * Information about published releases are available to everyone. Only users with push access will receive listings for draft releases.
 */
export const fetchReposListReleases = (variables: ReposListReleasesVariables) =>
  githubFetch<
    ReposListReleasesResponse,
    ReposListReleasesError,
    undefined,
    {},
    ReposListReleasesQueryParams,
    ReposListReleasesPathParams
  >({ url: "/repos/{owner}/{repo}/releases", method: "get", ...variables });

/**
 * This returns a list of releases, which does not include regular Git tags that have not been associated with a release. To get a list of Git tags, use the [Repository Tags API](https://docs.github.com/rest/reference/repos#list-repository-tags).
 *
 * Information about published releases are available to everyone. Only users with push access will receive listings for draft releases.
 */
export const useReposListReleases = <TData = ReposListReleasesResponse>(
  variables: ReposListReleasesVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReposListReleasesResponse,
      ReposListReleasesError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReposListReleasesResponse,
    ReposListReleasesError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/releases",
      operationId: "reposListReleases",
      variables,
    }),
    () => fetchReposListReleases({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposCreateReleasePathParams = {
  owner: string;
  repo: string;
};

export type ReposCreateReleaseError = Fetcher.ErrorWrapper<{
  status: 422;
  payload: Responses.ValidationFailed;
}>;

export type ReposCreateReleaseRequestBody = {
  /*
   * Text describing the contents of the tag.
   */
  body?: string;
  /*
   * `true` to create a draft (unpublished) release, `false` to create a published one.
   *
   * @default false
   */
  draft?: boolean;
  /*
   * The name of the release.
   */
  name?: string;
  /*
   * `true` to identify the release as a prerelease. `false` to identify the release as a full release.
   *
   * @default false
   */
  prerelease?: boolean;
  /*
   * The name of the tag.
   */
  tag_name: string;
  /*
   * Specifies the commitish value that determines where the Git tag is created from. Can be any branch or commit SHA. Unused if the Git tag already exists. Default: the repository's default branch (usually `master`).
   */
  target_commitish?: string;
};

export type ReposCreateReleaseVariables = {
  body: ReposCreateReleaseRequestBody;
  pathParams: ReposCreateReleasePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Users with push access to the repository can create a release.
 *
 * This endpoint triggers [notifications](https://docs.github.com/en/github/managing-subscriptions-and-notifications-on-github/about-notifications). Creating content too quickly using this endpoint may result in abuse rate limiting. See "[Abuse rate limits](https://docs.github.com/rest/overview/resources-in-the-rest-api#abuse-rate-limits)" and "[Dealing with abuse rate limits](https://docs.github.com/rest/guides/best-practices-for-integrators#dealing-with-rate-limits)" for details.
 */
export const fetchReposCreateRelease = (
  variables: ReposCreateReleaseVariables
) =>
  githubFetch<
    Schemas.Release,
    ReposCreateReleaseError,
    ReposCreateReleaseRequestBody,
    {},
    {},
    ReposCreateReleasePathParams
  >({ url: "/repos/{owner}/{repo}/releases", method: "post", ...variables });

/**
 * Users with push access to the repository can create a release.
 *
 * This endpoint triggers [notifications](https://docs.github.com/en/github/managing-subscriptions-and-notifications-on-github/about-notifications). Creating content too quickly using this endpoint may result in abuse rate limiting. See "[Abuse rate limits](https://docs.github.com/rest/overview/resources-in-the-rest-api#abuse-rate-limits)" and "[Dealing with abuse rate limits](https://docs.github.com/rest/guides/best-practices-for-integrators#dealing-with-rate-limits)" for details.
 */
export const useReposCreateRelease = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Release,
      ReposCreateReleaseError,
      ReposCreateReleaseVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Release,
    ReposCreateReleaseError,
    ReposCreateReleaseVariables
  >(
    (variables: ReposCreateReleaseVariables) =>
      fetchReposCreateRelease({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposDeleteReleaseAssetPathParams = {
  owner: string;
  repo: string;
  /*
   * asset_id parameter
   */
  assetId: number;
};

export type ReposDeleteReleaseAssetError = Fetcher.ErrorWrapper<undefined>;

export type ReposDeleteReleaseAssetVariables = {
  pathParams: ReposDeleteReleaseAssetPathParams;
} & GithubContext["fetcherOptions"];

export const fetchReposDeleteReleaseAsset = (
  variables: ReposDeleteReleaseAssetVariables
) =>
  githubFetch<
    undefined,
    ReposDeleteReleaseAssetError,
    undefined,
    {},
    {},
    ReposDeleteReleaseAssetPathParams
  >({
    url: "/repos/{owner}/{repo}/releases/assets/{assetId}",
    method: "delete",
    ...variables,
  });

export const useReposDeleteReleaseAsset = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ReposDeleteReleaseAssetError,
      ReposDeleteReleaseAssetVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ReposDeleteReleaseAssetError,
    ReposDeleteReleaseAssetVariables
  >(
    (variables: ReposDeleteReleaseAssetVariables) =>
      fetchReposDeleteReleaseAsset({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposGetReleaseAssetPathParams = {
  owner: string;
  repo: string;
  /*
   * asset_id parameter
   */
  assetId: number;
};

export type ReposGetReleaseAssetError = Fetcher.ErrorWrapper<
  | {
      status: 302;
      payload: Responses.Found;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 415;
      payload: Responses.PreviewHeaderMissing;
    }
>;

export type ReposGetReleaseAssetVariables = {
  pathParams: ReposGetReleaseAssetPathParams;
} & GithubContext["fetcherOptions"];

/**
 * To download the asset's binary content, set the `Accept` header of the request to [`application/octet-stream`](https://docs.github.com/rest/overview/media-types). The API will either redirect the client to the location, or stream it directly if possible. API clients should handle both a `200` or `302` response.
 */
export const fetchReposGetReleaseAsset = (
  variables: ReposGetReleaseAssetVariables
) =>
  githubFetch<
    Schemas.ReleaseAsset,
    ReposGetReleaseAssetError,
    undefined,
    {},
    {},
    ReposGetReleaseAssetPathParams
  >({
    url: "/repos/{owner}/{repo}/releases/assets/{assetId}",
    method: "get",
    ...variables,
  });

/**
 * To download the asset's binary content, set the `Accept` header of the request to [`application/octet-stream`](https://docs.github.com/rest/overview/media-types). The API will either redirect the client to the location, or stream it directly if possible. API clients should handle both a `200` or `302` response.
 */
export const useReposGetReleaseAsset = <TData = Schemas.ReleaseAsset>(
  variables: ReposGetReleaseAssetVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.ReleaseAsset,
      ReposGetReleaseAssetError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.ReleaseAsset,
    ReposGetReleaseAssetError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/releases/assets/{asset_id}",
      operationId: "reposGetReleaseAsset",
      variables,
    }),
    () => fetchReposGetReleaseAsset({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposUpdateReleaseAssetPathParams = {
  owner: string;
  repo: string;
  /*
   * asset_id parameter
   */
  assetId: number;
};

export type ReposUpdateReleaseAssetError = Fetcher.ErrorWrapper<undefined>;

export type ReposUpdateReleaseAssetRequestBody = {
  /*
   * An alternate short description of the asset. Used in place of the filename.
   */
  label?: string;
  /*
   * The file name of the asset.
   */
  name?: string;
  /*
   * @example "uploaded"
   */
  state?: string;
};

export type ReposUpdateReleaseAssetVariables = {
  body?: ReposUpdateReleaseAssetRequestBody;
  pathParams: ReposUpdateReleaseAssetPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Users with push access to the repository can edit a release asset.
 */
export const fetchReposUpdateReleaseAsset = (
  variables: ReposUpdateReleaseAssetVariables
) =>
  githubFetch<
    Schemas.ReleaseAsset,
    ReposUpdateReleaseAssetError,
    ReposUpdateReleaseAssetRequestBody,
    {},
    {},
    ReposUpdateReleaseAssetPathParams
  >({
    url: "/repos/{owner}/{repo}/releases/assets/{assetId}",
    method: "patch",
    ...variables,
  });

/**
 * Users with push access to the repository can edit a release asset.
 */
export const useReposUpdateReleaseAsset = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.ReleaseAsset,
      ReposUpdateReleaseAssetError,
      ReposUpdateReleaseAssetVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.ReleaseAsset,
    ReposUpdateReleaseAssetError,
    ReposUpdateReleaseAssetVariables
  >(
    (variables: ReposUpdateReleaseAssetVariables) =>
      fetchReposUpdateReleaseAsset({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposGetLatestReleasePathParams = {
  owner: string;
  repo: string;
};

export type ReposGetLatestReleaseError = Fetcher.ErrorWrapper<undefined>;

export type ReposGetLatestReleaseVariables = {
  pathParams: ReposGetLatestReleasePathParams;
} & GithubContext["fetcherOptions"];

/**
 * View the latest published full release for the repository.
 *
 * The latest release is the most recent non-prerelease, non-draft release, sorted by the `created_at` attribute. The `created_at` attribute is the date of the commit used for the release, and not the date when the release was drafted or published.
 */
export const fetchReposGetLatestRelease = (
  variables: ReposGetLatestReleaseVariables
) =>
  githubFetch<
    Schemas.Release,
    ReposGetLatestReleaseError,
    undefined,
    {},
    {},
    ReposGetLatestReleasePathParams
  >({
    url: "/repos/{owner}/{repo}/releases/latest",
    method: "get",
    ...variables,
  });

/**
 * View the latest published full release for the repository.
 *
 * The latest release is the most recent non-prerelease, non-draft release, sorted by the `created_at` attribute. The `created_at` attribute is the date of the commit used for the release, and not the date when the release was drafted or published.
 */
export const useReposGetLatestRelease = <TData = Schemas.Release>(
  variables: ReposGetLatestReleaseVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.Release,
      ReposGetLatestReleaseError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.Release,
    ReposGetLatestReleaseError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/releases/latest",
      operationId: "reposGetLatestRelease",
      variables,
    }),
    () => fetchReposGetLatestRelease({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposGetReleaseByTagPathParams = {
  owner: string;
  repo: string;
  /*
   * tag parameter
   */
  tag: string;
};

export type ReposGetReleaseByTagError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type ReposGetReleaseByTagVariables = {
  pathParams: ReposGetReleaseByTagPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Get a published release with the specified tag.
 */
export const fetchReposGetReleaseByTag = (
  variables: ReposGetReleaseByTagVariables
) =>
  githubFetch<
    Schemas.Release,
    ReposGetReleaseByTagError,
    undefined,
    {},
    {},
    ReposGetReleaseByTagPathParams
  >({
    url: "/repos/{owner}/{repo}/releases/tags/{tag}",
    method: "get",
    ...variables,
  });

/**
 * Get a published release with the specified tag.
 */
export const useReposGetReleaseByTag = <TData = Schemas.Release>(
  variables: ReposGetReleaseByTagVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.Release,
      ReposGetReleaseByTagError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.Release, ReposGetReleaseByTagError, TData>(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/releases/tags/{tag}",
      operationId: "reposGetReleaseByTag",
      variables,
    }),
    () => fetchReposGetReleaseByTag({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposDeleteReleasePathParams = {
  owner: string;
  repo: string;
  /*
   * release_id parameter
   */
  releaseId: number;
};

export type ReposDeleteReleaseError = Fetcher.ErrorWrapper<undefined>;

export type ReposDeleteReleaseVariables = {
  pathParams: ReposDeleteReleasePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Users with push access to the repository can delete a release.
 */
export const fetchReposDeleteRelease = (
  variables: ReposDeleteReleaseVariables
) =>
  githubFetch<
    undefined,
    ReposDeleteReleaseError,
    undefined,
    {},
    {},
    ReposDeleteReleasePathParams
  >({
    url: "/repos/{owner}/{repo}/releases/{releaseId}",
    method: "delete",
    ...variables,
  });

/**
 * Users with push access to the repository can delete a release.
 */
export const useReposDeleteRelease = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ReposDeleteReleaseError,
      ReposDeleteReleaseVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ReposDeleteReleaseError,
    ReposDeleteReleaseVariables
  >(
    (variables: ReposDeleteReleaseVariables) =>
      fetchReposDeleteRelease({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposGetReleasePathParams = {
  owner: string;
  repo: string;
  /*
   * release_id parameter
   */
  releaseId: number;
};

export type ReposGetReleaseError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type ReposGetReleaseVariables = {
  pathParams: ReposGetReleasePathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Note:** This returns an `upload_url` key corresponding to the endpoint for uploading release assets. This key is a [hypermedia resource](https://docs.github.com/rest/overview/resources-in-the-rest-api#hypermedia).
 */
export const fetchReposGetRelease = (variables: ReposGetReleaseVariables) =>
  githubFetch<
    Schemas.Release,
    ReposGetReleaseError,
    undefined,
    {},
    {},
    ReposGetReleasePathParams
  >({
    url: "/repos/{owner}/{repo}/releases/{releaseId}",
    method: "get",
    ...variables,
  });

/**
 * **Note:** This returns an `upload_url` key corresponding to the endpoint for uploading release assets. This key is a [hypermedia resource](https://docs.github.com/rest/overview/resources-in-the-rest-api#hypermedia).
 */
export const useReposGetRelease = <TData = Schemas.Release>(
  variables: ReposGetReleaseVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<Schemas.Release, ReposGetReleaseError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.Release, ReposGetReleaseError, TData>(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/releases/{release_id}",
      operationId: "reposGetRelease",
      variables,
    }),
    () => fetchReposGetRelease({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposUpdateReleasePathParams = {
  owner: string;
  repo: string;
  /*
   * release_id parameter
   */
  releaseId: number;
};

export type ReposUpdateReleaseError = Fetcher.ErrorWrapper<undefined>;

export type ReposUpdateReleaseRequestBody = {
  /*
   * Text describing the contents of the tag.
   */
  body?: string;
  /*
   * `true` makes the release a draft, and `false` publishes the release.
   */
  draft?: boolean;
  /*
   * The name of the release.
   */
  name?: string;
  /*
   * `true` to identify the release as a prerelease, `false` to identify the release as a full release.
   */
  prerelease?: boolean;
  /*
   * The name of the tag.
   */
  tag_name?: string;
  /*
   * Specifies the commitish value that determines where the Git tag is created from. Can be any branch or commit SHA. Unused if the Git tag already exists. Default: the repository's default branch (usually `master`).
   */
  target_commitish?: string;
};

export type ReposUpdateReleaseVariables = {
  body?: ReposUpdateReleaseRequestBody;
  pathParams: ReposUpdateReleasePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Users with push access to the repository can edit a release.
 */
export const fetchReposUpdateRelease = (
  variables: ReposUpdateReleaseVariables
) =>
  githubFetch<
    Schemas.Release,
    ReposUpdateReleaseError,
    ReposUpdateReleaseRequestBody,
    {},
    {},
    ReposUpdateReleasePathParams
  >({
    url: "/repos/{owner}/{repo}/releases/{releaseId}",
    method: "patch",
    ...variables,
  });

/**
 * Users with push access to the repository can edit a release.
 */
export const useReposUpdateRelease = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Release,
      ReposUpdateReleaseError,
      ReposUpdateReleaseVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Release,
    ReposUpdateReleaseError,
    ReposUpdateReleaseVariables
  >(
    (variables: ReposUpdateReleaseVariables) =>
      fetchReposUpdateRelease({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposListReleaseAssetsPathParams = {
  owner: string;
  repo: string;
  /*
   * release_id parameter
   */
  releaseId: number;
};

export type ReposListReleaseAssetsQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ReposListReleaseAssetsError = Fetcher.ErrorWrapper<undefined>;

export type ReposListReleaseAssetsResponse = Schemas.ReleaseAsset[];

export type ReposListReleaseAssetsVariables = {
  pathParams: ReposListReleaseAssetsPathParams;
  queryParams?: ReposListReleaseAssetsQueryParams;
} & GithubContext["fetcherOptions"];

export const fetchReposListReleaseAssets = (
  variables: ReposListReleaseAssetsVariables
) =>
  githubFetch<
    ReposListReleaseAssetsResponse,
    ReposListReleaseAssetsError,
    undefined,
    {},
    ReposListReleaseAssetsQueryParams,
    ReposListReleaseAssetsPathParams
  >({
    url: "/repos/{owner}/{repo}/releases/{releaseId}/assets",
    method: "get",
    ...variables,
  });

export const useReposListReleaseAssets = <
  TData = ReposListReleaseAssetsResponse
>(
  variables: ReposListReleaseAssetsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReposListReleaseAssetsResponse,
      ReposListReleaseAssetsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReposListReleaseAssetsResponse,
    ReposListReleaseAssetsError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/releases/{release_id}/assets",
      operationId: "reposListReleaseAssets",
      variables,
    }),
    () => fetchReposListReleaseAssets({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposUploadReleaseAssetPathParams = {
  owner: string;
  repo: string;
  /*
   * release_id parameter
   */
  releaseId: number;
};

export type ReposUploadReleaseAssetQueryParams = {
  name?: string;
  label?: string;
};

export type ReposUploadReleaseAssetError = Fetcher.ErrorWrapper<undefined>;

export type ReposUploadReleaseAssetVariables = {
  body?: string;
  pathParams: ReposUploadReleaseAssetPathParams;
  queryParams?: ReposUploadReleaseAssetQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * This endpoint makes use of [a Hypermedia relation](https://docs.github.com/rest/overview/resources-in-the-rest-api#hypermedia) to determine which URL to access. The endpoint you call to upload release assets is specific to your release. Use the `upload_url` returned in
 * the response of the [Create a release endpoint](https://docs.github.com/rest/reference/repos#create-a-release) to upload a release asset.
 *
 * You need to use an HTTP client which supports [SNI](http://en.wikipedia.org/wiki/Server_Name_Indication) to make calls to this endpoint.
 *
 * Most libraries will set the required `Content-Length` header automatically. Use the required `Content-Type` header to provide the media type of the asset. For a list of media types, see [Media Types](https://www.iana.org/assignments/media-types/media-types.xhtml). For example:
 *
 * `application/zip`
 *
 * GitHub expects the asset data in its raw binary form, rather than JSON. You will send the raw binary content of the asset as the request body. Everything else about the endpoint is the same as the rest of the API. For example,
 * you'll still need to pass your authentication to be able to upload an asset.
 *
 * When an upstream failure occurs, you will receive a `502 Bad Gateway` status. This may leave an empty asset with a state of `starter`. It can be safely deleted.
 *
 * **Notes:**
 * *   GitHub renames asset filenames that have special characters, non-alphanumeric characters, and leading or trailing periods. The "[List assets for a release](https://docs.github.com/rest/reference/repos#list-assets-for-a-release)"
 * endpoint lists the renamed filenames. For more information and help, contact [GitHub Support](https://support.github.com/contact).
 * *   If you upload an asset with the same filename as another uploaded asset, you'll receive an error and must delete the old file before you can re-upload the new asset.
 */
export const fetchReposUploadReleaseAsset = (
  variables: ReposUploadReleaseAssetVariables
) =>
  githubFetch<
    Schemas.ReleaseAsset,
    ReposUploadReleaseAssetError,
    string,
    {},
    ReposUploadReleaseAssetQueryParams,
    ReposUploadReleaseAssetPathParams
  >({
    url: "/repos/{owner}/{repo}/releases/{releaseId}/assets",
    method: "post",
    ...variables,
  });

/**
 * This endpoint makes use of [a Hypermedia relation](https://docs.github.com/rest/overview/resources-in-the-rest-api#hypermedia) to determine which URL to access. The endpoint you call to upload release assets is specific to your release. Use the `upload_url` returned in
 * the response of the [Create a release endpoint](https://docs.github.com/rest/reference/repos#create-a-release) to upload a release asset.
 *
 * You need to use an HTTP client which supports [SNI](http://en.wikipedia.org/wiki/Server_Name_Indication) to make calls to this endpoint.
 *
 * Most libraries will set the required `Content-Length` header automatically. Use the required `Content-Type` header to provide the media type of the asset. For a list of media types, see [Media Types](https://www.iana.org/assignments/media-types/media-types.xhtml). For example:
 *
 * `application/zip`
 *
 * GitHub expects the asset data in its raw binary form, rather than JSON. You will send the raw binary content of the asset as the request body. Everything else about the endpoint is the same as the rest of the API. For example,
 * you'll still need to pass your authentication to be able to upload an asset.
 *
 * When an upstream failure occurs, you will receive a `502 Bad Gateway` status. This may leave an empty asset with a state of `starter`. It can be safely deleted.
 *
 * **Notes:**
 * *   GitHub renames asset filenames that have special characters, non-alphanumeric characters, and leading or trailing periods. The "[List assets for a release](https://docs.github.com/rest/reference/repos#list-assets-for-a-release)"
 * endpoint lists the renamed filenames. For more information and help, contact [GitHub Support](https://support.github.com/contact).
 * *   If you upload an asset with the same filename as another uploaded asset, you'll receive an error and must delete the old file before you can re-upload the new asset.
 */
export const useReposUploadReleaseAsset = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.ReleaseAsset,
      ReposUploadReleaseAssetError,
      ReposUploadReleaseAssetVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.ReleaseAsset,
    ReposUploadReleaseAssetError,
    ReposUploadReleaseAssetVariables
  >(
    (variables: ReposUploadReleaseAssetVariables) =>
      fetchReposUploadReleaseAsset({ ...fetcherOptions, ...variables }),
    options
  );
};

export type SecretScanningListAlertsForRepoPathParams = {
  owner: string;
  repo: string;
};

export type SecretScanningListAlertsForRepoQueryParams = {
  /*
   * Set to `open` or `resolved` to only list secret scanning alerts in a specific state.
   */
  state?: "open" | "resolved";
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
};

export type SecretScanningListAlertsForRepoError = Fetcher.ErrorWrapper<{
  status: 503;
  payload: Responses.ServiceUnavailable;
}>;

export type SecretScanningListAlertsForRepoResponse =
  Schemas.SecretScanningAlert[];

export type SecretScanningListAlertsForRepoVariables = {
  pathParams: SecretScanningListAlertsForRepoPathParams;
  queryParams?: SecretScanningListAlertsForRepoQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists all secret scanning alerts for a private repository, from newest to oldest. To use this endpoint, you must be an administrator for the repository or organization, and you must use an access token with the `repo` scope or `security_events` scope.
 *
 * GitHub Apps must have the `secret_scanning_alerts` read permission to use this endpoint.
 */
export const fetchSecretScanningListAlertsForRepo = (
  variables: SecretScanningListAlertsForRepoVariables
) =>
  githubFetch<
    SecretScanningListAlertsForRepoResponse,
    SecretScanningListAlertsForRepoError,
    undefined,
    {},
    SecretScanningListAlertsForRepoQueryParams,
    SecretScanningListAlertsForRepoPathParams
  >({
    url: "/repos/{owner}/{repo}/secret-scanning/alerts",
    method: "get",
    ...variables,
  });

/**
 * Lists all secret scanning alerts for a private repository, from newest to oldest. To use this endpoint, you must be an administrator for the repository or organization, and you must use an access token with the `repo` scope or `security_events` scope.
 *
 * GitHub Apps must have the `secret_scanning_alerts` read permission to use this endpoint.
 */
export const useSecretScanningListAlertsForRepo = <
  TData = SecretScanningListAlertsForRepoResponse
>(
  variables: SecretScanningListAlertsForRepoVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      SecretScanningListAlertsForRepoResponse,
      SecretScanningListAlertsForRepoError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    SecretScanningListAlertsForRepoResponse,
    SecretScanningListAlertsForRepoError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/secret-scanning/alerts",
      operationId: "secretScanningListAlertsForRepo",
      variables,
    }),
    () =>
      fetchSecretScanningListAlertsForRepo({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type SecretScanningGetAlertPathParams = {
  owner: string;
  repo: string;
  /*
   * The number that identifies an alert. You can find this at the end of the URL for a code scanning alert within GitHub, and in the `number` field in the response from the `GET /repos/{owner}/{repo}/code-scanning/alerts` operation.
   */
  alertNumber: Schemas.AlertNumber;
};

export type SecretScanningGetAlertError = Fetcher.ErrorWrapper<{
  status: 503;
  payload: Responses.ServiceUnavailable;
}>;

export type SecretScanningGetAlertVariables = {
  pathParams: SecretScanningGetAlertPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets a single secret scanning alert detected in a private repository. To use this endpoint, you must be an administrator for the repository or organization, and you must use an access token with the `repo` scope or `security_events` scope.
 *
 * GitHub Apps must have the `secret_scanning_alerts` read permission to use this endpoint.
 */
export const fetchSecretScanningGetAlert = (
  variables: SecretScanningGetAlertVariables
) =>
  githubFetch<
    Schemas.SecretScanningAlert,
    SecretScanningGetAlertError,
    undefined,
    {},
    {},
    SecretScanningGetAlertPathParams
  >({
    url: "/repos/{owner}/{repo}/secret-scanning/alerts/{alertNumber}",
    method: "get",
    ...variables,
  });

/**
 * Gets a single secret scanning alert detected in a private repository. To use this endpoint, you must be an administrator for the repository or organization, and you must use an access token with the `repo` scope or `security_events` scope.
 *
 * GitHub Apps must have the `secret_scanning_alerts` read permission to use this endpoint.
 */
export const useSecretScanningGetAlert = <TData = Schemas.SecretScanningAlert>(
  variables: SecretScanningGetAlertVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.SecretScanningAlert,
      SecretScanningGetAlertError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.SecretScanningAlert,
    SecretScanningGetAlertError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/secret-scanning/alerts/{alert_number}",
      operationId: "secretScanningGetAlert",
      variables,
    }),
    () => fetchSecretScanningGetAlert({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type SecretScanningUpdateAlertPathParams = {
  owner: string;
  repo: string;
  /*
   * The number that identifies an alert. You can find this at the end of the URL for a code scanning alert within GitHub, and in the `number` field in the response from the `GET /repos/{owner}/{repo}/code-scanning/alerts` operation.
   */
  alertNumber: Schemas.AlertNumber;
};

export type SecretScanningUpdateAlertError = Fetcher.ErrorWrapper<{
  status: 503;
  payload: Responses.ServiceUnavailable;
}>;

export type SecretScanningUpdateAlertRequestBody = {
  resolution?: Schemas.SecretScanningAlertResolution;
  state: Schemas.SecretScanningAlertState;
};

export type SecretScanningUpdateAlertVariables = {
  body: SecretScanningUpdateAlertRequestBody;
  pathParams: SecretScanningUpdateAlertPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Updates the status of a secret scanning alert in a private repository. To use this endpoint, you must be an administrator for the repository or organization, and you must use an access token with the `repo` scope or `security_events` scope.
 *
 * GitHub Apps must have the `secret_scanning_alerts` write permission to use this endpoint.
 */
export const fetchSecretScanningUpdateAlert = (
  variables: SecretScanningUpdateAlertVariables
) =>
  githubFetch<
    Schemas.SecretScanningAlert,
    SecretScanningUpdateAlertError,
    SecretScanningUpdateAlertRequestBody,
    {},
    {},
    SecretScanningUpdateAlertPathParams
  >({
    url: "/repos/{owner}/{repo}/secret-scanning/alerts/{alertNumber}",
    method: "patch",
    ...variables,
  });

/**
 * Updates the status of a secret scanning alert in a private repository. To use this endpoint, you must be an administrator for the repository or organization, and you must use an access token with the `repo` scope or `security_events` scope.
 *
 * GitHub Apps must have the `secret_scanning_alerts` write permission to use this endpoint.
 */
export const useSecretScanningUpdateAlert = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.SecretScanningAlert,
      SecretScanningUpdateAlertError,
      SecretScanningUpdateAlertVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.SecretScanningAlert,
    SecretScanningUpdateAlertError,
    SecretScanningUpdateAlertVariables
  >(
    (variables: SecretScanningUpdateAlertVariables) =>
      fetchSecretScanningUpdateAlert({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ActivityListStargazersForRepoPathParams = {
  owner: string;
  repo: string;
};

export type ActivityListStargazersForRepoQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ActivityListStargazersForRepoError = Fetcher.ErrorWrapper<{
  status: 422;
  payload: Responses.ValidationFailed;
}>;

export type ActivityListStargazersForRepoResponse = Schemas.SimpleUser[];

export type ActivityListStargazersForRepoVariables = {
  pathParams: ActivityListStargazersForRepoPathParams;
  queryParams?: ActivityListStargazersForRepoQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists the people that have starred the repository.
 *
 * You can also find out _when_ stars were created by passing the following custom [media type](https://docs.github.com/rest/overview/media-types/) via the `Accept` header:
 */
export const fetchActivityListStargazersForRepo = (
  variables: ActivityListStargazersForRepoVariables
) =>
  githubFetch<
    ActivityListStargazersForRepoResponse,
    ActivityListStargazersForRepoError,
    undefined,
    {},
    ActivityListStargazersForRepoQueryParams,
    ActivityListStargazersForRepoPathParams
  >({ url: "/repos/{owner}/{repo}/stargazers", method: "get", ...variables });

/**
 * Lists the people that have starred the repository.
 *
 * You can also find out _when_ stars were created by passing the following custom [media type](https://docs.github.com/rest/overview/media-types/) via the `Accept` header:
 */
export const useActivityListStargazersForRepo = <
  TData = ActivityListStargazersForRepoResponse
>(
  variables: ActivityListStargazersForRepoVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ActivityListStargazersForRepoResponse,
      ActivityListStargazersForRepoError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ActivityListStargazersForRepoResponse,
    ActivityListStargazersForRepoError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/stargazers",
      operationId: "activityListStargazersForRepo",
      variables,
    }),
    () =>
      fetchActivityListStargazersForRepo({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposGetCodeFrequencyStatsPathParams = {
  owner: string;
  repo: string;
};

export type ReposGetCodeFrequencyStatsError = Fetcher.ErrorWrapper<undefined>;

export type ReposGetCodeFrequencyStatsResponse = Schemas.CodeFrequencyStat[];

export type ReposGetCodeFrequencyStatsVariables = {
  pathParams: ReposGetCodeFrequencyStatsPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Returns a weekly aggregate of the number of additions and deletions pushed to a repository.
 */
export const fetchReposGetCodeFrequencyStats = (
  variables: ReposGetCodeFrequencyStatsVariables
) =>
  githubFetch<
    ReposGetCodeFrequencyStatsResponse,
    ReposGetCodeFrequencyStatsError,
    undefined,
    {},
    {},
    ReposGetCodeFrequencyStatsPathParams
  >({
    url: "/repos/{owner}/{repo}/stats/code_frequency",
    method: "get",
    ...variables,
  });

/**
 * Returns a weekly aggregate of the number of additions and deletions pushed to a repository.
 */
export const useReposGetCodeFrequencyStats = <
  TData = ReposGetCodeFrequencyStatsResponse
>(
  variables: ReposGetCodeFrequencyStatsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReposGetCodeFrequencyStatsResponse,
      ReposGetCodeFrequencyStatsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReposGetCodeFrequencyStatsResponse,
    ReposGetCodeFrequencyStatsError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/stats/code_frequency",
      operationId: "reposGetCodeFrequencyStats",
      variables,
    }),
    () => fetchReposGetCodeFrequencyStats({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposGetCommitActivityStatsPathParams = {
  owner: string;
  repo: string;
};

export type ReposGetCommitActivityStatsError = Fetcher.ErrorWrapper<undefined>;

export type ReposGetCommitActivityStatsResponse = Schemas.CommitActivity[];

export type ReposGetCommitActivityStatsVariables = {
  pathParams: ReposGetCommitActivityStatsPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Returns the last year of commit activity grouped by week. The `days` array is a group of commits per day, starting on `Sunday`.
 */
export const fetchReposGetCommitActivityStats = (
  variables: ReposGetCommitActivityStatsVariables
) =>
  githubFetch<
    ReposGetCommitActivityStatsResponse,
    ReposGetCommitActivityStatsError,
    undefined,
    {},
    {},
    ReposGetCommitActivityStatsPathParams
  >({
    url: "/repos/{owner}/{repo}/stats/commit_activity",
    method: "get",
    ...variables,
  });

/**
 * Returns the last year of commit activity grouped by week. The `days` array is a group of commits per day, starting on `Sunday`.
 */
export const useReposGetCommitActivityStats = <
  TData = ReposGetCommitActivityStatsResponse
>(
  variables: ReposGetCommitActivityStatsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReposGetCommitActivityStatsResponse,
      ReposGetCommitActivityStatsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReposGetCommitActivityStatsResponse,
    ReposGetCommitActivityStatsError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/stats/commit_activity",
      operationId: "reposGetCommitActivityStats",
      variables,
    }),
    () => fetchReposGetCommitActivityStats({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposGetContributorsStatsPathParams = {
  owner: string;
  repo: string;
};

export type ReposGetContributorsStatsError = Fetcher.ErrorWrapper<undefined>;

export type ReposGetContributorsStatsResponse = Schemas.ContributorActivity[];

export type ReposGetContributorsStatsVariables = {
  pathParams: ReposGetContributorsStatsPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Returns the `total` number of commits authored by the contributor. In addition, the response includes a Weekly Hash (`weeks` array) with the following information:
 *
 * *   `w` - Start of the week, given as a [Unix timestamp](http://en.wikipedia.org/wiki/Unix_time).
 * *   `a` - Number of additions
 * *   `d` - Number of deletions
 * *   `c` - Number of commits
 */
export const fetchReposGetContributorsStats = (
  variables: ReposGetContributorsStatsVariables
) =>
  githubFetch<
    ReposGetContributorsStatsResponse,
    ReposGetContributorsStatsError,
    undefined,
    {},
    {},
    ReposGetContributorsStatsPathParams
  >({
    url: "/repos/{owner}/{repo}/stats/contributors",
    method: "get",
    ...variables,
  });

/**
 * Returns the `total` number of commits authored by the contributor. In addition, the response includes a Weekly Hash (`weeks` array) with the following information:
 *
 * *   `w` - Start of the week, given as a [Unix timestamp](http://en.wikipedia.org/wiki/Unix_time).
 * *   `a` - Number of additions
 * *   `d` - Number of deletions
 * *   `c` - Number of commits
 */
export const useReposGetContributorsStats = <
  TData = ReposGetContributorsStatsResponse
>(
  variables: ReposGetContributorsStatsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReposGetContributorsStatsResponse,
      ReposGetContributorsStatsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReposGetContributorsStatsResponse,
    ReposGetContributorsStatsError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/stats/contributors",
      operationId: "reposGetContributorsStats",
      variables,
    }),
    () => fetchReposGetContributorsStats({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposGetParticipationStatsPathParams = {
  owner: string;
  repo: string;
};

export type ReposGetParticipationStatsError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type ReposGetParticipationStatsVariables = {
  pathParams: ReposGetParticipationStatsPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Returns the total commit counts for the `owner` and total commit counts in `all`. `all` is everyone combined, including the `owner` in the last 52 weeks. If you'd like to get the commit counts for non-owners, you can subtract `owner` from `all`.
 *
 * The array order is oldest week (index 0) to most recent week.
 */
export const fetchReposGetParticipationStats = (
  variables: ReposGetParticipationStatsVariables
) =>
  githubFetch<
    Schemas.ParticipationStats,
    ReposGetParticipationStatsError,
    undefined,
    {},
    {},
    ReposGetParticipationStatsPathParams
  >({
    url: "/repos/{owner}/{repo}/stats/participation",
    method: "get",
    ...variables,
  });

/**
 * Returns the total commit counts for the `owner` and total commit counts in `all`. `all` is everyone combined, including the `owner` in the last 52 weeks. If you'd like to get the commit counts for non-owners, you can subtract `owner` from `all`.
 *
 * The array order is oldest week (index 0) to most recent week.
 */
export const useReposGetParticipationStats = <
  TData = Schemas.ParticipationStats
>(
  variables: ReposGetParticipationStatsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.ParticipationStats,
      ReposGetParticipationStatsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.ParticipationStats,
    ReposGetParticipationStatsError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/stats/participation",
      operationId: "reposGetParticipationStats",
      variables,
    }),
    () => fetchReposGetParticipationStats({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposGetPunchCardStatsPathParams = {
  owner: string;
  repo: string;
};

export type ReposGetPunchCardStatsError = Fetcher.ErrorWrapper<undefined>;

export type ReposGetPunchCardStatsResponse = Schemas.CodeFrequencyStat[];

export type ReposGetPunchCardStatsVariables = {
  pathParams: ReposGetPunchCardStatsPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Each array contains the day number, hour number, and number of commits:
 *
 * *   `0-6`: Sunday - Saturday
 * *   `0-23`: Hour of day
 * *   Number of commits
 *
 * For example, `[2, 14, 25]` indicates that there were 25 total commits, during the 2:00pm hour on Tuesdays. All times are based on the time zone of individual commits.
 */
export const fetchReposGetPunchCardStats = (
  variables: ReposGetPunchCardStatsVariables
) =>
  githubFetch<
    ReposGetPunchCardStatsResponse,
    ReposGetPunchCardStatsError,
    undefined,
    {},
    {},
    ReposGetPunchCardStatsPathParams
  >({
    url: "/repos/{owner}/{repo}/stats/punch_card",
    method: "get",
    ...variables,
  });

/**
 * Each array contains the day number, hour number, and number of commits:
 *
 * *   `0-6`: Sunday - Saturday
 * *   `0-23`: Hour of day
 * *   Number of commits
 *
 * For example, `[2, 14, 25]` indicates that there were 25 total commits, during the 2:00pm hour on Tuesdays. All times are based on the time zone of individual commits.
 */
export const useReposGetPunchCardStats = <
  TData = ReposGetPunchCardStatsResponse
>(
  variables: ReposGetPunchCardStatsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReposGetPunchCardStatsResponse,
      ReposGetPunchCardStatsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReposGetPunchCardStatsResponse,
    ReposGetPunchCardStatsError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/stats/punch_card",
      operationId: "reposGetPunchCardStats",
      variables,
    }),
    () => fetchReposGetPunchCardStats({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposCreateCommitStatusPathParams = {
  owner: string;
  repo: string;
  sha: string;
};

export type ReposCreateCommitStatusError = Fetcher.ErrorWrapper<undefined>;

export type ReposCreateCommitStatusRequestBody = {
  /*
   * A string label to differentiate this status from the status of other systems. This field is case-insensitive.
   *
   * @default default
   */
  context?: string;
  /*
   * A short description of the status.
   */
  description?: string;
  /*
   * The state of the status. Can be one of `error`, `failure`, `pending`, or `success`.
   */
  state: "error" | "failure" | "pending" | "success";
  /*
   * The target URL to associate with this status. This URL will be linked from the GitHub UI to allow users to easily see the source of the status.
   * For example, if your continuous integration system is posting build status, you would want to provide the deep link for the build output for this specific SHA:
   * `http://ci.example.com/user/repo/build/sha`
   */
  target_url?: string;
};

export type ReposCreateCommitStatusVariables = {
  body: ReposCreateCommitStatusRequestBody;
  pathParams: ReposCreateCommitStatusPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Users with push access in a repository can create commit statuses for a given SHA.
 *
 * Note: there is a limit of 1000 statuses per `sha` and `context` within a repository. Attempts to create more than 1000 statuses will result in a validation error.
 */
export const fetchReposCreateCommitStatus = (
  variables: ReposCreateCommitStatusVariables
) =>
  githubFetch<
    Schemas.Status,
    ReposCreateCommitStatusError,
    ReposCreateCommitStatusRequestBody,
    {},
    {},
    ReposCreateCommitStatusPathParams
  >({
    url: "/repos/{owner}/{repo}/statuses/{sha}",
    method: "post",
    ...variables,
  });

/**
 * Users with push access in a repository can create commit statuses for a given SHA.
 *
 * Note: there is a limit of 1000 statuses per `sha` and `context` within a repository. Attempts to create more than 1000 statuses will result in a validation error.
 */
export const useReposCreateCommitStatus = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Status,
      ReposCreateCommitStatusError,
      ReposCreateCommitStatusVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Status,
    ReposCreateCommitStatusError,
    ReposCreateCommitStatusVariables
  >(
    (variables: ReposCreateCommitStatusVariables) =>
      fetchReposCreateCommitStatus({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ActivityListWatchersForRepoPathParams = {
  owner: string;
  repo: string;
};

export type ActivityListWatchersForRepoQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ActivityListWatchersForRepoError = Fetcher.ErrorWrapper<undefined>;

export type ActivityListWatchersForRepoResponse = Schemas.SimpleUser[];

export type ActivityListWatchersForRepoVariables = {
  pathParams: ActivityListWatchersForRepoPathParams;
  queryParams?: ActivityListWatchersForRepoQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists the people watching the specified repository.
 */
export const fetchActivityListWatchersForRepo = (
  variables: ActivityListWatchersForRepoVariables
) =>
  githubFetch<
    ActivityListWatchersForRepoResponse,
    ActivityListWatchersForRepoError,
    undefined,
    {},
    ActivityListWatchersForRepoQueryParams,
    ActivityListWatchersForRepoPathParams
  >({ url: "/repos/{owner}/{repo}/subscribers", method: "get", ...variables });

/**
 * Lists the people watching the specified repository.
 */
export const useActivityListWatchersForRepo = <
  TData = ActivityListWatchersForRepoResponse
>(
  variables: ActivityListWatchersForRepoVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ActivityListWatchersForRepoResponse,
      ActivityListWatchersForRepoError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ActivityListWatchersForRepoResponse,
    ActivityListWatchersForRepoError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/subscribers",
      operationId: "activityListWatchersForRepo",
      variables,
    }),
    () => fetchActivityListWatchersForRepo({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActivityDeleteRepoSubscriptionPathParams = {
  owner: string;
  repo: string;
};

export type ActivityDeleteRepoSubscriptionError =
  Fetcher.ErrorWrapper<undefined>;

export type ActivityDeleteRepoSubscriptionVariables = {
  pathParams: ActivityDeleteRepoSubscriptionPathParams;
} & GithubContext["fetcherOptions"];

/**
 * This endpoint should only be used to stop watching a repository. To control whether or not you wish to receive notifications from a repository, [set the repository's subscription manually](https://docs.github.com/rest/reference/activity#set-a-repository-subscription).
 */
export const fetchActivityDeleteRepoSubscription = (
  variables: ActivityDeleteRepoSubscriptionVariables
) =>
  githubFetch<
    undefined,
    ActivityDeleteRepoSubscriptionError,
    undefined,
    {},
    {},
    ActivityDeleteRepoSubscriptionPathParams
  >({
    url: "/repos/{owner}/{repo}/subscription",
    method: "delete",
    ...variables,
  });

/**
 * This endpoint should only be used to stop watching a repository. To control whether or not you wish to receive notifications from a repository, [set the repository's subscription manually](https://docs.github.com/rest/reference/activity#set-a-repository-subscription).
 */
export const useActivityDeleteRepoSubscription = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActivityDeleteRepoSubscriptionError,
      ActivityDeleteRepoSubscriptionVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActivityDeleteRepoSubscriptionError,
    ActivityDeleteRepoSubscriptionVariables
  >(
    (variables: ActivityDeleteRepoSubscriptionVariables) =>
      fetchActivityDeleteRepoSubscription({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ActivityGetRepoSubscriptionPathParams = {
  owner: string;
  repo: string;
};

export type ActivityGetRepoSubscriptionError = Fetcher.ErrorWrapper<{
  status: 403;
  payload: Responses.Forbidden;
}>;

export type ActivityGetRepoSubscriptionVariables = {
  pathParams: ActivityGetRepoSubscriptionPathParams;
} & GithubContext["fetcherOptions"];

export const fetchActivityGetRepoSubscription = (
  variables: ActivityGetRepoSubscriptionVariables
) =>
  githubFetch<
    Schemas.RepositorySubscription,
    ActivityGetRepoSubscriptionError,
    undefined,
    {},
    {},
    ActivityGetRepoSubscriptionPathParams
  >({ url: "/repos/{owner}/{repo}/subscription", method: "get", ...variables });

export const useActivityGetRepoSubscription = <
  TData = Schemas.RepositorySubscription
>(
  variables: ActivityGetRepoSubscriptionVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.RepositorySubscription,
      ActivityGetRepoSubscriptionError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.RepositorySubscription,
    ActivityGetRepoSubscriptionError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/subscription",
      operationId: "activityGetRepoSubscription",
      variables,
    }),
    () => fetchActivityGetRepoSubscription({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActivitySetRepoSubscriptionPathParams = {
  owner: string;
  repo: string;
};

export type ActivitySetRepoSubscriptionError = Fetcher.ErrorWrapper<undefined>;

export type ActivitySetRepoSubscriptionRequestBody = {
  /*
   * Determines if all notifications should be blocked from this repository.
   */
  ignored?: boolean;
  /*
   * Determines if notifications should be received from this repository.
   */
  subscribed?: boolean;
};

export type ActivitySetRepoSubscriptionVariables = {
  body?: ActivitySetRepoSubscriptionRequestBody;
  pathParams: ActivitySetRepoSubscriptionPathParams;
} & GithubContext["fetcherOptions"];

/**
 * If you would like to watch a repository, set `subscribed` to `true`. If you would like to ignore notifications made within a repository, set `ignored` to `true`. If you would like to stop watching a repository, [delete the repository's subscription](https://docs.github.com/rest/reference/activity#delete-a-repository-subscription) completely.
 */
export const fetchActivitySetRepoSubscription = (
  variables: ActivitySetRepoSubscriptionVariables
) =>
  githubFetch<
    Schemas.RepositorySubscription,
    ActivitySetRepoSubscriptionError,
    ActivitySetRepoSubscriptionRequestBody,
    {},
    {},
    ActivitySetRepoSubscriptionPathParams
  >({ url: "/repos/{owner}/{repo}/subscription", method: "put", ...variables });

/**
 * If you would like to watch a repository, set `subscribed` to `true`. If you would like to ignore notifications made within a repository, set `ignored` to `true`. If you would like to stop watching a repository, [delete the repository's subscription](https://docs.github.com/rest/reference/activity#delete-a-repository-subscription) completely.
 */
export const useActivitySetRepoSubscription = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.RepositorySubscription,
      ActivitySetRepoSubscriptionError,
      ActivitySetRepoSubscriptionVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.RepositorySubscription,
    ActivitySetRepoSubscriptionError,
    ActivitySetRepoSubscriptionVariables
  >(
    (variables: ActivitySetRepoSubscriptionVariables) =>
      fetchActivitySetRepoSubscription({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposListTagsPathParams = {
  owner: string;
  repo: string;
};

export type ReposListTagsQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ReposListTagsError = Fetcher.ErrorWrapper<undefined>;

export type ReposListTagsResponse = Schemas.Tag[];

export type ReposListTagsVariables = {
  pathParams: ReposListTagsPathParams;
  queryParams?: ReposListTagsQueryParams;
} & GithubContext["fetcherOptions"];

export const fetchReposListTags = (variables: ReposListTagsVariables) =>
  githubFetch<
    ReposListTagsResponse,
    ReposListTagsError,
    undefined,
    {},
    ReposListTagsQueryParams,
    ReposListTagsPathParams
  >({ url: "/repos/{owner}/{repo}/tags", method: "get", ...variables });

export const useReposListTags = <TData = ReposListTagsResponse>(
  variables: ReposListTagsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReposListTagsResponse,
      ReposListTagsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<ReposListTagsResponse, ReposListTagsError, TData>(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/tags",
      operationId: "reposListTags",
      variables,
    }),
    () => fetchReposListTags({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposDownloadTarballArchivePathParams = {
  owner: string;
  repo: string;
  ref: string;
};

export type ReposDownloadTarballArchiveError = Fetcher.ErrorWrapper<undefined>;

export type ReposDownloadTarballArchiveVariables = {
  pathParams: ReposDownloadTarballArchivePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets a redirect URL to download a tar archive for a repository. If you omit `:ref`, the repository’s default branch (usually
 * `master`) will be used. Please make sure your HTTP framework is configured to follow redirects or you will need to use
 * the `Location` header to make a second `GET` request.
 * **Note**: For private repositories, these links are temporary and expire after five minutes.
 */
export const fetchReposDownloadTarballArchive = (
  variables: ReposDownloadTarballArchiveVariables
) =>
  githubFetch<
    undefined,
    ReposDownloadTarballArchiveError,
    undefined,
    {},
    {},
    ReposDownloadTarballArchivePathParams
  >({
    url: "/repos/{owner}/{repo}/tarball/{ref}",
    method: "get",
    ...variables,
  });

/**
 * Gets a redirect URL to download a tar archive for a repository. If you omit `:ref`, the repository’s default branch (usually
 * `master`) will be used. Please make sure your HTTP framework is configured to follow redirects or you will need to use
 * the `Location` header to make a second `GET` request.
 * **Note**: For private repositories, these links are temporary and expire after five minutes.
 */
export const useReposDownloadTarballArchive = <TData = undefined>(
  variables: ReposDownloadTarballArchiveVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      undefined,
      ReposDownloadTarballArchiveError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    undefined,
    ReposDownloadTarballArchiveError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/tarball/{ref}",
      operationId: "reposDownloadTarballArchive",
      variables,
    }),
    () => fetchReposDownloadTarballArchive({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposListTeamsPathParams = {
  owner: string;
  repo: string;
};

export type ReposListTeamsQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ReposListTeamsError = Fetcher.ErrorWrapper<undefined>;

export type ReposListTeamsResponse = Schemas.Team[];

export type ReposListTeamsVariables = {
  pathParams: ReposListTeamsPathParams;
  queryParams?: ReposListTeamsQueryParams;
} & GithubContext["fetcherOptions"];

export const fetchReposListTeams = (variables: ReposListTeamsVariables) =>
  githubFetch<
    ReposListTeamsResponse,
    ReposListTeamsError,
    undefined,
    {},
    ReposListTeamsQueryParams,
    ReposListTeamsPathParams
  >({ url: "/repos/{owner}/{repo}/teams", method: "get", ...variables });

export const useReposListTeams = <TData = ReposListTeamsResponse>(
  variables: ReposListTeamsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReposListTeamsResponse,
      ReposListTeamsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReposListTeamsResponse,
    ReposListTeamsError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/teams",
      operationId: "reposListTeams",
      variables,
    }),
    () => fetchReposListTeams({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposGetAllTopicsPathParams = {
  owner: string;
  repo: string;
};

export type ReposGetAllTopicsQueryParams = {
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
};

export type ReposGetAllTopicsError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 415;
      payload: Responses.PreviewHeaderMissing;
    }
>;

export type ReposGetAllTopicsVariables = {
  pathParams: ReposGetAllTopicsPathParams;
  queryParams?: ReposGetAllTopicsQueryParams;
} & GithubContext["fetcherOptions"];

export const fetchReposGetAllTopics = (variables: ReposGetAllTopicsVariables) =>
  githubFetch<
    Schemas.Topic,
    ReposGetAllTopicsError,
    undefined,
    {},
    ReposGetAllTopicsQueryParams,
    ReposGetAllTopicsPathParams
  >({ url: "/repos/{owner}/{repo}/topics", method: "get", ...variables });

export const useReposGetAllTopics = <TData = Schemas.Topic>(
  variables: ReposGetAllTopicsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<Schemas.Topic, ReposGetAllTopicsError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.Topic, ReposGetAllTopicsError, TData>(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/topics",
      operationId: "reposGetAllTopics",
      variables,
    }),
    () => fetchReposGetAllTopics({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposReplaceAllTopicsPathParams = {
  owner: string;
  repo: string;
};

export type ReposReplaceAllTopicsError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 415;
      payload: Responses.PreviewHeaderMissing;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailedSimple;
    }
>;

export type ReposReplaceAllTopicsRequestBody = {
  /*
   * An array of topics to add to the repository. Pass one or more topics to _replace_ the set of existing topics. Send an empty array (`[]`) to clear all topics from the repository. **Note:** Topic `names` cannot contain uppercase letters.
   */
  names: string[];
};

export type ReposReplaceAllTopicsVariables = {
  body: ReposReplaceAllTopicsRequestBody;
  pathParams: ReposReplaceAllTopicsPathParams;
} & GithubContext["fetcherOptions"];

export const fetchReposReplaceAllTopics = (
  variables: ReposReplaceAllTopicsVariables
) =>
  githubFetch<
    Schemas.Topic,
    ReposReplaceAllTopicsError,
    ReposReplaceAllTopicsRequestBody,
    {},
    {},
    ReposReplaceAllTopicsPathParams
  >({ url: "/repos/{owner}/{repo}/topics", method: "put", ...variables });

export const useReposReplaceAllTopics = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Topic,
      ReposReplaceAllTopicsError,
      ReposReplaceAllTopicsVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Topic,
    ReposReplaceAllTopicsError,
    ReposReplaceAllTopicsVariables
  >(
    (variables: ReposReplaceAllTopicsVariables) =>
      fetchReposReplaceAllTopics({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposGetClonesPathParams = {
  owner: string;
  repo: string;
};

export type ReposGetClonesQueryParams = {
  /*
   * Must be one of: `day`, `week`.
   *
   * @default day
   */
  per?: "" | "day" | "week";
};

export type ReposGetClonesError = Fetcher.ErrorWrapper<{
  status: 403;
  payload: Responses.Forbidden;
}>;

export type ReposGetClonesVariables = {
  pathParams: ReposGetClonesPathParams;
  queryParams?: ReposGetClonesQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Get the total number of clones and breakdown per day or week for the last 14 days. Timestamps are aligned to UTC midnight of the beginning of the day or week. Week begins on Monday.
 */
export const fetchReposGetClones = (variables: ReposGetClonesVariables) =>
  githubFetch<
    Schemas.CloneTraffic,
    ReposGetClonesError,
    undefined,
    {},
    ReposGetClonesQueryParams,
    ReposGetClonesPathParams
  >({
    url: "/repos/{owner}/{repo}/traffic/clones",
    method: "get",
    ...variables,
  });

/**
 * Get the total number of clones and breakdown per day or week for the last 14 days. Timestamps are aligned to UTC midnight of the beginning of the day or week. Week begins on Monday.
 */
export const useReposGetClones = <TData = Schemas.CloneTraffic>(
  variables: ReposGetClonesVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.CloneTraffic,
      ReposGetClonesError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.CloneTraffic, ReposGetClonesError, TData>(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/traffic/clones",
      operationId: "reposGetClones",
      variables,
    }),
    () => fetchReposGetClones({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposGetTopPathsPathParams = {
  owner: string;
  repo: string;
};

export type ReposGetTopPathsError = Fetcher.ErrorWrapper<{
  status: 403;
  payload: Responses.Forbidden;
}>;

export type ReposGetTopPathsResponse = Schemas.ContentTraffic[];

export type ReposGetTopPathsVariables = {
  pathParams: ReposGetTopPathsPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Get the top 10 popular contents over the last 14 days.
 */
export const fetchReposGetTopPaths = (variables: ReposGetTopPathsVariables) =>
  githubFetch<
    ReposGetTopPathsResponse,
    ReposGetTopPathsError,
    undefined,
    {},
    {},
    ReposGetTopPathsPathParams
  >({
    url: "/repos/{owner}/{repo}/traffic/popular/paths",
    method: "get",
    ...variables,
  });

/**
 * Get the top 10 popular contents over the last 14 days.
 */
export const useReposGetTopPaths = <TData = ReposGetTopPathsResponse>(
  variables: ReposGetTopPathsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReposGetTopPathsResponse,
      ReposGetTopPathsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReposGetTopPathsResponse,
    ReposGetTopPathsError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/traffic/popular/paths",
      operationId: "reposGetTopPaths",
      variables,
    }),
    () => fetchReposGetTopPaths({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposGetTopReferrersPathParams = {
  owner: string;
  repo: string;
};

export type ReposGetTopReferrersError = Fetcher.ErrorWrapper<{
  status: 403;
  payload: Responses.Forbidden;
}>;

export type ReposGetTopReferrersResponse = Schemas.ReferrerTraffic[];

export type ReposGetTopReferrersVariables = {
  pathParams: ReposGetTopReferrersPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Get the top 10 referrers over the last 14 days.
 */
export const fetchReposGetTopReferrers = (
  variables: ReposGetTopReferrersVariables
) =>
  githubFetch<
    ReposGetTopReferrersResponse,
    ReposGetTopReferrersError,
    undefined,
    {},
    {},
    ReposGetTopReferrersPathParams
  >({
    url: "/repos/{owner}/{repo}/traffic/popular/referrers",
    method: "get",
    ...variables,
  });

/**
 * Get the top 10 referrers over the last 14 days.
 */
export const useReposGetTopReferrers = <TData = ReposGetTopReferrersResponse>(
  variables: ReposGetTopReferrersVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReposGetTopReferrersResponse,
      ReposGetTopReferrersError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReposGetTopReferrersResponse,
    ReposGetTopReferrersError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/traffic/popular/referrers",
      operationId: "reposGetTopReferrers",
      variables,
    }),
    () => fetchReposGetTopReferrers({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposGetViewsPathParams = {
  owner: string;
  repo: string;
};

export type ReposGetViewsQueryParams = {
  /*
   * Must be one of: `day`, `week`.
   *
   * @default day
   */
  per?: "" | "day" | "week";
};

export type ReposGetViewsError = Fetcher.ErrorWrapper<{
  status: 403;
  payload: Responses.Forbidden;
}>;

export type ReposGetViewsVariables = {
  pathParams: ReposGetViewsPathParams;
  queryParams?: ReposGetViewsQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Get the total number of views and breakdown per day or week for the last 14 days. Timestamps are aligned to UTC midnight of the beginning of the day or week. Week begins on Monday.
 */
export const fetchReposGetViews = (variables: ReposGetViewsVariables) =>
  githubFetch<
    Schemas.ViewTraffic,
    ReposGetViewsError,
    undefined,
    {},
    ReposGetViewsQueryParams,
    ReposGetViewsPathParams
  >({
    url: "/repos/{owner}/{repo}/traffic/views",
    method: "get",
    ...variables,
  });

/**
 * Get the total number of views and breakdown per day or week for the last 14 days. Timestamps are aligned to UTC midnight of the beginning of the day or week. Week begins on Monday.
 */
export const useReposGetViews = <TData = Schemas.ViewTraffic>(
  variables: ReposGetViewsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<Schemas.ViewTraffic, ReposGetViewsError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.ViewTraffic, ReposGetViewsError, TData>(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/traffic/views",
      operationId: "reposGetViews",
      variables,
    }),
    () => fetchReposGetViews({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposTransferPathParams = {
  owner: string;
  repo: string;
};

export type ReposTransferError = Fetcher.ErrorWrapper<undefined>;

export type ReposTransferRequestBody = {
  /*
   * The username or organization name the repository will be transferred to.
   */
  new_owner: string;
  /*
   * ID of the team or teams to add to the repository. Teams can only be added to organization-owned repositories.
   */
  team_ids?: number[];
};

export type ReposTransferVariables = {
  body: ReposTransferRequestBody;
  pathParams: ReposTransferPathParams;
} & GithubContext["fetcherOptions"];

/**
 * A transfer request will need to be accepted by the new owner when transferring a personal repository to another user. The response will contain the original `owner`, and the transfer will continue asynchronously. For more details on the requirements to transfer personal and organization-owned repositories, see [about repository transfers](https://help.github.com/articles/about-repository-transfers/).
 */
export const fetchReposTransfer = (variables: ReposTransferVariables) =>
  githubFetch<
    Schemas.Repository,
    ReposTransferError,
    ReposTransferRequestBody,
    {},
    {},
    ReposTransferPathParams
  >({ url: "/repos/{owner}/{repo}/transfer", method: "post", ...variables });

/**
 * A transfer request will need to be accepted by the new owner when transferring a personal repository to another user. The response will contain the original `owner`, and the transfer will continue asynchronously. For more details on the requirements to transfer personal and organization-owned repositories, see [about repository transfers](https://help.github.com/articles/about-repository-transfers/).
 */
export const useReposTransfer = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Repository,
      ReposTransferError,
      ReposTransferVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Repository,
    ReposTransferError,
    ReposTransferVariables
  >(
    (variables: ReposTransferVariables) =>
      fetchReposTransfer({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposDisableVulnerabilityAlertsPathParams = {
  owner: string;
  repo: string;
};

export type ReposDisableVulnerabilityAlertsError =
  Fetcher.ErrorWrapper<undefined>;

export type ReposDisableVulnerabilityAlertsVariables = {
  pathParams: ReposDisableVulnerabilityAlertsPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Disables dependency alerts and the dependency graph for a repository. The authenticated user must have admin access to the repository. For more information, see "[About security alerts for vulnerable dependencies](https://help.github.com/en/articles/about-security-alerts-for-vulnerable-dependencies)".
 */
export const fetchReposDisableVulnerabilityAlerts = (
  variables: ReposDisableVulnerabilityAlertsVariables
) =>
  githubFetch<
    undefined,
    ReposDisableVulnerabilityAlertsError,
    undefined,
    {},
    {},
    ReposDisableVulnerabilityAlertsPathParams
  >({
    url: "/repos/{owner}/{repo}/vulnerability-alerts",
    method: "delete",
    ...variables,
  });

/**
 * Disables dependency alerts and the dependency graph for a repository. The authenticated user must have admin access to the repository. For more information, see "[About security alerts for vulnerable dependencies](https://help.github.com/en/articles/about-security-alerts-for-vulnerable-dependencies)".
 */
export const useReposDisableVulnerabilityAlerts = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ReposDisableVulnerabilityAlertsError,
      ReposDisableVulnerabilityAlertsVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ReposDisableVulnerabilityAlertsError,
    ReposDisableVulnerabilityAlertsVariables
  >(
    (variables: ReposDisableVulnerabilityAlertsVariables) =>
      fetchReposDisableVulnerabilityAlerts({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposCheckVulnerabilityAlertsPathParams = {
  owner: string;
  repo: string;
};

export type ReposCheckVulnerabilityAlertsError =
  Fetcher.ErrorWrapper<undefined>;

export type ReposCheckVulnerabilityAlertsVariables = {
  pathParams: ReposCheckVulnerabilityAlertsPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Shows whether dependency alerts are enabled or disabled for a repository. The authenticated user must have admin access to the repository. For more information, see "[About security alerts for vulnerable dependencies](https://help.github.com/en/articles/about-security-alerts-for-vulnerable-dependencies)".
 */
export const fetchReposCheckVulnerabilityAlerts = (
  variables: ReposCheckVulnerabilityAlertsVariables
) =>
  githubFetch<
    undefined,
    ReposCheckVulnerabilityAlertsError,
    undefined,
    {},
    {},
    ReposCheckVulnerabilityAlertsPathParams
  >({
    url: "/repos/{owner}/{repo}/vulnerability-alerts",
    method: "get",
    ...variables,
  });

/**
 * Shows whether dependency alerts are enabled or disabled for a repository. The authenticated user must have admin access to the repository. For more information, see "[About security alerts for vulnerable dependencies](https://help.github.com/en/articles/about-security-alerts-for-vulnerable-dependencies)".
 */
export const useReposCheckVulnerabilityAlerts = <TData = undefined>(
  variables: ReposCheckVulnerabilityAlertsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      undefined,
      ReposCheckVulnerabilityAlertsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    undefined,
    ReposCheckVulnerabilityAlertsError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/vulnerability-alerts",
      operationId: "reposCheckVulnerabilityAlerts",
      variables,
    }),
    () =>
      fetchReposCheckVulnerabilityAlerts({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposEnableVulnerabilityAlertsPathParams = {
  owner: string;
  repo: string;
};

export type ReposEnableVulnerabilityAlertsError =
  Fetcher.ErrorWrapper<undefined>;

export type ReposEnableVulnerabilityAlertsVariables = {
  pathParams: ReposEnableVulnerabilityAlertsPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Enables dependency alerts and the dependency graph for a repository. The authenticated user must have admin access to the repository. For more information, see "[About security alerts for vulnerable dependencies](https://help.github.com/en/articles/about-security-alerts-for-vulnerable-dependencies)".
 */
export const fetchReposEnableVulnerabilityAlerts = (
  variables: ReposEnableVulnerabilityAlertsVariables
) =>
  githubFetch<
    undefined,
    ReposEnableVulnerabilityAlertsError,
    undefined,
    {},
    {},
    ReposEnableVulnerabilityAlertsPathParams
  >({
    url: "/repos/{owner}/{repo}/vulnerability-alerts",
    method: "put",
    ...variables,
  });

/**
 * Enables dependency alerts and the dependency graph for a repository. The authenticated user must have admin access to the repository. For more information, see "[About security alerts for vulnerable dependencies](https://help.github.com/en/articles/about-security-alerts-for-vulnerable-dependencies)".
 */
export const useReposEnableVulnerabilityAlerts = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ReposEnableVulnerabilityAlertsError,
      ReposEnableVulnerabilityAlertsVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ReposEnableVulnerabilityAlertsError,
    ReposEnableVulnerabilityAlertsVariables
  >(
    (variables: ReposEnableVulnerabilityAlertsVariables) =>
      fetchReposEnableVulnerabilityAlerts({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposDownloadZipballArchivePathParams = {
  owner: string;
  repo: string;
  ref: string;
};

export type ReposDownloadZipballArchiveError = Fetcher.ErrorWrapper<undefined>;

export type ReposDownloadZipballArchiveVariables = {
  pathParams: ReposDownloadZipballArchivePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets a redirect URL to download a zip archive for a repository. If you omit `:ref`, the repository’s default branch (usually
 * `master`) will be used. Please make sure your HTTP framework is configured to follow redirects or you will need to use
 * the `Location` header to make a second `GET` request.
 * **Note**: For private repositories, these links are temporary and expire after five minutes.
 */
export const fetchReposDownloadZipballArchive = (
  variables: ReposDownloadZipballArchiveVariables
) =>
  githubFetch<
    undefined,
    ReposDownloadZipballArchiveError,
    undefined,
    {},
    {},
    ReposDownloadZipballArchivePathParams
  >({
    url: "/repos/{owner}/{repo}/zipball/{ref}",
    method: "get",
    ...variables,
  });

/**
 * Gets a redirect URL to download a zip archive for a repository. If you omit `:ref`, the repository’s default branch (usually
 * `master`) will be used. Please make sure your HTTP framework is configured to follow redirects or you will need to use
 * the `Location` header to make a second `GET` request.
 * **Note**: For private repositories, these links are temporary and expire after five minutes.
 */
export const useReposDownloadZipballArchive = <TData = undefined>(
  variables: ReposDownloadZipballArchiveVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      undefined,
      ReposDownloadZipballArchiveError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    undefined,
    ReposDownloadZipballArchiveError,
    TData
  >(
    queryKeyFn({
      path: "/repos/{owner}/{repo}/zipball/{ref}",
      operationId: "reposDownloadZipballArchive",
      variables,
    }),
    () => fetchReposDownloadZipballArchive({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposCreateUsingTemplatePathParams = {
  templateOwner: string;
  templateRepo: string;
};

export type ReposCreateUsingTemplateError = Fetcher.ErrorWrapper<undefined>;

export type ReposCreateUsingTemplateRequestBody = {
  /*
   * A short description of the new repository.
   */
  description?: string;
  /*
   * Set to `true` to include the directory structure and files from all branches in the template repository, and not just the default branch. Default: `false`.
   *
   * @default false
   */
  include_all_branches?: boolean;
  /*
   * The name of the new repository.
   */
  name: string;
  /*
   * The organization or person who will own the new repository. To create a new repository in an organization, the authenticated user must be a member of the specified organization.
   */
  owner?: string;
  /*
   * Either `true` to create a new private repository or `false` to create a new public one.
   *
   * @default false
   */
  private?: boolean;
};

export type ReposCreateUsingTemplateVariables = {
  body: ReposCreateUsingTemplateRequestBody;
  pathParams: ReposCreateUsingTemplatePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Creates a new repository using a repository template. Use the `template_owner` and `template_repo` route parameters to specify the repository to use as the template. The authenticated user must own or be a member of an organization that owns the repository. To check if a repository is available to use as a template, get the repository's information using the [Get a repository](https://docs.github.com/rest/reference/repos#get-a-repository) endpoint and check that the `is_template` key is `true`.
 *
 * **OAuth scope requirements**
 *
 * When using [OAuth](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/), authorizations must include:
 *
 * *   `public_repo` scope or `repo` scope to create a public repository. Note: For GitHub AE, use `repo` scope to create an internal repository.
 * *   `repo` scope to create a private repository
 */
export const fetchReposCreateUsingTemplate = (
  variables: ReposCreateUsingTemplateVariables
) =>
  githubFetch<
    Schemas.Repository,
    ReposCreateUsingTemplateError,
    ReposCreateUsingTemplateRequestBody,
    {},
    {},
    ReposCreateUsingTemplatePathParams
  >({
    url: "/repos/{templateOwner}/{templateRepo}/generate",
    method: "post",
    ...variables,
  });

/**
 * Creates a new repository using a repository template. Use the `template_owner` and `template_repo` route parameters to specify the repository to use as the template. The authenticated user must own or be a member of an organization that owns the repository. To check if a repository is available to use as a template, get the repository's information using the [Get a repository](https://docs.github.com/rest/reference/repos#get-a-repository) endpoint and check that the `is_template` key is `true`.
 *
 * **OAuth scope requirements**
 *
 * When using [OAuth](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/), authorizations must include:
 *
 * *   `public_repo` scope or `repo` scope to create a public repository. Note: For GitHub AE, use `repo` scope to create an internal repository.
 * *   `repo` scope to create a private repository
 */
export const useReposCreateUsingTemplate = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Repository,
      ReposCreateUsingTemplateError,
      ReposCreateUsingTemplateVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Repository,
    ReposCreateUsingTemplateError,
    ReposCreateUsingTemplateVariables
  >(
    (variables: ReposCreateUsingTemplateVariables) =>
      fetchReposCreateUsingTemplate({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposListPublicQueryParams = {
  /*
   * A repository ID. Only return repositories with an ID greater than this ID.
   */
  since?: number;
};

export type ReposListPublicError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type ReposListPublicResponse = Schemas.MinimalRepository[];

export type ReposListPublicVariables = {
  queryParams?: ReposListPublicQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists all public repositories in the order that they were created.
 *
 * Notes:
 * - For GitHub Enterprise Server and GitHub AE, this endpoint will only list repositories available to all users on the enterprise.
 * - Pagination is powered exclusively by the `since` parameter. Use the [Link header](https://docs.github.com/rest/overview/resources-in-the-rest-api#link-header) to get the URL for the next page of repositories.
 */
export const fetchReposListPublic = (variables: ReposListPublicVariables) =>
  githubFetch<
    ReposListPublicResponse,
    ReposListPublicError,
    undefined,
    {},
    ReposListPublicQueryParams,
    {}
  >({ url: "/repositories", method: "get", ...variables });

/**
 * Lists all public repositories in the order that they were created.
 *
 * Notes:
 * - For GitHub Enterprise Server and GitHub AE, this endpoint will only list repositories available to all users on the enterprise.
 * - Pagination is powered exclusively by the `since` parameter. Use the [Link header](https://docs.github.com/rest/overview/resources-in-the-rest-api#link-header) to get the URL for the next page of repositories.
 */
export const useReposListPublic = <TData = ReposListPublicResponse>(
  variables: ReposListPublicVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReposListPublicResponse,
      ReposListPublicError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReposListPublicResponse,
    ReposListPublicError,
    TData
  >(
    queryKeyFn({
      path: "/repositories",
      operationId: "reposListPublic",
      variables,
    }),
    () => fetchReposListPublic({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsListEnvironmentSecretsPathParams = {
  repositoryId: number;
  /*
   * The name of the environment
   */
  environmentName: string;
};

export type ActionsListEnvironmentSecretsQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ActionsListEnvironmentSecretsError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsListEnvironmentSecretsResponse = {
  secrets: Schemas.ActionsSecret[];
  total_count: number;
};

export type ActionsListEnvironmentSecretsVariables = {
  pathParams: ActionsListEnvironmentSecretsPathParams;
  queryParams?: ActionsListEnvironmentSecretsQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists all secrets available in an environment without revealing their encrypted values. You must authenticate using an access token with the `repo` scope to use this endpoint. GitHub Apps must have the `secrets` repository permission to use this endpoint.
 */
export const fetchActionsListEnvironmentSecrets = (
  variables: ActionsListEnvironmentSecretsVariables
) =>
  githubFetch<
    ActionsListEnvironmentSecretsResponse,
    ActionsListEnvironmentSecretsError,
    undefined,
    {},
    ActionsListEnvironmentSecretsQueryParams,
    ActionsListEnvironmentSecretsPathParams
  >({
    url: "/repositories/{repositoryId}/environments/{environmentName}/secrets",
    method: "get",
    ...variables,
  });

/**
 * Lists all secrets available in an environment without revealing their encrypted values. You must authenticate using an access token with the `repo` scope to use this endpoint. GitHub Apps must have the `secrets` repository permission to use this endpoint.
 */
export const useActionsListEnvironmentSecrets = <
  TData = ActionsListEnvironmentSecretsResponse
>(
  variables: ActionsListEnvironmentSecretsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ActionsListEnvironmentSecretsResponse,
      ActionsListEnvironmentSecretsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ActionsListEnvironmentSecretsResponse,
    ActionsListEnvironmentSecretsError,
    TData
  >(
    queryKeyFn({
      path: "/repositories/{repository_id}/environments/{environment_name}/secrets",
      operationId: "actionsListEnvironmentSecrets",
      variables,
    }),
    () =>
      fetchActionsListEnvironmentSecrets({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsGetEnvironmentPublicKeyPathParams = {
  repositoryId: number;
  /*
   * The name of the environment
   */
  environmentName: string;
};

export type ActionsGetEnvironmentPublicKeyError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsGetEnvironmentPublicKeyVariables = {
  pathParams: ActionsGetEnvironmentPublicKeyPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Get the public key for an environment, which you need to encrypt environment secrets. You need to encrypt a secret before you can create or update secrets. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the `repo` scope. GitHub Apps must have the `secrets` repository permission to use this endpoint.
 */
export const fetchActionsGetEnvironmentPublicKey = (
  variables: ActionsGetEnvironmentPublicKeyVariables
) =>
  githubFetch<
    Schemas.ActionsPublicKey,
    ActionsGetEnvironmentPublicKeyError,
    undefined,
    {},
    {},
    ActionsGetEnvironmentPublicKeyPathParams
  >({
    url: "/repositories/{repositoryId}/environments/{environmentName}/secrets/public-key",
    method: "get",
    ...variables,
  });

/**
 * Get the public key for an environment, which you need to encrypt environment secrets. You need to encrypt a secret before you can create or update secrets. Anyone with read access to the repository can use this endpoint. If the repository is private you must use an access token with the `repo` scope. GitHub Apps must have the `secrets` repository permission to use this endpoint.
 */
export const useActionsGetEnvironmentPublicKey = <
  TData = Schemas.ActionsPublicKey
>(
  variables: ActionsGetEnvironmentPublicKeyVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.ActionsPublicKey,
      ActionsGetEnvironmentPublicKeyError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.ActionsPublicKey,
    ActionsGetEnvironmentPublicKeyError,
    TData
  >(
    queryKeyFn({
      path: "/repositories/{repository_id}/environments/{environment_name}/secrets/public-key",
      operationId: "actionsGetEnvironmentPublicKey",
      variables,
    }),
    () =>
      fetchActionsGetEnvironmentPublicKey({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsDeleteEnvironmentSecretPathParams = {
  repositoryId: number;
  /*
   * The name of the environment
   */
  environmentName: string;
  /*
   * secret_name parameter
   */
  secretName: string;
};

export type ActionsDeleteEnvironmentSecretError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsDeleteEnvironmentSecretVariables = {
  pathParams: ActionsDeleteEnvironmentSecretPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Deletes a secret in an environment using the secret name. You must authenticate using an access token with the `repo` scope to use this endpoint. GitHub Apps must have the `secrets` repository permission to use this endpoint.
 */
export const fetchActionsDeleteEnvironmentSecret = (
  variables: ActionsDeleteEnvironmentSecretVariables
) =>
  githubFetch<
    undefined,
    ActionsDeleteEnvironmentSecretError,
    undefined,
    {},
    {},
    ActionsDeleteEnvironmentSecretPathParams
  >({
    url: "/repositories/{repositoryId}/environments/{environmentName}/secrets/{secretName}",
    method: "delete",
    ...variables,
  });

/**
 * Deletes a secret in an environment using the secret name. You must authenticate using an access token with the `repo` scope to use this endpoint. GitHub Apps must have the `secrets` repository permission to use this endpoint.
 */
export const useActionsDeleteEnvironmentSecret = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActionsDeleteEnvironmentSecretError,
      ActionsDeleteEnvironmentSecretVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActionsDeleteEnvironmentSecretError,
    ActionsDeleteEnvironmentSecretVariables
  >(
    (variables: ActionsDeleteEnvironmentSecretVariables) =>
      fetchActionsDeleteEnvironmentSecret({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ActionsGetEnvironmentSecretPathParams = {
  repositoryId: number;
  /*
   * The name of the environment
   */
  environmentName: string;
  /*
   * secret_name parameter
   */
  secretName: string;
};

export type ActionsGetEnvironmentSecretError = Fetcher.ErrorWrapper<undefined>;

export type ActionsGetEnvironmentSecretVariables = {
  pathParams: ActionsGetEnvironmentSecretPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets a single environment secret without revealing its encrypted value. You must authenticate using an access token with the `repo` scope to use this endpoint. GitHub Apps must have the `secrets` repository permission to use this endpoint.
 */
export const fetchActionsGetEnvironmentSecret = (
  variables: ActionsGetEnvironmentSecretVariables
) =>
  githubFetch<
    Schemas.ActionsSecret,
    ActionsGetEnvironmentSecretError,
    undefined,
    {},
    {},
    ActionsGetEnvironmentSecretPathParams
  >({
    url: "/repositories/{repositoryId}/environments/{environmentName}/secrets/{secretName}",
    method: "get",
    ...variables,
  });

/**
 * Gets a single environment secret without revealing its encrypted value. You must authenticate using an access token with the `repo` scope to use this endpoint. GitHub Apps must have the `secrets` repository permission to use this endpoint.
 */
export const useActionsGetEnvironmentSecret = <TData = Schemas.ActionsSecret>(
  variables: ActionsGetEnvironmentSecretVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.ActionsSecret,
      ActionsGetEnvironmentSecretError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.ActionsSecret,
    ActionsGetEnvironmentSecretError,
    TData
  >(
    queryKeyFn({
      path: "/repositories/{repository_id}/environments/{environment_name}/secrets/{secret_name}",
      operationId: "actionsGetEnvironmentSecret",
      variables,
    }),
    () => fetchActionsGetEnvironmentSecret({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActionsCreateOrUpdateEnvironmentSecretPathParams = {
  repositoryId: number;
  /*
   * The name of the environment
   */
  environmentName: string;
  /*
   * secret_name parameter
   */
  secretName: string;
};

export type ActionsCreateOrUpdateEnvironmentSecretError =
  Fetcher.ErrorWrapper<undefined>;

export type ActionsCreateOrUpdateEnvironmentSecretRequestBody = {
  /*
   * Value for your secret, encrypted with [LibSodium](https://libsodium.gitbook.io/doc/bindings_for_other_languages) using the public key retrieved from the [Get an environment public key](https://docs.github.com/rest/reference/actions#get-an-environment-public-key) endpoint.
   *
   * @pattern ^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=|[A-Za-z0-9+/]{4})$
   */
  encrypted_value?: string;
  /*
   * ID of the key you used to encrypt the secret.
   */
  key_id?: string;
};

export type ActionsCreateOrUpdateEnvironmentSecretVariables = {
  body?: ActionsCreateOrUpdateEnvironmentSecretRequestBody;
  pathParams: ActionsCreateOrUpdateEnvironmentSecretPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Creates or updates an environment secret with an encrypted value. Encrypt your secret using
 * [LibSodium](https://libsodium.gitbook.io/doc/bindings_for_other_languages). You must authenticate using an access
 * token with the `repo` scope to use this endpoint. GitHub Apps must have the `secrets` repository permission to use
 * this endpoint.
 *
 * #### Example encrypting a secret using Node.js
 *
 * Encrypt your secret using the [tweetsodium](https://github.com/github/tweetsodium) library.
 *
 * ```
 * const sodium = require('tweetsodium');
 *
 * const key = "base64-encoded-public-key";
 * const value = "plain-text-secret";
 *
 * // Convert the message and key to Uint8Array's (Buffer implements that interface)
 * const messageBytes = Buffer.from(value);
 * const keyBytes = Buffer.from(key, 'base64');
 *
 * // Encrypt using LibSodium.
 * const encryptedBytes = sodium.seal(messageBytes, keyBytes);
 *
 * // Base64 the encrypted secret
 * const encrypted = Buffer.from(encryptedBytes).toString('base64');
 *
 * console.log(encrypted);
 * ```
 *
 *
 * #### Example encrypting a secret using Python
 *
 * Encrypt your secret using [pynacl](https://pynacl.readthedocs.io/en/stable/public/#nacl-public-sealedbox) with Python 3.
 *
 * ```
 * from base64 import b64encode
 * from nacl import encoding, public
 *
 * def encrypt(public_key: str, secret_value: str) -> str:
 *   """Encrypt a Unicode string using the public key."""
 *   public_key = public.PublicKey(public_key.encode("utf-8"), encoding.Base64Encoder())
 *   sealed_box = public.SealedBox(public_key)
 *   encrypted = sealed_box.encrypt(secret_value.encode("utf-8"))
 *   return b64encode(encrypted).decode("utf-8")
 * ```
 *
 * #### Example encrypting a secret using C#
 *
 * Encrypt your secret using the [Sodium.Core](https://www.nuget.org/packages/Sodium.Core/) package.
 *
 * ```
 * var secretValue = System.Text.Encoding.UTF8.GetBytes("mySecret");
 * var publicKey = Convert.FromBase64String("2Sg8iYjAxxmI2LvUXpJjkYrMxURPc8r+dB7TJyvvcCU=");
 *
 * var sealedPublicKeyBox = Sodium.SealedPublicKeyBox.Create(secretValue, publicKey);
 *
 * Console.WriteLine(Convert.ToBase64String(sealedPublicKeyBox));
 * ```
 *
 * #### Example encrypting a secret using Ruby
 *
 * Encrypt your secret using the [rbnacl](https://github.com/RubyCrypto/rbnacl) gem.
 *
 * ```ruby
 * require "rbnacl"
 * require "base64"
 *
 * key = Base64.decode64("+ZYvJDZMHUfBkJdyq5Zm9SKqeuBQ4sj+6sfjlH4CgG0=")
 * public_key = RbNaCl::PublicKey.new(key)
 *
 * box = RbNaCl::Boxes::Sealed.from_public_key(public_key)
 * encrypted_secret = box.encrypt("my_secret")
 *
 * # Print the base64 encoded secret
 * puts Base64.strict_encode64(encrypted_secret)
 * ```
 */
export const fetchActionsCreateOrUpdateEnvironmentSecret = (
  variables: ActionsCreateOrUpdateEnvironmentSecretVariables
) =>
  githubFetch<
    undefined,
    ActionsCreateOrUpdateEnvironmentSecretError,
    ActionsCreateOrUpdateEnvironmentSecretRequestBody,
    {},
    {},
    ActionsCreateOrUpdateEnvironmentSecretPathParams
  >({
    url: "/repositories/{repositoryId}/environments/{environmentName}/secrets/{secretName}",
    method: "put",
    ...variables,
  });

/**
 * Creates or updates an environment secret with an encrypted value. Encrypt your secret using
 * [LibSodium](https://libsodium.gitbook.io/doc/bindings_for_other_languages). You must authenticate using an access
 * token with the `repo` scope to use this endpoint. GitHub Apps must have the `secrets` repository permission to use
 * this endpoint.
 *
 * #### Example encrypting a secret using Node.js
 *
 * Encrypt your secret using the [tweetsodium](https://github.com/github/tweetsodium) library.
 *
 * ```
 * const sodium = require('tweetsodium');
 *
 * const key = "base64-encoded-public-key";
 * const value = "plain-text-secret";
 *
 * // Convert the message and key to Uint8Array's (Buffer implements that interface)
 * const messageBytes = Buffer.from(value);
 * const keyBytes = Buffer.from(key, 'base64');
 *
 * // Encrypt using LibSodium.
 * const encryptedBytes = sodium.seal(messageBytes, keyBytes);
 *
 * // Base64 the encrypted secret
 * const encrypted = Buffer.from(encryptedBytes).toString('base64');
 *
 * console.log(encrypted);
 * ```
 *
 *
 * #### Example encrypting a secret using Python
 *
 * Encrypt your secret using [pynacl](https://pynacl.readthedocs.io/en/stable/public/#nacl-public-sealedbox) with Python 3.
 *
 * ```
 * from base64 import b64encode
 * from nacl import encoding, public
 *
 * def encrypt(public_key: str, secret_value: str) -> str:
 *   """Encrypt a Unicode string using the public key."""
 *   public_key = public.PublicKey(public_key.encode("utf-8"), encoding.Base64Encoder())
 *   sealed_box = public.SealedBox(public_key)
 *   encrypted = sealed_box.encrypt(secret_value.encode("utf-8"))
 *   return b64encode(encrypted).decode("utf-8")
 * ```
 *
 * #### Example encrypting a secret using C#
 *
 * Encrypt your secret using the [Sodium.Core](https://www.nuget.org/packages/Sodium.Core/) package.
 *
 * ```
 * var secretValue = System.Text.Encoding.UTF8.GetBytes("mySecret");
 * var publicKey = Convert.FromBase64String("2Sg8iYjAxxmI2LvUXpJjkYrMxURPc8r+dB7TJyvvcCU=");
 *
 * var sealedPublicKeyBox = Sodium.SealedPublicKeyBox.Create(secretValue, publicKey);
 *
 * Console.WriteLine(Convert.ToBase64String(sealedPublicKeyBox));
 * ```
 *
 * #### Example encrypting a secret using Ruby
 *
 * Encrypt your secret using the [rbnacl](https://github.com/RubyCrypto/rbnacl) gem.
 *
 * ```ruby
 * require "rbnacl"
 * require "base64"
 *
 * key = Base64.decode64("+ZYvJDZMHUfBkJdyq5Zm9SKqeuBQ4sj+6sfjlH4CgG0=")
 * public_key = RbNaCl::PublicKey.new(key)
 *
 * box = RbNaCl::Boxes::Sealed.from_public_key(public_key)
 * encrypted_secret = box.encrypt("my_secret")
 *
 * # Print the base64 encoded secret
 * puts Base64.strict_encode64(encrypted_secret)
 * ```
 */
export const useActionsCreateOrUpdateEnvironmentSecret = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActionsCreateOrUpdateEnvironmentSecretError,
      ActionsCreateOrUpdateEnvironmentSecretVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActionsCreateOrUpdateEnvironmentSecretError,
    ActionsCreateOrUpdateEnvironmentSecretVariables
  >(
    (variables: ActionsCreateOrUpdateEnvironmentSecretVariables) =>
      fetchActionsCreateOrUpdateEnvironmentSecret({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type EnterpriseAdminListProvisionedGroupsEnterprisePathParams = {
  /*
   * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
   */
  enterprise: string;
};

export type EnterpriseAdminListProvisionedGroupsEnterpriseQueryParams = {
  /*
   * Used for pagination: the index of the first result to return.
   */
  startIndex?: number;
  /*
   * Used for pagination: the number of results to return.
   */
  count?: number;
  /*
   * filter results
   */
  filter?: string;
  /*
   * attributes to exclude
   */
  excludedAttributes?: string;
};

export type EnterpriseAdminListProvisionedGroupsEnterpriseError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminListProvisionedGroupsEnterpriseVariables = {
  pathParams: EnterpriseAdminListProvisionedGroupsEnterprisePathParams;
  queryParams?: EnterpriseAdminListProvisionedGroupsEnterpriseQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * **Note:** The SCIM API endpoints for enterprise accounts are currently in beta and are subject to change.
 */
export const fetchEnterpriseAdminListProvisionedGroupsEnterprise = (
  variables: EnterpriseAdminListProvisionedGroupsEnterpriseVariables
) =>
  githubFetch<
    Schemas.ScimGroupListEnterprise,
    EnterpriseAdminListProvisionedGroupsEnterpriseError,
    undefined,
    {},
    EnterpriseAdminListProvisionedGroupsEnterpriseQueryParams,
    EnterpriseAdminListProvisionedGroupsEnterprisePathParams
  >({
    url: "/scim/v2/enterprises/{enterprise}/Groups",
    method: "get",
    ...variables,
  });

/**
 * **Note:** The SCIM API endpoints for enterprise accounts are currently in beta and are subject to change.
 */
export const useEnterpriseAdminListProvisionedGroupsEnterprise = <
  TData = Schemas.ScimGroupListEnterprise
>(
  variables: EnterpriseAdminListProvisionedGroupsEnterpriseVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.ScimGroupListEnterprise,
      EnterpriseAdminListProvisionedGroupsEnterpriseError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.ScimGroupListEnterprise,
    EnterpriseAdminListProvisionedGroupsEnterpriseError,
    TData
  >(
    queryKeyFn({
      path: "/scim/v2/enterprises/{enterprise}/Groups",
      operationId: "enterpriseAdminListProvisionedGroupsEnterprise",
      variables,
    }),
    () =>
      fetchEnterpriseAdminListProvisionedGroupsEnterprise({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type EnterpriseAdminProvisionAndInviteEnterpriseGroupPathParams = {
  /*
   * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
   */
  enterprise: string;
};

export type EnterpriseAdminProvisionAndInviteEnterpriseGroupError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminProvisionAndInviteEnterpriseGroupRequestBody = {
  /*
   * The name of the SCIM group. This must match the GitHub organization that the group maps to.
   */
  displayName: string;
  members?: {
    /*
     * The SCIM user ID for a user.
     */
    value: string;
  }[];
  /*
   * The SCIM schema URIs.
   */
  schemas: string[];
};

export type EnterpriseAdminProvisionAndInviteEnterpriseGroupVariables = {
  body: EnterpriseAdminProvisionAndInviteEnterpriseGroupRequestBody;
  pathParams: EnterpriseAdminProvisionAndInviteEnterpriseGroupPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Note:** The SCIM API endpoints for enterprise accounts are currently in beta and are subject to change.
 *
 * Provision an enterprise group, and invite users to the group. This sends invitation emails to the email address of the invited users to join the GitHub organization that the SCIM group corresponds to.
 */
export const fetchEnterpriseAdminProvisionAndInviteEnterpriseGroup = (
  variables: EnterpriseAdminProvisionAndInviteEnterpriseGroupVariables
) =>
  githubFetch<
    Schemas.ScimEnterpriseGroup,
    EnterpriseAdminProvisionAndInviteEnterpriseGroupError,
    EnterpriseAdminProvisionAndInviteEnterpriseGroupRequestBody,
    {},
    {},
    EnterpriseAdminProvisionAndInviteEnterpriseGroupPathParams
  >({
    url: "/scim/v2/enterprises/{enterprise}/Groups",
    method: "post",
    ...variables,
  });

/**
 * **Note:** The SCIM API endpoints for enterprise accounts are currently in beta and are subject to change.
 *
 * Provision an enterprise group, and invite users to the group. This sends invitation emails to the email address of the invited users to join the GitHub organization that the SCIM group corresponds to.
 */
export const useEnterpriseAdminProvisionAndInviteEnterpriseGroup = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.ScimEnterpriseGroup,
      EnterpriseAdminProvisionAndInviteEnterpriseGroupError,
      EnterpriseAdminProvisionAndInviteEnterpriseGroupVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.ScimEnterpriseGroup,
    EnterpriseAdminProvisionAndInviteEnterpriseGroupError,
    EnterpriseAdminProvisionAndInviteEnterpriseGroupVariables
  >(
    (variables: EnterpriseAdminProvisionAndInviteEnterpriseGroupVariables) =>
      fetchEnterpriseAdminProvisionAndInviteEnterpriseGroup({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type EnterpriseAdminDeleteScimGroupFromEnterprisePathParams = {
  /*
   * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
   */
  enterprise: string;
  /*
   * Identifier generated by the GitHub SCIM endpoint.
   */
  scimGroupId: string;
};

export type EnterpriseAdminDeleteScimGroupFromEnterpriseError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminDeleteScimGroupFromEnterpriseVariables = {
  pathParams: EnterpriseAdminDeleteScimGroupFromEnterprisePathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Note:** The SCIM API endpoints for enterprise accounts are currently in beta and are subject to change.
 */
export const fetchEnterpriseAdminDeleteScimGroupFromEnterprise = (
  variables: EnterpriseAdminDeleteScimGroupFromEnterpriseVariables
) =>
  githubFetch<
    undefined,
    EnterpriseAdminDeleteScimGroupFromEnterpriseError,
    undefined,
    {},
    {},
    EnterpriseAdminDeleteScimGroupFromEnterprisePathParams
  >({
    url: "/scim/v2/enterprises/{enterprise}/Groups/{scimGroupId}",
    method: "delete",
    ...variables,
  });

/**
 * **Note:** The SCIM API endpoints for enterprise accounts are currently in beta and are subject to change.
 */
export const useEnterpriseAdminDeleteScimGroupFromEnterprise = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      EnterpriseAdminDeleteScimGroupFromEnterpriseError,
      EnterpriseAdminDeleteScimGroupFromEnterpriseVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    EnterpriseAdminDeleteScimGroupFromEnterpriseError,
    EnterpriseAdminDeleteScimGroupFromEnterpriseVariables
  >(
    (variables: EnterpriseAdminDeleteScimGroupFromEnterpriseVariables) =>
      fetchEnterpriseAdminDeleteScimGroupFromEnterprise({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type EnterpriseAdminGetProvisioningInformationForEnterpriseGroupPathParams =
  {
    /*
     * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
     */
    enterprise: string;
    /*
     * Identifier generated by the GitHub SCIM endpoint.
     */
    scimGroupId: string;
  };

export type EnterpriseAdminGetProvisioningInformationForEnterpriseGroupQueryParams =
  {
    /*
     * Attributes to exclude.
     */
    excludedAttributes?: string;
  };

export type EnterpriseAdminGetProvisioningInformationForEnterpriseGroupError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminGetProvisioningInformationForEnterpriseGroupVariables =
  {
    pathParams: EnterpriseAdminGetProvisioningInformationForEnterpriseGroupPathParams;
    queryParams?: EnterpriseAdminGetProvisioningInformationForEnterpriseGroupQueryParams;
  } & GithubContext["fetcherOptions"];

/**
 * **Note:** The SCIM API endpoints for enterprise accounts are currently in beta and are subject to change.
 */
export const fetchEnterpriseAdminGetProvisioningInformationForEnterpriseGroup =
  (
    variables: EnterpriseAdminGetProvisioningInformationForEnterpriseGroupVariables
  ) =>
    githubFetch<
      Schemas.ScimEnterpriseGroup,
      EnterpriseAdminGetProvisioningInformationForEnterpriseGroupError,
      undefined,
      {},
      EnterpriseAdminGetProvisioningInformationForEnterpriseGroupQueryParams,
      EnterpriseAdminGetProvisioningInformationForEnterpriseGroupPathParams
    >({
      url: "/scim/v2/enterprises/{enterprise}/Groups/{scimGroupId}",
      method: "get",
      ...variables,
    });

/**
 * **Note:** The SCIM API endpoints for enterprise accounts are currently in beta and are subject to change.
 */
export const useEnterpriseAdminGetProvisioningInformationForEnterpriseGroup = <
  TData = Schemas.ScimEnterpriseGroup
>(
  variables: EnterpriseAdminGetProvisioningInformationForEnterpriseGroupVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.ScimEnterpriseGroup,
      EnterpriseAdminGetProvisioningInformationForEnterpriseGroupError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.ScimEnterpriseGroup,
    EnterpriseAdminGetProvisioningInformationForEnterpriseGroupError,
    TData
  >(
    queryKeyFn({
      path: "/scim/v2/enterprises/{enterprise}/Groups/{scim_group_id}",
      operationId:
        "enterpriseAdminGetProvisioningInformationForEnterpriseGroup",
      variables,
    }),
    () =>
      fetchEnterpriseAdminGetProvisioningInformationForEnterpriseGroup({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type EnterpriseAdminUpdateAttributeForEnterpriseGroupPathParams = {
  /*
   * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
   */
  enterprise: string;
  /*
   * Identifier generated by the GitHub SCIM endpoint.
   */
  scimGroupId: string;
};

export type EnterpriseAdminUpdateAttributeForEnterpriseGroupError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminUpdateAttributeForEnterpriseGroupRequestBody = {
  /*
   * Array of [SCIM operations](https://tools.ietf.org/html/rfc7644#section-3.5.2).
   *
   * @minItems 1
   */
  Operations: {
    op: "add" | "Add" | "remove" | "Remove" | "replace" | "Replace";
    path?: string;
    value?: string | Record<string, any> | any[];
  }[];
  /*
   * The SCIM schema URIs.
   */
  schemas: string[];
};

export type EnterpriseAdminUpdateAttributeForEnterpriseGroupVariables = {
  body: EnterpriseAdminUpdateAttributeForEnterpriseGroupRequestBody;
  pathParams: EnterpriseAdminUpdateAttributeForEnterpriseGroupPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Note:** The SCIM API endpoints for enterprise accounts are currently in beta and are subject to change.
 *
 * Allows you to change a provisioned group’s individual attributes. To change a group’s values, you must provide a specific Operations JSON format that contains at least one of the add, remove, or replace operations. For examples and more information on the SCIM operations format, see the [SCIM specification](https://tools.ietf.org/html/rfc7644#section-3.5.2).
 */
export const fetchEnterpriseAdminUpdateAttributeForEnterpriseGroup = (
  variables: EnterpriseAdminUpdateAttributeForEnterpriseGroupVariables
) =>
  githubFetch<
    Schemas.ScimEnterpriseGroup,
    EnterpriseAdminUpdateAttributeForEnterpriseGroupError,
    EnterpriseAdminUpdateAttributeForEnterpriseGroupRequestBody,
    {},
    {},
    EnterpriseAdminUpdateAttributeForEnterpriseGroupPathParams
  >({
    url: "/scim/v2/enterprises/{enterprise}/Groups/{scimGroupId}",
    method: "patch",
    ...variables,
  });

/**
 * **Note:** The SCIM API endpoints for enterprise accounts are currently in beta and are subject to change.
 *
 * Allows you to change a provisioned group’s individual attributes. To change a group’s values, you must provide a specific Operations JSON format that contains at least one of the add, remove, or replace operations. For examples and more information on the SCIM operations format, see the [SCIM specification](https://tools.ietf.org/html/rfc7644#section-3.5.2).
 */
export const useEnterpriseAdminUpdateAttributeForEnterpriseGroup = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.ScimEnterpriseGroup,
      EnterpriseAdminUpdateAttributeForEnterpriseGroupError,
      EnterpriseAdminUpdateAttributeForEnterpriseGroupVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.ScimEnterpriseGroup,
    EnterpriseAdminUpdateAttributeForEnterpriseGroupError,
    EnterpriseAdminUpdateAttributeForEnterpriseGroupVariables
  >(
    (variables: EnterpriseAdminUpdateAttributeForEnterpriseGroupVariables) =>
      fetchEnterpriseAdminUpdateAttributeForEnterpriseGroup({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type EnterpriseAdminSetInformationForProvisionedEnterpriseGroupPathParams =
  {
    /*
     * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
     */
    enterprise: string;
    /*
     * Identifier generated by the GitHub SCIM endpoint.
     */
    scimGroupId: string;
  };

export type EnterpriseAdminSetInformationForProvisionedEnterpriseGroupError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminSetInformationForProvisionedEnterpriseGroupRequestBody =
  {
    /*
     * The name of the SCIM group. This must match the GitHub organization that the group maps to.
     */
    displayName: string;
    members?: {
      /*
       * The SCIM user ID for a user.
       */
      value: string;
    }[];
    /*
     * The SCIM schema URIs.
     */
    schemas: string[];
  };

export type EnterpriseAdminSetInformationForProvisionedEnterpriseGroupVariables =
  {
    body: EnterpriseAdminSetInformationForProvisionedEnterpriseGroupRequestBody;
    pathParams: EnterpriseAdminSetInformationForProvisionedEnterpriseGroupPathParams;
  } & GithubContext["fetcherOptions"];

/**
 * **Note:** The SCIM API endpoints for enterprise accounts are currently in beta and are subject to change.
 *
 * Replaces an existing provisioned group’s information. You must provide all the information required for the group as if you were provisioning it for the first time. Any existing group information that you don't provide will be removed, including group membership. If you want to only update a specific attribute, use the [Update an attribute for a SCIM enterprise group](#update-an-attribute-for-a-scim-enterprise-group) endpoint instead.
 */
export const fetchEnterpriseAdminSetInformationForProvisionedEnterpriseGroup = (
  variables: EnterpriseAdminSetInformationForProvisionedEnterpriseGroupVariables
) =>
  githubFetch<
    Schemas.ScimEnterpriseGroup,
    EnterpriseAdminSetInformationForProvisionedEnterpriseGroupError,
    EnterpriseAdminSetInformationForProvisionedEnterpriseGroupRequestBody,
    {},
    {},
    EnterpriseAdminSetInformationForProvisionedEnterpriseGroupPathParams
  >({
    url: "/scim/v2/enterprises/{enterprise}/Groups/{scimGroupId}",
    method: "put",
    ...variables,
  });

/**
 * **Note:** The SCIM API endpoints for enterprise accounts are currently in beta and are subject to change.
 *
 * Replaces an existing provisioned group’s information. You must provide all the information required for the group as if you were provisioning it for the first time. Any existing group information that you don't provide will be removed, including group membership. If you want to only update a specific attribute, use the [Update an attribute for a SCIM enterprise group](#update-an-attribute-for-a-scim-enterprise-group) endpoint instead.
 */
export const useEnterpriseAdminSetInformationForProvisionedEnterpriseGroup = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.ScimEnterpriseGroup,
      EnterpriseAdminSetInformationForProvisionedEnterpriseGroupError,
      EnterpriseAdminSetInformationForProvisionedEnterpriseGroupVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.ScimEnterpriseGroup,
    EnterpriseAdminSetInformationForProvisionedEnterpriseGroupError,
    EnterpriseAdminSetInformationForProvisionedEnterpriseGroupVariables
  >(
    (
      variables: EnterpriseAdminSetInformationForProvisionedEnterpriseGroupVariables
    ) =>
      fetchEnterpriseAdminSetInformationForProvisionedEnterpriseGroup({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type EnterpriseAdminListProvisionedIdentitiesEnterprisePathParams = {
  /*
   * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
   */
  enterprise: string;
};

export type EnterpriseAdminListProvisionedIdentitiesEnterpriseQueryParams = {
  /*
   * Used for pagination: the index of the first result to return.
   */
  startIndex?: number;
  /*
   * Used for pagination: the number of results to return.
   */
  count?: number;
  /*
   * filter results
   */
  filter?: string;
};

export type EnterpriseAdminListProvisionedIdentitiesEnterpriseError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminListProvisionedIdentitiesEnterpriseVariables = {
  pathParams: EnterpriseAdminListProvisionedIdentitiesEnterprisePathParams;
  queryParams?: EnterpriseAdminListProvisionedIdentitiesEnterpriseQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * **Note:** The SCIM API endpoints for enterprise accounts are currently in beta and are subject to change.
 *
 * Retrieves a paginated list of all provisioned enterprise members, including pending invitations.
 *
 * When a user with a SAML-provisioned external identity leaves (or is removed from) an enterprise, the account's metadata is immediately removed. However, the returned list of user accounts might not always match the organization or enterprise member list you see on GitHub. This can happen in certain cases where an external identity associated with an organization will not match an organization member:
 *   - When a user with a SCIM-provisioned external identity is removed from an enterprise, the account's metadata is preserved to allow the user to re-join the organization in the future.
 *   - When inviting a user to join an organization, you can expect to see their external identity in the results before they accept the invitation, or if the invitation is cancelled (or never accepted).
 *   - When a user is invited over SCIM, an external identity is created that matches with the invitee's email address. However, this identity is only linked to a user account when the user accepts the invitation by going through SAML SSO.
 *
 * The returned list of external identities can include an entry for a `null` user. These are unlinked SAML identities that are created when a user goes through the following Single Sign-On (SSO) process but does not sign in to their GitHub account after completing SSO:
 *
 * 1. The user is granted access by the IdP and is not a member of the GitHub enterprise.
 *
 * 1. The user attempts to access the GitHub enterprise and initiates the SAML SSO process, and is not currently signed in to their GitHub account.
 *
 * 1. After successfully authenticating with the SAML SSO IdP, the `null` external identity entry is created and the user is prompted to sign in to their GitHub account:
 *    - If the user signs in, their GitHub account is linked to this entry.
 *    - If the user does not sign in (or does not create a new account when prompted), they are not added to the GitHub enterprise, and the external identity `null` entry remains in place.
 */
export const fetchEnterpriseAdminListProvisionedIdentitiesEnterprise = (
  variables: EnterpriseAdminListProvisionedIdentitiesEnterpriseVariables
) =>
  githubFetch<
    Schemas.ScimUserListEnterprise,
    EnterpriseAdminListProvisionedIdentitiesEnterpriseError,
    undefined,
    {},
    EnterpriseAdminListProvisionedIdentitiesEnterpriseQueryParams,
    EnterpriseAdminListProvisionedIdentitiesEnterprisePathParams
  >({
    url: "/scim/v2/enterprises/{enterprise}/Users",
    method: "get",
    ...variables,
  });

/**
 * **Note:** The SCIM API endpoints for enterprise accounts are currently in beta and are subject to change.
 *
 * Retrieves a paginated list of all provisioned enterprise members, including pending invitations.
 *
 * When a user with a SAML-provisioned external identity leaves (or is removed from) an enterprise, the account's metadata is immediately removed. However, the returned list of user accounts might not always match the organization or enterprise member list you see on GitHub. This can happen in certain cases where an external identity associated with an organization will not match an organization member:
 *   - When a user with a SCIM-provisioned external identity is removed from an enterprise, the account's metadata is preserved to allow the user to re-join the organization in the future.
 *   - When inviting a user to join an organization, you can expect to see their external identity in the results before they accept the invitation, or if the invitation is cancelled (or never accepted).
 *   - When a user is invited over SCIM, an external identity is created that matches with the invitee's email address. However, this identity is only linked to a user account when the user accepts the invitation by going through SAML SSO.
 *
 * The returned list of external identities can include an entry for a `null` user. These are unlinked SAML identities that are created when a user goes through the following Single Sign-On (SSO) process but does not sign in to their GitHub account after completing SSO:
 *
 * 1. The user is granted access by the IdP and is not a member of the GitHub enterprise.
 *
 * 1. The user attempts to access the GitHub enterprise and initiates the SAML SSO process, and is not currently signed in to their GitHub account.
 *
 * 1. After successfully authenticating with the SAML SSO IdP, the `null` external identity entry is created and the user is prompted to sign in to their GitHub account:
 *    - If the user signs in, their GitHub account is linked to this entry.
 *    - If the user does not sign in (or does not create a new account when prompted), they are not added to the GitHub enterprise, and the external identity `null` entry remains in place.
 */
export const useEnterpriseAdminListProvisionedIdentitiesEnterprise = <
  TData = Schemas.ScimUserListEnterprise
>(
  variables: EnterpriseAdminListProvisionedIdentitiesEnterpriseVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.ScimUserListEnterprise,
      EnterpriseAdminListProvisionedIdentitiesEnterpriseError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.ScimUserListEnterprise,
    EnterpriseAdminListProvisionedIdentitiesEnterpriseError,
    TData
  >(
    queryKeyFn({
      path: "/scim/v2/enterprises/{enterprise}/Users",
      operationId: "enterpriseAdminListProvisionedIdentitiesEnterprise",
      variables,
    }),
    () =>
      fetchEnterpriseAdminListProvisionedIdentitiesEnterprise({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type EnterpriseAdminProvisionAndInviteEnterpriseUserPathParams = {
  /*
   * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
   */
  enterprise: string;
};

export type EnterpriseAdminProvisionAndInviteEnterpriseUserError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminProvisionAndInviteEnterpriseUserRequestBody = {
  /*
   * List of user emails.
   */
  emails: {
    /*
     * Whether this email address is the primary address.
     */
    primary: boolean;
    /*
     * The type of email address.
     */
    type: string;
    /*
     * The email address.
     */
    value: string;
  }[];
  /*
   * List of SCIM group IDs the user is a member of.
   */
  groups?: {
    value?: string;
  }[];
  name: {
    /*
     * The last name of the user.
     */
    familyName: string;
    /*
     * The first name of the user.
     */
    givenName: string;
  };
  /*
   * The SCIM schema URIs.
   */
  schemas: string[];
  /*
   * The username for the user.
   */
  userName: string;
};

export type EnterpriseAdminProvisionAndInviteEnterpriseUserVariables = {
  body: EnterpriseAdminProvisionAndInviteEnterpriseUserRequestBody;
  pathParams: EnterpriseAdminProvisionAndInviteEnterpriseUserPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Note:** The SCIM API endpoints for enterprise accounts are currently in beta and are subject to change.
 *
 * Provision enterprise membership for a user, and send organization invitation emails to the email address.
 *
 * You can optionally include the groups a user will be invited to join. If you do not provide a list of `groups`, the user is provisioned for the enterprise, but no organization invitation emails will be sent.
 */
export const fetchEnterpriseAdminProvisionAndInviteEnterpriseUser = (
  variables: EnterpriseAdminProvisionAndInviteEnterpriseUserVariables
) =>
  githubFetch<
    Schemas.ScimEnterpriseUser,
    EnterpriseAdminProvisionAndInviteEnterpriseUserError,
    EnterpriseAdminProvisionAndInviteEnterpriseUserRequestBody,
    {},
    {},
    EnterpriseAdminProvisionAndInviteEnterpriseUserPathParams
  >({
    url: "/scim/v2/enterprises/{enterprise}/Users",
    method: "post",
    ...variables,
  });

/**
 * **Note:** The SCIM API endpoints for enterprise accounts are currently in beta and are subject to change.
 *
 * Provision enterprise membership for a user, and send organization invitation emails to the email address.
 *
 * You can optionally include the groups a user will be invited to join. If you do not provide a list of `groups`, the user is provisioned for the enterprise, but no organization invitation emails will be sent.
 */
export const useEnterpriseAdminProvisionAndInviteEnterpriseUser = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.ScimEnterpriseUser,
      EnterpriseAdminProvisionAndInviteEnterpriseUserError,
      EnterpriseAdminProvisionAndInviteEnterpriseUserVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.ScimEnterpriseUser,
    EnterpriseAdminProvisionAndInviteEnterpriseUserError,
    EnterpriseAdminProvisionAndInviteEnterpriseUserVariables
  >(
    (variables: EnterpriseAdminProvisionAndInviteEnterpriseUserVariables) =>
      fetchEnterpriseAdminProvisionAndInviteEnterpriseUser({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type EnterpriseAdminDeleteUserFromEnterprisePathParams = {
  /*
   * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
   */
  enterprise: string;
  /*
   * scim_user_id parameter
   */
  scimUserId: string;
};

export type EnterpriseAdminDeleteUserFromEnterpriseError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminDeleteUserFromEnterpriseVariables = {
  pathParams: EnterpriseAdminDeleteUserFromEnterprisePathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Note:** The SCIM API endpoints for enterprise accounts are currently in beta and are subject to change.
 */
export const fetchEnterpriseAdminDeleteUserFromEnterprise = (
  variables: EnterpriseAdminDeleteUserFromEnterpriseVariables
) =>
  githubFetch<
    undefined,
    EnterpriseAdminDeleteUserFromEnterpriseError,
    undefined,
    {},
    {},
    EnterpriseAdminDeleteUserFromEnterprisePathParams
  >({
    url: "/scim/v2/enterprises/{enterprise}/Users/{scimUserId}",
    method: "delete",
    ...variables,
  });

/**
 * **Note:** The SCIM API endpoints for enterprise accounts are currently in beta and are subject to change.
 */
export const useEnterpriseAdminDeleteUserFromEnterprise = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      EnterpriseAdminDeleteUserFromEnterpriseError,
      EnterpriseAdminDeleteUserFromEnterpriseVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    EnterpriseAdminDeleteUserFromEnterpriseError,
    EnterpriseAdminDeleteUserFromEnterpriseVariables
  >(
    (variables: EnterpriseAdminDeleteUserFromEnterpriseVariables) =>
      fetchEnterpriseAdminDeleteUserFromEnterprise({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type EnterpriseAdminGetProvisioningInformationForEnterpriseUserPathParams =
  {
    /*
     * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
     */
    enterprise: string;
    /*
     * scim_user_id parameter
     */
    scimUserId: string;
  };

export type EnterpriseAdminGetProvisioningInformationForEnterpriseUserError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminGetProvisioningInformationForEnterpriseUserVariables =
  {
    pathParams: EnterpriseAdminGetProvisioningInformationForEnterpriseUserPathParams;
  } & GithubContext["fetcherOptions"];

/**
 * **Note:** The SCIM API endpoints for enterprise accounts are currently in beta and are subject to change.
 */
export const fetchEnterpriseAdminGetProvisioningInformationForEnterpriseUser = (
  variables: EnterpriseAdminGetProvisioningInformationForEnterpriseUserVariables
) =>
  githubFetch<
    Schemas.ScimEnterpriseUser,
    EnterpriseAdminGetProvisioningInformationForEnterpriseUserError,
    undefined,
    {},
    {},
    EnterpriseAdminGetProvisioningInformationForEnterpriseUserPathParams
  >({
    url: "/scim/v2/enterprises/{enterprise}/Users/{scimUserId}",
    method: "get",
    ...variables,
  });

/**
 * **Note:** The SCIM API endpoints for enterprise accounts are currently in beta and are subject to change.
 */
export const useEnterpriseAdminGetProvisioningInformationForEnterpriseUser = <
  TData = Schemas.ScimEnterpriseUser
>(
  variables: EnterpriseAdminGetProvisioningInformationForEnterpriseUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.ScimEnterpriseUser,
      EnterpriseAdminGetProvisioningInformationForEnterpriseUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.ScimEnterpriseUser,
    EnterpriseAdminGetProvisioningInformationForEnterpriseUserError,
    TData
  >(
    queryKeyFn({
      path: "/scim/v2/enterprises/{enterprise}/Users/{scim_user_id}",
      operationId: "enterpriseAdminGetProvisioningInformationForEnterpriseUser",
      variables,
    }),
    () =>
      fetchEnterpriseAdminGetProvisioningInformationForEnterpriseUser({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type EnterpriseAdminUpdateAttributeForEnterpriseUserPathParams = {
  /*
   * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
   */
  enterprise: string;
  /*
   * scim_user_id parameter
   */
  scimUserId: string;
};

export type EnterpriseAdminUpdateAttributeForEnterpriseUserError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminUpdateAttributeForEnterpriseUserRequestBody = {
  /*
   * Array of [SCIM operations](https://tools.ietf.org/html/rfc7644#section-3.5.2).
   */
  Operations: Record<string, any>[];
  /*
   * The SCIM schema URIs.
   */
  schemas: string[];
};

export type EnterpriseAdminUpdateAttributeForEnterpriseUserVariables = {
  body: EnterpriseAdminUpdateAttributeForEnterpriseUserRequestBody;
  pathParams: EnterpriseAdminUpdateAttributeForEnterpriseUserPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Note:** The SCIM API endpoints for enterprise accounts are currently in beta and are subject to change.
 *
 * Allows you to change a provisioned user's individual attributes. To change a user's values, you must provide a specific `Operations` JSON format that contains at least one of the `add`, `remove`, or `replace` operations. For examples and more information on the SCIM operations format, see the [SCIM specification](https://tools.ietf.org/html/rfc7644#section-3.5.2).
 *
 * **Note:** Complicated SCIM `path` selectors that include filters are not supported. For example, a `path` selector defined as `"path": "emails[type eq \"work\"]"` will not work.
 *
 * **Warning:** If you set `active:false` using the `replace` operation (as shown in the JSON example below), it removes the user from the enterprise, deletes the external identity, and deletes the associated `:scim_user_id`.
 *
 * ```
 * {
 *   "Operations":[{
 *     "op":"replace",
 *     "value":{
 *       "active":false
 *     }
 *   }]
 * }
 * ```
 */
export const fetchEnterpriseAdminUpdateAttributeForEnterpriseUser = (
  variables: EnterpriseAdminUpdateAttributeForEnterpriseUserVariables
) =>
  githubFetch<
    Schemas.ScimEnterpriseUser,
    EnterpriseAdminUpdateAttributeForEnterpriseUserError,
    EnterpriseAdminUpdateAttributeForEnterpriseUserRequestBody,
    {},
    {},
    EnterpriseAdminUpdateAttributeForEnterpriseUserPathParams
  >({
    url: "/scim/v2/enterprises/{enterprise}/Users/{scimUserId}",
    method: "patch",
    ...variables,
  });

/**
 * **Note:** The SCIM API endpoints for enterprise accounts are currently in beta and are subject to change.
 *
 * Allows you to change a provisioned user's individual attributes. To change a user's values, you must provide a specific `Operations` JSON format that contains at least one of the `add`, `remove`, or `replace` operations. For examples and more information on the SCIM operations format, see the [SCIM specification](https://tools.ietf.org/html/rfc7644#section-3.5.2).
 *
 * **Note:** Complicated SCIM `path` selectors that include filters are not supported. For example, a `path` selector defined as `"path": "emails[type eq \"work\"]"` will not work.
 *
 * **Warning:** If you set `active:false` using the `replace` operation (as shown in the JSON example below), it removes the user from the enterprise, deletes the external identity, and deletes the associated `:scim_user_id`.
 *
 * ```
 * {
 *   "Operations":[{
 *     "op":"replace",
 *     "value":{
 *       "active":false
 *     }
 *   }]
 * }
 * ```
 */
export const useEnterpriseAdminUpdateAttributeForEnterpriseUser = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.ScimEnterpriseUser,
      EnterpriseAdminUpdateAttributeForEnterpriseUserError,
      EnterpriseAdminUpdateAttributeForEnterpriseUserVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.ScimEnterpriseUser,
    EnterpriseAdminUpdateAttributeForEnterpriseUserError,
    EnterpriseAdminUpdateAttributeForEnterpriseUserVariables
  >(
    (variables: EnterpriseAdminUpdateAttributeForEnterpriseUserVariables) =>
      fetchEnterpriseAdminUpdateAttributeForEnterpriseUser({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type EnterpriseAdminSetInformationForProvisionedEnterpriseUserPathParams =
  {
    /*
     * The slug version of the enterprise name. You can also substitute this value with the enterprise id.
     */
    enterprise: string;
    /*
     * scim_user_id parameter
     */
    scimUserId: string;
  };

export type EnterpriseAdminSetInformationForProvisionedEnterpriseUserError =
  Fetcher.ErrorWrapper<undefined>;

export type EnterpriseAdminSetInformationForProvisionedEnterpriseUserRequestBody =
  {
    /*
     * List of user emails.
     */
    emails: {
      /*
       * Whether this email address is the primary address.
       */
      primary: boolean;
      /*
       * The type of email address.
       */
      type: string;
      /*
       * The email address.
       */
      value: string;
    }[];
    /*
     * List of SCIM group IDs the user is a member of.
     */
    groups?: {
      value?: string;
    }[];
    name: {
      /*
       * The last name of the user.
       */
      familyName: string;
      /*
       * The first name of the user.
       */
      givenName: string;
    };
    /*
     * The SCIM schema URIs.
     */
    schemas: string[];
    /*
     * The username for the user.
     */
    userName: string;
  };

export type EnterpriseAdminSetInformationForProvisionedEnterpriseUserVariables =
  {
    body: EnterpriseAdminSetInformationForProvisionedEnterpriseUserRequestBody;
    pathParams: EnterpriseAdminSetInformationForProvisionedEnterpriseUserPathParams;
  } & GithubContext["fetcherOptions"];

/**
 * **Note:** The SCIM API endpoints for enterprise accounts are currently in beta and are subject to change.
 *
 * Replaces an existing provisioned user's information. You must provide all the information required for the user as if you were provisioning them for the first time. Any existing user information that you don't provide will be removed. If you want to only update a specific attribute, use the [Update an attribute for a SCIM user](#update-an-attribute-for-an-enterprise-scim-user) endpoint instead.
 *
 * You must at least provide the required values for the user: `userName`, `name`, and `emails`.
 *
 * **Warning:** Setting `active: false` removes the user from the enterprise, deletes the external identity, and deletes the associated `{scim_user_id}`.
 */
export const fetchEnterpriseAdminSetInformationForProvisionedEnterpriseUser = (
  variables: EnterpriseAdminSetInformationForProvisionedEnterpriseUserVariables
) =>
  githubFetch<
    Schemas.ScimEnterpriseUser,
    EnterpriseAdminSetInformationForProvisionedEnterpriseUserError,
    EnterpriseAdminSetInformationForProvisionedEnterpriseUserRequestBody,
    {},
    {},
    EnterpriseAdminSetInformationForProvisionedEnterpriseUserPathParams
  >({
    url: "/scim/v2/enterprises/{enterprise}/Users/{scimUserId}",
    method: "put",
    ...variables,
  });

/**
 * **Note:** The SCIM API endpoints for enterprise accounts are currently in beta and are subject to change.
 *
 * Replaces an existing provisioned user's information. You must provide all the information required for the user as if you were provisioning them for the first time. Any existing user information that you don't provide will be removed. If you want to only update a specific attribute, use the [Update an attribute for a SCIM user](#update-an-attribute-for-an-enterprise-scim-user) endpoint instead.
 *
 * You must at least provide the required values for the user: `userName`, `name`, and `emails`.
 *
 * **Warning:** Setting `active: false` removes the user from the enterprise, deletes the external identity, and deletes the associated `{scim_user_id}`.
 */
export const useEnterpriseAdminSetInformationForProvisionedEnterpriseUser = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.ScimEnterpriseUser,
      EnterpriseAdminSetInformationForProvisionedEnterpriseUserError,
      EnterpriseAdminSetInformationForProvisionedEnterpriseUserVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.ScimEnterpriseUser,
    EnterpriseAdminSetInformationForProvisionedEnterpriseUserError,
    EnterpriseAdminSetInformationForProvisionedEnterpriseUserVariables
  >(
    (
      variables: EnterpriseAdminSetInformationForProvisionedEnterpriseUserVariables
    ) =>
      fetchEnterpriseAdminSetInformationForProvisionedEnterpriseUser({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ScimListProvisionedIdentitiesPathParams = {
  org: string;
};

export type ScimListProvisionedIdentitiesQueryParams = {
  /*
   * Used for pagination: the index of the first result to return.
   */
  startIndex?: number;
  /*
   * Used for pagination: the number of results to return.
   */
  count?: number;
  /*
   * Filters results using the equals query parameter operator (`eq`). You can filter results that are equal to `id`, `userName`, `emails`, and `external_id`. For example, to search for an identity with the `userName` Octocat, you would use this query:
   *
   * `?filter=userName%20eq%20\"Octocat\"`.
   *
   * To filter results for the identity with the email `octocat@github.com`, you would use this query:
   *
   * `?filter=emails%20eq%20\"octocat@github.com\"`.
   */
  filter?: string;
};

export type ScimListProvisionedIdentitiesError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 400;
      payload: Responses.ScimBadRequest;
    }
  | {
      status: 403;
      payload: Responses.ScimForbidden;
    }
  | {
      status: 404;
      payload: Responses.ScimNotFound;
    }
>;

export type ScimListProvisionedIdentitiesVariables = {
  pathParams: ScimListProvisionedIdentitiesPathParams;
  queryParams?: ScimListProvisionedIdentitiesQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Retrieves a paginated list of all provisioned organization members, including pending invitations. If you provide the `filter` parameter, the resources for all matching provisions members are returned.
 *
 * When a user with a SAML-provisioned external identity leaves (or is removed from) an organization, the account's metadata is immediately removed. However, the returned list of user accounts might not always match the organization or enterprise member list you see on GitHub. This can happen in certain cases where an external identity associated with an organization will not match an organization member:
 *   - When a user with a SCIM-provisioned external identity is removed from an organization, the account's metadata is preserved to allow the user to re-join the organization in the future.
 *   - When inviting a user to join an organization, you can expect to see their external identity in the results before they accept the invitation, or if the invitation is cancelled (or never accepted).
 *   - When a user is invited over SCIM, an external identity is created that matches with the invitee's email address. However, this identity is only linked to a user account when the user accepts the invitation by going through SAML SSO.
 *
 * The returned list of external identities can include an entry for a `null` user. These are unlinked SAML identities that are created when a user goes through the following Single Sign-On (SSO) process but does not sign in to their GitHub account after completing SSO:
 *
 * 1. The user is granted access by the IdP and is not a member of the GitHub organization.
 *
 * 1. The user attempts to access the GitHub organization and initiates the SAML SSO process, and is not currently signed in to their GitHub account.
 *
 * 1. After successfully authenticating with the SAML SSO IdP, the `null` external identity entry is created and the user is prompted to sign in to their GitHub account:
 *    - If the user signs in, their GitHub account is linked to this entry.
 *    - If the user does not sign in (or does not create a new account when prompted), they are not added to the GitHub organization, and the external identity `null` entry remains in place.
 */
export const fetchScimListProvisionedIdentities = (
  variables: ScimListProvisionedIdentitiesVariables
) =>
  githubFetch<
    undefined,
    ScimListProvisionedIdentitiesError,
    undefined,
    {},
    ScimListProvisionedIdentitiesQueryParams,
    ScimListProvisionedIdentitiesPathParams
  >({ url: "/scim/v2/organizations/{org}/Users", method: "get", ...variables });

/**
 * Retrieves a paginated list of all provisioned organization members, including pending invitations. If you provide the `filter` parameter, the resources for all matching provisions members are returned.
 *
 * When a user with a SAML-provisioned external identity leaves (or is removed from) an organization, the account's metadata is immediately removed. However, the returned list of user accounts might not always match the organization or enterprise member list you see on GitHub. This can happen in certain cases where an external identity associated with an organization will not match an organization member:
 *   - When a user with a SCIM-provisioned external identity is removed from an organization, the account's metadata is preserved to allow the user to re-join the organization in the future.
 *   - When inviting a user to join an organization, you can expect to see their external identity in the results before they accept the invitation, or if the invitation is cancelled (or never accepted).
 *   - When a user is invited over SCIM, an external identity is created that matches with the invitee's email address. However, this identity is only linked to a user account when the user accepts the invitation by going through SAML SSO.
 *
 * The returned list of external identities can include an entry for a `null` user. These are unlinked SAML identities that are created when a user goes through the following Single Sign-On (SSO) process but does not sign in to their GitHub account after completing SSO:
 *
 * 1. The user is granted access by the IdP and is not a member of the GitHub organization.
 *
 * 1. The user attempts to access the GitHub organization and initiates the SAML SSO process, and is not currently signed in to their GitHub account.
 *
 * 1. After successfully authenticating with the SAML SSO IdP, the `null` external identity entry is created and the user is prompted to sign in to their GitHub account:
 *    - If the user signs in, their GitHub account is linked to this entry.
 *    - If the user does not sign in (or does not create a new account when prompted), they are not added to the GitHub organization, and the external identity `null` entry remains in place.
 */
export const useScimListProvisionedIdentities = <TData = undefined>(
  variables: ScimListProvisionedIdentitiesVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      undefined,
      ScimListProvisionedIdentitiesError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    undefined,
    ScimListProvisionedIdentitiesError,
    TData
  >(
    queryKeyFn({
      path: "/scim/v2/organizations/{org}/Users",
      operationId: "scimListProvisionedIdentities",
      variables,
    }),
    () =>
      fetchScimListProvisionedIdentities({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ScimProvisionAndInviteUserPathParams = {
  org: string;
};

export type ScimProvisionAndInviteUserError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 400;
      payload: Responses.ScimBadRequest;
    }
  | {
      status: 403;
      payload: Responses.ScimForbidden;
    }
  | {
      status: 404;
      payload: Responses.ScimNotFound;
    }
  | {
      status: 409;
      payload: Responses.ScimConflict;
    }
  | {
      status: 500;
      payload: Responses.ScimInternalError;
    }
>;

export type ScimProvisionAndInviteUserRequestBody = {
  active?: boolean;
  /*
   * The name of the user, suitable for display to end-users
   *
   * @example Jon Doe
   */
  displayName?: string;
  /*
   * user emails
   *
   * @example {"primary":true,"value":"someone@example.com"}
   * @example {"primary":false,"value":"another@example.com"}
   * @minItems 1
   */
  emails: {
    primary?: boolean;
    type?: string;
    value: string;
  }[];
  externalId?: string;
  groups?: string[];
  /*
   * @example {"familyName":"User","givenName":"Jane"}
   */
  name: {
    familyName: string;
    formatted?: string;
    givenName: string;
  };
  schemas?: string[];
  /*
   * Configured by the admin. Could be an email, login, or username
   *
   * @example someone@example.com
   */
  userName: string;
};

export type ScimProvisionAndInviteUserVariables = {
  body: ScimProvisionAndInviteUserRequestBody;
  pathParams: ScimProvisionAndInviteUserPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Provision organization membership for a user, and send an activation email to the email address.
 */
export const fetchScimProvisionAndInviteUser = (
  variables: ScimProvisionAndInviteUserVariables
) =>
  githubFetch<
    undefined,
    ScimProvisionAndInviteUserError,
    ScimProvisionAndInviteUserRequestBody,
    {},
    {},
    ScimProvisionAndInviteUserPathParams
  >({
    url: "/scim/v2/organizations/{org}/Users",
    method: "post",
    ...variables,
  });

/**
 * Provision organization membership for a user, and send an activation email to the email address.
 */
export const useScimProvisionAndInviteUser = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ScimProvisionAndInviteUserError,
      ScimProvisionAndInviteUserVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ScimProvisionAndInviteUserError,
    ScimProvisionAndInviteUserVariables
  >(
    (variables: ScimProvisionAndInviteUserVariables) =>
      fetchScimProvisionAndInviteUser({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ScimDeleteUserFromOrgPathParams = {
  org: string;
  /*
   * scim_user_id parameter
   */
  scimUserId: string;
};

export type ScimDeleteUserFromOrgError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 403;
      payload: Responses.ScimForbidden;
    }
  | {
      status: 404;
      payload: Responses.ScimNotFound;
    }
>;

export type ScimDeleteUserFromOrgVariables = {
  pathParams: ScimDeleteUserFromOrgPathParams;
} & GithubContext["fetcherOptions"];

export const fetchScimDeleteUserFromOrg = (
  variables: ScimDeleteUserFromOrgVariables
) =>
  githubFetch<
    undefined,
    ScimDeleteUserFromOrgError,
    undefined,
    {},
    {},
    ScimDeleteUserFromOrgPathParams
  >({
    url: "/scim/v2/organizations/{org}/Users/{scimUserId}",
    method: "delete",
    ...variables,
  });

export const useScimDeleteUserFromOrg = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ScimDeleteUserFromOrgError,
      ScimDeleteUserFromOrgVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ScimDeleteUserFromOrgError,
    ScimDeleteUserFromOrgVariables
  >(
    (variables: ScimDeleteUserFromOrgVariables) =>
      fetchScimDeleteUserFromOrg({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ScimGetProvisioningInformationForUserPathParams = {
  org: string;
  /*
   * scim_user_id parameter
   */
  scimUserId: string;
};

export type ScimGetProvisioningInformationForUserError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 403;
      payload: Responses.ScimForbidden;
    }
  | {
      status: 404;
      payload: Responses.ScimNotFound;
    }
>;

export type ScimGetProvisioningInformationForUserVariables = {
  pathParams: ScimGetProvisioningInformationForUserPathParams;
} & GithubContext["fetcherOptions"];

export const fetchScimGetProvisioningInformationForUser = (
  variables: ScimGetProvisioningInformationForUserVariables
) =>
  githubFetch<
    undefined,
    ScimGetProvisioningInformationForUserError,
    undefined,
    {},
    {},
    ScimGetProvisioningInformationForUserPathParams
  >({
    url: "/scim/v2/organizations/{org}/Users/{scimUserId}",
    method: "get",
    ...variables,
  });

export const useScimGetProvisioningInformationForUser = <TData = undefined>(
  variables: ScimGetProvisioningInformationForUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      undefined,
      ScimGetProvisioningInformationForUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    undefined,
    ScimGetProvisioningInformationForUserError,
    TData
  >(
    queryKeyFn({
      path: "/scim/v2/organizations/{org}/Users/{scim_user_id}",
      operationId: "scimGetProvisioningInformationForUser",
      variables,
    }),
    () =>
      fetchScimGetProvisioningInformationForUser({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ScimUpdateAttributeForUserPathParams = {
  org: string;
  /*
   * scim_user_id parameter
   */
  scimUserId: string;
};

export type ScimUpdateAttributeForUserError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 400;
      payload: Responses.ScimBadRequest;
    }
  | {
      status: 403;
      payload: Responses.ScimForbidden;
    }
  | {
      status: 404;
      payload: Responses.ScimNotFound;
    }
  | {
      status: 429;
      payload: Schemas.BasicError;
    }
>;

export type ScimUpdateAttributeForUserRequestBody = {
  /*
   * Set of operations to be performed
   *
   * @example {"op":"replace","value":{"active":false}}
   * @minItems 1
   */
  Operations: {
    op: "add" | "remove" | "replace";
    path?: string;
    value?:
      | {
          active?: boolean | null;
          externalId?: string | null;
          familyName?: string | null;
          givenName?: string | null;
          userName?: string | null;
        }
      | {
          primary?: boolean;
          value?: string;
        }[]
      | string;
  }[];
  schemas?: string[];
};

export type ScimUpdateAttributeForUserVariables = {
  body: ScimUpdateAttributeForUserRequestBody;
  pathParams: ScimUpdateAttributeForUserPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Allows you to change a provisioned user's individual attributes. To change a user's values, you must provide a specific `Operations` JSON format that contains at least one of the `add`, `remove`, or `replace` operations. For examples and more information on the SCIM operations format, see the [SCIM specification](https://tools.ietf.org/html/rfc7644#section-3.5.2).
 *
 * **Note:** Complicated SCIM `path` selectors that include filters are not supported. For example, a `path` selector defined as `"path": "emails[type eq \"work\"]"` will not work.
 *
 * **Warning:** If you set `active:false` using the `replace` operation (as shown in the JSON example below), it removes the user from the organization, deletes the external identity, and deletes the associated `:scim_user_id`.
 *
 * ```
 * {
 *   "Operations":[{
 *     "op":"replace",
 *     "value":{
 *       "active":false
 *     }
 *   }]
 * }
 * ```
 */
export const fetchScimUpdateAttributeForUser = (
  variables: ScimUpdateAttributeForUserVariables
) =>
  githubFetch<
    undefined,
    ScimUpdateAttributeForUserError,
    ScimUpdateAttributeForUserRequestBody,
    {},
    {},
    ScimUpdateAttributeForUserPathParams
  >({
    url: "/scim/v2/organizations/{org}/Users/{scimUserId}",
    method: "patch",
    ...variables,
  });

/**
 * Allows you to change a provisioned user's individual attributes. To change a user's values, you must provide a specific `Operations` JSON format that contains at least one of the `add`, `remove`, or `replace` operations. For examples and more information on the SCIM operations format, see the [SCIM specification](https://tools.ietf.org/html/rfc7644#section-3.5.2).
 *
 * **Note:** Complicated SCIM `path` selectors that include filters are not supported. For example, a `path` selector defined as `"path": "emails[type eq \"work\"]"` will not work.
 *
 * **Warning:** If you set `active:false` using the `replace` operation (as shown in the JSON example below), it removes the user from the organization, deletes the external identity, and deletes the associated `:scim_user_id`.
 *
 * ```
 * {
 *   "Operations":[{
 *     "op":"replace",
 *     "value":{
 *       "active":false
 *     }
 *   }]
 * }
 * ```
 */
export const useScimUpdateAttributeForUser = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ScimUpdateAttributeForUserError,
      ScimUpdateAttributeForUserVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ScimUpdateAttributeForUserError,
    ScimUpdateAttributeForUserVariables
  >(
    (variables: ScimUpdateAttributeForUserVariables) =>
      fetchScimUpdateAttributeForUser({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ScimSetInformationForProvisionedUserPathParams = {
  org: string;
  /*
   * scim_user_id parameter
   */
  scimUserId: string;
};

export type ScimSetInformationForProvisionedUserError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 403;
      payload: Responses.ScimForbidden;
    }
  | {
      status: 404;
      payload: Responses.ScimNotFound;
    }
>;

export type ScimSetInformationForProvisionedUserRequestBody = {
  active?: boolean;
  /*
   * The name of the user, suitable for display to end-users
   *
   * @example Jon Doe
   */
  displayName?: string;
  /*
   * user emails
   *
   * @example {"primary":true,"value":"someone@example.com"}
   * @example {"primary":false,"value":"another@example.com"}
   * @minItems 1
   */
  emails: {
    primary?: boolean;
    type?: string;
    value: string;
  }[];
  externalId?: string;
  groups?: string[];
  /*
   * @example {"familyName":"User","givenName":"Jane"}
   */
  name: {
    familyName: string;
    formatted?: string;
    givenName: string;
  };
  schemas?: string[];
  /*
   * Configured by the admin. Could be an email, login, or username
   *
   * @example someone@example.com
   */
  userName: string;
};

export type ScimSetInformationForProvisionedUserVariables = {
  body: ScimSetInformationForProvisionedUserRequestBody;
  pathParams: ScimSetInformationForProvisionedUserPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Replaces an existing provisioned user's information. You must provide all the information required for the user as if you were provisioning them for the first time. Any existing user information that you don't provide will be removed. If you want to only update a specific attribute, use the [Update an attribute for a SCIM user](https://docs.github.com/rest/reference/scim#update-an-attribute-for-a-scim-user) endpoint instead.
 *
 * You must at least provide the required values for the user: `userName`, `name`, and `emails`.
 *
 * **Warning:** Setting `active: false` removes the user from the organization, deletes the external identity, and deletes the associated `{scim_user_id}`.
 */
export const fetchScimSetInformationForProvisionedUser = (
  variables: ScimSetInformationForProvisionedUserVariables
) =>
  githubFetch<
    undefined,
    ScimSetInformationForProvisionedUserError,
    ScimSetInformationForProvisionedUserRequestBody,
    {},
    {},
    ScimSetInformationForProvisionedUserPathParams
  >({
    url: "/scim/v2/organizations/{org}/Users/{scimUserId}",
    method: "put",
    ...variables,
  });

/**
 * Replaces an existing provisioned user's information. You must provide all the information required for the user as if you were provisioning them for the first time. Any existing user information that you don't provide will be removed. If you want to only update a specific attribute, use the [Update an attribute for a SCIM user](https://docs.github.com/rest/reference/scim#update-an-attribute-for-a-scim-user) endpoint instead.
 *
 * You must at least provide the required values for the user: `userName`, `name`, and `emails`.
 *
 * **Warning:** Setting `active: false` removes the user from the organization, deletes the external identity, and deletes the associated `{scim_user_id}`.
 */
export const useScimSetInformationForProvisionedUser = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ScimSetInformationForProvisionedUserError,
      ScimSetInformationForProvisionedUserVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ScimSetInformationForProvisionedUserError,
    ScimSetInformationForProvisionedUserVariables
  >(
    (variables: ScimSetInformationForProvisionedUserVariables) =>
      fetchScimSetInformationForProvisionedUser({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type SearchCodeQueryParams = {
  /*
   * The query contains one or more search keywords and qualifiers. Qualifiers allow you to limit your search to specific areas of GitHub. The REST API supports the same qualifiers as GitHub.com. To learn more about the format of the query, see [Constructing a search query](https://docs.github.com/rest/reference/search#constructing-a-search-query). See "[Searching code](https://help.github.com/articles/searching-code/)" for a detailed list of qualifiers.
   */
  q: string;
  /*
   * Sorts the results of your query. Can only be `indexed`, which indicates how recently a file has been indexed by the GitHub search infrastructure. Default: [best match](https://docs.github.com/rest/reference/search#ranking-search-results)
   */
  sort?: "indexed";
  /*
   * Determines whether the first search result returned is the highest number of matches (`desc`) or lowest number of matches (`asc`). This parameter is ignored unless you provide `sort`.
   *
   * @default desc
   */
  order?: "desc" | "asc";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type SearchCodeError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
  | {
      status: 503;
      payload: Responses.ServiceUnavailable;
    }
>;

export type SearchCodeResponse = {
  incomplete_results: boolean;
  items: Schemas.CodeSearchResultItem[];
  total_count: number;
};

export type SearchCodeVariables = {
  queryParams: SearchCodeQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Searches for query terms inside of a file. This method returns up to 100 results [per page](https://docs.github.com/rest/overview/resources-in-the-rest-api#pagination).
 *
 * When searching for code, you can get text match metadata for the file **content** and file **path** fields when you pass the `text-match` media type. For more details about how to receive highlighted search results, see [Text match metadata](https://docs.github.com/rest/reference/search#text-match-metadata).
 *
 * For example, if you want to find the definition of the `addClass` function inside [jQuery](https://github.com/jquery/jquery) repository, your query would look something like this:
 *
 * `q=addClass+in:file+language:js+repo:jquery/jquery`
 *
 * This query searches for the keyword `addClass` within a file's contents. The query limits the search to files where the language is JavaScript in the `jquery/jquery` repository.
 *
 * #### Considerations for code search
 *
 * Due to the complexity of searching code, there are a few restrictions on how searches are performed:
 *
 * *   Only the _default branch_ is considered. In most cases, this will be the `master` branch.
 * *   Only files smaller than 384 KB are searchable.
 * *   You must always include at least one search term when searching source code. For example, searching for [`language:go`](https://github.com/search?utf8=%E2%9C%93&q=language%3Ago&type=Code) is not valid, while [`amazing
 * language:go`](https://github.com/search?utf8=%E2%9C%93&q=amazing+language%3Ago&type=Code) is.
 */
export const fetchSearchCode = (variables: SearchCodeVariables) =>
  githubFetch<
    SearchCodeResponse,
    SearchCodeError,
    undefined,
    {},
    SearchCodeQueryParams,
    {}
  >({ url: "/search/code", method: "get", ...variables });

/**
 * Searches for query terms inside of a file. This method returns up to 100 results [per page](https://docs.github.com/rest/overview/resources-in-the-rest-api#pagination).
 *
 * When searching for code, you can get text match metadata for the file **content** and file **path** fields when you pass the `text-match` media type. For more details about how to receive highlighted search results, see [Text match metadata](https://docs.github.com/rest/reference/search#text-match-metadata).
 *
 * For example, if you want to find the definition of the `addClass` function inside [jQuery](https://github.com/jquery/jquery) repository, your query would look something like this:
 *
 * `q=addClass+in:file+language:js+repo:jquery/jquery`
 *
 * This query searches for the keyword `addClass` within a file's contents. The query limits the search to files where the language is JavaScript in the `jquery/jquery` repository.
 *
 * #### Considerations for code search
 *
 * Due to the complexity of searching code, there are a few restrictions on how searches are performed:
 *
 * *   Only the _default branch_ is considered. In most cases, this will be the `master` branch.
 * *   Only files smaller than 384 KB are searchable.
 * *   You must always include at least one search term when searching source code. For example, searching for [`language:go`](https://github.com/search?utf8=%E2%9C%93&q=language%3Ago&type=Code) is not valid, while [`amazing
 * language:go`](https://github.com/search?utf8=%E2%9C%93&q=amazing+language%3Ago&type=Code) is.
 */
export const useSearchCode = <TData = SearchCodeResponse>(
  variables: SearchCodeVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<SearchCodeResponse, SearchCodeError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<SearchCodeResponse, SearchCodeError, TData>(
    queryKeyFn({ path: "/search/code", operationId: "searchCode", variables }),
    () => fetchSearchCode({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type SearchCommitsQueryParams = {
  /*
   * The query contains one or more search keywords and qualifiers. Qualifiers allow you to limit your search to specific areas of GitHub. The REST API supports the same qualifiers as GitHub.com. To learn more about the format of the query, see [Constructing a search query](https://docs.github.com/rest/reference/search#constructing-a-search-query). See "[Searching commits](https://help.github.com/articles/searching-commits/)" for a detailed list of qualifiers.
   */
  q: string;
  /*
   * Sorts the results of your query by `author-date` or `committer-date`. Default: [best match](https://docs.github.com/rest/reference/search#ranking-search-results)
   */
  sort?: "author-date" | "committer-date";
  /*
   * Determines whether the first search result returned is the highest number of matches (`desc`) or lowest number of matches (`asc`). This parameter is ignored unless you provide `sort`.
   *
   * @default desc
   */
  order?: "desc" | "asc";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type SearchCommitsError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 415;
      payload: Responses.PreviewHeaderMissing;
    }
>;

export type SearchCommitsResponse = {
  incomplete_results: boolean;
  items: Schemas.CommitSearchResultItem[];
  total_count: number;
};

export type SearchCommitsVariables = {
  queryParams: SearchCommitsQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Find commits via various criteria on the default branch (usually `master`). This method returns up to 100 results [per page](https://docs.github.com/rest/overview/resources-in-the-rest-api#pagination).
 *
 * When searching for commits, you can get text match metadata for the **message** field when you provide the `text-match` media type. For more details about how to receive highlighted search results, see [Text match
 * metadata](https://docs.github.com/rest/reference/search#text-match-metadata).
 *
 * For example, if you want to find commits related to CSS in the [octocat/Spoon-Knife](https://github.com/octocat/Spoon-Knife) repository. Your query would look something like this:
 *
 * `q=repo:octocat/Spoon-Knife+css`
 */
export const fetchSearchCommits = (variables: SearchCommitsVariables) =>
  githubFetch<
    SearchCommitsResponse,
    SearchCommitsError,
    undefined,
    {},
    SearchCommitsQueryParams,
    {}
  >({ url: "/search/commits", method: "get", ...variables });

/**
 * Find commits via various criteria on the default branch (usually `master`). This method returns up to 100 results [per page](https://docs.github.com/rest/overview/resources-in-the-rest-api#pagination).
 *
 * When searching for commits, you can get text match metadata for the **message** field when you provide the `text-match` media type. For more details about how to receive highlighted search results, see [Text match
 * metadata](https://docs.github.com/rest/reference/search#text-match-metadata).
 *
 * For example, if you want to find commits related to CSS in the [octocat/Spoon-Knife](https://github.com/octocat/Spoon-Knife) repository. Your query would look something like this:
 *
 * `q=repo:octocat/Spoon-Knife+css`
 */
export const useSearchCommits = <TData = SearchCommitsResponse>(
  variables: SearchCommitsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      SearchCommitsResponse,
      SearchCommitsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<SearchCommitsResponse, SearchCommitsError, TData>(
    queryKeyFn({
      path: "/search/commits",
      operationId: "searchCommits",
      variables,
    }),
    () => fetchSearchCommits({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type SearchIssuesAndPullRequestsQueryParams = {
  /*
   * The query contains one or more search keywords and qualifiers. Qualifiers allow you to limit your search to specific areas of GitHub. The REST API supports the same qualifiers as GitHub.com. To learn more about the format of the query, see [Constructing a search query](https://docs.github.com/rest/reference/search#constructing-a-search-query). See "[Searching issues and pull requests](https://help.github.com/articles/searching-issues-and-pull-requests/)" for a detailed list of qualifiers.
   */
  q: string;
  /*
   * Sorts the results of your query by the number of `comments`, `reactions`, `reactions-+1`, `reactions--1`, `reactions-smile`, `reactions-thinking_face`, `reactions-heart`, `reactions-tada`, or `interactions`. You can also sort results by how recently the items were `created` or `updated`, Default: [best match](https://docs.github.com/rest/reference/search#ranking-search-results)
   */
  sort?:
    | "comments"
    | "reactions"
    | "reactions-+1"
    | "reactions--1"
    | "reactions-smile"
    | "reactions-thinking_face"
    | "reactions-heart"
    | "reactions-tada"
    | "interactions"
    | "created"
    | "updated";
  /*
   * Determines whether the first search result returned is the highest number of matches (`desc`) or lowest number of matches (`asc`). This parameter is ignored unless you provide `sort`.
   *
   * @default desc
   */
  order?: "desc" | "asc";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type SearchIssuesAndPullRequestsError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
  | {
      status: 503;
      payload: Responses.ServiceUnavailable;
    }
>;

export type SearchIssuesAndPullRequestsResponse = {
  incomplete_results: boolean;
  items: Schemas.IssueSearchResultItem[];
  total_count: number;
};

export type SearchIssuesAndPullRequestsVariables = {
  queryParams: SearchIssuesAndPullRequestsQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Find issues by state and keyword. This method returns up to 100 results [per page](https://docs.github.com/rest/overview/resources-in-the-rest-api#pagination).
 *
 * When searching for issues, you can get text match metadata for the issue **title**, issue **body**, and issue **comment body** fields when you pass the `text-match` media type. For more details about how to receive highlighted
 * search results, see [Text match metadata](https://docs.github.com/rest/reference/search#text-match-metadata).
 *
 * For example, if you want to find the oldest unresolved Python bugs on Windows. Your query might look something like this.
 *
 * `q=windows+label:bug+language:python+state:open&sort=created&order=asc`
 *
 * This query searches for the keyword `windows`, within any open issue that is labeled as `bug`. The search runs across repositories whose primary language is Python. The results are sorted by creation date in ascending order, which means the oldest issues appear first in the search results.
 *
 * **Note:** For [user-to-server](https://docs.github.com/developers/apps/identifying-and-authorizing-users-for-github-apps#user-to-server-requests) GitHub App requests, you can't retrieve a combination of issues and pull requests in a single query. Requests that don't include the `is:issue` or `is:pull-request` qualifier will receive an HTTP `422 Unprocessable Entity` response. To get results for both issues and pull requests, you must send separate queries for issues and pull requests. For more information about the `is` qualifier, see "[Searching only issues or pull requests](https://docs.github.com/github/searching-for-information-on-github/searching-issues-and-pull-requests#search-only-issues-or-pull-requests)."
 */
export const fetchSearchIssuesAndPullRequests = (
  variables: SearchIssuesAndPullRequestsVariables
) =>
  githubFetch<
    SearchIssuesAndPullRequestsResponse,
    SearchIssuesAndPullRequestsError,
    undefined,
    {},
    SearchIssuesAndPullRequestsQueryParams,
    {}
  >({ url: "/search/issues", method: "get", ...variables });

/**
 * Find issues by state and keyword. This method returns up to 100 results [per page](https://docs.github.com/rest/overview/resources-in-the-rest-api#pagination).
 *
 * When searching for issues, you can get text match metadata for the issue **title**, issue **body**, and issue **comment body** fields when you pass the `text-match` media type. For more details about how to receive highlighted
 * search results, see [Text match metadata](https://docs.github.com/rest/reference/search#text-match-metadata).
 *
 * For example, if you want to find the oldest unresolved Python bugs on Windows. Your query might look something like this.
 *
 * `q=windows+label:bug+language:python+state:open&sort=created&order=asc`
 *
 * This query searches for the keyword `windows`, within any open issue that is labeled as `bug`. The search runs across repositories whose primary language is Python. The results are sorted by creation date in ascending order, which means the oldest issues appear first in the search results.
 *
 * **Note:** For [user-to-server](https://docs.github.com/developers/apps/identifying-and-authorizing-users-for-github-apps#user-to-server-requests) GitHub App requests, you can't retrieve a combination of issues and pull requests in a single query. Requests that don't include the `is:issue` or `is:pull-request` qualifier will receive an HTTP `422 Unprocessable Entity` response. To get results for both issues and pull requests, you must send separate queries for issues and pull requests. For more information about the `is` qualifier, see "[Searching only issues or pull requests](https://docs.github.com/github/searching-for-information-on-github/searching-issues-and-pull-requests#search-only-issues-or-pull-requests)."
 */
export const useSearchIssuesAndPullRequests = <
  TData = SearchIssuesAndPullRequestsResponse
>(
  variables: SearchIssuesAndPullRequestsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      SearchIssuesAndPullRequestsResponse,
      SearchIssuesAndPullRequestsError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    SearchIssuesAndPullRequestsResponse,
    SearchIssuesAndPullRequestsError,
    TData
  >(
    queryKeyFn({
      path: "/search/issues",
      operationId: "searchIssuesAndPullRequests",
      variables,
    }),
    () => fetchSearchIssuesAndPullRequests({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type SearchLabelsQueryParams = {
  /*
   * The id of the repository.
   */
  repository_id: number;
  /*
   * The search keywords. This endpoint does not accept qualifiers in the query. To learn more about the format of the query, see [Constructing a search query](https://docs.github.com/rest/reference/search#constructing-a-search-query).
   */
  q: string;
  /*
   * Sorts the results of your query by when the label was `created` or `updated`. Default: [best match](https://docs.github.com/rest/reference/search#ranking-search-results)
   */
  sort?: "created" | "updated";
  /*
   * Determines whether the first search result returned is the highest number of matches (`desc`) or lowest number of matches (`asc`). This parameter is ignored unless you provide `sort`.
   *
   * @default desc
   */
  order?: "desc" | "asc";
};

export type SearchLabelsError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type SearchLabelsResponse = {
  incomplete_results: boolean;
  items: Schemas.LabelSearchResultItem[];
  total_count: number;
};

export type SearchLabelsVariables = {
  queryParams: SearchLabelsQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Find labels in a repository with names or descriptions that match search keywords. Returns up to 100 results [per page](https://docs.github.com/rest/overview/resources-in-the-rest-api#pagination).
 *
 * When searching for labels, you can get text match metadata for the label **name** and **description** fields when you pass the `text-match` media type. For more details about how to receive highlighted search results, see [Text match metadata](https://docs.github.com/rest/reference/search#text-match-metadata).
 *
 * For example, if you want to find labels in the `linguist` repository that match `bug`, `defect`, or `enhancement`. Your query might look like this:
 *
 * `q=bug+defect+enhancement&repository_id=64778136`
 *
 * The labels that best match the query appear first in the search results.
 */
export const fetchSearchLabels = (variables: SearchLabelsVariables) =>
  githubFetch<
    SearchLabelsResponse,
    SearchLabelsError,
    undefined,
    {},
    SearchLabelsQueryParams,
    {}
  >({ url: "/search/labels", method: "get", ...variables });

/**
 * Find labels in a repository with names or descriptions that match search keywords. Returns up to 100 results [per page](https://docs.github.com/rest/overview/resources-in-the-rest-api#pagination).
 *
 * When searching for labels, you can get text match metadata for the label **name** and **description** fields when you pass the `text-match` media type. For more details about how to receive highlighted search results, see [Text match metadata](https://docs.github.com/rest/reference/search#text-match-metadata).
 *
 * For example, if you want to find labels in the `linguist` repository that match `bug`, `defect`, or `enhancement`. Your query might look like this:
 *
 * `q=bug+defect+enhancement&repository_id=64778136`
 *
 * The labels that best match the query appear first in the search results.
 */
export const useSearchLabels = <TData = SearchLabelsResponse>(
  variables: SearchLabelsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<SearchLabelsResponse, SearchLabelsError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<SearchLabelsResponse, SearchLabelsError, TData>(
    queryKeyFn({
      path: "/search/labels",
      operationId: "searchLabels",
      variables,
    }),
    () => fetchSearchLabels({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type SearchReposQueryParams = {
  /*
   * The query contains one or more search keywords and qualifiers. Qualifiers allow you to limit your search to specific areas of GitHub. The REST API supports the same qualifiers as GitHub.com. To learn more about the format of the query, see [Constructing a search query](https://docs.github.com/rest/reference/search#constructing-a-search-query). See "[Searching for repositories](https://help.github.com/articles/searching-for-repositories/)" for a detailed list of qualifiers.
   */
  q: string;
  /*
   * Sorts the results of your query by number of `stars`, `forks`, or `help-wanted-issues` or how recently the items were `updated`. Default: [best match](https://docs.github.com/rest/reference/search#ranking-search-results)
   */
  sort?: "stars" | "forks" | "help-wanted-issues" | "updated";
  /*
   * Determines whether the first search result returned is the highest number of matches (`desc`) or lowest number of matches (`asc`). This parameter is ignored unless you provide `sort`.
   *
   * @default desc
   */
  order?: "desc" | "asc";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type SearchReposError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
  | {
      status: 503;
      payload: Responses.ServiceUnavailable;
    }
>;

export type SearchReposResponse = {
  incomplete_results: boolean;
  items: Schemas.RepoSearchResultItem[];
  total_count: number;
};

export type SearchReposVariables = {
  queryParams: SearchReposQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Find repositories via various criteria. This method returns up to 100 results [per page](https://docs.github.com/rest/overview/resources-in-the-rest-api#pagination).
 *
 * When searching for repositories, you can get text match metadata for the **name** and **description** fields when you pass the `text-match` media type. For more details about how to receive highlighted search results, see [Text match metadata](https://docs.github.com/rest/reference/search#text-match-metadata).
 *
 * For example, if you want to search for popular Tetris repositories written in assembly code, your query might look like this:
 *
 * `q=tetris+language:assembly&sort=stars&order=desc`
 *
 * This query searches for repositories with the word `tetris` in the name, the description, or the README. The results are limited to repositories where the primary language is assembly. The results are sorted by stars in descending order, so that the most popular repositories appear first in the search results.
 *
 * When you include the `mercy` preview header, you can also search for multiple topics by adding more `topic:` instances. For example, your query might look like this:
 *
 * `q=topic:ruby+topic:rails`
 */
export const fetchSearchRepos = (variables: SearchReposVariables) =>
  githubFetch<
    SearchReposResponse,
    SearchReposError,
    undefined,
    {},
    SearchReposQueryParams,
    {}
  >({ url: "/search/repositories", method: "get", ...variables });

/**
 * Find repositories via various criteria. This method returns up to 100 results [per page](https://docs.github.com/rest/overview/resources-in-the-rest-api#pagination).
 *
 * When searching for repositories, you can get text match metadata for the **name** and **description** fields when you pass the `text-match` media type. For more details about how to receive highlighted search results, see [Text match metadata](https://docs.github.com/rest/reference/search#text-match-metadata).
 *
 * For example, if you want to search for popular Tetris repositories written in assembly code, your query might look like this:
 *
 * `q=tetris+language:assembly&sort=stars&order=desc`
 *
 * This query searches for repositories with the word `tetris` in the name, the description, or the README. The results are limited to repositories where the primary language is assembly. The results are sorted by stars in descending order, so that the most popular repositories appear first in the search results.
 *
 * When you include the `mercy` preview header, you can also search for multiple topics by adding more `topic:` instances. For example, your query might look like this:
 *
 * `q=topic:ruby+topic:rails`
 */
export const useSearchRepos = <TData = SearchReposResponse>(
  variables: SearchReposVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<SearchReposResponse, SearchReposError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<SearchReposResponse, SearchReposError, TData>(
    queryKeyFn({
      path: "/search/repositories",
      operationId: "searchRepos",
      variables,
    }),
    () => fetchSearchRepos({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type SearchTopicsQueryParams = {
  /*
   * The query contains one or more search keywords and qualifiers. Qualifiers allow you to limit your search to specific areas of GitHub. The REST API supports the same qualifiers as GitHub.com. To learn more about the format of the query, see [Constructing a search query](https://docs.github.com/rest/reference/search#constructing-a-search-query).
   */
  q: string;
};

export type SearchTopicsError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 415;
      payload: Responses.PreviewHeaderMissing;
    }
>;

export type SearchTopicsResponse = {
  incomplete_results: boolean;
  items: Schemas.TopicSearchResultItem[];
  total_count: number;
};

export type SearchTopicsVariables = {
  queryParams: SearchTopicsQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Find topics via various criteria. Results are sorted by best match. This method returns up to 100 results [per page](https://docs.github.com/rest/overview/resources-in-the-rest-api#pagination). See "[Searching topics](https://help.github.com/articles/searching-topics/)" for a detailed list of qualifiers.
 *
 * When searching for topics, you can get text match metadata for the topic's **short\_description**, **description**, **name**, or **display\_name** field when you pass the `text-match` media type. For more details about how to receive highlighted search results, see [Text match metadata](https://docs.github.com/rest/reference/search#text-match-metadata).
 *
 * For example, if you want to search for topics related to Ruby that are featured on https://github.com/topics. Your query might look like this:
 *
 * `q=ruby+is:featured`
 *
 * This query searches for topics with the keyword `ruby` and limits the results to find only topics that are featured. The topics that are the best match for the query appear first in the search results.
 */
export const fetchSearchTopics = (variables: SearchTopicsVariables) =>
  githubFetch<
    SearchTopicsResponse,
    SearchTopicsError,
    undefined,
    {},
    SearchTopicsQueryParams,
    {}
  >({ url: "/search/topics", method: "get", ...variables });

/**
 * Find topics via various criteria. Results are sorted by best match. This method returns up to 100 results [per page](https://docs.github.com/rest/overview/resources-in-the-rest-api#pagination). See "[Searching topics](https://help.github.com/articles/searching-topics/)" for a detailed list of qualifiers.
 *
 * When searching for topics, you can get text match metadata for the topic's **short\_description**, **description**, **name**, or **display\_name** field when you pass the `text-match` media type. For more details about how to receive highlighted search results, see [Text match metadata](https://docs.github.com/rest/reference/search#text-match-metadata).
 *
 * For example, if you want to search for topics related to Ruby that are featured on https://github.com/topics. Your query might look like this:
 *
 * `q=ruby+is:featured`
 *
 * This query searches for topics with the keyword `ruby` and limits the results to find only topics that are featured. The topics that are the best match for the query appear first in the search results.
 */
export const useSearchTopics = <TData = SearchTopicsResponse>(
  variables: SearchTopicsVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<SearchTopicsResponse, SearchTopicsError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<SearchTopicsResponse, SearchTopicsError, TData>(
    queryKeyFn({
      path: "/search/topics",
      operationId: "searchTopics",
      variables,
    }),
    () => fetchSearchTopics({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type SearchUsersQueryParams = {
  /*
   * The query contains one or more search keywords and qualifiers. Qualifiers allow you to limit your search to specific areas of GitHub. The REST API supports the same qualifiers as GitHub.com. To learn more about the format of the query, see [Constructing a search query](https://docs.github.com/rest/reference/search#constructing-a-search-query). See "[Searching users](https://help.github.com/articles/searching-users/)" for a detailed list of qualifiers.
   */
  q: string;
  /*
   * Sorts the results of your query by number of `followers` or `repositories`, or when the person `joined` GitHub. Default: [best match](https://docs.github.com/rest/reference/search#ranking-search-results)
   */
  sort?: "followers" | "repositories" | "joined";
  /*
   * Determines whether the first search result returned is the highest number of matches (`desc`) or lowest number of matches (`asc`). This parameter is ignored unless you provide `sort`.
   *
   * @default desc
   */
  order?: "desc" | "asc";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type SearchUsersError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
  | {
      status: 503;
      payload: Responses.ServiceUnavailable;
    }
>;

export type SearchUsersResponse = {
  incomplete_results: boolean;
  items: Schemas.UserSearchResultItem[];
  total_count: number;
};

export type SearchUsersVariables = {
  queryParams: SearchUsersQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Find users via various criteria. This method returns up to 100 results [per page](https://docs.github.com/rest/overview/resources-in-the-rest-api#pagination).
 *
 * When searching for users, you can get text match metadata for the issue **login**, **email**, and **name** fields when you pass the `text-match` media type. For more details about highlighting search results, see [Text match metadata](https://docs.github.com/rest/reference/search#text-match-metadata). For more details about how to receive highlighted search results, see [Text match metadata](https://docs.github.com/rest/reference/search#text-match-metadata).
 *
 * For example, if you're looking for a list of popular users, you might try this query:
 *
 * `q=tom+repos:%3E42+followers:%3E1000`
 *
 * This query searches for users with the name `tom`. The results are restricted to users with more than 42 repositories and over 1,000 followers.
 */
export const fetchSearchUsers = (variables: SearchUsersVariables) =>
  githubFetch<
    SearchUsersResponse,
    SearchUsersError,
    undefined,
    {},
    SearchUsersQueryParams,
    {}
  >({ url: "/search/users", method: "get", ...variables });

/**
 * Find users via various criteria. This method returns up to 100 results [per page](https://docs.github.com/rest/overview/resources-in-the-rest-api#pagination).
 *
 * When searching for users, you can get text match metadata for the issue **login**, **email**, and **name** fields when you pass the `text-match` media type. For more details about highlighting search results, see [Text match metadata](https://docs.github.com/rest/reference/search#text-match-metadata). For more details about how to receive highlighted search results, see [Text match metadata](https://docs.github.com/rest/reference/search#text-match-metadata).
 *
 * For example, if you're looking for a list of popular users, you might try this query:
 *
 * `q=tom+repos:%3E42+followers:%3E1000`
 *
 * This query searches for users with the name `tom`. The results are restricted to users with more than 42 repositories and over 1,000 followers.
 */
export const useSearchUsers = <TData = SearchUsersResponse>(
  variables: SearchUsersVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<SearchUsersResponse, SearchUsersError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<SearchUsersResponse, SearchUsersError, TData>(
    queryKeyFn({
      path: "/search/users",
      operationId: "searchUsers",
      variables,
    }),
    () => fetchSearchUsers({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type TeamsDeleteLegacyPathParams = {
  teamId: number;
};

export type TeamsDeleteLegacyError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type TeamsDeleteLegacyVariables = {
  pathParams: TeamsDeleteLegacyPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [Delete a team](https://docs.github.com/rest/reference/teams#delete-a-team) endpoint.
 *
 * To delete a team, the authenticated user must be an organization owner or team maintainer.
 *
 * If you are an organization owner, deleting a parent team will delete all of its child teams as well.
 */
export const fetchTeamsDeleteLegacy = (variables: TeamsDeleteLegacyVariables) =>
  githubFetch<
    undefined,
    TeamsDeleteLegacyError,
    undefined,
    {},
    {},
    TeamsDeleteLegacyPathParams
  >({ url: "/teams/{teamId}", method: "delete", ...variables });

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [Delete a team](https://docs.github.com/rest/reference/teams#delete-a-team) endpoint.
 *
 * To delete a team, the authenticated user must be an organization owner or team maintainer.
 *
 * If you are an organization owner, deleting a parent team will delete all of its child teams as well.
 */
export const useTeamsDeleteLegacy = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      TeamsDeleteLegacyError,
      TeamsDeleteLegacyVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    TeamsDeleteLegacyError,
    TeamsDeleteLegacyVariables
  >(
    (variables: TeamsDeleteLegacyVariables) =>
      fetchTeamsDeleteLegacy({ ...fetcherOptions, ...variables }),
    options
  );
};

export type TeamsGetLegacyPathParams = {
  teamId: number;
};

export type TeamsGetLegacyError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type TeamsGetLegacyVariables = {
  pathParams: TeamsGetLegacyPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the [Get a team by name](https://docs.github.com/rest/reference/teams#get-a-team-by-name) endpoint.
 */
export const fetchTeamsGetLegacy = (variables: TeamsGetLegacyVariables) =>
  githubFetch<
    Schemas.TeamFull,
    TeamsGetLegacyError,
    undefined,
    {},
    {},
    TeamsGetLegacyPathParams
  >({ url: "/teams/{teamId}", method: "get", ...variables });

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the [Get a team by name](https://docs.github.com/rest/reference/teams#get-a-team-by-name) endpoint.
 */
export const useTeamsGetLegacy = <TData = Schemas.TeamFull>(
  variables: TeamsGetLegacyVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<Schemas.TeamFull, TeamsGetLegacyError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<Schemas.TeamFull, TeamsGetLegacyError, TData>(
    queryKeyFn({
      path: "/teams/{team_id}",
      operationId: "teamsGetLegacy",
      variables,
    }),
    () => fetchTeamsGetLegacy({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type TeamsUpdateLegacyPathParams = {
  teamId: number;
};

export type TeamsUpdateLegacyError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type TeamsUpdateLegacyRequestBody = {
  /*
   * The description of the team.
   */
  description?: string;
  /*
   * The name of the team.
   */
  name: string;
  /*
   * The ID of a team to set as the parent team.
   */
  parent_team_id?: number | null;
  /*
   * **Deprecated**. The permission that new repositories will be added to the team with when none is specified. Can be one of:
   * \* `pull` - team members can pull, but not push to or administer newly-added repositories.
   * \* `push` - team members can pull and push, but not administer newly-added repositories.
   * \* `admin` - team members can pull, push and administer newly-added repositories.
   *
   * @default pull
   */
  permission?: "pull" | "push" | "admin";
  /*
   * The level of privacy this team should have. Editing teams without specifying this parameter leaves `privacy` intact. The options are:
   * **For a non-nested team:**
   * \* `secret` - only visible to organization owners and members of this team.
   * \* `closed` - visible to all members of this organization.
   * **For a parent or child team:**
   * \* `closed` - visible to all members of this organization.
   */
  privacy?: "secret" | "closed";
};

export type TeamsUpdateLegacyVariables = {
  body: TeamsUpdateLegacyRequestBody;
  pathParams: TeamsUpdateLegacyPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [Update a team](https://docs.github.com/rest/reference/teams#update-a-team) endpoint.
 *
 * To edit a team, the authenticated user must either be an organization owner or a team maintainer.
 *
 * **Note:** With nested teams, the `privacy` for parent teams cannot be `secret`.
 */
export const fetchTeamsUpdateLegacy = (variables: TeamsUpdateLegacyVariables) =>
  githubFetch<
    Schemas.TeamFull,
    TeamsUpdateLegacyError,
    TeamsUpdateLegacyRequestBody,
    {},
    {},
    TeamsUpdateLegacyPathParams
  >({ url: "/teams/{teamId}", method: "patch", ...variables });

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [Update a team](https://docs.github.com/rest/reference/teams#update-a-team) endpoint.
 *
 * To edit a team, the authenticated user must either be an organization owner or a team maintainer.
 *
 * **Note:** With nested teams, the `privacy` for parent teams cannot be `secret`.
 */
export const useTeamsUpdateLegacy = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.TeamFull,
      TeamsUpdateLegacyError,
      TeamsUpdateLegacyVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.TeamFull,
    TeamsUpdateLegacyError,
    TeamsUpdateLegacyVariables
  >(
    (variables: TeamsUpdateLegacyVariables) =>
      fetchTeamsUpdateLegacy({ ...fetcherOptions, ...variables }),
    options
  );
};

export type TeamsListDiscussionsLegacyPathParams = {
  teamId: number;
};

export type TeamsListDiscussionsLegacyQueryParams = {
  /*
   * One of `asc` (ascending) or `desc` (descending).
   *
   * @default desc
   */
  direction?: "asc" | "desc";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type TeamsListDiscussionsLegacyError = Fetcher.ErrorWrapper<undefined>;

export type TeamsListDiscussionsLegacyResponse = Schemas.TeamDiscussion[];

export type TeamsListDiscussionsLegacyVariables = {
  pathParams: TeamsListDiscussionsLegacyPathParams;
  queryParams?: TeamsListDiscussionsLegacyQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [`List discussions`](https://docs.github.com/rest/reference/teams#list-discussions) endpoint.
 *
 * List all discussions on a team's page. OAuth access tokens require the `read:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const fetchTeamsListDiscussionsLegacy = (
  variables: TeamsListDiscussionsLegacyVariables
) =>
  githubFetch<
    TeamsListDiscussionsLegacyResponse,
    TeamsListDiscussionsLegacyError,
    undefined,
    {},
    TeamsListDiscussionsLegacyQueryParams,
    TeamsListDiscussionsLegacyPathParams
  >({ url: "/teams/{teamId}/discussions", method: "get", ...variables });

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [`List discussions`](https://docs.github.com/rest/reference/teams#list-discussions) endpoint.
 *
 * List all discussions on a team's page. OAuth access tokens require the `read:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const useTeamsListDiscussionsLegacy = <
  TData = TeamsListDiscussionsLegacyResponse
>(
  variables: TeamsListDiscussionsLegacyVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      TeamsListDiscussionsLegacyResponse,
      TeamsListDiscussionsLegacyError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    TeamsListDiscussionsLegacyResponse,
    TeamsListDiscussionsLegacyError,
    TData
  >(
    queryKeyFn({
      path: "/teams/{team_id}/discussions",
      operationId: "teamsListDiscussionsLegacy",
      variables,
    }),
    () => fetchTeamsListDiscussionsLegacy({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type TeamsCreateDiscussionLegacyPathParams = {
  teamId: number;
};

export type TeamsCreateDiscussionLegacyError = Fetcher.ErrorWrapper<undefined>;

export type TeamsCreateDiscussionLegacyRequestBody = {
  /*
   * The discussion post's body text.
   */
  body: string;
  /*
   * Private posts are only visible to team members, organization owners, and team maintainers. Public posts are visible to all members of the organization. Set to `true` to create a private post.
   *
   * @default false
   */
  private?: boolean;
  /*
   * The discussion post's title.
   */
  title: string;
};

export type TeamsCreateDiscussionLegacyVariables = {
  body: TeamsCreateDiscussionLegacyRequestBody;
  pathParams: TeamsCreateDiscussionLegacyPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [`Create a discussion`](https://docs.github.com/rest/reference/teams#create-a-discussion) endpoint.
 *
 * Creates a new discussion post on a team's page. OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 *
 * This endpoint triggers [notifications](https://docs.github.com/en/github/managing-subscriptions-and-notifications-on-github/about-notifications). Creating content too quickly using this endpoint may result in abuse rate limiting. See "[Abuse rate limits](https://docs.github.com/rest/overview/resources-in-the-rest-api#abuse-rate-limits)" and "[Dealing with abuse rate limits](https://docs.github.com/rest/guides/best-practices-for-integrators#dealing-with-rate-limits)" for details.
 */
export const fetchTeamsCreateDiscussionLegacy = (
  variables: TeamsCreateDiscussionLegacyVariables
) =>
  githubFetch<
    Schemas.TeamDiscussion,
    TeamsCreateDiscussionLegacyError,
    TeamsCreateDiscussionLegacyRequestBody,
    {},
    {},
    TeamsCreateDiscussionLegacyPathParams
  >({ url: "/teams/{teamId}/discussions", method: "post", ...variables });

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [`Create a discussion`](https://docs.github.com/rest/reference/teams#create-a-discussion) endpoint.
 *
 * Creates a new discussion post on a team's page. OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 *
 * This endpoint triggers [notifications](https://docs.github.com/en/github/managing-subscriptions-and-notifications-on-github/about-notifications). Creating content too quickly using this endpoint may result in abuse rate limiting. See "[Abuse rate limits](https://docs.github.com/rest/overview/resources-in-the-rest-api#abuse-rate-limits)" and "[Dealing with abuse rate limits](https://docs.github.com/rest/guides/best-practices-for-integrators#dealing-with-rate-limits)" for details.
 */
export const useTeamsCreateDiscussionLegacy = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.TeamDiscussion,
      TeamsCreateDiscussionLegacyError,
      TeamsCreateDiscussionLegacyVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.TeamDiscussion,
    TeamsCreateDiscussionLegacyError,
    TeamsCreateDiscussionLegacyVariables
  >(
    (variables: TeamsCreateDiscussionLegacyVariables) =>
      fetchTeamsCreateDiscussionLegacy({ ...fetcherOptions, ...variables }),
    options
  );
};

export type TeamsDeleteDiscussionLegacyPathParams = {
  teamId: number;
  discussionNumber: number;
};

export type TeamsDeleteDiscussionLegacyError = Fetcher.ErrorWrapper<undefined>;

export type TeamsDeleteDiscussionLegacyVariables = {
  pathParams: TeamsDeleteDiscussionLegacyPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [`Delete a discussion`](https://docs.github.com/rest/reference/teams#delete-a-discussion) endpoint.
 *
 * Delete a discussion from a team's page. OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const fetchTeamsDeleteDiscussionLegacy = (
  variables: TeamsDeleteDiscussionLegacyVariables
) =>
  githubFetch<
    undefined,
    TeamsDeleteDiscussionLegacyError,
    undefined,
    {},
    {},
    TeamsDeleteDiscussionLegacyPathParams
  >({
    url: "/teams/{teamId}/discussions/{discussionNumber}",
    method: "delete",
    ...variables,
  });

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [`Delete a discussion`](https://docs.github.com/rest/reference/teams#delete-a-discussion) endpoint.
 *
 * Delete a discussion from a team's page. OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const useTeamsDeleteDiscussionLegacy = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      TeamsDeleteDiscussionLegacyError,
      TeamsDeleteDiscussionLegacyVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    TeamsDeleteDiscussionLegacyError,
    TeamsDeleteDiscussionLegacyVariables
  >(
    (variables: TeamsDeleteDiscussionLegacyVariables) =>
      fetchTeamsDeleteDiscussionLegacy({ ...fetcherOptions, ...variables }),
    options
  );
};

export type TeamsGetDiscussionLegacyPathParams = {
  teamId: number;
  discussionNumber: number;
};

export type TeamsGetDiscussionLegacyError = Fetcher.ErrorWrapper<undefined>;

export type TeamsGetDiscussionLegacyVariables = {
  pathParams: TeamsGetDiscussionLegacyPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [Get a discussion](https://docs.github.com/rest/reference/teams#get-a-discussion) endpoint.
 *
 * Get a specific discussion on a team's page. OAuth access tokens require the `read:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const fetchTeamsGetDiscussionLegacy = (
  variables: TeamsGetDiscussionLegacyVariables
) =>
  githubFetch<
    Schemas.TeamDiscussion,
    TeamsGetDiscussionLegacyError,
    undefined,
    {},
    {},
    TeamsGetDiscussionLegacyPathParams
  >({
    url: "/teams/{teamId}/discussions/{discussionNumber}",
    method: "get",
    ...variables,
  });

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [Get a discussion](https://docs.github.com/rest/reference/teams#get-a-discussion) endpoint.
 *
 * Get a specific discussion on a team's page. OAuth access tokens require the `read:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const useTeamsGetDiscussionLegacy = <TData = Schemas.TeamDiscussion>(
  variables: TeamsGetDiscussionLegacyVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.TeamDiscussion,
      TeamsGetDiscussionLegacyError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.TeamDiscussion,
    TeamsGetDiscussionLegacyError,
    TData
  >(
    queryKeyFn({
      path: "/teams/{team_id}/discussions/{discussion_number}",
      operationId: "teamsGetDiscussionLegacy",
      variables,
    }),
    () => fetchTeamsGetDiscussionLegacy({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type TeamsUpdateDiscussionLegacyPathParams = {
  teamId: number;
  discussionNumber: number;
};

export type TeamsUpdateDiscussionLegacyError = Fetcher.ErrorWrapper<undefined>;

export type TeamsUpdateDiscussionLegacyRequestBody = {
  /*
   * The discussion post's body text.
   */
  body?: string;
  /*
   * The discussion post's title.
   */
  title?: string;
};

export type TeamsUpdateDiscussionLegacyVariables = {
  body?: TeamsUpdateDiscussionLegacyRequestBody;
  pathParams: TeamsUpdateDiscussionLegacyPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [Update a discussion](https://docs.github.com/rest/reference/teams#update-a-discussion) endpoint.
 *
 * Edits the title and body text of a discussion post. Only the parameters you provide are updated. OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const fetchTeamsUpdateDiscussionLegacy = (
  variables: TeamsUpdateDiscussionLegacyVariables
) =>
  githubFetch<
    Schemas.TeamDiscussion,
    TeamsUpdateDiscussionLegacyError,
    TeamsUpdateDiscussionLegacyRequestBody,
    {},
    {},
    TeamsUpdateDiscussionLegacyPathParams
  >({
    url: "/teams/{teamId}/discussions/{discussionNumber}",
    method: "patch",
    ...variables,
  });

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [Update a discussion](https://docs.github.com/rest/reference/teams#update-a-discussion) endpoint.
 *
 * Edits the title and body text of a discussion post. Only the parameters you provide are updated. OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const useTeamsUpdateDiscussionLegacy = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.TeamDiscussion,
      TeamsUpdateDiscussionLegacyError,
      TeamsUpdateDiscussionLegacyVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.TeamDiscussion,
    TeamsUpdateDiscussionLegacyError,
    TeamsUpdateDiscussionLegacyVariables
  >(
    (variables: TeamsUpdateDiscussionLegacyVariables) =>
      fetchTeamsUpdateDiscussionLegacy({ ...fetcherOptions, ...variables }),
    options
  );
};

export type TeamsListDiscussionCommentsLegacyPathParams = {
  teamId: number;
  discussionNumber: number;
};

export type TeamsListDiscussionCommentsLegacyQueryParams = {
  /*
   * One of `asc` (ascending) or `desc` (descending).
   *
   * @default desc
   */
  direction?: "asc" | "desc";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type TeamsListDiscussionCommentsLegacyError =
  Fetcher.ErrorWrapper<undefined>;

export type TeamsListDiscussionCommentsLegacyResponse =
  Schemas.TeamDiscussionComment[];

export type TeamsListDiscussionCommentsLegacyVariables = {
  pathParams: TeamsListDiscussionCommentsLegacyPathParams;
  queryParams?: TeamsListDiscussionCommentsLegacyQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [List discussion comments](https://docs.github.com/rest/reference/teams#list-discussion-comments) endpoint.
 *
 * List all comments on a team discussion. OAuth access tokens require the `read:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const fetchTeamsListDiscussionCommentsLegacy = (
  variables: TeamsListDiscussionCommentsLegacyVariables
) =>
  githubFetch<
    TeamsListDiscussionCommentsLegacyResponse,
    TeamsListDiscussionCommentsLegacyError,
    undefined,
    {},
    TeamsListDiscussionCommentsLegacyQueryParams,
    TeamsListDiscussionCommentsLegacyPathParams
  >({
    url: "/teams/{teamId}/discussions/{discussionNumber}/comments",
    method: "get",
    ...variables,
  });

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [List discussion comments](https://docs.github.com/rest/reference/teams#list-discussion-comments) endpoint.
 *
 * List all comments on a team discussion. OAuth access tokens require the `read:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const useTeamsListDiscussionCommentsLegacy = <
  TData = TeamsListDiscussionCommentsLegacyResponse
>(
  variables: TeamsListDiscussionCommentsLegacyVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      TeamsListDiscussionCommentsLegacyResponse,
      TeamsListDiscussionCommentsLegacyError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    TeamsListDiscussionCommentsLegacyResponse,
    TeamsListDiscussionCommentsLegacyError,
    TData
  >(
    queryKeyFn({
      path: "/teams/{team_id}/discussions/{discussion_number}/comments",
      operationId: "teamsListDiscussionCommentsLegacy",
      variables,
    }),
    () =>
      fetchTeamsListDiscussionCommentsLegacy({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type TeamsCreateDiscussionCommentLegacyPathParams = {
  teamId: number;
  discussionNumber: number;
};

export type TeamsCreateDiscussionCommentLegacyError =
  Fetcher.ErrorWrapper<undefined>;

export type TeamsCreateDiscussionCommentLegacyRequestBody = {
  /*
   * The discussion comment's body text.
   */
  body: string;
};

export type TeamsCreateDiscussionCommentLegacyVariables = {
  body: TeamsCreateDiscussionCommentLegacyRequestBody;
  pathParams: TeamsCreateDiscussionCommentLegacyPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [Create a discussion comment](https://docs.github.com/rest/reference/teams#create-a-discussion-comment) endpoint.
 *
 * Creates a new comment on a team discussion. OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 *
 * This endpoint triggers [notifications](https://docs.github.com/en/github/managing-subscriptions-and-notifications-on-github/about-notifications). Creating content too quickly using this endpoint may result in abuse rate limiting. See "[Abuse rate limits](https://docs.github.com/rest/overview/resources-in-the-rest-api#abuse-rate-limits)" and "[Dealing with abuse rate limits](https://docs.github.com/rest/guides/best-practices-for-integrators#dealing-with-rate-limits)" for details.
 */
export const fetchTeamsCreateDiscussionCommentLegacy = (
  variables: TeamsCreateDiscussionCommentLegacyVariables
) =>
  githubFetch<
    Schemas.TeamDiscussionComment,
    TeamsCreateDiscussionCommentLegacyError,
    TeamsCreateDiscussionCommentLegacyRequestBody,
    {},
    {},
    TeamsCreateDiscussionCommentLegacyPathParams
  >({
    url: "/teams/{teamId}/discussions/{discussionNumber}/comments",
    method: "post",
    ...variables,
  });

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [Create a discussion comment](https://docs.github.com/rest/reference/teams#create-a-discussion-comment) endpoint.
 *
 * Creates a new comment on a team discussion. OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 *
 * This endpoint triggers [notifications](https://docs.github.com/en/github/managing-subscriptions-and-notifications-on-github/about-notifications). Creating content too quickly using this endpoint may result in abuse rate limiting. See "[Abuse rate limits](https://docs.github.com/rest/overview/resources-in-the-rest-api#abuse-rate-limits)" and "[Dealing with abuse rate limits](https://docs.github.com/rest/guides/best-practices-for-integrators#dealing-with-rate-limits)" for details.
 */
export const useTeamsCreateDiscussionCommentLegacy = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.TeamDiscussionComment,
      TeamsCreateDiscussionCommentLegacyError,
      TeamsCreateDiscussionCommentLegacyVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.TeamDiscussionComment,
    TeamsCreateDiscussionCommentLegacyError,
    TeamsCreateDiscussionCommentLegacyVariables
  >(
    (variables: TeamsCreateDiscussionCommentLegacyVariables) =>
      fetchTeamsCreateDiscussionCommentLegacy({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type TeamsDeleteDiscussionCommentLegacyPathParams = {
  teamId: number;
  discussionNumber: number;
  commentNumber: number;
};

export type TeamsDeleteDiscussionCommentLegacyError =
  Fetcher.ErrorWrapper<undefined>;

export type TeamsDeleteDiscussionCommentLegacyVariables = {
  pathParams: TeamsDeleteDiscussionCommentLegacyPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [Delete a discussion comment](https://docs.github.com/rest/reference/teams#delete-a-discussion-comment) endpoint.
 *
 * Deletes a comment on a team discussion. OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const fetchTeamsDeleteDiscussionCommentLegacy = (
  variables: TeamsDeleteDiscussionCommentLegacyVariables
) =>
  githubFetch<
    undefined,
    TeamsDeleteDiscussionCommentLegacyError,
    undefined,
    {},
    {},
    TeamsDeleteDiscussionCommentLegacyPathParams
  >({
    url: "/teams/{teamId}/discussions/{discussionNumber}/comments/{commentNumber}",
    method: "delete",
    ...variables,
  });

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [Delete a discussion comment](https://docs.github.com/rest/reference/teams#delete-a-discussion-comment) endpoint.
 *
 * Deletes a comment on a team discussion. OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const useTeamsDeleteDiscussionCommentLegacy = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      TeamsDeleteDiscussionCommentLegacyError,
      TeamsDeleteDiscussionCommentLegacyVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    TeamsDeleteDiscussionCommentLegacyError,
    TeamsDeleteDiscussionCommentLegacyVariables
  >(
    (variables: TeamsDeleteDiscussionCommentLegacyVariables) =>
      fetchTeamsDeleteDiscussionCommentLegacy({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type TeamsGetDiscussionCommentLegacyPathParams = {
  teamId: number;
  discussionNumber: number;
  commentNumber: number;
};

export type TeamsGetDiscussionCommentLegacyError =
  Fetcher.ErrorWrapper<undefined>;

export type TeamsGetDiscussionCommentLegacyVariables = {
  pathParams: TeamsGetDiscussionCommentLegacyPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [Get a discussion comment](https://docs.github.com/rest/reference/teams#get-a-discussion-comment) endpoint.
 *
 * Get a specific comment on a team discussion. OAuth access tokens require the `read:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const fetchTeamsGetDiscussionCommentLegacy = (
  variables: TeamsGetDiscussionCommentLegacyVariables
) =>
  githubFetch<
    Schemas.TeamDiscussionComment,
    TeamsGetDiscussionCommentLegacyError,
    undefined,
    {},
    {},
    TeamsGetDiscussionCommentLegacyPathParams
  >({
    url: "/teams/{teamId}/discussions/{discussionNumber}/comments/{commentNumber}",
    method: "get",
    ...variables,
  });

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [Get a discussion comment](https://docs.github.com/rest/reference/teams#get-a-discussion-comment) endpoint.
 *
 * Get a specific comment on a team discussion. OAuth access tokens require the `read:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const useTeamsGetDiscussionCommentLegacy = <
  TData = Schemas.TeamDiscussionComment
>(
  variables: TeamsGetDiscussionCommentLegacyVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.TeamDiscussionComment,
      TeamsGetDiscussionCommentLegacyError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.TeamDiscussionComment,
    TeamsGetDiscussionCommentLegacyError,
    TData
  >(
    queryKeyFn({
      path: "/teams/{team_id}/discussions/{discussion_number}/comments/{comment_number}",
      operationId: "teamsGetDiscussionCommentLegacy",
      variables,
    }),
    () =>
      fetchTeamsGetDiscussionCommentLegacy({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type TeamsUpdateDiscussionCommentLegacyPathParams = {
  teamId: number;
  discussionNumber: number;
  commentNumber: number;
};

export type TeamsUpdateDiscussionCommentLegacyError =
  Fetcher.ErrorWrapper<undefined>;

export type TeamsUpdateDiscussionCommentLegacyRequestBody = {
  /*
   * The discussion comment's body text.
   */
  body: string;
};

export type TeamsUpdateDiscussionCommentLegacyVariables = {
  body: TeamsUpdateDiscussionCommentLegacyRequestBody;
  pathParams: TeamsUpdateDiscussionCommentLegacyPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [Update a discussion comment](https://docs.github.com/rest/reference/teams#update-a-discussion-comment) endpoint.
 *
 * Edits the body text of a discussion comment. OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const fetchTeamsUpdateDiscussionCommentLegacy = (
  variables: TeamsUpdateDiscussionCommentLegacyVariables
) =>
  githubFetch<
    Schemas.TeamDiscussionComment,
    TeamsUpdateDiscussionCommentLegacyError,
    TeamsUpdateDiscussionCommentLegacyRequestBody,
    {},
    {},
    TeamsUpdateDiscussionCommentLegacyPathParams
  >({
    url: "/teams/{teamId}/discussions/{discussionNumber}/comments/{commentNumber}",
    method: "patch",
    ...variables,
  });

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [Update a discussion comment](https://docs.github.com/rest/reference/teams#update-a-discussion-comment) endpoint.
 *
 * Edits the body text of a discussion comment. OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const useTeamsUpdateDiscussionCommentLegacy = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.TeamDiscussionComment,
      TeamsUpdateDiscussionCommentLegacyError,
      TeamsUpdateDiscussionCommentLegacyVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.TeamDiscussionComment,
    TeamsUpdateDiscussionCommentLegacyError,
    TeamsUpdateDiscussionCommentLegacyVariables
  >(
    (variables: TeamsUpdateDiscussionCommentLegacyVariables) =>
      fetchTeamsUpdateDiscussionCommentLegacy({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ReactionsListForTeamDiscussionCommentLegacyPathParams = {
  teamId: number;
  discussionNumber: number;
  commentNumber: number;
};

export type ReactionsListForTeamDiscussionCommentLegacyQueryParams = {
  /*
   * Returns a single [reaction type](https://docs.github.com/rest/reference/reactions#reaction-types). Omit this parameter to list all reactions to a team discussion comment.
   */
  content?:
    | "+1"
    | "-1"
    | "laugh"
    | "confused"
    | "heart"
    | "hooray"
    | "rocket"
    | "eyes";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ReactionsListForTeamDiscussionCommentLegacyError =
  Fetcher.ErrorWrapper<undefined>;

export type ReactionsListForTeamDiscussionCommentLegacyResponse =
  Schemas.Reaction[];

export type ReactionsListForTeamDiscussionCommentLegacyVariables = {
  pathParams: ReactionsListForTeamDiscussionCommentLegacyPathParams;
  queryParams?: ReactionsListForTeamDiscussionCommentLegacyQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [`List reactions for a team discussion comment`](https://docs.github.com/rest/reference/reactions#list-reactions-for-a-team-discussion-comment) endpoint.
 *
 * List the reactions to a [team discussion comment](https://docs.github.com/rest/reference/teams#discussion-comments). OAuth access tokens require the `read:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const fetchReactionsListForTeamDiscussionCommentLegacy = (
  variables: ReactionsListForTeamDiscussionCommentLegacyVariables
) =>
  githubFetch<
    ReactionsListForTeamDiscussionCommentLegacyResponse,
    ReactionsListForTeamDiscussionCommentLegacyError,
    undefined,
    {},
    ReactionsListForTeamDiscussionCommentLegacyQueryParams,
    ReactionsListForTeamDiscussionCommentLegacyPathParams
  >({
    url: "/teams/{teamId}/discussions/{discussionNumber}/comments/{commentNumber}/reactions",
    method: "get",
    ...variables,
  });

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [`List reactions for a team discussion comment`](https://docs.github.com/rest/reference/reactions#list-reactions-for-a-team-discussion-comment) endpoint.
 *
 * List the reactions to a [team discussion comment](https://docs.github.com/rest/reference/teams#discussion-comments). OAuth access tokens require the `read:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const useReactionsListForTeamDiscussionCommentLegacy = <
  TData = ReactionsListForTeamDiscussionCommentLegacyResponse
>(
  variables: ReactionsListForTeamDiscussionCommentLegacyVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReactionsListForTeamDiscussionCommentLegacyResponse,
      ReactionsListForTeamDiscussionCommentLegacyError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReactionsListForTeamDiscussionCommentLegacyResponse,
    ReactionsListForTeamDiscussionCommentLegacyError,
    TData
  >(
    queryKeyFn({
      path: "/teams/{team_id}/discussions/{discussion_number}/comments/{comment_number}/reactions",
      operationId: "reactionsListForTeamDiscussionCommentLegacy",
      variables,
    }),
    () =>
      fetchReactionsListForTeamDiscussionCommentLegacy({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReactionsCreateForTeamDiscussionCommentLegacyPathParams = {
  teamId: number;
  discussionNumber: number;
  commentNumber: number;
};

export type ReactionsCreateForTeamDiscussionCommentLegacyError =
  Fetcher.ErrorWrapper<undefined>;

export type ReactionsCreateForTeamDiscussionCommentLegacyRequestBody = {
  /*
   * The [reaction type](https://docs.github.com/rest/reference/reactions#reaction-types) to add to the team discussion comment.
   */
  content:
    | "+1"
    | "-1"
    | "laugh"
    | "confused"
    | "heart"
    | "hooray"
    | "rocket"
    | "eyes";
};

export type ReactionsCreateForTeamDiscussionCommentLegacyVariables = {
  body: ReactionsCreateForTeamDiscussionCommentLegacyRequestBody;
  pathParams: ReactionsCreateForTeamDiscussionCommentLegacyPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new "[Create reaction for a team discussion comment](https://docs.github.com/rest/reference/reactions#create-reaction-for-a-team-discussion-comment)" endpoint.
 *
 * Create a reaction to a [team discussion comment](https://docs.github.com/rest/reference/teams#discussion-comments). OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/). A response with a `Status: 200 OK` means that you already added the reaction type to this team discussion comment.
 */
export const fetchReactionsCreateForTeamDiscussionCommentLegacy = (
  variables: ReactionsCreateForTeamDiscussionCommentLegacyVariables
) =>
  githubFetch<
    Schemas.Reaction,
    ReactionsCreateForTeamDiscussionCommentLegacyError,
    ReactionsCreateForTeamDiscussionCommentLegacyRequestBody,
    {},
    {},
    ReactionsCreateForTeamDiscussionCommentLegacyPathParams
  >({
    url: "/teams/{teamId}/discussions/{discussionNumber}/comments/{commentNumber}/reactions",
    method: "post",
    ...variables,
  });

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new "[Create reaction for a team discussion comment](https://docs.github.com/rest/reference/reactions#create-reaction-for-a-team-discussion-comment)" endpoint.
 *
 * Create a reaction to a [team discussion comment](https://docs.github.com/rest/reference/teams#discussion-comments). OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/). A response with a `Status: 200 OK` means that you already added the reaction type to this team discussion comment.
 */
export const useReactionsCreateForTeamDiscussionCommentLegacy = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Reaction,
      ReactionsCreateForTeamDiscussionCommentLegacyError,
      ReactionsCreateForTeamDiscussionCommentLegacyVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Reaction,
    ReactionsCreateForTeamDiscussionCommentLegacyError,
    ReactionsCreateForTeamDiscussionCommentLegacyVariables
  >(
    (variables: ReactionsCreateForTeamDiscussionCommentLegacyVariables) =>
      fetchReactionsCreateForTeamDiscussionCommentLegacy({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ReactionsListForTeamDiscussionLegacyPathParams = {
  teamId: number;
  discussionNumber: number;
};

export type ReactionsListForTeamDiscussionLegacyQueryParams = {
  /*
   * Returns a single [reaction type](https://docs.github.com/rest/reference/reactions#reaction-types). Omit this parameter to list all reactions to a team discussion.
   */
  content?:
    | "+1"
    | "-1"
    | "laugh"
    | "confused"
    | "heart"
    | "hooray"
    | "rocket"
    | "eyes";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ReactionsListForTeamDiscussionLegacyError =
  Fetcher.ErrorWrapper<undefined>;

export type ReactionsListForTeamDiscussionLegacyResponse = Schemas.Reaction[];

export type ReactionsListForTeamDiscussionLegacyVariables = {
  pathParams: ReactionsListForTeamDiscussionLegacyPathParams;
  queryParams?: ReactionsListForTeamDiscussionLegacyQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [`List reactions for a team discussion`](https://docs.github.com/rest/reference/reactions#list-reactions-for-a-team-discussion) endpoint.
 *
 * List the reactions to a [team discussion](https://docs.github.com/rest/reference/teams#discussions). OAuth access tokens require the `read:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const fetchReactionsListForTeamDiscussionLegacy = (
  variables: ReactionsListForTeamDiscussionLegacyVariables
) =>
  githubFetch<
    ReactionsListForTeamDiscussionLegacyResponse,
    ReactionsListForTeamDiscussionLegacyError,
    undefined,
    {},
    ReactionsListForTeamDiscussionLegacyQueryParams,
    ReactionsListForTeamDiscussionLegacyPathParams
  >({
    url: "/teams/{teamId}/discussions/{discussionNumber}/reactions",
    method: "get",
    ...variables,
  });

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [`List reactions for a team discussion`](https://docs.github.com/rest/reference/reactions#list-reactions-for-a-team-discussion) endpoint.
 *
 * List the reactions to a [team discussion](https://docs.github.com/rest/reference/teams#discussions). OAuth access tokens require the `read:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const useReactionsListForTeamDiscussionLegacy = <
  TData = ReactionsListForTeamDiscussionLegacyResponse
>(
  variables: ReactionsListForTeamDiscussionLegacyVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReactionsListForTeamDiscussionLegacyResponse,
      ReactionsListForTeamDiscussionLegacyError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReactionsListForTeamDiscussionLegacyResponse,
    ReactionsListForTeamDiscussionLegacyError,
    TData
  >(
    queryKeyFn({
      path: "/teams/{team_id}/discussions/{discussion_number}/reactions",
      operationId: "reactionsListForTeamDiscussionLegacy",
      variables,
    }),
    () =>
      fetchReactionsListForTeamDiscussionLegacy({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReactionsCreateForTeamDiscussionLegacyPathParams = {
  teamId: number;
  discussionNumber: number;
};

export type ReactionsCreateForTeamDiscussionLegacyError =
  Fetcher.ErrorWrapper<undefined>;

export type ReactionsCreateForTeamDiscussionLegacyRequestBody = {
  /*
   * The [reaction type](https://docs.github.com/rest/reference/reactions#reaction-types) to add to the team discussion.
   */
  content:
    | "+1"
    | "-1"
    | "laugh"
    | "confused"
    | "heart"
    | "hooray"
    | "rocket"
    | "eyes";
};

export type ReactionsCreateForTeamDiscussionLegacyVariables = {
  body: ReactionsCreateForTeamDiscussionLegacyRequestBody;
  pathParams: ReactionsCreateForTeamDiscussionLegacyPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [`Create reaction for a team discussion`](https://docs.github.com/rest/reference/reactions#create-reaction-for-a-team-discussion) endpoint.
 *
 * Create a reaction to a [team discussion](https://docs.github.com/rest/reference/teams#discussions). OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/). A response with a `Status: 200 OK` means that you already added the reaction type to this team discussion.
 */
export const fetchReactionsCreateForTeamDiscussionLegacy = (
  variables: ReactionsCreateForTeamDiscussionLegacyVariables
) =>
  githubFetch<
    Schemas.Reaction,
    ReactionsCreateForTeamDiscussionLegacyError,
    ReactionsCreateForTeamDiscussionLegacyRequestBody,
    {},
    {},
    ReactionsCreateForTeamDiscussionLegacyPathParams
  >({
    url: "/teams/{teamId}/discussions/{discussionNumber}/reactions",
    method: "post",
    ...variables,
  });

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [`Create reaction for a team discussion`](https://docs.github.com/rest/reference/reactions#create-reaction-for-a-team-discussion) endpoint.
 *
 * Create a reaction to a [team discussion](https://docs.github.com/rest/reference/teams#discussions). OAuth access tokens require the `write:discussion` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/). A response with a `Status: 200 OK` means that you already added the reaction type to this team discussion.
 */
export const useReactionsCreateForTeamDiscussionLegacy = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Reaction,
      ReactionsCreateForTeamDiscussionLegacyError,
      ReactionsCreateForTeamDiscussionLegacyVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Reaction,
    ReactionsCreateForTeamDiscussionLegacyError,
    ReactionsCreateForTeamDiscussionLegacyVariables
  >(
    (variables: ReactionsCreateForTeamDiscussionLegacyVariables) =>
      fetchReactionsCreateForTeamDiscussionLegacy({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type TeamsListPendingInvitationsLegacyPathParams = {
  teamId: number;
};

export type TeamsListPendingInvitationsLegacyQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type TeamsListPendingInvitationsLegacyError =
  Fetcher.ErrorWrapper<undefined>;

export type TeamsListPendingInvitationsLegacyResponse =
  Schemas.OrganizationInvitation[];

export type TeamsListPendingInvitationsLegacyVariables = {
  pathParams: TeamsListPendingInvitationsLegacyPathParams;
  queryParams?: TeamsListPendingInvitationsLegacyQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [`List pending team invitations`](https://docs.github.com/rest/reference/teams#list-pending-team-invitations) endpoint.
 *
 * The return hash contains a `role` field which refers to the Organization Invitation role and will be one of the following values: `direct_member`, `admin`, `billing_manager`, `hiring_manager`, or `reinstate`. If the invitee is not a GitHub member, the `login` field in the return hash will be `null`.
 */
export const fetchTeamsListPendingInvitationsLegacy = (
  variables: TeamsListPendingInvitationsLegacyVariables
) =>
  githubFetch<
    TeamsListPendingInvitationsLegacyResponse,
    TeamsListPendingInvitationsLegacyError,
    undefined,
    {},
    TeamsListPendingInvitationsLegacyQueryParams,
    TeamsListPendingInvitationsLegacyPathParams
  >({ url: "/teams/{teamId}/invitations", method: "get", ...variables });

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [`List pending team invitations`](https://docs.github.com/rest/reference/teams#list-pending-team-invitations) endpoint.
 *
 * The return hash contains a `role` field which refers to the Organization Invitation role and will be one of the following values: `direct_member`, `admin`, `billing_manager`, `hiring_manager`, or `reinstate`. If the invitee is not a GitHub member, the `login` field in the return hash will be `null`.
 */
export const useTeamsListPendingInvitationsLegacy = <
  TData = TeamsListPendingInvitationsLegacyResponse
>(
  variables: TeamsListPendingInvitationsLegacyVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      TeamsListPendingInvitationsLegacyResponse,
      TeamsListPendingInvitationsLegacyError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    TeamsListPendingInvitationsLegacyResponse,
    TeamsListPendingInvitationsLegacyError,
    TData
  >(
    queryKeyFn({
      path: "/teams/{team_id}/invitations",
      operationId: "teamsListPendingInvitationsLegacy",
      variables,
    }),
    () =>
      fetchTeamsListPendingInvitationsLegacy({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type TeamsListMembersLegacyPathParams = {
  teamId: number;
};

export type TeamsListMembersLegacyQueryParams = {
  /*
   * Filters members returned by their role in the team. Can be one of:
   * \* `member` - normal members of the team.
   * \* `maintainer` - team maintainers.
   * \* `all` - all members of the team.
   *
   * @default all
   */
  role?: "member" | "maintainer" | "all";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type TeamsListMembersLegacyError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type TeamsListMembersLegacyResponse = Schemas.SimpleUser[];

export type TeamsListMembersLegacyVariables = {
  pathParams: TeamsListMembersLegacyPathParams;
  queryParams?: TeamsListMembersLegacyQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [`List team members`](https://docs.github.com/rest/reference/teams#list-team-members) endpoint.
 *
 * Team members will include the members of child teams.
 */
export const fetchTeamsListMembersLegacy = (
  variables: TeamsListMembersLegacyVariables
) =>
  githubFetch<
    TeamsListMembersLegacyResponse,
    TeamsListMembersLegacyError,
    undefined,
    {},
    TeamsListMembersLegacyQueryParams,
    TeamsListMembersLegacyPathParams
  >({ url: "/teams/{teamId}/members", method: "get", ...variables });

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [`List team members`](https://docs.github.com/rest/reference/teams#list-team-members) endpoint.
 *
 * Team members will include the members of child teams.
 */
export const useTeamsListMembersLegacy = <
  TData = TeamsListMembersLegacyResponse
>(
  variables: TeamsListMembersLegacyVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      TeamsListMembersLegacyResponse,
      TeamsListMembersLegacyError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    TeamsListMembersLegacyResponse,
    TeamsListMembersLegacyError,
    TData
  >(
    queryKeyFn({
      path: "/teams/{team_id}/members",
      operationId: "teamsListMembersLegacy",
      variables,
    }),
    () => fetchTeamsListMembersLegacy({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type TeamsRemoveMemberLegacyPathParams = {
  teamId: number;
  username: string;
};

export type TeamsRemoveMemberLegacyError = Fetcher.ErrorWrapper<undefined>;

export type TeamsRemoveMemberLegacyVariables = {
  pathParams: TeamsRemoveMemberLegacyPathParams;
} & GithubContext["fetcherOptions"];

/**
 * The "Remove team member" endpoint (described below) is deprecated.
 *
 * We recommend using the [Remove team membership for a user](https://docs.github.com/rest/reference/teams#remove-team-membership-for-a-user) endpoint instead. It allows you to remove both active and pending memberships.
 *
 * Team synchronization is available for organizations using GitHub Enterprise Cloud. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * To remove a team member, the authenticated user must have 'admin' permissions to the team or be an owner of the org that the team is associated with. Removing a team member does not delete the user, it just removes them from the team.
 *
 * **Note:** When you have team synchronization set up for a team with your organization's identity provider (IdP), you will see an error if you attempt to use the API for making changes to the team's membership. If you have access to manage group membership in your IdP, you can manage GitHub team membership through your identity provider, which automatically adds and removes team members in an organization. For more information, see "[Synchronizing teams between your identity provider and GitHub](https://help.github.com/articles/synchronizing-teams-between-your-identity-provider-and-github/)."
 */
export const fetchTeamsRemoveMemberLegacy = (
  variables: TeamsRemoveMemberLegacyVariables
) =>
  githubFetch<
    undefined,
    TeamsRemoveMemberLegacyError,
    undefined,
    {},
    {},
    TeamsRemoveMemberLegacyPathParams
  >({
    url: "/teams/{teamId}/members/{username}",
    method: "delete",
    ...variables,
  });

/**
 * The "Remove team member" endpoint (described below) is deprecated.
 *
 * We recommend using the [Remove team membership for a user](https://docs.github.com/rest/reference/teams#remove-team-membership-for-a-user) endpoint instead. It allows you to remove both active and pending memberships.
 *
 * Team synchronization is available for organizations using GitHub Enterprise Cloud. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * To remove a team member, the authenticated user must have 'admin' permissions to the team or be an owner of the org that the team is associated with. Removing a team member does not delete the user, it just removes them from the team.
 *
 * **Note:** When you have team synchronization set up for a team with your organization's identity provider (IdP), you will see an error if you attempt to use the API for making changes to the team's membership. If you have access to manage group membership in your IdP, you can manage GitHub team membership through your identity provider, which automatically adds and removes team members in an organization. For more information, see "[Synchronizing teams between your identity provider and GitHub](https://help.github.com/articles/synchronizing-teams-between-your-identity-provider-and-github/)."
 */
export const useTeamsRemoveMemberLegacy = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      TeamsRemoveMemberLegacyError,
      TeamsRemoveMemberLegacyVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    TeamsRemoveMemberLegacyError,
    TeamsRemoveMemberLegacyVariables
  >(
    (variables: TeamsRemoveMemberLegacyVariables) =>
      fetchTeamsRemoveMemberLegacy({ ...fetcherOptions, ...variables }),
    options
  );
};

export type TeamsGetMemberLegacyPathParams = {
  teamId: number;
  username: string;
};

export type TeamsGetMemberLegacyError = Fetcher.ErrorWrapper<undefined>;

export type TeamsGetMemberLegacyVariables = {
  pathParams: TeamsGetMemberLegacyPathParams;
} & GithubContext["fetcherOptions"];

/**
 * The "Get team member" endpoint (described below) is deprecated.
 *
 * We recommend using the [Get team membership for a user](https://docs.github.com/rest/reference/teams#get-team-membership-for-a-user) endpoint instead. It allows you to get both active and pending memberships.
 *
 * To list members in a team, the team must be visible to the authenticated user.
 */
export const fetchTeamsGetMemberLegacy = (
  variables: TeamsGetMemberLegacyVariables
) =>
  githubFetch<
    undefined,
    TeamsGetMemberLegacyError,
    undefined,
    {},
    {},
    TeamsGetMemberLegacyPathParams
  >({ url: "/teams/{teamId}/members/{username}", method: "get", ...variables });

/**
 * The "Get team member" endpoint (described below) is deprecated.
 *
 * We recommend using the [Get team membership for a user](https://docs.github.com/rest/reference/teams#get-team-membership-for-a-user) endpoint instead. It allows you to get both active and pending memberships.
 *
 * To list members in a team, the team must be visible to the authenticated user.
 */
export const useTeamsGetMemberLegacy = <TData = undefined>(
  variables: TeamsGetMemberLegacyVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<undefined, TeamsGetMemberLegacyError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<undefined, TeamsGetMemberLegacyError, TData>(
    queryKeyFn({
      path: "/teams/{team_id}/members/{username}",
      operationId: "teamsGetMemberLegacy",
      variables,
    }),
    () => fetchTeamsGetMemberLegacy({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type TeamsAddMemberLegacyPathParams = {
  teamId: number;
  username: string;
};

export type TeamsAddMemberLegacyError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 422;
      payload: {
        /*
         * @example "https://docs.github.com/rest"
         */
        documentation_url?: string;
        errors?: {
          code?: string;
          field?: string;
          resource?: string;
        }[];
        message?: string;
      };
    }
>;

export type TeamsAddMemberLegacyVariables = {
  pathParams: TeamsAddMemberLegacyPathParams;
} & GithubContext["fetcherOptions"];

/**
 * The "Add team member" endpoint (described below) is deprecated.
 *
 * We recommend using the [Add or update team membership for a user](https://docs.github.com/rest/reference/teams#add-or-update-team-membership-for-a-user) endpoint instead. It allows you to invite new organization members to your teams.
 *
 * Team synchronization is available for organizations using GitHub Enterprise Cloud. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * To add someone to a team, the authenticated user must be an organization owner or a team maintainer in the team they're changing. The person being added to the team must be a member of the team's organization.
 *
 * **Note:** When you have team synchronization set up for a team with your organization's identity provider (IdP), you will see an error if you attempt to use the API for making changes to the team's membership. If you have access to manage group membership in your IdP, you can manage GitHub team membership through your identity provider, which automatically adds and removes team members in an organization. For more information, see "[Synchronizing teams between your identity provider and GitHub](https://help.github.com/articles/synchronizing-teams-between-your-identity-provider-and-github/)."
 *
 * Note that you'll need to set `Content-Length` to zero when calling out to this endpoint. For more information, see "[HTTP verbs](https://docs.github.com/rest/overview/resources-in-the-rest-api#http-verbs)."
 */
export const fetchTeamsAddMemberLegacy = (
  variables: TeamsAddMemberLegacyVariables
) =>
  githubFetch<
    undefined,
    TeamsAddMemberLegacyError,
    undefined,
    {},
    {},
    TeamsAddMemberLegacyPathParams
  >({ url: "/teams/{teamId}/members/{username}", method: "put", ...variables });

/**
 * The "Add team member" endpoint (described below) is deprecated.
 *
 * We recommend using the [Add or update team membership for a user](https://docs.github.com/rest/reference/teams#add-or-update-team-membership-for-a-user) endpoint instead. It allows you to invite new organization members to your teams.
 *
 * Team synchronization is available for organizations using GitHub Enterprise Cloud. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * To add someone to a team, the authenticated user must be an organization owner or a team maintainer in the team they're changing. The person being added to the team must be a member of the team's organization.
 *
 * **Note:** When you have team synchronization set up for a team with your organization's identity provider (IdP), you will see an error if you attempt to use the API for making changes to the team's membership. If you have access to manage group membership in your IdP, you can manage GitHub team membership through your identity provider, which automatically adds and removes team members in an organization. For more information, see "[Synchronizing teams between your identity provider and GitHub](https://help.github.com/articles/synchronizing-teams-between-your-identity-provider-and-github/)."
 *
 * Note that you'll need to set `Content-Length` to zero when calling out to this endpoint. For more information, see "[HTTP verbs](https://docs.github.com/rest/overview/resources-in-the-rest-api#http-verbs)."
 */
export const useTeamsAddMemberLegacy = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      TeamsAddMemberLegacyError,
      TeamsAddMemberLegacyVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    TeamsAddMemberLegacyError,
    TeamsAddMemberLegacyVariables
  >(
    (variables: TeamsAddMemberLegacyVariables) =>
      fetchTeamsAddMemberLegacy({ ...fetcherOptions, ...variables }),
    options
  );
};

export type TeamsRemoveMembershipForUserLegacyPathParams = {
  teamId: number;
  username: string;
};

export type TeamsRemoveMembershipForUserLegacyError =
  Fetcher.ErrorWrapper<undefined>;

export type TeamsRemoveMembershipForUserLegacyVariables = {
  pathParams: TeamsRemoveMembershipForUserLegacyPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [Remove team membership for a user](https://docs.github.com/rest/reference/teams#remove-team-membership-for-a-user) endpoint.
 *
 * Team synchronization is available for organizations using GitHub Enterprise Cloud. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * To remove a membership between a user and a team, the authenticated user must have 'admin' permissions to the team or be an owner of the organization that the team is associated with. Removing team membership does not delete the user, it just removes their membership from the team.
 *
 * **Note:** When you have team synchronization set up for a team with your organization's identity provider (IdP), you will see an error if you attempt to use the API for making changes to the team's membership. If you have access to manage group membership in your IdP, you can manage GitHub team membership through your identity provider, which automatically adds and removes team members in an organization. For more information, see "[Synchronizing teams between your identity provider and GitHub](https://help.github.com/articles/synchronizing-teams-between-your-identity-provider-and-github/)."
 */
export const fetchTeamsRemoveMembershipForUserLegacy = (
  variables: TeamsRemoveMembershipForUserLegacyVariables
) =>
  githubFetch<
    undefined,
    TeamsRemoveMembershipForUserLegacyError,
    undefined,
    {},
    {},
    TeamsRemoveMembershipForUserLegacyPathParams
  >({
    url: "/teams/{teamId}/memberships/{username}",
    method: "delete",
    ...variables,
  });

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [Remove team membership for a user](https://docs.github.com/rest/reference/teams#remove-team-membership-for-a-user) endpoint.
 *
 * Team synchronization is available for organizations using GitHub Enterprise Cloud. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * To remove a membership between a user and a team, the authenticated user must have 'admin' permissions to the team or be an owner of the organization that the team is associated with. Removing team membership does not delete the user, it just removes their membership from the team.
 *
 * **Note:** When you have team synchronization set up for a team with your organization's identity provider (IdP), you will see an error if you attempt to use the API for making changes to the team's membership. If you have access to manage group membership in your IdP, you can manage GitHub team membership through your identity provider, which automatically adds and removes team members in an organization. For more information, see "[Synchronizing teams between your identity provider and GitHub](https://help.github.com/articles/synchronizing-teams-between-your-identity-provider-and-github/)."
 */
export const useTeamsRemoveMembershipForUserLegacy = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      TeamsRemoveMembershipForUserLegacyError,
      TeamsRemoveMembershipForUserLegacyVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    TeamsRemoveMembershipForUserLegacyError,
    TeamsRemoveMembershipForUserLegacyVariables
  >(
    (variables: TeamsRemoveMembershipForUserLegacyVariables) =>
      fetchTeamsRemoveMembershipForUserLegacy({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type TeamsGetMembershipForUserLegacyPathParams = {
  teamId: number;
  username: string;
};

export type TeamsGetMembershipForUserLegacyError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type TeamsGetMembershipForUserLegacyVariables = {
  pathParams: TeamsGetMembershipForUserLegacyPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [Get team membership for a user](https://docs.github.com/rest/reference/teams#get-team-membership-for-a-user) endpoint.
 *
 * Team members will include the members of child teams.
 *
 * To get a user's membership with a team, the team must be visible to the authenticated user.
 *
 * **Note:** The `role` for organization owners returns as `maintainer`. For more information about `maintainer` roles, see [Create a team](https://docs.github.com/rest/reference/teams#create-a-team).
 */
export const fetchTeamsGetMembershipForUserLegacy = (
  variables: TeamsGetMembershipForUserLegacyVariables
) =>
  githubFetch<
    Schemas.TeamMembership,
    TeamsGetMembershipForUserLegacyError,
    undefined,
    {},
    {},
    TeamsGetMembershipForUserLegacyPathParams
  >({
    url: "/teams/{teamId}/memberships/{username}",
    method: "get",
    ...variables,
  });

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [Get team membership for a user](https://docs.github.com/rest/reference/teams#get-team-membership-for-a-user) endpoint.
 *
 * Team members will include the members of child teams.
 *
 * To get a user's membership with a team, the team must be visible to the authenticated user.
 *
 * **Note:** The `role` for organization owners returns as `maintainer`. For more information about `maintainer` roles, see [Create a team](https://docs.github.com/rest/reference/teams#create-a-team).
 */
export const useTeamsGetMembershipForUserLegacy = <
  TData = Schemas.TeamMembership
>(
  variables: TeamsGetMembershipForUserLegacyVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.TeamMembership,
      TeamsGetMembershipForUserLegacyError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.TeamMembership,
    TeamsGetMembershipForUserLegacyError,
    TData
  >(
    queryKeyFn({
      path: "/teams/{team_id}/memberships/{username}",
      operationId: "teamsGetMembershipForUserLegacy",
      variables,
    }),
    () =>
      fetchTeamsGetMembershipForUserLegacy({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type TeamsAddOrUpdateMembershipForUserLegacyPathParams = {
  teamId: number;
  username: string;
};

export type TeamsAddOrUpdateMembershipForUserLegacyError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: {
        /*
         * @example "https://help.github.com/articles/github-and-trade-controls"
         */
        documentation_url?: string;
        errors?: {
          code?: string;
          field?: string;
          resource?: string;
        }[];
        message?: string;
      };
    }
>;

export type TeamsAddOrUpdateMembershipForUserLegacyRequestBody = {
  /*
   * The role that this user should have in the team. Can be one of:
   * \* `member` - a normal member of the team.
   * \* `maintainer` - a team maintainer. Able to add/remove other team members, promote other team members to team maintainer, and edit the team's name and description.
   *
   * @default member
   */
  role?: "member" | "maintainer";
};

export type TeamsAddOrUpdateMembershipForUserLegacyVariables = {
  body?: TeamsAddOrUpdateMembershipForUserLegacyRequestBody;
  pathParams: TeamsAddOrUpdateMembershipForUserLegacyPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [Add or update team membership for a user](https://docs.github.com/rest/reference/teams#add-or-update-team-membership-for-a-user) endpoint.
 *
 * Team synchronization is available for organizations using GitHub Enterprise Cloud. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * If the user is already a member of the team's organization, this endpoint will add the user to the team. To add a membership between an organization member and a team, the authenticated user must be an organization owner or a team maintainer.
 *
 * **Note:** When you have team synchronization set up for a team with your organization's identity provider (IdP), you will see an error if you attempt to use the API for making changes to the team's membership. If you have access to manage group membership in your IdP, you can manage GitHub team membership through your identity provider, which automatically adds and removes team members in an organization. For more information, see "[Synchronizing teams between your identity provider and GitHub](https://help.github.com/articles/synchronizing-teams-between-your-identity-provider-and-github/)."
 *
 * If the user is unaffiliated with the team's organization, this endpoint will send an invitation to the user via email. This newly-created membership will be in the "pending" state until the user accepts the invitation, at which point the membership will transition to the "active" state and the user will be added as a member of the team. To add a membership between an unaffiliated user and a team, the authenticated user must be an organization owner.
 *
 * If the user is already a member of the team, this endpoint will update the role of the team member's role. To update the membership of a team member, the authenticated user must be an organization owner or a team maintainer.
 */
export const fetchTeamsAddOrUpdateMembershipForUserLegacy = (
  variables: TeamsAddOrUpdateMembershipForUserLegacyVariables
) =>
  githubFetch<
    Schemas.TeamMembership,
    TeamsAddOrUpdateMembershipForUserLegacyError,
    TeamsAddOrUpdateMembershipForUserLegacyRequestBody,
    {},
    {},
    TeamsAddOrUpdateMembershipForUserLegacyPathParams
  >({
    url: "/teams/{teamId}/memberships/{username}",
    method: "put",
    ...variables,
  });

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [Add or update team membership for a user](https://docs.github.com/rest/reference/teams#add-or-update-team-membership-for-a-user) endpoint.
 *
 * Team synchronization is available for organizations using GitHub Enterprise Cloud. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * If the user is already a member of the team's organization, this endpoint will add the user to the team. To add a membership between an organization member and a team, the authenticated user must be an organization owner or a team maintainer.
 *
 * **Note:** When you have team synchronization set up for a team with your organization's identity provider (IdP), you will see an error if you attempt to use the API for making changes to the team's membership. If you have access to manage group membership in your IdP, you can manage GitHub team membership through your identity provider, which automatically adds and removes team members in an organization. For more information, see "[Synchronizing teams between your identity provider and GitHub](https://help.github.com/articles/synchronizing-teams-between-your-identity-provider-and-github/)."
 *
 * If the user is unaffiliated with the team's organization, this endpoint will send an invitation to the user via email. This newly-created membership will be in the "pending" state until the user accepts the invitation, at which point the membership will transition to the "active" state and the user will be added as a member of the team. To add a membership between an unaffiliated user and a team, the authenticated user must be an organization owner.
 *
 * If the user is already a member of the team, this endpoint will update the role of the team member's role. To update the membership of a team member, the authenticated user must be an organization owner or a team maintainer.
 */
export const useTeamsAddOrUpdateMembershipForUserLegacy = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.TeamMembership,
      TeamsAddOrUpdateMembershipForUserLegacyError,
      TeamsAddOrUpdateMembershipForUserLegacyVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.TeamMembership,
    TeamsAddOrUpdateMembershipForUserLegacyError,
    TeamsAddOrUpdateMembershipForUserLegacyVariables
  >(
    (variables: TeamsAddOrUpdateMembershipForUserLegacyVariables) =>
      fetchTeamsAddOrUpdateMembershipForUserLegacy({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type TeamsListProjectsLegacyPathParams = {
  teamId: number;
};

export type TeamsListProjectsLegacyQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type TeamsListProjectsLegacyError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 415;
      payload: Responses.PreviewHeaderMissing;
    }
>;

export type TeamsListProjectsLegacyResponse = Schemas.TeamProject[];

export type TeamsListProjectsLegacyVariables = {
  pathParams: TeamsListProjectsLegacyPathParams;
  queryParams?: TeamsListProjectsLegacyQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [`List team projects`](https://docs.github.com/rest/reference/teams#list-team-projects) endpoint.
 *
 * Lists the organization projects for a team.
 */
export const fetchTeamsListProjectsLegacy = (
  variables: TeamsListProjectsLegacyVariables
) =>
  githubFetch<
    TeamsListProjectsLegacyResponse,
    TeamsListProjectsLegacyError,
    undefined,
    {},
    TeamsListProjectsLegacyQueryParams,
    TeamsListProjectsLegacyPathParams
  >({ url: "/teams/{teamId}/projects", method: "get", ...variables });

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [`List team projects`](https://docs.github.com/rest/reference/teams#list-team-projects) endpoint.
 *
 * Lists the organization projects for a team.
 */
export const useTeamsListProjectsLegacy = <
  TData = TeamsListProjectsLegacyResponse
>(
  variables: TeamsListProjectsLegacyVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      TeamsListProjectsLegacyResponse,
      TeamsListProjectsLegacyError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    TeamsListProjectsLegacyResponse,
    TeamsListProjectsLegacyError,
    TData
  >(
    queryKeyFn({
      path: "/teams/{team_id}/projects",
      operationId: "teamsListProjectsLegacy",
      variables,
    }),
    () => fetchTeamsListProjectsLegacy({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type TeamsRemoveProjectLegacyPathParams = {
  teamId: number;
  projectId: number;
};

export type TeamsRemoveProjectLegacyError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 415;
      payload: Responses.PreviewHeaderMissing;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type TeamsRemoveProjectLegacyVariables = {
  pathParams: TeamsRemoveProjectLegacyPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [Remove a project from a team](https://docs.github.com/rest/reference/teams#remove-a-project-from-a-team) endpoint.
 *
 * Removes an organization project from a team. An organization owner or a team maintainer can remove any project from the team. To remove a project from a team as an organization member, the authenticated user must have `read` access to both the team and project, or `admin` access to the team or project. **Note:** This endpoint removes the project from the team, but does not delete it.
 */
export const fetchTeamsRemoveProjectLegacy = (
  variables: TeamsRemoveProjectLegacyVariables
) =>
  githubFetch<
    undefined,
    TeamsRemoveProjectLegacyError,
    undefined,
    {},
    {},
    TeamsRemoveProjectLegacyPathParams
  >({
    url: "/teams/{teamId}/projects/{projectId}",
    method: "delete",
    ...variables,
  });

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [Remove a project from a team](https://docs.github.com/rest/reference/teams#remove-a-project-from-a-team) endpoint.
 *
 * Removes an organization project from a team. An organization owner or a team maintainer can remove any project from the team. To remove a project from a team as an organization member, the authenticated user must have `read` access to both the team and project, or `admin` access to the team or project. **Note:** This endpoint removes the project from the team, but does not delete it.
 */
export const useTeamsRemoveProjectLegacy = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      TeamsRemoveProjectLegacyError,
      TeamsRemoveProjectLegacyVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    TeamsRemoveProjectLegacyError,
    TeamsRemoveProjectLegacyVariables
  >(
    (variables: TeamsRemoveProjectLegacyVariables) =>
      fetchTeamsRemoveProjectLegacy({ ...fetcherOptions, ...variables }),
    options
  );
};

export type TeamsCheckPermissionsForProjectLegacyPathParams = {
  teamId: number;
  projectId: number;
};

export type TeamsCheckPermissionsForProjectLegacyError = Fetcher.ErrorWrapper<{
  status: 415;
  payload: Responses.PreviewHeaderMissing;
}>;

export type TeamsCheckPermissionsForProjectLegacyVariables = {
  pathParams: TeamsCheckPermissionsForProjectLegacyPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [Check team permissions for a project](https://docs.github.com/rest/reference/teams#check-team-permissions-for-a-project) endpoint.
 *
 * Checks whether a team has `read`, `write`, or `admin` permissions for an organization project. The response includes projects inherited from a parent team.
 */
export const fetchTeamsCheckPermissionsForProjectLegacy = (
  variables: TeamsCheckPermissionsForProjectLegacyVariables
) =>
  githubFetch<
    Schemas.TeamProject,
    TeamsCheckPermissionsForProjectLegacyError,
    undefined,
    {},
    {},
    TeamsCheckPermissionsForProjectLegacyPathParams
  >({
    url: "/teams/{teamId}/projects/{projectId}",
    method: "get",
    ...variables,
  });

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [Check team permissions for a project](https://docs.github.com/rest/reference/teams#check-team-permissions-for-a-project) endpoint.
 *
 * Checks whether a team has `read`, `write`, or `admin` permissions for an organization project. The response includes projects inherited from a parent team.
 */
export const useTeamsCheckPermissionsForProjectLegacy = <
  TData = Schemas.TeamProject
>(
  variables: TeamsCheckPermissionsForProjectLegacyVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.TeamProject,
      TeamsCheckPermissionsForProjectLegacyError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.TeamProject,
    TeamsCheckPermissionsForProjectLegacyError,
    TData
  >(
    queryKeyFn({
      path: "/teams/{team_id}/projects/{project_id}",
      operationId: "teamsCheckPermissionsForProjectLegacy",
      variables,
    }),
    () =>
      fetchTeamsCheckPermissionsForProjectLegacy({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type TeamsAddOrUpdateProjectPermissionsLegacyPathParams = {
  teamId: number;
  projectId: number;
};

export type TeamsAddOrUpdateProjectPermissionsLegacyError =
  Fetcher.ErrorWrapper<
    | {
        status: 403;
        payload: {
          documentation_url?: string;
          message?: string;
        };
      }
    | {
        status: 404;
        payload: Responses.NotFound;
      }
    | {
        status: 415;
        payload: Responses.PreviewHeaderMissing;
      }
    | {
        status: 422;
        payload: Responses.ValidationFailed;
      }
  >;

export type TeamsAddOrUpdateProjectPermissionsLegacyRequestBody = {
  /*
   * The permission to grant to the team for this project. Can be one of:
   * \* `read` - team members can read, but not write to or administer this project.
   * \* `write` - team members can read and write, but not administer this project.
   * \* `admin` - team members can read, write and administer this project.
   * Default: the team's `permission` attribute will be used to determine what permission to grant the team on this project. Note that, if you choose not to pass any parameters, you'll need to set `Content-Length` to zero when calling out to this endpoint. For more information, see "[HTTP verbs](https://docs.github.com/rest/overview/resources-in-the-rest-api#http-verbs)."
   */
  permission?: "read" | "write" | "admin";
};

export type TeamsAddOrUpdateProjectPermissionsLegacyVariables = {
  body?: TeamsAddOrUpdateProjectPermissionsLegacyRequestBody;
  pathParams: TeamsAddOrUpdateProjectPermissionsLegacyPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [Add or update team project permissions](https://docs.github.com/rest/reference/teams#add-or-update-team-project-permissions) endpoint.
 *
 * Adds an organization project to a team. To add a project to a team or update the team's permission on a project, the authenticated user must have `admin` permissions for the project. The project and team must be part of the same organization.
 */
export const fetchTeamsAddOrUpdateProjectPermissionsLegacy = (
  variables: TeamsAddOrUpdateProjectPermissionsLegacyVariables
) =>
  githubFetch<
    undefined,
    TeamsAddOrUpdateProjectPermissionsLegacyError,
    TeamsAddOrUpdateProjectPermissionsLegacyRequestBody,
    {},
    {},
    TeamsAddOrUpdateProjectPermissionsLegacyPathParams
  >({
    url: "/teams/{teamId}/projects/{projectId}",
    method: "put",
    ...variables,
  });

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [Add or update team project permissions](https://docs.github.com/rest/reference/teams#add-or-update-team-project-permissions) endpoint.
 *
 * Adds an organization project to a team. To add a project to a team or update the team's permission on a project, the authenticated user must have `admin` permissions for the project. The project and team must be part of the same organization.
 */
export const useTeamsAddOrUpdateProjectPermissionsLegacy = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      TeamsAddOrUpdateProjectPermissionsLegacyError,
      TeamsAddOrUpdateProjectPermissionsLegacyVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    TeamsAddOrUpdateProjectPermissionsLegacyError,
    TeamsAddOrUpdateProjectPermissionsLegacyVariables
  >(
    (variables: TeamsAddOrUpdateProjectPermissionsLegacyVariables) =>
      fetchTeamsAddOrUpdateProjectPermissionsLegacy({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type TeamsListReposLegacyPathParams = {
  teamId: number;
};

export type TeamsListReposLegacyQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type TeamsListReposLegacyError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type TeamsListReposLegacyResponse = Schemas.MinimalRepository[];

export type TeamsListReposLegacyVariables = {
  pathParams: TeamsListReposLegacyPathParams;
  queryParams?: TeamsListReposLegacyQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [List team repositories](https://docs.github.com/rest/reference/teams#list-team-repositories) endpoint.
 */
export const fetchTeamsListReposLegacy = (
  variables: TeamsListReposLegacyVariables
) =>
  githubFetch<
    TeamsListReposLegacyResponse,
    TeamsListReposLegacyError,
    undefined,
    {},
    TeamsListReposLegacyQueryParams,
    TeamsListReposLegacyPathParams
  >({ url: "/teams/{teamId}/repos", method: "get", ...variables });

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [List team repositories](https://docs.github.com/rest/reference/teams#list-team-repositories) endpoint.
 */
export const useTeamsListReposLegacy = <TData = TeamsListReposLegacyResponse>(
  variables: TeamsListReposLegacyVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      TeamsListReposLegacyResponse,
      TeamsListReposLegacyError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    TeamsListReposLegacyResponse,
    TeamsListReposLegacyError,
    TData
  >(
    queryKeyFn({
      path: "/teams/{team_id}/repos",
      operationId: "teamsListReposLegacy",
      variables,
    }),
    () => fetchTeamsListReposLegacy({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type TeamsRemoveRepoLegacyPathParams = {
  teamId: number;
  owner: string;
  repo: string;
};

export type TeamsRemoveRepoLegacyError = Fetcher.ErrorWrapper<undefined>;

export type TeamsRemoveRepoLegacyVariables = {
  pathParams: TeamsRemoveRepoLegacyPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [Remove a repository from a team](https://docs.github.com/rest/reference/teams#remove-a-repository-from-a-team) endpoint.
 *
 * If the authenticated user is an organization owner or a team maintainer, they can remove any repositories from the team. To remove a repository from a team as an organization member, the authenticated user must have admin access to the repository and must be able to see the team. NOTE: This does not delete the repository, it just removes it from the team.
 */
export const fetchTeamsRemoveRepoLegacy = (
  variables: TeamsRemoveRepoLegacyVariables
) =>
  githubFetch<
    undefined,
    TeamsRemoveRepoLegacyError,
    undefined,
    {},
    {},
    TeamsRemoveRepoLegacyPathParams
  >({
    url: "/teams/{teamId}/repos/{owner}/{repo}",
    method: "delete",
    ...variables,
  });

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [Remove a repository from a team](https://docs.github.com/rest/reference/teams#remove-a-repository-from-a-team) endpoint.
 *
 * If the authenticated user is an organization owner or a team maintainer, they can remove any repositories from the team. To remove a repository from a team as an organization member, the authenticated user must have admin access to the repository and must be able to see the team. NOTE: This does not delete the repository, it just removes it from the team.
 */
export const useTeamsRemoveRepoLegacy = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      TeamsRemoveRepoLegacyError,
      TeamsRemoveRepoLegacyVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    TeamsRemoveRepoLegacyError,
    TeamsRemoveRepoLegacyVariables
  >(
    (variables: TeamsRemoveRepoLegacyVariables) =>
      fetchTeamsRemoveRepoLegacy({ ...fetcherOptions, ...variables }),
    options
  );
};

export type TeamsCheckPermissionsForRepoLegacyPathParams = {
  teamId: number;
  owner: string;
  repo: string;
};

export type TeamsCheckPermissionsForRepoLegacyError =
  Fetcher.ErrorWrapper<undefined>;

export type TeamsCheckPermissionsForRepoLegacyVariables = {
  pathParams: TeamsCheckPermissionsForRepoLegacyPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Note**: Repositories inherited through a parent team will also be checked.
 *
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [Check team permissions for a repository](https://docs.github.com/rest/reference/teams#check-team-permissions-for-a-repository) endpoint.
 *
 * You can also get information about the specified repository, including what permissions the team grants on it, by passing the following custom [media type](https://docs.github.com/rest/overview/media-types/) via the `Accept` header:
 */
export const fetchTeamsCheckPermissionsForRepoLegacy = (
  variables: TeamsCheckPermissionsForRepoLegacyVariables
) =>
  githubFetch<
    undefined,
    TeamsCheckPermissionsForRepoLegacyError,
    undefined,
    {},
    {},
    TeamsCheckPermissionsForRepoLegacyPathParams
  >({
    url: "/teams/{teamId}/repos/{owner}/{repo}",
    method: "get",
    ...variables,
  });

/**
 * **Note**: Repositories inherited through a parent team will also be checked.
 *
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [Check team permissions for a repository](https://docs.github.com/rest/reference/teams#check-team-permissions-for-a-repository) endpoint.
 *
 * You can also get information about the specified repository, including what permissions the team grants on it, by passing the following custom [media type](https://docs.github.com/rest/overview/media-types/) via the `Accept` header:
 */
export const useTeamsCheckPermissionsForRepoLegacy = <TData = undefined>(
  variables: TeamsCheckPermissionsForRepoLegacyVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      undefined,
      TeamsCheckPermissionsForRepoLegacyError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    undefined,
    TeamsCheckPermissionsForRepoLegacyError,
    TData
  >(
    queryKeyFn({
      path: "/teams/{team_id}/repos/{owner}/{repo}",
      operationId: "teamsCheckPermissionsForRepoLegacy",
      variables,
    }),
    () =>
      fetchTeamsCheckPermissionsForRepoLegacy({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type TeamsAddOrUpdateRepoPermissionsLegacyPathParams = {
  teamId: number;
  owner: string;
  repo: string;
};

export type TeamsAddOrUpdateRepoPermissionsLegacyError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type TeamsAddOrUpdateRepoPermissionsLegacyRequestBody = {
  /*
   * The permission to grant the team on this repository. Can be one of:
   * \* `pull` - team members can pull, but not push to or administer this repository.
   * \* `push` - team members can pull and push, but not administer this repository.
   * \* `admin` - team members can pull, push and administer this repository.
   *
   * If no permission is specified, the team's `permission` attribute will be used to determine what permission to grant the team on this repository.
   */
  permission?: "pull" | "push" | "admin";
};

export type TeamsAddOrUpdateRepoPermissionsLegacyVariables = {
  body?: TeamsAddOrUpdateRepoPermissionsLegacyRequestBody;
  pathParams: TeamsAddOrUpdateRepoPermissionsLegacyPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new "[Add or update team repository permissions](https://docs.github.com/rest/reference/teams#add-or-update-team-repository-permissions)" endpoint.
 *
 * To add a repository to a team or update the team's permission on a repository, the authenticated user must have admin access to the repository, and must be able to see the team. The repository must be owned by the organization, or a direct fork of a repository owned by the organization. You will get a `422 Unprocessable Entity` status if you attempt to add a repository to a team that is not owned by the organization.
 *
 * Note that, if you choose not to pass any parameters, you'll need to set `Content-Length` to zero when calling out to this endpoint. For more information, see "[HTTP verbs](https://docs.github.com/rest/overview/resources-in-the-rest-api#http-verbs)."
 */
export const fetchTeamsAddOrUpdateRepoPermissionsLegacy = (
  variables: TeamsAddOrUpdateRepoPermissionsLegacyVariables
) =>
  githubFetch<
    undefined,
    TeamsAddOrUpdateRepoPermissionsLegacyError,
    TeamsAddOrUpdateRepoPermissionsLegacyRequestBody,
    {},
    {},
    TeamsAddOrUpdateRepoPermissionsLegacyPathParams
  >({
    url: "/teams/{teamId}/repos/{owner}/{repo}",
    method: "put",
    ...variables,
  });

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new "[Add or update team repository permissions](https://docs.github.com/rest/reference/teams#add-or-update-team-repository-permissions)" endpoint.
 *
 * To add a repository to a team or update the team's permission on a repository, the authenticated user must have admin access to the repository, and must be able to see the team. The repository must be owned by the organization, or a direct fork of a repository owned by the organization. You will get a `422 Unprocessable Entity` status if you attempt to add a repository to a team that is not owned by the organization.
 *
 * Note that, if you choose not to pass any parameters, you'll need to set `Content-Length` to zero when calling out to this endpoint. For more information, see "[HTTP verbs](https://docs.github.com/rest/overview/resources-in-the-rest-api#http-verbs)."
 */
export const useTeamsAddOrUpdateRepoPermissionsLegacy = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      TeamsAddOrUpdateRepoPermissionsLegacyError,
      TeamsAddOrUpdateRepoPermissionsLegacyVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    TeamsAddOrUpdateRepoPermissionsLegacyError,
    TeamsAddOrUpdateRepoPermissionsLegacyVariables
  >(
    (variables: TeamsAddOrUpdateRepoPermissionsLegacyVariables) =>
      fetchTeamsAddOrUpdateRepoPermissionsLegacy({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type TeamsListIdpGroupsForLegacyPathParams = {
  teamId: number;
};

export type TeamsListIdpGroupsForLegacyError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type TeamsListIdpGroupsForLegacyVariables = {
  pathParams: TeamsListIdpGroupsForLegacyPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [`List IdP groups for a team`](https://docs.github.com/rest/reference/teams#list-idp-groups-for-a-team) endpoint.
 *
 * Team synchronization is available for organizations using GitHub Enterprise Cloud. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * List IdP groups connected to a team on GitHub.
 */
export const fetchTeamsListIdpGroupsForLegacy = (
  variables: TeamsListIdpGroupsForLegacyVariables
) =>
  githubFetch<
    Schemas.GroupMapping,
    TeamsListIdpGroupsForLegacyError,
    undefined,
    {},
    {},
    TeamsListIdpGroupsForLegacyPathParams
  >({
    url: "/teams/{teamId}/team-sync/group-mappings",
    method: "get",
    ...variables,
  });

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [`List IdP groups for a team`](https://docs.github.com/rest/reference/teams#list-idp-groups-for-a-team) endpoint.
 *
 * Team synchronization is available for organizations using GitHub Enterprise Cloud. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * List IdP groups connected to a team on GitHub.
 */
export const useTeamsListIdpGroupsForLegacy = <TData = Schemas.GroupMapping>(
  variables: TeamsListIdpGroupsForLegacyVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.GroupMapping,
      TeamsListIdpGroupsForLegacyError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.GroupMapping,
    TeamsListIdpGroupsForLegacyError,
    TData
  >(
    queryKeyFn({
      path: "/teams/{team_id}/team-sync/group-mappings",
      operationId: "teamsListIdpGroupsForLegacy",
      variables,
    }),
    () => fetchTeamsListIdpGroupsForLegacy({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type TeamsCreateOrUpdateIdpGroupConnectionsLegacyPathParams = {
  teamId: number;
};

export type TeamsCreateOrUpdateIdpGroupConnectionsLegacyError =
  Fetcher.ErrorWrapper<
    | {
        status: 403;
        payload: Responses.Forbidden;
      }
    | {
        status: 422;
        payload: Responses.ValidationFailed;
      }
  >;

export type TeamsCreateOrUpdateIdpGroupConnectionsLegacyRequestBody = {
  /*
   * The IdP groups you want to connect to a GitHub team. When updating, the new `groups` object will replace the original one. You must include any existing groups that you don't want to remove.
   */
  groups: {
    /*
     * @example "moar cheese pleese"
     */
    description?: string;
    /*
     * Description of the IdP group.
     */
    group_description: string;
    /*
     * ID of the IdP group.
     */
    group_id: string;
    /*
     * Name of the IdP group.
     */
    group_name: string;
    /*
     * @example "caceab43fc9ffa20081c"
     */
    id?: string;
    /*
     * @example "external-team-6c13e7288ef7"
     */
    name?: string;
  }[];
  /*
   * @example "I am not a timestamp"
   */
  synced_at?: string;
};

export type TeamsCreateOrUpdateIdpGroupConnectionsLegacyVariables = {
  body: TeamsCreateOrUpdateIdpGroupConnectionsLegacyRequestBody;
  pathParams: TeamsCreateOrUpdateIdpGroupConnectionsLegacyPathParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [`Create or update IdP group connections`](https://docs.github.com/rest/reference/teams#create-or-update-idp-group-connections) endpoint.
 *
 * Team synchronization is available for organizations using GitHub Enterprise Cloud. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Creates, updates, or removes a connection between a team and an IdP group. When adding groups to a team, you must include all new and existing groups to avoid replacing existing groups with the new ones. Specifying an empty `groups` array will remove all connections for a team.
 */
export const fetchTeamsCreateOrUpdateIdpGroupConnectionsLegacy = (
  variables: TeamsCreateOrUpdateIdpGroupConnectionsLegacyVariables
) =>
  githubFetch<
    Schemas.GroupMapping,
    TeamsCreateOrUpdateIdpGroupConnectionsLegacyError,
    TeamsCreateOrUpdateIdpGroupConnectionsLegacyRequestBody,
    {},
    {},
    TeamsCreateOrUpdateIdpGroupConnectionsLegacyPathParams
  >({
    url: "/teams/{teamId}/team-sync/group-mappings",
    method: "patch",
    ...variables,
  });

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [`Create or update IdP group connections`](https://docs.github.com/rest/reference/teams#create-or-update-idp-group-connections) endpoint.
 *
 * Team synchronization is available for organizations using GitHub Enterprise Cloud. For more information, see [GitHub's products](https://help.github.com/github/getting-started-with-github/githubs-products) in the GitHub Help documentation.
 *
 * Creates, updates, or removes a connection between a team and an IdP group. When adding groups to a team, you must include all new and existing groups to avoid replacing existing groups with the new ones. Specifying an empty `groups` array will remove all connections for a team.
 */
export const useTeamsCreateOrUpdateIdpGroupConnectionsLegacy = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.GroupMapping,
      TeamsCreateOrUpdateIdpGroupConnectionsLegacyError,
      TeamsCreateOrUpdateIdpGroupConnectionsLegacyVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.GroupMapping,
    TeamsCreateOrUpdateIdpGroupConnectionsLegacyError,
    TeamsCreateOrUpdateIdpGroupConnectionsLegacyVariables
  >(
    (variables: TeamsCreateOrUpdateIdpGroupConnectionsLegacyVariables) =>
      fetchTeamsCreateOrUpdateIdpGroupConnectionsLegacy({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type TeamsListChildLegacyPathParams = {
  teamId: number;
};

export type TeamsListChildLegacyQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type TeamsListChildLegacyError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type TeamsListChildLegacyResponse = Schemas.Team[];

export type TeamsListChildLegacyVariables = {
  pathParams: TeamsListChildLegacyPathParams;
  queryParams?: TeamsListChildLegacyQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [`List child teams`](https://docs.github.com/rest/reference/teams#list-child-teams) endpoint.
 */
export const fetchTeamsListChildLegacy = (
  variables: TeamsListChildLegacyVariables
) =>
  githubFetch<
    TeamsListChildLegacyResponse,
    TeamsListChildLegacyError,
    undefined,
    {},
    TeamsListChildLegacyQueryParams,
    TeamsListChildLegacyPathParams
  >({ url: "/teams/{teamId}/teams", method: "get", ...variables });

/**
 * **Deprecation Notice:** This endpoint route is deprecated and will be removed from the Teams API. We recommend migrating your existing code to use the new [`List child teams`](https://docs.github.com/rest/reference/teams#list-child-teams) endpoint.
 */
export const useTeamsListChildLegacy = <TData = TeamsListChildLegacyResponse>(
  variables: TeamsListChildLegacyVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      TeamsListChildLegacyResponse,
      TeamsListChildLegacyError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    TeamsListChildLegacyResponse,
    TeamsListChildLegacyError,
    TData
  >(
    queryKeyFn({
      path: "/teams/{team_id}/teams",
      operationId: "teamsListChildLegacy",
      variables,
    }),
    () => fetchTeamsListChildLegacy({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type UsersGetAuthenticatedError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
>;

export type UsersGetAuthenticatedVariables = GithubContext["fetcherOptions"];

/**
 * If the authenticated user is authenticated through basic authentication or OAuth with the `user` scope, then the response lists public and private profile information.
 *
 * If the authenticated user is authenticated through OAuth without the `user` scope, then the response lists only public profile information.
 */
export const fetchUsersGetAuthenticated = (
  variables: UsersGetAuthenticatedVariables
) =>
  githubFetch<
    Schemas.PrivateUser | Schemas.PublicUser,
    UsersGetAuthenticatedError,
    undefined,
    {},
    {},
    {}
  >({ url: "/user", method: "get", ...variables });

/**
 * If the authenticated user is authenticated through basic authentication or OAuth with the `user` scope, then the response lists public and private profile information.
 *
 * If the authenticated user is authenticated through OAuth without the `user` scope, then the response lists only public profile information.
 */
export const useUsersGetAuthenticated = <
  TData = Schemas.PrivateUser | Schemas.PublicUser
>(
  variables: UsersGetAuthenticatedVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.PrivateUser | Schemas.PublicUser,
      UsersGetAuthenticatedError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.PrivateUser | Schemas.PublicUser,
    UsersGetAuthenticatedError,
    TData
  >(
    queryKeyFn({
      path: "/user",
      operationId: "usersGetAuthenticated",
      variables,
    }),
    () => fetchUsersGetAuthenticated({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type UsersUpdateAuthenticatedError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type UsersUpdateAuthenticatedRequestBody = {
  /*
   * The new short biography of the user.
   */
  bio?: string;
  /*
   * The new blog URL of the user.
   *
   * @example blog.example.com
   */
  blog?: string;
  /*
   * The new company of the user.
   *
   * @example Acme corporation
   */
  company?: string;
  /*
   * The publicly visible email address of the user.
   *
   * @example omar@example.com
   */
  email?: string;
  /*
   * The new hiring availability of the user.
   */
  hireable?: boolean;
  /*
   * The new location of the user.
   *
   * @example Berlin, Germany
   */
  location?: string;
  /*
   * The new name of the user.
   *
   * @example Omar Jahandar
   */
  name?: string;
  /*
   * The new Twitter username of the user.
   *
   * @example therealomarj
   */
  twitter_username?: string | null;
};

export type UsersUpdateAuthenticatedVariables = {
  body?: UsersUpdateAuthenticatedRequestBody;
} & GithubContext["fetcherOptions"];

/**
 * **Note:** If your email is set to private and you send an `email` parameter as part of this request to update your profile, your privacy settings are still enforced: the email address will not be displayed on your public profile or via the API.
 */
export const fetchUsersUpdateAuthenticated = (
  variables: UsersUpdateAuthenticatedVariables
) =>
  githubFetch<
    Schemas.PrivateUser,
    UsersUpdateAuthenticatedError,
    UsersUpdateAuthenticatedRequestBody,
    {},
    {},
    {}
  >({ url: "/user", method: "patch", ...variables });

/**
 * **Note:** If your email is set to private and you send an `email` parameter as part of this request to update your profile, your privacy settings are still enforced: the email address will not be displayed on your public profile or via the API.
 */
export const useUsersUpdateAuthenticated = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.PrivateUser,
      UsersUpdateAuthenticatedError,
      UsersUpdateAuthenticatedVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.PrivateUser,
    UsersUpdateAuthenticatedError,
    UsersUpdateAuthenticatedVariables
  >(
    (variables: UsersUpdateAuthenticatedVariables) =>
      fetchUsersUpdateAuthenticated({ ...fetcherOptions, ...variables }),
    options
  );
};

export type UsersListBlockedByAuthenticatedError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 415;
      payload: Responses.PreviewHeaderMissing;
    }
>;

export type UsersListBlockedByAuthenticatedResponse = Schemas.SimpleUser[];

export type UsersListBlockedByAuthenticatedVariables =
  GithubContext["fetcherOptions"];

/**
 * List the users you've blocked on your personal account.
 */
export const fetchUsersListBlockedByAuthenticated = (
  variables: UsersListBlockedByAuthenticatedVariables
) =>
  githubFetch<
    UsersListBlockedByAuthenticatedResponse,
    UsersListBlockedByAuthenticatedError,
    undefined,
    {},
    {},
    {}
  >({ url: "/user/blocks", method: "get", ...variables });

/**
 * List the users you've blocked on your personal account.
 */
export const useUsersListBlockedByAuthenticated = <
  TData = UsersListBlockedByAuthenticatedResponse
>(
  variables: UsersListBlockedByAuthenticatedVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      UsersListBlockedByAuthenticatedResponse,
      UsersListBlockedByAuthenticatedError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    UsersListBlockedByAuthenticatedResponse,
    UsersListBlockedByAuthenticatedError,
    TData
  >(
    queryKeyFn({
      path: "/user/blocks",
      operationId: "usersListBlockedByAuthenticated",
      variables,
    }),
    () =>
      fetchUsersListBlockedByAuthenticated({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type UsersUnblockPathParams = {
  username: string;
};

export type UsersUnblockError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type UsersUnblockVariables = {
  pathParams: UsersUnblockPathParams;
} & GithubContext["fetcherOptions"];

export const fetchUsersUnblock = (variables: UsersUnblockVariables) =>
  githubFetch<
    undefined,
    UsersUnblockError,
    undefined,
    {},
    {},
    UsersUnblockPathParams
  >({ url: "/user/blocks/{username}", method: "delete", ...variables });

export const useUsersUnblock = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      UsersUnblockError,
      UsersUnblockVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    UsersUnblockError,
    UsersUnblockVariables
  >(
    (variables: UsersUnblockVariables) =>
      fetchUsersUnblock({ ...fetcherOptions, ...variables }),
    options
  );
};

export type UsersCheckBlockedPathParams = {
  username: string;
};

export type UsersCheckBlockedError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Schemas.BasicError;
    }
>;

export type UsersCheckBlockedVariables = {
  pathParams: UsersCheckBlockedPathParams;
} & GithubContext["fetcherOptions"];

export const fetchUsersCheckBlocked = (variables: UsersCheckBlockedVariables) =>
  githubFetch<
    undefined,
    UsersCheckBlockedError,
    undefined,
    {},
    {},
    UsersCheckBlockedPathParams
  >({ url: "/user/blocks/{username}", method: "get", ...variables });

export const useUsersCheckBlocked = <TData = undefined>(
  variables: UsersCheckBlockedVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<undefined, UsersCheckBlockedError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<undefined, UsersCheckBlockedError, TData>(
    queryKeyFn({
      path: "/user/blocks/{username}",
      operationId: "usersCheckBlocked",
      variables,
    }),
    () => fetchUsersCheckBlocked({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type UsersBlockPathParams = {
  username: string;
};

export type UsersBlockError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type UsersBlockVariables = {
  pathParams: UsersBlockPathParams;
} & GithubContext["fetcherOptions"];

export const fetchUsersBlock = (variables: UsersBlockVariables) =>
  githubFetch<
    undefined,
    UsersBlockError,
    undefined,
    {},
    {},
    UsersBlockPathParams
  >({ url: "/user/blocks/{username}", method: "put", ...variables });

export const useUsersBlock = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      UsersBlockError,
      UsersBlockVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    UsersBlockError,
    UsersBlockVariables
  >(
    (variables: UsersBlockVariables) =>
      fetchUsersBlock({ ...fetcherOptions, ...variables }),
    options
  );
};

export type UsersSetPrimaryEmailVisibilityForAuthenticatedError =
  Fetcher.ErrorWrapper<
    | {
        status: 304;
        payload: Responses.NotModified;
      }
    | {
        status: 401;
        payload: Responses.RequiresAuthentication;
      }
    | {
        status: 403;
        payload: Responses.Forbidden;
      }
    | {
        status: 404;
        payload: Responses.NotFound;
      }
    | {
        status: 422;
        payload: Responses.ValidationFailed;
      }
  >;

export type UsersSetPrimaryEmailVisibilityForAuthenticatedResponse =
  Schemas.Email[];

export type UsersSetPrimaryEmailVisibilityForAuthenticatedRequestBody = {
  /*
   * An email address associated with the GitHub user account to manage.
   *
   * @example org@example.com
   */
  email: string;
  /*
   * Denotes whether an email is publically visible.
   */
  visibility: "public" | "private";
};

export type UsersSetPrimaryEmailVisibilityForAuthenticatedVariables = {
  body: UsersSetPrimaryEmailVisibilityForAuthenticatedRequestBody;
} & GithubContext["fetcherOptions"];

/**
 * Sets the visibility for your primary email addresses.
 */
export const fetchUsersSetPrimaryEmailVisibilityForAuthenticated = (
  variables: UsersSetPrimaryEmailVisibilityForAuthenticatedVariables
) =>
  githubFetch<
    UsersSetPrimaryEmailVisibilityForAuthenticatedResponse,
    UsersSetPrimaryEmailVisibilityForAuthenticatedError,
    UsersSetPrimaryEmailVisibilityForAuthenticatedRequestBody,
    {},
    {},
    {}
  >({ url: "/user/email/visibility", method: "patch", ...variables });

/**
 * Sets the visibility for your primary email addresses.
 */
export const useUsersSetPrimaryEmailVisibilityForAuthenticated = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      UsersSetPrimaryEmailVisibilityForAuthenticatedResponse,
      UsersSetPrimaryEmailVisibilityForAuthenticatedError,
      UsersSetPrimaryEmailVisibilityForAuthenticatedVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    UsersSetPrimaryEmailVisibilityForAuthenticatedResponse,
    UsersSetPrimaryEmailVisibilityForAuthenticatedError,
    UsersSetPrimaryEmailVisibilityForAuthenticatedVariables
  >(
    (variables: UsersSetPrimaryEmailVisibilityForAuthenticatedVariables) =>
      fetchUsersSetPrimaryEmailVisibilityForAuthenticated({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type UsersDeleteEmailForAuthenticatedError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type UsersDeleteEmailForAuthenticatedVariables = {
  body?:
    | {
        /*
         * Email addresses associated with the GitHub user account.
         */
        emails: string[];
      }
    | string[]
    | string;
} & GithubContext["fetcherOptions"];

/**
 * This endpoint is accessible with the `user` scope.
 */
export const fetchUsersDeleteEmailForAuthenticated = (
  variables: UsersDeleteEmailForAuthenticatedVariables
) =>
  githubFetch<
    undefined,
    UsersDeleteEmailForAuthenticatedError,
    | {
        /*
         * Email addresses associated with the GitHub user account.
         */
        emails: string[];
      }
    | string[]
    | string,
    {},
    {},
    {}
  >({ url: "/user/emails", method: "delete", ...variables });

/**
 * This endpoint is accessible with the `user` scope.
 */
export const useUsersDeleteEmailForAuthenticated = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      UsersDeleteEmailForAuthenticatedError,
      UsersDeleteEmailForAuthenticatedVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    UsersDeleteEmailForAuthenticatedError,
    UsersDeleteEmailForAuthenticatedVariables
  >(
    (variables: UsersDeleteEmailForAuthenticatedVariables) =>
      fetchUsersDeleteEmailForAuthenticated({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type UsersListEmailsForAuthenticatedQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type UsersListEmailsForAuthenticatedError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type UsersListEmailsForAuthenticatedResponse = Schemas.Email[];

export type UsersListEmailsForAuthenticatedVariables = {
  queryParams?: UsersListEmailsForAuthenticatedQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists all of your email addresses, and specifies which one is visible to the public. This endpoint is accessible with the `user:email` scope.
 */
export const fetchUsersListEmailsForAuthenticated = (
  variables: UsersListEmailsForAuthenticatedVariables
) =>
  githubFetch<
    UsersListEmailsForAuthenticatedResponse,
    UsersListEmailsForAuthenticatedError,
    undefined,
    {},
    UsersListEmailsForAuthenticatedQueryParams,
    {}
  >({ url: "/user/emails", method: "get", ...variables });

/**
 * Lists all of your email addresses, and specifies which one is visible to the public. This endpoint is accessible with the `user:email` scope.
 */
export const useUsersListEmailsForAuthenticated = <
  TData = UsersListEmailsForAuthenticatedResponse
>(
  variables: UsersListEmailsForAuthenticatedVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      UsersListEmailsForAuthenticatedResponse,
      UsersListEmailsForAuthenticatedError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    UsersListEmailsForAuthenticatedResponse,
    UsersListEmailsForAuthenticatedError,
    TData
  >(
    queryKeyFn({
      path: "/user/emails",
      operationId: "usersListEmailsForAuthenticated",
      variables,
    }),
    () =>
      fetchUsersListEmailsForAuthenticated({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type UsersAddEmailForAuthenticatedError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type UsersAddEmailForAuthenticatedResponse = Schemas.Email[];

export type UsersAddEmailForAuthenticatedVariables = {
  body?:
    | {
        /*
         * Adds one or more email addresses to your GitHub account. Must contain at least one email address. **Note:** Alternatively, you can pass a single email address or an `array` of emails addresses directly, but we recommend that you pass an object using the `emails` key.
         */
        emails: string[];
      }
    | string[]
    | string;
} & GithubContext["fetcherOptions"];

/**
 * This endpoint is accessible with the `user` scope.
 */
export const fetchUsersAddEmailForAuthenticated = (
  variables: UsersAddEmailForAuthenticatedVariables
) =>
  githubFetch<
    UsersAddEmailForAuthenticatedResponse,
    UsersAddEmailForAuthenticatedError,
    | {
        /*
         * Adds one or more email addresses to your GitHub account. Must contain at least one email address. **Note:** Alternatively, you can pass a single email address or an `array` of emails addresses directly, but we recommend that you pass an object using the `emails` key.
         */
        emails: string[];
      }
    | string[]
    | string,
    {},
    {},
    {}
  >({ url: "/user/emails", method: "post", ...variables });

/**
 * This endpoint is accessible with the `user` scope.
 */
export const useUsersAddEmailForAuthenticated = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      UsersAddEmailForAuthenticatedResponse,
      UsersAddEmailForAuthenticatedError,
      UsersAddEmailForAuthenticatedVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    UsersAddEmailForAuthenticatedResponse,
    UsersAddEmailForAuthenticatedError,
    UsersAddEmailForAuthenticatedVariables
  >(
    (variables: UsersAddEmailForAuthenticatedVariables) =>
      fetchUsersAddEmailForAuthenticated({ ...fetcherOptions, ...variables }),
    options
  );
};

export type UsersListFollowersForAuthenticatedUserQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type UsersListFollowersForAuthenticatedUserError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
>;

export type UsersListFollowersForAuthenticatedUserResponse =
  Schemas.SimpleUser[];

export type UsersListFollowersForAuthenticatedUserVariables = {
  queryParams?: UsersListFollowersForAuthenticatedUserQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists the people following the authenticated user.
 */
export const fetchUsersListFollowersForAuthenticatedUser = (
  variables: UsersListFollowersForAuthenticatedUserVariables
) =>
  githubFetch<
    UsersListFollowersForAuthenticatedUserResponse,
    UsersListFollowersForAuthenticatedUserError,
    undefined,
    {},
    UsersListFollowersForAuthenticatedUserQueryParams,
    {}
  >({ url: "/user/followers", method: "get", ...variables });

/**
 * Lists the people following the authenticated user.
 */
export const useUsersListFollowersForAuthenticatedUser = <
  TData = UsersListFollowersForAuthenticatedUserResponse
>(
  variables: UsersListFollowersForAuthenticatedUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      UsersListFollowersForAuthenticatedUserResponse,
      UsersListFollowersForAuthenticatedUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    UsersListFollowersForAuthenticatedUserResponse,
    UsersListFollowersForAuthenticatedUserError,
    TData
  >(
    queryKeyFn({
      path: "/user/followers",
      operationId: "usersListFollowersForAuthenticatedUser",
      variables,
    }),
    () =>
      fetchUsersListFollowersForAuthenticatedUser({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type UsersListFollowedByAuthenticatedQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type UsersListFollowedByAuthenticatedError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
>;

export type UsersListFollowedByAuthenticatedResponse = Schemas.SimpleUser[];

export type UsersListFollowedByAuthenticatedVariables = {
  queryParams?: UsersListFollowedByAuthenticatedQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists the people who the authenticated user follows.
 */
export const fetchUsersListFollowedByAuthenticated = (
  variables: UsersListFollowedByAuthenticatedVariables
) =>
  githubFetch<
    UsersListFollowedByAuthenticatedResponse,
    UsersListFollowedByAuthenticatedError,
    undefined,
    {},
    UsersListFollowedByAuthenticatedQueryParams,
    {}
  >({ url: "/user/following", method: "get", ...variables });

/**
 * Lists the people who the authenticated user follows.
 */
export const useUsersListFollowedByAuthenticated = <
  TData = UsersListFollowedByAuthenticatedResponse
>(
  variables: UsersListFollowedByAuthenticatedVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      UsersListFollowedByAuthenticatedResponse,
      UsersListFollowedByAuthenticatedError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    UsersListFollowedByAuthenticatedResponse,
    UsersListFollowedByAuthenticatedError,
    TData
  >(
    queryKeyFn({
      path: "/user/following",
      operationId: "usersListFollowedByAuthenticated",
      variables,
    }),
    () =>
      fetchUsersListFollowedByAuthenticated({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type UsersUnfollowPathParams = {
  username: string;
};

export type UsersUnfollowError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type UsersUnfollowVariables = {
  pathParams: UsersUnfollowPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Unfollowing a user requires the user to be logged in and authenticated with basic auth or OAuth with the `user:follow` scope.
 */
export const fetchUsersUnfollow = (variables: UsersUnfollowVariables) =>
  githubFetch<
    undefined,
    UsersUnfollowError,
    undefined,
    {},
    {},
    UsersUnfollowPathParams
  >({ url: "/user/following/{username}", method: "delete", ...variables });

/**
 * Unfollowing a user requires the user to be logged in and authenticated with basic auth or OAuth with the `user:follow` scope.
 */
export const useUsersUnfollow = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      UsersUnfollowError,
      UsersUnfollowVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    UsersUnfollowError,
    UsersUnfollowVariables
  >(
    (variables: UsersUnfollowVariables) =>
      fetchUsersUnfollow({ ...fetcherOptions, ...variables }),
    options
  );
};

export type UsersCheckPersonIsFollowedByAuthenticatedPathParams = {
  username: string;
};

export type UsersCheckPersonIsFollowedByAuthenticatedError =
  Fetcher.ErrorWrapper<
    | {
        status: 304;
        payload: Responses.NotModified;
      }
    | {
        status: 401;
        payload: Responses.RequiresAuthentication;
      }
    | {
        status: 403;
        payload: Responses.Forbidden;
      }
    | {
        status: 404;
        payload: Schemas.BasicError;
      }
  >;

export type UsersCheckPersonIsFollowedByAuthenticatedVariables = {
  pathParams: UsersCheckPersonIsFollowedByAuthenticatedPathParams;
} & GithubContext["fetcherOptions"];

export const fetchUsersCheckPersonIsFollowedByAuthenticated = (
  variables: UsersCheckPersonIsFollowedByAuthenticatedVariables
) =>
  githubFetch<
    undefined,
    UsersCheckPersonIsFollowedByAuthenticatedError,
    undefined,
    {},
    {},
    UsersCheckPersonIsFollowedByAuthenticatedPathParams
  >({ url: "/user/following/{username}", method: "get", ...variables });

export const useUsersCheckPersonIsFollowedByAuthenticated = <TData = undefined>(
  variables: UsersCheckPersonIsFollowedByAuthenticatedVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      undefined,
      UsersCheckPersonIsFollowedByAuthenticatedError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    undefined,
    UsersCheckPersonIsFollowedByAuthenticatedError,
    TData
  >(
    queryKeyFn({
      path: "/user/following/{username}",
      operationId: "usersCheckPersonIsFollowedByAuthenticated",
      variables,
    }),
    () =>
      fetchUsersCheckPersonIsFollowedByAuthenticated({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type UsersFollowPathParams = {
  username: string;
};

export type UsersFollowError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type UsersFollowVariables = {
  pathParams: UsersFollowPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Note that you'll need to set `Content-Length` to zero when calling out to this endpoint. For more information, see "[HTTP verbs](https://docs.github.com/rest/overview/resources-in-the-rest-api#http-verbs)."
 *
 * Following a user requires the user to be logged in and authenticated with basic auth or OAuth with the `user:follow` scope.
 */
export const fetchUsersFollow = (variables: UsersFollowVariables) =>
  githubFetch<
    undefined,
    UsersFollowError,
    undefined,
    {},
    {},
    UsersFollowPathParams
  >({ url: "/user/following/{username}", method: "put", ...variables });

/**
 * Note that you'll need to set `Content-Length` to zero when calling out to this endpoint. For more information, see "[HTTP verbs](https://docs.github.com/rest/overview/resources-in-the-rest-api#http-verbs)."
 *
 * Following a user requires the user to be logged in and authenticated with basic auth or OAuth with the `user:follow` scope.
 */
export const useUsersFollow = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      UsersFollowError,
      UsersFollowVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    UsersFollowError,
    UsersFollowVariables
  >(
    (variables: UsersFollowVariables) =>
      fetchUsersFollow({ ...fetcherOptions, ...variables }),
    options
  );
};

export type UsersListGpgKeysForAuthenticatedQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type UsersListGpgKeysForAuthenticatedError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type UsersListGpgKeysForAuthenticatedResponse = Schemas.GpgKey[];

export type UsersListGpgKeysForAuthenticatedVariables = {
  queryParams?: UsersListGpgKeysForAuthenticatedQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists the current user's GPG keys. Requires that you are authenticated via Basic Auth or via OAuth with at least `read:gpg_key` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const fetchUsersListGpgKeysForAuthenticated = (
  variables: UsersListGpgKeysForAuthenticatedVariables
) =>
  githubFetch<
    UsersListGpgKeysForAuthenticatedResponse,
    UsersListGpgKeysForAuthenticatedError,
    undefined,
    {},
    UsersListGpgKeysForAuthenticatedQueryParams,
    {}
  >({ url: "/user/gpg_keys", method: "get", ...variables });

/**
 * Lists the current user's GPG keys. Requires that you are authenticated via Basic Auth or via OAuth with at least `read:gpg_key` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const useUsersListGpgKeysForAuthenticated = <
  TData = UsersListGpgKeysForAuthenticatedResponse
>(
  variables: UsersListGpgKeysForAuthenticatedVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      UsersListGpgKeysForAuthenticatedResponse,
      UsersListGpgKeysForAuthenticatedError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    UsersListGpgKeysForAuthenticatedResponse,
    UsersListGpgKeysForAuthenticatedError,
    TData
  >(
    queryKeyFn({
      path: "/user/gpg_keys",
      operationId: "usersListGpgKeysForAuthenticated",
      variables,
    }),
    () =>
      fetchUsersListGpgKeysForAuthenticated({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type UsersCreateGpgKeyForAuthenticatedError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type UsersCreateGpgKeyForAuthenticatedRequestBody = {
  /*
   * A GPG key in ASCII-armored format.
   */
  armored_public_key: string;
};

export type UsersCreateGpgKeyForAuthenticatedVariables = {
  body: UsersCreateGpgKeyForAuthenticatedRequestBody;
} & GithubContext["fetcherOptions"];

/**
 * Adds a GPG key to the authenticated user's GitHub account. Requires that you are authenticated via Basic Auth, or OAuth with at least `write:gpg_key` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const fetchUsersCreateGpgKeyForAuthenticated = (
  variables: UsersCreateGpgKeyForAuthenticatedVariables
) =>
  githubFetch<
    Schemas.GpgKey,
    UsersCreateGpgKeyForAuthenticatedError,
    UsersCreateGpgKeyForAuthenticatedRequestBody,
    {},
    {},
    {}
  >({ url: "/user/gpg_keys", method: "post", ...variables });

/**
 * Adds a GPG key to the authenticated user's GitHub account. Requires that you are authenticated via Basic Auth, or OAuth with at least `write:gpg_key` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const useUsersCreateGpgKeyForAuthenticated = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.GpgKey,
      UsersCreateGpgKeyForAuthenticatedError,
      UsersCreateGpgKeyForAuthenticatedVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.GpgKey,
    UsersCreateGpgKeyForAuthenticatedError,
    UsersCreateGpgKeyForAuthenticatedVariables
  >(
    (variables: UsersCreateGpgKeyForAuthenticatedVariables) =>
      fetchUsersCreateGpgKeyForAuthenticated({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type UsersDeleteGpgKeyForAuthenticatedPathParams = {
  /*
   * gpg_key_id parameter
   */
  gpgKeyId: number;
};

export type UsersDeleteGpgKeyForAuthenticatedError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type UsersDeleteGpgKeyForAuthenticatedVariables = {
  pathParams: UsersDeleteGpgKeyForAuthenticatedPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Removes a GPG key from the authenticated user's GitHub account. Requires that you are authenticated via Basic Auth or via OAuth with at least `admin:gpg_key` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const fetchUsersDeleteGpgKeyForAuthenticated = (
  variables: UsersDeleteGpgKeyForAuthenticatedVariables
) =>
  githubFetch<
    undefined,
    UsersDeleteGpgKeyForAuthenticatedError,
    undefined,
    {},
    {},
    UsersDeleteGpgKeyForAuthenticatedPathParams
  >({ url: "/user/gpg_keys/{gpgKeyId}", method: "delete", ...variables });

/**
 * Removes a GPG key from the authenticated user's GitHub account. Requires that you are authenticated via Basic Auth or via OAuth with at least `admin:gpg_key` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const useUsersDeleteGpgKeyForAuthenticated = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      UsersDeleteGpgKeyForAuthenticatedError,
      UsersDeleteGpgKeyForAuthenticatedVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    UsersDeleteGpgKeyForAuthenticatedError,
    UsersDeleteGpgKeyForAuthenticatedVariables
  >(
    (variables: UsersDeleteGpgKeyForAuthenticatedVariables) =>
      fetchUsersDeleteGpgKeyForAuthenticated({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type UsersGetGpgKeyForAuthenticatedPathParams = {
  /*
   * gpg_key_id parameter
   */
  gpgKeyId: number;
};

export type UsersGetGpgKeyForAuthenticatedError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type UsersGetGpgKeyForAuthenticatedVariables = {
  pathParams: UsersGetGpgKeyForAuthenticatedPathParams;
} & GithubContext["fetcherOptions"];

/**
 * View extended details for a single GPG key. Requires that you are authenticated via Basic Auth or via OAuth with at least `read:gpg_key` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const fetchUsersGetGpgKeyForAuthenticated = (
  variables: UsersGetGpgKeyForAuthenticatedVariables
) =>
  githubFetch<
    Schemas.GpgKey,
    UsersGetGpgKeyForAuthenticatedError,
    undefined,
    {},
    {},
    UsersGetGpgKeyForAuthenticatedPathParams
  >({ url: "/user/gpg_keys/{gpgKeyId}", method: "get", ...variables });

/**
 * View extended details for a single GPG key. Requires that you are authenticated via Basic Auth or via OAuth with at least `read:gpg_key` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const useUsersGetGpgKeyForAuthenticated = <TData = Schemas.GpgKey>(
  variables: UsersGetGpgKeyForAuthenticatedVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.GpgKey,
      UsersGetGpgKeyForAuthenticatedError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.GpgKey,
    UsersGetGpgKeyForAuthenticatedError,
    TData
  >(
    queryKeyFn({
      path: "/user/gpg_keys/{gpg_key_id}",
      operationId: "usersGetGpgKeyForAuthenticated",
      variables,
    }),
    () =>
      fetchUsersGetGpgKeyForAuthenticated({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type AppsListInstallationsForAuthenticatedUserQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type AppsListInstallationsForAuthenticatedUserError =
  Fetcher.ErrorWrapper<
    | {
        status: 304;
        payload: Responses.NotModified;
      }
    | {
        status: 401;
        payload: Responses.RequiresAuthentication;
      }
    | {
        status: 403;
        payload: Responses.Forbidden;
      }
    | {
        status: 415;
        payload: Responses.PreviewHeaderMissing;
      }
  >;

export type AppsListInstallationsForAuthenticatedUserResponse = {
  installations: Schemas.Installation[];
  total_count: number;
};

export type AppsListInstallationsForAuthenticatedUserVariables = {
  queryParams?: AppsListInstallationsForAuthenticatedUserQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists installations of your GitHub App that the authenticated user has explicit permission (`:read`, `:write`, or `:admin`) to access.
 *
 * You must use a [user-to-server OAuth access token](https://docs.github.com/apps/building-github-apps/identifying-and-authorizing-users-for-github-apps/#identifying-users-on-your-site), created for a user who has authorized your GitHub App, to access this endpoint.
 *
 * The authenticated user has explicit permission to access repositories they own, repositories where they are a collaborator, and repositories that they can access through an organization membership.
 *
 * You can find the permissions for the installation under the `permissions` key.
 */
export const fetchAppsListInstallationsForAuthenticatedUser = (
  variables: AppsListInstallationsForAuthenticatedUserVariables
) =>
  githubFetch<
    AppsListInstallationsForAuthenticatedUserResponse,
    AppsListInstallationsForAuthenticatedUserError,
    undefined,
    {},
    AppsListInstallationsForAuthenticatedUserQueryParams,
    {}
  >({ url: "/user/installations", method: "get", ...variables });

/**
 * Lists installations of your GitHub App that the authenticated user has explicit permission (`:read`, `:write`, or `:admin`) to access.
 *
 * You must use a [user-to-server OAuth access token](https://docs.github.com/apps/building-github-apps/identifying-and-authorizing-users-for-github-apps/#identifying-users-on-your-site), created for a user who has authorized your GitHub App, to access this endpoint.
 *
 * The authenticated user has explicit permission to access repositories they own, repositories where they are a collaborator, and repositories that they can access through an organization membership.
 *
 * You can find the permissions for the installation under the `permissions` key.
 */
export const useAppsListInstallationsForAuthenticatedUser = <
  TData = AppsListInstallationsForAuthenticatedUserResponse
>(
  variables: AppsListInstallationsForAuthenticatedUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      AppsListInstallationsForAuthenticatedUserResponse,
      AppsListInstallationsForAuthenticatedUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    AppsListInstallationsForAuthenticatedUserResponse,
    AppsListInstallationsForAuthenticatedUserError,
    TData
  >(
    queryKeyFn({
      path: "/user/installations",
      operationId: "appsListInstallationsForAuthenticatedUser",
      variables,
    }),
    () =>
      fetchAppsListInstallationsForAuthenticatedUser({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type AppsListInstallationReposForAuthenticatedUserPathParams = {
  /*
   * installation_id parameter
   */
  installationId: number;
};

export type AppsListInstallationReposForAuthenticatedUserQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type AppsListInstallationReposForAuthenticatedUserError =
  Fetcher.ErrorWrapper<
    | {
        status: 304;
        payload: Responses.NotModified;
      }
    | {
        status: 403;
        payload: Responses.Forbidden;
      }
    | {
        status: 404;
        payload: Responses.NotFound;
      }
  >;

export type AppsListInstallationReposForAuthenticatedUserResponse = {
  repositories: Schemas.Repository[];
  repository_selection?: string;
  total_count: number;
};

export type AppsListInstallationReposForAuthenticatedUserVariables = {
  pathParams: AppsListInstallationReposForAuthenticatedUserPathParams;
  queryParams?: AppsListInstallationReposForAuthenticatedUserQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * List repositories that the authenticated user has explicit permission (`:read`, `:write`, or `:admin`) to access for an installation.
 *
 * The authenticated user has explicit permission to access repositories they own, repositories where they are a collaborator, and repositories that they can access through an organization membership.
 *
 * You must use a [user-to-server OAuth access token](https://docs.github.com/apps/building-github-apps/identifying-and-authorizing-users-for-github-apps/#identifying-users-on-your-site), created for a user who has authorized your GitHub App, to access this endpoint.
 *
 * The access the user has to each repository is included in the hash under the `permissions` key.
 */
export const fetchAppsListInstallationReposForAuthenticatedUser = (
  variables: AppsListInstallationReposForAuthenticatedUserVariables
) =>
  githubFetch<
    AppsListInstallationReposForAuthenticatedUserResponse,
    AppsListInstallationReposForAuthenticatedUserError,
    undefined,
    {},
    AppsListInstallationReposForAuthenticatedUserQueryParams,
    AppsListInstallationReposForAuthenticatedUserPathParams
  >({
    url: "/user/installations/{installationId}/repositories",
    method: "get",
    ...variables,
  });

/**
 * List repositories that the authenticated user has explicit permission (`:read`, `:write`, or `:admin`) to access for an installation.
 *
 * The authenticated user has explicit permission to access repositories they own, repositories where they are a collaborator, and repositories that they can access through an organization membership.
 *
 * You must use a [user-to-server OAuth access token](https://docs.github.com/apps/building-github-apps/identifying-and-authorizing-users-for-github-apps/#identifying-users-on-your-site), created for a user who has authorized your GitHub App, to access this endpoint.
 *
 * The access the user has to each repository is included in the hash under the `permissions` key.
 */
export const useAppsListInstallationReposForAuthenticatedUser = <
  TData = AppsListInstallationReposForAuthenticatedUserResponse
>(
  variables: AppsListInstallationReposForAuthenticatedUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      AppsListInstallationReposForAuthenticatedUserResponse,
      AppsListInstallationReposForAuthenticatedUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    AppsListInstallationReposForAuthenticatedUserResponse,
    AppsListInstallationReposForAuthenticatedUserError,
    TData
  >(
    queryKeyFn({
      path: "/user/installations/{installation_id}/repositories",
      operationId: "appsListInstallationReposForAuthenticatedUser",
      variables,
    }),
    () =>
      fetchAppsListInstallationReposForAuthenticatedUser({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type AppsRemoveRepoFromInstallationPathParams = {
  /*
   * installation_id parameter
   */
  installationId: number;
  repositoryId: number;
};

export type AppsRemoveRepoFromInstallationError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type AppsRemoveRepoFromInstallationVariables = {
  pathParams: AppsRemoveRepoFromInstallationPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Remove a single repository from an installation. The authenticated user must have admin access to the repository.
 *
 * You must use a personal access token (which you can create via the [command line](https://docs.github.com/github/authenticating-to-github/creating-a-personal-access-token) or [Basic Authentication](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication)) to access this endpoint.
 */
export const fetchAppsRemoveRepoFromInstallation = (
  variables: AppsRemoveRepoFromInstallationVariables
) =>
  githubFetch<
    undefined,
    AppsRemoveRepoFromInstallationError,
    undefined,
    {},
    {},
    AppsRemoveRepoFromInstallationPathParams
  >({
    url: "/user/installations/{installationId}/repositories/{repositoryId}",
    method: "delete",
    ...variables,
  });

/**
 * Remove a single repository from an installation. The authenticated user must have admin access to the repository.
 *
 * You must use a personal access token (which you can create via the [command line](https://docs.github.com/github/authenticating-to-github/creating-a-personal-access-token) or [Basic Authentication](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication)) to access this endpoint.
 */
export const useAppsRemoveRepoFromInstallation = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      AppsRemoveRepoFromInstallationError,
      AppsRemoveRepoFromInstallationVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    AppsRemoveRepoFromInstallationError,
    AppsRemoveRepoFromInstallationVariables
  >(
    (variables: AppsRemoveRepoFromInstallationVariables) =>
      fetchAppsRemoveRepoFromInstallation({ ...fetcherOptions, ...variables }),
    options
  );
};

export type AppsAddRepoToInstallationPathParams = {
  /*
   * installation_id parameter
   */
  installationId: number;
  repositoryId: number;
};

export type AppsAddRepoToInstallationError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type AppsAddRepoToInstallationVariables = {
  pathParams: AppsAddRepoToInstallationPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Add a single repository to an installation. The authenticated user must have admin access to the repository.
 *
 * You must use a personal access token (which you can create via the [command line](https://docs.github.com/github/authenticating-to-github/creating-a-personal-access-token) or [Basic Authentication](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication)) to access this endpoint.
 */
export const fetchAppsAddRepoToInstallation = (
  variables: AppsAddRepoToInstallationVariables
) =>
  githubFetch<
    undefined,
    AppsAddRepoToInstallationError,
    undefined,
    {},
    {},
    AppsAddRepoToInstallationPathParams
  >({
    url: "/user/installations/{installationId}/repositories/{repositoryId}",
    method: "put",
    ...variables,
  });

/**
 * Add a single repository to an installation. The authenticated user must have admin access to the repository.
 *
 * You must use a personal access token (which you can create via the [command line](https://docs.github.com/github/authenticating-to-github/creating-a-personal-access-token) or [Basic Authentication](https://docs.github.com/rest/overview/other-authentication-methods#basic-authentication)) to access this endpoint.
 */
export const useAppsAddRepoToInstallation = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      AppsAddRepoToInstallationError,
      AppsAddRepoToInstallationVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    AppsAddRepoToInstallationError,
    AppsAddRepoToInstallationVariables
  >(
    (variables: AppsAddRepoToInstallationVariables) =>
      fetchAppsAddRepoToInstallation({ ...fetcherOptions, ...variables }),
    options
  );
};

export type InteractionsRemoveRestrictionsForAuthenticatedUserError =
  Fetcher.ErrorWrapper<undefined>;

export type InteractionsRemoveRestrictionsForAuthenticatedUserVariables =
  GithubContext["fetcherOptions"];

/**
 * Removes any interaction restrictions from your public repositories.
 */
export const fetchInteractionsRemoveRestrictionsForAuthenticatedUser = (
  variables: InteractionsRemoveRestrictionsForAuthenticatedUserVariables
) =>
  githubFetch<
    undefined,
    InteractionsRemoveRestrictionsForAuthenticatedUserError,
    undefined,
    {},
    {},
    {}
  >({ url: "/user/interaction-limits", method: "delete", ...variables });

/**
 * Removes any interaction restrictions from your public repositories.
 */
export const useInteractionsRemoveRestrictionsForAuthenticatedUser = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      InteractionsRemoveRestrictionsForAuthenticatedUserError,
      InteractionsRemoveRestrictionsForAuthenticatedUserVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    InteractionsRemoveRestrictionsForAuthenticatedUserError,
    InteractionsRemoveRestrictionsForAuthenticatedUserVariables
  >(
    (variables: InteractionsRemoveRestrictionsForAuthenticatedUserVariables) =>
      fetchInteractionsRemoveRestrictionsForAuthenticatedUser({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type InteractionsGetRestrictionsForAuthenticatedUserError =
  Fetcher.ErrorWrapper<undefined>;

export type InteractionsGetRestrictionsForAuthenticatedUserVariables =
  GithubContext["fetcherOptions"];

/**
 * Shows which type of GitHub user can interact with your public repositories and when the restriction expires. If there are no restrictions, you will see an empty response.
 */
export const fetchInteractionsGetRestrictionsForAuthenticatedUser = (
  variables: InteractionsGetRestrictionsForAuthenticatedUserVariables
) =>
  githubFetch<
    Schemas.InteractionLimitResponse,
    InteractionsGetRestrictionsForAuthenticatedUserError,
    undefined,
    {},
    {},
    {}
  >({ url: "/user/interaction-limits", method: "get", ...variables });

/**
 * Shows which type of GitHub user can interact with your public repositories and when the restriction expires. If there are no restrictions, you will see an empty response.
 */
export const useInteractionsGetRestrictionsForAuthenticatedUser = <
  TData = Schemas.InteractionLimitResponse
>(
  variables: InteractionsGetRestrictionsForAuthenticatedUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.InteractionLimitResponse,
      InteractionsGetRestrictionsForAuthenticatedUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.InteractionLimitResponse,
    InteractionsGetRestrictionsForAuthenticatedUserError,
    TData
  >(
    queryKeyFn({
      path: "/user/interaction-limits",
      operationId: "interactionsGetRestrictionsForAuthenticatedUser",
      variables,
    }),
    () =>
      fetchInteractionsGetRestrictionsForAuthenticatedUser({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type InteractionsSetRestrictionsForAuthenticatedUserError =
  Fetcher.ErrorWrapper<{
    status: 422;
    payload: Responses.ValidationFailed;
  }>;

export type InteractionsSetRestrictionsForAuthenticatedUserVariables = {
  body: Schemas.InteractionLimit;
} & GithubContext["fetcherOptions"];

/**
 * Temporarily restricts which type of GitHub user can interact with your public repositories. Setting the interaction limit at the user level will overwrite any interaction limits that are set for individual repositories owned by the user.
 */
export const fetchInteractionsSetRestrictionsForAuthenticatedUser = (
  variables: InteractionsSetRestrictionsForAuthenticatedUserVariables
) =>
  githubFetch<
    Schemas.InteractionLimitResponse,
    InteractionsSetRestrictionsForAuthenticatedUserError,
    Schemas.InteractionLimit,
    {},
    {},
    {}
  >({ url: "/user/interaction-limits", method: "put", ...variables });

/**
 * Temporarily restricts which type of GitHub user can interact with your public repositories. Setting the interaction limit at the user level will overwrite any interaction limits that are set for individual repositories owned by the user.
 */
export const useInteractionsSetRestrictionsForAuthenticatedUser = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.InteractionLimitResponse,
      InteractionsSetRestrictionsForAuthenticatedUserError,
      InteractionsSetRestrictionsForAuthenticatedUserVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.InteractionLimitResponse,
    InteractionsSetRestrictionsForAuthenticatedUserError,
    InteractionsSetRestrictionsForAuthenticatedUserVariables
  >(
    (variables: InteractionsSetRestrictionsForAuthenticatedUserVariables) =>
      fetchInteractionsSetRestrictionsForAuthenticatedUser({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type IssuesListForAuthenticatedUserQueryParams = {
  /*
   * Indicates which sorts of issues to return. Can be one of:
   * \* `assigned`: Issues assigned to you
   * \* `created`: Issues created by you
   * \* `mentioned`: Issues mentioning you
   * \* `subscribed`: Issues you're subscribed to updates for
   * \* `all`: All issues the authenticated user can see, regardless of participation or creation
   *
   * @default assigned
   */
  filter?:
    | "assigned"
    | "created"
    | "mentioned"
    | "subscribed"
    | "repos"
    | "all";
  /*
   * Indicates the state of the issues to return. Can be either `open`, `closed`, or `all`.
   *
   * @default open
   */
  state?: "open" | "closed" | "all";
  /*
   * A list of comma separated label names. Example: `bug,ui,@high`
   */
  labels?: string;
  /*
   * What to sort results by. Can be either `created`, `updated`, `comments`.
   *
   * @default created
   */
  sort?: "created" | "updated" | "comments";
  /*
   * One of `asc` (ascending) or `desc` (descending).
   *
   * @default desc
   */
  direction?: "asc" | "desc";
  /*
   * Only show notifications updated after the given time. This is a timestamp in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format: `YYYY-MM-DDTHH:MM:SSZ`.
   */
  since?: string;
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type IssuesListForAuthenticatedUserError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type IssuesListForAuthenticatedUserResponse = Schemas.Issue[];

export type IssuesListForAuthenticatedUserVariables = {
  queryParams?: IssuesListForAuthenticatedUserQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * List issues across owned and member repositories assigned to the authenticated user.
 *
 * **Note**: GitHub's REST API v3 considers every pull request an issue, but not every issue is a pull request. For this
 * reason, "Issues" endpoints may return both issues and pull requests in the response. You can identify pull requests by
 * the `pull_request` key. Be aware that the `id` of a pull request returned from "Issues" endpoints will be an _issue id_. To find out the pull
 * request id, use the "[List pull requests](https://docs.github.com/rest/reference/pulls#list-pull-requests)" endpoint.
 */
export const fetchIssuesListForAuthenticatedUser = (
  variables: IssuesListForAuthenticatedUserVariables
) =>
  githubFetch<
    IssuesListForAuthenticatedUserResponse,
    IssuesListForAuthenticatedUserError,
    undefined,
    {},
    IssuesListForAuthenticatedUserQueryParams,
    {}
  >({ url: "/user/issues", method: "get", ...variables });

/**
 * List issues across owned and member repositories assigned to the authenticated user.
 *
 * **Note**: GitHub's REST API v3 considers every pull request an issue, but not every issue is a pull request. For this
 * reason, "Issues" endpoints may return both issues and pull requests in the response. You can identify pull requests by
 * the `pull_request` key. Be aware that the `id` of a pull request returned from "Issues" endpoints will be an _issue id_. To find out the pull
 * request id, use the "[List pull requests](https://docs.github.com/rest/reference/pulls#list-pull-requests)" endpoint.
 */
export const useIssuesListForAuthenticatedUser = <
  TData = IssuesListForAuthenticatedUserResponse
>(
  variables: IssuesListForAuthenticatedUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      IssuesListForAuthenticatedUserResponse,
      IssuesListForAuthenticatedUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    IssuesListForAuthenticatedUserResponse,
    IssuesListForAuthenticatedUserError,
    TData
  >(
    queryKeyFn({
      path: "/user/issues",
      operationId: "issuesListForAuthenticatedUser",
      variables,
    }),
    () =>
      fetchIssuesListForAuthenticatedUser({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type UsersListPublicSshKeysForAuthenticatedQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type UsersListPublicSshKeysForAuthenticatedError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type UsersListPublicSshKeysForAuthenticatedResponse = Schemas.Key[];

export type UsersListPublicSshKeysForAuthenticatedVariables = {
  queryParams?: UsersListPublicSshKeysForAuthenticatedQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists the public SSH keys for the authenticated user's GitHub account. Requires that you are authenticated via Basic Auth or via OAuth with at least `read:public_key` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const fetchUsersListPublicSshKeysForAuthenticated = (
  variables: UsersListPublicSshKeysForAuthenticatedVariables
) =>
  githubFetch<
    UsersListPublicSshKeysForAuthenticatedResponse,
    UsersListPublicSshKeysForAuthenticatedError,
    undefined,
    {},
    UsersListPublicSshKeysForAuthenticatedQueryParams,
    {}
  >({ url: "/user/keys", method: "get", ...variables });

/**
 * Lists the public SSH keys for the authenticated user's GitHub account. Requires that you are authenticated via Basic Auth or via OAuth with at least `read:public_key` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const useUsersListPublicSshKeysForAuthenticated = <
  TData = UsersListPublicSshKeysForAuthenticatedResponse
>(
  variables: UsersListPublicSshKeysForAuthenticatedVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      UsersListPublicSshKeysForAuthenticatedResponse,
      UsersListPublicSshKeysForAuthenticatedError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    UsersListPublicSshKeysForAuthenticatedResponse,
    UsersListPublicSshKeysForAuthenticatedError,
    TData
  >(
    queryKeyFn({
      path: "/user/keys",
      operationId: "usersListPublicSshKeysForAuthenticated",
      variables,
    }),
    () =>
      fetchUsersListPublicSshKeysForAuthenticated({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type UsersCreatePublicSshKeyForAuthenticatedError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type UsersCreatePublicSshKeyForAuthenticatedRequestBody = {
  /*
   * The public SSH key to add to your GitHub account.
   *
   * @pattern ^ssh-(rsa|dss|ed25519) |^ecdsa-sha2-nistp(256|384|521)
   */
  key: string;
  /*
   * A descriptive name for the new key.
   *
   * @example Personal MacBook Air
   */
  title?: string;
};

export type UsersCreatePublicSshKeyForAuthenticatedVariables = {
  body: UsersCreatePublicSshKeyForAuthenticatedRequestBody;
} & GithubContext["fetcherOptions"];

/**
 * Adds a public SSH key to the authenticated user's GitHub account. Requires that you are authenticated via Basic Auth, or OAuth with at least `write:public_key` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const fetchUsersCreatePublicSshKeyForAuthenticated = (
  variables: UsersCreatePublicSshKeyForAuthenticatedVariables
) =>
  githubFetch<
    Schemas.Key,
    UsersCreatePublicSshKeyForAuthenticatedError,
    UsersCreatePublicSshKeyForAuthenticatedRequestBody,
    {},
    {},
    {}
  >({ url: "/user/keys", method: "post", ...variables });

/**
 * Adds a public SSH key to the authenticated user's GitHub account. Requires that you are authenticated via Basic Auth, or OAuth with at least `write:public_key` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const useUsersCreatePublicSshKeyForAuthenticated = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Key,
      UsersCreatePublicSshKeyForAuthenticatedError,
      UsersCreatePublicSshKeyForAuthenticatedVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Key,
    UsersCreatePublicSshKeyForAuthenticatedError,
    UsersCreatePublicSshKeyForAuthenticatedVariables
  >(
    (variables: UsersCreatePublicSshKeyForAuthenticatedVariables) =>
      fetchUsersCreatePublicSshKeyForAuthenticated({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type UsersDeletePublicSshKeyForAuthenticatedPathParams = {
  /*
   * key_id parameter
   */
  keyId: number;
};

export type UsersDeletePublicSshKeyForAuthenticatedError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type UsersDeletePublicSshKeyForAuthenticatedVariables = {
  pathParams: UsersDeletePublicSshKeyForAuthenticatedPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Removes a public SSH key from the authenticated user's GitHub account. Requires that you are authenticated via Basic Auth or via OAuth with at least `admin:public_key` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const fetchUsersDeletePublicSshKeyForAuthenticated = (
  variables: UsersDeletePublicSshKeyForAuthenticatedVariables
) =>
  githubFetch<
    undefined,
    UsersDeletePublicSshKeyForAuthenticatedError,
    undefined,
    {},
    {},
    UsersDeletePublicSshKeyForAuthenticatedPathParams
  >({ url: "/user/keys/{keyId}", method: "delete", ...variables });

/**
 * Removes a public SSH key from the authenticated user's GitHub account. Requires that you are authenticated via Basic Auth or via OAuth with at least `admin:public_key` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const useUsersDeletePublicSshKeyForAuthenticated = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      UsersDeletePublicSshKeyForAuthenticatedError,
      UsersDeletePublicSshKeyForAuthenticatedVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    UsersDeletePublicSshKeyForAuthenticatedError,
    UsersDeletePublicSshKeyForAuthenticatedVariables
  >(
    (variables: UsersDeletePublicSshKeyForAuthenticatedVariables) =>
      fetchUsersDeletePublicSshKeyForAuthenticated({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type UsersGetPublicSshKeyForAuthenticatedPathParams = {
  /*
   * key_id parameter
   */
  keyId: number;
};

export type UsersGetPublicSshKeyForAuthenticatedError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type UsersGetPublicSshKeyForAuthenticatedVariables = {
  pathParams: UsersGetPublicSshKeyForAuthenticatedPathParams;
} & GithubContext["fetcherOptions"];

/**
 * View extended details for a single public SSH key. Requires that you are authenticated via Basic Auth or via OAuth with at least `read:public_key` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const fetchUsersGetPublicSshKeyForAuthenticated = (
  variables: UsersGetPublicSshKeyForAuthenticatedVariables
) =>
  githubFetch<
    Schemas.Key,
    UsersGetPublicSshKeyForAuthenticatedError,
    undefined,
    {},
    {},
    UsersGetPublicSshKeyForAuthenticatedPathParams
  >({ url: "/user/keys/{keyId}", method: "get", ...variables });

/**
 * View extended details for a single public SSH key. Requires that you are authenticated via Basic Auth or via OAuth with at least `read:public_key` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/).
 */
export const useUsersGetPublicSshKeyForAuthenticated = <TData = Schemas.Key>(
  variables: UsersGetPublicSshKeyForAuthenticatedVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.Key,
      UsersGetPublicSshKeyForAuthenticatedError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.Key,
    UsersGetPublicSshKeyForAuthenticatedError,
    TData
  >(
    queryKeyFn({
      path: "/user/keys/{key_id}",
      operationId: "usersGetPublicSshKeyForAuthenticated",
      variables,
    }),
    () =>
      fetchUsersGetPublicSshKeyForAuthenticated({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type AppsListSubscriptionsForAuthenticatedUserQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type AppsListSubscriptionsForAuthenticatedUserError =
  Fetcher.ErrorWrapper<
    | {
        status: 304;
        payload: Responses.NotModified;
      }
    | {
        status: 401;
        payload: Responses.RequiresAuthentication;
      }
    | {
        status: 404;
        payload: Responses.NotFound;
      }
  >;

export type AppsListSubscriptionsForAuthenticatedUserResponse =
  Schemas.UserMarketplacePurchase[];

export type AppsListSubscriptionsForAuthenticatedUserVariables = {
  queryParams?: AppsListSubscriptionsForAuthenticatedUserQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists the active subscriptions for the authenticated user. You must use a [user-to-server OAuth access token](https://docs.github.com/apps/building-github-apps/identifying-and-authorizing-users-for-github-apps/#identifying-users-on-your-site), created for a user who has authorized your GitHub App, to access this endpoint. . OAuth Apps must authenticate using an [OAuth token](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/).
 */
export const fetchAppsListSubscriptionsForAuthenticatedUser = (
  variables: AppsListSubscriptionsForAuthenticatedUserVariables
) =>
  githubFetch<
    AppsListSubscriptionsForAuthenticatedUserResponse,
    AppsListSubscriptionsForAuthenticatedUserError,
    undefined,
    {},
    AppsListSubscriptionsForAuthenticatedUserQueryParams,
    {}
  >({ url: "/user/marketplace_purchases", method: "get", ...variables });

/**
 * Lists the active subscriptions for the authenticated user. You must use a [user-to-server OAuth access token](https://docs.github.com/apps/building-github-apps/identifying-and-authorizing-users-for-github-apps/#identifying-users-on-your-site), created for a user who has authorized your GitHub App, to access this endpoint. . OAuth Apps must authenticate using an [OAuth token](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/).
 */
export const useAppsListSubscriptionsForAuthenticatedUser = <
  TData = AppsListSubscriptionsForAuthenticatedUserResponse
>(
  variables: AppsListSubscriptionsForAuthenticatedUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      AppsListSubscriptionsForAuthenticatedUserResponse,
      AppsListSubscriptionsForAuthenticatedUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    AppsListSubscriptionsForAuthenticatedUserResponse,
    AppsListSubscriptionsForAuthenticatedUserError,
    TData
  >(
    queryKeyFn({
      path: "/user/marketplace_purchases",
      operationId: "appsListSubscriptionsForAuthenticatedUser",
      variables,
    }),
    () =>
      fetchAppsListSubscriptionsForAuthenticatedUser({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type AppsListSubscriptionsForAuthenticatedUserStubbedQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type AppsListSubscriptionsForAuthenticatedUserStubbedError =
  Fetcher.ErrorWrapper<
    | {
        status: 304;
        payload: Responses.NotModified;
      }
    | {
        status: 401;
        payload: Responses.RequiresAuthentication;
      }
  >;

export type AppsListSubscriptionsForAuthenticatedUserStubbedResponse =
  Schemas.UserMarketplacePurchase[];

export type AppsListSubscriptionsForAuthenticatedUserStubbedVariables = {
  queryParams?: AppsListSubscriptionsForAuthenticatedUserStubbedQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists the active subscriptions for the authenticated user. You must use a [user-to-server OAuth access token](https://docs.github.com/apps/building-github-apps/identifying-and-authorizing-users-for-github-apps/#identifying-users-on-your-site), created for a user who has authorized your GitHub App, to access this endpoint. . OAuth Apps must authenticate using an [OAuth token](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/).
 */
export const fetchAppsListSubscriptionsForAuthenticatedUserStubbed = (
  variables: AppsListSubscriptionsForAuthenticatedUserStubbedVariables
) =>
  githubFetch<
    AppsListSubscriptionsForAuthenticatedUserStubbedResponse,
    AppsListSubscriptionsForAuthenticatedUserStubbedError,
    undefined,
    {},
    AppsListSubscriptionsForAuthenticatedUserStubbedQueryParams,
    {}
  >({
    url: "/user/marketplace_purchases/stubbed",
    method: "get",
    ...variables,
  });

/**
 * Lists the active subscriptions for the authenticated user. You must use a [user-to-server OAuth access token](https://docs.github.com/apps/building-github-apps/identifying-and-authorizing-users-for-github-apps/#identifying-users-on-your-site), created for a user who has authorized your GitHub App, to access this endpoint. . OAuth Apps must authenticate using an [OAuth token](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/).
 */
export const useAppsListSubscriptionsForAuthenticatedUserStubbed = <
  TData = AppsListSubscriptionsForAuthenticatedUserStubbedResponse
>(
  variables: AppsListSubscriptionsForAuthenticatedUserStubbedVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      AppsListSubscriptionsForAuthenticatedUserStubbedResponse,
      AppsListSubscriptionsForAuthenticatedUserStubbedError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    AppsListSubscriptionsForAuthenticatedUserStubbedResponse,
    AppsListSubscriptionsForAuthenticatedUserStubbedError,
    TData
  >(
    queryKeyFn({
      path: "/user/marketplace_purchases/stubbed",
      operationId: "appsListSubscriptionsForAuthenticatedUserStubbed",
      variables,
    }),
    () =>
      fetchAppsListSubscriptionsForAuthenticatedUserStubbed({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type OrgsListMembershipsForAuthenticatedUserQueryParams = {
  /*
   * Indicates the state of the memberships to return. Can be either `active` or `pending`. If not specified, the API returns both active and pending memberships.
   */
  state?: "active" | "pending";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type OrgsListMembershipsForAuthenticatedUserError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type OrgsListMembershipsForAuthenticatedUserResponse =
  Schemas.OrgMembership[];

export type OrgsListMembershipsForAuthenticatedUserVariables = {
  queryParams?: OrgsListMembershipsForAuthenticatedUserQueryParams;
} & GithubContext["fetcherOptions"];

export const fetchOrgsListMembershipsForAuthenticatedUser = (
  variables: OrgsListMembershipsForAuthenticatedUserVariables
) =>
  githubFetch<
    OrgsListMembershipsForAuthenticatedUserResponse,
    OrgsListMembershipsForAuthenticatedUserError,
    undefined,
    {},
    OrgsListMembershipsForAuthenticatedUserQueryParams,
    {}
  >({ url: "/user/memberships/orgs", method: "get", ...variables });

export const useOrgsListMembershipsForAuthenticatedUser = <
  TData = OrgsListMembershipsForAuthenticatedUserResponse
>(
  variables: OrgsListMembershipsForAuthenticatedUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      OrgsListMembershipsForAuthenticatedUserResponse,
      OrgsListMembershipsForAuthenticatedUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    OrgsListMembershipsForAuthenticatedUserResponse,
    OrgsListMembershipsForAuthenticatedUserError,
    TData
  >(
    queryKeyFn({
      path: "/user/memberships/orgs",
      operationId: "orgsListMembershipsForAuthenticatedUser",
      variables,
    }),
    () =>
      fetchOrgsListMembershipsForAuthenticatedUser({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type OrgsGetMembershipForAuthenticatedUserPathParams = {
  org: string;
};

export type OrgsGetMembershipForAuthenticatedUserError = Fetcher.ErrorWrapper<
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type OrgsGetMembershipForAuthenticatedUserVariables = {
  pathParams: OrgsGetMembershipForAuthenticatedUserPathParams;
} & GithubContext["fetcherOptions"];

export const fetchOrgsGetMembershipForAuthenticatedUser = (
  variables: OrgsGetMembershipForAuthenticatedUserVariables
) =>
  githubFetch<
    Schemas.OrgMembership,
    OrgsGetMembershipForAuthenticatedUserError,
    undefined,
    {},
    {},
    OrgsGetMembershipForAuthenticatedUserPathParams
  >({ url: "/user/memberships/orgs/{org}", method: "get", ...variables });

export const useOrgsGetMembershipForAuthenticatedUser = <
  TData = Schemas.OrgMembership
>(
  variables: OrgsGetMembershipForAuthenticatedUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.OrgMembership,
      OrgsGetMembershipForAuthenticatedUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.OrgMembership,
    OrgsGetMembershipForAuthenticatedUserError,
    TData
  >(
    queryKeyFn({
      path: "/user/memberships/orgs/{org}",
      operationId: "orgsGetMembershipForAuthenticatedUser",
      variables,
    }),
    () =>
      fetchOrgsGetMembershipForAuthenticatedUser({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type OrgsUpdateMembershipForAuthenticatedUserPathParams = {
  org: string;
};

export type OrgsUpdateMembershipForAuthenticatedUserError =
  Fetcher.ErrorWrapper<
    | {
        status: 403;
        payload: Responses.Forbidden;
      }
    | {
        status: 404;
        payload: Responses.NotFound;
      }
    | {
        status: 422;
        payload: Responses.ValidationFailed;
      }
  >;

export type OrgsUpdateMembershipForAuthenticatedUserRequestBody = {
  /*
   * The state that the membership should be in. Only `"active"` will be accepted.
   */
  state: "active";
};

export type OrgsUpdateMembershipForAuthenticatedUserVariables = {
  body: OrgsUpdateMembershipForAuthenticatedUserRequestBody;
  pathParams: OrgsUpdateMembershipForAuthenticatedUserPathParams;
} & GithubContext["fetcherOptions"];

export const fetchOrgsUpdateMembershipForAuthenticatedUser = (
  variables: OrgsUpdateMembershipForAuthenticatedUserVariables
) =>
  githubFetch<
    Schemas.OrgMembership,
    OrgsUpdateMembershipForAuthenticatedUserError,
    OrgsUpdateMembershipForAuthenticatedUserRequestBody,
    {},
    {},
    OrgsUpdateMembershipForAuthenticatedUserPathParams
  >({ url: "/user/memberships/orgs/{org}", method: "patch", ...variables });

export const useOrgsUpdateMembershipForAuthenticatedUser = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.OrgMembership,
      OrgsUpdateMembershipForAuthenticatedUserError,
      OrgsUpdateMembershipForAuthenticatedUserVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.OrgMembership,
    OrgsUpdateMembershipForAuthenticatedUserError,
    OrgsUpdateMembershipForAuthenticatedUserVariables
  >(
    (variables: OrgsUpdateMembershipForAuthenticatedUserVariables) =>
      fetchOrgsUpdateMembershipForAuthenticatedUser({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type MigrationsListForAuthenticatedUserQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type MigrationsListForAuthenticatedUserError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
>;

export type MigrationsListForAuthenticatedUserResponse = Schemas.Migration[];

export type MigrationsListForAuthenticatedUserVariables = {
  queryParams?: MigrationsListForAuthenticatedUserQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists all migrations a user has started.
 */
export const fetchMigrationsListForAuthenticatedUser = (
  variables: MigrationsListForAuthenticatedUserVariables
) =>
  githubFetch<
    MigrationsListForAuthenticatedUserResponse,
    MigrationsListForAuthenticatedUserError,
    undefined,
    {},
    MigrationsListForAuthenticatedUserQueryParams,
    {}
  >({ url: "/user/migrations", method: "get", ...variables });

/**
 * Lists all migrations a user has started.
 */
export const useMigrationsListForAuthenticatedUser = <
  TData = MigrationsListForAuthenticatedUserResponse
>(
  variables: MigrationsListForAuthenticatedUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      MigrationsListForAuthenticatedUserResponse,
      MigrationsListForAuthenticatedUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    MigrationsListForAuthenticatedUserResponse,
    MigrationsListForAuthenticatedUserError,
    TData
  >(
    queryKeyFn({
      path: "/user/migrations",
      operationId: "migrationsListForAuthenticatedUser",
      variables,
    }),
    () =>
      fetchMigrationsListForAuthenticatedUser({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type MigrationsStartForAuthenticatedUserError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type MigrationsStartForAuthenticatedUserRequestBody = {
  /*
   * Exclude attributes from the API response to improve performance
   *
   * @example repositories
   */
  exclude?: "repositories"[];
  /*
   * Do not include attachments in the migration
   *
   * @example true
   */
  exclude_attachments?: boolean;
  /*
   * Lock the repositories being migrated at the start of the migration
   *
   * @example true
   */
  lock_repositories?: boolean;
  repositories: string[];
};

export type MigrationsStartForAuthenticatedUserVariables = {
  body: MigrationsStartForAuthenticatedUserRequestBody;
} & GithubContext["fetcherOptions"];

/**
 * Initiates the generation of a user migration archive.
 */
export const fetchMigrationsStartForAuthenticatedUser = (
  variables: MigrationsStartForAuthenticatedUserVariables
) =>
  githubFetch<
    Schemas.Migration,
    MigrationsStartForAuthenticatedUserError,
    MigrationsStartForAuthenticatedUserRequestBody,
    {},
    {},
    {}
  >({ url: "/user/migrations", method: "post", ...variables });

/**
 * Initiates the generation of a user migration archive.
 */
export const useMigrationsStartForAuthenticatedUser = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Migration,
      MigrationsStartForAuthenticatedUserError,
      MigrationsStartForAuthenticatedUserVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Migration,
    MigrationsStartForAuthenticatedUserError,
    MigrationsStartForAuthenticatedUserVariables
  >(
    (variables: MigrationsStartForAuthenticatedUserVariables) =>
      fetchMigrationsStartForAuthenticatedUser({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type MigrationsGetStatusForAuthenticatedUserPathParams = {
  /*
   * migration_id parameter
   */
  migrationId: number;
};

export type MigrationsGetStatusForAuthenticatedUserQueryParams = {
  exclude?: string[];
};

export type MigrationsGetStatusForAuthenticatedUserError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type MigrationsGetStatusForAuthenticatedUserVariables = {
  pathParams: MigrationsGetStatusForAuthenticatedUserPathParams;
  queryParams?: MigrationsGetStatusForAuthenticatedUserQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Fetches a single user migration. The response includes the `state` of the migration, which can be one of the following values:
 *
 * *   `pending` - the migration hasn't started yet.
 * *   `exporting` - the migration is in progress.
 * *   `exported` - the migration finished successfully.
 * *   `failed` - the migration failed.
 *
 * Once the migration has been `exported` you can [download the migration archive](https://docs.github.com/rest/reference/migrations#download-a-user-migration-archive).
 */
export const fetchMigrationsGetStatusForAuthenticatedUser = (
  variables: MigrationsGetStatusForAuthenticatedUserVariables
) =>
  githubFetch<
    Schemas.Migration,
    MigrationsGetStatusForAuthenticatedUserError,
    undefined,
    {},
    MigrationsGetStatusForAuthenticatedUserQueryParams,
    MigrationsGetStatusForAuthenticatedUserPathParams
  >({ url: "/user/migrations/{migrationId}", method: "get", ...variables });

/**
 * Fetches a single user migration. The response includes the `state` of the migration, which can be one of the following values:
 *
 * *   `pending` - the migration hasn't started yet.
 * *   `exporting` - the migration is in progress.
 * *   `exported` - the migration finished successfully.
 * *   `failed` - the migration failed.
 *
 * Once the migration has been `exported` you can [download the migration archive](https://docs.github.com/rest/reference/migrations#download-a-user-migration-archive).
 */
export const useMigrationsGetStatusForAuthenticatedUser = <
  TData = Schemas.Migration
>(
  variables: MigrationsGetStatusForAuthenticatedUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.Migration,
      MigrationsGetStatusForAuthenticatedUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.Migration,
    MigrationsGetStatusForAuthenticatedUserError,
    TData
  >(
    queryKeyFn({
      path: "/user/migrations/{migration_id}",
      operationId: "migrationsGetStatusForAuthenticatedUser",
      variables,
    }),
    () =>
      fetchMigrationsGetStatusForAuthenticatedUser({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type MigrationsDeleteArchiveForAuthenticatedUserPathParams = {
  /*
   * migration_id parameter
   */
  migrationId: number;
};

export type MigrationsDeleteArchiveForAuthenticatedUserError =
  Fetcher.ErrorWrapper<
    | {
        status: 304;
        payload: Responses.NotModified;
      }
    | {
        status: 401;
        payload: Responses.RequiresAuthentication;
      }
    | {
        status: 403;
        payload: Responses.Forbidden;
      }
    | {
        status: 404;
        payload: Responses.NotFound;
      }
  >;

export type MigrationsDeleteArchiveForAuthenticatedUserVariables = {
  pathParams: MigrationsDeleteArchiveForAuthenticatedUserPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Deletes a previous migration archive. Downloadable migration archives are automatically deleted after seven days. Migration metadata, which is returned in the [List user migrations](https://docs.github.com/rest/reference/migrations#list-user-migrations) and [Get a user migration status](https://docs.github.com/rest/reference/migrations#get-a-user-migration-status) endpoints, will continue to be available even after an archive is deleted.
 */
export const fetchMigrationsDeleteArchiveForAuthenticatedUser = (
  variables: MigrationsDeleteArchiveForAuthenticatedUserVariables
) =>
  githubFetch<
    undefined,
    MigrationsDeleteArchiveForAuthenticatedUserError,
    undefined,
    {},
    {},
    MigrationsDeleteArchiveForAuthenticatedUserPathParams
  >({
    url: "/user/migrations/{migrationId}/archive",
    method: "delete",
    ...variables,
  });

/**
 * Deletes a previous migration archive. Downloadable migration archives are automatically deleted after seven days. Migration metadata, which is returned in the [List user migrations](https://docs.github.com/rest/reference/migrations#list-user-migrations) and [Get a user migration status](https://docs.github.com/rest/reference/migrations#get-a-user-migration-status) endpoints, will continue to be available even after an archive is deleted.
 */
export const useMigrationsDeleteArchiveForAuthenticatedUser = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      MigrationsDeleteArchiveForAuthenticatedUserError,
      MigrationsDeleteArchiveForAuthenticatedUserVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    MigrationsDeleteArchiveForAuthenticatedUserError,
    MigrationsDeleteArchiveForAuthenticatedUserVariables
  >(
    (variables: MigrationsDeleteArchiveForAuthenticatedUserVariables) =>
      fetchMigrationsDeleteArchiveForAuthenticatedUser({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type MigrationsGetArchiveForAuthenticatedUserPathParams = {
  /*
   * migration_id parameter
   */
  migrationId: number;
};

export type MigrationsGetArchiveForAuthenticatedUserError =
  Fetcher.ErrorWrapper<
    | {
        status: 304;
        payload: Responses.NotModified;
      }
    | {
        status: 401;
        payload: Responses.RequiresAuthentication;
      }
    | {
        status: 403;
        payload: Responses.Forbidden;
      }
  >;

export type MigrationsGetArchiveForAuthenticatedUserVariables = {
  pathParams: MigrationsGetArchiveForAuthenticatedUserPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Fetches the URL to download the migration archive as a `tar.gz` file. Depending on the resources your repository uses, the migration archive can contain JSON files with data for these objects:
 *
 * *   attachments
 * *   bases
 * *   commit\_comments
 * *   issue\_comments
 * *   issue\_events
 * *   issues
 * *   milestones
 * *   organizations
 * *   projects
 * *   protected\_branches
 * *   pull\_request\_reviews
 * *   pull\_requests
 * *   releases
 * *   repositories
 * *   review\_comments
 * *   schema
 * *   users
 *
 * The archive will also contain an `attachments` directory that includes all attachment files uploaded to GitHub.com and a `repositories` directory that contains the repository's Git data.
 */
export const fetchMigrationsGetArchiveForAuthenticatedUser = (
  variables: MigrationsGetArchiveForAuthenticatedUserVariables
) =>
  githubFetch<
    undefined,
    MigrationsGetArchiveForAuthenticatedUserError,
    undefined,
    {},
    {},
    MigrationsGetArchiveForAuthenticatedUserPathParams
  >({
    url: "/user/migrations/{migrationId}/archive",
    method: "get",
    ...variables,
  });

/**
 * Fetches the URL to download the migration archive as a `tar.gz` file. Depending on the resources your repository uses, the migration archive can contain JSON files with data for these objects:
 *
 * *   attachments
 * *   bases
 * *   commit\_comments
 * *   issue\_comments
 * *   issue\_events
 * *   issues
 * *   milestones
 * *   organizations
 * *   projects
 * *   protected\_branches
 * *   pull\_request\_reviews
 * *   pull\_requests
 * *   releases
 * *   repositories
 * *   review\_comments
 * *   schema
 * *   users
 *
 * The archive will also contain an `attachments` directory that includes all attachment files uploaded to GitHub.com and a `repositories` directory that contains the repository's Git data.
 */
export const useMigrationsGetArchiveForAuthenticatedUser = <TData = undefined>(
  variables: MigrationsGetArchiveForAuthenticatedUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      undefined,
      MigrationsGetArchiveForAuthenticatedUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    undefined,
    MigrationsGetArchiveForAuthenticatedUserError,
    TData
  >(
    queryKeyFn({
      path: "/user/migrations/{migration_id}/archive",
      operationId: "migrationsGetArchiveForAuthenticatedUser",
      variables,
    }),
    () =>
      fetchMigrationsGetArchiveForAuthenticatedUser({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type MigrationsUnlockRepoForAuthenticatedUserPathParams = {
  /*
   * migration_id parameter
   */
  migrationId: number;
  /*
   * repo_name parameter
   */
  repoName: string;
};

export type MigrationsUnlockRepoForAuthenticatedUserError =
  Fetcher.ErrorWrapper<
    | {
        status: 304;
        payload: Responses.NotModified;
      }
    | {
        status: 401;
        payload: Responses.RequiresAuthentication;
      }
    | {
        status: 403;
        payload: Responses.Forbidden;
      }
    | {
        status: 404;
        payload: Responses.NotFound;
      }
  >;

export type MigrationsUnlockRepoForAuthenticatedUserVariables = {
  pathParams: MigrationsUnlockRepoForAuthenticatedUserPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Unlocks a repository. You can lock repositories when you [start a user migration](https://docs.github.com/rest/reference/migrations#start-a-user-migration). Once the migration is complete you can unlock each repository to begin using it again or [delete the repository](https://docs.github.com/rest/reference/repos#delete-a-repository) if you no longer need the source data. Returns a status of `404 Not Found` if the repository is not locked.
 */
export const fetchMigrationsUnlockRepoForAuthenticatedUser = (
  variables: MigrationsUnlockRepoForAuthenticatedUserVariables
) =>
  githubFetch<
    undefined,
    MigrationsUnlockRepoForAuthenticatedUserError,
    undefined,
    {},
    {},
    MigrationsUnlockRepoForAuthenticatedUserPathParams
  >({
    url: "/user/migrations/{migrationId}/repos/{repoName}/lock",
    method: "delete",
    ...variables,
  });

/**
 * Unlocks a repository. You can lock repositories when you [start a user migration](https://docs.github.com/rest/reference/migrations#start-a-user-migration). Once the migration is complete you can unlock each repository to begin using it again or [delete the repository](https://docs.github.com/rest/reference/repos#delete-a-repository) if you no longer need the source data. Returns a status of `404 Not Found` if the repository is not locked.
 */
export const useMigrationsUnlockRepoForAuthenticatedUser = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      MigrationsUnlockRepoForAuthenticatedUserError,
      MigrationsUnlockRepoForAuthenticatedUserVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    MigrationsUnlockRepoForAuthenticatedUserError,
    MigrationsUnlockRepoForAuthenticatedUserVariables
  >(
    (variables: MigrationsUnlockRepoForAuthenticatedUserVariables) =>
      fetchMigrationsUnlockRepoForAuthenticatedUser({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type MigrationsListReposForUserPathParams = {
  /*
   * migration_id parameter
   */
  migrationId: number;
};

export type MigrationsListReposForUserQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type MigrationsListReposForUserError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type MigrationsListReposForUserResponse = Schemas.MinimalRepository[];

export type MigrationsListReposForUserVariables = {
  pathParams: MigrationsListReposForUserPathParams;
  queryParams?: MigrationsListReposForUserQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists all the repositories for this user migration.
 */
export const fetchMigrationsListReposForUser = (
  variables: MigrationsListReposForUserVariables
) =>
  githubFetch<
    MigrationsListReposForUserResponse,
    MigrationsListReposForUserError,
    undefined,
    {},
    MigrationsListReposForUserQueryParams,
    MigrationsListReposForUserPathParams
  >({
    url: "/user/migrations/{migrationId}/repositories",
    method: "get",
    ...variables,
  });

/**
 * Lists all the repositories for this user migration.
 */
export const useMigrationsListReposForUser = <
  TData = MigrationsListReposForUserResponse
>(
  variables: MigrationsListReposForUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      MigrationsListReposForUserResponse,
      MigrationsListReposForUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    MigrationsListReposForUserResponse,
    MigrationsListReposForUserError,
    TData
  >(
    queryKeyFn({
      path: "/user/migrations/{migration_id}/repositories",
      operationId: "migrationsListReposForUser",
      variables,
    }),
    () => fetchMigrationsListReposForUser({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type OrgsListForAuthenticatedUserQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type OrgsListForAuthenticatedUserError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
>;

export type OrgsListForAuthenticatedUserResponse = Schemas.OrganizationSimple[];

export type OrgsListForAuthenticatedUserVariables = {
  queryParams?: OrgsListForAuthenticatedUserQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * List organizations for the authenticated user.
 *
 * **OAuth scope requirements**
 *
 * This only lists organizations that your authorization allows you to operate on in some way (e.g., you can list teams with `read:org` scope, you can publicize your organization membership with `user` scope, etc.). Therefore, this API requires at least `user` or `read:org` scope. OAuth requests with insufficient scope receive a `403 Forbidden` response.
 */
export const fetchOrgsListForAuthenticatedUser = (
  variables: OrgsListForAuthenticatedUserVariables
) =>
  githubFetch<
    OrgsListForAuthenticatedUserResponse,
    OrgsListForAuthenticatedUserError,
    undefined,
    {},
    OrgsListForAuthenticatedUserQueryParams,
    {}
  >({ url: "/user/orgs", method: "get", ...variables });

/**
 * List organizations for the authenticated user.
 *
 * **OAuth scope requirements**
 *
 * This only lists organizations that your authorization allows you to operate on in some way (e.g., you can list teams with `read:org` scope, you can publicize your organization membership with `user` scope, etc.). Therefore, this API requires at least `user` or `read:org` scope. OAuth requests with insufficient scope receive a `403 Forbidden` response.
 */
export const useOrgsListForAuthenticatedUser = <
  TData = OrgsListForAuthenticatedUserResponse
>(
  variables: OrgsListForAuthenticatedUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      OrgsListForAuthenticatedUserResponse,
      OrgsListForAuthenticatedUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    OrgsListForAuthenticatedUserResponse,
    OrgsListForAuthenticatedUserError,
    TData
  >(
    queryKeyFn({
      path: "/user/orgs",
      operationId: "orgsListForAuthenticatedUser",
      variables,
    }),
    () =>
      fetchOrgsListForAuthenticatedUser({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type PackagesDeletePackageForAuthenticatedUserPathParams = {
  /*
   * The type of supported package. Can be one of `npm`, `maven`, `rubygems`, `nuget`, `docker`, or `container`. For Docker images that use the package namespace `https://ghcr.io/owner/package-name`, use `container`.
   */
  packageType: "npm" | "maven" | "rubygems" | "docker" | "nuget" | "container";
  /*
   * The name of the package.
   */
  packageName: string;
};

export type PackagesDeletePackageForAuthenticatedUserError =
  Fetcher.ErrorWrapper<
    | {
        status: 401;
        payload: Responses.RequiresAuthentication;
      }
    | {
        status: 403;
        payload: Responses.Forbidden;
      }
    | {
        status: 404;
        payload: Responses.NotFound;
      }
  >;

export type PackagesDeletePackageForAuthenticatedUserVariables = {
  pathParams: PackagesDeletePackageForAuthenticatedUserPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Deletes a package owned by the authenticated user. You cannot delete a public package if any version of the package has more than 25 downloads. In this scenario, contact GitHub support for further assistance.
 *
 * To use this endpoint, you must authenticate using an access token with the `packages:read` and `packages:delete` scope.
 * If `package_type` is not `container`, your token must also include the `repo` scope.
 */
export const fetchPackagesDeletePackageForAuthenticatedUser = (
  variables: PackagesDeletePackageForAuthenticatedUserVariables
) =>
  githubFetch<
    undefined,
    PackagesDeletePackageForAuthenticatedUserError,
    undefined,
    {},
    {},
    PackagesDeletePackageForAuthenticatedUserPathParams
  >({
    url: "/user/packages/{packageType}/{packageName}",
    method: "delete",
    ...variables,
  });

/**
 * Deletes a package owned by the authenticated user. You cannot delete a public package if any version of the package has more than 25 downloads. In this scenario, contact GitHub support for further assistance.
 *
 * To use this endpoint, you must authenticate using an access token with the `packages:read` and `packages:delete` scope.
 * If `package_type` is not `container`, your token must also include the `repo` scope.
 */
export const usePackagesDeletePackageForAuthenticatedUser = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      PackagesDeletePackageForAuthenticatedUserError,
      PackagesDeletePackageForAuthenticatedUserVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    PackagesDeletePackageForAuthenticatedUserError,
    PackagesDeletePackageForAuthenticatedUserVariables
  >(
    (variables: PackagesDeletePackageForAuthenticatedUserVariables) =>
      fetchPackagesDeletePackageForAuthenticatedUser({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type PackagesGetPackageForAuthenticatedUserPathParams = {
  /*
   * The type of supported package. Can be one of `npm`, `maven`, `rubygems`, `nuget`, `docker`, or `container`. For Docker images that use the package namespace `https://ghcr.io/owner/package-name`, use `container`.
   */
  packageType: "npm" | "maven" | "rubygems" | "docker" | "nuget" | "container";
  /*
   * The name of the package.
   */
  packageName: string;
};

export type PackagesGetPackageForAuthenticatedUserError =
  Fetcher.ErrorWrapper<undefined>;

export type PackagesGetPackageForAuthenticatedUserVariables = {
  pathParams: PackagesGetPackageForAuthenticatedUserPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets a specific package for a package owned by the authenticated user.
 *
 * To use this endpoint, you must authenticate using an access token with the `packages:read` scope.
 * If `package_type` is not `container`, your token must also include the `repo` scope.
 */
export const fetchPackagesGetPackageForAuthenticatedUser = (
  variables: PackagesGetPackageForAuthenticatedUserVariables
) =>
  githubFetch<
    Schemas.Package,
    PackagesGetPackageForAuthenticatedUserError,
    undefined,
    {},
    {},
    PackagesGetPackageForAuthenticatedUserPathParams
  >({
    url: "/user/packages/{packageType}/{packageName}",
    method: "get",
    ...variables,
  });

/**
 * Gets a specific package for a package owned by the authenticated user.
 *
 * To use this endpoint, you must authenticate using an access token with the `packages:read` scope.
 * If `package_type` is not `container`, your token must also include the `repo` scope.
 */
export const usePackagesGetPackageForAuthenticatedUser = <
  TData = Schemas.Package
>(
  variables: PackagesGetPackageForAuthenticatedUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.Package,
      PackagesGetPackageForAuthenticatedUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.Package,
    PackagesGetPackageForAuthenticatedUserError,
    TData
  >(
    queryKeyFn({
      path: "/user/packages/{package_type}/{package_name}",
      operationId: "packagesGetPackageForAuthenticatedUser",
      variables,
    }),
    () =>
      fetchPackagesGetPackageForAuthenticatedUser({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type PackagesRestorePackageForAuthenticatedUserPathParams = {
  /*
   * The type of supported package. Can be one of `npm`, `maven`, `rubygems`, `nuget`, `docker`, or `container`. For Docker images that use the package namespace `https://ghcr.io/owner/package-name`, use `container`.
   */
  packageType: "npm" | "maven" | "rubygems" | "docker" | "nuget" | "container";
  /*
   * The name of the package.
   */
  packageName: string;
};

export type PackagesRestorePackageForAuthenticatedUserQueryParams = {
  /*
   * package token
   */
  token?: string;
};

export type PackagesRestorePackageForAuthenticatedUserError =
  Fetcher.ErrorWrapper<
    | {
        status: 401;
        payload: Responses.RequiresAuthentication;
      }
    | {
        status: 403;
        payload: Responses.Forbidden;
      }
    | {
        status: 404;
        payload: Responses.NotFound;
      }
  >;

export type PackagesRestorePackageForAuthenticatedUserVariables = {
  pathParams: PackagesRestorePackageForAuthenticatedUserPathParams;
  queryParams?: PackagesRestorePackageForAuthenticatedUserQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Restores a package owned by the authenticated user.
 *
 * You can restore a deleted package under the following conditions:
 *   - The package was deleted within the last 30 days.
 *   - The same package namespace and version is still available and not reused for a new package. If the same package namespace is not available, you will not be able to restore your package. In this scenario, to restore the deleted package, you must delete the new package that uses the deleted package's namespace first.
 *
 * To use this endpoint, you must authenticate using an access token with the `packages:read` and `packages:write` scope. If `package_type` is not `container`, your token must also include the `repo` scope.
 */
export const fetchPackagesRestorePackageForAuthenticatedUser = (
  variables: PackagesRestorePackageForAuthenticatedUserVariables
) =>
  githubFetch<
    undefined,
    PackagesRestorePackageForAuthenticatedUserError,
    undefined,
    {},
    PackagesRestorePackageForAuthenticatedUserQueryParams,
    PackagesRestorePackageForAuthenticatedUserPathParams
  >({
    url: "/user/packages/{packageType}/{packageName}/restore",
    method: "post",
    ...variables,
  });

/**
 * Restores a package owned by the authenticated user.
 *
 * You can restore a deleted package under the following conditions:
 *   - The package was deleted within the last 30 days.
 *   - The same package namespace and version is still available and not reused for a new package. If the same package namespace is not available, you will not be able to restore your package. In this scenario, to restore the deleted package, you must delete the new package that uses the deleted package's namespace first.
 *
 * To use this endpoint, you must authenticate using an access token with the `packages:read` and `packages:write` scope. If `package_type` is not `container`, your token must also include the `repo` scope.
 */
export const usePackagesRestorePackageForAuthenticatedUser = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      PackagesRestorePackageForAuthenticatedUserError,
      PackagesRestorePackageForAuthenticatedUserVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    PackagesRestorePackageForAuthenticatedUserError,
    PackagesRestorePackageForAuthenticatedUserVariables
  >(
    (variables: PackagesRestorePackageForAuthenticatedUserVariables) =>
      fetchPackagesRestorePackageForAuthenticatedUser({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type PackagesGetAllPackageVersionsForPackageOwnedByAuthenticatedUserPathParams =
  {
    /*
     * The type of supported package. Can be one of `npm`, `maven`, `rubygems`, `nuget`, `docker`, or `container`. For Docker images that use the package namespace `https://ghcr.io/owner/package-name`, use `container`.
     */
    packageType:
      | "npm"
      | "maven"
      | "rubygems"
      | "docker"
      | "nuget"
      | "container";
    /*
     * The name of the package.
     */
    packageName: string;
  };

export type PackagesGetAllPackageVersionsForPackageOwnedByAuthenticatedUserQueryParams =
  {
    /*
     * Page number of the results to fetch.
     *
     * @default 1
     */
    page?: number;
    /*
     * Results per page (max 100).
     *
     * @default 30
     */
    per_page?: number;
    /*
     * The state of the package, either active or deleted.
     *
     * @default active
     */
    state?: "active" | "deleted";
  };

export type PackagesGetAllPackageVersionsForPackageOwnedByAuthenticatedUserError =
  Fetcher.ErrorWrapper<
    | {
        status: 401;
        payload: Responses.RequiresAuthentication;
      }
    | {
        status: 403;
        payload: Responses.Forbidden;
      }
    | {
        status: 404;
        payload: Responses.NotFound;
      }
  >;

export type PackagesGetAllPackageVersionsForPackageOwnedByAuthenticatedUserResponse =
  Schemas.PackageVersion[];

export type PackagesGetAllPackageVersionsForPackageOwnedByAuthenticatedUserVariables =
  {
    pathParams: PackagesGetAllPackageVersionsForPackageOwnedByAuthenticatedUserPathParams;
    queryParams?: PackagesGetAllPackageVersionsForPackageOwnedByAuthenticatedUserQueryParams;
  } & GithubContext["fetcherOptions"];

/**
 * Returns all package versions for a package owned by the authenticated user.
 *
 * To use this endpoint, you must authenticate using an access token with the `packages:read` scope.
 * If `package_type` is not `container`, your token must also include the `repo` scope.
 */
export const fetchPackagesGetAllPackageVersionsForPackageOwnedByAuthenticatedUser =
  (
    variables: PackagesGetAllPackageVersionsForPackageOwnedByAuthenticatedUserVariables
  ) =>
    githubFetch<
      PackagesGetAllPackageVersionsForPackageOwnedByAuthenticatedUserResponse,
      PackagesGetAllPackageVersionsForPackageOwnedByAuthenticatedUserError,
      undefined,
      {},
      PackagesGetAllPackageVersionsForPackageOwnedByAuthenticatedUserQueryParams,
      PackagesGetAllPackageVersionsForPackageOwnedByAuthenticatedUserPathParams
    >({
      url: "/user/packages/{packageType}/{packageName}/versions",
      method: "get",
      ...variables,
    });

/**
 * Returns all package versions for a package owned by the authenticated user.
 *
 * To use this endpoint, you must authenticate using an access token with the `packages:read` scope.
 * If `package_type` is not `container`, your token must also include the `repo` scope.
 */
export const usePackagesGetAllPackageVersionsForPackageOwnedByAuthenticatedUser =
  <
    TData = PackagesGetAllPackageVersionsForPackageOwnedByAuthenticatedUserResponse
  >(
    variables: PackagesGetAllPackageVersionsForPackageOwnedByAuthenticatedUserVariables,
    options?: Omit<
      reactQuery.UseQueryOptions<
        PackagesGetAllPackageVersionsForPackageOwnedByAuthenticatedUserResponse,
        PackagesGetAllPackageVersionsForPackageOwnedByAuthenticatedUserError,
        TData
      >,
      "queryKey" | "queryFn"
    >
  ) => {
    const { fetcherOptions, queryOptions, queryKeyFn } =
      useGithubContext(options);
    return reactQuery.useQuery<
      PackagesGetAllPackageVersionsForPackageOwnedByAuthenticatedUserResponse,
      PackagesGetAllPackageVersionsForPackageOwnedByAuthenticatedUserError,
      TData
    >(
      queryKeyFn({
        path: "/user/packages/{package_type}/{package_name}/versions",
        operationId:
          "packagesGetAllPackageVersionsForPackageOwnedByAuthenticatedUser",
        variables,
      }),
      () =>
        fetchPackagesGetAllPackageVersionsForPackageOwnedByAuthenticatedUser({
          ...fetcherOptions,
          ...variables,
        }),
      {
        ...options,
        ...queryOptions,
      }
    );
  };

export type PackagesDeletePackageVersionForAuthenticatedUserPathParams = {
  /*
   * The type of supported package. Can be one of `npm`, `maven`, `rubygems`, `nuget`, `docker`, or `container`. For Docker images that use the package namespace `https://ghcr.io/owner/package-name`, use `container`.
   */
  packageType: "npm" | "maven" | "rubygems" | "docker" | "nuget" | "container";
  /*
   * The name of the package.
   */
  packageName: string;
  /*
   * Unique identifier of the package version.
   */
  packageVersionId: number;
};

export type PackagesDeletePackageVersionForAuthenticatedUserError =
  Fetcher.ErrorWrapper<
    | {
        status: 401;
        payload: Responses.RequiresAuthentication;
      }
    | {
        status: 403;
        payload: Responses.Forbidden;
      }
    | {
        status: 404;
        payload: Responses.NotFound;
      }
  >;

export type PackagesDeletePackageVersionForAuthenticatedUserVariables = {
  pathParams: PackagesDeletePackageVersionForAuthenticatedUserPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Deletes a specific package version for a package owned by the authenticated user.  If the package is public and the package version has more than 25 downloads, you cannot delete the package version. In this scenario, contact GitHub support for further assistance.
 *
 * To use this endpoint, you must have admin permissions in the organization and authenticate using an access token with the `packages:read` scope.
 * If `package_type` is not `container`, your token must also include the `repo` scope.
 */
export const fetchPackagesDeletePackageVersionForAuthenticatedUser = (
  variables: PackagesDeletePackageVersionForAuthenticatedUserVariables
) =>
  githubFetch<
    undefined,
    PackagesDeletePackageVersionForAuthenticatedUserError,
    undefined,
    {},
    {},
    PackagesDeletePackageVersionForAuthenticatedUserPathParams
  >({
    url: "/user/packages/{packageType}/{packageName}/versions/{packageVersionId}",
    method: "delete",
    ...variables,
  });

/**
 * Deletes a specific package version for a package owned by the authenticated user.  If the package is public and the package version has more than 25 downloads, you cannot delete the package version. In this scenario, contact GitHub support for further assistance.
 *
 * To use this endpoint, you must have admin permissions in the organization and authenticate using an access token with the `packages:read` scope.
 * If `package_type` is not `container`, your token must also include the `repo` scope.
 */
export const usePackagesDeletePackageVersionForAuthenticatedUser = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      PackagesDeletePackageVersionForAuthenticatedUserError,
      PackagesDeletePackageVersionForAuthenticatedUserVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    PackagesDeletePackageVersionForAuthenticatedUserError,
    PackagesDeletePackageVersionForAuthenticatedUserVariables
  >(
    (variables: PackagesDeletePackageVersionForAuthenticatedUserVariables) =>
      fetchPackagesDeletePackageVersionForAuthenticatedUser({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type PackagesGetPackageVersionForAuthenticatedUserPathParams = {
  /*
   * The type of supported package. Can be one of `npm`, `maven`, `rubygems`, `nuget`, `docker`, or `container`. For Docker images that use the package namespace `https://ghcr.io/owner/package-name`, use `container`.
   */
  packageType: "npm" | "maven" | "rubygems" | "docker" | "nuget" | "container";
  /*
   * The name of the package.
   */
  packageName: string;
  /*
   * Unique identifier of the package version.
   */
  packageVersionId: number;
};

export type PackagesGetPackageVersionForAuthenticatedUserError =
  Fetcher.ErrorWrapper<undefined>;

export type PackagesGetPackageVersionForAuthenticatedUserVariables = {
  pathParams: PackagesGetPackageVersionForAuthenticatedUserPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets a specific package version for a package owned by the authenticated user.
 *
 * To use this endpoint, you must authenticate using an access token with the `packages:read` scope.
 * If `package_type` is not `container`, your token must also include the `repo` scope.
 */
export const fetchPackagesGetPackageVersionForAuthenticatedUser = (
  variables: PackagesGetPackageVersionForAuthenticatedUserVariables
) =>
  githubFetch<
    Schemas.PackageVersion,
    PackagesGetPackageVersionForAuthenticatedUserError,
    undefined,
    {},
    {},
    PackagesGetPackageVersionForAuthenticatedUserPathParams
  >({
    url: "/user/packages/{packageType}/{packageName}/versions/{packageVersionId}",
    method: "get",
    ...variables,
  });

/**
 * Gets a specific package version for a package owned by the authenticated user.
 *
 * To use this endpoint, you must authenticate using an access token with the `packages:read` scope.
 * If `package_type` is not `container`, your token must also include the `repo` scope.
 */
export const usePackagesGetPackageVersionForAuthenticatedUser = <
  TData = Schemas.PackageVersion
>(
  variables: PackagesGetPackageVersionForAuthenticatedUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.PackageVersion,
      PackagesGetPackageVersionForAuthenticatedUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.PackageVersion,
    PackagesGetPackageVersionForAuthenticatedUserError,
    TData
  >(
    queryKeyFn({
      path: "/user/packages/{package_type}/{package_name}/versions/{package_version_id}",
      operationId: "packagesGetPackageVersionForAuthenticatedUser",
      variables,
    }),
    () =>
      fetchPackagesGetPackageVersionForAuthenticatedUser({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type PackagesRestorePackageVersionForAuthenticatedUserPathParams = {
  /*
   * The type of supported package. Can be one of `npm`, `maven`, `rubygems`, `nuget`, `docker`, or `container`. For Docker images that use the package namespace `https://ghcr.io/owner/package-name`, use `container`.
   */
  packageType: "npm" | "maven" | "rubygems" | "docker" | "nuget" | "container";
  /*
   * The name of the package.
   */
  packageName: string;
  /*
   * Unique identifier of the package version.
   */
  packageVersionId: number;
};

export type PackagesRestorePackageVersionForAuthenticatedUserError =
  Fetcher.ErrorWrapper<
    | {
        status: 401;
        payload: Responses.RequiresAuthentication;
      }
    | {
        status: 403;
        payload: Responses.Forbidden;
      }
    | {
        status: 404;
        payload: Responses.NotFound;
      }
  >;

export type PackagesRestorePackageVersionForAuthenticatedUserVariables = {
  pathParams: PackagesRestorePackageVersionForAuthenticatedUserPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Restores a package version owned by the authenticated user.
 *
 * You can restore a deleted package version under the following conditions:
 *   - The package was deleted within the last 30 days.
 *   - The same package namespace and version is still available and not reused for a new package. If the same package namespace is not available, you will not be able to restore your package. In this scenario, to restore the deleted package, you must delete the new package that uses the deleted package's namespace first.
 *
 * To use this endpoint, you must authenticate using an access token with the `packages:read` and `packages:write` scope. If `package_type` is not `container`, your token must also include the `repo` scope.
 */
export const fetchPackagesRestorePackageVersionForAuthenticatedUser = (
  variables: PackagesRestorePackageVersionForAuthenticatedUserVariables
) =>
  githubFetch<
    undefined,
    PackagesRestorePackageVersionForAuthenticatedUserError,
    undefined,
    {},
    {},
    PackagesRestorePackageVersionForAuthenticatedUserPathParams
  >({
    url: "/user/packages/{packageType}/{packageName}/versions/{packageVersionId}/restore",
    method: "post",
    ...variables,
  });

/**
 * Restores a package version owned by the authenticated user.
 *
 * You can restore a deleted package version under the following conditions:
 *   - The package was deleted within the last 30 days.
 *   - The same package namespace and version is still available and not reused for a new package. If the same package namespace is not available, you will not be able to restore your package. In this scenario, to restore the deleted package, you must delete the new package that uses the deleted package's namespace first.
 *
 * To use this endpoint, you must authenticate using an access token with the `packages:read` and `packages:write` scope. If `package_type` is not `container`, your token must also include the `repo` scope.
 */
export const usePackagesRestorePackageVersionForAuthenticatedUser = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      PackagesRestorePackageVersionForAuthenticatedUserError,
      PackagesRestorePackageVersionForAuthenticatedUserVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    PackagesRestorePackageVersionForAuthenticatedUserError,
    PackagesRestorePackageVersionForAuthenticatedUserVariables
  >(
    (variables: PackagesRestorePackageVersionForAuthenticatedUserVariables) =>
      fetchPackagesRestorePackageVersionForAuthenticatedUser({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ProjectsCreateForAuthenticatedUserError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 415;
      payload: Responses.PreviewHeaderMissing;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailedSimple;
    }
>;

export type ProjectsCreateForAuthenticatedUserRequestBody = {
  /*
   * Body of the project
   *
   * @example This project represents the sprint of the first week in January
   */
  body?: string | null;
  /*
   * Name of the project
   *
   * @example Week One Sprint
   */
  name: string;
};

export type ProjectsCreateForAuthenticatedUserVariables = {
  body: ProjectsCreateForAuthenticatedUserRequestBody;
} & GithubContext["fetcherOptions"];

export const fetchProjectsCreateForAuthenticatedUser = (
  variables: ProjectsCreateForAuthenticatedUserVariables
) =>
  githubFetch<
    Schemas.Project,
    ProjectsCreateForAuthenticatedUserError,
    ProjectsCreateForAuthenticatedUserRequestBody,
    {},
    {},
    {}
  >({ url: "/user/projects", method: "post", ...variables });

export const useProjectsCreateForAuthenticatedUser = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Project,
      ProjectsCreateForAuthenticatedUserError,
      ProjectsCreateForAuthenticatedUserVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Project,
    ProjectsCreateForAuthenticatedUserError,
    ProjectsCreateForAuthenticatedUserVariables
  >(
    (variables: ProjectsCreateForAuthenticatedUserVariables) =>
      fetchProjectsCreateForAuthenticatedUser({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type UsersListPublicEmailsForAuthenticatedQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type UsersListPublicEmailsForAuthenticatedError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type UsersListPublicEmailsForAuthenticatedResponse = Schemas.Email[];

export type UsersListPublicEmailsForAuthenticatedVariables = {
  queryParams?: UsersListPublicEmailsForAuthenticatedQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists your publicly visible email address, which you can set with the [Set primary email visibility for the authenticated user](https://docs.github.com/rest/reference/users#set-primary-email-visibility-for-the-authenticated-user) endpoint. This endpoint is accessible with the `user:email` scope.
 */
export const fetchUsersListPublicEmailsForAuthenticated = (
  variables: UsersListPublicEmailsForAuthenticatedVariables
) =>
  githubFetch<
    UsersListPublicEmailsForAuthenticatedResponse,
    UsersListPublicEmailsForAuthenticatedError,
    undefined,
    {},
    UsersListPublicEmailsForAuthenticatedQueryParams,
    {}
  >({ url: "/user/public_emails", method: "get", ...variables });

/**
 * Lists your publicly visible email address, which you can set with the [Set primary email visibility for the authenticated user](https://docs.github.com/rest/reference/users#set-primary-email-visibility-for-the-authenticated-user) endpoint. This endpoint is accessible with the `user:email` scope.
 */
export const useUsersListPublicEmailsForAuthenticated = <
  TData = UsersListPublicEmailsForAuthenticatedResponse
>(
  variables: UsersListPublicEmailsForAuthenticatedVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      UsersListPublicEmailsForAuthenticatedResponse,
      UsersListPublicEmailsForAuthenticatedError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    UsersListPublicEmailsForAuthenticatedResponse,
    UsersListPublicEmailsForAuthenticatedError,
    TData
  >(
    queryKeyFn({
      path: "/user/public_emails",
      operationId: "usersListPublicEmailsForAuthenticated",
      variables,
    }),
    () =>
      fetchUsersListPublicEmailsForAuthenticated({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposListForAuthenticatedUserQueryParams = {
  /*
   * Can be one of `all`, `public`, or `private`. Note: For GitHub AE, can be one of `all`, `internal`, or `private`.
   *
   * @default all
   */
  visibility?: "all" | "public" | "private";
  /*
   * Comma-separated list of values. Can include:
   * \* `owner`: Repositories that are owned by the authenticated user.
   * \* `collaborator`: Repositories that the user has been added to as a collaborator.
   * \* `organization_member`: Repositories that the user has access to through being a member of an organization. This includes every repository on every team that the user is on.
   *
   * @default owner,collaborator,organization_member
   */
  affiliation?: string;
  /*
   * Can be one of `all`, `owner`, `public`, `private`, `member`. Note: For GitHub AE, can be one of `all`, `owner`, `internal`, `private`, `member`. Default: `all`
   *
   * Will cause a `422` error if used in the same request as **visibility** or **affiliation**. Will cause a `422` error if used in the same request as **visibility** or **affiliation**.
   *
   * @default all
   */
  type?: "all" | "owner" | "public" | "private" | "member";
  /*
   * Can be one of `created`, `updated`, `pushed`, `full_name`.
   *
   * @default full_name
   */
  sort?: "created" | "updated" | "pushed" | "full_name";
  /*
   * Can be one of `asc` or `desc`. Default: `asc` when using `full_name`, otherwise `desc`
   */
  direction?: "asc" | "desc";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
  /*
   * Only show notifications updated after the given time. This is a timestamp in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format: `YYYY-MM-DDTHH:MM:SSZ`.
   */
  since?: string;
  /*
   * Only show notifications updated before the given time. This is a timestamp in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format: `YYYY-MM-DDTHH:MM:SSZ`.
   */
  before?: string;
};

export type ReposListForAuthenticatedUserError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type ReposListForAuthenticatedUserResponse = Schemas.Repository[];

export type ReposListForAuthenticatedUserVariables = {
  queryParams?: ReposListForAuthenticatedUserQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists repositories that the authenticated user has explicit permission (`:read`, `:write`, or `:admin`) to access.
 *
 * The authenticated user has explicit permission to access repositories they own, repositories where they are a collaborator, and repositories that they can access through an organization membership.
 */
export const fetchReposListForAuthenticatedUser = (
  variables: ReposListForAuthenticatedUserVariables
) =>
  githubFetch<
    ReposListForAuthenticatedUserResponse,
    ReposListForAuthenticatedUserError,
    undefined,
    {},
    ReposListForAuthenticatedUserQueryParams,
    {}
  >({ url: "/user/repos", method: "get", ...variables });

/**
 * Lists repositories that the authenticated user has explicit permission (`:read`, `:write`, or `:admin`) to access.
 *
 * The authenticated user has explicit permission to access repositories they own, repositories where they are a collaborator, and repositories that they can access through an organization membership.
 */
export const useReposListForAuthenticatedUser = <
  TData = ReposListForAuthenticatedUserResponse
>(
  variables: ReposListForAuthenticatedUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReposListForAuthenticatedUserResponse,
      ReposListForAuthenticatedUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReposListForAuthenticatedUserResponse,
    ReposListForAuthenticatedUserError,
    TData
  >(
    queryKeyFn({
      path: "/user/repos",
      operationId: "reposListForAuthenticatedUser",
      variables,
    }),
    () =>
      fetchReposListForAuthenticatedUser({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposCreateForAuthenticatedUserError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 400;
      payload: Responses.BadRequest;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type ReposCreateForAuthenticatedUserRequestBody = {
  /*
   * Whether to allow merge commits for pull requests.
   *
   * @default true
   * @example true
   */
  allow_merge_commit?: boolean;
  /*
   * Whether to allow rebase merges for pull requests.
   *
   * @default true
   * @example true
   */
  allow_rebase_merge?: boolean;
  /*
   * Whether to allow squash merges for pull requests.
   *
   * @default true
   * @example true
   */
  allow_squash_merge?: boolean;
  /*
   * Whether the repository is initialized with a minimal README.
   *
   * @default false
   */
  auto_init?: boolean;
  /*
   * Whether to delete head branches when pull requests are merged
   *
   * @default false
   * @example false
   */
  delete_branch_on_merge?: boolean;
  /*
   * A short description of the repository.
   */
  description?: string;
  /*
   * The desired language or platform to apply to the .gitignore.
   *
   * @example Haskell
   */
  gitignore_template?: string;
  /*
   * Whether downloads are enabled.
   *
   * @default true
   * @example true
   */
  has_downloads?: boolean;
  /*
   * Whether issues are enabled.
   *
   * @default true
   * @example true
   */
  has_issues?: boolean;
  /*
   * Whether projects are enabled.
   *
   * @default true
   * @example true
   */
  has_projects?: boolean;
  /*
   * Whether the wiki is enabled.
   *
   * @default true
   * @example true
   */
  has_wiki?: boolean;
  /*
   * A URL with more information about the repository.
   */
  homepage?: string;
  /*
   * Whether this repository acts as a template that can be used to generate new repositories.
   *
   * @default false
   * @example true
   */
  is_template?: boolean;
  /*
   * The license keyword of the open source license for this repository.
   *
   * @example mit
   */
  license_template?: string;
  /*
   * The name of the repository.
   *
   * @example Team Environment
   */
  name: string;
  /*
   * Whether the repository is private.
   *
   * @default false
   */
  private?: boolean;
  /*
   * The id of the team that will be granted access to this repository. This is only valid when creating a repository in an organization.
   */
  team_id?: number;
};

export type ReposCreateForAuthenticatedUserVariables = {
  body: ReposCreateForAuthenticatedUserRequestBody;
} & GithubContext["fetcherOptions"];

/**
 * Creates a new repository for the authenticated user.
 *
 * **OAuth scope requirements**
 *
 * When using [OAuth](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/), authorizations must include:
 *
 * *   `public_repo` scope or `repo` scope to create a public repository. Note: For GitHub AE, use `repo` scope to create an internal repository.
 * *   `repo` scope to create a private repository.
 */
export const fetchReposCreateForAuthenticatedUser = (
  variables: ReposCreateForAuthenticatedUserVariables
) =>
  githubFetch<
    Schemas.Repository,
    ReposCreateForAuthenticatedUserError,
    ReposCreateForAuthenticatedUserRequestBody,
    {},
    {},
    {}
  >({ url: "/user/repos", method: "post", ...variables });

/**
 * Creates a new repository for the authenticated user.
 *
 * **OAuth scope requirements**
 *
 * When using [OAuth](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/), authorizations must include:
 *
 * *   `public_repo` scope or `repo` scope to create a public repository. Note: For GitHub AE, use `repo` scope to create an internal repository.
 * *   `repo` scope to create a private repository.
 */
export const useReposCreateForAuthenticatedUser = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      Schemas.Repository,
      ReposCreateForAuthenticatedUserError,
      ReposCreateForAuthenticatedUserVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    Schemas.Repository,
    ReposCreateForAuthenticatedUserError,
    ReposCreateForAuthenticatedUserVariables
  >(
    (variables: ReposCreateForAuthenticatedUserVariables) =>
      fetchReposCreateForAuthenticatedUser({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposListInvitationsForAuthenticatedUserQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ReposListInvitationsForAuthenticatedUserError =
  Fetcher.ErrorWrapper<
    | {
        status: 304;
        payload: Responses.NotModified;
      }
    | {
        status: 401;
        payload: Responses.RequiresAuthentication;
      }
    | {
        status: 403;
        payload: Responses.Forbidden;
      }
    | {
        status: 404;
        payload: Responses.NotFound;
      }
  >;

export type ReposListInvitationsForAuthenticatedUserResponse =
  Schemas.RepositoryInvitation[];

export type ReposListInvitationsForAuthenticatedUserVariables = {
  queryParams?: ReposListInvitationsForAuthenticatedUserQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * When authenticating as a user, this endpoint will list all currently open repository invitations for that user.
 */
export const fetchReposListInvitationsForAuthenticatedUser = (
  variables: ReposListInvitationsForAuthenticatedUserVariables
) =>
  githubFetch<
    ReposListInvitationsForAuthenticatedUserResponse,
    ReposListInvitationsForAuthenticatedUserError,
    undefined,
    {},
    ReposListInvitationsForAuthenticatedUserQueryParams,
    {}
  >({ url: "/user/repository_invitations", method: "get", ...variables });

/**
 * When authenticating as a user, this endpoint will list all currently open repository invitations for that user.
 */
export const useReposListInvitationsForAuthenticatedUser = <
  TData = ReposListInvitationsForAuthenticatedUserResponse
>(
  variables: ReposListInvitationsForAuthenticatedUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReposListInvitationsForAuthenticatedUserResponse,
      ReposListInvitationsForAuthenticatedUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReposListInvitationsForAuthenticatedUserResponse,
    ReposListInvitationsForAuthenticatedUserError,
    TData
  >(
    queryKeyFn({
      path: "/user/repository_invitations",
      operationId: "reposListInvitationsForAuthenticatedUser",
      variables,
    }),
    () =>
      fetchReposListInvitationsForAuthenticatedUser({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposDeclineInvitationPathParams = {
  /*
   * invitation_id parameter
   */
  invitationId: number;
};

export type ReposDeclineInvitationError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 409;
      payload: Responses.Conflict;
    }
>;

export type ReposDeclineInvitationVariables = {
  pathParams: ReposDeclineInvitationPathParams;
} & GithubContext["fetcherOptions"];

export const fetchReposDeclineInvitation = (
  variables: ReposDeclineInvitationVariables
) =>
  githubFetch<
    undefined,
    ReposDeclineInvitationError,
    undefined,
    {},
    {},
    ReposDeclineInvitationPathParams
  >({
    url: "/user/repository_invitations/{invitationId}",
    method: "delete",
    ...variables,
  });

export const useReposDeclineInvitation = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ReposDeclineInvitationError,
      ReposDeclineInvitationVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ReposDeclineInvitationError,
    ReposDeclineInvitationVariables
  >(
    (variables: ReposDeclineInvitationVariables) =>
      fetchReposDeclineInvitation({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ReposAcceptInvitationPathParams = {
  /*
   * invitation_id parameter
   */
  invitationId: number;
};

export type ReposAcceptInvitationError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 409;
      payload: Responses.Conflict;
    }
>;

export type ReposAcceptInvitationVariables = {
  pathParams: ReposAcceptInvitationPathParams;
} & GithubContext["fetcherOptions"];

export const fetchReposAcceptInvitation = (
  variables: ReposAcceptInvitationVariables
) =>
  githubFetch<
    undefined,
    ReposAcceptInvitationError,
    undefined,
    {},
    {},
    ReposAcceptInvitationPathParams
  >({
    url: "/user/repository_invitations/{invitationId}",
    method: "patch",
    ...variables,
  });

export const useReposAcceptInvitation = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ReposAcceptInvitationError,
      ReposAcceptInvitationVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ReposAcceptInvitationError,
    ReposAcceptInvitationVariables
  >(
    (variables: ReposAcceptInvitationVariables) =>
      fetchReposAcceptInvitation({ ...fetcherOptions, ...variables }),
    options
  );
};

export type ActivityListReposStarredByAuthenticatedUserQueryParams = {
  /*
   * One of `created` (when the repository was starred) or `updated` (when it was last pushed to).
   *
   * @default created
   */
  sort?: "created" | "updated";
  /*
   * One of `asc` (ascending) or `desc` (descending).
   *
   * @default desc
   */
  direction?: "asc" | "desc";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ActivityListReposStarredByAuthenticatedUserError =
  Fetcher.ErrorWrapper<
    | {
        status: 304;
        payload: Responses.NotModified;
      }
    | {
        status: 401;
        payload: Responses.RequiresAuthentication;
      }
    | {
        status: 403;
        payload: Responses.Forbidden;
      }
  >;

export type ActivityListReposStarredByAuthenticatedUserResponse =
  Schemas.Repository[];

export type ActivityListReposStarredByAuthenticatedUserVariables = {
  queryParams?: ActivityListReposStarredByAuthenticatedUserQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists repositories the authenticated user has starred.
 *
 * You can also find out _when_ stars were created by passing the following custom [media type](https://docs.github.com/rest/overview/media-types/) via the `Accept` header:
 */
export const fetchActivityListReposStarredByAuthenticatedUser = (
  variables: ActivityListReposStarredByAuthenticatedUserVariables
) =>
  githubFetch<
    ActivityListReposStarredByAuthenticatedUserResponse,
    ActivityListReposStarredByAuthenticatedUserError,
    undefined,
    {},
    ActivityListReposStarredByAuthenticatedUserQueryParams,
    {}
  >({ url: "/user/starred", method: "get", ...variables });

/**
 * Lists repositories the authenticated user has starred.
 *
 * You can also find out _when_ stars were created by passing the following custom [media type](https://docs.github.com/rest/overview/media-types/) via the `Accept` header:
 */
export const useActivityListReposStarredByAuthenticatedUser = <
  TData = ActivityListReposStarredByAuthenticatedUserResponse
>(
  variables: ActivityListReposStarredByAuthenticatedUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ActivityListReposStarredByAuthenticatedUserResponse,
      ActivityListReposStarredByAuthenticatedUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ActivityListReposStarredByAuthenticatedUserResponse,
    ActivityListReposStarredByAuthenticatedUserError,
    TData
  >(
    queryKeyFn({
      path: "/user/starred",
      operationId: "activityListReposStarredByAuthenticatedUser",
      variables,
    }),
    () =>
      fetchActivityListReposStarredByAuthenticatedUser({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActivityUnstarRepoForAuthenticatedUserPathParams = {
  owner: string;
  repo: string;
};

export type ActivityUnstarRepoForAuthenticatedUserError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type ActivityUnstarRepoForAuthenticatedUserVariables = {
  pathParams: ActivityUnstarRepoForAuthenticatedUserPathParams;
} & GithubContext["fetcherOptions"];

export const fetchActivityUnstarRepoForAuthenticatedUser = (
  variables: ActivityUnstarRepoForAuthenticatedUserVariables
) =>
  githubFetch<
    undefined,
    ActivityUnstarRepoForAuthenticatedUserError,
    undefined,
    {},
    {},
    ActivityUnstarRepoForAuthenticatedUserPathParams
  >({ url: "/user/starred/{owner}/{repo}", method: "delete", ...variables });

export const useActivityUnstarRepoForAuthenticatedUser = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActivityUnstarRepoForAuthenticatedUserError,
      ActivityUnstarRepoForAuthenticatedUserVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActivityUnstarRepoForAuthenticatedUserError,
    ActivityUnstarRepoForAuthenticatedUserVariables
  >(
    (variables: ActivityUnstarRepoForAuthenticatedUserVariables) =>
      fetchActivityUnstarRepoForAuthenticatedUser({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ActivityCheckRepoIsStarredByAuthenticatedUserPathParams = {
  owner: string;
  repo: string;
};

export type ActivityCheckRepoIsStarredByAuthenticatedUserError =
  Fetcher.ErrorWrapper<
    | {
        status: 304;
        payload: Responses.NotModified;
      }
    | {
        status: 401;
        payload: Responses.RequiresAuthentication;
      }
    | {
        status: 403;
        payload: Responses.Forbidden;
      }
    | {
        status: 404;
        payload: Schemas.BasicError;
      }
  >;

export type ActivityCheckRepoIsStarredByAuthenticatedUserVariables = {
  pathParams: ActivityCheckRepoIsStarredByAuthenticatedUserPathParams;
} & GithubContext["fetcherOptions"];

export const fetchActivityCheckRepoIsStarredByAuthenticatedUser = (
  variables: ActivityCheckRepoIsStarredByAuthenticatedUserVariables
) =>
  githubFetch<
    undefined,
    ActivityCheckRepoIsStarredByAuthenticatedUserError,
    undefined,
    {},
    {},
    ActivityCheckRepoIsStarredByAuthenticatedUserPathParams
  >({ url: "/user/starred/{owner}/{repo}", method: "get", ...variables });

export const useActivityCheckRepoIsStarredByAuthenticatedUser = <
  TData = undefined
>(
  variables: ActivityCheckRepoIsStarredByAuthenticatedUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      undefined,
      ActivityCheckRepoIsStarredByAuthenticatedUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    undefined,
    ActivityCheckRepoIsStarredByAuthenticatedUserError,
    TData
  >(
    queryKeyFn({
      path: "/user/starred/{owner}/{repo}",
      operationId: "activityCheckRepoIsStarredByAuthenticatedUser",
      variables,
    }),
    () =>
      fetchActivityCheckRepoIsStarredByAuthenticatedUser({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActivityStarRepoForAuthenticatedUserPathParams = {
  owner: string;
  repo: string;
};

export type ActivityStarRepoForAuthenticatedUserError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 401;
      payload: Responses.RequiresAuthentication;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type ActivityStarRepoForAuthenticatedUserVariables = {
  pathParams: ActivityStarRepoForAuthenticatedUserPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Note that you'll need to set `Content-Length` to zero when calling out to this endpoint. For more information, see "[HTTP verbs](https://docs.github.com/rest/overview/resources-in-the-rest-api#http-verbs)."
 */
export const fetchActivityStarRepoForAuthenticatedUser = (
  variables: ActivityStarRepoForAuthenticatedUserVariables
) =>
  githubFetch<
    undefined,
    ActivityStarRepoForAuthenticatedUserError,
    undefined,
    {},
    {},
    ActivityStarRepoForAuthenticatedUserPathParams
  >({ url: "/user/starred/{owner}/{repo}", method: "put", ...variables });

/**
 * Note that you'll need to set `Content-Length` to zero when calling out to this endpoint. For more information, see "[HTTP verbs](https://docs.github.com/rest/overview/resources-in-the-rest-api#http-verbs)."
 */
export const useActivityStarRepoForAuthenticatedUser = (
  options?: Omit<
    reactQuery.UseMutationOptions<
      undefined,
      ActivityStarRepoForAuthenticatedUserError,
      ActivityStarRepoForAuthenticatedUserVariables
    >,
    "mutationFn"
  >
) => {
  const { fetcherOptions } = useGithubContext();
  return reactQuery.useMutation<
    undefined,
    ActivityStarRepoForAuthenticatedUserError,
    ActivityStarRepoForAuthenticatedUserVariables
  >(
    (variables: ActivityStarRepoForAuthenticatedUserVariables) =>
      fetchActivityStarRepoForAuthenticatedUser({
        ...fetcherOptions,
        ...variables,
      }),
    options
  );
};

export type ActivityListWatchedReposForAuthenticatedUserQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ActivityListWatchedReposForAuthenticatedUserError =
  Fetcher.ErrorWrapper<
    | {
        status: 304;
        payload: Responses.NotModified;
      }
    | {
        status: 401;
        payload: Responses.RequiresAuthentication;
      }
    | {
        status: 403;
        payload: Responses.Forbidden;
      }
  >;

export type ActivityListWatchedReposForAuthenticatedUserResponse =
  Schemas.MinimalRepository[];

export type ActivityListWatchedReposForAuthenticatedUserVariables = {
  queryParams?: ActivityListWatchedReposForAuthenticatedUserQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists repositories the authenticated user is watching.
 */
export const fetchActivityListWatchedReposForAuthenticatedUser = (
  variables: ActivityListWatchedReposForAuthenticatedUserVariables
) =>
  githubFetch<
    ActivityListWatchedReposForAuthenticatedUserResponse,
    ActivityListWatchedReposForAuthenticatedUserError,
    undefined,
    {},
    ActivityListWatchedReposForAuthenticatedUserQueryParams,
    {}
  >({ url: "/user/subscriptions", method: "get", ...variables });

/**
 * Lists repositories the authenticated user is watching.
 */
export const useActivityListWatchedReposForAuthenticatedUser = <
  TData = ActivityListWatchedReposForAuthenticatedUserResponse
>(
  variables: ActivityListWatchedReposForAuthenticatedUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ActivityListWatchedReposForAuthenticatedUserResponse,
      ActivityListWatchedReposForAuthenticatedUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ActivityListWatchedReposForAuthenticatedUserResponse,
    ActivityListWatchedReposForAuthenticatedUserError,
    TData
  >(
    queryKeyFn({
      path: "/user/subscriptions",
      operationId: "activityListWatchedReposForAuthenticatedUser",
      variables,
    }),
    () =>
      fetchActivityListWatchedReposForAuthenticatedUser({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type TeamsListForAuthenticatedUserQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type TeamsListForAuthenticatedUserError = Fetcher.ErrorWrapper<
  | {
      status: 304;
      payload: Responses.NotModified;
    }
  | {
      status: 403;
      payload: Responses.Forbidden;
    }
  | {
      status: 404;
      payload: Responses.NotFound;
    }
>;

export type TeamsListForAuthenticatedUserResponse = Schemas.TeamFull[];

export type TeamsListForAuthenticatedUserVariables = {
  queryParams?: TeamsListForAuthenticatedUserQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * List all of the teams across all of the organizations to which the authenticated user belongs. This method requires `user`, `repo`, or `read:org` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/) when authenticating via [OAuth](https://docs.github.com/apps/building-oauth-apps/).
 */
export const fetchTeamsListForAuthenticatedUser = (
  variables: TeamsListForAuthenticatedUserVariables
) =>
  githubFetch<
    TeamsListForAuthenticatedUserResponse,
    TeamsListForAuthenticatedUserError,
    undefined,
    {},
    TeamsListForAuthenticatedUserQueryParams,
    {}
  >({ url: "/user/teams", method: "get", ...variables });

/**
 * List all of the teams across all of the organizations to which the authenticated user belongs. This method requires `user`, `repo`, or `read:org` [scope](https://docs.github.com/apps/building-oauth-apps/understanding-scopes-for-oauth-apps/) when authenticating via [OAuth](https://docs.github.com/apps/building-oauth-apps/).
 */
export const useTeamsListForAuthenticatedUser = <
  TData = TeamsListForAuthenticatedUserResponse
>(
  variables: TeamsListForAuthenticatedUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      TeamsListForAuthenticatedUserResponse,
      TeamsListForAuthenticatedUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    TeamsListForAuthenticatedUserResponse,
    TeamsListForAuthenticatedUserError,
    TData
  >(
    queryKeyFn({
      path: "/user/teams",
      operationId: "teamsListForAuthenticatedUser",
      variables,
    }),
    () =>
      fetchTeamsListForAuthenticatedUser({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type UsersListQueryParams = {
  /*
   * A user ID. Only return users with an ID greater than this ID.
   */
  since?: number;
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
};

export type UsersListError = Fetcher.ErrorWrapper<{
  status: 304;
  payload: Responses.NotModified;
}>;

export type UsersListResponse = Schemas.SimpleUser[];

export type UsersListVariables = {
  queryParams?: UsersListQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists all users, in the order that they signed up on GitHub. This list includes personal user accounts and organization accounts.
 *
 * Note: Pagination is powered exclusively by the `since` parameter. Use the [Link header](https://docs.github.com/rest/overview/resources-in-the-rest-api#link-header) to get the URL for the next page of users.
 */
export const fetchUsersList = (variables: UsersListVariables) =>
  githubFetch<
    UsersListResponse,
    UsersListError,
    undefined,
    {},
    UsersListQueryParams,
    {}
  >({ url: "/users", method: "get", ...variables });

/**
 * Lists all users, in the order that they signed up on GitHub. This list includes personal user accounts and organization accounts.
 *
 * Note: Pagination is powered exclusively by the `since` parameter. Use the [Link header](https://docs.github.com/rest/overview/resources-in-the-rest-api#link-header) to get the URL for the next page of users.
 */
export const useUsersList = <TData = UsersListResponse>(
  variables: UsersListVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<UsersListResponse, UsersListError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<UsersListResponse, UsersListError, TData>(
    queryKeyFn({ path: "/users", operationId: "usersList", variables }),
    () => fetchUsersList({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type UsersGetByUsernamePathParams = {
  username: string;
};

export type UsersGetByUsernameError = Fetcher.ErrorWrapper<{
  status: 404;
  payload: Responses.NotFound;
}>;

export type UsersGetByUsernameVariables = {
  pathParams: UsersGetByUsernamePathParams;
} & GithubContext["fetcherOptions"];

/**
 * Provides publicly available information about someone with a GitHub account.
 *
 * GitHub Apps with the `Plan` user permission can use this endpoint to retrieve information about a user's GitHub plan. The GitHub App must be authenticated as a user. See "[Identifying and authorizing users for GitHub Apps](https://docs.github.com/apps/building-github-apps/identifying-and-authorizing-users-for-github-apps/)" for details about authentication. For an example response, see 'Response with GitHub plan information' below"
 *
 * The `email` key in the following response is the publicly visible email address from your GitHub [profile page](https://github.com/settings/profile). When setting up your profile, you can select a primary email address to be “public” which provides an email entry for this endpoint. If you do not set a public email address for `email`, then it will have a value of `null`. You only see publicly visible email addresses when authenticated with GitHub. For more information, see [Authentication](https://docs.github.com/rest/overview/resources-in-the-rest-api#authentication).
 *
 * The Emails API enables you to list all of your email addresses, and toggle a primary email to be visible publicly. For more information, see "[Emails API](https://docs.github.com/rest/reference/users#emails)".
 */
export const fetchUsersGetByUsername = (
  variables: UsersGetByUsernameVariables
) =>
  githubFetch<
    Schemas.PrivateUser | Schemas.PublicUser,
    UsersGetByUsernameError,
    undefined,
    {},
    {},
    UsersGetByUsernamePathParams
  >({ url: "/users/{username}", method: "get", ...variables });

/**
 * Provides publicly available information about someone with a GitHub account.
 *
 * GitHub Apps with the `Plan` user permission can use this endpoint to retrieve information about a user's GitHub plan. The GitHub App must be authenticated as a user. See "[Identifying and authorizing users for GitHub Apps](https://docs.github.com/apps/building-github-apps/identifying-and-authorizing-users-for-github-apps/)" for details about authentication. For an example response, see 'Response with GitHub plan information' below"
 *
 * The `email` key in the following response is the publicly visible email address from your GitHub [profile page](https://github.com/settings/profile). When setting up your profile, you can select a primary email address to be “public” which provides an email entry for this endpoint. If you do not set a public email address for `email`, then it will have a value of `null`. You only see publicly visible email addresses when authenticated with GitHub. For more information, see [Authentication](https://docs.github.com/rest/overview/resources-in-the-rest-api#authentication).
 *
 * The Emails API enables you to list all of your email addresses, and toggle a primary email to be visible publicly. For more information, see "[Emails API](https://docs.github.com/rest/reference/users#emails)".
 */
export const useUsersGetByUsername = <
  TData = Schemas.PrivateUser | Schemas.PublicUser
>(
  variables: UsersGetByUsernameVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.PrivateUser | Schemas.PublicUser,
      UsersGetByUsernameError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.PrivateUser | Schemas.PublicUser,
    UsersGetByUsernameError,
    TData
  >(
    queryKeyFn({
      path: "/users/{username}",
      operationId: "usersGetByUsername",
      variables,
    }),
    () => fetchUsersGetByUsername({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActivityListEventsForAuthenticatedUserPathParams = {
  username: string;
};

export type ActivityListEventsForAuthenticatedUserQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ActivityListEventsForAuthenticatedUserError =
  Fetcher.ErrorWrapper<undefined>;

export type ActivityListEventsForAuthenticatedUserResponse = Schemas.Event[];

export type ActivityListEventsForAuthenticatedUserVariables = {
  pathParams: ActivityListEventsForAuthenticatedUserPathParams;
  queryParams?: ActivityListEventsForAuthenticatedUserQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * If you are authenticated as the given user, you will see your private events. Otherwise, you'll only see public events.
 */
export const fetchActivityListEventsForAuthenticatedUser = (
  variables: ActivityListEventsForAuthenticatedUserVariables
) =>
  githubFetch<
    ActivityListEventsForAuthenticatedUserResponse,
    ActivityListEventsForAuthenticatedUserError,
    undefined,
    {},
    ActivityListEventsForAuthenticatedUserQueryParams,
    ActivityListEventsForAuthenticatedUserPathParams
  >({ url: "/users/{username}/events", method: "get", ...variables });

/**
 * If you are authenticated as the given user, you will see your private events. Otherwise, you'll only see public events.
 */
export const useActivityListEventsForAuthenticatedUser = <
  TData = ActivityListEventsForAuthenticatedUserResponse
>(
  variables: ActivityListEventsForAuthenticatedUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ActivityListEventsForAuthenticatedUserResponse,
      ActivityListEventsForAuthenticatedUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ActivityListEventsForAuthenticatedUserResponse,
    ActivityListEventsForAuthenticatedUserError,
    TData
  >(
    queryKeyFn({
      path: "/users/{username}/events",
      operationId: "activityListEventsForAuthenticatedUser",
      variables,
    }),
    () =>
      fetchActivityListEventsForAuthenticatedUser({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActivityListOrgEventsForAuthenticatedUserPathParams = {
  username: string;
  org: string;
};

export type ActivityListOrgEventsForAuthenticatedUserQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ActivityListOrgEventsForAuthenticatedUserError =
  Fetcher.ErrorWrapper<undefined>;

export type ActivityListOrgEventsForAuthenticatedUserResponse = Schemas.Event[];

export type ActivityListOrgEventsForAuthenticatedUserVariables = {
  pathParams: ActivityListOrgEventsForAuthenticatedUserPathParams;
  queryParams?: ActivityListOrgEventsForAuthenticatedUserQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * This is the user's organization dashboard. You must be authenticated as the user to view this.
 */
export const fetchActivityListOrgEventsForAuthenticatedUser = (
  variables: ActivityListOrgEventsForAuthenticatedUserVariables
) =>
  githubFetch<
    ActivityListOrgEventsForAuthenticatedUserResponse,
    ActivityListOrgEventsForAuthenticatedUserError,
    undefined,
    {},
    ActivityListOrgEventsForAuthenticatedUserQueryParams,
    ActivityListOrgEventsForAuthenticatedUserPathParams
  >({
    url: "/users/{username}/events/orgs/{org}",
    method: "get",
    ...variables,
  });

/**
 * This is the user's organization dashboard. You must be authenticated as the user to view this.
 */
export const useActivityListOrgEventsForAuthenticatedUser = <
  TData = ActivityListOrgEventsForAuthenticatedUserResponse
>(
  variables: ActivityListOrgEventsForAuthenticatedUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ActivityListOrgEventsForAuthenticatedUserResponse,
      ActivityListOrgEventsForAuthenticatedUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ActivityListOrgEventsForAuthenticatedUserResponse,
    ActivityListOrgEventsForAuthenticatedUserError,
    TData
  >(
    queryKeyFn({
      path: "/users/{username}/events/orgs/{org}",
      operationId: "activityListOrgEventsForAuthenticatedUser",
      variables,
    }),
    () =>
      fetchActivityListOrgEventsForAuthenticatedUser({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActivityListPublicEventsForUserPathParams = {
  username: string;
};

export type ActivityListPublicEventsForUserQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ActivityListPublicEventsForUserError =
  Fetcher.ErrorWrapper<undefined>;

export type ActivityListPublicEventsForUserResponse = Schemas.Event[];

export type ActivityListPublicEventsForUserVariables = {
  pathParams: ActivityListPublicEventsForUserPathParams;
  queryParams?: ActivityListPublicEventsForUserQueryParams;
} & GithubContext["fetcherOptions"];

export const fetchActivityListPublicEventsForUser = (
  variables: ActivityListPublicEventsForUserVariables
) =>
  githubFetch<
    ActivityListPublicEventsForUserResponse,
    ActivityListPublicEventsForUserError,
    undefined,
    {},
    ActivityListPublicEventsForUserQueryParams,
    ActivityListPublicEventsForUserPathParams
  >({ url: "/users/{username}/events/public", method: "get", ...variables });

export const useActivityListPublicEventsForUser = <
  TData = ActivityListPublicEventsForUserResponse
>(
  variables: ActivityListPublicEventsForUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ActivityListPublicEventsForUserResponse,
      ActivityListPublicEventsForUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ActivityListPublicEventsForUserResponse,
    ActivityListPublicEventsForUserError,
    TData
  >(
    queryKeyFn({
      path: "/users/{username}/events/public",
      operationId: "activityListPublicEventsForUser",
      variables,
    }),
    () =>
      fetchActivityListPublicEventsForUser({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type UsersListFollowersForUserPathParams = {
  username: string;
};

export type UsersListFollowersForUserQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type UsersListFollowersForUserError = Fetcher.ErrorWrapper<undefined>;

export type UsersListFollowersForUserResponse = Schemas.SimpleUser[];

export type UsersListFollowersForUserVariables = {
  pathParams: UsersListFollowersForUserPathParams;
  queryParams?: UsersListFollowersForUserQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists the people following the specified user.
 */
export const fetchUsersListFollowersForUser = (
  variables: UsersListFollowersForUserVariables
) =>
  githubFetch<
    UsersListFollowersForUserResponse,
    UsersListFollowersForUserError,
    undefined,
    {},
    UsersListFollowersForUserQueryParams,
    UsersListFollowersForUserPathParams
  >({ url: "/users/{username}/followers", method: "get", ...variables });

/**
 * Lists the people following the specified user.
 */
export const useUsersListFollowersForUser = <
  TData = UsersListFollowersForUserResponse
>(
  variables: UsersListFollowersForUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      UsersListFollowersForUserResponse,
      UsersListFollowersForUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    UsersListFollowersForUserResponse,
    UsersListFollowersForUserError,
    TData
  >(
    queryKeyFn({
      path: "/users/{username}/followers",
      operationId: "usersListFollowersForUser",
      variables,
    }),
    () => fetchUsersListFollowersForUser({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type UsersListFollowingForUserPathParams = {
  username: string;
};

export type UsersListFollowingForUserQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type UsersListFollowingForUserError = Fetcher.ErrorWrapper<undefined>;

export type UsersListFollowingForUserResponse = Schemas.SimpleUser[];

export type UsersListFollowingForUserVariables = {
  pathParams: UsersListFollowingForUserPathParams;
  queryParams?: UsersListFollowingForUserQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists the people who the specified user follows.
 */
export const fetchUsersListFollowingForUser = (
  variables: UsersListFollowingForUserVariables
) =>
  githubFetch<
    UsersListFollowingForUserResponse,
    UsersListFollowingForUserError,
    undefined,
    {},
    UsersListFollowingForUserQueryParams,
    UsersListFollowingForUserPathParams
  >({ url: "/users/{username}/following", method: "get", ...variables });

/**
 * Lists the people who the specified user follows.
 */
export const useUsersListFollowingForUser = <
  TData = UsersListFollowingForUserResponse
>(
  variables: UsersListFollowingForUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      UsersListFollowingForUserResponse,
      UsersListFollowingForUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    UsersListFollowingForUserResponse,
    UsersListFollowingForUserError,
    TData
  >(
    queryKeyFn({
      path: "/users/{username}/following",
      operationId: "usersListFollowingForUser",
      variables,
    }),
    () => fetchUsersListFollowingForUser({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type UsersCheckFollowingForUserPathParams = {
  username: string;
  targetUser: string;
};

export type UsersCheckFollowingForUserError = Fetcher.ErrorWrapper<undefined>;

export type UsersCheckFollowingForUserVariables = {
  pathParams: UsersCheckFollowingForUserPathParams;
} & GithubContext["fetcherOptions"];

export const fetchUsersCheckFollowingForUser = (
  variables: UsersCheckFollowingForUserVariables
) =>
  githubFetch<
    undefined,
    UsersCheckFollowingForUserError,
    undefined,
    {},
    {},
    UsersCheckFollowingForUserPathParams
  >({
    url: "/users/{username}/following/{targetUser}",
    method: "get",
    ...variables,
  });

export const useUsersCheckFollowingForUser = <TData = undefined>(
  variables: UsersCheckFollowingForUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      undefined,
      UsersCheckFollowingForUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<undefined, UsersCheckFollowingForUserError, TData>(
    queryKeyFn({
      path: "/users/{username}/following/{target_user}",
      operationId: "usersCheckFollowingForUser",
      variables,
    }),
    () => fetchUsersCheckFollowingForUser({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type GistsListForUserPathParams = {
  username: string;
};

export type GistsListForUserQueryParams = {
  /*
   * Only show notifications updated after the given time. This is a timestamp in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format: `YYYY-MM-DDTHH:MM:SSZ`.
   */
  since?: string;
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type GistsListForUserError = Fetcher.ErrorWrapper<{
  status: 422;
  payload: Responses.ValidationFailed;
}>;

export type GistsListForUserResponse = Schemas.BaseGist[];

export type GistsListForUserVariables = {
  pathParams: GistsListForUserPathParams;
  queryParams?: GistsListForUserQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists public gists for the specified user:
 */
export const fetchGistsListForUser = (variables: GistsListForUserVariables) =>
  githubFetch<
    GistsListForUserResponse,
    GistsListForUserError,
    undefined,
    {},
    GistsListForUserQueryParams,
    GistsListForUserPathParams
  >({ url: "/users/{username}/gists", method: "get", ...variables });

/**
 * Lists public gists for the specified user:
 */
export const useGistsListForUser = <TData = GistsListForUserResponse>(
  variables: GistsListForUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      GistsListForUserResponse,
      GistsListForUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    GistsListForUserResponse,
    GistsListForUserError,
    TData
  >(
    queryKeyFn({
      path: "/users/{username}/gists",
      operationId: "gistsListForUser",
      variables,
    }),
    () => fetchGistsListForUser({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type UsersListGpgKeysForUserPathParams = {
  username: string;
};

export type UsersListGpgKeysForUserQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type UsersListGpgKeysForUserError = Fetcher.ErrorWrapper<undefined>;

export type UsersListGpgKeysForUserResponse = Schemas.GpgKey[];

export type UsersListGpgKeysForUserVariables = {
  pathParams: UsersListGpgKeysForUserPathParams;
  queryParams?: UsersListGpgKeysForUserQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists the GPG keys for a user. This information is accessible by anyone.
 */
export const fetchUsersListGpgKeysForUser = (
  variables: UsersListGpgKeysForUserVariables
) =>
  githubFetch<
    UsersListGpgKeysForUserResponse,
    UsersListGpgKeysForUserError,
    undefined,
    {},
    UsersListGpgKeysForUserQueryParams,
    UsersListGpgKeysForUserPathParams
  >({ url: "/users/{username}/gpg_keys", method: "get", ...variables });

/**
 * Lists the GPG keys for a user. This information is accessible by anyone.
 */
export const useUsersListGpgKeysForUser = <
  TData = UsersListGpgKeysForUserResponse
>(
  variables: UsersListGpgKeysForUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      UsersListGpgKeysForUserResponse,
      UsersListGpgKeysForUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    UsersListGpgKeysForUserResponse,
    UsersListGpgKeysForUserError,
    TData
  >(
    queryKeyFn({
      path: "/users/{username}/gpg_keys",
      operationId: "usersListGpgKeysForUser",
      variables,
    }),
    () => fetchUsersListGpgKeysForUser({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type UsersGetContextForUserPathParams = {
  username: string;
};

export type UsersGetContextForUserQueryParams = {
  /*
   * Identifies which additional information you'd like to receive about the person's hovercard. Can be `organization`, `repository`, `issue`, `pull_request`. **Required** when using `subject_id`.
   */
  subject_type?: "organization" | "repository" | "issue" | "pull_request";
  /*
   * Uses the ID for the `subject_type` you specified. **Required** when using `subject_type`.
   */
  subject_id?: string;
};

export type UsersGetContextForUserError = Fetcher.ErrorWrapper<
  | {
      status: 404;
      payload: Responses.NotFound;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type UsersGetContextForUserVariables = {
  pathParams: UsersGetContextForUserPathParams;
  queryParams?: UsersGetContextForUserQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Provides hovercard information when authenticated through basic auth or OAuth with the `repo` scope. You can find out more about someone in relation to their pull requests, issues, repositories, and organizations.
 *
 * The `subject_type` and `subject_id` parameters provide context for the person's hovercard, which returns more information than without the parameters. For example, if you wanted to find out more about `octocat` who owns the `Spoon-Knife` repository via cURL, it would look like this:
 *
 * ```shell
 *  curl -u username:token
 *   https://api.github.com/users/octocat/hovercard?subject_type=repository&subject_id=1300192
 * ```
 */
export const fetchUsersGetContextForUser = (
  variables: UsersGetContextForUserVariables
) =>
  githubFetch<
    Schemas.Hovercard,
    UsersGetContextForUserError,
    undefined,
    {},
    UsersGetContextForUserQueryParams,
    UsersGetContextForUserPathParams
  >({ url: "/users/{username}/hovercard", method: "get", ...variables });

/**
 * Provides hovercard information when authenticated through basic auth or OAuth with the `repo` scope. You can find out more about someone in relation to their pull requests, issues, repositories, and organizations.
 *
 * The `subject_type` and `subject_id` parameters provide context for the person's hovercard, which returns more information than without the parameters. For example, if you wanted to find out more about `octocat` who owns the `Spoon-Knife` repository via cURL, it would look like this:
 *
 * ```shell
 *  curl -u username:token
 *   https://api.github.com/users/octocat/hovercard?subject_type=repository&subject_id=1300192
 * ```
 */
export const useUsersGetContextForUser = <TData = Schemas.Hovercard>(
  variables: UsersGetContextForUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.Hovercard,
      UsersGetContextForUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.Hovercard,
    UsersGetContextForUserError,
    TData
  >(
    queryKeyFn({
      path: "/users/{username}/hovercard",
      operationId: "usersGetContextForUser",
      variables,
    }),
    () => fetchUsersGetContextForUser({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type AppsGetUserInstallationPathParams = {
  username: string;
};

export type AppsGetUserInstallationError = Fetcher.ErrorWrapper<undefined>;

export type AppsGetUserInstallationVariables = {
  pathParams: AppsGetUserInstallationPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Enables an authenticated GitHub App to find the user’s installation information.
 *
 * You must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint.
 */
export const fetchAppsGetUserInstallation = (
  variables: AppsGetUserInstallationVariables
) =>
  githubFetch<
    Schemas.Installation,
    AppsGetUserInstallationError,
    undefined,
    {},
    {},
    AppsGetUserInstallationPathParams
  >({ url: "/users/{username}/installation", method: "get", ...variables });

/**
 * Enables an authenticated GitHub App to find the user’s installation information.
 *
 * You must use a [JWT](https://docs.github.com/apps/building-github-apps/authenticating-with-github-apps/#authenticating-as-a-github-app) to access this endpoint.
 */
export const useAppsGetUserInstallation = <TData = Schemas.Installation>(
  variables: AppsGetUserInstallationVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.Installation,
      AppsGetUserInstallationError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.Installation,
    AppsGetUserInstallationError,
    TData
  >(
    queryKeyFn({
      path: "/users/{username}/installation",
      operationId: "appsGetUserInstallation",
      variables,
    }),
    () => fetchAppsGetUserInstallation({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type UsersListPublicKeysForUserPathParams = {
  username: string;
};

export type UsersListPublicKeysForUserQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type UsersListPublicKeysForUserError = Fetcher.ErrorWrapper<undefined>;

export type UsersListPublicKeysForUserResponse = Schemas.KeySimple[];

export type UsersListPublicKeysForUserVariables = {
  pathParams: UsersListPublicKeysForUserPathParams;
  queryParams?: UsersListPublicKeysForUserQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists the _verified_ public SSH keys for a user. This is accessible by anyone.
 */
export const fetchUsersListPublicKeysForUser = (
  variables: UsersListPublicKeysForUserVariables
) =>
  githubFetch<
    UsersListPublicKeysForUserResponse,
    UsersListPublicKeysForUserError,
    undefined,
    {},
    UsersListPublicKeysForUserQueryParams,
    UsersListPublicKeysForUserPathParams
  >({ url: "/users/{username}/keys", method: "get", ...variables });

/**
 * Lists the _verified_ public SSH keys for a user. This is accessible by anyone.
 */
export const useUsersListPublicKeysForUser = <
  TData = UsersListPublicKeysForUserResponse
>(
  variables: UsersListPublicKeysForUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      UsersListPublicKeysForUserResponse,
      UsersListPublicKeysForUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    UsersListPublicKeysForUserResponse,
    UsersListPublicKeysForUserError,
    TData
  >(
    queryKeyFn({
      path: "/users/{username}/keys",
      operationId: "usersListPublicKeysForUser",
      variables,
    }),
    () => fetchUsersListPublicKeysForUser({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type OrgsListForUserPathParams = {
  username: string;
};

export type OrgsListForUserQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type OrgsListForUserError = Fetcher.ErrorWrapper<undefined>;

export type OrgsListForUserResponse = Schemas.OrganizationSimple[];

export type OrgsListForUserVariables = {
  pathParams: OrgsListForUserPathParams;
  queryParams?: OrgsListForUserQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * List [public organization memberships](https://help.github.com/articles/publicizing-or-concealing-organization-membership) for the specified user.
 *
 * This method only lists _public_ memberships, regardless of authentication. If you need to fetch all of the organization memberships (public and private) for the authenticated user, use the [List organizations for the authenticated user](https://docs.github.com/rest/reference/orgs#list-organizations-for-the-authenticated-user) API instead.
 */
export const fetchOrgsListForUser = (variables: OrgsListForUserVariables) =>
  githubFetch<
    OrgsListForUserResponse,
    OrgsListForUserError,
    undefined,
    {},
    OrgsListForUserQueryParams,
    OrgsListForUserPathParams
  >({ url: "/users/{username}/orgs", method: "get", ...variables });

/**
 * List [public organization memberships](https://help.github.com/articles/publicizing-or-concealing-organization-membership) for the specified user.
 *
 * This method only lists _public_ memberships, regardless of authentication. If you need to fetch all of the organization memberships (public and private) for the authenticated user, use the [List organizations for the authenticated user](https://docs.github.com/rest/reference/orgs#list-organizations-for-the-authenticated-user) API instead.
 */
export const useOrgsListForUser = <TData = OrgsListForUserResponse>(
  variables: OrgsListForUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      OrgsListForUserResponse,
      OrgsListForUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    OrgsListForUserResponse,
    OrgsListForUserError,
    TData
  >(
    queryKeyFn({
      path: "/users/{username}/orgs",
      operationId: "orgsListForUser",
      variables,
    }),
    () => fetchOrgsListForUser({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type PackagesGetPackageForUserPathParams = {
  /*
   * The type of supported package. Can be one of `npm`, `maven`, `rubygems`, `nuget`, `docker`, or `container`. For Docker images that use the package namespace `https://ghcr.io/owner/package-name`, use `container`.
   */
  packageType: "npm" | "maven" | "rubygems" | "docker" | "nuget" | "container";
  /*
   * The name of the package.
   */
  packageName: string;
  username: string;
};

export type PackagesGetPackageForUserError = Fetcher.ErrorWrapper<undefined>;

export type PackagesGetPackageForUserVariables = {
  pathParams: PackagesGetPackageForUserPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets a specific package metadata for a public package owned by a user.
 *
 * To use this endpoint, you must authenticate using an access token with the `packages:read` scope.
 * If `package_type` is not `container`, your token must also include the `repo` scope.
 */
export const fetchPackagesGetPackageForUser = (
  variables: PackagesGetPackageForUserVariables
) =>
  githubFetch<
    Schemas.Package,
    PackagesGetPackageForUserError,
    undefined,
    {},
    {},
    PackagesGetPackageForUserPathParams
  >({
    url: "/users/{username}/packages/{packageType}/{packageName}",
    method: "get",
    ...variables,
  });

/**
 * Gets a specific package metadata for a public package owned by a user.
 *
 * To use this endpoint, you must authenticate using an access token with the `packages:read` scope.
 * If `package_type` is not `container`, your token must also include the `repo` scope.
 */
export const usePackagesGetPackageForUser = <TData = Schemas.Package>(
  variables: PackagesGetPackageForUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.Package,
      PackagesGetPackageForUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.Package,
    PackagesGetPackageForUserError,
    TData
  >(
    queryKeyFn({
      path: "/users/{username}/packages/{package_type}/{package_name}",
      operationId: "packagesGetPackageForUser",
      variables,
    }),
    () => fetchPackagesGetPackageForUser({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type PackagesGetAllPackageVersionsForPackageOwnedByUserPathParams = {
  /*
   * The type of supported package. Can be one of `npm`, `maven`, `rubygems`, `nuget`, `docker`, or `container`. For Docker images that use the package namespace `https://ghcr.io/owner/package-name`, use `container`.
   */
  packageType: "npm" | "maven" | "rubygems" | "docker" | "nuget" | "container";
  /*
   * The name of the package.
   */
  packageName: string;
  username: string;
};

export type PackagesGetAllPackageVersionsForPackageOwnedByUserError =
  Fetcher.ErrorWrapper<
    | {
        status: 401;
        payload: Responses.RequiresAuthentication;
      }
    | {
        status: 403;
        payload: Responses.Forbidden;
      }
    | {
        status: 404;
        payload: Responses.NotFound;
      }
  >;

export type PackagesGetAllPackageVersionsForPackageOwnedByUserResponse =
  Schemas.PackageVersion[];

export type PackagesGetAllPackageVersionsForPackageOwnedByUserVariables = {
  pathParams: PackagesGetAllPackageVersionsForPackageOwnedByUserPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Returns all package versions for a public package owned by a specified user.
 *
 * To use this endpoint, you must authenticate using an access token with the `packages:read` scope.
 * If `package_type` is not `container`, your token must also include the `repo` scope.
 */
export const fetchPackagesGetAllPackageVersionsForPackageOwnedByUser = (
  variables: PackagesGetAllPackageVersionsForPackageOwnedByUserVariables
) =>
  githubFetch<
    PackagesGetAllPackageVersionsForPackageOwnedByUserResponse,
    PackagesGetAllPackageVersionsForPackageOwnedByUserError,
    undefined,
    {},
    {},
    PackagesGetAllPackageVersionsForPackageOwnedByUserPathParams
  >({
    url: "/users/{username}/packages/{packageType}/{packageName}/versions",
    method: "get",
    ...variables,
  });

/**
 * Returns all package versions for a public package owned by a specified user.
 *
 * To use this endpoint, you must authenticate using an access token with the `packages:read` scope.
 * If `package_type` is not `container`, your token must also include the `repo` scope.
 */
export const usePackagesGetAllPackageVersionsForPackageOwnedByUser = <
  TData = PackagesGetAllPackageVersionsForPackageOwnedByUserResponse
>(
  variables: PackagesGetAllPackageVersionsForPackageOwnedByUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      PackagesGetAllPackageVersionsForPackageOwnedByUserResponse,
      PackagesGetAllPackageVersionsForPackageOwnedByUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    PackagesGetAllPackageVersionsForPackageOwnedByUserResponse,
    PackagesGetAllPackageVersionsForPackageOwnedByUserError,
    TData
  >(
    queryKeyFn({
      path: "/users/{username}/packages/{package_type}/{package_name}/versions",
      operationId: "packagesGetAllPackageVersionsForPackageOwnedByUser",
      variables,
    }),
    () =>
      fetchPackagesGetAllPackageVersionsForPackageOwnedByUser({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type PackagesGetPackageVersionForUserPathParams = {
  /*
   * The type of supported package. Can be one of `npm`, `maven`, `rubygems`, `nuget`, `docker`, or `container`. For Docker images that use the package namespace `https://ghcr.io/owner/package-name`, use `container`.
   */
  packageType: "npm" | "maven" | "rubygems" | "docker" | "nuget" | "container";
  /*
   * The name of the package.
   */
  packageName: string;
  /*
   * Unique identifier of the package version.
   */
  packageVersionId: number;
  username: string;
};

export type PackagesGetPackageVersionForUserError =
  Fetcher.ErrorWrapper<undefined>;

export type PackagesGetPackageVersionForUserVariables = {
  pathParams: PackagesGetPackageVersionForUserPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets a specific package version for a public package owned by a specified user.
 *
 * At this time, to use this endpoint, you must authenticate using an access token with the `packages:read` scope.
 * If `package_type` is not `container`, your token must also include the `repo` scope.
 */
export const fetchPackagesGetPackageVersionForUser = (
  variables: PackagesGetPackageVersionForUserVariables
) =>
  githubFetch<
    Schemas.PackageVersion,
    PackagesGetPackageVersionForUserError,
    undefined,
    {},
    {},
    PackagesGetPackageVersionForUserPathParams
  >({
    url: "/users/{username}/packages/{packageType}/{packageName}/versions/{packageVersionId}",
    method: "get",
    ...variables,
  });

/**
 * Gets a specific package version for a public package owned by a specified user.
 *
 * At this time, to use this endpoint, you must authenticate using an access token with the `packages:read` scope.
 * If `package_type` is not `container`, your token must also include the `repo` scope.
 */
export const usePackagesGetPackageVersionForUser = <
  TData = Schemas.PackageVersion
>(
  variables: PackagesGetPackageVersionForUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.PackageVersion,
      PackagesGetPackageVersionForUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.PackageVersion,
    PackagesGetPackageVersionForUserError,
    TData
  >(
    queryKeyFn({
      path: "/users/{username}/packages/{package_type}/{package_name}/versions/{package_version_id}",
      operationId: "packagesGetPackageVersionForUser",
      variables,
    }),
    () =>
      fetchPackagesGetPackageVersionForUser({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ProjectsListForUserPathParams = {
  username: string;
};

export type ProjectsListForUserQueryParams = {
  /*
   * Indicates the state of the projects to return. Can be either `open`, `closed`, or `all`.
   *
   * @default open
   */
  state?: "open" | "closed" | "all";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ProjectsListForUserError = Fetcher.ErrorWrapper<
  | {
      status: 415;
      payload: Responses.PreviewHeaderMissing;
    }
  | {
      status: 422;
      payload: Responses.ValidationFailed;
    }
>;

export type ProjectsListForUserResponse = Schemas.Project[];

export type ProjectsListForUserVariables = {
  pathParams: ProjectsListForUserPathParams;
  queryParams?: ProjectsListForUserQueryParams;
} & GithubContext["fetcherOptions"];

export const fetchProjectsListForUser = (
  variables: ProjectsListForUserVariables
) =>
  githubFetch<
    ProjectsListForUserResponse,
    ProjectsListForUserError,
    undefined,
    {},
    ProjectsListForUserQueryParams,
    ProjectsListForUserPathParams
  >({ url: "/users/{username}/projects", method: "get", ...variables });

export const useProjectsListForUser = <TData = ProjectsListForUserResponse>(
  variables: ProjectsListForUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ProjectsListForUserResponse,
      ProjectsListForUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ProjectsListForUserResponse,
    ProjectsListForUserError,
    TData
  >(
    queryKeyFn({
      path: "/users/{username}/projects",
      operationId: "projectsListForUser",
      variables,
    }),
    () => fetchProjectsListForUser({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActivityListReceivedEventsForUserPathParams = {
  username: string;
};

export type ActivityListReceivedEventsForUserQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ActivityListReceivedEventsForUserError =
  Fetcher.ErrorWrapper<undefined>;

export type ActivityListReceivedEventsForUserResponse = Schemas.Event[];

export type ActivityListReceivedEventsForUserVariables = {
  pathParams: ActivityListReceivedEventsForUserPathParams;
  queryParams?: ActivityListReceivedEventsForUserQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * These are events that you've received by watching repos and following users. If you are authenticated as the given user, you will see private events. Otherwise, you'll only see public events.
 */
export const fetchActivityListReceivedEventsForUser = (
  variables: ActivityListReceivedEventsForUserVariables
) =>
  githubFetch<
    ActivityListReceivedEventsForUserResponse,
    ActivityListReceivedEventsForUserError,
    undefined,
    {},
    ActivityListReceivedEventsForUserQueryParams,
    ActivityListReceivedEventsForUserPathParams
  >({ url: "/users/{username}/received_events", method: "get", ...variables });

/**
 * These are events that you've received by watching repos and following users. If you are authenticated as the given user, you will see private events. Otherwise, you'll only see public events.
 */
export const useActivityListReceivedEventsForUser = <
  TData = ActivityListReceivedEventsForUserResponse
>(
  variables: ActivityListReceivedEventsForUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ActivityListReceivedEventsForUserResponse,
      ActivityListReceivedEventsForUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ActivityListReceivedEventsForUserResponse,
    ActivityListReceivedEventsForUserError,
    TData
  >(
    queryKeyFn({
      path: "/users/{username}/received_events",
      operationId: "activityListReceivedEventsForUser",
      variables,
    }),
    () =>
      fetchActivityListReceivedEventsForUser({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActivityListReceivedPublicEventsForUserPathParams = {
  username: string;
};

export type ActivityListReceivedPublicEventsForUserQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ActivityListReceivedPublicEventsForUserError =
  Fetcher.ErrorWrapper<undefined>;

export type ActivityListReceivedPublicEventsForUserResponse = Schemas.Event[];

export type ActivityListReceivedPublicEventsForUserVariables = {
  pathParams: ActivityListReceivedPublicEventsForUserPathParams;
  queryParams?: ActivityListReceivedPublicEventsForUserQueryParams;
} & GithubContext["fetcherOptions"];

export const fetchActivityListReceivedPublicEventsForUser = (
  variables: ActivityListReceivedPublicEventsForUserVariables
) =>
  githubFetch<
    ActivityListReceivedPublicEventsForUserResponse,
    ActivityListReceivedPublicEventsForUserError,
    undefined,
    {},
    ActivityListReceivedPublicEventsForUserQueryParams,
    ActivityListReceivedPublicEventsForUserPathParams
  >({
    url: "/users/{username}/received_events/public",
    method: "get",
    ...variables,
  });

export const useActivityListReceivedPublicEventsForUser = <
  TData = ActivityListReceivedPublicEventsForUserResponse
>(
  variables: ActivityListReceivedPublicEventsForUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ActivityListReceivedPublicEventsForUserResponse,
      ActivityListReceivedPublicEventsForUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ActivityListReceivedPublicEventsForUserResponse,
    ActivityListReceivedPublicEventsForUserError,
    TData
  >(
    queryKeyFn({
      path: "/users/{username}/received_events/public",
      operationId: "activityListReceivedPublicEventsForUser",
      variables,
    }),
    () =>
      fetchActivityListReceivedPublicEventsForUser({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ReposListForUserPathParams = {
  username: string;
};

export type ReposListForUserQueryParams = {
  /*
   * Can be one of `all`, `owner`, `member`.
   *
   * @default owner
   */
  type?: "all" | "owner" | "member";
  /*
   * Can be one of `created`, `updated`, `pushed`, `full_name`.
   *
   * @default full_name
   */
  sort?: "created" | "updated" | "pushed" | "full_name";
  /*
   * Can be one of `asc` or `desc`. Default: `asc` when using `full_name`, otherwise `desc`
   */
  direction?: "asc" | "desc";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ReposListForUserError = Fetcher.ErrorWrapper<undefined>;

export type ReposListForUserResponse = Schemas.MinimalRepository[];

export type ReposListForUserVariables = {
  pathParams: ReposListForUserPathParams;
  queryParams?: ReposListForUserQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists public repositories for the specified user. Note: For GitHub AE, this endpoint will list internal repositories for the specified user.
 */
export const fetchReposListForUser = (variables: ReposListForUserVariables) =>
  githubFetch<
    ReposListForUserResponse,
    ReposListForUserError,
    undefined,
    {},
    ReposListForUserQueryParams,
    ReposListForUserPathParams
  >({ url: "/users/{username}/repos", method: "get", ...variables });

/**
 * Lists public repositories for the specified user. Note: For GitHub AE, this endpoint will list internal repositories for the specified user.
 */
export const useReposListForUser = <TData = ReposListForUserResponse>(
  variables: ReposListForUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ReposListForUserResponse,
      ReposListForUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ReposListForUserResponse,
    ReposListForUserError,
    TData
  >(
    queryKeyFn({
      path: "/users/{username}/repos",
      operationId: "reposListForUser",
      variables,
    }),
    () => fetchReposListForUser({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type BillingGetGithubActionsBillingUserPathParams = {
  username: string;
};

export type BillingGetGithubActionsBillingUserError =
  Fetcher.ErrorWrapper<undefined>;

export type BillingGetGithubActionsBillingUserVariables = {
  pathParams: BillingGetGithubActionsBillingUserPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets the summary of the free and paid GitHub Actions minutes used.
 *
 * Paid minutes only apply to workflows in private repositories that use GitHub-hosted runners. Minutes used is listed for each GitHub-hosted runner operating system. Any job re-runs are also included in the usage. The usage returned includes any minute multipliers for macOS and Windows runners, and is rounded up to the nearest whole minute. For more information, see "[Managing billing for GitHub Actions](https://help.github.com/github/setting-up-and-managing-billing-and-payments-on-github/managing-billing-for-github-actions)".
 *
 * Access tokens must have the `user` scope.
 */
export const fetchBillingGetGithubActionsBillingUser = (
  variables: BillingGetGithubActionsBillingUserVariables
) =>
  githubFetch<
    Schemas.ActionsBillingUsage,
    BillingGetGithubActionsBillingUserError,
    undefined,
    {},
    {},
    BillingGetGithubActionsBillingUserPathParams
  >({
    url: "/users/{username}/settings/billing/actions",
    method: "get",
    ...variables,
  });

/**
 * Gets the summary of the free and paid GitHub Actions minutes used.
 *
 * Paid minutes only apply to workflows in private repositories that use GitHub-hosted runners. Minutes used is listed for each GitHub-hosted runner operating system. Any job re-runs are also included in the usage. The usage returned includes any minute multipliers for macOS and Windows runners, and is rounded up to the nearest whole minute. For more information, see "[Managing billing for GitHub Actions](https://help.github.com/github/setting-up-and-managing-billing-and-payments-on-github/managing-billing-for-github-actions)".
 *
 * Access tokens must have the `user` scope.
 */
export const useBillingGetGithubActionsBillingUser = <
  TData = Schemas.ActionsBillingUsage
>(
  variables: BillingGetGithubActionsBillingUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.ActionsBillingUsage,
      BillingGetGithubActionsBillingUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.ActionsBillingUsage,
    BillingGetGithubActionsBillingUserError,
    TData
  >(
    queryKeyFn({
      path: "/users/{username}/settings/billing/actions",
      operationId: "billingGetGithubActionsBillingUser",
      variables,
    }),
    () =>
      fetchBillingGetGithubActionsBillingUser({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type BillingGetGithubPackagesBillingUserPathParams = {
  username: string;
};

export type BillingGetGithubPackagesBillingUserError =
  Fetcher.ErrorWrapper<undefined>;

export type BillingGetGithubPackagesBillingUserVariables = {
  pathParams: BillingGetGithubPackagesBillingUserPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets the free and paid storage used for GitHub Packages in gigabytes.
 *
 * Paid minutes only apply to packages stored for private repositories. For more information, see "[Managing billing for GitHub Packages](https://help.github.com/github/setting-up-and-managing-billing-and-payments-on-github/managing-billing-for-github-packages)."
 *
 * Access tokens must have the `user` scope.
 */
export const fetchBillingGetGithubPackagesBillingUser = (
  variables: BillingGetGithubPackagesBillingUserVariables
) =>
  githubFetch<
    Schemas.PackagesBillingUsage,
    BillingGetGithubPackagesBillingUserError,
    undefined,
    {},
    {},
    BillingGetGithubPackagesBillingUserPathParams
  >({
    url: "/users/{username}/settings/billing/packages",
    method: "get",
    ...variables,
  });

/**
 * Gets the free and paid storage used for GitHub Packages in gigabytes.
 *
 * Paid minutes only apply to packages stored for private repositories. For more information, see "[Managing billing for GitHub Packages](https://help.github.com/github/setting-up-and-managing-billing-and-payments-on-github/managing-billing-for-github-packages)."
 *
 * Access tokens must have the `user` scope.
 */
export const useBillingGetGithubPackagesBillingUser = <
  TData = Schemas.PackagesBillingUsage
>(
  variables: BillingGetGithubPackagesBillingUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.PackagesBillingUsage,
      BillingGetGithubPackagesBillingUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.PackagesBillingUsage,
    BillingGetGithubPackagesBillingUserError,
    TData
  >(
    queryKeyFn({
      path: "/users/{username}/settings/billing/packages",
      operationId: "billingGetGithubPackagesBillingUser",
      variables,
    }),
    () =>
      fetchBillingGetGithubPackagesBillingUser({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type BillingGetSharedStorageBillingUserPathParams = {
  username: string;
};

export type BillingGetSharedStorageBillingUserError =
  Fetcher.ErrorWrapper<undefined>;

export type BillingGetSharedStorageBillingUserVariables = {
  pathParams: BillingGetSharedStorageBillingUserPathParams;
} & GithubContext["fetcherOptions"];

/**
 * Gets the estimated paid and estimated total storage used for GitHub Actions and Github Packages.
 *
 * Paid minutes only apply to packages stored for private repositories. For more information, see "[Managing billing for GitHub Packages](https://help.github.com/github/setting-up-and-managing-billing-and-payments-on-github/managing-billing-for-github-packages)."
 *
 * Access tokens must have the `user` scope.
 */
export const fetchBillingGetSharedStorageBillingUser = (
  variables: BillingGetSharedStorageBillingUserVariables
) =>
  githubFetch<
    Schemas.CombinedBillingUsage,
    BillingGetSharedStorageBillingUserError,
    undefined,
    {},
    {},
    BillingGetSharedStorageBillingUserPathParams
  >({
    url: "/users/{username}/settings/billing/shared-storage",
    method: "get",
    ...variables,
  });

/**
 * Gets the estimated paid and estimated total storage used for GitHub Actions and Github Packages.
 *
 * Paid minutes only apply to packages stored for private repositories. For more information, see "[Managing billing for GitHub Packages](https://help.github.com/github/setting-up-and-managing-billing-and-payments-on-github/managing-billing-for-github-packages)."
 *
 * Access tokens must have the `user` scope.
 */
export const useBillingGetSharedStorageBillingUser = <
  TData = Schemas.CombinedBillingUsage
>(
  variables: BillingGetSharedStorageBillingUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      Schemas.CombinedBillingUsage,
      BillingGetSharedStorageBillingUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    Schemas.CombinedBillingUsage,
    BillingGetSharedStorageBillingUserError,
    TData
  >(
    queryKeyFn({
      path: "/users/{username}/settings/billing/shared-storage",
      operationId: "billingGetSharedStorageBillingUser",
      variables,
    }),
    () =>
      fetchBillingGetSharedStorageBillingUser({
        ...fetcherOptions,
        ...variables,
      }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActivityListReposStarredByUserPathParams = {
  username: string;
};

export type ActivityListReposStarredByUserQueryParams = {
  /*
   * One of `created` (when the repository was starred) or `updated` (when it was last pushed to).
   *
   * @default created
   */
  sort?: "created" | "updated";
  /*
   * One of `asc` (ascending) or `desc` (descending).
   *
   * @default desc
   */
  direction?: "asc" | "desc";
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ActivityListReposStarredByUserError =
  Fetcher.ErrorWrapper<undefined>;

export type ActivityListReposStarredByUserResponse = Schemas.Repository[];

export type ActivityListReposStarredByUserVariables = {
  pathParams: ActivityListReposStarredByUserPathParams;
  queryParams?: ActivityListReposStarredByUserQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists repositories a user has starred.
 *
 * You can also find out _when_ stars were created by passing the following custom [media type](https://docs.github.com/rest/overview/media-types/) via the `Accept` header:
 */
export const fetchActivityListReposStarredByUser = (
  variables: ActivityListReposStarredByUserVariables
) =>
  githubFetch<
    ActivityListReposStarredByUserResponse,
    ActivityListReposStarredByUserError,
    undefined,
    {},
    ActivityListReposStarredByUserQueryParams,
    ActivityListReposStarredByUserPathParams
  >({ url: "/users/{username}/starred", method: "get", ...variables });

/**
 * Lists repositories a user has starred.
 *
 * You can also find out _when_ stars were created by passing the following custom [media type](https://docs.github.com/rest/overview/media-types/) via the `Accept` header:
 */
export const useActivityListReposStarredByUser = <
  TData = ActivityListReposStarredByUserResponse
>(
  variables: ActivityListReposStarredByUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ActivityListReposStarredByUserResponse,
      ActivityListReposStarredByUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ActivityListReposStarredByUserResponse,
    ActivityListReposStarredByUserError,
    TData
  >(
    queryKeyFn({
      path: "/users/{username}/starred",
      operationId: "activityListReposStarredByUser",
      variables,
    }),
    () =>
      fetchActivityListReposStarredByUser({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type ActivityListReposWatchedByUserPathParams = {
  username: string;
};

export type ActivityListReposWatchedByUserQueryParams = {
  /*
   * Results per page (max 100).
   *
   * @default 30
   */
  per_page?: number;
  /*
   * Page number of the results to fetch.
   *
   * @default 1
   */
  page?: number;
};

export type ActivityListReposWatchedByUserError =
  Fetcher.ErrorWrapper<undefined>;

export type ActivityListReposWatchedByUserResponse =
  Schemas.MinimalRepository[];

export type ActivityListReposWatchedByUserVariables = {
  pathParams: ActivityListReposWatchedByUserPathParams;
  queryParams?: ActivityListReposWatchedByUserQueryParams;
} & GithubContext["fetcherOptions"];

/**
 * Lists repositories a user is watching.
 */
export const fetchActivityListReposWatchedByUser = (
  variables: ActivityListReposWatchedByUserVariables
) =>
  githubFetch<
    ActivityListReposWatchedByUserResponse,
    ActivityListReposWatchedByUserError,
    undefined,
    {},
    ActivityListReposWatchedByUserQueryParams,
    ActivityListReposWatchedByUserPathParams
  >({ url: "/users/{username}/subscriptions", method: "get", ...variables });

/**
 * Lists repositories a user is watching.
 */
export const useActivityListReposWatchedByUser = <
  TData = ActivityListReposWatchedByUserResponse
>(
  variables: ActivityListReposWatchedByUserVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<
      ActivityListReposWatchedByUserResponse,
      ActivityListReposWatchedByUserError,
      TData
    >,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<
    ActivityListReposWatchedByUserResponse,
    ActivityListReposWatchedByUserError,
    TData
  >(
    queryKeyFn({
      path: "/users/{username}/subscriptions",
      operationId: "activityListReposWatchedByUser",
      variables,
    }),
    () =>
      fetchActivityListReposWatchedByUser({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type MetaGetZenError = Fetcher.ErrorWrapper<undefined>;

export type MetaGetZenVariables = GithubContext["fetcherOptions"];

/**
 * Get a random sentence from the Zen of GitHub
 */
export const fetchMetaGetZen = (variables: MetaGetZenVariables) =>
  githubFetch<undefined, MetaGetZenError, undefined, {}, {}, {}>({
    url: "/zen",
    method: "get",
    ...variables,
  });

/**
 * Get a random sentence from the Zen of GitHub
 */
export const useMetaGetZen = <TData = undefined>(
  variables: MetaGetZenVariables,
  options?: Omit<
    reactQuery.UseQueryOptions<undefined, MetaGetZenError, TData>,
    "queryKey" | "queryFn"
  >
) => {
  const { fetcherOptions, queryOptions, queryKeyFn } =
    useGithubContext(options);
  return reactQuery.useQuery<undefined, MetaGetZenError, TData>(
    queryKeyFn({ path: "/zen", operationId: "metaGetZen", variables }),
    () => fetchMetaGetZen({ ...fetcherOptions, ...variables }),
    {
      ...options,
      ...queryOptions,
    }
  );
};

export type QueryOperation =
  | {
      path: "/";
      operationId: "metaRoot";
      variables: MetaRootVariables;
    }
  | {
      path: "/app";
      operationId: "appsGetAuthenticated";
      variables: AppsGetAuthenticatedVariables;
    }
  | {
      path: "/app/hook/config";
      operationId: "appsGetWebhookConfigForApp";
      variables: AppsGetWebhookConfigForAppVariables;
    }
  | {
      path: "/app/installations";
      operationId: "appsListInstallations";
      variables: AppsListInstallationsVariables;
    }
  | {
      path: "/app/installations/{installation_id}";
      operationId: "appsGetInstallation";
      variables: AppsGetInstallationVariables;
    }
  | {
      path: "/applications/grants";
      operationId: "oauthAuthorizationsListGrants";
      variables: OauthAuthorizationsListGrantsVariables;
    }
  | {
      path: "/applications/grants/{grant_id}";
      operationId: "oauthAuthorizationsGetGrant";
      variables: OauthAuthorizationsGetGrantVariables;
    }
  | {
      path: "/applications/{client_id}/tokens/{access_token}";
      operationId: "appsCheckAuthorization";
      variables: AppsCheckAuthorizationVariables;
    }
  | {
      path: "/apps/{app_slug}";
      operationId: "appsGetBySlug";
      variables: AppsGetBySlugVariables;
    }
  | {
      path: "/authorizations";
      operationId: "oauthAuthorizationsListAuthorizations";
      variables: OauthAuthorizationsListAuthorizationsVariables;
    }
  | {
      path: "/authorizations/{authorization_id}";
      operationId: "oauthAuthorizationsGetAuthorization";
      variables: OauthAuthorizationsGetAuthorizationVariables;
    }
  | {
      path: "/codes_of_conduct";
      operationId: "codesOfConductGetAllCodesOfConduct";
      variables: CodesOfConductGetAllCodesOfConductVariables;
    }
  | {
      path: "/codes_of_conduct/{key}";
      operationId: "codesOfConductGetConductCode";
      variables: CodesOfConductGetConductCodeVariables;
    }
  | {
      path: "/emojis";
      operationId: "emojisGet";
      variables: EmojisGetVariables;
    }
  | {
      path: "/enterprises/{enterprise}/actions/permissions";
      operationId: "enterpriseAdminGetGithubActionsPermissionsEnterprise";
      variables: EnterpriseAdminGetGithubActionsPermissionsEnterpriseVariables;
    }
  | {
      path: "/enterprises/{enterprise}/actions/permissions/organizations";
      operationId: "enterpriseAdminListSelectedOrganizationsEnabledGithubActionsEnterprise";
      variables: EnterpriseAdminListSelectedOrganizationsEnabledGithubActionsEnterpriseVariables;
    }
  | {
      path: "/enterprises/{enterprise}/actions/permissions/selected-actions";
      operationId: "enterpriseAdminGetAllowedActionsEnterprise";
      variables: EnterpriseAdminGetAllowedActionsEnterpriseVariables;
    }
  | {
      path: "/enterprises/{enterprise}/actions/runner-groups";
      operationId: "enterpriseAdminListSelfHostedRunnerGroupsForEnterprise";
      variables: EnterpriseAdminListSelfHostedRunnerGroupsForEnterpriseVariables;
    }
  | {
      path: "/enterprises/{enterprise}/actions/runner-groups/{runner_group_id}";
      operationId: "enterpriseAdminGetSelfHostedRunnerGroupForEnterprise";
      variables: EnterpriseAdminGetSelfHostedRunnerGroupForEnterpriseVariables;
    }
  | {
      path: "/enterprises/{enterprise}/actions/runner-groups/{runner_group_id}/organizations";
      operationId: "enterpriseAdminListOrgAccessToSelfHostedRunnerGroupInEnterprise";
      variables: EnterpriseAdminListOrgAccessToSelfHostedRunnerGroupInEnterpriseVariables;
    }
  | {
      path: "/enterprises/{enterprise}/actions/runner-groups/{runner_group_id}/runners";
      operationId: "enterpriseAdminListSelfHostedRunnersInGroupForEnterprise";
      variables: EnterpriseAdminListSelfHostedRunnersInGroupForEnterpriseVariables;
    }
  | {
      path: "/enterprises/{enterprise}/actions/runners";
      operationId: "enterpriseAdminListSelfHostedRunnersForEnterprise";
      variables: EnterpriseAdminListSelfHostedRunnersForEnterpriseVariables;
    }
  | {
      path: "/enterprises/{enterprise}/actions/runners/downloads";
      operationId: "enterpriseAdminListRunnerApplicationsForEnterprise";
      variables: EnterpriseAdminListRunnerApplicationsForEnterpriseVariables;
    }
  | {
      path: "/enterprises/{enterprise}/actions/runners/{runner_id}";
      operationId: "enterpriseAdminGetSelfHostedRunnerForEnterprise";
      variables: EnterpriseAdminGetSelfHostedRunnerForEnterpriseVariables;
    }
  | {
      path: "/enterprises/{enterprise}/audit-log";
      operationId: "auditLogGetAuditLog";
      variables: AuditLogGetAuditLogVariables;
    }
  | {
      path: "/enterprises/{enterprise}/settings/billing/actions";
      operationId: "billingGetGithubActionsBillingGhe";
      variables: BillingGetGithubActionsBillingGheVariables;
    }
  | {
      path: "/enterprises/{enterprise}/settings/billing/packages";
      operationId: "billingGetGithubPackagesBillingGhe";
      variables: BillingGetGithubPackagesBillingGheVariables;
    }
  | {
      path: "/enterprises/{enterprise}/settings/billing/shared-storage";
      operationId: "billingGetSharedStorageBillingGhe";
      variables: BillingGetSharedStorageBillingGheVariables;
    }
  | {
      path: "/events";
      operationId: "activityListPublicEvents";
      variables: ActivityListPublicEventsVariables;
    }
  | {
      path: "/feeds";
      operationId: "activityGetFeeds";
      variables: ActivityGetFeedsVariables;
    }
  | {
      path: "/gists";
      operationId: "gistsList";
      variables: GistsListVariables;
    }
  | {
      path: "/gists/public";
      operationId: "gistsListPublic";
      variables: GistsListPublicVariables;
    }
  | {
      path: "/gists/starred";
      operationId: "gistsListStarred";
      variables: GistsListStarredVariables;
    }
  | {
      path: "/gists/{gist_id}";
      operationId: "gistsGet";
      variables: GistsGetVariables;
    }
  | {
      path: "/gists/{gist_id}/comments";
      operationId: "gistsListComments";
      variables: GistsListCommentsVariables;
    }
  | {
      path: "/gists/{gist_id}/comments/{comment_id}";
      operationId: "gistsGetComment";
      variables: GistsGetCommentVariables;
    }
  | {
      path: "/gists/{gist_id}/commits";
      operationId: "gistsListCommits";
      variables: GistsListCommitsVariables;
    }
  | {
      path: "/gists/{gist_id}/forks";
      operationId: "gistsListForks";
      variables: GistsListForksVariables;
    }
  | {
      path: "/gists/{gist_id}/star";
      operationId: "gistsCheckIsStarred";
      variables: GistsCheckIsStarredVariables;
    }
  | {
      path: "/gists/{gist_id}/{sha}";
      operationId: "gistsGetRevision";
      variables: GistsGetRevisionVariables;
    }
  | {
      path: "/gitignore/templates";
      operationId: "gitignoreGetAllTemplates";
      variables: GitignoreGetAllTemplatesVariables;
    }
  | {
      path: "/gitignore/templates/{name}";
      operationId: "gitignoreGetTemplate";
      variables: GitignoreGetTemplateVariables;
    }
  | {
      path: "/installation/repositories";
      operationId: "appsListReposAccessibleToInstallation";
      variables: AppsListReposAccessibleToInstallationVariables;
    }
  | {
      path: "/issues";
      operationId: "issuesList";
      variables: IssuesListVariables;
    }
  | {
      path: "/licenses";
      operationId: "licensesGetAllCommonlyUsed";
      variables: LicensesGetAllCommonlyUsedVariables;
    }
  | {
      path: "/licenses/{license}";
      operationId: "licensesGet";
      variables: LicensesGetVariables;
    }
  | {
      path: "/marketplace_listing/accounts/{account_id}";
      operationId: "appsGetSubscriptionPlanForAccount";
      variables: AppsGetSubscriptionPlanForAccountVariables;
    }
  | {
      path: "/marketplace_listing/plans";
      operationId: "appsListPlans";
      variables: AppsListPlansVariables;
    }
  | {
      path: "/marketplace_listing/plans/{plan_id}/accounts";
      operationId: "appsListAccountsForPlan";
      variables: AppsListAccountsForPlanVariables;
    }
  | {
      path: "/marketplace_listing/stubbed/accounts/{account_id}";
      operationId: "appsGetSubscriptionPlanForAccountStubbed";
      variables: AppsGetSubscriptionPlanForAccountStubbedVariables;
    }
  | {
      path: "/marketplace_listing/stubbed/plans";
      operationId: "appsListPlansStubbed";
      variables: AppsListPlansStubbedVariables;
    }
  | {
      path: "/marketplace_listing/stubbed/plans/{plan_id}/accounts";
      operationId: "appsListAccountsForPlanStubbed";
      variables: AppsListAccountsForPlanStubbedVariables;
    }
  | {
      path: "/meta";
      operationId: "metaGet";
      variables: MetaGetVariables;
    }
  | {
      path: "/networks/{owner}/{repo}/events";
      operationId: "activityListPublicEventsForRepoNetwork";
      variables: ActivityListPublicEventsForRepoNetworkVariables;
    }
  | {
      path: "/notifications";
      operationId: "activityListNotificationsForAuthenticatedUser";
      variables: ActivityListNotificationsForAuthenticatedUserVariables;
    }
  | {
      path: "/notifications/threads/{thread_id}";
      operationId: "activityGetThread";
      variables: ActivityGetThreadVariables;
    }
  | {
      path: "/notifications/threads/{thread_id}/subscription";
      operationId: "activityGetThreadSubscriptionForAuthenticatedUser";
      variables: ActivityGetThreadSubscriptionForAuthenticatedUserVariables;
    }
  | {
      path: "/octocat";
      operationId: "metaGetOctocat";
      variables: MetaGetOctocatVariables;
    }
  | {
      path: "/organizations";
      operationId: "orgsList";
      variables: OrgsListVariables;
    }
  | {
      path: "/orgs/{org}";
      operationId: "orgsGet";
      variables: OrgsGetVariables;
    }
  | {
      path: "/orgs/{org}/actions/permissions";
      operationId: "actionsGetGithubActionsPermissionsOrganization";
      variables: ActionsGetGithubActionsPermissionsOrganizationVariables;
    }
  | {
      path: "/orgs/{org}/actions/permissions/repositories";
      operationId: "actionsListSelectedRepositoriesEnabledGithubActionsOrganization";
      variables: ActionsListSelectedRepositoriesEnabledGithubActionsOrganizationVariables;
    }
  | {
      path: "/orgs/{org}/actions/permissions/selected-actions";
      operationId: "actionsGetAllowedActionsOrganization";
      variables: ActionsGetAllowedActionsOrganizationVariables;
    }
  | {
      path: "/orgs/{org}/actions/runner-groups";
      operationId: "actionsListSelfHostedRunnerGroupsForOrg";
      variables: ActionsListSelfHostedRunnerGroupsForOrgVariables;
    }
  | {
      path: "/orgs/{org}/actions/runner-groups/{runner_group_id}";
      operationId: "actionsGetSelfHostedRunnerGroupForOrg";
      variables: ActionsGetSelfHostedRunnerGroupForOrgVariables;
    }
  | {
      path: "/orgs/{org}/actions/runner-groups/{runner_group_id}/repositories";
      operationId: "actionsListRepoAccessToSelfHostedRunnerGroupInOrg";
      variables: ActionsListRepoAccessToSelfHostedRunnerGroupInOrgVariables;
    }
  | {
      path: "/orgs/{org}/actions/runner-groups/{runner_group_id}/runners";
      operationId: "actionsListSelfHostedRunnersInGroupForOrg";
      variables: ActionsListSelfHostedRunnersInGroupForOrgVariables;
    }
  | {
      path: "/orgs/{org}/actions/runners";
      operationId: "actionsListSelfHostedRunnersForOrg";
      variables: ActionsListSelfHostedRunnersForOrgVariables;
    }
  | {
      path: "/orgs/{org}/actions/runners/downloads";
      operationId: "actionsListRunnerApplicationsForOrg";
      variables: ActionsListRunnerApplicationsForOrgVariables;
    }
  | {
      path: "/orgs/{org}/actions/runners/{runner_id}";
      operationId: "actionsGetSelfHostedRunnerForOrg";
      variables: ActionsGetSelfHostedRunnerForOrgVariables;
    }
  | {
      path: "/orgs/{org}/actions/secrets";
      operationId: "actionsListOrgSecrets";
      variables: ActionsListOrgSecretsVariables;
    }
  | {
      path: "/orgs/{org}/actions/secrets/public-key";
      operationId: "actionsGetOrgPublicKey";
      variables: ActionsGetOrgPublicKeyVariables;
    }
  | {
      path: "/orgs/{org}/actions/secrets/{secret_name}";
      operationId: "actionsGetOrgSecret";
      variables: ActionsGetOrgSecretVariables;
    }
  | {
      path: "/orgs/{org}/actions/secrets/{secret_name}/repositories";
      operationId: "actionsListSelectedReposForOrgSecret";
      variables: ActionsListSelectedReposForOrgSecretVariables;
    }
  | {
      path: "/orgs/{org}/audit-log";
      operationId: "orgsGetAuditLog";
      variables: OrgsGetAuditLogVariables;
    }
  | {
      path: "/orgs/{org}/blocks";
      operationId: "orgsListBlockedUsers";
      variables: OrgsListBlockedUsersVariables;
    }
  | {
      path: "/orgs/{org}/blocks/{username}";
      operationId: "orgsCheckBlockedUser";
      variables: OrgsCheckBlockedUserVariables;
    }
  | {
      path: "/orgs/{org}/credential-authorizations";
      operationId: "orgsListSamlSsoAuthorizations";
      variables: OrgsListSamlSsoAuthorizationsVariables;
    }
  | {
      path: "/orgs/{org}/events";
      operationId: "activityListPublicOrgEvents";
      variables: ActivityListPublicOrgEventsVariables;
    }
  | {
      path: "/orgs/{org}/failed_invitations";
      operationId: "orgsListFailedInvitations";
      variables: OrgsListFailedInvitationsVariables;
    }
  | {
      path: "/orgs/{org}/hooks";
      operationId: "orgsListWebhooks";
      variables: OrgsListWebhooksVariables;
    }
  | {
      path: "/orgs/{org}/hooks/{hook_id}";
      operationId: "orgsGetWebhook";
      variables: OrgsGetWebhookVariables;
    }
  | {
      path: "/orgs/{org}/hooks/{hook_id}/config";
      operationId: "orgsGetWebhookConfigForOrg";
      variables: OrgsGetWebhookConfigForOrgVariables;
    }
  | {
      path: "/orgs/{org}/installation";
      operationId: "appsGetOrgInstallation";
      variables: AppsGetOrgInstallationVariables;
    }
  | {
      path: "/orgs/{org}/installations";
      operationId: "orgsListAppInstallations";
      variables: OrgsListAppInstallationsVariables;
    }
  | {
      path: "/orgs/{org}/interaction-limits";
      operationId: "interactionsGetRestrictionsForOrg";
      variables: InteractionsGetRestrictionsForOrgVariables;
    }
  | {
      path: "/orgs/{org}/invitations";
      operationId: "orgsListPendingInvitations";
      variables: OrgsListPendingInvitationsVariables;
    }
  | {
      path: "/orgs/{org}/invitations/{invitation_id}/teams";
      operationId: "orgsListInvitationTeams";
      variables: OrgsListInvitationTeamsVariables;
    }
  | {
      path: "/orgs/{org}/issues";
      operationId: "issuesListForOrg";
      variables: IssuesListForOrgVariables;
    }
  | {
      path: "/orgs/{org}/members";
      operationId: "orgsListMembers";
      variables: OrgsListMembersVariables;
    }
  | {
      path: "/orgs/{org}/members/{username}";
      operationId: "orgsCheckMembershipForUser";
      variables: OrgsCheckMembershipForUserVariables;
    }
  | {
      path: "/orgs/{org}/memberships/{username}";
      operationId: "orgsGetMembershipForUser";
      variables: OrgsGetMembershipForUserVariables;
    }
  | {
      path: "/orgs/{org}/migrations";
      operationId: "migrationsListForOrg";
      variables: MigrationsListForOrgVariables;
    }
  | {
      path: "/orgs/{org}/migrations/{migration_id}";
      operationId: "migrationsGetStatusForOrg";
      variables: MigrationsGetStatusForOrgVariables;
    }
  | {
      path: "/orgs/{org}/migrations/{migration_id}/archive";
      operationId: "migrationsDownloadArchiveForOrg";
      variables: MigrationsDownloadArchiveForOrgVariables;
    }
  | {
      path: "/orgs/{org}/migrations/{migration_id}/repositories";
      operationId: "migrationsListReposForOrg";
      variables: MigrationsListReposForOrgVariables;
    }
  | {
      path: "/orgs/{org}/outside_collaborators";
      operationId: "orgsListOutsideCollaborators";
      variables: OrgsListOutsideCollaboratorsVariables;
    }
  | {
      path: "/orgs/{org}/packages/{package_type}/{package_name}";
      operationId: "packagesGetPackageForOrganization";
      variables: PackagesGetPackageForOrganizationVariables;
    }
  | {
      path: "/orgs/{org}/packages/{package_type}/{package_name}/versions";
      operationId: "packagesGetAllPackageVersionsForPackageOwnedByOrg";
      variables: PackagesGetAllPackageVersionsForPackageOwnedByOrgVariables;
    }
  | {
      path: "/orgs/{org}/packages/{package_type}/{package_name}/versions/{package_version_id}";
      operationId: "packagesGetPackageVersionForOrganization";
      variables: PackagesGetPackageVersionForOrganizationVariables;
    }
  | {
      path: "/orgs/{org}/projects";
      operationId: "projectsListForOrg";
      variables: ProjectsListForOrgVariables;
    }
  | {
      path: "/orgs/{org}/public_members";
      operationId: "orgsListPublicMembers";
      variables: OrgsListPublicMembersVariables;
    }
  | {
      path: "/orgs/{org}/public_members/{username}";
      operationId: "orgsCheckPublicMembershipForUser";
      variables: OrgsCheckPublicMembershipForUserVariables;
    }
  | {
      path: "/orgs/{org}/repos";
      operationId: "reposListForOrg";
      variables: ReposListForOrgVariables;
    }
  | {
      path: "/orgs/{org}/settings/billing/actions";
      operationId: "billingGetGithubActionsBillingOrg";
      variables: BillingGetGithubActionsBillingOrgVariables;
    }
  | {
      path: "/orgs/{org}/settings/billing/packages";
      operationId: "billingGetGithubPackagesBillingOrg";
      variables: BillingGetGithubPackagesBillingOrgVariables;
    }
  | {
      path: "/orgs/{org}/settings/billing/shared-storage";
      operationId: "billingGetSharedStorageBillingOrg";
      variables: BillingGetSharedStorageBillingOrgVariables;
    }
  | {
      path: "/orgs/{org}/team-sync/groups";
      operationId: "teamsListIdpGroupsForOrg";
      variables: TeamsListIdpGroupsForOrgVariables;
    }
  | {
      path: "/orgs/{org}/teams";
      operationId: "teamsList";
      variables: TeamsListVariables;
    }
  | {
      path: "/orgs/{org}/teams/{team_slug}";
      operationId: "teamsGetByName";
      variables: TeamsGetByNameVariables;
    }
  | {
      path: "/orgs/{org}/teams/{team_slug}/discussions";
      operationId: "teamsListDiscussionsInOrg";
      variables: TeamsListDiscussionsInOrgVariables;
    }
  | {
      path: "/orgs/{org}/teams/{team_slug}/discussions/{discussion_number}";
      operationId: "teamsGetDiscussionInOrg";
      variables: TeamsGetDiscussionInOrgVariables;
    }
  | {
      path: "/orgs/{org}/teams/{team_slug}/discussions/{discussion_number}/comments";
      operationId: "teamsListDiscussionCommentsInOrg";
      variables: TeamsListDiscussionCommentsInOrgVariables;
    }
  | {
      path: "/orgs/{org}/teams/{team_slug}/discussions/{discussion_number}/comments/{comment_number}";
      operationId: "teamsGetDiscussionCommentInOrg";
      variables: TeamsGetDiscussionCommentInOrgVariables;
    }
  | {
      path: "/orgs/{org}/teams/{team_slug}/discussions/{discussion_number}/comments/{comment_number}/reactions";
      operationId: "reactionsListForTeamDiscussionCommentInOrg";
      variables: ReactionsListForTeamDiscussionCommentInOrgVariables;
    }
  | {
      path: "/orgs/{org}/teams/{team_slug}/discussions/{discussion_number}/reactions";
      operationId: "reactionsListForTeamDiscussionInOrg";
      variables: ReactionsListForTeamDiscussionInOrgVariables;
    }
  | {
      path: "/orgs/{org}/teams/{team_slug}/invitations";
      operationId: "teamsListPendingInvitationsInOrg";
      variables: TeamsListPendingInvitationsInOrgVariables;
    }
  | {
      path: "/orgs/{org}/teams/{team_slug}/members";
      operationId: "teamsListMembersInOrg";
      variables: TeamsListMembersInOrgVariables;
    }
  | {
      path: "/orgs/{org}/teams/{team_slug}/memberships/{username}";
      operationId: "teamsGetMembershipForUserInOrg";
      variables: TeamsGetMembershipForUserInOrgVariables;
    }
  | {
      path: "/orgs/{org}/teams/{team_slug}/projects";
      operationId: "teamsListProjectsInOrg";
      variables: TeamsListProjectsInOrgVariables;
    }
  | {
      path: "/orgs/{org}/teams/{team_slug}/projects/{project_id}";
      operationId: "teamsCheckPermissionsForProjectInOrg";
      variables: TeamsCheckPermissionsForProjectInOrgVariables;
    }
  | {
      path: "/orgs/{org}/teams/{team_slug}/repos";
      operationId: "teamsListReposInOrg";
      variables: TeamsListReposInOrgVariables;
    }
  | {
      path: "/orgs/{org}/teams/{team_slug}/repos/{owner}/{repo}";
      operationId: "teamsCheckPermissionsForRepoInOrg";
      variables: TeamsCheckPermissionsForRepoInOrgVariables;
    }
  | {
      path: "/orgs/{org}/teams/{team_slug}/team-sync/group-mappings";
      operationId: "teamsListIdpGroupsInOrg";
      variables: TeamsListIdpGroupsInOrgVariables;
    }
  | {
      path: "/orgs/{org}/teams/{team_slug}/teams";
      operationId: "teamsListChildInOrg";
      variables: TeamsListChildInOrgVariables;
    }
  | {
      path: "/projects/columns/cards/{card_id}";
      operationId: "projectsGetCard";
      variables: ProjectsGetCardVariables;
    }
  | {
      path: "/projects/columns/{column_id}";
      operationId: "projectsGetColumn";
      variables: ProjectsGetColumnVariables;
    }
  | {
      path: "/projects/columns/{column_id}/cards";
      operationId: "projectsListCards";
      variables: ProjectsListCardsVariables;
    }
  | {
      path: "/projects/{project_id}";
      operationId: "projectsGet";
      variables: ProjectsGetVariables;
    }
  | {
      path: "/projects/{project_id}/collaborators";
      operationId: "projectsListCollaborators";
      variables: ProjectsListCollaboratorsVariables;
    }
  | {
      path: "/projects/{project_id}/collaborators/{username}/permission";
      operationId: "projectsGetPermissionForUser";
      variables: ProjectsGetPermissionForUserVariables;
    }
  | {
      path: "/projects/{project_id}/columns";
      operationId: "projectsListColumns";
      variables: ProjectsListColumnsVariables;
    }
  | {
      path: "/rate_limit";
      operationId: "rateLimitGet";
      variables: RateLimitGetVariables;
    }
  | {
      path: "/repos/{owner}/{repo}";
      operationId: "reposGet";
      variables: ReposGetVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/actions/artifacts";
      operationId: "actionsListArtifactsForRepo";
      variables: ActionsListArtifactsForRepoVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/actions/artifacts/{artifact_id}";
      operationId: "actionsGetArtifact";
      variables: ActionsGetArtifactVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/actions/artifacts/{artifact_id}/{archive_format}";
      operationId: "actionsDownloadArtifact";
      variables: ActionsDownloadArtifactVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/actions/jobs/{job_id}";
      operationId: "actionsGetJobForWorkflowRun";
      variables: ActionsGetJobForWorkflowRunVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/actions/jobs/{job_id}/logs";
      operationId: "actionsDownloadJobLogsForWorkflowRun";
      variables: ActionsDownloadJobLogsForWorkflowRunVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/actions/permissions";
      operationId: "actionsGetGithubActionsPermissionsRepository";
      variables: ActionsGetGithubActionsPermissionsRepositoryVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/actions/permissions/selected-actions";
      operationId: "actionsGetAllowedActionsRepository";
      variables: ActionsGetAllowedActionsRepositoryVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/actions/runners";
      operationId: "actionsListSelfHostedRunnersForRepo";
      variables: ActionsListSelfHostedRunnersForRepoVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/actions/runners/downloads";
      operationId: "actionsListRunnerApplicationsForRepo";
      variables: ActionsListRunnerApplicationsForRepoVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/actions/runners/{runner_id}";
      operationId: "actionsGetSelfHostedRunnerForRepo";
      variables: ActionsGetSelfHostedRunnerForRepoVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/actions/runs";
      operationId: "actionsListWorkflowRunsForRepo";
      variables: ActionsListWorkflowRunsForRepoVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/actions/runs/{run_id}";
      operationId: "actionsGetWorkflowRun";
      variables: ActionsGetWorkflowRunVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/actions/runs/{run_id}/approvals";
      operationId: "actionsGetReviewsForRun";
      variables: ActionsGetReviewsForRunVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/actions/runs/{run_id}/artifacts";
      operationId: "actionsListWorkflowRunArtifacts";
      variables: ActionsListWorkflowRunArtifactsVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/actions/runs/{run_id}/jobs";
      operationId: "actionsListJobsForWorkflowRun";
      variables: ActionsListJobsForWorkflowRunVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/actions/runs/{run_id}/logs";
      operationId: "actionsDownloadWorkflowRunLogs";
      variables: ActionsDownloadWorkflowRunLogsVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/actions/runs/{run_id}/pending_deployments";
      operationId: "actionsGetPendingDeploymentsForRun";
      variables: ActionsGetPendingDeploymentsForRunVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/actions/runs/{run_id}/timing";
      operationId: "actionsGetWorkflowRunUsage";
      variables: ActionsGetWorkflowRunUsageVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/actions/secrets";
      operationId: "actionsListRepoSecrets";
      variables: ActionsListRepoSecretsVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/actions/secrets/public-key";
      operationId: "actionsGetRepoPublicKey";
      variables: ActionsGetRepoPublicKeyVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/actions/secrets/{secret_name}";
      operationId: "actionsGetRepoSecret";
      variables: ActionsGetRepoSecretVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/actions/workflows";
      operationId: "actionsListRepoWorkflows";
      variables: ActionsListRepoWorkflowsVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/actions/workflows/{workflow_id}";
      operationId: "actionsGetWorkflow";
      variables: ActionsGetWorkflowVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/actions/workflows/{workflow_id}/runs";
      operationId: "actionsListWorkflowRuns";
      variables: ActionsListWorkflowRunsVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/actions/workflows/{workflow_id}/timing";
      operationId: "actionsGetWorkflowUsage";
      variables: ActionsGetWorkflowUsageVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/assignees";
      operationId: "issuesListAssignees";
      variables: IssuesListAssigneesVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/assignees/{assignee}";
      operationId: "issuesCheckUserCanBeAssigned";
      variables: IssuesCheckUserCanBeAssignedVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/branches";
      operationId: "reposListBranches";
      variables: ReposListBranchesVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/branches/{branch}";
      operationId: "reposGetBranch";
      variables: ReposGetBranchVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/branches/{branch}/protection";
      operationId: "reposGetBranchProtection";
      variables: ReposGetBranchProtectionVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/branches/{branch}/protection/enforce_admins";
      operationId: "reposGetAdminBranchProtection";
      variables: ReposGetAdminBranchProtectionVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/branches/{branch}/protection/required_pull_request_reviews";
      operationId: "reposGetPullRequestReviewProtection";
      variables: ReposGetPullRequestReviewProtectionVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/branches/{branch}/protection/required_signatures";
      operationId: "reposGetCommitSignatureProtection";
      variables: ReposGetCommitSignatureProtectionVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/branches/{branch}/protection/required_status_checks";
      operationId: "reposGetStatusChecksProtection";
      variables: ReposGetStatusChecksProtectionVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/branches/{branch}/protection/required_status_checks/contexts";
      operationId: "reposGetAllStatusCheckContexts";
      variables: ReposGetAllStatusCheckContextsVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/branches/{branch}/protection/restrictions";
      operationId: "reposGetAccessRestrictions";
      variables: ReposGetAccessRestrictionsVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/branches/{branch}/protection/restrictions/apps";
      operationId: "reposGetAppsWithAccessToProtectedBranch";
      variables: ReposGetAppsWithAccessToProtectedBranchVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/branches/{branch}/protection/restrictions/teams";
      operationId: "reposGetTeamsWithAccessToProtectedBranch";
      variables: ReposGetTeamsWithAccessToProtectedBranchVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/branches/{branch}/protection/restrictions/users";
      operationId: "reposGetUsersWithAccessToProtectedBranch";
      variables: ReposGetUsersWithAccessToProtectedBranchVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/check-runs/{check_run_id}";
      operationId: "checksGet";
      variables: ChecksGetVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/check-runs/{check_run_id}/annotations";
      operationId: "checksListAnnotations";
      variables: ChecksListAnnotationsVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/check-suites/{check_suite_id}";
      operationId: "checksGetSuite";
      variables: ChecksGetSuiteVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/check-suites/{check_suite_id}/check-runs";
      operationId: "checksListForSuite";
      variables: ChecksListForSuiteVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/code-scanning/alerts";
      operationId: "codeScanningListAlertsForRepo";
      variables: CodeScanningListAlertsForRepoVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/code-scanning/alerts/{alert_number}";
      operationId: "codeScanningGetAlert";
      variables: CodeScanningGetAlertVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/code-scanning/alerts/{alert_number}/instances";
      operationId: "codeScanningListAlertsInstances";
      variables: CodeScanningListAlertsInstancesVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/code-scanning/analyses";
      operationId: "codeScanningListRecentAnalyses";
      variables: CodeScanningListRecentAnalysesVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/code-scanning/analyses/{analysis_id}";
      operationId: "codeScanningGetAnalysis";
      variables: CodeScanningGetAnalysisVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/code-scanning/sarifs/{sarif_id}";
      operationId: "codeScanningGetSarif";
      variables: CodeScanningGetSarifVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/collaborators";
      operationId: "reposListCollaborators";
      variables: ReposListCollaboratorsVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/collaborators/{username}";
      operationId: "reposCheckCollaborator";
      variables: ReposCheckCollaboratorVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/collaborators/{username}/permission";
      operationId: "reposGetCollaboratorPermissionLevel";
      variables: ReposGetCollaboratorPermissionLevelVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/comments";
      operationId: "reposListCommitCommentsForRepo";
      variables: ReposListCommitCommentsForRepoVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/comments/{comment_id}";
      operationId: "reposGetCommitComment";
      variables: ReposGetCommitCommentVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/comments/{comment_id}/reactions";
      operationId: "reactionsListForCommitComment";
      variables: ReactionsListForCommitCommentVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/commits";
      operationId: "reposListCommits";
      variables: ReposListCommitsVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/commits/{commit_sha}/branches-where-head";
      operationId: "reposListBranchesForHeadCommit";
      variables: ReposListBranchesForHeadCommitVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/commits/{commit_sha}/comments";
      operationId: "reposListCommentsForCommit";
      variables: ReposListCommentsForCommitVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/commits/{commit_sha}/pulls";
      operationId: "reposListPullRequestsAssociatedWithCommit";
      variables: ReposListPullRequestsAssociatedWithCommitVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/commits/{ref}";
      operationId: "reposGetCommit";
      variables: ReposGetCommitVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/commits/{ref}/check-runs";
      operationId: "checksListForRef";
      variables: ChecksListForRefVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/commits/{ref}/check-suites";
      operationId: "checksListSuitesForRef";
      variables: ChecksListSuitesForRefVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/commits/{ref}/status";
      operationId: "reposGetCombinedStatusForRef";
      variables: ReposGetCombinedStatusForRefVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/commits/{ref}/statuses";
      operationId: "reposListCommitStatusesForRef";
      variables: ReposListCommitStatusesForRefVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/community/code_of_conduct";
      operationId: "codesOfConductGetForRepo";
      variables: CodesOfConductGetForRepoVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/community/profile";
      operationId: "reposGetCommunityProfileMetrics";
      variables: ReposGetCommunityProfileMetricsVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/compare/{base}...{head}";
      operationId: "reposCompareCommits";
      variables: ReposCompareCommitsVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/contents/{path}";
      operationId: "reposGetContent";
      variables: ReposGetContentVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/contributors";
      operationId: "reposListContributors";
      variables: ReposListContributorsVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/deployments";
      operationId: "reposListDeployments";
      variables: ReposListDeploymentsVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/deployments/{deployment_id}";
      operationId: "reposGetDeployment";
      variables: ReposGetDeploymentVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/deployments/{deployment_id}/statuses";
      operationId: "reposListDeploymentStatuses";
      variables: ReposListDeploymentStatusesVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/deployments/{deployment_id}/statuses/{status_id}";
      operationId: "reposGetDeploymentStatus";
      variables: ReposGetDeploymentStatusVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/environments";
      operationId: "reposGetAllEnvironments";
      variables: ReposGetAllEnvironmentsVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/environments/{environment_name}";
      operationId: "reposGetEnvironment";
      variables: ReposGetEnvironmentVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/events";
      operationId: "activityListRepoEvents";
      variables: ActivityListRepoEventsVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/forks";
      operationId: "reposListForks";
      variables: ReposListForksVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/git/blobs/{file_sha}";
      operationId: "gitGetBlob";
      variables: GitGetBlobVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/git/commits/{commit_sha}";
      operationId: "gitGetCommit";
      variables: GitGetCommitVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/git/matching-refs/{ref}";
      operationId: "gitListMatchingRefs";
      variables: GitListMatchingRefsVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/git/ref/{ref}";
      operationId: "gitGetRef";
      variables: GitGetRefVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/git/tags/{tag_sha}";
      operationId: "gitGetTag";
      variables: GitGetTagVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/git/trees/{tree_sha}";
      operationId: "gitGetTree";
      variables: GitGetTreeVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/hooks";
      operationId: "reposListWebhooks";
      variables: ReposListWebhooksVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/hooks/{hook_id}";
      operationId: "reposGetWebhook";
      variables: ReposGetWebhookVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/hooks/{hook_id}/config";
      operationId: "reposGetWebhookConfigForRepo";
      variables: ReposGetWebhookConfigForRepoVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/import";
      operationId: "migrationsGetImportStatus";
      variables: MigrationsGetImportStatusVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/import/authors";
      operationId: "migrationsGetCommitAuthors";
      variables: MigrationsGetCommitAuthorsVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/import/large_files";
      operationId: "migrationsGetLargeFiles";
      variables: MigrationsGetLargeFilesVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/installation";
      operationId: "appsGetRepoInstallation";
      variables: AppsGetRepoInstallationVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/interaction-limits";
      operationId: "interactionsGetRestrictionsForRepo";
      variables: InteractionsGetRestrictionsForRepoVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/invitations";
      operationId: "reposListInvitations";
      variables: ReposListInvitationsVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/issues";
      operationId: "issuesListForRepo";
      variables: IssuesListForRepoVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/issues/comments";
      operationId: "issuesListCommentsForRepo";
      variables: IssuesListCommentsForRepoVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/issues/comments/{comment_id}";
      operationId: "issuesGetComment";
      variables: IssuesGetCommentVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/issues/comments/{comment_id}/reactions";
      operationId: "reactionsListForIssueComment";
      variables: ReactionsListForIssueCommentVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/issues/events";
      operationId: "issuesListEventsForRepo";
      variables: IssuesListEventsForRepoVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/issues/events/{event_id}";
      operationId: "issuesGetEvent";
      variables: IssuesGetEventVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/issues/{issue_number}";
      operationId: "issuesGet";
      variables: IssuesGetVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/issues/{issue_number}/comments";
      operationId: "issuesListComments";
      variables: IssuesListCommentsVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/issues/{issue_number}/events";
      operationId: "issuesListEvents";
      variables: IssuesListEventsVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/issues/{issue_number}/labels";
      operationId: "issuesListLabelsOnIssue";
      variables: IssuesListLabelsOnIssueVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/issues/{issue_number}/reactions";
      operationId: "reactionsListForIssue";
      variables: ReactionsListForIssueVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/issues/{issue_number}/timeline";
      operationId: "issuesListEventsForTimeline";
      variables: IssuesListEventsForTimelineVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/keys";
      operationId: "reposListDeployKeys";
      variables: ReposListDeployKeysVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/keys/{key_id}";
      operationId: "reposGetDeployKey";
      variables: ReposGetDeployKeyVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/labels";
      operationId: "issuesListLabelsForRepo";
      variables: IssuesListLabelsForRepoVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/labels/{name}";
      operationId: "issuesGetLabel";
      variables: IssuesGetLabelVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/languages";
      operationId: "reposListLanguages";
      variables: ReposListLanguagesVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/license";
      operationId: "licensesGetForRepo";
      variables: LicensesGetForRepoVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/milestones";
      operationId: "issuesListMilestones";
      variables: IssuesListMilestonesVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/milestones/{milestone_number}";
      operationId: "issuesGetMilestone";
      variables: IssuesGetMilestoneVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/milestones/{milestone_number}/labels";
      operationId: "issuesListLabelsForMilestone";
      variables: IssuesListLabelsForMilestoneVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/notifications";
      operationId: "activityListRepoNotificationsForAuthenticatedUser";
      variables: ActivityListRepoNotificationsForAuthenticatedUserVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/pages";
      operationId: "reposGetPages";
      variables: ReposGetPagesVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/pages/builds";
      operationId: "reposListPagesBuilds";
      variables: ReposListPagesBuildsVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/pages/builds/latest";
      operationId: "reposGetLatestPagesBuild";
      variables: ReposGetLatestPagesBuildVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/pages/builds/{build_id}";
      operationId: "reposGetPagesBuild";
      variables: ReposGetPagesBuildVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/projects";
      operationId: "projectsListForRepo";
      variables: ProjectsListForRepoVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/pulls";
      operationId: "pullsList";
      variables: PullsListVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/pulls/comments";
      operationId: "pullsListReviewCommentsForRepo";
      variables: PullsListReviewCommentsForRepoVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/pulls/comments/{comment_id}";
      operationId: "pullsGetReviewComment";
      variables: PullsGetReviewCommentVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/pulls/comments/{comment_id}/reactions";
      operationId: "reactionsListForPullRequestReviewComment";
      variables: ReactionsListForPullRequestReviewCommentVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/pulls/{pull_number}";
      operationId: "pullsGet";
      variables: PullsGetVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/pulls/{pull_number}/comments";
      operationId: "pullsListReviewComments";
      variables: PullsListReviewCommentsVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/pulls/{pull_number}/commits";
      operationId: "pullsListCommits";
      variables: PullsListCommitsVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/pulls/{pull_number}/files";
      operationId: "pullsListFiles";
      variables: PullsListFilesVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/pulls/{pull_number}/merge";
      operationId: "pullsCheckIfMerged";
      variables: PullsCheckIfMergedVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/pulls/{pull_number}/requested_reviewers";
      operationId: "pullsListRequestedReviewers";
      variables: PullsListRequestedReviewersVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/pulls/{pull_number}/reviews";
      operationId: "pullsListReviews";
      variables: PullsListReviewsVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/pulls/{pull_number}/reviews/{review_id}";
      operationId: "pullsGetReview";
      variables: PullsGetReviewVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/pulls/{pull_number}/reviews/{review_id}/comments";
      operationId: "pullsListCommentsForReview";
      variables: PullsListCommentsForReviewVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/readme";
      operationId: "reposGetReadme";
      variables: ReposGetReadmeVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/readme/{dir}";
      operationId: "reposGetReadmeFromAltPath";
      variables: ReposGetReadmeFromAltPathVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/releases";
      operationId: "reposListReleases";
      variables: ReposListReleasesVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/releases/assets/{asset_id}";
      operationId: "reposGetReleaseAsset";
      variables: ReposGetReleaseAssetVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/releases/latest";
      operationId: "reposGetLatestRelease";
      variables: ReposGetLatestReleaseVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/releases/tags/{tag}";
      operationId: "reposGetReleaseByTag";
      variables: ReposGetReleaseByTagVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/releases/{release_id}";
      operationId: "reposGetRelease";
      variables: ReposGetReleaseVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/releases/{release_id}/assets";
      operationId: "reposListReleaseAssets";
      variables: ReposListReleaseAssetsVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/secret-scanning/alerts";
      operationId: "secretScanningListAlertsForRepo";
      variables: SecretScanningListAlertsForRepoVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/secret-scanning/alerts/{alert_number}";
      operationId: "secretScanningGetAlert";
      variables: SecretScanningGetAlertVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/stargazers";
      operationId: "activityListStargazersForRepo";
      variables: ActivityListStargazersForRepoVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/stats/code_frequency";
      operationId: "reposGetCodeFrequencyStats";
      variables: ReposGetCodeFrequencyStatsVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/stats/commit_activity";
      operationId: "reposGetCommitActivityStats";
      variables: ReposGetCommitActivityStatsVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/stats/contributors";
      operationId: "reposGetContributorsStats";
      variables: ReposGetContributorsStatsVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/stats/participation";
      operationId: "reposGetParticipationStats";
      variables: ReposGetParticipationStatsVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/stats/punch_card";
      operationId: "reposGetPunchCardStats";
      variables: ReposGetPunchCardStatsVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/subscribers";
      operationId: "activityListWatchersForRepo";
      variables: ActivityListWatchersForRepoVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/subscription";
      operationId: "activityGetRepoSubscription";
      variables: ActivityGetRepoSubscriptionVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/tags";
      operationId: "reposListTags";
      variables: ReposListTagsVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/tarball/{ref}";
      operationId: "reposDownloadTarballArchive";
      variables: ReposDownloadTarballArchiveVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/teams";
      operationId: "reposListTeams";
      variables: ReposListTeamsVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/topics";
      operationId: "reposGetAllTopics";
      variables: ReposGetAllTopicsVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/traffic/clones";
      operationId: "reposGetClones";
      variables: ReposGetClonesVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/traffic/popular/paths";
      operationId: "reposGetTopPaths";
      variables: ReposGetTopPathsVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/traffic/popular/referrers";
      operationId: "reposGetTopReferrers";
      variables: ReposGetTopReferrersVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/traffic/views";
      operationId: "reposGetViews";
      variables: ReposGetViewsVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/vulnerability-alerts";
      operationId: "reposCheckVulnerabilityAlerts";
      variables: ReposCheckVulnerabilityAlertsVariables;
    }
  | {
      path: "/repos/{owner}/{repo}/zipball/{ref}";
      operationId: "reposDownloadZipballArchive";
      variables: ReposDownloadZipballArchiveVariables;
    }
  | {
      path: "/repositories";
      operationId: "reposListPublic";
      variables: ReposListPublicVariables;
    }
  | {
      path: "/repositories/{repository_id}/environments/{environment_name}/secrets";
      operationId: "actionsListEnvironmentSecrets";
      variables: ActionsListEnvironmentSecretsVariables;
    }
  | {
      path: "/repositories/{repository_id}/environments/{environment_name}/secrets/public-key";
      operationId: "actionsGetEnvironmentPublicKey";
      variables: ActionsGetEnvironmentPublicKeyVariables;
    }
  | {
      path: "/repositories/{repository_id}/environments/{environment_name}/secrets/{secret_name}";
      operationId: "actionsGetEnvironmentSecret";
      variables: ActionsGetEnvironmentSecretVariables;
    }
  | {
      path: "/scim/v2/enterprises/{enterprise}/Groups";
      operationId: "enterpriseAdminListProvisionedGroupsEnterprise";
      variables: EnterpriseAdminListProvisionedGroupsEnterpriseVariables;
    }
  | {
      path: "/scim/v2/enterprises/{enterprise}/Groups/{scim_group_id}";
      operationId: "enterpriseAdminGetProvisioningInformationForEnterpriseGroup";
      variables: EnterpriseAdminGetProvisioningInformationForEnterpriseGroupVariables;
    }
  | {
      path: "/scim/v2/enterprises/{enterprise}/Users";
      operationId: "enterpriseAdminListProvisionedIdentitiesEnterprise";
      variables: EnterpriseAdminListProvisionedIdentitiesEnterpriseVariables;
    }
  | {
      path: "/scim/v2/enterprises/{enterprise}/Users/{scim_user_id}";
      operationId: "enterpriseAdminGetProvisioningInformationForEnterpriseUser";
      variables: EnterpriseAdminGetProvisioningInformationForEnterpriseUserVariables;
    }
  | {
      path: "/scim/v2/organizations/{org}/Users";
      operationId: "scimListProvisionedIdentities";
      variables: ScimListProvisionedIdentitiesVariables;
    }
  | {
      path: "/scim/v2/organizations/{org}/Users/{scim_user_id}";
      operationId: "scimGetProvisioningInformationForUser";
      variables: ScimGetProvisioningInformationForUserVariables;
    }
  | {
      path: "/search/code";
      operationId: "searchCode";
      variables: SearchCodeVariables;
    }
  | {
      path: "/search/commits";
      operationId: "searchCommits";
      variables: SearchCommitsVariables;
    }
  | {
      path: "/search/issues";
      operationId: "searchIssuesAndPullRequests";
      variables: SearchIssuesAndPullRequestsVariables;
    }
  | {
      path: "/search/labels";
      operationId: "searchLabels";
      variables: SearchLabelsVariables;
    }
  | {
      path: "/search/repositories";
      operationId: "searchRepos";
      variables: SearchReposVariables;
    }
  | {
      path: "/search/topics";
      operationId: "searchTopics";
      variables: SearchTopicsVariables;
    }
  | {
      path: "/search/users";
      operationId: "searchUsers";
      variables: SearchUsersVariables;
    }
  | {
      path: "/teams/{team_id}";
      operationId: "teamsGetLegacy";
      variables: TeamsGetLegacyVariables;
    }
  | {
      path: "/teams/{team_id}/discussions";
      operationId: "teamsListDiscussionsLegacy";
      variables: TeamsListDiscussionsLegacyVariables;
    }
  | {
      path: "/teams/{team_id}/discussions/{discussion_number}";
      operationId: "teamsGetDiscussionLegacy";
      variables: TeamsGetDiscussionLegacyVariables;
    }
  | {
      path: "/teams/{team_id}/discussions/{discussion_number}/comments";
      operationId: "teamsListDiscussionCommentsLegacy";
      variables: TeamsListDiscussionCommentsLegacyVariables;
    }
  | {
      path: "/teams/{team_id}/discussions/{discussion_number}/comments/{comment_number}";
      operationId: "teamsGetDiscussionCommentLegacy";
      variables: TeamsGetDiscussionCommentLegacyVariables;
    }
  | {
      path: "/teams/{team_id}/discussions/{discussion_number}/comments/{comment_number}/reactions";
      operationId: "reactionsListForTeamDiscussionCommentLegacy";
      variables: ReactionsListForTeamDiscussionCommentLegacyVariables;
    }
  | {
      path: "/teams/{team_id}/discussions/{discussion_number}/reactions";
      operationId: "reactionsListForTeamDiscussionLegacy";
      variables: ReactionsListForTeamDiscussionLegacyVariables;
    }
  | {
      path: "/teams/{team_id}/invitations";
      operationId: "teamsListPendingInvitationsLegacy";
      variables: TeamsListPendingInvitationsLegacyVariables;
    }
  | {
      path: "/teams/{team_id}/members";
      operationId: "teamsListMembersLegacy";
      variables: TeamsListMembersLegacyVariables;
    }
  | {
      path: "/teams/{team_id}/members/{username}";
      operationId: "teamsGetMemberLegacy";
      variables: TeamsGetMemberLegacyVariables;
    }
  | {
      path: "/teams/{team_id}/memberships/{username}";
      operationId: "teamsGetMembershipForUserLegacy";
      variables: TeamsGetMembershipForUserLegacyVariables;
    }
  | {
      path: "/teams/{team_id}/projects";
      operationId: "teamsListProjectsLegacy";
      variables: TeamsListProjectsLegacyVariables;
    }
  | {
      path: "/teams/{team_id}/projects/{project_id}";
      operationId: "teamsCheckPermissionsForProjectLegacy";
      variables: TeamsCheckPermissionsForProjectLegacyVariables;
    }
  | {
      path: "/teams/{team_id}/repos";
      operationId: "teamsListReposLegacy";
      variables: TeamsListReposLegacyVariables;
    }
  | {
      path: "/teams/{team_id}/repos/{owner}/{repo}";
      operationId: "teamsCheckPermissionsForRepoLegacy";
      variables: TeamsCheckPermissionsForRepoLegacyVariables;
    }
  | {
      path: "/teams/{team_id}/team-sync/group-mappings";
      operationId: "teamsListIdpGroupsForLegacy";
      variables: TeamsListIdpGroupsForLegacyVariables;
    }
  | {
      path: "/teams/{team_id}/teams";
      operationId: "teamsListChildLegacy";
      variables: TeamsListChildLegacyVariables;
    }
  | {
      path: "/user";
      operationId: "usersGetAuthenticated";
      variables: UsersGetAuthenticatedVariables;
    }
  | {
      path: "/user/blocks";
      operationId: "usersListBlockedByAuthenticated";
      variables: UsersListBlockedByAuthenticatedVariables;
    }
  | {
      path: "/user/blocks/{username}";
      operationId: "usersCheckBlocked";
      variables: UsersCheckBlockedVariables;
    }
  | {
      path: "/user/emails";
      operationId: "usersListEmailsForAuthenticated";
      variables: UsersListEmailsForAuthenticatedVariables;
    }
  | {
      path: "/user/followers";
      operationId: "usersListFollowersForAuthenticatedUser";
      variables: UsersListFollowersForAuthenticatedUserVariables;
    }
  | {
      path: "/user/following";
      operationId: "usersListFollowedByAuthenticated";
      variables: UsersListFollowedByAuthenticatedVariables;
    }
  | {
      path: "/user/following/{username}";
      operationId: "usersCheckPersonIsFollowedByAuthenticated";
      variables: UsersCheckPersonIsFollowedByAuthenticatedVariables;
    }
  | {
      path: "/user/gpg_keys";
      operationId: "usersListGpgKeysForAuthenticated";
      variables: UsersListGpgKeysForAuthenticatedVariables;
    }
  | {
      path: "/user/gpg_keys/{gpg_key_id}";
      operationId: "usersGetGpgKeyForAuthenticated";
      variables: UsersGetGpgKeyForAuthenticatedVariables;
    }
  | {
      path: "/user/installations";
      operationId: "appsListInstallationsForAuthenticatedUser";
      variables: AppsListInstallationsForAuthenticatedUserVariables;
    }
  | {
      path: "/user/installations/{installation_id}/repositories";
      operationId: "appsListInstallationReposForAuthenticatedUser";
      variables: AppsListInstallationReposForAuthenticatedUserVariables;
    }
  | {
      path: "/user/interaction-limits";
      operationId: "interactionsGetRestrictionsForAuthenticatedUser";
      variables: InteractionsGetRestrictionsForAuthenticatedUserVariables;
    }
  | {
      path: "/user/issues";
      operationId: "issuesListForAuthenticatedUser";
      variables: IssuesListForAuthenticatedUserVariables;
    }
  | {
      path: "/user/keys";
      operationId: "usersListPublicSshKeysForAuthenticated";
      variables: UsersListPublicSshKeysForAuthenticatedVariables;
    }
  | {
      path: "/user/keys/{key_id}";
      operationId: "usersGetPublicSshKeyForAuthenticated";
      variables: UsersGetPublicSshKeyForAuthenticatedVariables;
    }
  | {
      path: "/user/marketplace_purchases";
      operationId: "appsListSubscriptionsForAuthenticatedUser";
      variables: AppsListSubscriptionsForAuthenticatedUserVariables;
    }
  | {
      path: "/user/marketplace_purchases/stubbed";
      operationId: "appsListSubscriptionsForAuthenticatedUserStubbed";
      variables: AppsListSubscriptionsForAuthenticatedUserStubbedVariables;
    }
  | {
      path: "/user/memberships/orgs";
      operationId: "orgsListMembershipsForAuthenticatedUser";
      variables: OrgsListMembershipsForAuthenticatedUserVariables;
    }
  | {
      path: "/user/memberships/orgs/{org}";
      operationId: "orgsGetMembershipForAuthenticatedUser";
      variables: OrgsGetMembershipForAuthenticatedUserVariables;
    }
  | {
      path: "/user/migrations";
      operationId: "migrationsListForAuthenticatedUser";
      variables: MigrationsListForAuthenticatedUserVariables;
    }
  | {
      path: "/user/migrations/{migration_id}";
      operationId: "migrationsGetStatusForAuthenticatedUser";
      variables: MigrationsGetStatusForAuthenticatedUserVariables;
    }
  | {
      path: "/user/migrations/{migration_id}/archive";
      operationId: "migrationsGetArchiveForAuthenticatedUser";
      variables: MigrationsGetArchiveForAuthenticatedUserVariables;
    }
  | {
      path: "/user/migrations/{migration_id}/repositories";
      operationId: "migrationsListReposForUser";
      variables: MigrationsListReposForUserVariables;
    }
  | {
      path: "/user/orgs";
      operationId: "orgsListForAuthenticatedUser";
      variables: OrgsListForAuthenticatedUserVariables;
    }
  | {
      path: "/user/packages/{package_type}/{package_name}";
      operationId: "packagesGetPackageForAuthenticatedUser";
      variables: PackagesGetPackageForAuthenticatedUserVariables;
    }
  | {
      path: "/user/packages/{package_type}/{package_name}/versions";
      operationId: "packagesGetAllPackageVersionsForPackageOwnedByAuthenticatedUser";
      variables: PackagesGetAllPackageVersionsForPackageOwnedByAuthenticatedUserVariables;
    }
  | {
      path: "/user/packages/{package_type}/{package_name}/versions/{package_version_id}";
      operationId: "packagesGetPackageVersionForAuthenticatedUser";
      variables: PackagesGetPackageVersionForAuthenticatedUserVariables;
    }
  | {
      path: "/user/public_emails";
      operationId: "usersListPublicEmailsForAuthenticated";
      variables: UsersListPublicEmailsForAuthenticatedVariables;
    }
  | {
      path: "/user/repos";
      operationId: "reposListForAuthenticatedUser";
      variables: ReposListForAuthenticatedUserVariables;
    }
  | {
      path: "/user/repository_invitations";
      operationId: "reposListInvitationsForAuthenticatedUser";
      variables: ReposListInvitationsForAuthenticatedUserVariables;
    }
  | {
      path: "/user/starred";
      operationId: "activityListReposStarredByAuthenticatedUser";
      variables: ActivityListReposStarredByAuthenticatedUserVariables;
    }
  | {
      path: "/user/starred/{owner}/{repo}";
      operationId: "activityCheckRepoIsStarredByAuthenticatedUser";
      variables: ActivityCheckRepoIsStarredByAuthenticatedUserVariables;
    }
  | {
      path: "/user/subscriptions";
      operationId: "activityListWatchedReposForAuthenticatedUser";
      variables: ActivityListWatchedReposForAuthenticatedUserVariables;
    }
  | {
      path: "/user/teams";
      operationId: "teamsListForAuthenticatedUser";
      variables: TeamsListForAuthenticatedUserVariables;
    }
  | {
      path: "/users";
      operationId: "usersList";
      variables: UsersListVariables;
    }
  | {
      path: "/users/{username}";
      operationId: "usersGetByUsername";
      variables: UsersGetByUsernameVariables;
    }
  | {
      path: "/users/{username}/events";
      operationId: "activityListEventsForAuthenticatedUser";
      variables: ActivityListEventsForAuthenticatedUserVariables;
    }
  | {
      path: "/users/{username}/events/orgs/{org}";
      operationId: "activityListOrgEventsForAuthenticatedUser";
      variables: ActivityListOrgEventsForAuthenticatedUserVariables;
    }
  | {
      path: "/users/{username}/events/public";
      operationId: "activityListPublicEventsForUser";
      variables: ActivityListPublicEventsForUserVariables;
    }
  | {
      path: "/users/{username}/followers";
      operationId: "usersListFollowersForUser";
      variables: UsersListFollowersForUserVariables;
    }
  | {
      path: "/users/{username}/following";
      operationId: "usersListFollowingForUser";
      variables: UsersListFollowingForUserVariables;
    }
  | {
      path: "/users/{username}/following/{target_user}";
      operationId: "usersCheckFollowingForUser";
      variables: UsersCheckFollowingForUserVariables;
    }
  | {
      path: "/users/{username}/gists";
      operationId: "gistsListForUser";
      variables: GistsListForUserVariables;
    }
  | {
      path: "/users/{username}/gpg_keys";
      operationId: "usersListGpgKeysForUser";
      variables: UsersListGpgKeysForUserVariables;
    }
  | {
      path: "/users/{username}/hovercard";
      operationId: "usersGetContextForUser";
      variables: UsersGetContextForUserVariables;
    }
  | {
      path: "/users/{username}/installation";
      operationId: "appsGetUserInstallation";
      variables: AppsGetUserInstallationVariables;
    }
  | {
      path: "/users/{username}/keys";
      operationId: "usersListPublicKeysForUser";
      variables: UsersListPublicKeysForUserVariables;
    }
  | {
      path: "/users/{username}/orgs";
      operationId: "orgsListForUser";
      variables: OrgsListForUserVariables;
    }
  | {
      path: "/users/{username}/packages/{package_type}/{package_name}";
      operationId: "packagesGetPackageForUser";
      variables: PackagesGetPackageForUserVariables;
    }
  | {
      path: "/users/{username}/packages/{package_type}/{package_name}/versions";
      operationId: "packagesGetAllPackageVersionsForPackageOwnedByUser";
      variables: PackagesGetAllPackageVersionsForPackageOwnedByUserVariables;
    }
  | {
      path: "/users/{username}/packages/{package_type}/{package_name}/versions/{package_version_id}";
      operationId: "packagesGetPackageVersionForUser";
      variables: PackagesGetPackageVersionForUserVariables;
    }
  | {
      path: "/users/{username}/projects";
      operationId: "projectsListForUser";
      variables: ProjectsListForUserVariables;
    }
  | {
      path: "/users/{username}/received_events";
      operationId: "activityListReceivedEventsForUser";
      variables: ActivityListReceivedEventsForUserVariables;
    }
  | {
      path: "/users/{username}/received_events/public";
      operationId: "activityListReceivedPublicEventsForUser";
      variables: ActivityListReceivedPublicEventsForUserVariables;
    }
  | {
      path: "/users/{username}/repos";
      operationId: "reposListForUser";
      variables: ReposListForUserVariables;
    }
  | {
      path: "/users/{username}/settings/billing/actions";
      operationId: "billingGetGithubActionsBillingUser";
      variables: BillingGetGithubActionsBillingUserVariables;
    }
  | {
      path: "/users/{username}/settings/billing/packages";
      operationId: "billingGetGithubPackagesBillingUser";
      variables: BillingGetGithubPackagesBillingUserVariables;
    }
  | {
      path: "/users/{username}/settings/billing/shared-storage";
      operationId: "billingGetSharedStorageBillingUser";
      variables: BillingGetSharedStorageBillingUserVariables;
    }
  | {
      path: "/users/{username}/starred";
      operationId: "activityListReposStarredByUser";
      variables: ActivityListReposStarredByUserVariables;
    }
  | {
      path: "/users/{username}/subscriptions";
      operationId: "activityListReposWatchedByUser";
      variables: ActivityListReposWatchedByUserVariables;
    }
  | {
      path: "/zen";
      operationId: "metaGetZen";
      variables: MetaGetZenVariables;
    };
